diff -pruN 1:3.0.1-6/aclocal.m4 1:3.0.5-6/aclocal.m4
--- 1:3.0.1-6/aclocal.m4	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/aclocal.m4	2009-01-16 06:46:20.000000000 +0000
@@ -885,6 +885,9 @@ if test -z "$SED"; then
     rm -rf "$tmp"
   ])
   SED=$octave_cv_path_sed
+  if test -z "$SED"; then
+    AC_MSG_ERROR([no usable version of sed found])
+  fi
 fi
 AC_SUBST(SED)
 AC_MSG_RESULT([$SED])
diff -pruN 1:3.0.1-6/ChangeLog 1:3.0.5-6/ChangeLog
--- 1:3.0.1-6/ChangeLog	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,43 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
+2008-08-04  John W. Eaton  <jwe@octave.org>
+
+	* Makeconf.in (do-subst-script-vals): Also substitute SED.
+	* run-octave.in: Use sed to append : to path elements
+	instead of using the find expression "-exec echo '{}':".
+	Substitute SED here.
+
+	* aclocal.m4: Fail if no usable version of sed is found.
+
+	* Makefile.in (header-msg): Mention GNU Make requirement.
+	Update GCC version info.
+
+2008-07-31  John W. Eaton  <jwe@octave.org>
+
+	* octMakefile.in (DISTFILES): Add "missing" to the list.
+
+2008-07-10  John W. Eaton  <jwe@octave.org>
+
+	* octMakefile.in (DIRS_TO_MAKE): Delete $(localfcnfilepath) and
+	$(localoctfilepath) from the list.  Include $(datadir)
+	$(localfcnfiledir) $(localapifcnfiledir) $(localverfcnfiledir)
+	$(localoctfiledir) $(localapioctfiledir) $(localveroctfiledir)
+	$(imagedir) and $(localapiarchlibdir) in the list.
+
 2008-04-09  Rafael Laboissiere  <rafael@debian.org>
 
 	* example/octave.desktop.in: Drop the Encoding key, which is
diff -pruN 1:3.0.1-6/configure 1:3.0.5-6/configure
--- 1:3.0.1-6/configure	2008-04-21 17:14:09.000000000 +0100
+++ 1:3.0.5-6/configure	2009-03-27 11:30:32.000000000 +0000
@@ -26171,6 +26171,11 @@ IFS=$as_save_IFS
 fi
 
   SED=$octave_cv_path_sed
+  if test -z "$SED"; then
+    { { echo "$as_me:$LINENO: error: no usable version of sed found" >&5
+echo "$as_me: error: no usable version of sed found" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
 fi
 
 { echo "$as_me:$LINENO: result: $SED" >&5
diff -pruN 1:3.0.1-6/debian/changelog 1:3.0.5-6/debian/changelog
--- 1:3.0.1-6/debian/changelog	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/changelog	2009-05-25 06:22:14.000000000 +0100
@@ -1,3 +1,517 @@
+octave3.0 (1:3.0.5-6) unstable; urgency=low
+
+  * debian/patches/no-argout-intersect.diff: Fix paths of the patch,
+    such that it succeeds when applied (closes: #530369)
+  * debian/patches/datenum-vector-input-any-orientation.diff: New patch
+    for making datenum accept vector inputs in any orientation.  This is
+    necessary for making the tests in the octave-time package succeed.
+    (Taken from the upstream Mercurial repository.)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 May 2009 15:14:52 +0200
+
+octave3.0 (1:3.0.5-5) unstable; urgency=low
+
+  * debian/patches/no-argout-intersect.dpatch: Take a bug fix for the
+    intersect.m script from the Octave Forge package bugfix-3.0.5.  This
+    avoids the creation of the octave-bugfix-3.0.5 package (closes:
+    #529049).  Thanks to Adeodato Simó for the suggestion.
+  * debian/in/control: Add Breaks relationship to all the Octave-Forge
+    packages that were built with version lesser than 0.6.4 of
+    octave-pkg-dev.   Previous versions of the Octave-Forge packages will
+    not be visible from the current version of octave3.0.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 May 2009 23:54:24 +0200
+
+octave3.0 (1:3.0.5-4) unstable; urgency=low
+
+  * debian/control: The Debian packaging files are now maintained through
+    a Git repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
+    accordingly.
+  * debian/README.source: Add file explaining the use of the dpatch
+    system, as mandated by the Policy
+  * debian/in/PACKAGE.postrm: Add script for removing the packages
+    database file when purging (closes: #528038)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 May 2009 16:15:03 +0200
+
+octave3.0 (1:3.0.5-3) unstable; urgency=low
+
+  * debian/in/PACKAGE.postinst: Add -verbose option when calling 'pkg
+    rebuild' in octave and redirect stdin from /dev/null.  This is just to
+    help debugging the hang up on the mipsel buildd when installing
+    octave3.0 for building other packages (Bug#524745).
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Apr 2009 15:17:35 +0200
+
+octave3.0 (1:3.0.5-2) unstable; urgency=low
+
+  * debian/rules: Fix versioned dependencies on gcc, g++ and gfortran by
+    adding the lacking epoch to the them.  Also, add dependencies on the
+    -MAJOR.MINOR packages appropriately.  Thanks to Aaron M. Ucko for the
+    heads up and the proposed solution (closes: #523496).
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 10 Apr 2009 20:11:47 +0200
+
+octave3.0 (1:3.0.5-1) unstable; urgency=low
+
+  [ Rafael Laboissiere ]
+  * New upstream release
+    - Only change to 3.0.4: Fix regression when loading ascii files
+      (closes: #523042)
+  * debian/patches/idx-not-volatile-in-eig.dpatch: Remove patch (applied
+    upstream)
+  * debian/in/control, debian/rules: For the octaveX.Y-headers package,
+    use versioned dependencies on gcc, gfortran, and g++.  Tighten the
+    dependency to be exactly on the version of the GCC suite which was used
+    to build the package.  This is needed because mkoctfiles hardcodes the
+    directories in OCTAVE_CONF_FLIBS with the gcc upstream version number.
+    This should fix issue LP#348472 reported against the Ubuntu package.
+  * debian/in/control:
+    + The arm port has been dropped from Debian post-lenny.  Drop the
+      special dependencies on the GCC suite packages for the arm
+      architecture.
+    + Use viewsvn instead of wsvn in Vcs-Browser
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 09 Apr 2009 21:37:52 +0200
+
+octave3.0 (1:3.0.4~rc7-1) unstable; urgency=low
+
+  * New upstream release candidate.  This version has release-quality,
+    IMO, even though it is a "release candidate".  Let us allow it into
+    testing (closes: #520220), although I hope that the final 3.0.4 will
+    come out before its quarantine period in unstable is finished.
+
+  * debian/patches/proper-delete-of-axes-in-clf.dpatch: Remove patch
+    (applied upstream)
+  * debian/patches/idx-not-volatile-in-eig.dpatch: New patch for avoiding
+    memory exhaustion when calling eig on amd64 (closes: #521345).  Thanks
+    to John Eaton for the patch.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Mar 2009 10:55:06 +0100
+
+octave3.1 (3.1.55-1) experimental; urgency=low
+
+  * New upstream development snapshot
+  * debian/patches/dont_set_helvetica-3.1.dpatch: Adjust
+  * debian/patches/remove-y.tab.h-in-maintainer-clean.dpatch,
+    debian/patches/pretty-png-svg-print.dpatch: Remove (applied upstream)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Mar 2009 07:24:23 +0100
+
+octave3.1 (3.1.54-3) experimental; urgency=low
+
+  * debian/in/control: Add libarpack2-dev to the list of build
+    dependencies, which makes the eigs function available
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 11:08:14 +0100
+
+octave3.0 (1:3.0.4~rc5-4) unstable; urgency=low
+
+  * debian/in/PACKAGE.conf: Use split for octave3.0 and strsplit for
+    octave3.1 (closes: #520770)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 17:58:17 +0100
+
+octave3.0 (1:3.0.4~rc5-3) unstable; urgency=low
+
+  * Sync with the octave3.1 branch
+  * debian/patches/termios-h-check-3.0.dpatch: Fix termios.h check, as
+    done below for octave3.1_3.1.54-2
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 18 Mar 2009 11:42:07 +0100
+
+octave3.1 (3.1.54-2) experimental; urgency=low
+
+  [ Rafael Laboissiere ]
+  * debian/in/PACKAGE.conf: Use strsplit instead of the deprecated split
+    when checking the path (closes: #519429).  Thanks to Francesco Potortì
+    for the patch.
+  * patches/pretty-png-svg-print.dpatch: Restore pretty printing in png
+    and svg formats (closes: #519572).  Thanks to Ben Abbott for the
+    patch.
+  * debian/in/control: Drop dependency of octaveX.Y-common on octaveX.Y,
+    in order to avoid circular dependencies.  Thanks to Bill Allombert for
+    the heads up and the suggestion (closes: #520125).
+  * debian/patches/termios-h-check-3.1.dpatch: Small tweak for
+    configure.in/configure to properly detect <termios.h>, making the
+    package build on GNU/kFreeBSD. Thanks to Petr Salinger for the patch
+    (closes: #520076).
+  * debian/in/control: Bump Standards-Version to 3.8.1 (no changes needed)
+
+  [ Thomas Weber ]
+  * debian/in/control: Move -dbg package from Section: devel to Section:
+    debug.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Mar 2009 23:32:03 +0100
+
+octave3.0 (1:3.0.4~rc5-2) unstable; urgency=low
+
+  * Release to unstable
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Mar 2009 10:27:36 +0100
+
+octave3.1 (3.1.54-1) experimental; urgency=low
+
+  * New upstream development snapshot
+  * debian/in/control: Build-Depend on libqrupdate-dev for octave3.1
+  * debian/patches/remove-y.tab.h-in-maintainer-clean.dpatch: New patch
+    for avoiding src/y.tab.h to be removed by make distclean
+  * debian/rules:
+    + Do not install the enscript directory into the common package.  This
+      is now obsolete.
+    + Get API version directly from the upstream version.h file
+  * debian/in/PACKAGE-htmldoc.prerm: Drop this almost empty template file,
+    since th prerm script will be generated automatically by debhelper
+
+ -- Rafael Laboissiere <rafael@debian.org>  Mon, 09 Mar 2009 01:36:46 +0100
+
+octave3.1 (3.1.53-1) experimental; urgency=low
+
+  * New upstream development snapshot
+  * Dropped patches (applied upstream):
+    + debian/patches/clean-examples-subdir.dpatch
+    + debian/patches/real-no-history-3.1.dpatch
+    + debian/patches/visit-script-call-accept.dpatch
+    + debian/patches/compile-inttypes-on-short-double-arches.dpatch
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Feb 2009 17:38:35 +0100
+
+octave3.0 (1:3.0.4~rc5-1) experimental; urgency=low
+
+  * New upstream release candidate.  Still released to experimental, since
+    this version has still some issues.
+  * debian/patches/proper-delete-of-axes-in-clf.dpatch: Proper deletion of
+    axes in clf.m.  Fix a regression problem between version 3.0.3 and
+    3.04-rc5.  Proposed by Marco Caliari in the octave-maintainers mailing
+    list on 2008-02-25.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Feb 2009 15:58:10 +0100
+
+octave3.1 (3.1.52-6) experimental; urgency=low
+
+  * debian/patches/normal-markersize.dpatch: Revert the symbol markers in
+    plots to their normal size (closes: #515743).  Thanks to Francesco
+    Potorti for the patch.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Feb 2009 11:40:01 +0100
+
+octave3.1 (3.1.52-5) experimental; urgency=low
+
+  * debian/patches/compile-inttypes-on-short-double-arches.dpatch:
+    Workaround gcc 4.3 explicit instantiation bug in octave_int_cmp_op.
+    This was causing FTBFS on architectures with no long double type, like
+    mipsel and hppa (closes: #516588). Thanks to Jaroslav Hajek for the
+    patch.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Feb 2009 18:42:48 +0100
+
+octave3.1 (3.1.52-4) experimental; urgency=low
+
+  * debian/patches/visit-script-call-accept.dpatch: Add patch to call
+    accept for function and script commands, avoiding crashes when user
+    scripts are loaded again after being changed in the file system
+    (closes: #516136).  This patch was taken from the upstream Mercurial
+    repository, thanks to John W. Eaton.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Feb 2009 10:16:14 +0100
+
+octave3.1 (3.1.52-3) experimental; urgency=low
+
+  * Sync with the stable branch
+  * debian/patches/real-no-history-3.1.dpatch: Add patch from upstream
+    Mercurial repository.  Thanks to John Eaton.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 19 Feb 2009 01:19:02 +0100
+
+octave3.0 (1:3.0.4~rc4-1) experimental; urgency=low
+
+  * New upstream release candidate.  Although lenny is already released,
+    this version is uploaded to experimental because octave3.0 is involved
+    in the lapack and suitesparse library transitions.
+  * debian/in/PACKAGE.postinst: Rebuild the pkg database at configure
+    action, such that the octave_packages is guaranteed to exist when
+    octaveX.Y is installed
+  * debian/patches/real-no-history.dpatch: Add patch for only reading and
+    saving history if Vsaving_history is true.  Thanks to John Eaton for
+    the patch and the suggestions.  Closes: #514802.
+  * The removal of octave2.1 from squeeze has been requested.  The
+    following files are affected:
+    + debian/rules, debian/in/00list, debian/in/NEWS,
+      debian/in/PACKAGE-htmldoc.doc-base.faq, debian/in/PACKAGE.conf,
+      debian/in/control, debian/in/copyright, debian/in/watch: Remove all
+      inclusions conditional on 2.1
+    + Dropped patches: 50_OCTAVEHOME-texi, 50_automatic-replot-docstring,
+      50_build-octave-faq, 50_clean-pdf-docs, 50_compile-with-g++-4.3,
+      50_drop-lo-manpages, 50_fixed-freqz, 50_g++4.1-fixes,
+      50_incomplete_gamma, 50_lgamma_doc, 50_rename-octave-tags,
+      50_return-deffn, 50_syscalls-test-sleep,
+      imshow_only_handles_octave_images, sane-file-stat-return
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Feb 2009 19:52:37 +0100
+
+octave3.1 (3.1.52-2) experimental; urgency=low
+
+  * Sync with the stable branch
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 08:41:27 +0100
+
+octave3.0 (1:3.0.4~rc3-3) experimental; urgency=low
+
+  * Sync with the development branch
+  * debian/in/PACKAGE.conf: Set the global_list of Octave packages inside
+    the versioned directory for packages.
+  * debian/in/PACKAGE.triggers: Interests on the versioned packages
+    directory
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 02:32:55 +0100
+
+octave3.1 (3.1.52-1) experimental; urgency=low
+
+  * New upstream development snapshot
+  * debian/patches/:
+    + dont_set_helvetica.dpatch: Adapt patch for this new release
+    + glpk-new-api.dpatch, sane-file-stat-return.dpatch: Drop patches
+      (applied upstream)
+    + clean-examples-subdir.dpatch: Avoid files left in examples/@polynomial
+      after make distclean
+  * debian/in/control: Build-depend on libftgl-dev, such that Octave is
+    compiled with the experimental OpenGL/FLTK based backend, which will
+    replace gnuplot
+  * debian/texmf.cnf: Add TeX configuration file for increasing the save
+    size for pdfetex.  This is necessary for building the documentation
+    files from the texi sources.
+  * debian/rules:
+    + Export the TEXMFCNF variable such that texi2df will be able to find
+      the debian/texmf.cnf file
+    + In the binary-indep rule, remove the ls-R file installed in the
+      /usr/share directory.
+    + Do not install enscript's syntax file octave.st.  This file is now
+      donated to the enscript project and should not be provided by the
+      octave package in the future.
+    + Do not install the documentation file THANKS for octave3.1 since
+      this file is not distributed anymore
+    + Set api_version equal to 34 for octave3.1
+    + Use versioned prefixes for the Octave packages directory
+    + Only install the PDF files that are really final documents and not
+      the figures in PDF format under doc/*/
+  * debian/in/PACKAGE.postinst: Do not generate the ls-R kpathsea database
+    file.  It is not used by Octave anymore.
+  * debian/in/PACKAGE.conf: Use versioned prefixes for the Octave packages
+    directory
+  * debian/in/PACKAGE-common.lintian-overrides: Adjust for the new
+    versioned packages directory
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2009 12:48:43 +0000
+
+octave3.0 (1:3.0.1-7) unstable; urgency=low
+
+  * Upload to unstable, such that the package will have a higher version
+    number in this distribution in comparison with testing.  This is
+    necessary, otherwise the Debian installer refuses to install the
+    previous version in testing-proposed-updates.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Feb 2009 17:32:48 +0100
+
+octave3.0 (1:3.0.1-6lenny3) testing-proposed-updates; urgency=low
+
+  * Upload to t-p-u in order to get the correct dependencies for lenny, in
+    particular libpcre3
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Feb 2009 11:54:49 +0100
+
+octave3.1 (3.1.51-4) experimental; urgency=low
+
+  * Synch with octave3.0.
+  * debian/patches/sane-file-stat-return.dpatch: Avoid random errors when
+    calling fopen on files that do not exist in the file system
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 14:00:42 +0100
+
+octave3.0 (1:3.0.4~rc3-2) experimental; urgency=low
+
+  [ Thomas Weber ]
+  * Synch with the lenny branch.  In particular, let Octave provide the
+    /usr/share/octave/packages/ directory (addresses Bug#513576), which
+    should be in the octaveX.X-common package
+
+  [ Rafael Laboissiere ]
+  * debian/in/PACKAGE-common.lintian-overrides: Add an override for the
+    Lintian warning about the /usr/share/octave/packages/ empty directory
+  * debian/patches/glpk-new-api.dpatch: New patch to avoid calls to
+    deprecated __glp_lib_* functions which are deprecated and have been
+    removed for the GLPK public API since version 4.32 (closes: #514035)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 11:56:17 +0100
+
+octave3.0 (1:3.0.1-6lenny2) unstable; urgency=low
+
+  * Provide /usr/share/octave/packages by octave3.0 (closes: #513576)
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 02 Feb 2009 21:34:22 +0100
+
+octave3.0 (1:3.0.4~rc3-1) experimental; urgency=low
+
+  * New upstream release candidate
+  * Dropped patches (applied upstream):
+    + debian/patches/polyfit-scaling.dpatch
+    + debian/patches/suitesparse-3.2.0.dpatch
+  * debian/in/PACKAGE.lintian-overrides: Drop the overrides for
+    binary-or-shlib-defines-rpath, since they are not needed anymore
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jan 2009 22:47:16 +0100
+
+octave3.1 (3.1.51-3) experimental; urgency=low
+
+  * Synch with octave3.0 package again (closes: #511942, which is the same
+    as Bug#511075 for octave3.0)
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 13:19:37 +0100
+
+octave3.0 (1:3.0.3-3) experimental; urgency=low
+
+  * debian/in/control: Add an epoch to the build-dependency on
+    libsuitesparse-dev, avoiding the autobuilder dependencies to be
+    satisfied with the previous version of the SuiteSparse package
+    (1:3.1.0-3.1). Closes: #511075.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 12:13:42 +0100
+
+octave3.1 (3.1.51-2) experimental; urgency=low
+
+  * Synch with octave3.0 package
+  * debian/rules: Only install enscript files for octave3.0
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 06 Jan 2009 11:00:00 +0100
+
+octave3.0 (1:3.0.3-2) experimental; urgency=low
+
+  * debian/patches/polyfit-scaling.dpatch: Add patch for introducing a new
+    polyfit.m taken from the Mercurial upstream repository.  This version
+    has a new algorithm that improves the numerical stability of the
+    results for ill-conditioned input values (closes: #510577).
+  * debian/in/control:
+    + Synch with the lenny branch
+    + Build-depend on libsuitesparse-dev >= 3.2.0
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 03 Jan 2009 12:28:47 +0100
+
+octave3.0 (1:3.0.3-1) experimental; urgency=low
+
+  [ Thomas Weber ]
+  * New upstream release:
+    + Improved documentation about axes properties (closes: #492070)
+    + Check that X and Y are of same size when calling contourf
+      (closes: #492223)
+    + varargin is now in the manual index (closes: #492992)
+    + Better description for shading (closes: #492168)
+    + countourf now in the manual (closes: #492224)
+  * Drop patch randn_doc.dpatch: applied upstream.
+  * Change dont_set_helvetica.dpatch to use an asterisk (*) instead of an
+    empty string for the font; see
+    http://thread.gmane.org/gmane.comp.gnu.octave.bugs/9843
+    for the reasoning. Saving greek symbols as .png or .jpeg continues to not
+    work with this, though.
+
+  [ Rafael Laboissiere ]
+  * debian/rules: Cope with tilde (~) in the upstream version number
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 10 Oct 2008 08:51:03 +0000
+
+octave3.0 (1:3.0.2-4) experimental; urgency=low
+
+  * Add octaveX.Y-common package containing the architecture-independent
+    files, which were taking too much place in the architecture-dependent
+    main package octaveX.Y
+
+ -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Sep 2008 11:07:18 +0200
+
+octave3.0 (1:3.0.2-3) experimental; urgency=low
+
+  * debian/in/PACKAGE.triggers, debian/in/PACKAGE.postinst: Use a dpkg
+    trigger for updating the Octave's pkg database (via "pkg rebuild").  A
+    package providing an Octave pkg will activate the trigger.
+  * debian/in/PACKAGE.lintian-overrides: Add Lintian overrides for binary
+    and shared library setting RPATH
+  * debian/rules: Add BUGS to the savefiles list because it is present in
+    the tarball and is modified when building the documentation
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Sep 2008 08:29:38 +0200
+
+octave3.0 (1:3.0.2-2) experimental; urgency=low
+
+  * Restore the epoch in the version number
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Aug 2008 23:54:37 +0200
+
+octave3.0 (3.0.2-1) experimental; urgency=low
+
+  [ Rafael Laboissiere ]
+  * debian/rules: Do not pass --host option to configure when it is the
+    same as the --build option.  This is mandatory with Autoconf 2.52 and
+    newer and was causing the C++ ABI to have a wrong value in config.h.
+
+  [ Thomas Weber ]
+  * New upstream release
+    + axis locations now appear on the correct positions (closes: #492076)
+  * Removed patches (applied upstream):
+    + patches/50_include-cstring-mxarray.dpatch
+    + patches/50_add_syspath.dpatch
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 23 Aug 2008 15:34:59 +0200
+
+octave3.1 (3.1.51-1) experimental; urgency=low
+
+  * New upstream development snapshot
+  * debian/rules:
+    + Do not install octave.st for octave3.1 (avoid conflict with
+      octave3.0)
+    + Set alternatives priority value for octave3.1
+  * Drop patches (applied upstream):
+    + fix-comma-in-configure.dpatch
+    + add-gl-render-cc.dpatch
+    + add-acx_blas_f77_func.m4.dpatch
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 Jul 2008 22:13:35 +0200
+
+octave3.1 (3.1.50-2) experimental; urgency=low
+
+  * debian/in/copyright: Add tag for octave3.1, which produces a meaningful
+    license text in debian/copyright
+  * debian/in/PACKAGE{.conf,.dirs,-emacsen.dirs}: Also adapted for
+    octave3.1
+  * debian/patches/add-gl-render-cc.dpatch: Add patch for including a file
+    lacking in the upstream tarball
+  * debian/patches/fix-comma-in-configure.dpatch: Add patch for avoiding
+    syntax errors in configure
+  * debian/in/control: Build-depend on libgl1-mesa-swx11-dev and
+    libglu1-mesa-dev
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 Jul 2008 00:50:49 +0200
+
+octave3.0 (1:3.0.1-6lenny1) unstable; urgency=low
+
+  * Allow libhdf5-openmpi-dev to satisfy Octave's hdf5 dependency (closes:
+    #494139)
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 12 Aug 2008 22:28:01 +0000
+
+octave3.1 (3.1.50-1) experimental; urgency=low
+
+  * New upstream release (development branch)
+  * debian/in/control: Build-depends on libfltk1.1-dev, mesa-common-dev,
+    and libgraphicsmagick++1-dev
+  * debian/rules: Process 00list, NEWS and watch files through slice
+  * debian/in/{00list,NEWS,watch}: New files
+  * debian/patches/add-acx_blas_f77_func.m4.dpatch: Include m4 file that
+    is lacking from the tarball and is necessary for autoconf
+  * Drop dpatches (applied upstream):
+    + 50_fix_handle_for_plotyy.dpatch
+    + 50_add_syspath.dpatch
+    + randn_doc.dpatch
+  * debian/patches/dont_set_helvetica-3.1.dpatch: Adapted for octave3.1
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jul 2008 10:27:26 +0200
+
 octave3.0 (1:3.0.1-6) unstable; urgency=low
 
   * debian/in/PACKAGE-info.postinst: Remove the info entries for octave2.9
diff -pruN 1:3.0.1-6/debian/control 1:3.0.5-6/debian/control
--- 1:3.0.1-6/debian/control	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/control	2009-05-25 06:22:14.000000000 +0100
@@ -10,19 +10,19 @@ Build-Depends: g++-4.1 [arm], gcc-4.1 [a
  debhelper (>= 6.0.7), autoconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, libreadline5-dev,
  libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.6.6) |
- libhdf5-lam-dev (>= 1.6.6) | libhdf5-mpich-dev (>= 1.6.6),
+ libhdf5-lam-dev (>= 1.6.6) | libhdf5-mpich-dev (>= 1.6.6) | libhdf5-openmpi-dev (>= 1.6.6),
  libblas-dev, liblapack-dev, gnuplot-nox, libfftw3-dev, texi2html,
- less, dpatch, slice, libpcre3-dev, flex, libglpk-dev (>= 4.15),
- libsuitesparse-dev (>= 3.1.0-2), gawk, ghostscript, libcurl4-dev,
+ less, quilt, slice, libpcre3-dev, flex, libglpk-dev (>= 4.15),
+ libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-dev,
  libqhull-dev, desktop-file-utils
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Homepage: http://www.octave.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-octave/octave/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-octave/octave/
+Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
+Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git
 
 Package: octave3.0
 Architecture: any
-Depends: ${shlibs:Depends}, texinfo
+Depends: ${shlibs:Depends}, texinfo, octave3.0-common (= ${source:Version})
 Recommends: gnuplot, libatlas3gf-base
 Suggests: octave3.0-info,
  octave3.0-doc,
@@ -32,6 +32,29 @@ Suggests: octave3.0-info,
 Replaces: octave (<= 2.0.16-2)
 Conflicts: octave (<= 2.0.16-2), octave2.9 (<< 1:3)
 Provides: octave
+Breaks: octave-ad (<< 1.0.4-2), octave-audio (<< 1.1.2-2),
+ octave-bioinfo (<< 0.1.1-2), octave-combinatorics (<< 1.0.7-2),
+ octave-communications (<< 1.0.8-2), octave-control (<< 1.0.7-2),
+ octave-data-smoothing (<< 1.1.1-2), octave-econometrics (<< 1:1.0.7-3),
+ octave-financial (<< 0.3.0-2), octave-fixed (<< 0.7.8-3),
+ octave-ftp (<< 1.0.1-3), octave-ga (<< 0.9.4-2), octave-general (<< 1.0.7-2),
+ octave-graceplot (<< 1.0.6-2), octave-gsl (<< 1.0.7-2),
+ octave-ident (<< 1.0.6-2), octave-image (<< 1.0.8-2),
+ octave-informationtheory (<< 0.1.6-2), octave-io (<< 1.0.7-2),
+ octave-irsa (<< 1.0.6-2), octave-linear-algebra (<< 1.0.6-2),
+ octave-miscellaneous (<< 1.0.7-2), octave-missing-functions (<< 1.0.1-2),
+ octave-nan (<< 1.0.7-2), octave-nnet (<< 0.1.8-2),
+ octave-octcdf (<< 1.0.11-2), octave-octgpr (<< 1.1.4-3),
+ octave-odebvp (<< 1.0.5-2), octave-odepkg (<< 0.6.4-2),
+ octave-optim (<< 1.0.4-2), octave-optiminterp (<< 0.3.1-2),
+ octave-outliers (<< 0.13.8-2), octave-parallel (<< 1.0.7-2),
+ octave-physicalconstants (<< 0.1.6-2), octave-plot (<< 1.0.6-2),
+ octave-signal (<< 1.0.8-2), octave-sockets (<< 1.0.5-2),
+ octave-specfun (<< 1.0.7-2), octave-splines (<< 1.0.6-2),
+ octave-statistics (<< 1.0.7-1), octave-strings (<< 1.0.6-2),
+ octave-struct (<< 1.0.6-2), octave-symbolic (<< 1.0.7-2),
+ octave-time (<< 1.0.8-2), octave-tsa (<< 4.0.0-2), octave-vrml (<< 1.0.8-2),
+ octave-zenity (<< 0.5.6-2)
 Description: GNU Octave language for numerical computations (3.0 branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -54,12 +77,11 @@ Description: PDF documentation on the GN
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in PDF format:
+ This package provides the following documentation in PDF format:
  the FAQ, a reference card in a4, letter and legal formats, a document on the
  C++ classes used by Octave, as well as the main octave documentation which
  is also included in info format in the octave3.0-info package.
 
-
 Package: octave3.0-htmldoc
 Architecture: all
 Section: doc
@@ -72,17 +94,16 @@ Description: HTML documentation on the G
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in html format:
+ This package provides the following documentation in html format:
  the FAQ, a document on the C++ classes used by Octave, as well as the main
  octave documentation which is also included in info format in the main
  Octave package.
 
 Package: octave3.0-headers
 Architecture: any
-Depends: octave3.0 (= ${binary:Version}), gfortran,
- gcc [!arm], gcc-4.1 [arm], g++ [!arm], g++-4.1 [arm],
+Depends: octave3.0 (= ${binary:Version}), ${gcc:Depends},
  libreadline5-dev, libncurses5-dev, libhdf5-serial-dev (>= 1.6.5)
- | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5),
+ | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5) | libhdf5-openmpi-dev (>= 1.6.5),
  libblas-dev, liblapack-dev, libfftw3-dev,
  f2c [m68k]
 Conflicts: octave-headers (<< 2.1), octave2.9-headers (<< 1:3)
@@ -93,7 +114,7 @@ Description: header files for the GNU Oc
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the include files needed to compile and link
+ This package provides the include files needed to compile and link
  user-supplied code with GNU Octave. If you only write interpreted .m files,
  you do not need this package.
  .
@@ -112,10 +133,9 @@ Description: Emacs support for the GNU O
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the elisp files for the Octave modes for GNU Emacs
+ This package provides the elisp files for the Octave modes for GNU Emacs
  and XEmacs.
 
-
 Package: octave3.0-info
 Architecture: all
 Depends: info (>= 3.12) | info-browser
@@ -127,7 +147,7 @@ Description: GNU Info documentation on t
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in info format:
+ This package provides the following documentation in info format:
  the FAQ, a document on the C++ classes used by Octave, as well as the main
  octave documentation which is needed for the 'help -i foo' command within
  Octave.
@@ -185,7 +205,7 @@ Description: GNU Info documentation on t
 
 
 Package: octave3.0-dbg
-Section: devel
+Section: debug
 Priority: extra
 Architecture: any
 Depends: octave3.0 (=${binary:Version})
@@ -200,3 +220,20 @@ Description: Debug symbols for octave3.0
  user-supplied C++ files.
  .
  This package provides the debug symbols.
+
+Package: octave3.0-common
+Section: devel
+Priority: extra
+Architecture: all
+Description: architecture-independent files for octave3.0
+ Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ intended for numerical computations. It provides a convenient command-line
+ interface for solving linear and nonlinear problems numerically.
+ .
+ Octave uses some of the best and most respected numerical libraries as
+ balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
+ ranlib, slatec-fn and villad. Octave can be dynamically extended with
+ user-supplied C++ files.
+ .
+ This package provides the architecture-independent files (Octave scripts
+ and other helper files).
diff -pruN 1:3.0.1-6/debian/copyright 1:3.0.5-6/debian/copyright
--- 1:3.0.1-6/debian/copyright	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/copyright	2009-05-25 06:22:14.000000000 +0100
@@ -15,7 +15,7 @@ The original sources can be obtained at
 See /usr/share/doc/octave/changelog.Debian.gz for details on the
 applied changes.
 
-GNU Octave is Copyright (C) 1992 - 2007 John W. Eaton and others
+GNU Octave is Copyright (C) 1992 - 2008 John W. Eaton and others
 
     Octave is free software; you can redistribute it and/or modify it under
     the terms of the GNU General Public License as published by the Free
diff -pruN 1:3.0.1-6/debian/in/control 1:3.0.5-6/debian/in/control
--- 1:3.0.1-6/debian/in/control	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/control	2009-05-25 06:22:14.000000000 +0100
@@ -1,5 +1,5 @@
 [EMACS: -*- debian-control -*- :]
-Source: octave[V_2_1:2.1:][V_3_0:3.0:]
+Source: octave[V_3_0:3.0:][V_3_1:3.1:]
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
@@ -10,29 +10,54 @@ Build-Depends: g++-4.1 [arm], gcc-4.1 [a
  debhelper (>= 6.0.7), autoconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, libreadline5-dev,
  libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.6.6) |
- libhdf5-lam-dev (>= 1.6.6) | libhdf5-mpich-dev (>= 1.6.6),
+ libhdf5-lam-dev (>= 1.6.6) | libhdf5-mpich-dev (>= 1.6.6) | libhdf5-openmpi-dev (>= 1.6.6),
  libblas-dev, liblapack-dev, gnuplot-nox, libfftw3-dev, texi2html,
- less, dpatch, slice[V_3_0:, libpcre3-dev, flex, libglpk-dev (>= 4.15),
- libsuitesparse-dev (>= 3.1.0-2), gawk, ghostscript, libcurl4-dev,
- libqhull-dev, desktop-file-utils:][V_2_1:, dejagnu:]
-Standards-Version: 3.8.0
+ less, quilt, slice[V_3_1:[V_3_0:, libpcre3-dev, flex, libglpk-dev (>= 4.15),
+ libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-dev,
+ libqhull-dev, desktop-file-utils:], libfltk1.1-dev, libgl1-mesa-swx11-dev,
+ libglu1-mesa-dev, libgraphicsmagick++1-dev, libftgl-dev,
+ libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2):]
+Standards-Version: 3.8.1
 Homepage: http://www.octave.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-octave/octave/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-octave/octave/
+Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
+Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]
 Architecture: any
-Depends: ${shlibs:Depends}, texinfo
+Depends: ${shlibs:Depends}, texinfo, octave[V_3_0:3.0:][V_3_1:3.1:]-common (= ${source:Version})
 Recommends: gnuplot, libatlas3gf-base
-Suggests: octave[V_2_1:2.1:][V_3_0:3.0:]-info,
- octave[V_2_1:2.1:][V_3_0:3.0:]-doc,
- octave[V_2_1:2.1:][V_3_0:3.0:]-htmldoc,
- octave[V_2_1:2.1:][V_3_0:3.0:]-headers (= ${binary:Version}),
- octave[V_2_1:2.1:][V_3_0:3.0:]-emacsen
+Suggests: octave[V_3_0:3.0:][V_3_1:3.1:]-info,
+ octave[V_3_0:3.0:][V_3_1:3.1:]-doc,
+ octave[V_3_0:3.0:][V_3_1:3.1:]-htmldoc,
+ octave[V_3_0:3.0:][V_3_1:3.1:]-headers (= ${binary:Version}),
+ octave[V_3_0:3.0:][V_3_1:3.1:]-emacsen
 Replaces: octave (<= 2.0.16-2)
 Conflicts: octave (<= 2.0.16-2)[V_3_0:, octave2.9 (<< 1:3):]
 Provides: octave
-Description: GNU Octave language for numerical computations ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Breaks: octave-ad (<< 1.0.4-2), octave-audio (<< 1.1.2-2),
+ octave-bioinfo (<< 0.1.1-2), octave-combinatorics (<< 1.0.7-2),
+ octave-communications (<< 1.0.8-2), octave-control (<< 1.0.7-2),
+ octave-data-smoothing (<< 1.1.1-2), octave-econometrics (<< 1:1.0.7-3),
+ octave-financial (<< 0.3.0-2), octave-fixed (<< 0.7.8-3),
+ octave-ftp (<< 1.0.1-3), octave-ga (<< 0.9.4-2), octave-general (<< 1.0.7-2),
+ octave-graceplot (<< 1.0.6-2), octave-gsl (<< 1.0.7-2),
+ octave-ident (<< 1.0.6-2), octave-image (<< 1.0.8-2),
+ octave-informationtheory (<< 0.1.6-2), octave-io (<< 1.0.7-2),
+ octave-irsa (<< 1.0.6-2), octave-linear-algebra (<< 1.0.6-2),
+ octave-miscellaneous (<< 1.0.7-2), octave-missing-functions (<< 1.0.1-2),
+ octave-nan (<< 1.0.7-2), octave-nnet (<< 0.1.8-2),
+ octave-octcdf (<< 1.0.11-2), octave-octgpr (<< 1.1.4-3),
+ octave-odebvp (<< 1.0.5-2), octave-odepkg (<< 0.6.4-2),
+ octave-optim (<< 1.0.4-2), octave-optiminterp (<< 0.3.1-2),
+ octave-outliers (<< 0.13.8-2), octave-parallel (<< 1.0.7-2),
+ octave-physicalconstants (<< 0.1.6-2), octave-plot (<< 1.0.6-2),
+ octave-signal (<< 1.0.8-2), octave-sockets (<< 1.0.5-2),
+ octave-specfun (<< 1.0.7-2), octave-splines (<< 1.0.6-2),
+ octave-statistics (<< 1.0.7-1), octave-strings (<< 1.0.6-2),
+ octave-struct (<< 1.0.6-2), octave-symbolic (<< 1.0.7-2),
+ octave-time (<< 1.0.8-2), octave-tsa (<< 4.0.0-2), octave-vrml (<< 1.0.8-2),
+ octave-zenity (<< 0.5.6-2)
+Description: GNU Octave language for numerical computations ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
@@ -40,121 +65,112 @@ Description: GNU Octave language for num
  Octave uses some of the best and most respected numerical libraries as
  balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
  ranlib, slatec-fn and villad. Octave can be dynamically extended with
- user-supplied C++ files.[V_2_1:
+ user-supplied C++ files.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-doc
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-doc
 Architecture: all
 Section: doc
-Suggests: octave[V_2_1:2.1:][V_3_0:3.0:], xpdf | pdf-viewer
+Suggests: octave[V_3_0:3.0:][V_3_1:3.1:], xpdf | pdf-viewer
 Conflicts: octave-doc (<< 2.1)[V_3_0:, octave2.9-doc (<< 1:3):]
 Provides: octave-doc
 Replaces: octave-doc
-Description: PDF documentation on the GNU Octave language ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Description: PDF documentation on the GNU Octave language ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in PDF format:
+ This package provides the following documentation in PDF format:
  the FAQ, a reference card in a4, letter and legal formats, a document on the
  C++ classes used by Octave, as well as the main octave documentation which
- is also included in info format in the octave[V_2_1:2.1:][V_3_0:3.0:]-info package.[V_2_1:
+ is also included in info format in the octave[V_3_0:3.0:][V_3_1:3.1:]-info package.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0-doc
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
-
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-htmldoc
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-htmldoc
 Architecture: all
 Section: doc
-Suggests: octave[V_2_1:2.1:][V_3_0:3.0:], lynx | www-browser
+Suggests: octave[V_3_0:3.0:][V_3_1:3.1:], lynx | www-browser
 Conflicts: octave-htmldoc (<< 2.1), octave2.0-htmldoc[V_3_0:, octave2.9-htmldoc (<< 1:3):]
 Replaces: octave-htmldoc
 Provides: octave-htmldoc
-Description: HTML documentation on the GNU Octave language ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Description: HTML documentation on the GNU Octave language ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in html format:
+ This package provides the following documentation in html format:
  the FAQ, a document on the C++ classes used by Octave, as well as the main
  octave documentation which is also included in info format in the main
- Octave package.[V_2_1:
+ Octave package.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0-htmldoc
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-headers
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-headers
 Architecture: any
-Depends: octave[V_2_1:2.1:][V_3_0:3.0:] (= ${binary:Version}), gfortran,
- gcc [!arm], gcc-4.1 [arm], g++ [!arm], g++-4.1 [arm],
+Depends: octave[V_3_0:3.0:][V_3_1:3.1:] (= ${binary:Version}), ${gcc:Depends},
  libreadline5-dev, libncurses5-dev, libhdf5-serial-dev (>= 1.6.5)
- | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5),
+ | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5) | libhdf5-openmpi-dev (>= 1.6.5),
  libblas-dev, liblapack-dev, libfftw3-dev,
  f2c [m68k]
 Conflicts: octave-headers (<< 2.1)[V_3_0:, octave2.9-headers (<< 1:3):]
 Provides: octave-headers
 Replaces: octave-headers
-Description: header files for the GNU Octave language ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Description: header files for the GNU Octave language ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the include files needed to compile and link
+ This package provides the include files needed to compile and link
  user-supplied code with GNU Octave. If you only write interpreted .m files,
  you do not need this package.
  .
  The package is architecture-specific as it contains machine-dependent
- compiler switches in the mkoctfile script.[V_2_1:
+ compiler switches in the mkoctfile script.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0-headers
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-emacsen
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-emacsen
 Architecture: all
-Depends: octave[V_2_1:2.1:][V_3_0:3.0:], emacs22 | xemacs21 | emacsen,
+Depends: octave[V_3_0:3.0:][V_3_1:3.1:], emacs22 | xemacs21 | emacsen,
  debianutils (>= 1.6)
 Conflicts: octave2.0-emacsen[V_3_0:, octave2.9-emacsen (<< 1:3):]
 Replaces: octave (<= 2.0.16-2)
 Provides: octave-emacsen
-Description: Emacs support for the GNU Octave language ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Description: Emacs support for the GNU Octave language ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the elisp files for the Octave modes for GNU Emacs
- and XEmacs.[V_2_1:
+ This package provides the elisp files for the Octave modes for GNU Emacs
+ and XEmacs.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0-emacsen
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
-
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-info
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-info
 Architecture: all
 Depends: info (>= 3.12) | info-browser
 Conflicts: octave2.0-info[V_3_0:, octave2.9-info (<< 1:3):]
 Replaces: octave (<= 2.0.16-2)
 Provides: octave-info
-Description: GNU Info documentation on the GNU Octave language ([V_2_1:2.1:][V_3_0:3.0:] branch)
+Description: GNU Info documentation on the GNU Octave language ([V_3_0:3.0:][V_3_1:3.1:] branch)
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This packages provides the following documentation in info format:
+ This package provides the following documentation in info format:
  the FAQ, a document on the C++ classes used by Octave, as well as the main
  octave documentation which is needed for the 'help -i foo' command within
- Octave.[V_2_1:
+ Octave.[V_3_1:
  .
- The recommended branch of Octave is 3.0.  Please, use the octave3.0-info
- package instead of this one, since it will be dropped after the Debian
- lenny release.:]
+ The recommended branch of Octave is 3.0.  The 3.1 branch is
+ experimental and is considered to be unstable.:]
 
 [V_3_0:
 Package: octave2.9
@@ -208,12 +224,12 @@ Description: GNU Info documentation on t
  can be removed.
 :]
 
-Package: octave[V_2_1:2.1:][V_3_0:3.0:]-dbg
-Section: devel
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-dbg
+Section: debug
 Priority: extra
 Architecture: any
-Depends: octave[V_2_1:2.1:][V_3_0:3.0:] (=${binary:Version})
-Description: Debug symbols for octave[V_2_1:2.1:][V_3_0:3.0:]
+Depends: octave[V_3_0:3.0:][V_3_1:3.1:] (=${binary:Version})
+Description: Debug symbols for octave[V_3_0:3.0:][V_3_1:3.1:]
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
@@ -224,3 +240,20 @@ Description: Debug symbols for octave[V_
  user-supplied C++ files.
  .
  This package provides the debug symbols.
+
+Package: octave[V_3_0:3.0:][V_3_1:3.1:]-common
+Section: devel
+Priority: extra
+Architecture: all
+Description: architecture-independent files for octave[V_3_0:3.0:][V_3_1:3.1:]
+ Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ intended for numerical computations. It provides a convenient command-line
+ interface for solving linear and nonlinear problems numerically.
+ .
+ Octave uses some of the best and most respected numerical libraries as
+ balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
+ ranlib, slatec-fn and villad. Octave can be dynamically extended with
+ user-supplied C++ files.
+ .
+ This package provides the architecture-independent files (Octave scripts
+ and other helper files).
diff -pruN 1:3.0.1-6/debian/in/copyright 1:3.0.5-6/debian/in/copyright
--- 1:3.0.1-6/debian/in/copyright	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/copyright	2009-05-25 06:22:14.000000000 +0100
@@ -15,11 +15,11 @@ The original sources can be obtained at
 See /usr/share/doc/octave/changelog.Debian.gz for details on the
 applied changes.
 
-GNU Octave is Copyright (C) 1992 - 2007 John W. Eaton and others
+GNU Octave is Copyright (C) 1992 - 2008 John W. Eaton and others
 
     Octave is free software; you can redistribute it and/or modify it under
     the terms of the GNU General Public License as published by the Free
-    Software Foundation; either version [V_2_1:2:][V_3_0:3:], or (at your option) any later
+    Software Foundation; either version 3, or (at your option) any later
     version.
 
     Octave is distributed in the hope that it will be useful, but WITHOUT
@@ -33,4 +33,4 @@ GNU Octave is Copyright (C) 1992 - 2007 
     02110-1301, USA.
 
 On Debian GNU/Linux systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL-[V_2_1:2:][V_3_0:3:]'.
+Public License can be found in `/usr/share/common-licenses/GPL-3'.
diff -pruN 1:3.0.1-6/debian/in/defs.make 1:3.0.5-6/debian/in/defs.make
--- 1:3.0.1-6/debian/in/defs.make	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/defs.make	2009-05-25 06:22:14.000000000 +0100
@@ -1,6 +1,6 @@
 # Installation paths for use in debian/rules of Octave-related packages
 # Written by Rafael Laboissiere <rafael@debian.org>
-# $Id: defs.make 595 2006-04-30 21:12:31Z thomas-guest $
+# $Id$
 
 MDIR = $(shell octave-config-@VERSION@  --print LOCALAPIFCNFILEDIR)
 OCTDIR = $(shell octave-config-@VERSION@  --print LOCALAPIOCTFILEDIR)
diff -pruN 1:3.0.1-6/debian/in/NEWS 1:3.0.5-6/debian/in/NEWS
--- 1:3.0.1-6/debian/in/NEWS	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/NEWS	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,18 @@
+[V_3_0:octave3.0 (3.0.0-1) unstable; urgency=low
+
+    This is the real 3.0 release of Octave.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 22 Dec 2007 13:40:25 +0100
+
+octave3.0 (2.9.15-1) experimental; urgency=low
+
+    This is a pre-release of the upcoming Octave 3.0 series and is a package
+    is specific to the Debian GNU/Linux distribution. Please don't mistake it
+    for the final 3.0 release.
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Oct 2007 22:39:42 +0000
+
+Local Variables:
+mode: debian-changelog
+End:
+:]
\ No newline at end of file
diff -pruN 1:3.0.1-6/debian/in/octave2.1-00list 1:3.0.5-6/debian/in/octave2.1-00list
--- 1:3.0.1-6/debian/in/octave2.1-00list	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave2.1-00list	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-50_lgamma_doc.dpatch
-50_incomplete_gamma.dpatch
-50_g++4.1-fixes.dpatch
-50_automatic-replot-docstring
-50_return-deffn
-50_fixed-freqz
-50_OCTAVEHOME-texi.dpatch
-50_octave-bug-tempfile
-50_clean-pdf-docs
-50_rename-octave-tags
-50_drop-lo-manpages
-50_compile-with-g++-4.3
-50_build-octave-faq
diff -pruN 1:3.0.1-6/debian/in/octave2.1-NEWS 1:3.0.5-6/debian/in/octave2.1-NEWS
--- 1:3.0.1-6/debian/in/octave2.1-NEWS	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave2.1-NEWS	1970-01-01 01:00:00.000000000 +0100
@@ -1,12 +0,0 @@
-octave2.1 (1:2.1.73-18) unstable; urgency=low
-
-    The recommended branch of Octave is 3.0.  The 2.1 branch is now
-    deprecated and the octave2.1* packages will be dropped from Debian
-    after the release of Lenny.  Users should migrate all their scripts to
-    Octave 3.0.*.  See /usr/share/doc/octave3.0/NEWS.gz for details.
-
- -- Rafael Laboissiere <rafael@debian.org>  Thu, 06 Mar 2008 15:25:45 +0100
-
-Local Variables:
-mode: debian-changelog
-End:
diff -pruN 1:3.0.1-6/debian/in/octave2.1-watch 1:3.0.5-6/debian/in/octave2.1-watch
--- 1:3.0.1-6/debian/in/octave2.1-watch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave2.1-watch	1970-01-01 01:00:00.000000000 +0100
@@ -1,2 +0,0 @@
-version=3
-ftp://ftp.octave.org/pub/octave/obsolete/octave-([\d\.]+)\.tar\.gz
diff -pruN 1:3.0.1-6/debian/in/octave3.0-00list 1:3.0.5-6/debian/in/octave3.0-00list
--- 1:3.0.1-6/debian/in/octave3.0-00list	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave3.0-00list	1970-01-01 01:00:00.000000000 +0100
@@ -1,7 +0,0 @@
-50_octave-bug-tempfile
-50_include-cstring-mxarray
-50_fix_handle_for_plotyy.dpatch
-50_add_syspath.dpatch
-randn_doc.dpatch
-no_pdf_in_print.dpatch
-dont_set_helvetica.dpatch
diff -pruN 1:3.0.1-6/debian/in/octave3.0-NEWS 1:3.0.5-6/debian/in/octave3.0-NEWS
--- 1:3.0.1-6/debian/in/octave3.0-NEWS	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave3.0-NEWS	1970-01-01 01:00:00.000000000 +0100
@@ -1,17 +0,0 @@
-octave3.0 (3.0.0-1) unstable; urgency=low
-
-    This is the real 3.0 release of Octave.
-
- -- Rafael Laboissiere <rafael@debian.org>  Sat, 22 Dec 2007 13:40:25 +0100
-
-octave3.0 (2.9.15-1) experimental; urgency=low
-
-    This is a pre-release of the upcoming Octave 3.0 series and is a package
-    is specific to the Debian GNU/Linux distribution. Please don't mistake it
-    for the final 3.0 release.
-
- -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Oct 2007 22:39:42 +0000
-
-Local Variables:
-mode: debian-changelog
-End:
diff -pruN 1:3.0.1-6/debian/in/octave3.0-watch 1:3.0.5-6/debian/in/octave3.0-watch
--- 1:3.0.1-6/debian/in/octave3.0-watch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/octave3.0-watch	1970-01-01 01:00:00.000000000 +0100
@@ -1,2 +0,0 @@
-version=3
-ftp://ftp.octave.org/pub/octave/octave-([\d\.]+)\.tar\.gz
diff -pruN 1:3.0.1-6/debian/in/PACKAGE-common.lintian-overrides 1:3.0.5-6/debian/in/PACKAGE-common.lintian-overrides
--- 1:3.0.1-6/debian/in/PACKAGE-common.lintian-overrides	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE-common.lintian-overrides	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,2 @@
+@PACKAGE@-common: extra-license-file usr/share/octave/@VERSION@/m/miscellaneous/license.m
+@PACKAGE@-common: package-contains-empty-directory usr/share/octave/packages/@MAJOR@/
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.conf 1:3.0.5-6/debian/in/PACKAGE.conf
--- 1:3.0.1-6/debian/in/PACKAGE.conf	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.conf	2009-05-25 06:22:14.000000000 +0100
@@ -7,10 +7,7 @@
 ### directories below /usr/local/share/octave/site-m/.  Please see the Octave
 ### documentation for other variables you might want to set here.
 
-[V_2_1:
-LOADPATH = [ ":/usr/local/share/octave/site-m//", LOADPATH ];
-:]
-
+[V_3_1:
 [V_3_0:
 ## Configure readline using the file inputrc in the Octave startup
 ## directory.
@@ -23,12 +20,18 @@ if (strcmp (PAGER (), "less") && isempty
   PAGER_FLAGS ('-e -X -P"-- less ?pB(%pB\\%):--. (f)orward, (b)ack, (q)uit$"');
 endif
 
-## This appears here instead of in the pkg/PKG_ADD file so that --norc
-## will also skip automatic loading of packages.
+## Use the global list of packages in the versioned directory
+
+pkg global_list /usr/share/octave/packages/@MAJOR@/octave_packages;
 
-pkg ("load", "auto");
+## Adjust pkg prefix for each branch of Octave
 
+pkg prefix /usr/share/octave/packages/@MAJOR@ /usr/lib/octave/packages/@MAJOR@;
 
+## This appears here instead of in the pkg/PKG_ADD file so that --norc
+## will also skip automatic loading of packages.
+
+pkg load auto;
 
 ### Use new style of path generation
 
@@ -39,10 +42,17 @@ addpath (genpath ("/usr/local/share/octa
 ### cleared after being called.
 
 function debian_remove_octave_forge
+:]:][V_3_0:
   p = split (path (), ":");
   for i = 1 : rows (p)
     if ! isempty (findstr (p (i, :), "octave-forge"))
       rmpath (deblank (p (i, :)));
+:][V_3_1:
+  p = strsplit (path (), ":");
+  for i = 1 : rows (p)
+    if ! isempty (findstr (p{i}, "octave-forge"))
+      rmpath (deblank (p{i}));
+:][V_3_1:[V_3_0:
     endif
   endfor
 endfunction
@@ -50,5 +60,5 @@ endfunction
 debian_remove_octave_forge ();
 
 clear debian_remove_octave_forge;
-:]
+:]:]
 
diff -pruN 1:3.0.1-6/debian/in/PACKAGE-emacsen.dirs 1:3.0.5-6/debian/in/PACKAGE-emacsen.dirs
--- 1:3.0.1-6/debian/in/PACKAGE-emacsen.dirs	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE-emacsen.dirs	2009-05-25 06:22:14.000000000 +0100
@@ -1,5 +1,5 @@
 etc/emacs/site-start.d
 usr/lib/emacsen-common/packages/install
 usr/lib/emacsen-common/packages/remove
-[V_3_0:usr/bin
-usr/share/man/man1:]
+[V_3_1:[V_3_0:usr/bin
+usr/share/man/man1:]:]
diff -pruN 1:3.0.1-6/debian/in/PACKAGE-htmldoc.doc-base.faq 1:3.0.5-6/debian/in/PACKAGE-htmldoc.doc-base.faq
--- 1:3.0.1-6/debian/in/PACKAGE-htmldoc.doc-base.faq	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE-htmldoc.doc-base.faq	2009-05-25 06:22:14.000000000 +0100
@@ -9,5 +9,5 @@ Abstract: This document provides answers
 Section: Science/Mathematics
 
 Format: HTML
-Index: /usr/share/doc/@PACKAGE@-htmldoc/faq/[V_2_1:index:][V_3_0:Octave-FAQ:].html
+Index: /usr/share/doc/@PACKAGE@-htmldoc/faq/Octave-FAQ.html
 Files: /usr/share/doc/@PACKAGE@-htmldoc/faq/*.html
\ No newline at end of file
diff -pruN 1:3.0.1-6/debian/in/PACKAGE-htmldoc.prerm 1:3.0.5-6/debian/in/PACKAGE-htmldoc.prerm
--- 1:3.0.1-6/debian/in/PACKAGE-htmldoc.prerm	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE-htmldoc.prerm	1970-01-01 01:00:00.000000000 +0100
@@ -1,24 +0,0 @@
-#!/bin/sh
-#
-# This is the prerm script for the Debian GNU/Linux octave-htmldoc package
-#
-# Written by Dirk Eddelbuettel <edd@debian.org>   
-
-set -e
-
-#DEBHELPER#
-
-# nothing needed beyond what debhelper already provides
-case "$1" in
-    upgrade)
-	;;
-    remove|purge)
-	;;
-    failed-upgrade|abort-install|abort-upgrade|disappear)
-	;;
-    *)
-	echo "postrm called with unknown argument \`$1'" >&2
-	;;
-esac
-
-exit 0
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.lintian-overrides 1:3.0.5-6/debian/in/PACKAGE.lintian-overrides
--- 1:3.0.1-6/debian/in/PACKAGE.lintian-overrides	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.lintian-overrides	2009-05-25 06:22:14.000000000 +0100
@@ -1 +1,2 @@
-[V_3_0:@PACKAGE@: extra-license-file usr/share/octave/@VERSION@/m/miscellaneous/license.m:]
+@PACKAGE@: package-contains-empty-directory usr/lib/octave/api-v@APIVERSION@/
+@PACKAGE@: package-contains-empty-directory usr/lib/octave/packages/@MAJOR@/
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.postinst 1:3.0.5-6/debian/in/PACKAGE.postinst
--- 1:3.0.1-6/debian/in/PACKAGE.postinst	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.postinst	2009-05-25 06:22:14.000000000 +0100
@@ -11,6 +11,12 @@
 VERSION=@VERSION@
 PRIORITY=@PRIORITY@
 
+rebuild_pkg_database () {
+    octave-$VERSION --silent --no-history --no-init-file	\
+                    --eval "pkg ('-verbose', 'rebuild');"	\
+                    < /dev/null
+}
+
 case "$1" in
     configure)
 	#
@@ -18,15 +24,6 @@ case "$1" in
 	install -d /usr/local/share/octave/site-m \
 	        -m 2775 -o root -g staff             2>/dev/null || true
 	#
-	# if it exists, update the ls-R database for kpathsea
-	if [ -d /usr/local/share/octave/ ]
-	then
-	    ls -R /usr/lib/octave/ /usr/share/octave \
-		    /usr/local/share/octave > /usr/share/octave/ls-R
-	else
-	    ls -R /usr/lib/octave/ /usr/share/octave > /usr/share/octave/ls-R
-	fi
-	#
 	# update-alternatives for multiple Octave versions
 	for f in octave octave-bug ; do
 		update-alternatives					\
@@ -35,8 +32,13 @@ case "$1" in
 			--slave /usr/share/man/man1/$f.1.gz $f.1.gz	\
 				/usr/share/man/man1/$f-$VERSION.1.gz
 	done
-
+	rebuild_pkg_database
 	;;
+
+    triggered)
+        rebuild_pkg_database
+        ;;
+
     abort-upgrade|abort-remove|abort-deconfigure)
         ;;
     *)
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.postrm 1:3.0.5-6/debian/in/PACKAGE.postrm
--- 1:3.0.1-6/debian/in/PACKAGE.postrm	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.postrm	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# postrm script for the Debian GNU/Linux octave package
+
+#DEBHELPER#
+
+# The current Octave version, known to debian/rules at build time
+VERSION=@MAJOR@
+
+if [ "$1" = purge ] ; then
+	# Remove the packages database file
+        rm -f /usr/share/octave/packages/$VERSION/octave_packages
+        # Remove the directories, if we can
+        rmdir /usr/share/octave/packages/$VERSION/ 2>/dev/null	\
+            && rmdir /usr/share/octave/packages/ 2>/dev/null	\
+            && rmdir /usr/share/octave/ 2>/dev/null || true
+fi
+
+
+
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.prerm 1:3.0.5-6/debian/in/PACKAGE.prerm
--- 1:3.0.1-6/debian/in/PACKAGE.prerm	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.prerm	2009-05-25 06:22:14.000000000 +0100
@@ -19,7 +19,7 @@ case "$1" in
 	    rmdir /usr/local/share/octave        2>/dev/null || true
 	fi
 	#
-	# remove the ls-R database for kpathsea
+	# This is for old installations of the octave package
 	if [ -f /usr/share/octave/ls-R ]
 	then
 	    rm -f /usr/share/octave/ls-R
diff -pruN 1:3.0.1-6/debian/in/PACKAGE.triggers 1:3.0.5-6/debian/in/PACKAGE.triggers
--- 1:3.0.1-6/debian/in/PACKAGE.triggers	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/PACKAGE.triggers	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1 @@
+interest /usr/share/octave/packages/@MAJOR@
diff -pruN 1:3.0.1-6/debian/in/series 1:3.0.5-6/debian/in/series
--- 1:3.0.1-6/debian/in/series	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/series	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,17 @@
+[V_3_0:
+50_octave-bug-tempfile.diff
+50_fix_handle_for_plotyy.diff
+no_pdf_in_print.diff
+dont_set_helvetica.diff
+glpk-new-api.diff
+real-no-history.diff
+termios-h-check-3.0.diff
+no-argout-intersect.diff
+datenum-vector-input-any-orientation.diff
+:][V_3_1:
+50_octave-bug-tempfile.diff
+no_pdf_in_print.dpatch.diff
+dont_set_helvetica-3.1.diff
+normal-markersize.diff
+termios-h-check-3.1.diff
+:]
diff -pruN 1:3.0.1-6/debian/in/watch 1:3.0.5-6/debian/in/watch
--- 1:3.0.1-6/debian/in/watch	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/in/watch	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,3 @@
+version=3
+opts=pasv \
+ftp://ftp.octave.org/pub/octave/[V_3_1:bleeding-edge/:]octave-([\d\.]+)\.tar\.gz
diff -pruN 1:3.0.1-6/debian/octave.st 1:3.0.5-6/debian/octave.st
--- 1:3.0.1-6/debian/octave.st	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/octave.st	1970-01-01 01:00:00.000000000 +0100
@@ -1,178 +0,0 @@
-/**
- * Name: octave
- * Description: Octave programming language.
- * Author: Rafael Laboissiere <rafael@laboissiere.net>
- * (based on the Matlab version by Jack Dunn <h.j.dunn@larc.nasa.gov>)
- */
-
-octave_keyword_re =
-/\b(break|cl(ear|ose)|e(nd|lse|lseif|rror)|end(if|f(or|unction)|switch|while)|f(or|unction)|if|keyboard|otherwise \
-|quit|return|switch|while)\b/;
-
-/* Taken fron the Matlab Function Reference, version 5.2 */
-octave_type_re =
-/\b(abs|acopy|acos|acosh|acot|acoth|acsc|acsch|addpath|airy|all|and|angle|ans|any\
-|arc(cosecant|cosine|cotangent|secant|sine|tangent)|area\
-|arename|asech|asin|asinh|atan(|2)|atanh|axes|axis|balance|bar(|3|3h|h)\
-|base2dec|bessel(h|i|j|k|y)|beta(|inc|ln)\
-|bicgstab|bin2dec|bit(and|cmp|get|max|or|set|shift|xor)|blanks\
-|box|brighten|builtin|calendar|cam(dolly|light|lookat|orbit|pan|pos|proj\
-|roll|target|up|va|zoom)|capture|case|cat(|ch)|caxis|cd|cdf2rdf\
-|cell(|2struct|plot)|cgs|char|chol(|inc|update)|cla(|bel|ss)\
-|clc|clf|clock|col(mmd|or(bar|map)|perm)|com(bs|et|et3|pa(n|ss))|computer\
-|cond(|eig|est)|conj|con(tour(|3|c|f))|contrast|conv(|2)|convhull|conv\
-|copy(file|obj)|corrcoef|cos|cosh|cot|coth|cov|cplxpair|cputime|cross\
-|csc|csch|cum(prod|trapz)|cylinder|daspect|date|date(num|str|vec)\
-|db(clear|cont|down|mex|quit|stack|status|step|stop|type|up)\
-|dd(eadv|eexec|einit|epoke|ereq|eterm|eunadv)|de(al|blank|(c2(base|bin|hex))\
-|conv)|default4|del2|delaunay|de(lete|t)|diag|diary|diff|dir|disp\
-|dlm(read|writ)|dmperm|double|dragrect|drawnow|dsearch|echo|eig|eigs|ellipj\
-|ellipke|eomday|eps|erf(|c|cx)|etime|eval|evalin|exist|exp|expint|expm|eye\
-|ezplot|factor|fclose|feather|feof|ferror|feval|fft(|2|n|shift)\
-|fget(l|s)|fid|figflag|figure|fileparts|fill|fill3|filter(|2)|find(|obj|str)\
-|fix|flip(dim|lr|ud)|floor|flops|fmin(|s)|fopen|format|fplot|fprintf\
-|frame(2im|edit)|fread|freqspace|frewind|fscanf|fseek|ftell|full|funm|fwrite\
-|fzero|gallery|gamma(|inc|ln)|g(ca|cd|cf|co)|gestalt|get(|field|frame)\
-|ginput|global|gmres|gplot|gradient|graymon|grid(|data)|gsvd|gtext|hadamard\
-|hankel|hdf|help|hess|hex2(dec|num)|hidden|hilb|hist|hold|home|horzcat\
-|hsv2rgb|i|ifft(|2|n|shift)|im2frame|imag|image|imagesc|im(finfo|read|write)\
-|ind2sub|Inf|inferiorto|inline|inpolygon|input|int2str|interp(1|2|3|ft|n)\
-|intersect|inv|invhilb|ipermute|is(a|cell(|str)|char|empty|equal|field\
-|finite|global|handle|hold|ieee|inf|letter|logical|member|nan|numeric\
-|object|ppc|prime|real|space|sparse|str|struct|student|unix|vms)\
-|j|kron|last(err|warn)|lcm|ldivide|legend(|re)|length|light(|angle|ing)\
-|lin2mu|line|linspace|load|log(|10|2|ical)|loglog(|m|space)|lookfor\
-|lower|lscov|lu|luinc|magic|mat2str|material|max|mean|median|menu\
-|mesh(|c|grid|z)|min|minus|mislocked|mkdir|ml(divide|ock)|mod|more|movie(|in)\
-|mpower|mrdivide|mtimes|mu2lin|munlock|NaN|narg(chk|in|out)|nd(grid|ims)\
-|newplot|nextpow2|nnls|nnz|nonzeros|norm|normest|not|now|null|num2(cell|str)\
-|nzmax|ode(45|file|get|set)|ones|or|orient|orth|pack|pagedlg|pareto|pascal\
-|patch|path|pause|pbaspect|pcg|pcode|pcolor|perms|permute|persistent\
-|pi|pie(|,3)|pinv|plot(|3|matrix|yy)|plus|pol2cart|polar|poly(|area|der\
-|eig|fit|val|valm)|pow2|power|primes|print(|dlg|frame|opt)|prod\
-|profile|qmr|qr(|delete|insert)|qtwrite|quad|quad8|quiver(|3)|qz\
-|rand(|n|perm)|rank|rat(|s)|rbbox|rcond|rdivide|readsnd|real(|max|min)\
-|recordsound|refresh|rem|repmat|reset|reshape|residue|rgb(2hsv|plot)\
-|ribbon|rmfield|rmpath|roots|rose|rot90|rotate(|3d)|round|rref(|movie)\
-|rsf2csf|save|scatter(|3)|schur|script|sech|semilog(x|y)|set(|diff|feild|xor)\
-|shading|shiftdim|sign|sin|sinh|size|slice|sliders|sort|sortrows|sound(|cap)\
-|sp(alloc|arse|convert|diags|eak|eye|fun|h2cart|here|inmap|line\
-|ones|parms|rand|randn|randsym|rintf|y)|sqrt(|m)|squeeze|sscanf|stairs\
-|startup|std|stem(|3)|str(2(cell|num)|cat|cmp|cmpi|ings|just|match|ncmp\
-|ncmpi|rep|tok|uct2cell,vcat)|sub(2ind|plot|s(asgn|pace|ref))|sum|superiorto\
-|surf(|ace|c|l|norm)|svd(|s)|sym(mmd|rcm)|tan|tanh|tempdir|tempname\
-|terminal|text|tic|times|title|toc|toeplitz|trace|transpose|trapz\
-|tri(l|mesh|surf|u)|try|tsearch|type|ui(control|getfile|menu|nt8|putfile\
-|resume|setcolor|setfont)|uminus|union|unique|unwrap|uplus|upper|varargout\
-|vectorize|ver(|sion|tcat)|view|viewmtx|voronoi|wait(bar|for(|buttonpress))\
-|warndlg|warning|waterfall|wav(read|write)|weekday|what(|snew)|which|who(|s)\
-|wilkinson|wk1(read|write)|writesnd|xlabel|xlgetrange|xlim|xlsetrange|xor\
-|ylabel|ylim|zeros|zlabel|zlim|zoom\
-)\b/;
-
-state octave_string_single_quotes extends Highlight
-{
-  /\\\\./ {
-    language_print ($0);
-  }
-  /[\']/ {
-    language_print ($0);
-    return;
-  }
-}
-
-state octave_string_double_quotes extends Highlight
-{
-  /\\\\./ {
-    language_print ($0);
-  }
-  /"/ {
-    language_print ($0);
-    return;
-  }
-}
-
-state octave extends HighlightEntry
-{
-  /* Comments. */
-  /(%|#)/ {
-    comment_face (true);
-    language_print ($0);
-    call (eat_one_line);
-    comment_face (false);
-  }
-
-  /* Continuation. */
-  /\.\.\./ {
-    keyword_face (true);
-    language_print ($0);
-    keyword_face (false);
-  }
-
-  /* Matrix start.  */
-  /\[/ {
-    type_face (true);
-    language_print ($0);
-    type_face (false);
-  }
-
-  /* Matrix end. */
-  /\]/ {
-    type_face (true);
-    language_print ($0);
-    type_face (false);
-  }
-
-  octave_type_re {
-    type_face (true);
-    language_print ($0);
-    type_face (false);
-  }
-
-  octave_keyword_re {
-     keyword_face (true);
-     language_print($0);
-     keyword_face (false);
-  }
-
-  /* Transpose. */
-  /* variable' or )' */
-  /([a-zA-Z][a-zA-Z_0-9]*|\))([\'])/ {
-    language_print ($1);
-    keyword_face (true);
-    language_print ($2);
-    keyword_face (false);
-  }
-  /* ]' */
-  /([a-zA-Z][a-zA-Z_0-9]*|])([\'])/ {
-    type_face (true);
-    language_print ($1);
-    type_face (false);
-    keyword_face (true);
-    language_print ($2);
-    keyword_face (false);
-  }
-
-  /* Strings. */
-  /*  'any number of characters'  */
-  /[\']/ {
-    string_face (true);
-    language_print ($0);
-    call (octave_string_single_quotes);
-    string_face (false);
-  }
-  /*  "any number of characters"  */
-  /["]/ {
-    string_face (true);
-    language_print ($0);
-    call (octave_string_double_quotes);
-    string_face (false);
-  }
-}
-
-
-/*
-Local variables:
-mode: c
-End:
-*/
diff -pruN 1:3.0.1-6/debian/patches/00list 1:3.0.5-6/debian/patches/00list
--- 1:3.0.1-6/debian/patches/00list	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/00list	1970-01-01 01:00:00.000000000 +0100
@@ -1,7 +0,0 @@
-50_octave-bug-tempfile
-50_include-cstring-mxarray
-50_fix_handle_for_plotyy.dpatch
-50_add_syspath.dpatch
-randn_doc.dpatch
-no_pdf_in_print.dpatch
-dont_set_helvetica.dpatch
diff -pruN 1:3.0.1-6/debian/patches/50_add_syspath.dpatch 1:3.0.5-6/debian/patches/50_add_syspath.dpatch
--- 1:3.0.1-6/debian/patches/50_add_syspath.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_add_syspath.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,21 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_add_syspath.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Put library path in loadpath (bug fix for #477556)
-## DP: http://www.cae.wisc.edu/pipermail/octave-maintainers/2008-May/007330.html
-
-@DPATCH@
-diff -urNad octave3.0-3.0.1~/src/load-path.cc octave3.0-3.0.1/src/load-path.cc
---- octave3.0-3.0.1~/src/load-path.cc	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/src/load-path.cc	2008-05-21 10:20:38.000000000 +0200
-@@ -382,7 +382,7 @@
-     xpath += dir_path::path_sep_str + tpath;
- 
-   if (! sys_path.empty ())
--    xpath += sys_path;
-+    xpath += dir_path::path_sep_str + sys_path;
- 
-   do_set (xpath, false);
- }
-diff -urNad octave3.0-3.0.1~/src/load-path.cc.orig octave3.0-3.0.1/src/load-path.cc.orig
diff -pruN 1:3.0.1-6/debian/patches/50_automatic-replot-docstring.dpatch 1:3.0.5-6/debian/patches/50_automatic-replot-docstring.dpatch
--- 1:3.0.1-6/debian/patches/50_automatic-replot-docstring.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_automatic-replot-docstring.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,29 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_automatic-replot-docstring.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## Introduce documentation string for the varaible automatic_replot
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/interpreter/plot.txi
-+++ octave2.1-2.1.73/doc/interpreter/plot.txi
-@@ -341,6 +341,8 @@
- any arguments.
- @end deffn
- 
-+@DOCSTRING(automatic_replot)
-+
- Note that NaN values in the plot data are automatically omitted, and
- Inf values are converted to a very large value before calling gnuplot.
- 
---- octave2.1-2.1.73.orig/doc/interpreter/var.txi
-+++ octave2.1-2.1.73/doc/interpreter/var.txi
-@@ -283,7 +283,7 @@
- Default value: @code{"+ "}.
- 
- @item automatic_replot
--@xref{Two-Dimensional Plotting}.
-+@xref{Low-Level plotting commands}.
- 
- Default value: 0.
- 
diff -pruN 1:3.0.1-6/debian/patches/50_build-octave-faq.dpatch 1:3.0.5-6/debian/patches/50_build-octave-faq.dpatch
--- 1:3.0.1-6/debian/patches/50_build-octave-faq.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_build-octave-faq.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,21 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_build-octave-faq.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Build correctly the PS form of the Octave-FAQ documentation
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/faq/Makefile.in
-+++ octave2.1-2.1.73/doc/faq/Makefile.in
-@@ -43,9 +43,9 @@
- 	-$(MAKEINFO) -I$(srcdir) $<
- 
- Octave-FAQ.dvi: $(TEXINFO)
--	-TEXINPUTS="$(srcdir):$(srcdir)/..:$(TEXINPUTS):" $(TEXI2DVI) $<
-+	-TEXINPUTS="$(srcdir):$(srcdir)/..:$(TEXINPUTS):" TEX=tex $(TEXI2DVI) $<
- 
--Octave-FAQ.ps: $(TEXINFO)
-+Octave-FAQ.ps: Octave-FAQ.dvi
- 	-dvips -o $@ $<
- 
- Octave-FAQ.pdf: $(TEXINFO)
diff -pruN 1:3.0.1-6/debian/patches/50_clean-pdf-docs.dpatch 1:3.0.5-6/debian/patches/50_clean-pdf-docs.dpatch
--- 1:3.0.1-6/debian/patches/50_clean-pdf-docs.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_clean-pdf-docs.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,29 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_clean-pdf-docs.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Clean PDF files in doc/ not cleaned by the maintainer-clean target
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/faq/Makefile.in
-+++ octave2.1-2.1.73/doc/faq/Makefile.in
-@@ -79,7 +79,7 @@
-
- maintainer-clean: distclean
- 	rm -f tags TAGS Octave-FAQ.info Octave-FAQ.info-*
--	rm -f Octave-FAQ.dvi Octave-FAQ.ps
-+	rm -f Octave-FAQ.dvi Octave-FAQ.ps Octave-FAQ.pdf
- 	rm -rf HTML
- .PHONY: maintainer-clean
-
---- octave2.1-2.1.73.orig/doc/liboctave/Makefile.in
-+++ octave2.1-2.1.73/doc/liboctave/Makefile.in
-@@ -95,7 +95,7 @@
-
- maintainer-clean: distclean
- 	rm -f tags TAGS liboctave.info liboctave.info-*
--	rm -f liboctave.dvi liboctave.ps
-+	rm -f liboctave.dvi liboctave.ps liboctave.pdf
- 	rm -rf HTML
- .PHONY: maintainer-clean
-
diff -pruN 1:3.0.1-6/debian/patches/50_compile-with-g++-4.3.dpatch 1:3.0.5-6/debian/patches/50_compile-with-g++-4.3.dpatch
--- 1:3.0.1-6/debian/patches/50_compile-with-g++-4.3.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_compile-with-g++-4.3.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,136 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_compile-with-g++-4.3.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Fixes for compiling octave2.1 with g++-4.3
-
-@DPATCH@
-diff -urNad octave2.1-2.1.73~/doc/interpreter/munge-texi.cc octave2.1-2.1.73/doc/interpreter/munge-texi.cc
---- octave2.1-2.1.73~/doc/interpreter/munge-texi.cc	2005-05-02 13:15:47.000000000 +0200
-+++ octave2.1-2.1.73/doc/interpreter/munge-texi.cc	2008-04-08 12:03:29.000000000 +0200
-@@ -29,6 +29,8 @@
- #include <iostream>
- #include <fstream>
- #include <string>
-+#include <cstring>
-+#include <cstdlib>
- #include <map>
- 
- static const char doc_delim = '';
-diff -urNad octave2.1-2.1.73~/liboctave/chMatrix.cc octave2.1-2.1.73/liboctave/chMatrix.cc
---- octave2.1-2.1.73~/liboctave/chMatrix.cc	2005-05-02 13:16:21.000000000 +0200
-+++ octave2.1-2.1.73/liboctave/chMatrix.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -30,6 +30,8 @@
- #include <config.h>
- #endif
- 
-+#include <cstring>
-+
- #include <iostream>
- #include <string>
- 
-diff -urNad octave2.1-2.1.73~/liboctave/data-conv.cc octave2.1-2.1.73/liboctave/data-conv.cc
---- octave2.1-2.1.73~/liboctave/data-conv.cc	2005-05-02 13:16:22.000000000 +0200
-+++ octave2.1-2.1.73/liboctave/data-conv.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -26,6 +26,7 @@
- #endif
- 
- #include <cctype>
-+#include <cstdlib>
- 
- #include <iostream>
- 
-diff -urNad octave2.1-2.1.73~/liboctave/lo-utils.cc octave2.1-2.1.73/liboctave/lo-utils.cc
---- octave2.1-2.1.73~/liboctave/lo-utils.cc	2005-05-02 13:16:26.000000000 +0200
-+++ octave2.1-2.1.73/liboctave/lo-utils.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -29,6 +29,7 @@
- #include <climits>
- #include <cstdlib>
- #include <cstdio>
-+#include <cstring>
- 
- #include <string>
- 
-diff -urNad octave2.1-2.1.73~/liboctave/oct-env.cc octave2.1-2.1.73/liboctave/oct-env.cc
---- octave2.1-2.1.73~/liboctave/oct-env.cc	2005-05-02 13:16:27.000000000 +0200
-+++ octave2.1-2.1.73/liboctave/oct-env.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -43,6 +43,7 @@
- 
- #include <cctype>
- #include <cstdlib>
-+#include <cstring>
- 
- #include <string>
- 
-diff -urNad octave2.1-2.1.73~/liboctave/oct-sort.cc octave2.1-2.1.73/liboctave/oct-sort.cc
---- octave2.1-2.1.73~/liboctave/oct-sort.cc	2005-05-02 13:16:28.000000000 +0200
-+++ octave2.1-2.1.73/liboctave/oct-sort.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -84,6 +84,8 @@
- #include <config.h>
- #endif
- 
-+#include <cstdlib>
-+
- #include "lo-mappers.h"
- #include "quit.h"
- #include "oct-sort.h"
-diff -urNad octave2.1-2.1.73~/src/DLD-FUNCTIONS/sort.cc octave2.1-2.1.73/src/DLD-FUNCTIONS/sort.cc
---- octave2.1-2.1.73~/src/DLD-FUNCTIONS/sort.cc	2006-03-20 22:11:03.000000000 +0100
-+++ octave2.1-2.1.73/src/DLD-FUNCTIONS/sort.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -26,6 +26,8 @@
- #include <config.h>
- #endif
- 
-+#include <vector>
-+
- #include "lo-mappers.h"
- #include "quit.h"
- 
-@@ -294,7 +296,7 @@
- template class octave_sort<vec_index<unsigned EIGHT_BYTE_INT> *>;
- 
- template <>
--static octave_value
-+/* static */ octave_value
- mx_sort (ArrayN<double> &m, int dim, sortmode mode)
- {
-   octave_value retval;
-@@ -431,7 +433,7 @@
- }
- 
- template <>
--static octave_value_list
-+/* static */ octave_value_list
- mx_sort_indexed (ArrayN<double> &m, int dim, sortmode mode)
- {
-   octave_value_list retval;
-diff -urNad octave2.1-2.1.73~/src/pr-output.cc octave2.1-2.1.73/src/pr-output.cc
---- octave2.1-2.1.73~/src/pr-output.cc	2005-05-02 13:17:17.000000000 +0200
-+++ octave2.1-2.1.73/src/pr-output.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -32,6 +32,7 @@
- 
- #include <iomanip>
- #include <iostream>
-+#include <sstream>
- #include <string>
- 
- #include "Array-util.h"
-@@ -1602,7 +1603,7 @@
- }
- 
- template <>
--static inline void
-+/* static */ inline void
- pr_plus_format (std::ostream& os, const Complex& c)
- {
-   double rp = c.real ();
-diff -urNad octave2.1-2.1.73~/src/unwind-prot.cc octave2.1-2.1.73/src/unwind-prot.cc
---- octave2.1-2.1.73~/src/unwind-prot.cc	2005-05-02 13:17:20.000000000 +0200
-+++ octave2.1-2.1.73/src/unwind-prot.cc	2008-04-08 12:02:13.000000000 +0200
-@@ -30,6 +30,7 @@
- #endif
- 
- #include <cstddef>
-+#include <cstring>
- 
- #include "CMatrix.h"
- 
diff -pruN 1:3.0.1-6/debian/patches/50_drop-lo-manpages.dpatch 1:3.0.5-6/debian/patches/50_drop-lo-manpages.dpatch
--- 1:3.0.1-6/debian/patches/50_drop-lo-manpages.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_drop-lo-manpages.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,51 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_drop-lo-manpages.dpatch by Rafael Laboissiere <rafael@debian.org>
-
-@DPATCH@
-
-# HG changeset patch
-# User Rafael Laboissiere <rafael@debian.org>
-# Date 1202453731 -3600
-# Node ID 8aac910c2ea0b6f2480c39359dcdd6766afc0f75
-# Parent  1032e24f199f6679577c9f73af138913705d27d5
-Drop .LO macros from manpages
-
-The .LO are not documented anywhere and processing the manpages through man
-(e.g. "man --warnings -l octave.1") yields:
-
-<standard input>:20: warning: `LO' not defined
-
-diff -r 1032e24f199f -r 8aac910c2ea0 doc/ChangeLog
---- a/doc/ChangeLog	Thu Feb 07 22:36:11 2008 -0500
-+++ b/doc/ChangeLog	Fri Feb 08 07:55:31 2008 +0100
-@@ -1,1 +1,6 @@ 2008-02-07  David Bateman  <dbateman@fre
-+2008-02-08  Rafael Laboissiere  <rafael@debian.org>
-+
-+	* interpreter/octave.1: Dropped unknow LO macro
-+	* interpreter/octave-bug.1: Likewise	
-+
- 2007-12-21  John W. Eaton  <jwe@octave.org>
-
- 	Version 3.0.0 released.
-diff -r 1032e24f199f -r 8aac910c2ea0 doc/interpreter/octave-bug.1
---- a/doc/interpreter/octave-bug.1	Thu Feb 07 22:36:11 2008 -0500
-+++ b/doc/interpreter/octave-bug.1	Fri Feb 08 07:55:31 2008 +0100
-@@ -19,7 +19,6 @@
- .\" This page was contributed by Dirk Eddelbuettel <edd@debian.org>
- .\" 
- .TH octave-bug 1 "6 March 2000" GNU
--.LO 1
- .SH NAME
- octave-bug \- report a bug in GNU Octave
- .SH SYNOPSIS
-diff -r 1032e24f199f -r 8aac910c2ea0 doc/interpreter/octave.1
---- a/doc/interpreter/octave.1	Thu Feb 07 22:36:11 2008 -0500
-+++ b/doc/interpreter/octave.1	Fri Feb 08 07:55:31 2008 +0100
-@@ -17,7 +17,6 @@
- .\" <http://www.gnu.org/licenses/>.
- .\"
- .TH Octave 1 "Jan 8 1996"
--.LO 1
- .SH NAME
- octave \- A high-level interactive language for numerical computations.
- .SH SYNOPSIS
diff -pruN 1:3.0.1-6/debian/patches/50_fixed-freqz.dpatch 1:3.0.5-6/debian/patches/50_fixed-freqz.dpatch
--- 1:3.0.1-6/debian/patches/50_fixed-freqz.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_fixed-freqz.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,69 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_fixed-freqz.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Fixed freqz.m (patch taken from upstream CVS)
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/scripts/signal/freqz.m
-+++ octave2.1-2.1.73/scripts/signal/freqz.m
-@@ -84,7 +84,7 @@
-     region = Fs = [];
-   elseif (nargin == 4)
-     Fs = [];
--    if (! isstr (region) && ! isempty (region))
-+    if (! ischar (region) && ! isempty (region))
-       Fs = region; 
-       region = [];
-     endif
-@@ -114,26 +114,27 @@
-     endif
-   endif
- 
--  a = a(:).';
--  b = b(:).';
-+  a = a(:);
-+  b = b(:);
- 
-   if (! isscalar (n)) ## Explicit frequency vector given
-     w = f = n;
-     if (nargin == 4)  ## Sampling rate Fs was specified
-       w = 2*pi*f/Fs;
-     endif
--    hb = polyval (fliplr(b), exp(-j*w));
--    ha = polyval (fliplr(a), exp(-j*w));
-+    hb = polyval (fliplr(b), exp(j*w));
-+    ha = polyval (fliplr(a), exp(j*w));
-   elseif (strcmp (region, "whole"))
--    f = Fs * (0:n-1) / n;
--    ## polyval(fliplr(P),exp(-jw)) is O(p n) and fft(x) is O(n log(n)), where p is the 
--    ## order of the the polynomial P.  For small p it would be faster to use polyval  
--    ## but in practice the overhead for polyval is much higher and the little bit of
--    ## time saved isn't worth the extra code.
-+    f = Fs * (0:n-1)' / n;
-+    ## polyval(fliplr(P),exp(jw)) is O(p n) and fft(x) is O(n log(n)),
-+    ## where p is the order of the the polynomial P.  For small p it
-+    ## would be faster to use polyval but in practice the overhead for
-+    ## polyval is much higher and the little bit of time saved isn't
-+    ## worth the extra code.
-     hb = fft (postpad (b, n));
-     ha = fft (postpad (a, n));
-   else
--    f = Fs/2 * (0:n-1) / n;
-+    f = Fs/2 * (0:n-1)' / n;
-     hb = fft (postpad (b, 2*n))(1:n);
-     ha = fft (postpad (a, 2*n))(1:n);
-   endif
-@@ -169,9 +170,9 @@
- %!test # Sampling frequency properly interpreted
- %! b = [1 1 1]/3;
- %! [h,f] = freqz(b,1,16,320);
--%! assert(f,[0:15]*10,10*eps);
-+%! assert(f,[0:15]'*10,10*eps);
- %! [h2,f2] = freqz(b,1,[0:15]*10,320);
- %! assert(f2,[0:15]*10,10*eps);
--%! assert(h,h2,20*eps);
-+%! assert(h,h2',20*eps);
- %! [h3,f3] = freqz(b,1,32,'whole',320);
--%! assert(f3,[0:31]*10,10*eps);
-+%! assert(f3,[0:31]'*10,10*eps);
diff -pruN 1:3.0.1-6/debian/patches/50_fix_handle_for_plotyy.diff 1:3.0.5-6/debian/patches/50_fix_handle_for_plotyy.diff
--- 1:3.0.1-6/debian/patches/50_fix_handle_for_plotyy.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_fix_handle_for_plotyy.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,76 @@
+Apply patch from David Bateman to fix the handle treatment in plotyy
+(closes: #472069).
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 29 Mar 2008 10:32:15 +0100
+
+diff -urNad octave3.0-3.0.0~/scripts/plot/plotyy.m octave3.0-3.0.0/scripts/plot/plotyy.m
+--- octave3.0-3.0.0~/scripts/plot/plotyy.m	2007-12-13 18:48:59.000000000 +0100
++++ octave3.0-3.0.0/scripts/plot/plotyy.m	2008-03-28 12:20:12.000000000 +0100
+@@ -55,7 +55,37 @@
+ 
+ function [Ax, H1, H2] = plotyy (varargin)
+ 
+-  [ax, varargin] = __plt_get_axis_arg__ ("plotyy", varargin{:});
++  ## Don't use __plt_get_axis_arg__ here as ax is a two vector for plotyy
++  if (nargin > 1 && length (varargin{1}) == 2 && ishandle(varargin{1}(1)) 
++      &&  ishandle(varargin{1}(2)) && 
++      all (floor (varargin{1}) != varargin{1}))
++    obj1 = get (varargin{1}(1));
++    obj2 = get (varargin{1}(2));
++    if (strcmp (obj1.type, "axes") || strcmp (obj2.type, "axes"))
++      ax = [obj1, obj2];
++      varargin(1) = [];
++      if (isempty (varargin))
++	varargin = {};
++      endif
++    else
++      error ("plotyy: expecting first argument to be axes handle");
++    endif
++  else
++    f = get (0, "currentfigure");
++    if (isempty (f))
++      ax(1) = axes ();
++      ax(2) = axes ();
++    else
++      ax = get (f, "children");
++      for i = 3 : length (ax)
++	delete (ax (i));
++      endfor
++      ax = ax(1:2);
++    endif
++    if (nargin < 2)
++      varargin = {};
++    endif
++  endif 
+ 
+   if (nargin < 4)
+     print_usage ();
+@@ -63,8 +93,6 @@
+ 
+   oldh = gca ();
+   unwind_protect
+-    axes (ax);
+-    newplot ();
+     [ax, h1, h2] = __plotyy__ (ax, varargin{:});
+   unwind_protect_cleanup
+     axes (oldh);
+@@ -92,6 +120,8 @@
+ 
+   xlim = [min([x1(:); x2(:)]), max([x1(:); x2(:)])];
+ 
++  axes (ax(1));
++  newplot ();
+   h1 = feval (fun1, x1, y1);
+ 
+   set (ax(1), "ycolor", getcolor (h1(1)));
+@@ -101,7 +131,9 @@
+ 
+   cf = gcf ();
+   set (cf, "nextplot", "add");
+-  ax(2) = axes ();
++  axes (ax(2));
++  newplot ();
++
+   colors = get (ax(1), "colororder");
+   set (ax(2), "colororder", [colors(2:end,:); colors(1,:)]);
+ 
diff -pruN 1:3.0.1-6/debian/patches/50_fix_handle_for_plotyy.dpatch 1:3.0.5-6/debian/patches/50_fix_handle_for_plotyy.dpatch
--- 1:3.0.1-6/debian/patches/50_fix_handle_for_plotyy.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_fix_handle_for_plotyy.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,78 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_fix_handle_for_plotyy.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Bug fix for 472069
-
-@DPATCH@
-diff -urNad octave3.0-3.0.0~/scripts/plot/plotyy.m octave3.0-3.0.0/scripts/plot/plotyy.m
---- octave3.0-3.0.0~/scripts/plot/plotyy.m	2007-12-13 18:48:59.000000000 +0100
-+++ octave3.0-3.0.0/scripts/plot/plotyy.m	2008-03-28 12:20:12.000000000 +0100
-@@ -55,7 +55,37 @@
- 
- function [Ax, H1, H2] = plotyy (varargin)
- 
--  [ax, varargin] = __plt_get_axis_arg__ ("plotyy", varargin{:});
-+  ## Don't use __plt_get_axis_arg__ here as ax is a two vector for plotyy
-+  if (nargin > 1 && length (varargin{1}) == 2 && ishandle(varargin{1}(1)) 
-+      &&  ishandle(varargin{1}(2)) && 
-+      all (floor (varargin{1}) != varargin{1}))
-+    obj1 = get (varargin{1}(1));
-+    obj2 = get (varargin{1}(2));
-+    if (strcmp (obj1.type, "axes") || strcmp (obj2.type, "axes"))
-+      ax = [obj1, obj2];
-+      varargin(1) = [];
-+      if (isempty (varargin))
-+	varargin = {};
-+      endif
-+    else
-+      error ("plotyy: expecting first argument to be axes handle");
-+    endif
-+  else
-+    f = get (0, "currentfigure");
-+    if (isempty (f))
-+      ax(1) = axes ();
-+      ax(2) = axes ();
-+    else
-+      ax = get (f, "children");
-+      for i = 3 : length (ax)
-+	delete (ax (i));
-+      endfor
-+      ax = ax(1:2);
-+    endif
-+    if (nargin < 2)
-+      varargin = {};
-+    endif
-+  endif 
- 
-   if (nargin < 4)
-     print_usage ();
-@@ -63,8 +93,6 @@
- 
-   oldh = gca ();
-   unwind_protect
--    axes (ax);
--    newplot ();
-     [ax, h1, h2] = __plotyy__ (ax, varargin{:});
-   unwind_protect_cleanup
-     axes (oldh);
-@@ -92,6 +120,8 @@
- 
-   xlim = [min([x1(:); x2(:)]), max([x1(:); x2(:)])];
- 
-+  axes (ax(1));
-+  newplot ();
-   h1 = feval (fun1, x1, y1);
- 
-   set (ax(1), "ycolor", getcolor (h1(1)));
-@@ -101,7 +131,9 @@
- 
-   cf = gcf ();
-   set (cf, "nextplot", "add");
--  ax(2) = axes ();
-+  axes (ax(2));
-+  newplot ();
-+
-   colors = get (ax(1), "colororder");
-   set (ax(2), "colororder", [colors(2:end,:); colors(1,:)]);
- 
diff -pruN 1:3.0.1-6/debian/patches/50_g++4.1-fixes.dpatch 1:3.0.5-6/debian/patches/50_g++4.1-fixes.dpatch
--- 1:3.0.1-6/debian/patches/50_g++4.1-fixes.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_g++4.1-fixes.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,29 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_g++4.1-fixes.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Aloow compilation against g++ 4.1
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/liboctave/ArrayN.h
-+++ octave2.1-2.1.73/liboctave/ArrayN.h
-@@ -63,7 +63,7 @@
-   ArrayN (const dim_vector& dv) : Array<T> (dv) { }
- 
-   ArrayN (const dim_vector& dv, const T& val)
--    : Array<T> (dv) { fill (val); }
-+    : Array<T> (dv) { Array<T>::fill (val); }
- 
-   template <class U>
-   explicit ArrayN (const Array2<U>& a) : Array<T> (a, a.dims ()) { }
---- octave2.1-2.1.73.orig/liboctave/DiagArray2.h
-+++ octave2.1-2.1.73/liboctave/DiagArray2.h
-@@ -125,7 +125,7 @@
-     {
-       this->dimensions = dim_vector (r, c);
- 
--      fill (val);
-+      Array<T>::fill (val);
-     }
- 
-   DiagArray2 (const Array<T>& a) : Array<T> (a)
diff -pruN 1:3.0.1-6/debian/patches/50_include-cstring-mxarray.dpatch 1:3.0.5-6/debian/patches/50_include-cstring-mxarray.dpatch
--- 1:3.0.1-6/debian/patches/50_include-cstring-mxarray.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_include-cstring-mxarray.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,35 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_include-cstring-mxarray.dpatch by Rafael Laboissiere <rafael@debian.org>
-
-@DPATCH@
-
-# HG changeset patch
-# User jwe
-# Date 1201224095 0
-# Node ID 33577b0d4df210f9dc907c6e825747c2c6d337fb
-# Parent  a7a987b229b7b0e16b2ae8748e147c2caffa815d
-[project @ 2008-01-25 01:21:35 by jwe]
-
-diff -r a7a987b229b7 -r 33577b0d4df2 src/ChangeLog
---- a/src/ChangeLog	Thu Jan 24 08:31:36 2008 +0000
-+++ b/src/ChangeLog	Fri Jan 25 01:21:35 2008 +0000
-@@ -1,1 +1,5 @@ 2008-01-22  John W. Eaton  <jwe@octave.o
-+2008-01-24  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>
-+
-+	* mxarray.h.in: Include <cstring>.
-+
- 2007-12-21  John W. Eaton  <jwe@octave.org>
-
- 	Version 3.0.0 released.
-diff -r a7a987b229b7 -r 33577b0d4df2 src/mxarray.h.in
---- a/src/mxarray.h.in	Thu Jan 24 08:31:36 2008 +0000
-+++ b/src/mxarray.h.in	Fri Jan 25 01:21:35 2008 +0000
-@@ -89,6 +89,8 @@ typedef @OCTAVE_IDX_TYPE@ mwIndex;
- typedef @OCTAVE_IDX_TYPE@ mwIndex;
- 
- #if ! defined (MXARRAY_TYPEDEFS_ONLY)
-+
-+#include <cstring>
- 
- class octave_value;
- 
diff -pruN 1:3.0.1-6/debian/patches/50_incomplete_gamma.dpatch 1:3.0.5-6/debian/patches/50_incomplete_gamma.dpatch
--- 1:3.0.1-6/debian/patches/50_incomplete_gamma.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_incomplete_gamma.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,41 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_incomplete_gamma.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Patch for #335195, taken from Octave 2.9;
-##     it enhances the documentation of the gammainc function
-
-@DPATCH@
-diff -urNad octave-2.1.73~/src/DLD-FUNCTIONS/gammainc.cc octave-2.1.73/src/DLD-FUNCTIONS/gammainc.cc
---- octave-2.1.73~/src/DLD-FUNCTIONS/gammainc.cc	2005-05-02 13:17:21.000000000 +0200
-+++ octave-2.1.73/src/DLD-FUNCTIONS/gammainc.cc	2006-03-24 14:29:33.000000000 +0100
-@@ -36,7 +36,7 @@
- DEFUN_DLD (gammainc, args, ,
-   "-*- texinfo -*-\n\
- @deftypefn {Mapping Function} {} gammainc (@var{x}, @var{a})\n\
--Computes the incomplete gamma function,\n\
-+Compute the normalized incomplete gamma function,\n\
- @iftex\n\
- @tex\n\
- $$\n\
-@@ -53,15 +53,18 @@
-                   gamma (a)    /\n\
-                             t=0\n\
- @end smallexample\n\
-+\n\
- @end ifinfo\n\
-+with the limiting value of 1 as @var{x} approaches infinity.\n\
-+The standard notation is @math{P(a,x)}, e.g. Abramowitz and Stegun (6.5.1).\n\
- \n\
- If @var{a} is scalar, then @code{gammainc (@var{x}, @var{a})} is returned\n\
- for each element of @var{x} and vice versa.\n\
- \n\
- If neither @var{x} nor @var{a} is scalar, the sizes of @var{x} and\n\
- @var{a} must agree, and @var{gammainc} is applied element-by-element.\n\
--@end deftypefn\n\
--@seealso{gamma and lgamma}")
-+@seealso{gamma, lgamma}\n\
-+@end deftypefn")
- {
-   octave_value retval;
- 
diff -pruN 1:3.0.1-6/debian/patches/50_lgamma_doc.dpatch 1:3.0.5-6/debian/patches/50_lgamma_doc.dpatch
--- 1:3.0.1-6/debian/patches/50_lgamma_doc.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_lgamma_doc.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,22 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_lgamma_doc.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Patch for #335373; this was applied upstream only for Octave 2.9;
-##     it fixes the documentation of th lgamma mapper function
-
-@DPATCH@
-diff -urNad octave-2.1.73~/src/mappers.cc octave-2.1.73/src/mappers.cc
---- octave-2.1.73~/src/mappers.cc	2005-05-02 13:17:13.000000000 +0200
-+++ octave-2.1.73/src/mappers.cc	2006-03-24 13:47:00.000000000 +0100
-@@ -537,8 +537,8 @@
- 
-   DEFUN_MAPPER (lgamma, 0, 0, 0, xlgamma, 0, 0, 0.0, 0.0, 0, 0,
-     "-*- texinfo -*-\n\
--@deftypefn {Mapping Function} {} lgamma (@var{a}, @var{x})\n\
--@deftypefnx {Mapping Function} {} gammaln (@var{a}, @var{x})\n\
-+@deftypefn {Mapping Function} {} lgamma (@var{x})\n\
-+@deftypefnx {Mapping Function} {} gammaln (@var{x})\n\
- Return the natural logarithm of the gamma function.\n\
- @end deftypefn\n\
- @seealso{gamma and gammai}");
diff -pruN 1:3.0.1-6/debian/patches/50_octave-bug-tempfile.diff 1:3.0.5-6/debian/patches/50_octave-bug-tempfile.diff
--- 1:3.0.1-6/debian/patches/50_octave-bug-tempfile.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_octave-bug-tempfile.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,19 @@
+Adjusted for Octave 2.9.10
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 23:13:13 +0200
+
+Use Debian's tempfile(1) for enhanced security
+
+ -- Rafael Laboissiere <rafael@debian.org>  Mon, 28 Aug 2006 21:23:33 +0200
+
+--- octave2.1-2.1.73.orig/octave-bug.in	2006-08-19 02:58:39.000000000 +0200
++++ octave2.1-2.1.73/octave-bug.in	2006-08-19 11:11:51.172397104 +0200
+@@ -60,7 +60,7 @@
+ PATH=/bin:/usr/bin:/usr/ucb:/usr/local/bin:$PATH
+ export PATH
+ 
+-TEMP=/tmp/octave-bug.$$
++TEMP=`tempfile`
+ 
+ if [ -z "$DEFEDITOR" ] && [ -z "$EDITOR" ]; then
+   if [ -x /usr/bin/editor ]; then
diff -pruN 1:3.0.1-6/debian/patches/50_octave-bug-tempfile.dpatch 1:3.0.5-6/debian/patches/50_octave-bug-tempfile.dpatch
--- 1:3.0.1-6/debian/patches/50_octave-bug-tempfile.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_octave-bug-tempfile.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,18 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_octave-bug-tempfile.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Use Debian's tempfile(1) for enhanced security
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/octave-bug.in	2006-08-19 02:58:39.000000000 +0200
-+++ octave2.1-2.1.73/octave-bug.in	2006-08-19 11:11:51.172397104 +0200
-@@ -60,7 +60,7 @@
- PATH=/bin:/usr/bin:/usr/ucb:/usr/local/bin:$PATH
- export PATH
- 
--TEMP=/tmp/octave-bug.$$
-+TEMP=`tempfile`
- 
- if [ -z "$DEFEDITOR" ] && [ -z "$EDITOR" ]; then
-   if [ -x /usr/bin/editor ]; then
diff -pruN 1:3.0.1-6/debian/patches/50_OCTAVEHOME-texi.dpatch 1:3.0.5-6/debian/patches/50_OCTAVEHOME-texi.dpatch
--- 1:3.0.1-6/debian/patches/50_OCTAVEHOME-texi.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_OCTAVEHOME-texi.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,34 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_OCTAVEHOME-2.9.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Correct value for OCTAVEHOME in Debian systems
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/conf.texi	2006-07-28 19:31:58.000000000 +0200
-+++ octave2.1-2.1.73/doc/conf.texi	2006-08-18 22:14:48.441613384 +0200
-@@ -3,5 +3,5 @@
- @c For copying conditions, see the file gpl.texi.
- 
- @set VERSION 2.1.x
--@set OCTAVEHOME /usr/local
-+@set OCTAVEHOME /usr
- @set TARGETHOSTTYPE i586-pc-linux-gnu
---- octave2.1-2.1.73.orig/doc/interpreter/conf.texi	2006-07-28 19:31:58.000000000 +0200
-+++ octave2.1-2.1.73/doc/interpreter/conf.texi	2006-08-18 22:14:48.444612928 +0200
-@@ -3,5 +3,5 @@
- @c For copying conditions, see the file gpl.texi.
- 
- @set VERSION 2.1.x
--@set OCTAVEHOME /usr/local
-+@set OCTAVEHOME /usr
- @set TARGETHOSTTYPE i586-pc-linux-gnu
---- octave2.1-2.1.73.orig/doc/liboctave/conf.texi	2006-07-28 19:31:58.000000000 +0200
-+++ octave2.1-2.1.73/doc/liboctave/conf.texi	2006-08-18 22:14:48.447612472 +0200
-@@ -3,5 +3,5 @@
- @c For copying conditions, see the file gpl.texi.
- 
- @set VERSION 2.1.x
--@set OCTAVEHOME /usr/local
-+@set OCTAVEHOME /usr
- @set TARGETHOSTTYPE i586-pc-linux-gnu
diff -pruN 1:3.0.1-6/debian/patches/50_rename-octave-tags.dpatch 1:3.0.5-6/debian/patches/50_rename-octave-tags.dpatch
--- 1:3.0.1-6/debian/patches/50_rename-octave-tags.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_rename-octave-tags.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,60 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_rename-octave-tags.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Rename otags to be octave-tags, to avoid conflict with the Ocaml otags
-## DP: package.  These changes are already in upstream CVS.
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/interpreter/emacs.txi
-+++ octave2.1-2.1.73/doc/interpreter/emacs.txi
-@@ -339,9 +339,9 @@
- 
- @cindex TAGS
- @cindex Emacs TAGS files
--@cindex @code{otags}
-+@cindex @code{octave-tags}
- You can generate TAGS files for Emacs from Octave @file{.m} files using
--the shell script @code{otags} that is installed alongside your copy of
-+the shell script @code{octave-tags} that is installed alongside your copy of
- Octave.
- 
- Customization of Octave mode can be performed by modification of the
---- octave2.1-2.1.73.orig/emacs/otags
-+++ octave2.1-2.1.73/emacs/otags
-@@ -2,7 +2,7 @@
- 
- # Generate a TAGS file from a set of Octave .m files for use with Emacs.
- #
--# Run as '$ otags' in the given Octave directory to generate a
-+# Run as '$ octave-tags' in the given Octave directory to generate a
- # TAGS file.  If you want to include another directory, add a line
- # prior to the "*.m" line containing something like
- #  `--include=/path/to/other/directory/TAGS" \'.
---- octave2.1-2.1.73.orig/emacs/otags.1
-+++ octave2.1-2.1.73/emacs/otags.1
-@@ -1,19 +1,19 @@
- .\" Man page contributed by Dirk Eddelbuettel <edd@debian.org>
- .\" and released under the GNU GPL
--.TH OTAGS 1 "31 October 2001" "GNU Octave"
-+.TH OCTAVE-TAGS 1 "31 October 2001" "GNU Octave"
- .SH NAME
--OTAGS - Generate Emacs tags file from GNU Octave code
-+OCTAVE-TAGS - Generate Emacs tags file from GNU Octave code
- .SH SYNOPSIS
--.BR otags\  [--include\ dir]
-+.BR octave-tags\  [--include\ dir]
- \fIfile\fP .\|.\|.  
- .SH DESCRIPTION
- .PP
--.B otags
-+.B octave-tags
- program is used to create a tag table file, in a format understood by 
- .BR emacs (1)
- and
- .BR xemacs (1).
--.B otags
-+.B octave-tags
- reads the files specified on the command line, and write a tag table  
- (defaults: `TAGS') in the current working directory. Files specified with
- relative file names will be  recorded in the tag table with file names
diff -pruN 1:3.0.1-6/debian/patches/50_return-deffn.dpatch 1:3.0.5-6/debian/patches/50_return-deffn.dpatch
--- 1:3.0.1-6/debian/patches/50_return-deffn.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_return-deffn.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,25 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_return-deffn.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## The "return" keyword will appear in the function index, instead of the
-## variable index
-
-@DPATCH@
-
---- octave2.1-2.1.73.orig/doc/interpreter/func.txi
-+++ octave2.1-2.1.73/doc/interpreter/func.txi
-@@ -373,12 +373,12 @@
- without adding extra logic to avoid printing the message if the vector
- does contain a nonzero element.
- 
--@defvr {Keyword} return
-+@deffn {Keyword} return
- When Octave encounters the keyword @code{return} inside a function or
- script, it returns control to the caller immediately. At the top level,
- the return statement is ignored.  A @code{return} statement is assumed
- at the end of every function definition.
--@end defvr
-+@end deffn
- 
- @DOCSTRING(return_last_computed_value)
- 
diff -pruN 1:3.0.1-6/debian/patches/50_syscalls-test-sleep.dpatch 1:3.0.5-6/debian/patches/50_syscalls-test-sleep.dpatch
--- 1:3.0.1-6/debian/patches/50_syscalls-test-sleep.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/50_syscalls-test-sleep.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50_syscalls-test-sleep.dpatch by Rafael Laboissiere <rafael@debian.org>
-##
-## DP: Increase the amount of time to sleep, in case of errno == EAGAIN
-## DP: when running the test for syscalls.cc ("make check" hangs in an
-## DP: unpredictable way without this patch)
-
-@DPATCH@
-
---- octave2.9-2.9.10.orig/src/syscalls.cc
-+++ octave2.9-2.9.10/src/syscalls.cc
-@@ -372,7 +372,7 @@
- %!       idx++;
- %!       str{idx} = s;
- %!     elseif (errno () == EAGAIN)
--%!       sleep (0.1);
-+%!       sleep (1);
- %!       fclear (out);
- %!     else
- %!       done = true;
diff -pruN 1:3.0.1-6/debian/patches/datenum-vector-input-any-orientation.diff 1:3.0.5-6/debian/patches/datenum-vector-input-any-orientation.diff
--- 1:3.0.1-6/debian/patches/datenum-vector-input-any-orientation.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/datenum-vector-input-any-orientation.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,41 @@
+Description: datenum: allow vector inputs in any orientation 
+Author: author Bill Denney
+Date: Thu Mar 27 15:17:53 2008 -0400
+
+Taken from upstream Mercurial repository at:
+http://hg.savannah.gnu.org/hgweb/octave/raw-rev/4ab2488ab2b4
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 May 2009 15:14:52 +0200
+
+--- a/scripts/time/datenum.m    Thu Mar 27 15:14:10 2008 -0400
++++ b/scripts/time/datenum.m    Thu Mar 27 15:17:53 2008 -0400
+@@ -1,4 +1,4 @@
+-## Copyright (C) 2006, 2007 Paul Kienzle
++## Copyright (C) 2006, 2007, 2008 Paul Kienzle
+ ##
+ ## This file is part of Octave.
+ ##
+@@ -99,7 +99,7 @@
+   Y += fix ((M-14)/12);
+ 
+   ## Lookup number of days since start of the current year.
+-  D += monthstart (mod (M-1,12) + 1) + 60;
++  D += reshape (monthstart (mod (M-1,12) + 1), size (D)) + 60;
+ 
+   ## Add number of days to the start of the current year. Correct
+   ## for leap year every 4 years except centuries not divisible by 400.
+@@ -120,7 +120,13 @@
+ %!assert(datenum([2001,5,19;1417,6,12]), [730990;517712])
+ %!assert(datenum(2001,5,19,12,21,3.5), 730990+part, eps)
+ %!assert(datenum([1417,6,12,12,21,3.5]), 517712+part, eps)
++## Test vector inputs
+ %!test
+ %! t = [2001,5,19,12,21,3.5; 1417,6,12,12,21,3.5];
+ %! n = [730990; 517712] + part;
+ %! assert(datenum(t), n, 2*eps);
++## Make sure that the vectors can have either orientation
++%!test
++%! t = [2001,5,19,12,21,3.5; 1417,6,12,12,21,3.5]';
++%! n = [730990 517712] + part;
++%! assert(datenum(t(1,:), t(2,:), t(3,:), t(4,:), t(5,:), t(6,:)), n, 2*eps);
+
diff -pruN 1:3.0.1-6/debian/patches/dont_set_helvetica-3.1.diff 1:3.0.5-6/debian/patches/dont_set_helvetica-3.1.diff
--- 1:3.0.1-6/debian/patches/dont_set_helvetica-3.1.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/dont_set_helvetica-3.1.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,26 @@
+Don't set Helvetica as default font, it's not available as TrueType
+font. Fixes Bug#477688.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jul 2008 10:27:26 +0200
+
+diff -urNad octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m
+--- octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m	2008-04-21 18:00:20.000000000 +0200
++++ octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m	2008-05-25 17:30:08.000000000 +0200
+@@ -1619,7 +1619,7 @@
+ 
+ function [f, s, fnt, it, bld] = get_fontname_and_size (t)
+   if (isempty (t.fontname))
+-    fnt = "Helvetica";
++    fnt = "*";
+   else
+     fnt = t.fontname;
+   endif
+@@ -1657,7 +1657,7 @@
+   if (strcmp (fld, "string"))
+     [f, s, fnt, it, bld] = get_fontname_and_size (obj);
+   else
+-    f = "Helvetica";
++    f = "*";
+     s = 10;
+     fnt = f;
+     it = false;
diff -pruN 1:3.0.1-6/debian/patches/dont_set_helvetica.diff 1:3.0.5-6/debian/patches/dont_set_helvetica.diff
--- 1:3.0.1-6/debian/patches/dont_set_helvetica.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/dont_set_helvetica.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,47 @@
+Don't set Helvetica as default font, it's not available as TrueType
+font.  Fixes Bug#477688.
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 24 May 2008 13:49:51 +0200
+
+diff -urNad octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m
+--- octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m	2008-04-21 18:00:20.000000000 +0200
++++ octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m	2008-05-25 17:30:08.000000000 +0200
+@@ -1601,7 +1601,7 @@
+ 
+ function [f, s, fnt, it, bld] = get_fontname_and_size (t)
+   if (isempty (t.fontname))
+-    fnt = "Helvetica";
++    fnt = "*";
+   else
+     fnt = t.fontname;
+   endif
+@@ -1639,7 +1639,7 @@
+   if (strcmp (fld, "string"))
+     [f, s, fnt, it, bld] = get_fontname_and_size (obj);
+   else
+-    f = "Helvetica";
++    f = "*";
+     s = 10;
+     fnt = f;
+     it = false;
+diff -urNad octave3.0-3.0.1~/src/graphics.cc octave3.0-3.0.1/src/graphics.cc
+--- octave3.0-3.0.1~/src/graphics.cc	2008-04-21 18:00:20.000000000 +0200
++++ octave3.0-3.0.1/src/graphics.cc	2008-05-25 17:30:08.000000000 +0200
+@@ -2336,7 +2336,7 @@
+     rotation (0),
+     horizontalalignment ("left"),
+     color (Matrix (1, 3, 0.0)),
+-    fontname ("Helvetica"),
++    fontname ("*"),
+     fontsize (10),
+     fontangle (radio_values ("{normal}|italic|oblique")),
+     fontweight (radio_values ("{normal}|bold|demi|light")),
+@@ -2470,7 +2470,7 @@
+   m["rotation"] = 0;
+   m["horizontalalignment"] = "left";
+   m["color"] = Matrix (1, 3, 1.0);
+-  m["fontname"] = "Helvetica";
++  m["fontname"] = "*";
+   m["fontsize"] = 10;
+   m["fontangle"] = radio_property (radio_values ("{normal}|italic|oblique"));
+   m["fontweight"] = radio_property (radio_values ("{normal}|bold|demi|light"));
diff -pruN 1:3.0.1-6/debian/patches/dont_set_helvetica.dpatch 1:3.0.5-6/debian/patches/dont_set_helvetica.dpatch
--- 1:3.0.1-6/debian/patches/dont_set_helvetica.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/dont_set_helvetica.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,50 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## don_set_helvetica.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Don't set Helvetica as default font, it's not available as TrueType font
-## DP: #477688
-
-@DPATCH@
-diff -urNad octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m
---- octave3.0-3.0.1~/scripts/plot/__go_draw_axes__.m	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/scripts/plot/__go_draw_axes__.m	2008-05-25 17:30:08.000000000 +0200
-@@ -1601,7 +1601,7 @@
- 
- function [f, s, fnt, it, bld] = get_fontname_and_size (t)
-   if (isempty (t.fontname))
--    fnt = "Helvetica";
-+    fnt = "";
-   else
-     fnt = t.fontname;
-   endif
-@@ -1639,7 +1639,7 @@
-   if (strcmp (fld, "string"))
-     [f, s, fnt, it, bld] = get_fontname_and_size (obj);
-   else
--    f = "Helvetica";
-+    f = "";
-     s = 10;
-     fnt = f;
-     it = false;
-diff -urNad octave3.0-3.0.1~/src/graphics.cc octave3.0-3.0.1/src/graphics.cc
---- octave3.0-3.0.1~/src/graphics.cc	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/src/graphics.cc	2008-05-25 17:30:08.000000000 +0200
-@@ -2336,7 +2336,7 @@
-     rotation (0),
-     horizontalalignment ("left"),
-     color (Matrix (1, 3, 0.0)),
--    fontname ("Helvetica"),
-+    fontname (""),
-     fontsize (10),
-     fontangle (radio_values ("{normal}|italic|oblique")),
-     fontweight (radio_values ("{normal}|bold|demi|light")),
-@@ -2470,7 +2470,7 @@
-   m["rotation"] = 0;
-   m["horizontalalignment"] = "left";
-   m["color"] = Matrix (1, 3, 1.0);
--  m["fontname"] = "Helvetica";
-+  m["fontname"] = "";
-   m["fontsize"] = 10;
-   m["fontangle"] = radio_property (radio_values ("{normal}|italic|oblique"));
-   m["fontweight"] = radio_property (radio_values ("{normal}|bold|demi|light"));
diff -pruN 1:3.0.1-6/debian/patches/glpk-new-api.diff 1:3.0.5-6/debian/patches/glpk-new-api.diff
--- 1:3.0.1-6/debian/patches/glpk-new-api.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/glpk-new-api.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,77 @@
+Avoid calls to deprecated __glp_lib_* functions which are deprecated
+and have been removed for the GLPK public API since version 4.32.
+
+Taken from the Mercurial usptream repostory:
+http://hg.savannah.gnu.org/hgweb/octave/raw-diff/aaccb1362347/src/DLD-FUNCTIONS/__glpk__.cc
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 11:56:17 +0100
+
+--- a/src/DLD-FUNCTIONS/__glpk__.cc	Wed Aug 27 09:59:55 2008 -0400
++++ b/src/DLD-FUNCTIONS/__glpk__.cc	Mon Oct 27 14:25:30 2008 -0400
+@@ -45,6 +45,7 @@
+ #include <glpk.h>
+ #endif
+ 
++#if 0
+ #ifdef GLPK_PRE_4_14
+ 
+ #ifndef _GLPLIB_H
+@@ -62,6 +63,7 @@
+ void _glp_lib_print_hook (int (*func)(void *info, char *buf), void *info);
+ void _glp_lib_fault_hook (int (*func)(void *info, char *buf), void *info);
+ 
++#endif
+ #endif
+ }
+ 
+@@ -137,6 +139,7 @@
+ 
+ static jmp_buf mark;  //-- Address for long jump to jump to
+ 
++#if 0
+ int
+ glpk_fault_hook (void * /* info */, char *msg)
+ {
+@@ -150,6 +153,7 @@
+   message (0, "%s", msg);
+   return 1;
+ }
++#endif
+ 
+ int
+ glpk (int sense, int n, int m, double *c, int nz, int *rn, int *cn,
+@@ -164,6 +168,7 @@
+ 
+   clock_t t_start = clock();
+ 
++#if 0
+ #ifdef GLPK_PRE_4_14
+   lib_set_fault_hook (0, glpk_fault_hook);
+ #else
+@@ -175,6 +180,7 @@
+     lib_set_print_hook (0, glpk_print_hook);
+ #else
+     _glp_lib_print_hook (glpk_print_hook, 0);
++#endif
+ #endif
+ 
+   LPX *lp = lpx_create_prob ();
+@@ -314,11 +320,14 @@
+       break;
+ 
+     default:
++      break;
++#if 0
+ #ifdef GLPK_PRE_4_14
+       insist (method != method);
+ #else
+       static char tmp[] = "method != method";
+       glpk_fault_hook (0, tmp);
++#endif
+ #endif
+     }
+ 
+
+
+
+
diff -pruN 1:3.0.1-6/debian/patches/imshow_only_handles_octave_images.dpatch 1:3.0.5-6/debian/patches/imshow_only_handles_octave_images.dpatch
--- 1:3.0.1-6/debian/patches/imshow_only_handles_octave_images.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/imshow_only_handles_octave_images.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## imshow_only_handles_octave_images.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: imshow can only handle Octave's native image for the time being
-## DP: #478271
-
-@DPATCH@
-diff -urNad octave3.0-3.0.1~/scripts/image/imshow.m octave3.0-3.0.1/scripts/image/imshow.m
---- octave3.0-3.0.1~/scripts/image/imshow.m	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/scripts/image/imshow.m	2008-05-21 13:49:19.000000000 +0200
-@@ -37,7 +37,7 @@
- ## image using the supplied color map.
- ##
- ## If a file name is given instead of an image, the file will be read and
--## shown.
-+## shown. The file must be in Octave's native image format.
- ##
- ## If given, the parameter @var{string_param1} has value
- ## @var{value1}. @var{string_param1} can be any of the following:
diff -pruN 1:3.0.1-6/debian/patches/no-argout-intersect.diff 1:3.0.5-6/debian/patches/no-argout-intersect.diff
--- 1:3.0.1-6/debian/patches/no-argout-intersect.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/no-argout-intersect.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,51 @@
+Cope with the case where nargout == 0
+This was taken from package bugfix-3.0.5 of Otave Forge
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 May 2009 23:54:24 +0200
+
+--- a/scripts/set/intersect.m	2009-02-18 07:57:46.000000000 +0100
++++ b/scripts/set/intersect.m	2009-05-08 15:16:47.000000000 +0200
+@@ -1,5 +1,5 @@
++## Copyright (C) 2008, 2009 Jaroslav Hajek
+ ## Copyright (C) 2000, 2006, 2007 Paul Kienzle
+-## Copyright (C) 2008 Jaroslav Hajek
+ ##
+ ## This file is part of Octave.
+ ##
+@@ -22,7 +22,7 @@
+ ## @deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} intersect (@var{a}, @var{b})
+ ##
+ ## Return the elements in both @var{a} and @var{b}, sorted in ascending
+-## order. If @var{a} and @var{b} are both column vectors return a column
++## order.  If @var{a} and @var{b} are both column vectors return a column
+ ## vector, otherwise return a row vector.
+ ##
+ ## Return index vectors @var{ia} and @var{ib} such that @code{a(ia)==c} and
+@@ -49,6 +49,9 @@
+     if (nargout > 1)
+       [a, ja] = unique (a, varargin{:});
+       [b, jb] = unique (b, varargin{:});
++    else
++      a = unique (a, varargin{:});
++      b = unique (b, varargin{:});
+     endif
+ 
+     if (nargin > 2)
+@@ -87,7 +90,7 @@
+ %! a = [3 2 4 5 7 6 5 1 0 13 13];
+ %! b = [3 5 12 1 1 7];
+ %! [c,ia,ib] = intersect(a,b);
+-%! assert( c,[1 3 5 7]);
++%! assert(c,[1 3 5 7]);
+ %! assert(ia,[8 1 7 5]);
+ %! assert(ib,[5 1 2 6]);
+ %! assert(a(ia),c);
+@@ -101,3 +104,8 @@
+ %! assert(ib,[3;1]);
+ %! assert(a(ia,:),c);
+ %! assert(b(ib,:),c);
++%!test
++%! a = [1 1 1 2 2 2];
++%! b = [1 2 3 4 5 6];
++%! c = intersect(a,b);
++%! assert(c, [1,2]);
diff -pruN 1:3.0.1-6/debian/patches/no_pdf_in_print.diff 1:3.0.5-6/debian/patches/no_pdf_in_print.diff
--- 1:3.0.1-6/debian/patches/no_pdf_in_print.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/no_pdf_in_print.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,18 @@
+Warn that PDF generation is not possible packaged gnuplot, due to the
+missing pdflib (closes: #478677)
+
+ -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 24 May 2008 13:49:51 +0200
+
+diff -urNad octave3.0-3.0.1~/scripts/plot/print.m octave3.0-3.0.1/scripts/plot/print.m
+--- octave3.0-3.0.1~/scripts/plot/print.m	2008-04-21 18:00:20.000000000 +0200
++++ octave3.0-3.0.1/scripts/plot/print.m	2008-05-21 12:17:20.000000000 +0200
+@@ -93,6 +93,9 @@
+ ##     Scalable vector graphics
+ ##   @item pdf
+ ##     Portable document format
++##
++##     NOTE: The gnuplot binary as shipped by Debian cannot create PDF files, see http://bugs.debian.org/478677
++##
+ ##   @end table
+ ##
+ ##   Other devices are supported by "convert" from ImageMagick.  Type
diff -pruN 1:3.0.1-6/debian/patches/no_pdf_in_print.dpatch 1:3.0.5-6/debian/patches/no_pdf_in_print.dpatch
--- 1:3.0.1-6/debian/patches/no_pdf_in_print.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/no_pdf_in_print.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,21 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## no_pdf_in_print.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Warning about missing pdflib
-## DP: #478677
-
-@DPATCH@
-diff -urNad octave3.0-3.0.1~/scripts/plot/print.m octave3.0-3.0.1/scripts/plot/print.m
---- octave3.0-3.0.1~/scripts/plot/print.m	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/scripts/plot/print.m	2008-05-21 12:17:20.000000000 +0200
-@@ -93,6 +93,9 @@
- ##     Scalable vector graphics
- ##   @item pdf
- ##     Portable document format
-+##
-+##     NOTE: The gnuplot binary as shipped by Debian cannot create PDF files, see http://bugs.debian.org/478677
-+##
- ##   @end table
- ##
- ##   Other devices are supported by "convert" from ImageMagick.  Type
diff -pruN 1:3.0.1-6/debian/patches/normal-markersize.diff 1:3.0.5-6/debian/patches/normal-markersize.diff
--- 1:3.0.1-6/debian/patches/normal-markersize.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/normal-markersize.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,25 @@
+Revert the symbol markers in plots to their normal size.  Thanks to
+Francesco Potorti for the patch.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Feb 2009 11:40:01 +0100
+
+--- octave3.1-3.1.52.orig/scripts/plot/__go_draw_axes__.m
++++ octave3.1-3.1.52/scripts/plot/__go_draw_axes__.m
+@@ -594,7 +594,7 @@
+ 	     usingclause{data_idx} = sprintf ("record=%d", numel (obj.xdata));
+ 
+ 	     if (isfield (obj, "markersize"))
+-	       mdat = obj.markersize / 3;
++	       mdat = obj.markersize / 6;
+ 	     endif
+ 
+              if (isfield (obj, "edgecolor"))
+@@ -1320,7 +1320,7 @@
+     endif
+ 
+     if (isfield (obj, "markersize"))
+-      fprintf (plot_stream, " pointsize %f", obj.markersize / 3);
++      fprintf (plot_stream, " pointsize %f", obj.markersize / 6);
+       found_style = true;
+     endif
+   else
diff -pruN 1:3.0.1-6/debian/patches/randn_doc.dpatch 1:3.0.5-6/debian/patches/randn_doc.dpatch
--- 1:3.0.1-6/debian/patches/randn_doc.dpatch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/patches/randn_doc.dpatch	1970-01-01 01:00:00.000000000 +0100
@@ -1,22 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## randn_doc.dpatch by Thomas Weber <thomas.weber.mail@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Better explanation of randn()'s return value (fix for #477349)
-
-@DPATCH@
-diff -urNad octave3.0-3.0.1~/src/DLD-FUNCTIONS/rand.cc octave3.0-3.0.1/src/DLD-FUNCTIONS/rand.cc
---- octave3.0-3.0.1~/src/DLD-FUNCTIONS/rand.cc	2008-04-21 18:00:20.000000000 +0200
-+++ octave3.0-3.0.1/src/DLD-FUNCTIONS/rand.cc	2008-05-21 12:09:44.000000000 +0200
-@@ -471,8 +471,9 @@
- @deftypefnx {Loadable Function} {} randn (@var{n}, @var{m})\n\
- @deftypefnx {Loadable Function} {} randn (\"state\", @var{x})\n\
- @deftypefnx {Loadable Function} {} randn (\"seed\", @var{x})\n\
--Return a matrix with normally distributed random elements. The\n\
--arguments are handled the same as the arguments for @code{rand}.\n\
-+Return a matrix with normally distributed pseudo-random\n\
-+elements having zero mean and variance one. The arguments are\n\
-+handled the same as the arguments for @code{rand}.\n\
- \n\
- By default, @code{randn} uses a Marsaglia and Tsang Ziggurat technique to\n\
- transform from a uniform to a normal distribution. (G. Marsaglia and\n\
diff -pruN 1:3.0.1-6/debian/patches/real-no-history.diff 1:3.0.5-6/debian/patches/real-no-history.diff
--- 1:3.0.1-6/debian/patches/real-no-history.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/real-no-history.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,29 @@
+Only save history if Vsaving_history is true.  Thanks to John Eaton
+for the patch and the comments.  Closes Bug#514802.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Feb 2009 19:52:37 +0100
+
+--- octave3.0-3.0.4~rc3.orig/src/toplev.cc
++++ octave3.0-3.0.4~rc3/src/toplev.cc
+@@ -643,7 +643,8 @@
+ 
+       octave_history_write_timestamp ();
+ 
+-      command_history::clean_up_and_save ();
++      if (Vsaving_history)
++	command_history::clean_up_and_save ();
+ 
+       close_files ();
+ 
+--- octave3.0-3.0.4~rc3.orig/src/oct-hist.cc
++++ octave3.0-3.0.4~rc3/src/oct-hist.cc
+@@ -534,7 +534,8 @@
+   command_history::set_file (Vhistory_file);
+   command_history::set_size (Vhistory_size);
+ 
+-  command_history::read (false);
++  if (Vsaving_history)
++    command_history::read (false);
+ }
+ 
+ void
diff -pruN 1:3.0.1-6/debian/patches/series 1:3.0.5-6/debian/patches/series
--- 1:3.0.1-6/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/series	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,11 @@
+
+50_octave-bug-tempfile.diff
+50_fix_handle_for_plotyy.diff
+no_pdf_in_print.diff
+dont_set_helvetica.diff
+glpk-new-api.diff
+real-no-history.diff
+termios-h-check-3.0.diff
+no-argout-intersect.diff
+datenum-vector-input-any-orientation.diff
+
diff -pruN 1:3.0.1-6/debian/patches/termios-h-check-3.0.diff 1:3.0.5-6/debian/patches/termios-h-check-3.0.diff
--- 1:3.0.1-6/debian/patches/termios-h-check-3.0.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/termios-h-check-3.0.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,17 @@
+Small tweak for configure.in/configure to properly detect <termios.h>,
+making the package build on GNU/kFreeBSD. Thanks to Petr Salinger for
+the patch.  Closes Bug#520076 for octave3.0.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Wed, 18 Mar 2009 11:42:07 +0100
+
+--- octave3.1-3.1.54.orig/configure.in
++++ octave3.1-3.1.54/configure.in
+@@ -1247,7 +1247,7 @@
+ AC_LANG_POP(C++)
+ 
+ have_termios_h=no
+-AC_CHECK_HEADERS($TERMIOS_H, have_termios_h=yes)
++AC_CHECK_HEADERS(termios.h, have_termios_h=yes)
+ AC_CHECK_HEADERS(termio.h, have_termio_h=yes, have_termio_h=no)
+ AC_CHECK_HEADERS(sgtty.h, have_sgtty_h=yes, have_sgtty_h=no)
+ AC_CHECK_HEADERS(glob.h, have_glob_h=yes, have_glob_h=no)
diff -pruN 1:3.0.1-6/debian/patches/termios-h-check-3.1.diff 1:3.0.5-6/debian/patches/termios-h-check-3.1.diff
--- 1:3.0.1-6/debian/patches/termios-h-check-3.1.diff	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/patches/termios-h-check-3.1.diff	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,17 @@
+Small tweak for configure.in/configure to properly detect <termios.h>,
+making the package build on GNU/kFreeBSD. Thanks to Petr Salinger for
+the patch.  Closes Bug#520076 for octave3.1.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Mar 2009 23:32:03 +0100
+
+--- octave3.1-3.1.54.orig/configure.in
++++ octave3.1-3.1.54/configure.in
+@@ -1523,7 +1523,7 @@
+ AC_LANG_POP(C++)
+ 
+ have_termios_h=no
+-AC_CHECK_HEADERS($TERMIOS_H, have_termios_h=yes)
++AC_CHECK_HEADERS(termios.h, have_termios_h=yes)
+ AC_CHECK_HEADERS(termio.h, have_termio_h=yes, have_termio_h=no)
+ AC_CHECK_HEADERS(sgtty.h, have_sgtty_h=yes, have_sgtty_h=no)
+ AC_CHECK_HEADERS(glob.h, have_glob_h=yes, have_glob_h=no)
diff -pruN 1:3.0.1-6/debian/README.source 1:3.0.5-6/debian/README.source
--- 1:3.0.1-6/debian/README.source	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/README.source	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1,9 @@
+README.source for octave
+========================
+
+This package uses dpatch to manage all modifications to the upstream sources.
+See `man dpatch' to get more information on how to use it.
+
+ -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 May 2009 13:04:21 +0200
+
+
diff -pruN 1:3.0.1-6/debian/rules 1:3.0.5-6/debian/rules
--- 1:3.0.1-6/debian/rules	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/rules	2009-05-25 06:22:14.000000000 +0100
@@ -3,9 +3,9 @@
 # debian/rules file for the Debian/GNU Linux octave package
 # Copyright 1997-99,2000-03 by Dirk Eddelbuettel <edd@debian.org>
 #
-# $Id: rules 2181 2008-06-23 18:42:13Z rafael $
+# $Id$
 
-include /usr/share/dpatch/dpatch.make
+include /usr/share/quilt/quilt.make
 
 # in order: octave, octave2.1, 2.1.28, 2.1  (or whatever the version is), 3.0
 # the difference in major and PACKAGEVER: first one is taken from the octave
@@ -16,28 +16,48 @@ source		:= $(shell head -1 debian/change
 PACKAGE		:= $(shell head -1 debian/changelog | \
 			perl -nle 'm/^(\S+)\s+/ and print $$1')
 version       	:= $(shell head -1 debian/changelog | \
-			perl -nle 'm/\S+\s+\((?:\d:)*(\S+)-\S+\)/ and print $$1')
+			perl -nle 'm/\S+\s+\((?:\d:)*([\d.]+)(~[^-]+)*-\S+\)/ and print $$1')
 major       	:= $(shell echo $(version) | perl -nle \
 			'm/(\d\.\d)\.\d+/ and print $$1')
 PACKAGEVER	:= $(shell echo $(PACKAGE) | \
 			perl -nle 'm/.*(\d.\d)/ and print $$1')
 
+GCCCURVER	:= $(shell gcc --version | perl -ne '/Debian (.*)-/; print "$$1"; last')
+GCCMAJOR	:= $(shell echo "$(GCCCURVER)" | perl -nle '@v=split(/\./);print $$v[0]')
+GCCMINOR	:= $(shell echo "$(GCCCURVER)" | perl -nle '@v=split(/\./);print $$v[1]')
+GCCMICRO	:= $(shell echo "$(GCCCURVER)" | perl -nle '@v=split(/\./);print $$v[2]')
+GCCDEPS		:= $(shell perl -e '										\
+	print join (", ", map {											\
+		join (", ", ("$$_ (>= 4:$(GCCMAJOR).$(GCCMINOR))",						\
+			"$$_ (<< 4:$(GCCMAJOR)." . ($(GCCMINOR)+1) . ")",					\
+			"$$_-$(GCCMAJOR).$(GCCMINOR) (>= $(GCCCURVER))",					\
+			"$$_-$(GCCMAJOR).$(GCCMINOR) (<< $(GCCMAJOR).$(GCCMINOR)." . ($(GCCMICRO)+1) .")"))	\
+	} ("gcc", "g++", "gfortran"))')
+
 hack:
-	@echo $(PACKAGEVER)
+	@echo "$(GCCDEPS)"
 
+ifeq ($(major),3.1)
+priority	:= 70
+else
 ifeq ($(major),3.0)
 priority	:= 90
 else
-ifeq ($(major),2.1)
-priority	:= 80
 endif
 endif
 
+api_version = $(shell perl -ne 'if (/OCTAVE_API_VERSION\s+"api-v(.*)"/)	\
+	                          { print "$$1\n" ; last }' < src/version.h)
+
+## The following is necessary when building the documentation file octave.pdf
+export TEXMFCNF = $(CURDIR)/debian:
+
 doc_package	= $(PACKAGE)-doc
 html_package	= $(PACKAGE)-htmldoc
 dev_package	= $(PACKAGE)-headers
 emacs_package	= $(PACKAGE)-emacsen
 info_package	= $(PACKAGE)-info
+common_package = $(PACKAGE)-common
 
 debbase		:= $(CURDIR)/debian
 debtmp		:= $(debbase)/$(PACKAGE)
@@ -46,11 +66,10 @@ deblib		:= $(debtmp)/usr/lib
 debdoc		:= $(debshare)/doc/$(PACKAGE)
 debhtmldoc	:= $(debtmp)-htmldoc/usr/share/doc/$(PACKAGE)-htmldoc
 deblsp		:= $(debbase)/$(emacs_package)/usr/share/emacs/site-lisp/$(emacs_package)
-debini		:= $(debshare)/octave/site/m/startup
-debininew	:= $(debshare)/octave/$(version)/m/startup
+debini		:= $(debbase)/$(common_package)/usr/share/octave/$(version)/m/startup
 debapp		:= $(debshare)/applications
 
-savefiles	:= configure config.h.in scripts/configure	\
+savefiles	:= BUGS configure config.h.in scripts/configure	\
 			doc/conf.texi examples/octave.desktop.in
 texifiles	:= doc/interpreter/octave.texi		\
 			doc/liboctave/liboctave.texi	\
@@ -59,22 +78,19 @@ texifiles	:= doc/interpreter/octave.texi
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+host_confflags = --build=$(DEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+  host_confflags += --host=$(DEB_HOST_GNU_TYPE)
+endif
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-## edd  3 Feb 2003  gcc 3.2, also imposed uniformly via Build-Depends
-## edd 27 Jun 2003  now that gcc 3.3 is in unstable and testing, relax this
-#c_compiler	= /usr/bin/gcc-3.3
-#cxx_compiler	= /usr/bin/g++-3.3
-#f77_compiler	= /usr/bin/g77-3.3
 f77_compiler	= gfortran
 fc_flag		=
 fc_libs		=
 compilerflags	= -O2 -g
-# linkerflags	= -s
 
 # default to blas, atlas can overload where available (see README.Atlas)
-#atlas		= --with-blas=/usr/lib/libblas.so \
-#		  --with-lapack=/usr/lib/liblapack.so
+#atlas		= --with-blas=/usr/lib/libblas.so \#		  --with-lapack=/usr/lib/liblapack.so
 #atlas		= --with-blas=/usr/lib/libblas-3.so \
 #		  --with-lapack=/usr/lib/liblapack-3.so
 atlas		= --with-blas=-lblas-3gf --with-lapack=-llapackgf-3
@@ -105,7 +121,7 @@ maintainer-scripts: debian/control debia
 	for in in debian/in/PACKAGE* ; do \
 		slice -o $(sliceterm):debian/temp $$in ; \
 		out=`echo $$in | sed 's:/in/:/:;s/PACKAGE/$(PACKAGE)/'` ; \
-		sed 's/@VERSION@/$(version)/g;s/@PACKAGE@/$(PACKAGE)/g;s/@MAJOR@/$(major)/g;s/@PRIORITY@/$(priority)/g;' \
+		sed 's/@VERSION@/$(version)/g;s/@PACKAGE@/$(PACKAGE)/g;s/@MAJOR@/$(major)/g;s/@PRIORITY@/$(priority)/g;s/@APIVERSION@/$(api_version)/g;' \
 			< debian/temp > $$out ; \
 	done
 	rm -f debian/temp
@@ -114,9 +130,13 @@ maintainer-scripts: debian/control debia
 		sed 's/@VERSION@/$(version)/g;s/@MAJOR@/$(major)/g' \
 			< debian/in/$$f > debian/$$f ; \
 	done
-	cp debian/in/$(PACKAGE)-00list debian/patches/00list
-	cp debian/in/$(PACKAGE)-watch debian/watch
-	-cp debian/in/$(PACKAGE)-NEWS debian/NEWS
+
+	for f in watch NEWS ; do				\
+		slice -o $(sliceterm):debian/$$f debian/in/$$f ;	\
+	done
+	## Remove empty NEWS file
+	-test ! -s debian/NEWS && rm -f debian/NEWS
+	slice -o $(sliceterm):debian/patches/series debian/in/series
 
 get-orig-source: upstream
 upstream:
@@ -134,7 +154,7 @@ save-files:
 		test -f $$f && cp $$f $$f-save ;	\
 	done
 
-configure: maintainer-scripts save-files patch-stamp configure-stamp
+configure: maintainer-scripts save-files patch configure-stamp
 configure-stamp:
 	dh_testdir
 
@@ -152,8 +172,7 @@ configure-stamp:
 	FLIBS=$(fc_libs)				\
 	infofile=/usr/share/info/$(PACKAGE).info	\
 	./configure					\
-			--host=$(DEB_HOST_GNU_TYPE)	\
-			--build=$(DEB_BUILD_GNU_TYPE)	\
+			$(host_confflags)		\
 			--prefix=/usr			\
 			--datadir=/usr/share		\
 			--libdir=/usr/lib		\
@@ -191,7 +210,6 @@ make-arch-stamp:
 	$(MAKE)		CFLAGS="$(compilerflags)"		\
 			CXXFLAGS="$(compilerflags)"		\
 			FFLAGS="$(compilerflags)"		\
-			LDFLAGS="$(linkerflags)"		\
 			CC="$(c_compiler)"			\
 			CXX="$(cxx_compiler)"			\
 			F77="$(f77_compiler)"
@@ -250,7 +268,7 @@ clean: unpatch
 	rm -f debian/NEWS debian/temp
 
 	# Make sure a debian/watch file is included in the source package
-	cp debian/in/$(PACKAGE)-watch debian/watch
+	slice -o $(sliceterm):debian/watch debian/in/watch
 
 	dh_clean
 
@@ -299,9 +317,8 @@ install-arch-stamp :
 	(cd $(debtmp)/usr/bin; 						\
 		rm -v   octave	octave-bug mkoctfile octave-config)
 
-	-test "$(PACKAGEVER)" = 2.1			\
-		|| install --mode=644 debian/octave.st	\
-			$(debtmp)/usr/share/enscript/hl
+	# install the directory for Octave packages
+	install -d $(debtmp)/usr/lib/octave/packages/$(major)
 
 	touch install-arch-stamp
 
@@ -312,7 +329,8 @@ binary-indep: build-indep install-indep
         # already installed by make
 	dh_installinfo -n -p$(info_package)  	doc/*/*$(major)*.info*
 
-	dh_installdocs -n -p$(doc_package) doc/*/*.pdf
+	dh_installdocs -n -p$(doc_package) doc/liboctave/*.pdf	\
+		doc/interpreter/octave-a4.pdf doc/refcard/*.pdf doc/faq/*.pdf
 	dh_installdocs -i
 	for dir in faq interpreter liboctave ; do			\
 		test -d $(debhtmldoc)/$$dir				\
@@ -332,6 +350,18 @@ binary-indep: build-indep install-indep
 	-install -p -m 0644 emacs/octave-tags.1			\
 	     $(debbase)/$(emacs_package)/usr/share/man/man1/octave-tags-$(version).1
 
+	# install the directory for Octave packages
+	install -d $(debbase)/$(common_package)/usr/share/octave/packages/$(major)
+
+        ## link the conf.file back from /etc over the version.spec. rc
+	ln -sf /etc/$(PACKAGE).conf 		$(debini)/octaverc
+
+        # The ls-R database is not needed anymore
+	rm -vf $(debbase)/$(common_package)/usr/share/octave/ls-R
+
+        # install lintian overrride
+	dh_lintian -p$(common_package)
+
 	dh_installchangelogs -i	ChangeLog
 	dh_compress -i --exclude=.pdf
 	dh_fixperms -i
@@ -349,6 +379,9 @@ binary-arch: build-arch install-arch che
         # remove the /usr/share/info/dir stab
 	rm -vf $(debtmp)/usr/share/info/dir
 
+        # Remove empty site/ dirs
+	rm -rf $$(find debian/ -name site -type d)
+
         # save the include files for the header package
 	dh_movefiles -p$(dev_package) --sourcedir=debian/$(PACKAGE)	\
 			usr/include/		 			\
@@ -361,28 +394,27 @@ binary-arch: build-arch install-arch che
 			usr/share/octave/debian/defs.make-$(version)
 	rm -r $(debtmp)/usr/include
 	rm -rf $(debtmp)/usr/share/info
-	rm -rf $(debtmp)/usr/share/octave/debian/
+
+	# install files for the common package
+	dh_movefiles -p$(common_package) --sourcedir=debian/$(PACKAGE)	\
+			usr/share/octave
+
+	rm -rf $(debtmp)/usr/share/octave $(debtmp)/usr/share/enscript
 
 	install -p -m 0644  debian/$(PACKAGE).conf  $(debtmp)/etc
 
         # install lintian overrride
 	dh_lintian -p$(PACKAGE)
 
-        ## link the conf.file back from /etc over the version.spec. rc
-	ln -sf /etc/$(PACKAGE).conf 		$(debininew)/octaverc
-
-	# Remove empty dirs
-	rm -rf $(debshare)/octave/site	\
-		$(deblib)/octave/*/site	\
-		$(deblib)/octave/site
-
 	dh_installdocs -a			README README.kpathsea	\
-						NEWS* PROJECTS THANKS	\
+						NEWS* PROJECTS		\
 						BUGS SENDING-PATCHES
+	-test "$(PACKAGEVER)" != 3.1 && dh_installdocs -a THANKS
+
 	dh_installdocs -p$(PACKAGE) 		debian/README.Atlas
-        # recreated in postinst in share/, not needed in lib
-	rm -vf	$(debtmp)/usr/lib/octave/ls-R \
-		$(debtmp)/usr/share/octave/ls-R
+
+        # The ls-R database is not needed anymore
+	rm -vf $(debtmp)/usr/lib/octave/ls-R
 
 	## Rename the desktop file
 	-[ -e $(debapp)/www.octave.org-octave.desktop ]		\
@@ -438,6 +470,7 @@ endif
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a -l/usr/lib/octave-$(version)
+	echo 'gcc:Depends=$(GCCDEPS)' >> $(debbase)/$(PACKAGE)-headers.substvars
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
diff -pruN 1:3.0.1-6/debian/texmf.cnf 1:3.0.5-6/debian/texmf.cnf
--- 1:3.0.1-6/debian/texmf.cnf	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/debian/texmf.cnf	2009-05-25 06:22:14.000000000 +0100
@@ -0,0 +1 @@
+save_size.pdfetex = 50000
diff -pruN 1:3.0.1-6/debian/watch 1:3.0.5-6/debian/watch
--- 1:3.0.1-6/debian/watch	2009-05-25 06:28:46.000000000 +0100
+++ 1:3.0.5-6/debian/watch	2009-05-25 06:22:14.000000000 +0100
@@ -1,2 +1,3 @@
 version=3
+opts=pasv \
 ftp://ftp.octave.org/pub/octave/octave-([\d\.]+)\.tar\.gz
diff -pruN 1:3.0.1-6/doc/ChangeLog 1:3.0.5-6/doc/ChangeLog
--- 1:3.0.1-6/doc/ChangeLog	2008-04-21 17:02:49.000000000 +0100
+++ 1:3.0.5-6/doc/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,47 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2008-12-26  Francesco Potortì  <pot@gnu.org>
+
+	* interpreter/matrix.txi (Rearranging Matrices): Add reference
+	to resize function.
+
+	* interpreter/plot.txi (Plot Annotations): Add cross reference to
+	Text Properties.
+	(Two-Dimensional Plots): Update introduction to the axis function.
+
+       * interpreter/signal.txi (Signal Processing): Add explanation of
+       what wisdom is.
+
+2008-08-28  John W. Eaton  <jwe@octave.org>
+
+	* interpreter/plot.txi: Doc fixes suggested by Francesco Potorti`
+	<Potorti@isti.cnr.it>.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-09-23  Francesco Potorti`  <Potorti@isti.cnr.it>.
+
+	* interpreter/container.txi: Fix cross reference in struct docs.
+
+2008-07-28  David Bateman  <dbateman@free.fr>
+
+	* interpreter/plot.txi: Document contourf.
+
+	* interpreter/plot.txi: Clarify the description of OuterPosition
+	axes property.
+
+2008-08-14  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
diff -pruN 1:3.0.1-6/doc/conf.texi 1:3.0.5-6/doc/conf.texi
--- 1:3.0.1-6/doc/conf.texi	2008-04-21 17:56:30.000000000 +0100
+++ 1:3.0.5-6/doc/conf.texi	2009-04-07 11:11:11.000000000 +0100
@@ -18,9 +18,9 @@
 
 @set OCTAVE_MANUAL
 @set top_srcdir ..
-@set abs_top_srcdir /scratch/jwe/release/octave-3.0
+@set abs_top_srcdir /home/hajek/devel/octave/release-3-0-x-build
 @set OCTAVEHOME /usr/local
-@set VERSION 3.0.1
+@set VERSION 3.0.5
 @set HAVE_COLAMD
 @set HAVE_CHOLMOD
 @set HAVE_UMFPACK
Binary files 1:3.0.1-6/doc/faq/Octave-FAQ.dvi and 1:3.0.5-6/doc/faq/Octave-FAQ.dvi differ
diff -pruN 1:3.0.1-6/doc/faq/Octave-FAQ.info 1:3.0.5-6/doc/faq/Octave-FAQ.info
--- 1:3.0.1-6/doc/faq/Octave-FAQ.info	2008-04-21 17:56:30.000000000 +0100
+++ 1:3.0.5-6/doc/faq/Octave-FAQ.info	2009-04-05 15:00:23.000000000 +0100
@@ -1,6 +1,6 @@
+START-INFO-DIR-ENTRY
 This is Octave-FAQ.info, produced by makeinfo version 4.11 from Octave-FAQ.texi.
 
-START-INFO-DIR-ENTRY
 * Octave-FAQ: (Octave-FAQ).  Frequently asked questions about Octave
 END-INFO-DIR-ENTRY
 
@@ -899,7 +899,7 @@ octave function that are available and t
           available in Octave 2.9.10 and later.
 
           Note that using `try'/`catch' combined with `rethrow
-          (lasterror ())' can not guarentee that global variables will
+          (lasterror ())' can not guarantee that global variables will
           be correctly reset, as it won't catch user interrupts with
           Ctrl-C. For example
 
Binary files 1:3.0.1-6/doc/faq/Octave-FAQ.pdf and 1:3.0.5-6/doc/faq/Octave-FAQ.pdf differ
diff -pruN 1:3.0.1-6/doc/faq/Octave-FAQ.ps 1:3.0.5-6/doc/faq/Octave-FAQ.ps
--- 1:3.0.1-6/doc/faq/Octave-FAQ.ps	2008-04-21 17:56:31.000000000 +0100
+++ 1:3.0.5-6/doc/faq/Octave-FAQ.ps	2009-04-05 15:00:24.000000000 +0100
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
-%%Creator: dvips(k) 5.96.1 Copyright 2007 Radical Eye Software
+%%Creator: dvips(k) 5.96 Copyright 2005 Radical Eye Software
 %%Title: Octave-FAQ.dvi
-%%CreationDate: Mon Apr 21 12:56:31 2008
+%%CreationDate: Sun Apr  5 16:00:24 2009
 %%Pages: 18
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
@@ -12,7 +12,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -o Octave-FAQ.ps Octave-FAQ.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2008.04.21:1256
+%DVIPSSource:  TeX output 2009.04.05:1600
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -3176,6 +3176,9 @@ rf /Fr 134[71 71 97 71 75 52 53 55 71 75
 %%BeginSetup
 %%Feature: *Resolution 600dpi
 TeXDict begin
+%%BeginPaperSize: Letter
+<< /PageSize [612 792] >> setpagedevice
+%%EndPaperSize
  end
 %%EndSetup
 %%Page: 1 1
@@ -3997,9 +4000,9 @@ h(lasterror)g(are)g(only)g(a)m(v)-5 b(ai
 (2.9.10)g(and)510 2233 y(later.)510 2388 y(Note)47 b(that)f(using)f
 Fp(try)p Fs(/)p Fp(catch)e Fs(com)m(bined)j(with)f(`)p
 Fp(rethrow)29 b(\(lasterror)e(\(\)\))p Fs(')45 b(can)h(not)510
-2498 y(guaren)m(tee)30 b(that)e(global)i(v)-5 b(ariables)28
-b(will)h(b)s(e)e(correctly)j(reset,)f(as)g(it)f(w)m(on't)h(catc)m(h)h
-(user)d(in)m(ter-)510 2607 y(rupts)i(with)h(Ctrl-C.)h(F)-8
+2498 y(guaran)m(tee)29 b(that)g(global)g(v)-5 b(ariables)28
+b(will)g(b)s(e)f(correctly)i(reset,)g(as)f(it)g(w)m(on't)h(catc)m(h)g
+(user)e(in)m(ter-)510 2607 y(rupts)i(with)h(Ctrl-C.)h(F)-8
 b(or)31 b(example)845 2762 y Fp(global)47 b(a)845 2872
 y(a)h(=)f(1;)845 2981 y(try)941 3091 y(_a)g(=)h(a;)941
 3200 y(a)f(=)h(2)941 3310 y(while)e(true)941 3420 y(end)845
diff -pruN 1:3.0.1-6/doc/faq/Octave-FAQ.texi 1:3.0.5-6/doc/faq/Octave-FAQ.texi
--- 1:3.0.1-6/doc/faq/Octave-FAQ.texi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/faq/Octave-FAQ.texi	2009-02-18 06:57:46.000000000 +0000
@@ -975,7 +975,7 @@ are touched are restored. You can do som
 @sc{Matlab}, however rethrow and lasterror are only available in Octave 2.9.10 and later.
 
 Note that using @code{try}/@code{catch} combined with @samp{rethrow
-(lasterror ())} can not guarentee that global variables will be
+(lasterror ())} can not guarantee that global variables will be
 correctly reset, as it won't catch user interrupts with Ctrl-C. For
 example
 
diff -pruN 1:3.0.1-6/doc/interpreter/arith.texi 1:3.0.5-6/doc/interpreter/arith.texi
--- 1:3.0.1-6/doc/interpreter/arith.texi	2008-04-21 17:58:23.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/arith.texi	2009-04-07 11:11:31.000000000 +0100
@@ -391,14 +391,15 @@ minimum value(s). Thus,
 
 @anchor{doc-mod}
 @deftypefn {Mapping Function} {} mod (@var{x}, @var{y})
-Compute modulo function, using
+Compute modulo function. Conceptually this is given by
 
 @example
 x - y .* floor (x ./ y)
 @end example
 
-Note that this handles negative numbers correctly:
-@code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
+and is written in a manner that the correct modulus is returned for
+integer types. This function handles negative values correctly. That
+is @code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
 Also, @code{mod (@var{x}, 0)} returns @var{x}.
 
 An error message is printed if the dimensions of the arguments do not
@@ -962,7 +963,7 @@ function. This should be a function or f
 column vector and returns a scalar. The result of the function should not
 depend on the order of the subscripts.
 
-The elements of the returned array that have no subscripts assoicated with
+The elements of the returned array that have no subscripts associated with
 them are set to zero. Defining @var{fillval} to some other value allows
 these values to be defined.
 
@@ -994,21 +995,23 @@ Compute Bessel or Hankel functions of va
 
 @table @code
 @item besselj
-Bessel functions of the first kind.
+Bessel functions of the first kind. If the argument @var{opt} is supplied, 
+the result is multiplied by @code{exp(-abs(imag(x)))}.
 @item bessely
-Bessel functions of the second kind.
+Bessel functions of the second kind. If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(imag(x)))}.
 @item besseli
-Modified Bessel functions of the first kind.
+Modified Bessel functions of the first kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(real(x)))}.
 @item besselk
-Modified Bessel functions of the second kind.
+Modified Bessel functions of the second kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(x)}.
 @item besselh
 Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}
- = 2) kind.
-@end table
-
-If the argument @var{opt} is supplied, the result is scaled by the
+= 2) kind. If the argument @var{opt} is supplied, the result is multiplied by
 @code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for
- @var{k} = 2.
+@var{k} = 2.
+@end table
 
 If @var{alpha} is a scalar, the result is the same size as @var{x}.
 If @var{x} is a scalar, the result is the same size as @var{alpha}.
diff -pruN 1:3.0.1-6/doc/interpreter/container.texi 1:3.0.5-6/doc/interpreter/container.texi
--- 1:3.0.1-6/doc/interpreter/container.texi	2008-04-21 17:58:24.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/container.texi	2009-04-07 11:11:31.000000000 +0100
@@ -216,7 +216,7 @@ x.v =
 
 It is also possible to cycle through all the elements of a structure in
 a loop, using a special form of the @code{for} statement
-(@pxref{The for Statement})
+(@pxref{Looping Over Structure Elements})
 
 @menu
 * Structure Arrays::
@@ -521,7 +521,7 @@ Create a subscript structure for use wit
 @subsection Processing Data in Structures
 
 The simplest way to process data in a structure is within a @code{for}
-loop or othe means of iterating over the fields. A similar effect can be
+loop (@pxref{Looping Over Structure Elements}). A similar effect can be
 achieved with the @code{structfun} function, where a user defined
 function is applied to each field of the structure.
 
@@ -745,8 +745,8 @@ false.
 
 @anchor{doc-num2cell}
 @deftypefn {Loadable Function} {@var{c} =} num2cell (@var{m})
-@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{d})
-Convert to matrix @var{m} into a cell array. If @var{d} is defined the
+@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{dim})
+Convert the matrix @var{m} into a cell array. If @var{dim} is defined, the
 value @var{c} is of dimension 1 in this dimension and the elements of
 @var{m} are placed in slices in @var{c}.
 @seealso{mat2cell}
@@ -757,7 +757,7 @@ value @var{c} is of dimension 1 in this 
 @deftypefn {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{m}, @var{n})
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{d1}, @var{d2}, @dots{})
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{r})
-Converts the matrix @var{a} to a cell array If @var{a} is 2-D, then
+Convert the matrix @var{a} to a cell array. If @var{a} is 2-D, then
 it is required that @code{sum (@var{m}) == size (@var{a}, 1)} and
 @code{sum (@var{n}) == size (@var{a}, 2)}. Similarly, if @var{a} is
 a multi-dimensional and the number of dimensional arguments is equal
@@ -1087,7 +1087,7 @@ example
 @noindent
 where @code{@var{i}, @var{j}} is equally a comma separated list. Comma
 separated lists can not be directly manipulated by the user. However,
-both structures are cell arrays can be converted into comma
+both structures and cell arrays can be converted into comma
 separated lists, which makes them useful to keep the input arguments and
 return values of functions organized. Another example of where a comma
 separated list can be used is in the creation of a new array. If all the
diff -pruN 1:3.0.1-6/doc/interpreter/container.txi 1:3.0.5-6/doc/interpreter/container.txi
--- 1:3.0.1-6/doc/interpreter/container.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/container.txi	2009-01-16 06:46:20.000000000 +0000
@@ -208,7 +208,7 @@ x.v =
 
 It is also possible to cycle through all the elements of a structure in
 a loop, using a special form of the @code{for} statement
-(@pxref{The for Statement})
+(@pxref{Looping Over Structure Elements})
 
 @menu
 * Structure Arrays::
@@ -418,7 +418,7 @@ Other functions that can manipulate the 
 @subsection Processing Data in Structures
 
 The simplest way to process data in a structure is within a @code{for}
-loop or othe means of iterating over the fields. A similar effect can be
+loop (@pxref{Looping Over Structure Elements}). A similar effect can be
 achieved with the @code{structfun} function, where a user defined
 function is applied to each field of the structure.
 
@@ -717,7 +717,7 @@ example
 @noindent
 where @code{@var{i}, @var{j}} is equally a comma separated list. Comma
 separated lists can not be directly manipulated by the user. However,
-both structures are cell arrays can be converted into comma
+both structures and cell arrays can be converted into comma
 separated lists, which makes them useful to keep the input arguments and
 return values of functions organized. Another example of where a comma
 separated list can be used is in the creation of a new array. If all the
diff -pruN 1:3.0.1-6/doc/interpreter/contributors.in 1:3.0.5-6/doc/interpreter/contributors.in
--- 1:3.0.1-6/doc/interpreter/contributors.in	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/contributors.in	2009-01-16 06:46:20.000000000 +0000
@@ -188,6 +188,7 @@ John Swensen
 Ariel Tankus
 Georg Thimm
 Duncan Temple Lang
+Kris Thielemans
 Olaf Till
 Thomas Treichl
 Utkarsh Upadhyay
diff -pruN 1:3.0.1-6/doc/interpreter/contributors.texi 1:3.0.5-6/doc/interpreter/contributors.texi
--- 1:3.0.1-6/doc/interpreter/contributors.texi	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/contributors.texi	2009-04-07 11:11:33.000000000 +0100
@@ -62,11 +62,11 @@
 @item Quentin H. Spencer @tab Christoph Spiel @tab Richard Stallman
 @item Russell Standish @tab Doug Stewart @tab Thomas Stuart
 @item John Swensen @tab Ariel Tankus @tab Georg Thimm
-@item Duncan Temple Lang @tab Olaf Till @tab Thomas Treichl
-@item Utkarsh Upadhyay @tab Stefan van der Walt @tab Peter Van Wieren
-@item James R. Van Zandt @tab Gregory Vanuxem @tab Ivana Varekova
-@item Thomas Walter @tab Olaf Weber @tab Thomas Weber
-@item Bob Weigel @tab Andreas Weingessel @tab Michael Weitzel
-@item Fook Fah Yap @tab Michael Zeising @tab Federico Zenith
-@item Alex Zvoleff
+@item Duncan Temple Lang @tab Kris Thielemans @tab Olaf Till
+@item Thomas Treichl @tab Utkarsh Upadhyay @tab Stefan van der Walt
+@item Peter Van Wieren @tab James R. Van Zandt @tab Gregory Vanuxem
+@item Ivana Varekova @tab Thomas Walter @tab Olaf Weber
+@item Thomas Weber @tab Bob Weigel @tab Andreas Weingessel
+@item Michael Weitzel @tab Fook Fah Yap @tab Michael Zeising
+@item Federico Zenith @tab Alex Zvoleff
 @end multitable
diff -pruN 1:3.0.1-6/doc/interpreter/convhull.eps 1:3.0.5-6/doc/interpreter/convhull.eps
--- 1:3.0.1-6/doc/interpreter/convhull.eps	2008-04-21 17:57:08.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/convhull.eps	2009-01-29 08:11:13.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: convhull.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:08 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:13 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (convhull.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:08 2008)
+  /CreationDate (Thu Jan 29 09:11:13 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,346 +543,351 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 489 M
+546 489 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 489 M
+0.00 0.00 0.00 C 462 489 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1324 M
+546 1323 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1324 M
+0.00 0.00 0.00 C 462 1323 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2159 M
+546 2158 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2159 M
+0.00 0.00 0.00 C 462 2158 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2993 M
+546 2993 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2993 M
+0.00 0.00 0.00 C 462 2993 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3828 M
+546 3828 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3828 M
+0.00 0.00 0.00 C 462 3828 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4663 M
+546 4662 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4663 M
+0.00 0.00 0.00 C 462 4662 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-543 280 M
+599 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 543 140 M
+0.00 0.00 0.00 C 599 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1604 280 M
+1655 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1604 140 M
+0.00 0.00 0.00 C 1655 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2665 280 M
+2711 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2665 140 M
+0.00 0.00 0.00 C 2711 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3726 280 M
+3768 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3726 140 M
+0.00 0.00 0.00 C 3768 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4787 280 M
+4824 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4787 140 M
+0.00 0.00 0.00 C 4824 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5848 280 M
+5880 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5848 140 M
+0.00 0.00 0.00 C 5880 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6909 280 M
+6936 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6909 140 M
+0.00 0.00 0.00 C 6936 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-1.00 0.00 0.00 C 543 1078 M
-3726 489 L
-3183 589 V
--53 206 V
--53 203 V
+1.00 0.00 0.00 C 599 1078 M
+3768 489 L
+3168 589 V
+-53 205 V
+-52 204 V
 -53 202 V
 -53 198 V
 -53 195 V
--53 191 V
--53 186 V
--53 182 V
+-53 190 V
+-52 187 V
+-53 181 V
 -53 176 V
--54 170 V
+-53 170 V
 -53 164 V
--53 157 V
--53 151 V
+-53 158 V
+-52 150 V
 -53 143 V
 -53 135 V
 -53 127 V
--53 118 V
--53 110 V
+-53 119 V
+-52 109 V
 -53 101 V
 -53 92 V
 -53 82 V
 -53 72 V
--53 63 V
+-52 63 V
 -53 52 V
 -53 42 V
--53 32 V
--53 22 V
--53 11 V
--53 1 V
--3290 0 V
--53 -1 V
--53 -11 V
--53 -22 V
--53 -32 V
+-53 33 V
+-53 21 V
+-53 12 V
+-52 0 V
+-3275 0 V
+-52 0 V
+-53 -12 V
+-53 -21 V
+-53 -33 V
 -53 -42 V
 -53 -52 V
--53 -63 V
+-52 -63 V
 -53 -72 V
 -53 -82 V
 -53 -92 V
 -53 -101 V
--53 -110 V
--53 -118 V
+-52 -109 V
+-53 -119 V
 -53 -127 V
 -53 -135 V
 -53 -143 V
--53 -151 V
--53 -157 V
+-52 -150 V
+-53 -158 V
 -53 -164 V
--54 -170 V
-967 2641 L
-914 2459 L
-861 2273 L
-808 2082 L
-755 1887 L
-702 1689 L
-649 1487 L
-596 1284 L
-543 1078 L
+-53 -170 V
+-53 -176 V
+968 2459 L
+916 2272 L
+863 2082 L
+810 1887 L
+757 1689 L
+704 1487 L
+652 1283 L
+599 1078 L
+% End plot #1
+% Begin plot #2
 1.000 UP
 stroke
 LT1
-0.00 0.00 1.00 C 543 1078 Pls
-596 1284 Pls
-649 1487 Pls
-702 1689 Pls
-755 1887 Pls
-808 2082 Pls
-861 2273 Pls
-914 2459 Pls
-967 2641 Pls
-1020 2817 Pls
-1074 2987 Pls
-1127 3151 Pls
-1180 3308 Pls
-1233 3459 Pls
-1286 3602 Pls
-1339 3737 Pls
-1392 3864 Pls
-1445 3982 Pls
-1498 4092 Pls
-1551 4193 Pls
-1604 4285 Pls
-1657 4367 Pls
-1710 4439 Pls
-1763 4502 Pls
-1816 4554 Pls
-1869 4596 Pls
-1922 4628 Pls
-1975 4650 Pls
-2028 4661 Pls
-2081 4662 Pls
-2135 4653 Pls
-2188 4633 Pls
-2241 4603 Pls
-2294 4562 Pls
-2347 4511 Pls
-2400 4450 Pls
-2453 4380 Pls
-2506 4299 Pls
-2559 4209 Pls
-2612 4110 Pls
-2665 4001 Pls
-2718 3884 Pls
-2771 3759 Pls
-2824 3625 Pls
-2877 3483 Pls
-2930 3334 Pls
-2983 3178 Pls
-3036 3015 Pls
-3089 2846 Pls
-3142 2671 Pls
-3196 2490 Pls
-3249 2305 Pls
-3302 2114 Pls
-3355 1920 Pls
-3408 1722 Pls
-3461 1522 Pls
-3514 1318 Pls
-3567 1113 Pls
-3620 905 Pls
-3673 697 Pls
-3726 489 Pls
-3779 697 Pls
-3832 905 Pls
-3885 1113 Pls
-3938 1318 Pls
-3991 1522 Pls
-4044 1722 Pls
-4097 1920 Pls
-4150 2114 Pls
-4203 2305 Pls
-4256 2490 Pls
-4310 2671 Pls
-4363 2846 Pls
-4416 3015 Pls
-4469 3178 Pls
-4522 3334 Pls
-4575 3483 Pls
-4628 3625 Pls
-4681 3759 Pls
-4734 3884 Pls
-4787 4001 Pls
-4840 4110 Pls
-4893 4209 Pls
-4946 4299 Pls
-4999 4380 Pls
-5052 4450 Pls
-5105 4511 Pls
-5158 4562 Pls
-5211 4603 Pls
-5264 4633 Pls
-5317 4653 Pls
-5371 4662 Pls
-5424 4661 Pls
-5477 4650 Pls
-5530 4628 Pls
-5583 4596 Pls
-5636 4554 Pls
-5689 4502 Pls
-5742 4439 Pls
-5795 4367 Pls
-5848 4285 Pls
-5901 4193 Pls
-5954 4092 Pls
-6007 3982 Pls
-6060 3864 Pls
-6113 3737 Pls
-6166 3602 Pls
-6219 3459 Pls
-6272 3308 Pls
-6325 3151 Pls
-6378 2987 Pls
-6432 2817 Pls
-6485 2641 Pls
-6538 2459 Pls
-6591 2273 Pls
-6644 2082 Pls
-6697 1887 Pls
-6750 1689 Pls
-6803 1487 Pls
-6856 1284 Pls
-6909 1078 Pls
-0.500 UL
-LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+0.00 0.00 1.00 C 599 1078 Pls
+652 1283 Pls
+704 1487 Pls
+757 1689 Pls
+810 1887 Pls
+863 2082 Pls
+916 2272 Pls
+968 2459 Pls
+1021 2640 Pls
+1074 2816 Pls
+1127 2986 Pls
+1180 3150 Pls
+1233 3308 Pls
+1285 3458 Pls
+1338 3601 Pls
+1391 3736 Pls
+1444 3863 Pls
+1497 3982 Pls
+1549 4091 Pls
+1602 4192 Pls
+1655 4284 Pls
+1708 4366 Pls
+1761 4438 Pls
+1813 4501 Pls
+1866 4553 Pls
+1919 4595 Pls
+1972 4628 Pls
+2025 4649 Pls
+2078 4661 Pls
+2130 4661 Pls
+2183 4652 Pls
+2236 4632 Pls
+2289 4602 Pls
+2342 4561 Pls
+2394 4510 Pls
+2447 4449 Pls
+2500 4379 Pls
+2553 4298 Pls
+2606 4208 Pls
+2658 4109 Pls
+2711 4001 Pls
+2764 3884 Pls
+2817 3758 Pls
+2870 3624 Pls
+2923 3483 Pls
+2975 3334 Pls
+3028 3177 Pls
+3081 3015 Pls
+3134 2845 Pls
+3187 2670 Pls
+3239 2490 Pls
+3292 2304 Pls
+3345 2114 Pls
+3398 1920 Pls
+3451 1722 Pls
+3503 1521 Pls
+3556 1318 Pls
+3609 1112 Pls
+3662 905 Pls
+3715 697 Pls
+3768 489 Pls
+3820 697 Pls
+3873 905 Pls
+3926 1112 Pls
+3979 1318 Pls
+4032 1521 Pls
+4084 1722 Pls
+4137 1920 Pls
+4190 2114 Pls
+4243 2304 Pls
+4296 2490 Pls
+4348 2670 Pls
+4401 2845 Pls
+4454 3015 Pls
+4507 3177 Pls
+4560 3334 Pls
+4612 3483 Pls
+4665 3624 Pls
+4718 3758 Pls
+4771 3884 Pls
+4824 4001 Pls
+4877 4109 Pls
+4929 4208 Pls
+4982 4298 Pls
+5035 4379 Pls
+5088 4449 Pls
+5141 4510 Pls
+5193 4561 Pls
+5246 4602 Pls
+5299 4632 Pls
+5352 4652 Pls
+5405 4661 Pls
+5457 4661 Pls
+5510 4649 Pls
+5563 4628 Pls
+5616 4595 Pls
+5669 4553 Pls
+5722 4501 Pls
+5774 4438 Pls
+5827 4366 Pls
+5880 4284 Pls
+5933 4192 Pls
+5986 4091 Pls
+6038 3982 Pls
+6091 3863 Pls
+6144 3736 Pls
+6197 3601 Pls
+6250 3458 Pls
+6302 3308 Pls
+6355 3150 Pls
+6408 2986 Pls
+6461 2816 Pls
+6514 2640 Pls
+6567 2459 Pls
+6619 2272 Pls
+6672 2082 Pls
+6725 1887 Pls
+6778 1689 Pls
+6831 1487 Pls
+6883 1283 Pls
+6936 1078 Pls
+% End plot #2
+0.500 UL
+LTb
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/convhull.pdf and 1:3.0.5-6/doc/interpreter/convhull.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/convhull.png and 1:3.0.5-6/doc/interpreter/convhull.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/data.texi 1:3.0.5-6/doc/interpreter/data.texi
--- 1:3.0.1-6/doc/interpreter/data.texi	2008-04-21 17:58:24.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/data.texi	2009-04-07 11:11:31.000000000 +0100
@@ -86,7 +86,7 @@ Convert @var{val} to data type @var{type
 
 @anchor{doc-typecast}
 @deftypefn {Loadable Function} {} typecast (@var{x}, @var{type})
-Converts from one datatype to another without changing the underlying
+Convert from one datatype to another without changing the underlying
 data. The argument @var{type} defines the type of the return argument
 and must be one of 'uint8', 'uint16', 'uint32', 'uint64', 'int8', 'int16',
 'int32', 'int64', 'single' or 'double'.
diff -pruN 1:3.0.1-6/doc/interpreter/delaunay.eps 1:3.0.5-6/doc/interpreter/delaunay.eps
--- 1:3.0.1-6/doc/interpreter/delaunay.eps	2008-04-21 17:57:09.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/delaunay.eps	2009-01-29 08:11:14.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: delaunay.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:09 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:14 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (delaunay.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:09 2008)
+  /CreationDate (Thu Jan 29 09:11:14 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,293 +543,320 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 280 M
+546 280 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 280 M
+0.00 0.00 0.00 C 462 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 763 M
+546 763 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 763 M
+0.00 0.00 0.00 C 462 763 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1247 M
+546 1247 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1247 M
+0.00 0.00 0.00 C 462 1247 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1730 M
+546 1730 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1730 M
+0.00 0.00 0.00 C 462 1730 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.3)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2213 M
+546 2213 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2213 M
+0.00 0.00 0.00 C 462 2213 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2697 M
+546 2696 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2697 M
+0.00 0.00 0.00 C 462 2696 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3180 M
+546 3180 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3180 M
+0.00 0.00 0.00 C 462 3180 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3664 M
+546 3663 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3664 M
+0.00 0.00 0.00 C 462 3663 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.7)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4147 M
+546 4146 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4147 M
+0.00 0.00 0.00 C 462 4146 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4630 M
+546 4629 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4630 M
+0.00 0.00 0.00 C 462 4629 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.9)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-1114 280 M
+1167 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1114 140 M
+0.00 0.00 0.00 C 1167 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1894 280 M
+1943 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1894 140 M
+0.00 0.00 0.00 C 1943 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2673 280 M
+2720 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2673 140 M
+0.00 0.00 0.00 C 2720 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3453 280 M
+3496 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3453 140 M
+0.00 0.00 0.00 C 3496 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4233 280 M
+4272 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4233 140 M
+0.00 0.00 0.00 C 4272 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5013 280 M
+5048 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5013 140 M
+0.00 0.00 0.00 C 5048 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5792 280 M
+5825 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5792 140 M
+0.00 0.00 0.00 C 5825 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.7)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6572 280 M
+6601 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6572 140 M
+0.00 0.00 0.00 C 6601 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 1066 4637 M
-316 -317 V
-555 428 L
-511 4209 V
+0.00 0.00 1.00 C 1119 4636 M
+315 -317 V
+611 428 L
+508 4208 V
+% End plot #1
+% Begin plot #2
 stroke
 LT1
-0.00 0.00 1.00 C 4197 2433 M
-2323 290 L
-555 428 L
-4197 2433 L
+0.00 0.00 1.00 C 4237 2432 M
+2371 290 L
+611 428 L
+4237 2432 L
+% End plot #2
+% Begin plot #3
 stroke
 LT2
-0.00 0.00 1.00 C 4197 2433 M
-1382 4320 L
-555 428 L
-4197 2433 L
+0.00 0.00 1.00 C 4237 2432 M
+1434 4319 L
+611 428 L
+4237 2432 L
+% End plot #3
+% Begin plot #4
 stroke
 LT3
-0.00 0.00 1.00 C 5415 1386 M
-4197 2433 L
-2745 -61 V
-5415 1386 L
+0.00 0.00 1.00 C 5449 1386 M
+4237 2432 L
+2732 -61 V
+5449 1386 L
+% End plot #4
+% Begin plot #5
 stroke
 LT4
-0.00 0.00 1.00 C 5415 1386 M
-4197 2433 L
-2323 290 L
-5415 1386 L
+0.00 0.00 1.00 C 5449 1386 M
+4237 2432 L
+2371 290 L
+5449 1386 L
+% End plot #5
+% Begin plot #6
 stroke
 LT5
-0.00 0.00 1.00 C 3839 3768 M
-4197 2433 L
-1382 4320 L
-3839 3768 L
+0.00 0.00 1.00 C 3880 3767 M
+4237 2432 L
+1434 4319 L
+3880 3767 L
+% End plot #6
+% Begin plot #7
 stroke
 LT6
-0.00 0.00 1.00 C 3839 3768 M
-1066 4637 L
-5418 212 V
-3839 3768 L
+0.00 0.00 1.00 C 3880 3767 M
+1119 4636 L
+5394 212 V
+3880 3767 L
+% End plot #7
+% Begin plot #8
 stroke
 LT7
-0.00 0.00 1.00 C 3839 3768 M
-1066 4637 L
-316 -317 V
-3839 3768 L
+0.00 0.00 1.00 C 3880 3767 M
+1119 4636 L
+315 -317 V
+3880 3767 L
+% End plot #8
+% Begin plot #9
 stroke
 LT8
-0.00 0.00 1.00 C 6290 3965 M
-194 884 V
-6942 2372 L
-6290 3965 L
+0.00 0.00 1.00 C 6320 3964 M
+193 884 V
+6969 2371 L
+6320 3964 L
+% End plot #9
+% Begin plot #10
 stroke
 LT0
-0.00 0.00 1.00 C 6290 3965 M
-3839 3768 L
-6484 4849 L
-6290 3965 L
+0.00 0.00 1.00 C 6320 3964 M
+3880 3767 L
+6513 4848 L
+6320 3964 L
+% End plot #10
+% Begin plot #11
 stroke
 LT1
-0.00 0.00 1.00 C 6290 3965 M
-4197 2433 L
-2745 -61 V
-6290 3965 L
+0.00 0.00 1.00 C 6320 3964 M
+4237 2432 L
+2732 -61 V
+6320 3964 L
+% End plot #11
+% Begin plot #12
 stroke
 LT2
-0.00 0.00 1.00 C 6290 3965 M
-3839 3768 L
-4197 2433 L
-6290 3965 L
+0.00 0.00 1.00 C 6320 3964 M
+3880 3767 L
+4237 2432 L
+6320 3964 L
+% End plot #12
+% Begin plot #13
 1.000 UP
 stroke
 LT3
-1.00 0.00 0.00 C 1382 4320 Star
-6942 2372 Star
-6290 3965 Star
-2323 290 Star
-4197 2433 Star
-3839 3768 Star
-5415 1386 Star
-6484 4849 Star
-1066 4637 Star
-555 428 Star
-0.500 UL
-LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+1.00 0.00 0.00 C 1434 4319 Star
+6969 2371 Star
+6320 3964 Star
+2371 290 Star
+4237 2432 Star
+3880 3767 Star
+5449 1386 Star
+6513 4848 Star
+1119 4636 Star
+611 428 Star
+% End plot #13
+0.500 UL
+LTb
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/delaunay.pdf and 1:3.0.5-6/doc/interpreter/delaunay.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/delaunay.png and 1:3.0.5-6/doc/interpreter/delaunay.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/dynamic.texi 1:3.0.5-6/doc/interpreter/dynamic.texi
--- 1:3.0.1-6/doc/interpreter/dynamic.texi	2008-04-21 17:58:24.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/dynamic.texi	2009-04-07 11:11:31.000000000 +0100
@@ -1733,28 +1733,7 @@ array and matrix classes as well as to a
 following C++ program, uses class Matrix from liboctave.a or
 liboctave.so.
 
-@example
-@group
-#include <iostream>
-#include <octave/oct.h>
-int
-main (void)
-@{
-  std::cout << "Hello Octave world!\n";
-  int n = 2;
-  Matrix a_matrix = Matrix (n, n);
-  for (octave_idx_type i = 0; i < n; i++)
-    @{
-      for (octave_idx_type j = 0; j < n; j++)
-        @{
-          a_matrix (i, j) = (i + 1) * 10 + (j + 1);
-        @}
-    @}
-  std::cout << a_matrix;
-  return 0;
-@}
-@end group
-@end example
+@examplefile{standalone.cc}
 
 @noindent
 mkoctfile can then be used to build a standalone application with a
@@ -1762,8 +1741,8 @@ command like
 
 @example
 @group
-$ mkoctfile --link-stand-alone hello.cc -o hello
-$ ./hello
+$ mkoctfile --link-stand-alone standalone.cc -o standalone
+$ ./standalone
 Hello Octave world!
   11 12
   21 22
@@ -1772,4 +1751,24 @@ $
 @end example
 
 Note that the application @code{hello} will be dynamically linked
-against the octave libraries and any octave support libraries.
+against the octave libraries and any octave support libraries. The above
+allows the Octave math libraries to be used by an application. It does
+not however allow the script files, oct-files or builtin functions of
+Octave to be used by the application. To do that the Octave interpreter
+needs to be initialized first. An example of how to do this can then be
+seen in the code
+
+@examplefile{embedded.cc}
+
+@noindent
+which is compiled and run as before as a standalone application with
+
+@example
+@group
+$ mkoctfile --link-stand-alone embedded.cc -o embedded
+$ ./embedded
+GCD of [10, 15] is 5
+$
+@end group
+@end example
+
diff -pruN 1:3.0.1-6/doc/interpreter/dynamic.txi 1:3.0.5-6/doc/interpreter/dynamic.txi
--- 1:3.0.1-6/doc/interpreter/dynamic.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/dynamic.txi	2009-01-16 06:46:20.000000000 +0000
@@ -1621,28 +1621,7 @@ array and matrix classes as well as to a
 following C++ program, uses class Matrix from liboctave.a or
 liboctave.so.
 
-@example
-@group
-#include <iostream>
-#include <octave/oct.h>
-int
-main (void)
-@{
-  std::cout << "Hello Octave world!\n";
-  int n = 2;
-  Matrix a_matrix = Matrix (n, n);
-  for (octave_idx_type i = 0; i < n; i++)
-    @{
-      for (octave_idx_type j = 0; j < n; j++)
-        @{
-          a_matrix (i, j) = (i + 1) * 10 + (j + 1);
-        @}
-    @}
-  std::cout << a_matrix;
-  return 0;
-@}
-@end group
-@end example
+@examplefile{standalone.cc}
 
 @noindent
 mkoctfile can then be used to build a standalone application with a
@@ -1650,8 +1629,8 @@ command like
 
 @example
 @group
-$ mkoctfile --link-stand-alone hello.cc -o hello
-$ ./hello
+$ mkoctfile --link-stand-alone standalone.cc -o standalone
+$ ./standalone
 Hello Octave world!
   11 12
   21 22
@@ -1660,4 +1639,24 @@ $
 @end example
 
 Note that the application @code{hello} will be dynamically linked
-against the octave libraries and any octave support libraries.
+against the octave libraries and any octave support libraries. The above
+allows the Octave math libraries to be used by an application. It does
+not however allow the script files, oct-files or builtin functions of
+Octave to be used by the application. To do that the Octave interpreter
+needs to be initialized first. An example of how to do this can then be
+seen in the code
+
+@examplefile{embedded.cc}
+
+@noindent
+which is compiled and run as before as a standalone application with
+
+@example
+@group
+$ mkoctfile --link-stand-alone embedded.cc -o embedded
+$ ./embedded
+GCD of [10, 15] is 5
+$
+@end group
+@end example
+
diff -pruN 1:3.0.1-6/doc/interpreter/errorbar.eps 1:3.0.5-6/doc/interpreter/errorbar.eps
--- 1:3.0.1-6/doc/interpreter/errorbar.eps	2008-04-21 17:57:14.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/errorbar.eps	2009-01-29 08:11:16.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: errorbar.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:14 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:16 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (errorbar.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:14 2008)
+  /CreationDate (Thu Jan 29 09:11:16 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,812 +543,826 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 280 M
+630 280 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 280 M
+0.00 0.00 0.00 C 546 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1428 M
+630 1428 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1428 M
+0.00 0.00 0.00 C 546 1428 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2576 M
+630 2576 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2576 M
+0.00 0.00 0.00 C 546 2576 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3724 M
+630 3723 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3724 M
+0.00 0.00 0.00 C 546 3723 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4872 M
+630 4871 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4872 M
+0.00 0.00 0.00 C 546 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 280 M
+630 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 574 140 M
+0.00 0.00 0.00 C 630 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1852 280 M
+1902 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1852 140 M
+0.00 0.00 0.00 C 1902 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3129 280 M
+3174 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3129 140 M
+0.00 0.00 0.00 C 3174 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4407 280 M
+4445 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4407 140 M
+0.00 0.00 0.00 C 4445 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (6)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5684 280 M
+5717 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5684 140 M
+0.00 0.00 0.00 C 5717 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (8)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (10)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UP
 0.500 UL
 LT0
-0.00 0.00 1.00 C 574 3053 M
-0 -621 V
--31 621 R
-62 0 V
-543 2432 M
-62 0 V
-33 304 R
-0 4 V
--31 -4 R
-62 0 V
--62 4 R
-62 0 V
-33 16 R
-0 370 V
-671 2756 M
-62 0 V
--62 370 R
-62 0 V
-33 80 R
-0 -90 V
--31 90 R
-62 0 V
--62 -90 R
-62 0 V
-33 394 R
-0 -41 V
--31 41 R
-62 0 V
--62 -41 R
-62 0 V
-32 21 R
-0 100 V
-862 3490 M
+0.00 0.00 1.00 C 630 2704 M
+0 -541 V
+-31 541 R
 62 0 V
--62 100 R
+599 2163 M
 62 0 V
-33 331 R
-0 -347 V
--31 347 R
+33 399 R
+0 74 V
+-31 -74 R
 62 0 V
-926 3574 M
+-62 74 R
 62 0 V
-33 595 R
-0 -261 V
--31 261 R
+32 636 R
+0 165 V
+726 3272 M
 62 0 V
-990 3908 M
+-62 165 R
 62 0 V
-33 259 R
-0 -664 V
--31 664 R
+33 21 R
+0 70 V
+-31 -70 R
 62 0 V
--62 -664 R
+-62 70 R
 62 0 V
-33 1202 R
-0 -485 V
--31 485 R
+32 -531 R
+0 633 V
+853 2997 M
 62 0 V
--62 -485 R
+-62 633 R
 62 0 V
-33 -91 R
-0 321 V
--31 -321 R
+33 335 R
+0 -29 V
+-31 29 R
 62 0 V
--62 321 R
+-62 -29 R
 62 0 V
-33 304 R
-0 -322 V
--31 322 R
+33 -320 R
+0 282 V
+981 3616 M
 62 0 V
--62 -322 R
+-62 282 R
 62 0 V
-33 259 R
-0 40 V
--31 -40 R
-62 0 V
--62 40 R
-62 0 V
-32 -91 R
-0 232 V
--31 -232 R
-62 0 V
--62 232 R
-62 0 V
-33 -133 R
-0 133 V
--31 -133 R
-62 0 V
--62 133 R
-62 0 V
-97 0 R
-0 -132 V
--31 132 R
-62 0 V
--62 -132 R
-62 0 V
-97 -23 R
-0 155 V
--31 -155 R
-62 0 V
--62 155 R
-62 0 V
-33 0 R
-0 -207 V
--31 207 R
-1819 4872 L
--62 -207 R
+32 365 R
+0 -501 V
+-31 501 R
 62 0 V
-33 -144 R
-0 112 V
--31 -112 R
+-62 -501 R
 62 0 V
--62 112 R
+33 1041 R
+0 -925 V
+-31 925 R
 62 0 V
-32 -29 R
-0 -110 V
--31 110 R
+-62 -925 R
 62 0 V
--62 -110 R
+32 437 R
+0 201 V
+-31 -201 R
 62 0 V
-33 111 R
-0 -81 V
--31 81 R
+-62 201 R
 62 0 V
--62 -81 R
-62 0 V
-33 -269 R
-0 -77 V
--31 77 R
-62 0 V
--62 -77 R
-62 0 V
-33 -84 R
-0 -310 V
--31 310 R
-62 0 V
--62 -310 R
-62 0 V
-33 67 R
-0 311 V
--31 -311 R
+33 -251 R
+0 271 V
+-31 -271 R
 62 0 V
--62 311 R
+-62 271 R
 62 0 V
-33 -666 R
-0 255 V
--31 -255 R
+32 -123 R
+0 379 V
+-31 -379 R
 62 0 V
--62 255 R
+-62 379 R
 62 0 V
-33 136 R
-0 -514 V
--31 514 R
+33 -334 R
+0 284 V
+-31 -284 R
 62 0 V
--62 -514 R
+-62 284 R
 62 0 V
-33 -196 R
-0 703 V
--31 -703 R
+33 -201 R
+0 313 V
+-31 -313 R
 62 0 V
--62 703 R
+-62 313 R
 62 0 V
-33 -728 R
+32 17 R
 0 -153 V
 -31 153 R
 62 0 V
 -62 -153 R
 62 0 V
-32 -228 R
-0 621 V
--31 -621 R
+33 153 R
+0 -107 V
+-31 107 R
 62 0 V
--62 621 R
+-62 -107 R
 62 0 V
-33 -930 R
-0 513 V
--31 -513 R
+32 -98 R
+0 205 V
+-31 -205 R
 62 0 V
--62 513 R
+-62 205 R
 62 0 V
-33 -1043 R
-0 483 V
--31 -483 R
-62 0 V
--62 483 R
-62 0 V
-33 -224 R
-0 85 V
--31 -85 R
-62 0 V
--62 85 R
-62 0 V
-33 -287 R
-0 164 V
--31 -164 R
-62 0 V
--62 164 R
+33 0 R
+0 -140 V
+-31 140 R
 62 0 V
-33 -427 R
-0 -82 V
--31 82 R
+stroke 1742 4871 M
+-62 -140 R
 62 0 V
--62 -82 R
+33 -359 R
+0 499 V
+-31 -499 R
 62 0 V
-33 107 R
-0 -322 V
--31 322 R
+-62 499 R
 62 0 V
--62 -322 R
+96 0 R
+0 -438 V
+-31 438 R
 62 0 V
-33 -202 R
-2938 1232 L
--31 -5 R
+-62 -438 R
 62 0 V
--62 5 R
+32 438 R
+0 -582 V
+-31 582 R
 62 0 V
-32 45 R
-0 -3 V
--31 3 R
+-62 -582 R
 62 0 V
--62 -3 R
+33 -76 R
+0 76 V
+-31 -76 R
 62 0 V
-33 -107 R
-0 102 V
--31 -102 R
+-62 76 R
 62 0 V
--62 102 R
+33 420 R
+0 -354 V
+-31 354 R
 62 0 V
-33 -543 R
-0 635 V
-3098 726 M
+-62 -354 R
 62 0 V
--62 635 R
+32 -56 R
+0 -275 V
+-31 275 R
 62 0 V
-33 -790 R
-0 259 V
-3162 571 M
+-62 -275 R
 62 0 V
--62 259 R
+33 -21 R
+0 637 V
+-31 -637 R
 62 0 V
-33 -79 R
-0 10 V
--31 -10 R
+-62 637 R
 62 0 V
--62 10 R
+32 -977 R
+0 -27 V
+-31 27 R
 62 0 V
-33 -300 R
-0 -181 V
--31 181 R
+-62 -27 R
 62 0 V
-3290 280 M
+33 -276 R
+0 287 V
+-31 -287 R
 62 0 V
-224 0 R
-0 104 V
-3545 280 M
+-62 287 R
 62 0 V
--62 104 R
+33 -242 R
+0 -238 V
+-31 238 R
 62 0 V
-33 38 R
-0 -47 V
--31 47 R
+-62 -238 R
 62 0 V
--62 -47 R
+32 110 R
+0 299 V
+-31 -299 R
 62 0 V
-97 -95 R
-0 325 V
-3737 280 M
+-62 299 R
 62 0 V
--62 325 R
+33 -879 R
+0 420 V
+-31 -420 R
 62 0 V
-33 -17 R
-0 -273 V
--31 273 R
+-62 420 R
 62 0 V
-3801 315 M
+32 -729 R
+0 211 V
+-31 -211 R
 62 0 V
-33 462 R
-0 -315 V
--31 315 R
+-62 211 R
 62 0 V
-3865 462 M
+33 341 R
+0 -515 V
+-31 515 R
 62 0 V
-33 77 R
-0 174 V
-3929 539 M
+-62 -515 R
 62 0 V
--62 174 R
+32 204 R
+0 -186 V
+-31 186 R
 62 0 V
-33 -274 R
-0 341 V
-3993 439 M
+-62 -186 R
 62 0 V
--62 341 R
+33 -43 R
+0 -397 V
+-31 397 R
 62 0 V
-32 14 R
-0 417 V
-4056 794 M
+-62 -397 R
 62 0 V
--62 417 R
+33 -233 R
+0 -67 V
+-31 67 R
 62 0 V
-33 -37 R
-0 -587 V
--31 587 R
+-62 -67 R
 62 0 V
-4120 587 M
+stroke 2887 1703 M
+32 265 R
+0 -184 V
+-31 184 R
 62 0 V
-33 654 R
-0 88 V
--31 -88 R
+-62 -184 R
 62 0 V
--62 88 R
+33 -69 R
+0 -40 V
+-31 40 R
 62 0 V
-33 -80 R
-0 326 V
--31 -326 R
+-62 -40 R
 62 0 V
--62 326 R
-4310 1575 L
-33 424 R
-0 -379 V
--31 379 R
+32 -987 R
+0 296 V
+3015 688 M
 62 0 V
--62 -379 R
+-62 296 R
 62 0 V
-33 350 R
-0 -113 V
--31 113 R
+33 346 R
+0 27 V
+-31 -27 R
 62 0 V
--62 -113 R
+-62 27 R
 62 0 V
-33 631 R
-0 -425 V
--31 425 R
+33 -457 R
+0 -505 V
+-31 505 R
 62 0 V
--62 -425 R
+3143 395 M
 62 0 V
-33 385 R
-0 -460 V
--31 460 R
+32 371 R
+0 -227 V
+-31 227 R
 62 0 V
--62 -460 R
+3206 539 M
 62 0 V
-32 729 R
-0 -352 V
--31 352 R
+33 72 R
+0 -34 V
+-31 34 R
 62 0 V
--62 -352 R
+-62 -34 R
 62 0 V
-33 272 R
-0 71 V
--31 -71 R
+32 59 R
+0 -167 V
+-31 167 R
 62 0 V
--62 71 R
+3333 469 M
 62 0 V
-33 285 R
-0 176 V
--31 -176 R
+33 -146 R
+0 -43 V
+-31 43 R
 62 0 V
--62 176 R
+-62 -43 R
 62 0 V
-33 -219 R
-0 109 V
--31 -109 R
+33 3 R
+0 68 V
+-31 -68 R
 62 0 V
--62 109 R
+-62 68 R
 62 0 V
-33 655 R
-0 -375 V
--31 375 R
+96 -71 R
+0 141 V
+3588 280 M
 62 0 V
--62 -375 R
+-62 141 R
 62 0 V
-33 275 R
-0 16 V
--31 -16 R
+32 -141 R
+0 143 V
+3651 280 M
 62 0 V
--62 16 R
+-62 143 R
 62 0 V
-33 308 R
-0 -338 V
--31 338 R
+33 -77 R
+0 -66 V
+-31 66 R
 62 0 V
--62 -338 R
+-62 -66 R
 62 0 V
-33 1120 R
-0 -726 V
--31 726 R
+96 294 R
+0 -28 V
+-31 28 R
 62 0 V
--62 -726 R
+-62 -28 R
 62 0 V
-32 -115 R
-0 318 V
--31 -318 R
+33 215 R
+0 -378 V
+-31 378 R
 62 0 V
--62 318 R
+3906 383 M
 62 0 V
-33 240 R
+32 261 R
 0 -186 V
 -31 186 R
 62 0 V
--62 -186 R
-62 0 V
-33 215 R
-0 2 V
--31 -2 R
-62 0 V
--62 2 R
-62 0 V
-33 404 R
-0 -16 V
--31 16 R
-62 0 V
--62 -16 R
-62 0 V
-33 16 R
-0 -206 V
--31 206 R
-62 0 V
--62 -206 R
-62 0 V
-33 -337 R
-0 541 V
--31 -541 R
-5460 4329 L
--62 541 R
-62 0 V
-33 -269 R
-0 271 V
--31 -271 R
-62 0 V
--62 271 R
-62 0 V
-33 -144 R
-0 144 V
--31 -144 R
-62 0 V
--62 144 R
+3969 458 M
 62 0 V
-33 0 R
-0 -242 V
--31 242 R
-62 0 V
--62 -242 R
-62 0 V
-32 35 R
-0 -156 V
--31 156 R
-62 0 V
--62 -156 R
-62 0 V
-33 363 R
-0 -136 V
--31 136 R
-62 0 V
--62 -136 R
+33 575 R
+0 -595 V
+-31 595 R
 62 0 V
-33 136 R
-0 -254 V
--31 254 R
+4033 438 M
 62 0 V
--62 -254 R
-62 0 V
-33 134 R
-0 76 V
--31 -76 R
-62 0 V
--62 76 R
+32 644 R
+0 -259 V
+stroke 4127 823 M
+-31 259 R
 62 0 V
-33 -632 R
-0 669 V
--31 -669 R
+4096 823 M
 62 0 V
--62 669 R
+33 137 R
+0 -135 V
+-31 135 R
 62 0 V
-33 -450 R
-0 -289 V
--31 289 R
+4160 825 M
 62 0 V
--62 -289 R
+33 228 R
+0 511 V
+-31 -511 R
 62 0 V
-33 503 R
-0 -842 V
--31 842 R
+-62 511 R
 62 0 V
--62 -842 R
+32 4 R
+0 246 V
+-31 -246 R
 62 0 V
-33 -195 R
-0 419 V
--31 -419 R
+-62 246 R
 62 0 V
--62 419 R
+33 149 R
+0 -116 V
+-31 116 R
 62 0 V
-32 -71 R
-0 272 V
--31 -272 R
+-62 -116 R
 62 0 V
--62 272 R
+32 288 R
+0 -390 V
+-31 390 R
 62 0 V
-33 -341 R
-0 -83 V
--31 83 R
+-62 -390 R
 62 0 V
--62 -83 R
+33 508 R
+0 -12 V
+-31 12 R
 62 0 V
-33 -448 R
-0 79 V
--31 -79 R
+-62 -12 R
 62 0 V
--62 79 R
+33 -288 R
+0 837 V
+-31 -837 R
 62 0 V
-33 191 R
-0 -522 V
--31 522 R
+-62 837 R
 62 0 V
--62 -522 R
+32 -144 R
+0 -296 V
+-31 296 R
 62 0 V
-33 80 R
-0 237 V
--31 -237 R
+-62 -296 R
 62 0 V
--62 237 R
+33 203 R
+0 428 V
+-31 -428 R
 62 0 V
-33 -506 R
-0 297 V
--31 -297 R
+-62 428 R
 62 0 V
--62 297 R
+32 620 R
+0 -408 V
+-31 408 R
 62 0 V
-33 -742 R
-6579 2754 L
--31 -300 R
+-62 -408 R
 62 0 V
--62 300 R
+33 15 R
+0 130 V
+-31 -130 R
 62 0 V
-33 -197 R
-0 -123 V
--31 123 R
+-62 130 R
 62 0 V
--62 -123 R
+33 6 R
+0 42 V
+-31 -42 R
 62 0 V
-32 -172 R
-0 -75 V
--31 75 R
+-62 42 R
 62 0 V
--62 -75 R
+32 212 R
+0 126 V
+-31 -126 R
 62 0 V
-33 7 R
-0 -729 V
--31 729 R
+-62 126 R
 62 0 V
--62 -729 R
-62 0 V
-33 286 R
-0 -44 V
--31 44 R
-62 0 V
--62 -44 R
-62 0 V
-33 -368 R
-0 241 V
--31 -241 R
-62 0 V
--62 241 R
-62 0 V
-33 -440 R
-0 296 V
--31 -296 R
+33 224 R
+0 -77 V
+-31 77 R
 62 0 V
--62 296 R
+-62 -77 R
 62 0 V
-574 2576 Pls
-638 2805 Pls
-702 3032 Pls
-766 3255 Pls
-830 3470 Pls
-893 3677 Pls
-957 3872 Pls
-1021 4055 Pls
-1085 4223 Pls
-1149 4375 Pls
-1213 4508 Pls
-1277 4622 Pls
-1341 4716 Pls
-1404 4788 Pls
-1468 4839 Pls
-1532 4866 Pls
-1596 4871 Pls
-1660 4853 Pls
-1724 4812 Pls
-1788 4749 Pls
-1852 4664 Pls
-1915 4558 Pls
-1979 4432 Pls
-2043 4288 Pls
-2107 4127 Pls
-2171 3950 Pls
-2235 3760 Pls
-2299 3557 Pls
-2363 3345 Pls
-2427 3125 Pls
-2490 2900 Pls
-2554 2671 Pls
-2618 2442 Pls
-2682 2214 Pls
-2746 1989 Pls
-2810 1771 Pls
-2874 1560 Pls
-2938 1359 Pls
-3001 1171 Pls
-3065 997 Pls
-3129 838 Pls
-3193 697 Pls
-3257 575 Pls
-3321 472 Pls
-3385 391 Pls
-3449 332 Pls
-3512 294 Pls
-3576 280 Pls
-3640 289 Pls
-3704 320 Pls
-3768 374 Pls
-3832 450 Pls
-3896 548 Pls
-3960 665 Pls
-4024 802 Pls
-4087 956 Pls
-4151 1127 Pls
-4215 1312 Pls
-4279 1509 Pls
-4343 1718 Pls
-4407 1934 Pls
-4471 2158 Pls
-4535 2385 Pls
-4598 2615 Pls
-4662 2844 Pls
-4726 3070 Pls
-4790 3291 Pls
-4854 3506 Pls
-4918 3710 Pls
-4982 3904 Pls
-5046 4084 Pls
-5109 4250 Pls
-5173 4398 Pls
-5237 4529 Pls
-5301 4639 Pls
-5365 4730 Pls
-5429 4798 Pls
-5493 4845 Pls
-5557 4869 Pls
-5621 4870 Pls
-5684 4848 Pls
-5748 4803 Pls
-5812 4736 Pls
-5876 4647 Pls
-5940 4538 Pls
-6004 4409 Pls
-6068 4262 Pls
-6132 4098 Pls
-6195 3919 Pls
-6259 3726 Pls
-6323 3522 Pls
-6387 3309 Pls
-6451 3088 Pls
-6515 2862 Pls
-6579 2633 Pls
-6643 2403 Pls
-6706 2176 Pls
-6770 1952 Pls
-6834 1735 Pls
-6898 1525 Pls
-6962 1327 Pls
+32 240 R
+0 288 V
+-31 -288 R
+62 0 V
+-62 288 R
+62 0 V
+33 -296 R
+0 96 V
+-31 -96 R
+62 0 V
+-62 96 R
+62 0 V
+32 49 R
+0 -221 V
+-31 221 R
+62 0 V
+stroke 5239 4248 M
+-62 -221 R
+62 0 V
+33 75 R
+0 597 V
+-31 -597 R
+62 0 V
+-62 597 R
+62 0 V
+33 166 R
+0 6 V
+-31 -6 R
+62 0 V
+-62 6 R
+62 0 V
+32 0 R
+0 -97 V
+-31 97 R
+62 0 V
+-62 -97 R
+62 0 V
+96 84 R
+0 13 V
+-31 -13 R
+62 0 V
+-62 13 R
+62 0 V
+33 -173 R
+0 173 V
+-31 -173 R
+62 0 V
+-62 173 R
+62 0 V
+33 -139 R
+0 139 V
+-31 -139 R
+62 0 V
+-62 139 R
+62 0 V
+96 -127 R
+0 127 V
+-31 -127 R
+62 0 V
+-62 127 R
+62 0 V
+32 -375 R
+0 375 V
+-31 -375 R
+62 0 V
+-62 375 R
+62 0 V
+33 -77 R
+0 -239 V
+-31 239 R
+62 0 V
+-62 -239 R
+62 0 V
+33 200 R
+0 -271 V
+-31 271 R
+62 0 V
+-62 -271 R
+62 0 V
+32 -78 R
+0 9 V
+-31 -9 R
+62 0 V
+-62 9 R
+62 0 V
+33 -18 R
+0 -103 V
+-31 103 R
+62 0 V
+-62 -103 R
+62 0 V
+32 4 R
+0 -733 V
+-31 733 R
+62 0 V
+-62 -733 R
+62 0 V
+33 479 R
+0 -283 V
+-31 283 R
+62 0 V
+-62 -283 R
+62 0 V
+33 224 R
+0 -351 V
+-31 351 R
+62 0 V
+-62 -351 R
+62 0 V
+32 -97 R
+0 380 V
+-31 -380 R
+62 0 V
+-62 380 R
+62 0 V
+33 -613 R
+0 -276 V
+-31 276 R
+62 0 V
+-62 -276 R
+62 0 V
+stroke 6448 3028 M
+32 388 R
+0 -769 V
+-31 769 R
+62 0 V
+-62 -769 R
+62 0 V
+33 410 R
+0 -200 V
+-31 200 R
+62 0 V
+-62 -200 R
+62 0 V
+32 -197 R
+0 -7 V
+-31 7 R
+62 0 V
+-62 -7 R
+62 0 V
+33 -273 R
+0 36 V
+-31 -36 R
+62 0 V
+-62 36 R
+62 0 V
+33 122 R
+0 -433 V
+-31 433 R
+62 0 V
+-62 -433 R
+62 0 V
+32 -166 R
+0 402 V
+-31 -402 R
+62 0 V
+-62 402 R
+62 0 V
+33 -599 R
+0 58 V
+-31 -58 R
+62 0 V
+-62 58 R
+62 0 V
+32 -249 R
+0 9 V
+-31 -9 R
+62 0 V
+-62 9 R
+62 0 V
+33 -712 R
+0 720 V
+6958 848 M
+62 0 V
+-62 720 R
+62 0 V
+630 2576 Pls
+694 2805 Pls
+757 3032 Pls
+821 3254 Pls
+884 3469 Pls
+948 3676 Pls
+1012 3872 Pls
+1075 4054 Pls
+1139 4222 Pls
+1202 4374 Pls
+1266 4507 Pls
+1329 4621 Pls
+1393 4715 Pls
+1457 4787 Pls
+1520 4838 Pls
+1584 4865 Pls
+1647 4870 Pls
+1711 4852 Pls
+1775 4811 Pls
+1838 4748 Pls
+1902 4663 Pls
+1965 4557 Pls
+2029 4431 Pls
+2093 4287 Pls
+2156 4126 Pls
+2220 3949 Pls
+2283 3759 Pls
+2347 3557 Pls
+2411 3344 Pls
+2474 3125 Pls
+2538 2899 Pls
+2601 2671 Pls
+2665 2442 Pls
+2728 2213 Pls
+2792 1989 Pls
+2856 1770 Pls
+2919 1560 Pls
+2983 1359 Pls
+3046 1171 Pls
+3110 997 Pls
+3174 838 Pls
+3237 697 Pls
+3301 575 Pls
+3364 472 Pls
+3428 391 Pls
+3492 332 Pls
+3555 294 Pls
+3619 280 Pls
+3682 289 Pls
+3746 320 Pls
+3810 374 Pls
+3873 450 Pls
+3937 548 Pls
+4000 665 Pls
+4064 802 Pls
+4127 956 Pls
+4191 1126 Pls
+4255 1311 Pls
+4318 1509 Pls
+4382 1717 Pls
+4445 1934 Pls
+4509 2157 Pls
+4573 2385 Pls
+4636 2614 Pls
+4700 2843 Pls
+4763 3069 Pls
+4827 3291 Pls
+4891 3505 Pls
+4954 3710 Pls
+5018 3903 Pls
+5081 4084 Pls
+5145 4249 Pls
+5208 4397 Pls
+5272 4528 Pls
+5336 4638 Pls
+5399 4729 Pls
+5463 4797 Pls
+5526 4844 Pls
+5590 4868 Pls
+5654 4869 Pls
+5717 4847 Pls
+5781 4802 Pls
+5844 4735 Pls
+5908 4646 Pls
+5972 4537 Pls
+6035 4408 Pls
+6099 4261 Pls
+6162 4097 Pls
+6226 3918 Pls
+6290 3726 Pls
+6353 3522 Pls
+6417 3308 Pls
+6480 3087 Pls
+6544 2861 Pls
+6607 2632 Pls
+6671 2403 Pls
+6735 2175 Pls
+6798 1952 Pls
+6862 1734 Pls
+6925 1525 Pls
+6989 1327 Pls
+% End plot #1
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/errorbar.pdf and 1:3.0.5-6/doc/interpreter/errorbar.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/errorbar.png and 1:3.0.5-6/doc/interpreter/errorbar.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/errors.texi 1:3.0.5-6/doc/interpreter/errors.texi
--- 1:3.0.1-6/doc/interpreter/errors.texi	2008-04-21 17:58:25.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/errors.texi	2009-04-07 11:11:32.000000000 +0100
@@ -661,7 +661,7 @@ Print warning if commas or semicolons mi
 automatically in literal matrices.
 
 @item Octave:single-quote-string
-Print warning if a signle quote character is used to introduce a
+Print warning if a single quote character is used to introduce a
 string constant.
 
 @item Octave:str-to-num
diff -pruN 1:3.0.1-6/doc/interpreter/extended.eps 1:3.0.5-6/doc/interpreter/extended.eps
--- 1:3.0.1-6/doc/interpreter/extended.eps	2008-04-21 17:57:20.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/extended.eps	2009-01-29 08:11:19.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: extended.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:20 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:19 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (extended.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:20 2008)
+  /CreationDate (Thu Jan 29 09:11:19 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,157 +543,158 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 280 M
+546 280 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 280 M
+0.00 0.00 0.00 C 462 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1198 M
+546 1198 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1198 M
+0.00 0.00 0.00 C 462 1198 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2117 M
+546 2116 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2117 M
+0.00 0.00 0.00 C 462 2116 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3035 M
+546 3035 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3035 M
+0.00 0.00 0.00 C 462 3035 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3954 M
+546 3953 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3954 M
+0.00 0.00 0.00 C 462 3953 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 280 M
+546 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 490 140 M
+0.00 0.00 0.00 C 546 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1569 280 M
+1620 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1569 140 M
+0.00 0.00 0.00 C 1620 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2647 280 M
+2694 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2647 140 M
+0.00 0.00 0.00 C 2694 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3726 280 M
+3768 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3726 140 M
+0.00 0.00 0.00 C 3768 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4805 280 M
+4841 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4805 140 M
+0.00 0.00 0.00 C 4841 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5883 280 M
+5915 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5883 140 M
+0.00 0.00 0.00 C 5915 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 490 280 M
-22 52 V
-21 52 V
-22 51 V
+0.00 0.00 1.00 C 546 280 M
 21 52 V
 22 52 V
+21 51 V
+22 52 V
 21 52 V
 22 51 V
+21 52 V
 22 52 V
 21 51 V
 22 51 V
@@ -690,121 +702,122 @@ LT0
 22 51 V
 21 51 V
 22 51 V
+21 50 V
+22 51 V
+21 50 V
 22 50 V
 21 51 V
-22 50 V
-21 51 V
-22 50 V
+22 49 V
+21 50 V
 21 50 V
 22 49 V
-22 50 V
 21 49 V
 22 49 V
-21 49 V
-22 48 V
-21 49 V
+21 48 V
 22 48 V
+21 48 V
 22 48 V
-21 47 V
+21 48 V
 22 47 V
 21 47 V
-22 47 V
-21 46 V
 22 46 V
+21 47 V
 22 46 V
 21 45 V
-22 45 V
+22 46 V
 21 45 V
 22 44 V
+21 45 V
 22 44 V
-21 44 V
-22 43 V
 21 43 V
+21 44 V
 22 42 V
 21 43 V
-22 41 V
 22 42 V
+21 42 V
+22 41 V
 21 41 V
-22 40 V
+22 41 V
 21 40 V
-22 40 V
-21 39 V
 22 39 V
+21 40 V
 22 39 V
 21 38 V
 22 38 V
-21 37 V
+21 38 V
 22 37 V
+21 37 V
+22 36 V
 21 36 V
 22 36 V
-22 35 V
 21 35 V
-22 35 V
-21 34 V
 22 34 V
+21 35 V
 21 33 V
+22 34 V
+21 32 V
 22 33 V
-22 32 V
 21 32 V
-22 32 V
+22 31 V
 21 31 V
 22 31 V
 21 30 V
 22 30 V
-22 29 V
 21 29 V
-22 28 V
+22 29 V
 21 28 V
 22 28 V
+21 28 V
+22 27 V
 21 27 V
 22 26 V
-22 27 V
 21 26 V
 22 25 V
 21 25 V
+21 25 V
 22 24 V
-21 24 V
-22 24 V
-22 23 V
 21 23 V
+22 24 V
+21 22 V
 22 23 V
 21 22 V
-22 21 V
-21 22 V
-22 20 V
+22 22 V
+21 21 V
 22 21 V
 21 20 V
-22 19 V
+22 20 V
 21 20 V
 22 19 V
-21 18 V
+21 19 V
 22 18 V
+21 18 V
 22 18 V
-2755 4240 L
+stroke 2780 4222 M
+21 17 V
 22 17 V
 21 17 V
-22 16 V
 21 16 V
 22 16 V
+21 16 V
 22 15 V
 21 15 V
 22 15 V
 21 14 V
 22 14 V
-22 14 V
-21 13 V
+21 14 V
 22 13 V
 21 13 V
-22 12 V
+22 13 V
 21 12 V
 22 12 V
+21 12 V
 22 12 V
 21 11 V
 22 11 V
 21 11 V
 22 10 V
 21 10 V
-22 10 V
+21 10 V
 22 10 V
 21 9 V
 22 10 V
@@ -812,34 +825,34 @@ LT0
 22 8 V
 21 9 V
 22 8 V
-22 8 V
 21 8 V
-22 7 V
+22 8 V
 21 8 V
 22 7 V
 21 7 V
 22 7 V
-22 6 V
 21 7 V
+22 7 V
+21 6 V
 22 6 V
 21 6 V
 22 6 V
 21 6 V
 22 5 V
-22 6 V
+21 6 V
 21 5 V
 22 5 V
 21 5 V
 22 5 V
 21 4 V
 22 5 V
-22 4 V
 21 4 V
 22 4 V
 21 4 V
 22 4 V
 21 4 V
-22 3 V
+22 4 V
+21 3 V
 22 4 V
 21 3 V
 22 3 V
@@ -847,121 +860,120 @@ LT0
 22 3 V
 21 3 V
 22 2 V
-22 3 V
+21 3 V
 21 3 V
 22 2 V
 21 3 V
 22 2 V
 21 2 V
 22 3 V
+21 2 V
 22 2 V
 21 2 V
 22 2 V
 21 2 V
+22 1 V
+21 2 V
 22 2 V
 21 1 V
 22 2 V
-22 2 V
 21 1 V
 22 2 V
 21 1 V
 22 2 V
-22 1 V
-21 2 V
-22 1 V
 21 1 V
-22 1 V
 21 1 V
 22 1 V
+21 1 V
 22 2 V
 21 1 V
 22 1 V
-21 0 V
-22 1 V
+21 1 V
+22 0 V
 21 1 V
 22 1 V
+21 1 V
 22 1 V
 21 1 V
 22 0 V
 21 1 V
-22 1 V
-5020 4858 L
-22 1 V
+stroke 5013 4856 M
 22 1 V
 21 0 V
 22 1 V
+21 1 V
+22 0 V
+21 1 V
 21 0 V
 22 1 V
 21 0 V
 22 1 V
+21 0 V
+22 0 V
+21 1 V
+22 0 V
+21 1 V
 22 0 V
 21 0 V
 22 1 V
 21 0 V
+22 0 V
+21 0 V
 22 1 V
 21 0 V
 22 0 V
+21 0 V
 22 1 V
 21 0 V
+21 0 V
 22 0 V
 21 0 V
 22 1 V
 21 0 V
 22 0 V
-22 0 V
-21 1 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 1 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
-21 1 V
-22 0 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
 21 0 V
-22 0 V
-22 0 V
-21 1 V
-22 0 V
+22 1 V
 21 0 V
 22 0 V
 21 0 V
-22 0 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
-22 0 V
-21 1 V
-22 0 V
 21 0 V
 22 0 V
 21 0 V
 22 0 V
+21 0 V
+22 1 V
+21 0 V
 22 0 V
 21 0 V
 22 0 V
 21 0 V
+21 0 V
 22 0 V
 21 0 V
 22 0 V
+21 0 V
 22 0 V
 21 0 V
 22 0 V
@@ -969,6 +981,7 @@ LT0
 22 0 V
 21 0 V
 22 0 V
+21 0 V
 22 0 V
 21 0 V
 22 0 V
@@ -976,37 +989,36 @@ LT0
 22 0 V
 21 0 V
 22 0 V
+21 0 V
+% End plot #1
+% Begin plot #2
 stroke
 LT1
-1.00 0.00 0.00 C 490 280 M
-22 46 V
+1.00 0.00 0.00 C 546 280 M
 21 46 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 45 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
-22 45 V
-21 46 V
 22 46 V
+21 45 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
-22 46 V
 21 46 V
 22 46 V
+21 46 V
 22 46 V
 21 46 V
 22 46 V
@@ -1014,18 +1026,26 @@ LT1
 22 46 V
 21 46 V
 22 46 V
+21 46 V
+22 46 V
+21 46 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
+22 45 V
+21 46 V
 22 46 V
+21 46 V
+21 46 V
 22 46 V
 21 46 V
 22 46 V
-21 45 V
+21 46 V
 22 46 V
 21 46 V
 22 46 V
+21 45 V
 22 46 V
 21 46 V
 22 46 V
@@ -1033,20 +1053,20 @@ LT1
 22 46 V
 21 46 V
 22 46 V
+21 46 V
 22 46 V
 21 46 V
 22 45 V
 21 46 V
 22 46 V
 21 46 V
-22 46 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
+21 46 V
 22 45 V
 21 46 V
 22 46 V
@@ -1054,41 +1074,38 @@ LT1
 22 46 V
 21 46 V
 22 46 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
-21 46 V
-22 45 V
+21 45 V
 22 46 V
 21 46 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
 22 46 V
-22 46 V
 21 46 V
 22 46 V
 21 46 V
-22 45 V
-21 46 V
 22 46 V
+21 45 V
 22 46 V
 21 46 V
 22 46 V
 21 46 V
+22 46 V
+% End plot #2
 stroke
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
-0.00 0.00 0.00 C 1892 3116 M
+0.00 0.00 0.00 C 1942 3115 M
 [ [(Symbol) 100.0 0.0 true true 0 (\254)]
 [(Helvetica) 100.0 0.0 true true 0 ( x = )]
 [(Helvetica) 100.0 0.0 true true 0 (2/)]
@@ -1108,6 +1125,7 @@ XYrestore
 ] -53.3 MLshow
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/extended.pdf and 1:3.0.5-6/doc/interpreter/extended.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/extended.png and 1:3.0.5-6/doc/interpreter/extended.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/func.texi 1:3.0.5-6/doc/interpreter/func.texi
--- 1:3.0.1-6/doc/interpreter/func.texi	2008-04-21 17:58:25.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/func.texi	2009-04-07 11:11:32.000000000 +0100
@@ -626,8 +626,6 @@ the return statement is ignored.  A @cod
 at the end of every function definition.
 @end deffn
 
-
-
 @node Default Arguments
 @section Default Arguments
 @cindex default arguments
@@ -807,7 +805,7 @@ Directories added to the path must exist
 
 @anchor{doc-genpath}
 @deftypefn {Built-in Function} {} genpath (@var{dir})
-Return a path constructed from @var{dir} and all its subdiretories.
+Return a path constructed from @var{dir} and all its subdirectories.
 @end deftypefn
 
 
@@ -1552,7 +1550,7 @@ and @code{triu}, as well as other basic 
 Image processing tools.  These functions require the X Window System.
 
 @item io
-Input-ouput functions.
+Input-output functions.
 
 @item linear-algebra
 Functions for linear algebra.
diff -pruN 1:3.0.1-6/doc/interpreter/func.txi 1:3.0.5-6/doc/interpreter/func.txi
--- 1:3.0.1-6/doc/interpreter/func.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/func.txi	2009-02-18 06:57:46.000000000 +0000
@@ -499,8 +499,6 @@ the return statement is ignored.  A @cod
 at the end of every function definition.
 @end deffn
 
-@DOCSTRING(return_last_computed_value)
-
 @node Default Arguments
 @section Default Arguments
 @cindex default arguments
@@ -1151,7 +1149,7 @@ and @code{triu}, as well as other basic 
 Image processing tools.  These functions require the X Window System.
 
 @item io
-Input-ouput functions.
+Input-output functions.
 
 @item linear-algebra
 Functions for linear algebra.
diff -pruN 1:3.0.1-6/doc/interpreter/geometry.texi 1:3.0.5-6/doc/interpreter/geometry.texi
--- 1:3.0.1-6/doc/interpreter/geometry.texi	2008-04-21 17:58:25.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/geometry.texi	2009-04-07 11:11:32.000000000 +0100
@@ -45,7 +45,7 @@ circumference of the circum-circle. None
 points falls within any of the circum-circles.
 
 In general there are only three points on the circumference of any
-circum-circle. However, in the some cases, and in particular for the
+circum-circle. However, in some cases, and in particular for the
 case of a regular grid, 4 or more points can be on a single
 circum-circle. In this case the Delaunay triangulation is not unique. 
 
diff -pruN 1:3.0.1-6/doc/interpreter/geometry.txi 1:3.0.5-6/doc/interpreter/geometry.txi
--- 1:3.0.1-6/doc/interpreter/geometry.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/geometry.txi	2009-02-18 06:57:46.000000000 +0000
@@ -43,7 +43,7 @@ circumference of the circum-circle. None
 points falls within any of the circum-circles.
 
 In general there are only three points on the circumference of any
-circum-circle. However, in the some cases, and in particular for the
+circum-circle. However, in some cases, and in particular for the
 case of a regular grid, 4 or more points can be on a single
 circum-circle. In this case the Delaunay triangulation is not unique. 
 
diff -pruN 1:3.0.1-6/doc/interpreter/gplot.eps 1:3.0.5-6/doc/interpreter/gplot.eps
--- 1:3.0.1-6/doc/interpreter/gplot.eps	2008-04-21 17:56:50.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/gplot.eps	2009-01-29 08:11:05.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: gplot.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:50 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:05 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (gplot.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:50 2008)
+  /CreationDate (Thu Jan 29 09:11:05 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,220 +543,223 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-322 280 M
+378 280 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 280 M
+0.00 0.00 0.00 C 294 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 936 M
+378 936 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 936 M
+0.00 0.00 0.00 C 294 936 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 1592 M
+378 1592 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 1592 M
+0.00 0.00 0.00 C 294 1592 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 2248 M
+378 2248 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 2248 M
+0.00 0.00 0.00 C 294 2248 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 2904 M
+378 2903 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 2904 M
+0.00 0.00 0.00 C 294 2903 M
 [ [(Helvetica) 140.0 0.0 true true 0 (4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 3560 M
+378 3559 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 3560 M
+0.00 0.00 0.00 C 294 3559 M
 [ [(Helvetica) 140.0 0.0 true true 0 (5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 4216 M
+378 4215 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 4216 M
+0.00 0.00 0.00 C 294 4215 M
 [ [(Helvetica) 140.0 0.0 true true 0 (6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 4872 M
+378 4871 M
 63 0 V
-6577 0 R
+6548 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 238 4872 M
+0.00 0.00 0.00 C 294 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (7)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-322 280 M
+378 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 322 140 M
+0.00 0.00 0.00 C 378 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1152 280 M
+1204 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1152 140 M
+0.00 0.00 0.00 C 1204 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1982 280 M
+2031 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1982 140 M
+0.00 0.00 0.00 C 2031 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2812 280 M
+2857 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2812 140 M
+0.00 0.00 0.00 C 2857 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3642 280 M
+3684 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3642 140 M
+0.00 0.00 0.00 C 3684 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4472 280 M
+4510 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4472 140 M
+0.00 0.00 0.00 C 4510 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5302 280 M
+5336 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5302 140 M
+0.00 0.00 0.00 C 5336 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (6)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6132 280 M
+6163 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6132 140 M
+0.00 0.00 0.00 C 6163 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (7)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (8)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-322 4872 N
-322 280 L
-6640 0 V
-0 4592 V
--6640 0 V
+378 4871 N
+378 280 L
+6611 0 V
+0 4591 V
+-6611 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 3642 280 M
-322 3560 L
-1982 4872 M
-322 3560 L
-3642 280 L
-6962 3560 M
-3642 280 L
-6962 3560 L
-5302 4872 M
-6962 3560 L
-5302 4872 L
-3642 3560 M
-5302 4872 L
-3642 3560 L
-1982 4872 M
-3642 3560 L
--3320 0 R
-1982 4872 L
-3642 3560 M
-1982 4872 L
-stroke
-LTb
-322 4872 N
-322 280 L
-6640 0 V
-0 4592 V
--6640 0 V
+0.00 0.00 1.00 C 3684 280 M
+378 3559 L
+2031 4871 M
+378 3559 L
+3684 280 L
+6989 3559 M
+3684 280 L
+6989 3559 L
+5336 4871 M
+6989 3559 L
+5336 4871 L
+3684 3559 M
+5336 4871 L
+3684 3559 L
+2031 4871 M
+3684 3559 L
+-3306 0 R
+2031 4871 L
+3684 3559 M
+2031 4871 L
+% End plot #1
+stroke
+LTb
+378 4871 N
+378 280 L
+6611 0 V
+0 4591 V
+-6611 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/gplot.pdf and 1:3.0.5-6/doc/interpreter/gplot.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/gplot.png and 1:3.0.5-6/doc/interpreter/gplot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/griddata.eps 1:3.0.5-6/doc/interpreter/griddata.eps
--- 1:3.0.1-6/doc/interpreter/griddata.eps	2008-04-21 17:57:06.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/griddata.eps	2009-01-29 08:11:12.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: griddata.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:06 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:12 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (griddata.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:06 2008)
+  /CreationDate (Thu Jan 29 09:11:12 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,13 +461,12 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
 newpath
 (Helvetica) findfont 140 scalefont setfont
-0.500 UL
-LTb
 gsave % colour palette begin
 /maxcolors 64 def
 /HSV2RGB {  exch dup 0.0 eq {pop exch pop dup dup} % achromatic gray
@@ -519,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,4722 +541,4366 @@ Color true and { % COLOUR vs. GRAY map
 }{
   /g {stroke pm3dround pm3dGamma exp setgray} bind def
 } ifelse
+0.500 UL
+LTb
 1.000 UP
 1.000 UL
-LT0
-.262 g .5708 g 3749 3517 M
-1 -2 V
-stroke
-LT0
-.262 g .5145 g 4001 3401 M
--2 -8 V
-stroke
-LT0
-.262 g .7424 g 3957 3846 M
--6 -17 V
-stroke
-LT0
-.262 g .6752 g 4022 3706 M
-1 -1 V
-stroke
-LT0
-.262 g .8254 g 3516 4005 M
--2 -5 V
-stroke
-LT0
-.262 g .8242 g 3516 4005 M
-5 -9 V
-stroke
-LT0
-.262 g .7721 g 4386 3859 M
--9 -15 V
-stroke
-LT0
-.262 g .8262 g 4046 3985 M
-2 -3 V
-stroke
-LT0
-.262 g .0847 g 1151 1992 M
+LT1
+.0847 g 1151 1992 M
 -75 -324 V
 stroke
-LT0
-.262 g .0835 g 1174 2045 M
+LT1
+.0835 g 1174 2045 M
 -98 -377 V
 stroke
-LT0
-.262 g .8273 g 3517 4007 M
--1 -2 V
-stroke
-LT0
-.262 g .7771 g 4384 3862 M
-2 -3 V
-stroke
-LT0
-.262 g .8767 g 3167 4084 M
-15 -14 V
-stroke
-LT0
-.262 g .9013 g 3443 4131 M
--2 -4 V
-stroke
-LT0
-.262 g .2494 g 1250 2371 M
+LT1
+.2494 g 1250 2371 M
 -76 -326 V
 stroke
-LT0
-.262 g .2448 g 1273 2409 M
+LT1
+.2448 g 1273 2409 M
 -99 -364 V
 stroke
-LT0
-.262 g .848 g 4468 3977 M
--1 -1 V
-stroke
-LT0
-.262 g .9586 g 3658 4231 M
--8 -8 V
-stroke
-LT0
-.262 g .9327 g 3544 4190 M
-6 -4 V
-stroke
-LT0
-.262 g .9329 g 4065 4169 M
-9 -6 V
-stroke
-LT0
-.262 g .2477 g 1227 2301 M
+LT1
+.2477 g 1227 2301 M
 -76 -309 V
 stroke
-LT0
-.262 g .2506 g 1250 2371 M
+LT1
+.2506 g 1250 2371 M
 -99 -379 V
 stroke
-LT0
-.262 g .4837 g 1348 2722 M
--2 -8 V
-stroke
-LT0
-.262 g .3962 g 1340 2688 M
+LT1
+.3962 g 1340 2688 M
 -67 -279 V
 stroke
-LT0
-.262 g .3918 g 1371 2724 M
+LT1
+.3918 g 1371 2724 M
 -98 -315 V
 stroke
 LT0
-.262 g .9671 g 3226 4230 M
--6 -2 V
-stroke
-LT0
-.262 g .9539 g 2929 4181 M
-6 -1 V
-stroke
-LT0
-.262 g .4119 g 3680 2638 M
-0 1 V
-stroke
-LT0
-.262 g .3769 g 3756 2531 M
--1 1 V
-stroke
-LT0
-.262 g .6087 g 3726 3202 M
+.6087 g 3726 3202 M
 -43 -63 V
 stroke
 LT0
-.262 g .6138 g 3552 3233 M
+.6138 g 3552 3233 M
 41 -96 V
 stroke
 LT0
-.262 g .0854 g 6049 1836 M
+.0854 g 6049 1836 M
 75 -385 V
 stroke
 LT0
-.262 g .0856 g 6026 1779 M
+.0856 g 6026 1779 M
 98 -328 V
 stroke
 LT0
-.262 g .6173 g 3900 3219 M
--43 -76 V
+.6174 g 3900 3219 M
+-43 -75 V
 stroke
 LT0
-.262 g .61 g 3726 3202 M
+.61 g 3726 3202 M
 28 -60 V
 stroke
 LT0
-.262 g .9907 g 3643 4228 M
+.9907 g 3643 4228 M
 -74 42 V
 stroke
 LT0
-.262 g .9891 g 3742 4247 M
+.9891 g 3742 4247 M
 -173 23 V
 stroke
 LT0
-.262 g .9962 g 3470 4260 M
+.9962 g 3470 4260 M
 99 10 V
 stroke
 LT0
-.262 g .9896 g 3817 4232 M
+.9896 g 3817 4232 M
 -75 15 V
 stroke
 LT0
-.262 g .987 g 3643 4228 M
+.987 g 3643 4228 M
 99 19 V
 stroke
 LT0
-.262 g .6175 g 3280 3214 M
+.6175 g 3280 3214 M
 28 -71 V
 stroke
 LT0
-.262 g .6153 g 3552 3233 M
+.6153 g 3552 3233 M
 -90 -95 V
 stroke
 LT0
-.262 g .6335 g 3378 3318 M
+.6335 g 3378 3318 M
 73 -180 V
 stroke
 LT0
-.262 g .6519 g 3824 3360 M
+.6519 g 3824 3360 M
 -98 -158 V
 stroke
 LT0
-.262 g .6513 g 3650 3365 M
+.6513 g 3650 3365 M
 76 -163 V
 stroke
 LT0
-.262 g .6569 g 3650 3365 M
+.6569 g 3650 3365 M
 -98 -132 V
 stroke
 LT0
-.262 g .6687 g 3477 3423 M
+.6687 g 3477 3423 M
 75 -190 V
 stroke
 LT0
-.262 g .9596 g 4493 4140 M
--12 0 V
-stroke
-LT0
-.262 g .9741 g 2925 4178 M
+.9741 g 2925 4178 M
 -76 16 V
 stroke
 LT0
-.262 g .9815 g 3023 4235 M
+.9815 g 3023 4235 M
 -174 -41 V
 stroke
 LT0
-.262 g .9674 g 2760 4160 M
+.9674 g 2760 4160 M
 89 34 V
 stroke
 LT0
-.262 g .9885 g 4166 4217 M
+.9885 g 4166 4217 M
 -76 9 V
 stroke
 LT0
-.262 g .9889 g 3991 4226 M
+.9889 g 3991 4226 M
 99 0 V
 stroke
-LT0
-.262 g .3576 g 1273 2466 M
+LT1
+.3576 g 1273 2466 M
 -23 -95 V
 stroke
-LT0
-.262 g .4813 g 1348 2722 M
--6 -21 V
-stroke
-LT0
-.262 g .3952 g 1330 2656 M
+LT1
+.3952 g 1330 2656 M
 -80 -285 V
 stroke
 LT0
-.262 g .7114 g 3749 3517 M
+.7114 g 3749 3517 M
 -99 -152 V
 stroke
 LT0
-.262 g .7163 g 3575 3546 M
+.7163 g 3575 3546 M
 75 -181 V
 stroke
 LT0
-.262 g .9779 g 4340 4179 M
--76 25 V
+.9778 g 4336 4180 M
+-72 24 V
 stroke
 LT0
-.262 g .985 g 4166 4217 M
+.985 g 4166 4217 M
 98 -13 V
 stroke
 LT0
-.262 g .988 g 3371 4196 M
+.988 g 3371 4196 M
 -75 60 V
 stroke
 LT0
-.262 g .997 g 3470 4260 M
+.997 g 3470 4260 M
 -174 -4 V
 stroke
 LT0
-.262 g .9958 g 3197 4237 M
+.9958 g 3197 4237 M
 99 19 V
 stroke
 LT0
-.262 g .6347 g 4074 3274 M
+.6347 g 4074 3274 M
 -71 -134 V
 stroke
 LT0
-.262 g .6181 g 3900 3219 M
+.6181 g 3900 3219 M
 46 -82 V
 stroke
 LT0
-.262 g .6676 g 3998 3395 M
+.6676 g 3998 3395 M
 -98 -176 V
 stroke
 LT0
-.262 g .6576 g 3824 3360 M
+.6576 g 3824 3360 M
 76 -141 V
 stroke
-LT0
-.262 g .5035 g 1414 2894 M
+LT1
+.5035 g 1414 2894 M
 -43 -170 V
 stroke
-LT0
-.262 g .5225 g 1470 3019 M
+LT1
+.5225 g 1470 3019 M
 -99 -295 V
 stroke
 LT0
-.262 g .6497 g 3378 3318 M
+.6497 g 3378 3318 M
 -98 -104 V
 stroke
 LT0
-.262 g .6717 g 3204 3420 M
+.6717 g 3204 3420 M
 76 -206 V
 stroke
 LT0
-.262 g .6216 g 3196 3151 M
+.6216 g 3196 3151 M
 84 63 V
 stroke
 LT0
-.262 g .6867 g 3477 3423 M
+.6867 g 3477 3423 M
 -99 -105 V
 stroke
 LT0
-.262 g .7063 g 3303 3514 M
+.7063 g 3303 3514 M
 75 -196 V
 stroke
 LT0
-.262 g .7185 g 3923 3537 M
+.7185 g 3923 3537 M
 -99 -177 V
 stroke
 LT0
-.262 g .7121 g 3749 3517 M
+.7121 g 3749 3517 M
 75 -157 V
 stroke
 LT0
-.262 g .7281 g 3575 3546 M
+.7281 g 3575 3546 M
 -98 -123 V
 stroke
 LT0
-.262 g .7415 g 3401 3611 M
+.7415 g 3401 3611 M
 76 -188 V
 stroke
 LT0
-.262 g .984 g 3719 4176 M
+.984 g 3719 4176 M
 -76 52 V
 stroke
 LT0
-.262 g .9858 g 3546 4191 M
+.9858 g 3546 4191 M
 97 37 V
 stroke
 LT0
-.262 g .9913 g 3546 4191 M
+.9913 g 3546 4191 M
 -76 69 V
 stroke
 LT0
-.262 g .9906 g 3371 4196 M
+.9906 g 3371 4196 M
 99 64 V
 stroke
 LT0
-.262 g .6279 g 4149 3173 M
+.6279 g 4149 3173 M
 -5 -10 V
 stroke
 LT0
-.262 g .6544 g 3106 3358 M
+.6544 g 3106 3358 M
 71 -205 V
 stroke
 LT0
-.262 g .7751 g 3673 3674 M
+.7751 g 3673 3674 M
 -98 -128 V
 stroke
 LT0
-.262 g .7855 g 3500 3726 M
+.7855 g 3500 3726 M
 75 -180 V
 stroke
 LT0
-.262 g .7704 g 3847 3667 M
+.7704 g 3847 3667 M
 -98 -150 V
 stroke
 LT0
-.262 g .7702 g 3673 3674 M
+.7702 g 3673 3674 M
 76 -157 V
 stroke
 LT0
-.262 g .9934 g 3099 4205 M
+.9934 g 3099 4205 M
 -76 30 V
 stroke
 LT0
-.262 g .995 g 3197 4237 M
+.995 g 3197 4237 M
 -174 -2 V
 stroke
 LT0
-.262 g .9854 g 2925 4178 M
+.9854 g 2925 4178 M
 98 57 V
 stroke
 LT0
-.262 g .9841 g 3893 4157 M
+.9841 g 3893 4157 M
 -76 75 V
 stroke
 LT0
-.262 g .9943 g 3991 4226 M
+.9943 g 3991 4226 M
 -174 6 V
 stroke
 LT0
-.262 g .9866 g 3719 4176 M
+.9866 g 3719 4176 M
 98 56 V
 stroke
 LT0
-.262 g .9731 g 3447 4127 M
+.9731 g 3447 4127 M
 -76 69 V
 stroke
 LT0
-.262 g .9751 g 3273 4143 M
+.9751 g 3273 4143 M
 98 53 V
 stroke
 LT0
-.262 g .8264 g 3771 3816 M
+.8264 g 3771 3816 M
 -98 -142 V
 stroke
 LT0
-.262 g .832 g 3598 3847 M
+.832 g 3598 3847 M
 75 -173 V
 stroke
 LT0
-.262 g .7989 g 3500 3726 M
+.7989 g 3500 3726 M
 -99 -115 V
 stroke
 LT0
-.262 g .8136 g 3326 3797 M
+.8136 g 3326 3797 M
 75 -186 V
 stroke
 LT0
-.262 g .7611 g 3303 3514 M
+.7611 g 3303 3514 M
 98 97 V
 stroke
 LT0
-.262 g .9829 g 3273 4143 M
+.9829 g 3273 4143 M
 -76 94 V
 stroke
 LT0
-.262 g .9955 g 3099 4205 M
+.9955 g 3099 4205 M
 98 32 V
 stroke
 LT0
-.262 g .7823 g 3227 3709 M
+.7823 g 3227 3709 M
 76 -195 V
 stroke
 LT0
-.262 g .7283 g 3204 3420 M
+.7283 g 3204 3420 M
 99 94 V
 stroke
 LT0
-.262 g .6823 g 4074 3274 M
+.6823 g 4074 3274 M
 -76 121 V
 stroke
 LT0
-.262 g .7404 g 4097 3580 M
+.7404 g 4097 3580 M
 -99 -185 V
 stroke
 LT0
-.262 g .7284 g 3923 3537 M
+.7284 g 3923 3537 M
 75 -142 V
 stroke
 LT0
-.262 g .753 g 3129 3628 M
+.753 g 3129 3628 M
 75 -208 V
 stroke
 LT0
-.262 g .7037 g 3106 3358 M
+.7037 g 3106 3358 M
 98 62 V
 stroke
 LT0
-.262 g .989 g 4067 4169 M
+.989 g 4067 4169 M
 -76 57 V
 stroke
 LT0
-.262 g .9845 g 3893 4157 M
+.9845 g 3893 4157 M
 98 69 V
 stroke
 LT0
-.262 g .981 g 3000 4158 M
+.981 g 3000 4158 M
 -75 20 V
 stroke
 LT0
-.262 g .9783 g 2826 4154 M
+.9783 g 2826 4154 M
 99 24 V
 stroke
 LT0
-.262 g .8424 g 3598 3847 M
+.8424 g 3598 3847 M
 -98 -121 V
 stroke
 LT0
-.262 g .8492 g 3424 3884 M
+.8492 g 3424 3884 M
 76 -158 V
 stroke
 LT0
-.262 g .6458 g 4149 3173 M
+.6458 g 4149 3173 M
 -75 101 V
 stroke
 LT0
-.262 g .7011 g 4172 3468 M
+.7011 g 4172 3468 M
 -98 -194 V
 stroke
 LT0
-.262 g .9671 g 4534 4141 M
--20 -2 V
-stroke
-LT0
-.262 g .9666 g 4504 4141 M
-3 0 V
-stroke
-LT0
-.262 g .7768 g 3923 3537 M
+.7768 g 3923 3537 M
 -76 130 V
 stroke
 LT0
-.262 g .8311 g 3946 3828 M
+.8311 g 3946 3828 M
 -99 -161 V
 stroke
 LT0
-.262 g .8266 g 3771 3816 M
+.8266 g 3771 3816 M
 76 -149 V
 stroke
 LT0
-.262 g .9693 g 3620 4100 M
+.9693 g 3620 4100 M
 -74 91 V
 stroke
 LT0
-.262 g .9738 g 3447 4127 M
+.9738 g 3447 4127 M
 99 64 V
 stroke
 LT0
-.262 g .7872 g 4021 3704 M
+.7872 g 4021 3704 M
 -98 -167 V
 stroke
 LT0
-.262 g .6564 g 3007 3310 M
+.6564 g 3007 3310 M
 50 -141 V
 stroke
 LT0
-.262 g .9834 g 4415 4162 M
+.9834 g 4415 4162 M
 -75 17 V
 stroke
 LT0
-.262 g .9849 g 4241 4176 M
+.9849 g 4241 4176 M
 99 3 V
 stroke
 LT0
-.262 g .9623 g 3794 4070 M
+.9623 g 3794 4070 M
 -75 106 V
 stroke
 LT0
-.262 g .9675 g 3620 4100 M
+.9675 g 3620 4100 M
 99 76 V
 stroke
 LT0
-.262 g .992 g 4241 4176 M
+.992 g 4241 4176 M
 -75 41 V
 stroke
 LT0
-.262 g .9886 g 4067 4169 M
+.9886 g 4067 4169 M
 99 48 V
 stroke
 LT0
-.262 g .8808 g 3870 3958 M
+.8808 g 3870 3958 M
 -99 -142 V
 stroke
 LT0
-.262 g .8818 g 3696 3969 M
+.8818 g 3696 3969 M
 75 -153 V
 stroke
 LT0
-.262 g .8873 g 3696 3969 M
+.8873 g 3696 3969 M
 -98 -122 V
 stroke
 LT0
-.262 g .8921 g 3523 3997 M
+.8921 g 3523 3997 M
 75 -150 V
 stroke
 LT0
-.262 g .9552 g 3349 4052 M
+.9552 g 3349 4052 M
 -76 91 V
 stroke
 LT0
-.262 g .96 g 3174 4081 M
+.96 g 3174 4081 M
 99 62 V
 stroke
 LT0
-.262 g .899 g 3523 3997 M
+.899 g 3523 3997 M
 -99 -113 V
 stroke
 LT0
-.262 g .91 g 3349 4052 M
+.91 g 3349 4052 M
 75 -168 V
 stroke
 LT0
-.262 g .8639 g 3326 3797 M
+.8639 g 3326 3797 M
 98 87 V
 stroke
 LT0
-.262 g .9618 g 3968 4071 M
+.9618 g 3968 4071 M
 -75 86 V
 stroke
 LT0
-.262 g .9597 g 3794 4070 M
+.9597 g 3794 4070 M
 99 87 V
 stroke
 LT0
-.262 g .629 g 4157 3166 M
+.629 g 4157 3166 M
 -8 7 V
 stroke
 LT0
-.262 g .671 g 4248 3374 M
+.671 g 4248 3374 M
 -99 -201 V
 stroke
 LT0
-.262 g .7367 g 3030 3569 M
+.7367 g 3030 3569 M
 76 -211 V
 stroke
 LT0
-.262 g .6896 g 3007 3310 M
+.6896 g 3007 3310 M
 99 48 V
 stroke
 LT0
-.262 g .9421 g 3523 3997 M
+.9421 g 3523 3997 M
 -76 130 V
 stroke
 LT0
-.262 g .9531 g 3349 4052 M
+.9531 g 3349 4052 M
 98 75 V
 stroke
 LT0
-.262 g .9376 g 3620 4100 M
+.9376 g 3620 4100 M
 -97 -103 V
 stroke
 LT0
-.262 g .8827 g 3250 3973 M
+.8827 g 3250 3973 M
 76 -176 V
 stroke
 LT0
-.262 g .8348 g 3227 3709 M
+.8348 g 3227 3709 M
 99 88 V
 stroke
 LT0
-.262 g .9328 g 3696 3969 M
+.9328 g 3696 3969 M
 -76 131 V
 stroke
 LT0
-.262 g .9266 g 3870 3958 M
+.9266 g 3870 3958 M
 -76 112 V
 stroke
 LT0
-.262 g .9276 g 3696 3969 M
+.9276 g 3696 3969 M
 98 101 V
 stroke
 LT0
-.262 g .8557 g 3152 3894 M
+.8557 g 3152 3894 M
 75 -185 V
 stroke
 LT0
-.262 g .807 g 3129 3628 M
+.807 g 3129 3628 M
 98 81 V
 stroke
 LT0
-.262 g .9726 g 3174 4081 M
+.9726 g 3174 4081 M
 -75 124 V
 stroke
 LT0
-.262 g .9889 g 3000 4158 M
+.9889 g 3000 4158 M
 99 47 V
 stroke
 LT0
-.262 g .9845 g 2728 4148 M
+.9845 g 2728 4148 M
 -76 20 V
 stroke
 LT0
-.262 g .98 g 2826 4154 M
+.98 g 2826 4154 M
 -174 14 V
 stroke
 LT0
-.262 g .9827 g 2554 4148 M
+.9827 g 2554 4148 M
 98 20 V
 stroke
-LT0
-.262 g .3983 g 1302 2572 M
+LT1
+.3983 g 1302 2572 M
 -75 -271 V
 stroke
 LT0
-.262 g .4099 g 1325 2678 M
+.4099 g 1325 2678 M
 -98 -377 V
 stroke
-LT0
-.262 g .5406 g 1401 2922 M
--96 -341 V
-stroke
-LT0
-.262 g .3928 g 1304 2578 M
+LT1
+.3928 g 1304 2578 M
 -77 -277 V
 stroke
 LT0
-.262 g .8854 g 3946 3828 M
+.8854 g 3946 3828 M
 -76 130 V
 stroke
 LT0
-.262 g .9286 g 3968 4071 M
+.9286 g 3968 4071 M
 -98 -113 V
 stroke
 LT0
-.262 g .8415 g 4021 3704 M
+.8415 g 4021 3704 M
 -75 124 V
 stroke
 LT0
-.262 g .8928 g 4044 3982 M
+.8928 g 4044 3982 M
 -98 -154 V
 stroke
 LT0
-.262 g .9337 g 3250 3973 M
+.9337 g 3250 3973 M
 -76 108 V
 stroke
 LT0
-.262 g .9484 g 3076 4043 M
+.9484 g 3076 4043 M
 98 38 V
 stroke
 LT0
-.262 g .9289 g 3250 3973 M
+.9289 g 3250 3973 M
 99 79 V
 stroke
 LT0
-.262 g .7991 g 4097 3580 M
+.7991 g 4097 3580 M
 -76 124 V
 stroke
 LT0
-.262 g .8523 g 4120 3866 M
+.8523 g 4120 3866 M
 -99 -162 V
 stroke
 LT0
-.262 g .9744 g 4143 4098 M
+.9744 g 4143 4098 M
 -76 71 V
 stroke
 LT0
-.262 g .9662 g 3968 4071 M
+.9662 g 3968 4071 M
 99 98 V
 stroke
 LT0
-.262 g .8324 g 3053 3826 M
+.8324 g 3053 3826 M
 76 -198 V
 stroke
 LT0
-.262 g .786 g 3030 3569 M
+.786 g 3030 3569 M
 99 59 V
 stroke
 LT0
-.262 g .9361 g 4044 3982 M
+.9361 g 4044 3982 M
 -76 89 V
 stroke
 LT0
-.262 g .9812 g 2902 4133 M
+.9812 g 2902 4133 M
 -76 21 V
 stroke
 LT0
-.262 g .983 g 2728 4148 M
+.983 g 2728 4148 M
 98 6 V
 stroke
 LT0
-.262 g .7592 g 4172 3468 M
+.7592 g 4172 3468 M
 -75 112 V
 stroke
 LT0
-.262 g .814 g 4195 3761 M
+.814 g 4195 3761 M
 -98 -181 V
 stroke
 LT0
-.262 g .2674 g 3671 2120 M
-16 3 V
-stroke
-LT0
-.262 g .6647 g 2909 3287 M
+.6647 g 2909 3287 M
 36 -103 V
 stroke
 LT0
-.262 g .6681 g 4324 3299 M
+.6681 g 4324 3299 M
 -57 -118 V
 stroke
 LT0
-.262 g .2464 g 5973 2206 M
+.2464 g 5973 2206 M
 76 -370 V
 stroke
 LT0
-.262 g .2529 g 5950 2177 M
+.2529 g 5950 2177 M
 99 -341 V
 stroke
 LT0
-.262 g .9036 g 3152 3894 M
+.9036 g 3152 3894 M
 98 79 V
 stroke
 LT0
-.262 g .7259 g 2932 3522 M
+.7259 g 2932 3522 M
 75 -212 V
 stroke
 LT0
-.262 g .6846 g 2909 3287 M
+.6846 g 2909 3287 M
 98 23 V
 stroke
 LT0
-.262 g .7263 g 4248 3374 M
+.7263 g 4248 3374 M
 -76 94 V
 stroke
 LT0
-.262 g .7793 g 4271 3659 M
+.7793 g 4271 3659 M
 -99 -191 V
 stroke
 LT0
-.262 g .9183 g 3076 4043 M
+.9183 g 3076 4043 M
 76 -149 V
 stroke
 LT0
-.262 g .8811 g 3053 3826 M
+.8811 g 3053 3826 M
 99 68 V
 stroke
 LT0
-.262 g .9862 g 4317 4127 M
+.9862 g 4317 4127 M
 -76 49 V
 stroke
 LT0
-.262 g .9778 g 4143 4098 M
+.9778 g 4143 4098 M
 98 78 V
 stroke
 LT0
-.262 g .9647 g 3076 4043 M
+.9647 g 3076 4043 M
 -76 115 V
 stroke
 LT0
-.262 g .9839 g 2902 4133 M
+.9839 g 2902 4133 M
 98 25 V
 stroke
 LT0
-.262 g .8155 g 2954 3761 M
+.8155 g 2954 3761 M
 76 -192 V
 stroke
 LT0
-.262 g .773 g 2932 3522 M
+.773 g 2932 3522 M
 98 47 V
 stroke
 LT0
-.262 g .6733 g 1568 3245 M
--13 -30 V
-stroke
-LT0
-.262 g .9036 g 4120 3866 M
+.9036 g 4120 3866 M
 -76 116 V
 stroke
 LT0
-.262 g .9443 g 4143 4098 M
+.9443 g 4143 4098 M
 -99 -116 V
 stroke
 LT0
-.262 g .9411 g 2977 3999 M
+.9411 g 2977 3999 M
 99 44 V
 stroke
 LT0
-.262 g .9898 g 4491 4141 M
+.9898 g 4491 4141 M
 -76 21 V
 stroke
 LT0
-.262 g .9849 g 4589 4145 M
+.9849 g 4589 4145 M
 -174 17 V
 stroke
 LT0
-.262 g .9847 g 4317 4127 M
+.9847 g 4317 4127 M
 98 35 V
 stroke
 LT0
-.262 g .8672 g 4195 3761 M
+.8672 g 4195 3761 M
 -75 105 V
 stroke
 LT0
-.262 g .9106 g 4218 4004 M
+.9106 g 4218 4004 M
 -98 -138 V
 stroke
 LT0
-.262 g .9513 g 4218 4004 M
+.9513 g 4218 4004 M
 -75 94 V
 stroke
 LT0
-.262 g .7022 g 4324 3299 M
+.7022 g 4324 3299 M
 -76 75 V
 stroke
 LT0
-.262 g .7529 g 4347 3574 M
+.7529 g 4347 3574 M
 -99 -200 V
 stroke
 LT0
-.262 g .9882 g 2629 4134 M
+.9882 g 2629 4134 M
 -75 14 V
 stroke
 LT0
-.262 g .9847 g 2455 4126 M
+.9847 g 2455 4126 M
 99 22 V
 stroke
 LT0
-.262 g .9038 g 2977 3999 M
+.9038 g 2977 3999 M
 76 -173 V
 stroke
 LT0
-.262 g .8618 g 2954 3761 M
+.8618 g 2954 3761 M
 99 65 V
 stroke
 LT0
-.262 g .9895 g 4665 4141 M
+.9895 g 4665 4141 M
 -76 4 V
 stroke
 LT0
-.262 g .9877 g 4491 4141 M
+.9877 g 4491 4141 M
 98 4 V
 stroke
 LT0
-.262 g .3998 g 4156 2476 M
--1 -2 V
-stroke
-LT0
-.262 g .8341 g 4271 3659 M
+.8341 g 4271 3659 M
 -76 102 V
 stroke
 LT0
-.262 g .8785 g 4294 3907 M
+.8785 g 4294 3907 M
 -99 -146 V
 stroke
 LT0
-.262 g .4028 g 4169 2481 M
--13 -5 V
-stroke
-LT0
-.262 g .6718 g 4399 3245 M
+.6718 g 4399 3245 M
 -24 -51 V
 stroke
 LT0
-.262 g .7283 g 2833 3505 M
+.7283 g 2833 3505 M
 76 -218 V
 stroke
 LT0
-.262 g .6896 g 2810 3281 M
+.6896 g 2810 3281 M
 99 6 V
 stroke
 LT0
-.262 g .8085 g 2856 3729 M
+.8085 g 2856 3729 M
 76 -207 V
 stroke
 LT0
-.262 g .7696 g 2833 3505 M
+.7696 g 2833 3505 M
 99 17 V
 stroke
 LT0
-.262 g .9219 g 4294 3907 M
+.9219 g 4294 3907 M
 -76 97 V
 stroke
 LT0
-.262 g .9597 g 4317 4127 M
+.9597 g 4317 4127 M
 -99 -123 V
 stroke
 LT0
-.262 g .9818 g 2803 4091 M
+.9818 g 2803 4091 M
 -75 57 V
 stroke
 LT0
-.262 g .99 g 2629 4134 M
+.99 g 2629 4134 M
 99 14 V
 stroke
 LT0
-.262 g .8891 g 2879 3950 M
+.8891 g 2879 3950 M
 75 -189 V
 stroke
 LT0
-.262 g .851 g 2856 3729 M
+.851 g 2856 3729 M
 98 32 V
 stroke
 LT0
-.262 g .9603 g 2902 4133 M
+.9603 g 2902 4133 M
 75 -134 V
 stroke
 LT0
-.262 g .9311 g 2879 3950 M
+.9311 g 2879 3950 M
 98 49 V
 stroke
 LT0
-.262 g .98 g 2803 4091 M
+.98 g 2803 4091 M
 99 42 V
 stroke
 LT0
-.262 g .8059 g 4347 3574 M
+.8059 g 4347 3574 M
 -76 85 V
 stroke
 LT0
-.262 g .8546 g 4369 3841 M
+.8546 g 4369 3841 M
 -98 -182 V
 stroke
 LT0
-.262 g .6873 g 4399 3245 M
+.6873 g 4399 3245 M
 -75 54 V
 stroke
 LT0
-.262 g .7369 g 4422 3515 M
+.7369 g 4422 3515 M
 -98 -216 V
 stroke
 LT0
-.262 g .6385 g 2863 3140 M
-1 -3 V
-stroke
-LT0
-.262 g .6766 g 2810 3281 M
+.6766 g 2810 3281 M
 34 -90 V
 stroke
 LT0
-.262 g .9716 g 4392 4048 M
+.9716 g 4392 4048 M
 -75 79 V
 stroke
 LT0
-.262 g .8991 g 4369 3841 M
+.8991 g 4369 3841 M
 -75 66 V
 stroke
 LT0
-.262 g .9339 g 4392 4048 M
+.9339 g 4392 4048 M
 -98 -141 V
 stroke
 LT0
-.262 g .2802 g 3664 2093 M
-77 20 V
-stroke
-LT0
-.262 g .9908 g 2531 4117 M
+.9908 g 2531 4117 M
 -76 9 V
 stroke
 LT0
-.262 g .9846 g 2356 4098 M
+.9846 g 2356 4098 M
 99 28 V
 stroke
 LT0
-.262 g .7876 g 4422 3515 M
+.7876 g 4422 3515 M
 -75 59 V
 stroke
 LT0
-.262 g .8334 g 4445 3769 M
+.8334 g 4445 3769 M
 -98 -195 V
 stroke
 LT0
-.262 g .9508 g 2803 4091 M
+.9508 g 2803 4091 M
 76 -141 V
 stroke
 LT0
-.262 g .9234 g 2780 3916 M
+.9234 g 2780 3916 M
 99 34 V
 stroke
 LT0
-.262 g .991 g 4567 4102 M
+.991 g 4567 4102 M
 -76 39 V
 stroke
 LT0
-.262 g .9767 g 4392 4048 M
+.9767 g 4392 4048 M
 99 93 V
 stroke
 LT0
-.262 g .8211 g 1643 3518 M
--1 -3 V
-stroke
-LT0
-.262 g .952 g 4468 3977 M
+.952 g 4468 3977 M
 -76 71 V
 stroke
 LT0
-.262 g .8853 g 2780 3916 M
+.8853 g 2780 3916 M
 76 -187 V
 stroke
 LT0
-.262 g .9747 g 2705 4060 M
+.9747 g 2705 4060 M
 98 31 V
 stroke
 LT0
-.262 g .8496 g 2757 3705 M
+.8496 g 2757 3705 M
 99 24 V
 stroke
 LT0
-.262 g .9783 g 4915 4063 M
+.9783 g 4915 4063 M
 -76 32 V
 stroke
 LT0
-.262 g .9868 g 4741 4107 M
+.9868 g 4741 4107 M
 98 -12 V
 stroke
 LT0
-.262 g .9871 g 4665 4141 M
+.9871 g 4665 4141 M
 174 -46 V
 stroke
 LT0
-.262 g .8107 g 2757 3705 M
+.8107 g 2757 3705 M
 76 -200 V
 stroke
 LT0
-.262 g .7736 g 2734 3489 M
+.7736 g 2734 3489 M
 99 16 V
 stroke
 LT0
-.262 g .9829 g 2705 4060 M
+.9829 g 2705 4060 M
 -76 74 V
 stroke
 LT0
-.262 g .9944 g 2531 4117 M
+.9944 g 2531 4117 M
 98 17 V
 stroke
 LT0
-.262 g .6834 g 4475 3218 M
+.6834 g 4475 3218 M
 -4 -8 V
 stroke
 LT0
-.262 g .735 g 2734 3489 M
+.735 g 2734 3489 M
 76 -208 V
 stroke
 LT0
-.262 g .703 g 2712 3294 M
+.703 g 2712 3294 M
 98 -13 V
 stroke
 LT0
-.262 g .2531 g 5950 2177 M
+.2531 g 5950 2177 M
 76 -398 V
 stroke
 LT0
-.262 g .2466 g 5927 2091 M
+.2466 g 5927 2091 M
 99 -312 V
 stroke
 LT0
-.262 g .6837 g 4475 3218 M
+.6837 g 4475 3218 M
 -76 27 V
 stroke
 LT0
-.262 g .7258 g 4498 3457 M
+.7258 g 4498 3457 M
 -99 -212 V
 stroke
 LT0
-.262 g .9958 g 4741 4107 M
+.9958 g 4741 4107 M
 -76 34 V
 stroke
 LT0
-.262 g .9929 g 4567 4102 M
+.9929 g 4567 4102 M
 98 39 V
 stroke
 LT0
-.262 g .8821 g 4445 3769 M
+.8821 g 4445 3769 M
 -76 72 V
 stroke
 LT0
-.262 g .9172 g 4468 3977 M
+.9172 g 4468 3977 M
 -99 -136 V
 stroke
-LT0
-.262 g .2923 g 3739 2112 M
+LT1
+.2923 g 3739 2112 M
 -75 -19 V
 stroke
-LT0
-.262 g .2913 g 3838 2133 M
+LT1
+.2913 g 3838 2133 M
 -174 -40 V
 stroke
 LT0
-.262 g .2803 g 3661 2093 M
-3 0 V
-stroke
-LT0
-.262 g .3411 g 4020 2259 M
-15 11 V
-stroke
-LT0
-.262 g .9913 g 2432 4097 M
+.9913 g 2432 4097 M
 -76 1 V
 stroke
 LT0
-.262 g .9815 g 2258 4063 M
+.9815 g 2258 4063 M
 98 35 V
 stroke
 LT0
-.262 g .6943 g 2712 3294 M
+.6943 g 2712 3294 M
 33 -90 V
 stroke
 LT0
-.262 g .9473 g 2705 4060 M
+.9473 g 2705 4060 M
 75 -144 V
 stroke
 LT0
-.262 g .9197 g 2682 3884 M
+.9197 g 2682 3884 M
 98 32 V
 stroke
 LT0
-.262 g .9379 g 4544 3922 M
+.9379 g 4544 3922 M
 -76 55 V
 stroke
 LT0
-.262 g .9664 g 4567 4102 M
+.9664 g 4567 4102 M
 -99 -125 V
 stroke
 LT0
-.262 g .7754 g 4498 3457 M
+.7754 g 4498 3457 M
 -76 58 V
 stroke
 LT0
-.262 g .8192 g 4521 3702 M
+.8192 g 4521 3702 M
 -99 -187 V
 stroke
 LT0
-.262 g .9732 g 2606 4035 M
+.9732 g 2606 4035 M
 99 25 V
 stroke
 LT0
-.262 g .884 g 2682 3884 M
+.884 g 2682 3884 M
 75 -179 V
 stroke
 LT0
-.262 g .8536 g 2659 3696 M
+.8536 g 2659 3696 M
 98 9 V
 stroke
 LT0
-.262 g .434 g 4242 2524 M
--10 -15 V
-stroke
-LT0
-.262 g .3936 g 5898 2532 M
+.3936 g 5898 2532 M
 75 -326 V
 stroke
 LT0
-.262 g .4096 g 5875 2542 M
+.4096 g 5875 2542 M
 98 -336 V
 stroke
 LT0
-.262 g .8649 g 4521 3702 M
+.8649 g 4521 3702 M
 -76 67 V
 stroke
 LT0
-.262 g .9028 g 4544 3922 M
+.9028 g 4544 3922 M
 -99 -153 V
 stroke
 LT0
-.262 g .9862 g 4642 4054 M
+.9862 g 4642 4054 M
 -75 48 V
 stroke
 LT0
-.262 g .8165 g 2659 3696 M
+.8165 g 2659 3696 M
 75 -207 V
 stroke
 LT0
-.262 g .785 g 2636 3503 M
+.785 g 2636 3503 M
 98 -14 V
 stroke
 LT0
-.262 g .557 g 1401 2922 M
+.557 g 1401 2922 M
 -76 -244 V
 stroke
 LT0
-.262 g .5629 g 1424 3006 M
+.5629 g 1424 3006 M
 -99 -328 V
 stroke
 LT0
-.262 g .9847 g 2606 4035 M
+.9847 g 2606 4035 M
 -75 82 V
 stroke
 LT0
-.262 g .9975 g 2432 4097 M
+.9975 g 2432 4097 M
 99 20 V
 stroke
-LT0
-.262 g .3223 g 3913 2185 M
+LT1
+.3223 g 3913 2185 M
 -75 -52 V
 stroke
-LT0
-.262 g .3272 g 4012 2232 M
+LT1
+.3272 g 4012 2232 M
 -174 -99 V
 stroke
-LT0
-.262 g .3034 g 3739 2112 M
+LT1
+.3034 g 3739 2112 M
 99 21 V
 stroke
 LT0
-.262 g .9811 g 4990 4041 M
+.9811 g 4990 4041 M
 -75 22 V
 stroke
 LT0
-.262 g .9891 g 4816 4083 M
+.9891 g 4816 4083 M
 99 -20 V
 stroke
 LT0
-.262 g .9896 g 2334 4074 M
+.9896 g 2334 4074 M
 -76 -11 V
 stroke
 LT0
-.262 g .9738 g 2175 4019 M
+.9738 g 2175 4019 M
 83 44 V
 stroke
 LT0
-.262 g .783 g 1702 3526 M
--35 -59 V
-stroke
-LT0
-.262 g .9976 g 4816 4083 M
+.9976 g 4816 4083 M
 -75 24 V
 stroke
 LT0
-.262 g .9892 g 4642 4054 M
+.9892 g 4642 4054 M
 99 53 V
 stroke
 LT0
-.262 g .4053 g 3044 2359 M
-1 -1 V
-stroke
-LT0
-.262 g .9455 g 2606 4035 M
+.9455 g 2606 4035 M
 76 -151 V
 stroke
 LT0
-.262 g .9196 g 2583 3866 M
+.9196 g 2583 3866 M
 99 18 V
 stroke
 LT0
-.262 g .6862 g 4496 3214 M
+.6862 g 4496 3214 M
 -21 4 V
 stroke
 LT0
-.262 g .7278 g 4573 3426 M
+.7278 g 4573 3426 M
 -98 -208 V
 stroke
 LT0
-.262 g .7531 g 2636 3503 M
+.7531 g 2636 3503 M
 76 -209 V
 stroke
 LT0
-.262 g .7264 g 2613 3331 M
+.7264 g 2613 3331 M
 99 -37 V
 stroke
 LT0
-.262 g .7699 g 4573 3426 M
+.7699 g 4573 3426 M
 -75 31 V
 stroke
 LT0
-.262 g .8097 g 4596 3654 M
+.8097 g 4596 3654 M
 -98 -197 V
 stroke
 LT0
-.262 g .9294 g 4619 3875 M
+.9294 g 4619 3875 M
 -75 47 V
 stroke
 LT0
-.262 g .9577 g 4642 4054 M
+.9577 g 4642 4054 M
 -98 -132 V
 stroke
 LT0
-.262 g .3318 g 3313 2171 M
-11 -7 V
-stroke
-LT0
-.262 g .9744 g 2508 4015 M
+.9744 g 2508 4015 M
 98 20 V
 stroke
 LT0
-.262 g .8534 g 4596 3654 M
+.8534 g 4596 3654 M
 -75 48 V
 stroke
 LT0
-.262 g .8915 g 4619 3875 M
+.8915 g 4619 3875 M
 -98 -173 V
 stroke
 LT0
-.262 g .9802 g 2237 4039 M
--12 -5 V
-stroke
-LT0
-.262 g .9798 g 4718 4009 M
+.9798 g 4718 4009 M
 -76 45 V
 stroke
 LT0
-.262 g .8892 g 2583 3866 M
+.8892 g 2583 3866 M
 76 -170 V
 stroke
 LT0
-.262 g .8636 g 2560 3698 M
+.8636 g 2560 3698 M
 99 -2 V
 stroke
 LT0
-.262 g .9873 g 2508 4015 M
+.9873 g 2508 4015 M
 -76 82 V
 stroke
 LT0
-.262 g .9994 g 2334 4074 M
+.9994 g 2334 4074 M
 98 23 V
 stroke
-LT0
-.262 g .3224 g 3815 2157 M
+LT1
+.3224 g 3815 2157 M
 -76 -45 V
 stroke
-LT0
-.262 g .3086 g 3668 2112 M
+LT1
+.3086 g 3668 2112 M
 71 0 V
 stroke
 LT0
-.262 g .6312 g 4527 3013 M
--1 -2 V
-stroke
-LT0
-.262 g .7213 g 2613 3331 M
+.7213 g 2613 3331 M
 39 -101 V
 stroke
 LT0
-.262 g .7036 g 2590 3195 M
-4 -3 V
-stroke
-LT0
-.262 g .8322 g 2560 3698 M
+.8322 g 2560 3698 M
 76 -195 V
 stroke
 LT0
-.262 g .8064 g 2537 3530 M
+.8064 g 2537 3530 M
 99 -27 V
 stroke
 LT0
-.262 g .9485 g 2508 4015 M
+.9485 g 2508 4015 M
 75 -149 V
 stroke
 LT0
-.262 g .9285 g 2485 3872 M
+.9285 g 2485 3872 M
 98 -6 V
 stroke
 LT0
-.262 g .9831 g 5066 4006 M
+.9831 g 5066 4006 M
 -76 35 V
 stroke
 LT0
-.262 g .9909 g 4892 4047 M
+.9909 g 4892 4047 M
 98 -6 V
 stroke
 LT0
-.262 g .5319 g 1378 2807 M
+.5319 g 1378 2807 M
 -76 -235 V
 stroke
 LT0
-.262 g .5454 g 1401 2922 M
+.5454 g 1401 2922 M
 -99 -350 V
 stroke
 LT0
-.262 g .9241 g 4695 3834 M
+.9241 g 4695 3834 M
 -76 41 V
 stroke
 LT0
-.262 g .9515 g 4718 4009 M
+.9515 g 4718 4009 M
 -99 -134 V
 stroke
 LT0
-.262 g .976 g 2409 3991 M
+.976 g 2409 3991 M
 99 24 V
 stroke
 LT0
-.262 g .9989 g 4892 4047 M
+.9989 g 4892 4047 M
 -76 36 V
 stroke
 LT0
-.262 g .9882 g 4718 4009 M
+.9882 g 4718 4009 M
 98 74 V
 stroke
 LT0
-.262 g .85 g 4672 3622 M
+.85 g 4672 3622 M
 -76 32 V
 stroke
 LT0
-.262 g .886 g 4695 3834 M
+.886 g 4695 3834 M
 -99 -180 V
 stroke
 LT0
-.262 g .7736 g 4649 3407 M
+.7736 g 4649 3407 M
 -76 19 V
 stroke
 LT0
-.262 g .8103 g 4672 3622 M
+.8103 g 4672 3622 M
 -99 -196 V
 stroke
-LT0
-.262 g .3767 g 4088 2305 M
+LT1
+.3767 g 4088 2305 M
 -76 -73 V
 stroke
-LT0
-.262 g .3898 g 4186 2386 M
+LT1
+.3898 g 4186 2386 M
 4012 2232 L
 stroke
-LT0
-.262 g .3471 g 3913 2185 M
+LT1
+.3471 g 3913 2185 M
 99 47 V
 stroke
 LT0
-.262 g .7397 g 4649 3407 M
+.7397 g 4649 3407 M
 -87 -181 V
 stroke
 LT0
-.262 g .975 g 4793 3968 M
+.975 g 4793 3968 M
 -75 41 V
 stroke
 LT0
-.262 g .9881 g 2409 3991 M
+.9881 g 2409 3991 M
 -75 83 V
 stroke
 LT0
-.262 g .9976 g 2235 4039 M
+.9976 g 2235 4039 M
 99 35 V
 stroke
 LT0
-.262 g .7797 g 2537 3530 M
+.7797 g 2537 3530 M
 76 -199 V
 stroke
 LT0
-.262 g .7591 g 2514 3383 M
+.7591 g 2514 3383 M
 99 -52 V
 stroke
 LT0
-.262 g .9029 g 2485 3872 M
+.9029 g 2485 3872 M
 75 -174 V
 stroke
 LT0
-.262 g .881 g 2462 3720 M
+.881 g 2462 3720 M
 98 -22 V
 stroke
 LT0
-.262 g .5281 g 5822 2847 M
+.5281 g 5822 2847 M
 76 -315 V
 stroke
 LT0
-.262 g .537 g 5799 2827 M
+.537 g 5799 2827 M
 99 -295 V
 stroke
 LT0
-.262 g .4161 g 5875 2542 M
+.4161 g 5875 2542 M
 75 -365 V
 stroke
 LT0
-.262 g .4165 g 5852 2486 M
+.4165 g 5852 2486 M
 98 -309 V
 stroke
-LT0
-.262 g .6318 g 4529 3013 M
--2 0 V
-stroke
-LT0
-.262 g .3431 g 3716 2157 M
+LT1
+.3431 g 3716 2157 M
 -39 -23 V
 stroke
-LT0
-.262 g .3672 g 3989 2260 M
+LT1
+.3672 g 3989 2260 M
 -76 -75 V
 stroke
-LT0
-.262 g .3413 g 3815 2157 M
+LT1
+.3413 g 3815 2157 M
 98 28 V
 stroke
 LT0
-.262 g .956 g 2485 3872 M
+.956 g 2485 3872 M
 -76 119 V
 stroke
 LT0
-.262 g .9805 g 2311 3984 M
+.9805 g 2311 3984 M
 98 7 V
 stroke
 LT0
-.262 g .921 g 4770 3796 M
+.921 g 4770 3796 M
 -75 38 V
 stroke
 LT0
-.262 g .9476 g 4793 3968 M
+.9476 g 4793 3968 M
 -98 -134 V
 stroke
 LT0
-.262 g .4055 g 3045 2359 M
--1 0 V
-stroke
-LT0
-.262 g .9777 g 5142 3953 M
+.9777 g 5142 3953 M
 -76 53 V
 stroke
 LT0
-.262 g .9907 g 4967 4016 M
+.9907 g 4967 4016 M
 99 -10 V
 stroke
 LT0
-.262 g .9426 g 2386 3876 M
+.9426 g 2386 3876 M
 99 -4 V
 stroke
 LT0
-.262 g .99 g 2311 3984 M
+.99 g 2311 3984 M
 -76 55 V
 stroke
 LT0
-.262 g .9932 g 2136 4005 M
+.9932 g 2136 4005 M
 99 34 V
 stroke
 LT0
-.262 g .6928 g 1499 3227 M
+.6928 g 1499 3227 M
 -75 -221 V
 stroke
 LT0
-.262 g .6951 g 1522 3295 M
--98 -289 V
+.7436 g 1522 3295 M
+-21 -62 V
 stroke
 LT0
-.262 g .9986 g 4967 4016 M
+.9986 g 4967 4016 M
 -75 31 V
 stroke
 LT0
-.262 g .9856 g 4793 3968 M
+.9856 g 4793 3968 M
 99 79 V
 stroke
 LT0
-.262 g .853 g 4747 3602 M
+.853 g 4747 3602 M
 -75 20 V
 stroke
 LT0
-.262 g .885 g 4770 3796 M
+.885 g 4770 3796 M
 -98 -174 V
 stroke
 LT0
-.262 g .8553 g 2462 3720 M
+.8553 g 2462 3720 M
 75 -190 V
 stroke
 LT0
-.262 g .8346 g 2439 3574 M
+.8346 g 2439 3574 M
 98 -44 V
 stroke
 LT0
-.262 g .9732 g 4869 3936 M
+.9732 g 4869 3936 M
 -76 32 V
 stroke
 LT0
-.262 g .7857 g 4725 3412 M
+.7857 g 4725 3412 M
 -76 -5 V
 stroke
 LT0
-.262 g .8164 g 4747 3602 M
+.8164 g 4747 3602 M
 -98 -195 V
 stroke
-LT0
-.262 g .3669 g 3890 2237 M
+LT1
+.3669 g 3890 2237 M
 -75 -80 V
 stroke
-LT0
-.262 g .3465 g 3716 2157 M
+LT1
+.3465 g 3716 2157 M
 99 0 V
 stroke
 LT0
-.262 g .7522 g 2514 3383 M
-52 -129 V
+.7525 g 2514 3383 M
+52 -127 V
 stroke
 LT0
-.262 g .7612 g 4725 3412 M
+.7612 g 4725 3412 M
 -81 -163 V
 stroke
 LT0
-.262 g .9929 g 2212 3980 M
+.9929 g 2212 3980 M
 -76 25 V
 stroke
 LT0
-.262 g .983 g 2038 3946 M
+.983 g 2038 3946 M
 98 59 V
 stroke
 LT0
-.262 g .9753 g 5217 3930 M
+.9753 g 5217 3930 M
 -75 23 V
 stroke
 LT0
-.262 g .9808 g 5043 3961 M
+.9808 g 5043 3961 M
 99 -8 V
 stroke
 LT0
-.262 g .9208 g 2386 3876 M
+.9208 g 2386 3876 M
 76 -156 V
 stroke
 LT0
-.262 g .9031 g 2363 3742 M
+.9031 g 2363 3742 M
 99 -22 V
 stroke
 LT0
-.262 g .9672 g 2386 3876 M
+.9672 g 2386 3876 M
 -75 108 V
 stroke
 LT0
-.262 g .9898 g 2212 3980 M
+.9898 g 2212 3980 M
 99 4 V
 stroke
 LT0
-.262 g .9235 g 4846 3779 M
+.9235 g 4846 3779 M
 -76 17 V
 stroke
 LT0
-.262 g .9466 g 4869 3936 M
+.9466 g 4869 3936 M
 -99 -140 V
 stroke
-LT0
-.262 g .9253 g 1777 3734 M
--1 -2 V
-stroke
-LT0
-.262 g .4919 g 4360 2580 M
+LT1
+.4919 g 4360 2580 M
 -75 -95 V
 stroke
-LT0
-.262 g .5137 g 4459 2698 M
+LT1
+.5137 g 4459 2698 M
 4285 2485 L
 stroke
-LT0
-.262 g .4448 g 4186 2386 M
+LT1
+.4448 g 4186 2386 M
 99 99 V
 stroke
 LT0
-.262 g .9577 g 2288 3886 M
+.9577 g 2288 3886 M
 98 -10 V
 stroke
 LT0
-.262 g .8139 g 2439 3574 M
+.8139 g 2439 3574 M
 75 -191 V
 stroke
 LT0
-.262 g .7978 g 2416 3447 M
+.7978 g 2416 3447 M
 98 -64 V
 stroke
-LT0
-.262 g .4558 g 4262 2474 M
+LT1
+.4558 g 4262 2474 M
 -76 -88 V
 stroke
-LT0
-.262 g .4145 g 4088 2305 M
+LT1
+.4145 g 4088 2305 M
 98 81 V
 stroke
 LT0
-.262 g .9938 g 5043 3961 M
+.9938 g 5043 3961 M
 -76 55 V
 stroke
 LT0
-.262 g .9862 g 4869 3936 M
+.9862 g 4869 3936 M
 98 80 V
 stroke
 LT0
-.262 g .9875 g 2114 3967 M
+.9875 g 2114 3967 M
 -76 -21 V
 stroke
 LT0
-.262 g .9844 g 2122 3963 M
--3 -1 V
-stroke
-LT0
-.262 g .9744 g 2032 3942 M
+.9744 g 2032 3942 M
 6 4 V
 stroke
 LT0
-.262 g .41 g 5852 2486 M
+.41 g 5852 2486 M
 75 -395 V
 stroke
 LT0
-.262 g .3968 g 5829 2372 M
+.3968 g 5829 2372 M
 98 -281 V
 stroke
-LT0
-.262 g .5451 g 2750 2718 M
-1 -3 V
-stroke
-LT0
-.262 g .5701 g 2714 2737 M
-10 -11 V
-stroke
-LT0
-.262 g .4333 g 4163 2408 M
+LT1
+.4333 g 4163 2408 M
 -75 -103 V
 stroke
-LT0
-.262 g .3969 g 3989 2260 M
+LT1
+.3969 g 3989 2260 M
 99 45 V
 stroke
 LT0
-.262 g .8626 g 4823 3597 M
+.8626 g 4823 3597 M
 -76 5 V
 stroke
 LT0
-.262 g .8915 g 4846 3779 M
+.8915 g 4846 3779 M
 -99 -177 V
 stroke
 LT0
-.262 g .9752 g 4945 3912 M
+.9752 g 4945 3912 M
 -76 24 V
 stroke
-LT0
-.262 g .5265 g 4441 2696 M
--58 -84 V
-stroke
-LT0
-.262 g .6798 g 2544 3033 M
-11 -11 V
-stroke
-LT0
-.262 g .5479 g 2771 2660 M
+LT1
+.5479 g 2771 2660 M
 19 -24 V
 stroke
 LT0
-.262 g .6444 g 5746 3094 M
+.6444 g 5746 3094 M
 76 -247 V
 stroke
 LT0
-.262 g .6609 g 5723 3107 M
+.6609 g 5723 3107 M
 99 -260 V
 stroke
-LT0
-.262 g .3775 g 3792 2232 M
+LT1
+.3775 g 3792 2232 M
 -76 -75 V
 stroke
-LT0
-.262 g .3564 g 3691 2168 M
+LT1
+.3564 g 3691 2168 M
 25 -11 V
 stroke
 LT0
-.262 g .9442 g 1841 3813 M
-77 52 V
-stroke
-LT0
-.262 g .6798 g 1477 3139 M
+.6798 g 1477 3139 M
 -76 -217 V
 stroke
 LT0
-.262 g .6869 g 1499 3227 M
+.6869 g 1499 3227 M
 -98 -305 V
 stroke
 LT0
-.262 g .8824 g 2363 3742 M
+.8824 g 2363 3742 M
 76 -168 V
 stroke
 LT0
-.262 g .8673 g 2340 3620 M
+.8673 g 2340 3620 M
 99 -46 V
 stroke
 LT0
-.262 g .8066 g 4800 3431 M
+.8066 g 4800 3431 M
 -75 -19 V
 stroke
 LT0
-.262 g .8319 g 4823 3597 M
+.8319 g 4823 3597 M
 -98 -185 V
 stroke
 LT0
-.262 g .6176 g 4557 2839 M
--6 -7 V
-stroke
-LT0
-.262 g .9803 g 2288 3886 M
+.9803 g 2288 3886 M
 -76 94 V
 stroke
 LT0
-.262 g .9974 g 2114 3967 M
+.9974 g 2114 3967 M
 98 13 V
 stroke
-LT0
-.262 g .4204 g 4065 2348 M
+LT1
+.4204 g 4065 2348 M
 -76 -88 V
 stroke
-LT0
-.262 g .3928 g 3890 2237 M
+LT1
+.3928 g 3890 2237 M
 99 23 V
 stroke
 LT0
-.262 g .9564 g 1916 3865 M
--75 -52 V
+.9528 g 1913 3864 M
+-53 -37 V
 stroke
 LT0
-.262 g .9672 g 2015 3937 M
-1841 3813 L
+.9799 g 2015 3937 M
+-101 -72 V
 stroke
 LT0
-.262 g .9745 g 5293 3884 M
+.9745 g 5293 3884 M
 -76 46 V
 stroke
 LT0
-.262 g .985 g 5119 3937 M
+.985 g 5119 3937 M
 98 -7 V
 stroke
 LT0
-.262 g .9905 g 5119 3937 M
+.9905 g 5119 3937 M
 -76 24 V
 stroke
 LT0
-.262 g .9829 g 4945 3912 M
+.9829 g 4945 3912 M
 98 49 V
 stroke
 LT0
-.262 g .8065 g 1598 3475 M
+.8065 g 1598 3475 M
 -76 -180 V
 stroke
 LT0
-.262 g .94 g 2288 3886 M
+.94 g 2288 3886 M
 75 -144 V
 stroke
 LT0
-.262 g .9269 g 2265 3772 M
+.9269 g 2265 3772 M
 98 -30 V
 stroke
 LT0
-.262 g .9319 g 4922 3767 M
+.9319 g 4922 3767 M
 -76 12 V
 stroke
 LT0
-.262 g .9521 g 4945 3912 M
+.9521 g 4945 3912 M
 -99 -133 V
 stroke
 LT0
-.262 g .553 g 5799 2827 M
+.553 g 5799 2827 M
 76 -285 V
 stroke
 LT0
-.262 g .5664 g 5776 2827 M
+.5664 g 5776 2827 M
 99 -285 V
 stroke
 LT0
-.262 g .9743 g 2189 3897 M
+.9743 g 2189 3897 M
 99 -11 V
 stroke
 LT0
-.262 g .786 g 2416 3447 M
-71 -170 V
+.7865 g 2416 3447 M
+69 -167 V
 stroke
 LT0
-.262 g .7806 g 2393 3354 M
-80 -72 V
+.7811 g 2393 3354 M
+78 -70 V
 stroke
 LT0
-.262 g .7861 g 4800 3431 M
--82 -160 V
+.7552 g 4722 3279 M
+-4 -8 V
+stroke
+LT0
+.7879 g 4800 3431 M
+-78 -152 V
 stroke
 LT0
-.262 g .9798 g 5020 3890 M
+.9798 g 5020 3890 M
 -75 22 V
 stroke
 LT0
-.262 g .8802 g 4899 3612 M
+.8802 g 4899 3612 M
 -76 -15 V
 stroke
 LT0
-.262 g .903 g 4922 3767 M
+.903 g 4922 3767 M
 -99 -170 V
 stroke
-LT0
-.262 g .4223 g 3966 2329 M
+LT1
+.4223 g 3966 2329 M
 -76 -92 V
 stroke
-LT0
-.262 g .3979 g 3792 2232 M
+LT1
+.3979 g 3792 2232 M
 98 5 V
 stroke
 LT0
-.262 g .7343 g 5671 3298 M
+.7343 g 5671 3298 M
 75 -204 V
 stroke
 LT0
-.262 g .7513 g 5648 3313 M
+.7513 g 5648 3313 M
 98 -219 V
 stroke
 LT0
-.262 g .9914 g 2189 3897 M
+.9914 g 2189 3897 M
 -75 70 V
 stroke
 LT0
-.262 g .9989 g 2015 3937 M
+.9989 g 2015 3937 M
 99 30 V
 stroke
 LT0
-.262 g .963 g 5368 3815 M
+.963 g 5368 3815 M
 -75 69 V
 stroke
 LT0
-.262 g .9836 g 5194 3911 M
+.9836 g 5194 3911 M
 99 -27 V
 stroke
 LT0
-.262 g .8512 g 2340 3620 M
+.8512 g 2340 3620 M
 76 -173 V
 stroke
 LT0
-.262 g .8416 g 2317 3521 M
+.8416 g 2317 3521 M
 99 -74 V
 stroke
 LT0
-.262 g .6453 g 1454 2991 M
+.6453 g 1454 2991 M
 -76 -184 V
 stroke
 LT0
-.262 g .6664 g 1477 3139 M
+.6664 g 1477 3139 M
 -99 -332 V
 stroke
 LT0
-.262 g .9941 g 5194 3911 M
+.9941 g 5194 3911 M
 -75 26 V
 stroke
 LT0
-.262 g .9875 g 5020 3890 M
+.9875 g 5020 3890 M
 99 47 V
 stroke
 LT0
-.262 g .9083 g 1719 3679 M
+.9083 g 1719 3679 M
 -12 -22 V
 stroke
 LT0
-.262 g .877 g 1681 3585 M
--14 -20 V
-stroke
-LT0
-.262 g .9118 g 2265 3772 M
+.9118 g 2265 3772 M
 75 -152 V
 stroke
 LT0
-.262 g .8997 g 2242 3662 M
+.8997 g 2242 3662 M
 98 -42 V
 stroke
 LT0
-.262 g .8334 g 4876 3462 M
+.8334 g 4876 3462 M
 -76 -31 V
 stroke
 LT0
-.262 g .8549 g 4899 3612 M
+.8549 g 4899 3612 M
 -99 -181 V
 stroke
 LT0
-.262 g .9413 g 4997 3754 M
+.9413 g 4997 3754 M
 -75 13 V
 stroke
 LT0
-.262 g .9597 g 5020 3890 M
+.9597 g 5020 3890 M
 -98 -123 V
 stroke
-LT0
-.262 g .519 g 4337 2590 M
+LT1
+.519 g 4337 2590 M
 -75 -116 V
 stroke
-LT0
-.262 g .5029 g 4360 2580 M
+LT1
+.5029 g 4360 2580 M
 -98 -106 V
 stroke
-LT0
-.262 g .4745 g 4163 2408 M
+LT1
+.4745 g 4163 2408 M
 99 66 V
 stroke
 LT0
-.262 g .9612 g 2265 3772 M
+.9612 g 2265 3772 M
 -76 125 V
 stroke
 LT0
-.262 g .985 g 2091 3881 M
+.985 g 2091 3881 M
 98 16 V
 stroke
 LT0
-.262 g .9393 g 5444 3717 M
--76 98 V
+.9435 g 5423 3745 M
+-55 70 V
 stroke
 LT0
-.262 g .9735 g 5270 3871 M
-98 -56 V
+.9285 g 5444 3717 M
+-21 28 V
 stroke
 LT0
-.262 g .9774 g 5266 3871 M
-11 -6 V
+.9735 g 5270 3871 M
+98 -56 V
 stroke
-LT0
-.262 g .5551 g 4436 2689 M
+LT1
+.5551 g 4436 2689 M
 -76 -109 V
 stroke
-LT0
-.262 g .5437 g 4459 2698 M
+LT1
+.5437 g 4459 2698 M
 -99 -118 V
 stroke
 LT0
-.262 g .9533 g 2166 3805 M
+.9533 g 2166 3805 M
 99 -33 V
 stroke
 LT0
-.262 g .9925 g 2091 3881 M
+.9925 g 2091 3881 M
 -76 56 V
 stroke
 LT0
-.262 g .9869 g 1916 3865 M
+.9869 g 1916 3865 M
 99 72 V
 stroke
 LT0
-.262 g .8313 g 5572 3517 M
+.8313 g 5572 3517 M
 99 -219 V
 stroke
-LT0
-.262 g .5705 g 2771 2660 M
+LT1
+.5705 g 2771 2660 M
 -76 101 V
 stroke
-LT0
-.262 g .6241 g 2597 2898 M
+LT1
+.6241 g 2597 2898 M
 98 -137 V
 stroke
 LT0
-.262 g .6664 g 2566 2961 M
-12 -16 V
-stroke
-LT0
-.262 g .9841 g 5096 3864 M
+.9841 g 5096 3864 M
 -76 26 V
 stroke
-LT0
-.262 g .5983 g 4534 2805 M
+LT1
+.5983 g 4534 2805 M
 -75 -107 V
 stroke
-LT0
-.262 g .5877 g 4539 2813 M
--80 -115 V
-stroke
-LT0
-.262 g .6243 g 4633 2942 M
+LT1
+.6243 g 4633 2942 M
 4459 2698 L
 stroke
-LT0
-.262 g .6867 g 2537 3048 M
-5 -9 V
-stroke
-LT0
-.262 g .4317 g 3868 2324 M
+LT1
+.4317 g 3868 2324 M
 -76 -92 V
 stroke
-LT0
-.262 g .4121 g 3727 2256 M
+LT1
+.4121 g 3727 2256 M
 65 -24 V
 stroke
 LT0
-.262 g .6698 g 5723 3107 M
+.6698 g 5723 3107 M
 76 -280 V
 stroke
 LT0
-.262 g .6854 g 5701 3116 M
+.6854 g 5701 3116 M
 98 -289 V
 stroke
-LT0
-.262 g .6765 g 5703 3108 M
-96 -281 V
-stroke
-LT0
-.262 g .7945 g 5625 3336 M
-77 -224 V
-stroke
-LT0
-.262 g .4985 g 4239 2519 M
+LT1
+.4985 g 4239 2519 M
 -76 -111 V
 stroke
-LT0
-.262 g .4569 g 4065 2348 M
+LT1
+.4569 g 4065 2348 M
 98 60 V
 stroke
 LT0
-.262 g .7936 g 1575 3372 M
+.7936 g 1575 3372 M
 -76 -145 V
 stroke
 LT0
-.262 g .8042 g 1598 3475 M
+.8042 g 1598 3475 M
 -99 -248 V
 stroke
 LT0
-.262 g .9098 g 5520 3623 M
--76 94 V
-stroke
-LT0
-.262 g .9712 g 5322 3825 M
-4 -4 V
+.9873 g 1992 3880 M
+-76 -15 V
 stroke
 LT0
-.262 g .9386 g 5403 3753 M
-8 -7 V
+.9756 g 1912 3862 M
+4 3 V
 stroke
 LT0
-.262 g .9873 g 1992 3880 M
--76 -15 V
+.9659 g 1818 3799 M
+93 62 V
 stroke
 LT0
-.262 g .9664 g 1818 3799 M
-98 66 V
-stroke
-LT0
-.262 g .8812 g 5520 3623 M
+.8812 g 5520 3623 M
 34 -76 V
 stroke
-LT0
-.262 g .5521 g 2787 2642 M
+LT1
+.5521 g 2787 2642 M
 -16 18 V
 stroke
-LT0
-.262 g .5926 g 2673 2797 M
+LT1
+.5926 g 2673 2797 M
 98 -137 V
 stroke
 LT0
-.262 g .7916 g 2393 3354 M
+.7916 g 2393 3354 M
 27 -57 V
 stroke
 LT0
-.262 g .5667 g 5776 2827 M
+.5667 g 5776 2827 M
 76 -341 V
 stroke
 LT0
-.262 g .56 g 5753 2740 M
+.56 g 5753 2740 M
 99 -254 V
 stroke
 LT0
-.262 g .9369 g 1795 3750 M
--76 -71 V
+.9252 g 1758 3716 M
+-39 -37 V
+stroke
+LT0
+.9494 g 1795 3750 M
+-36 -34 V
 stroke
 LT0
-.262 g .9347 g 1818 3799 M
--99 -120 V
+.9193 g 1749 3715 M
+-30 -36 V
 stroke
 LT0
-.262 g .6652 g 4656 3002 M
--58 -95 V
+.9414 g 1818 3799 M
+-69 -84 V
 stroke
 LT0
-.262 g .9941 g 5270 3871 M
+.9941 g 5270 3871 M
 -76 40 V
 stroke
 LT0
-.262 g .9907 g 5096 3864 M
+.9907 g 5096 3864 M
 98 47 V
 stroke
 LT0
-.262 g .9017 g 4974 3624 M
+.9017 g 4974 3624 M
 -75 -12 V
 stroke
 LT0
-.262 g .9185 g 4997 3754 M
+.9185 g 4997 3754 M
 -98 -142 V
 stroke
 LT0
-.262 g .9752 g 1894 3845 M
+.9752 g 1894 3845 M
 -76 -46 V
 stroke
-LT0
-.262 g .4838 g 4140 2466 M
+LT1
+.4838 g 4140 2466 M
 -75 -118 V
 stroke
-LT0
-.262 g .4499 g 3966 2329 M
+LT1
+.4499 g 3966 2329 M
 99 19 V
 stroke
 LT0
-.262 g .9299 g 5421 3746 M
+.9299 g 5421 3746 M
 99 -123 V
 stroke
 LT0
-.262 g .8018 g 4853 3342 M
--63 -48 V
+.8019 g 4853 3342 M
+-63 -47 V
+stroke
+LT0
+.7801 g 4781 3292 M
+0 -1 V
 stroke
 LT0
-.262 g .8141 g 4876 3462 M
--95 -171 V
+.8144 g 4876 3462 M
+-94 -169 V
 stroke
 LT0
-.262 g .8334 g 2317 3521 M
+.8334 g 2317 3521 M
 76 -167 V
 stroke
 LT0
-.262 g .8294 g 2294 3445 M
+.8294 g 2294 3445 M
 99 -91 V
 stroke
 LT0
-.262 g .9771 g 2166 3805 M
+.9771 g 2166 3805 M
 -75 76 V
 stroke
 LT0
-.262 g .9928 g 1992 3880 M
+.9928 g 1992 3880 M
 99 1 V
 stroke
-LT0
-.262 g .6046 g 2748 2719 M
+LT1
+.6046 g 2748 2719 M
 11 -16 V
 stroke
 LT0
-.262 g .954 g 5073 3756 M
+.954 g 5073 3756 M
 -76 -2 V
 stroke
 LT0
-.262 g .9657 g 5096 3864 M
+.9657 g 5096 3864 M
 -99 -110 V
 stroke
 LT0
-.262 g .8901 g 2242 3662 M
+.8901 g 2242 3662 M
 75 -141 V
 stroke
 LT0
-.262 g .8869 g 2219 3591 M
+.8869 g 2219 3591 M
 98 -70 V
 stroke
 LT0
-.262 g .9899 g 5171 3850 M
+.9899 g 5171 3850 M
 -75 14 V
 stroke
 LT0
-.262 g .6946 g 4687 3055 M
--31 -53 V
-stroke
-LT0
-.262 g .7499 g 4754 3171 M
--4 -7 V
-stroke
-LT0
-.262 g .9412 g 2166 3805 M
+.9412 g 2166 3805 M
 76 -143 V
 stroke
 LT0
-.262 g .9355 g 2143 3723 M
+.9355 g 2143 3723 M
 99 -61 V
 stroke
 LT0
-.262 g .9764 g 2068 3821 M
+.9764 g 2068 3821 M
 98 -16 V
 stroke
 LT0
-.262 g .8653 g 4951 3502 M
+.8653 g 4951 3502 M
 -75 -40 V
 stroke
 LT0
-.262 g .8802 g 4974 3624 M
+.8802 g 4974 3624 M
 -98 -162 V
 stroke
-LT0
-.262 g .4854 g 4042 2442 M
+LT1
+.4854 g 4042 2442 M
 -76 -113 V
 stroke
-LT0
-.262 g .4561 g 3868 2324 M
+LT1
+.4561 g 3868 2324 M
 98 5 V
 stroke
 LT0
-.262 g .9885 g 5345 3821 M
+.9885 g 5345 3821 M
 -75 50 V
 stroke
 LT0
-.262 g .9933 g 5171 3850 M
+.9933 g 5171 3850 M
 99 21 V
 stroke
 LT0
-.262 g .4777 g 3758 2344 M
--5 -6 V
-stroke
-LT0
-.262 g .5468 g 5753 2740 M
+.5468 g 5753 2740 M
 76 -368 V
 stroke
 LT0
-.262 g .5328 g 5730 2622 M
+.5328 g 5730 2622 M
 99 -250 V
 stroke
 LT0
-.262 g .7774 g 1552 3275 M
+.7774 g 1552 3275 M
 -75 -136 V
 stroke
 LT0
-.262 g .7866 g 1575 3372 M
+.7866 g 1575 3372 M
 -98 -233 V
 stroke
 LT0
-.262 g .8882 g 1674 3579 M
+.8882 g 1674 3579 M
 -76 -104 V
 stroke
 LT0
-.262 g .8902 g 1696 3646 M
+.8902 g 1696 3646 M
 -98 -171 V
 stroke
 LT0
-.262 g .7678 g 5648 3313 M
+.7678 g 5648 3313 M
 75 -206 V
 stroke
 LT0
-.262 g .7867 g 5625 3336 M
+.7867 g 5625 3336 M
 98 -229 V
 stroke
 LT0
-.262 g .9921 g 2068 3821 M
+.9921 g 2068 3821 M
 -76 59 V
 stroke
 LT0
-.262 g .996 g 1894 3845 M
+.996 g 1894 3845 M
 98 35 V
 stroke
 LT0
-.262 g .7558 g 4768 3185 M
--14 -14 V
-stroke
-LT0
-.262 g .813 g 4853 3342 M
+.813 g 4853 3342 M
 -18 -31 V
 stroke
 LT0
-.262 g .927 g 5050 3655 M
+.927 g 5050 3655 M
 -76 -31 V
 stroke
 LT0
-.262 g .9372 g 5073 3756 M
+.9372 g 5073 3756 M
 -99 -132 V
 stroke
 LT0
-.262 g .9954 g 5247 3822 M
+.9954 g 5247 3822 M
 -76 28 V
 stroke
 LT0
-.262 g .9781 g 5073 3756 M
+.9781 g 5073 3756 M
 98 94 V
 stroke
 LT0
-.262 g .9744 g 5421 3746 M
+.9744 g 5421 3746 M
 -76 75 V
 stroke
 LT0
-.262 g .9905 g 5247 3822 M
+.9905 g 5247 3822 M
 98 -1 V
 stroke
-LT0
-.262 g .6252 g 4511 2814 M
+LT1
+.6252 g 4511 2814 M
 -75 -125 V
 stroke
-LT0
-.262 g .6097 g 4534 2805 M
+LT1
+.6097 g 4534 2805 M
 -98 -116 V
 stroke
-LT0
-.262 g .5711 g 4337 2590 M
+LT1
+.5711 g 4337 2590 M
 99 99 V
 stroke
 LT0
-.262 g .9728 g 5148 3769 M
+.9728 g 5148 3769 M
 -75 -13 V
 stroke
-LT0
-.262 g .5922 g 4413 2721 M
+LT1
+.5922 g 4413 2721 M
 -76 -131 V
 stroke
-LT0
-.262 g .5429 g 4239 2519 M
+LT1
+.5429 g 4239 2519 M
 98 71 V
 stroke
-LT0
-.262 g .6462 g 2673 2797 M
+LT1
+.6462 g 2673 2797 M
 -76 101 V
 stroke
-LT0
-.262 g .701 g 2498 3040 M
+LT1
+.701 g 2498 3040 M
 99 -142 V
 stroke
 LT0
-.262 g .992 g 1969 3805 M
+.992 g 1969 3805 M
 -75 40 V
 stroke
 LT0
-.262 g .9773 g 1795 3750 M
+.9773 g 1795 3750 M
 99 95 V
 stroke
-LT0
-.262 g .4972 g 3943 2447 M
+LT1
+.4972 g 3943 2447 M
 -75 -123 V
 stroke
-LT0
-.262 g .4743 g 3770 2357 M
+LT1
+.4743 g 3770 2357 M
 98 -33 V
 stroke
 LT0
-.262 g .9484 g 1772 3717 M
+.9484 g 1772 3717 M
 -76 -71 V
 stroke
 LT0
-.262 g .9426 g 1795 3750 M
--99 -104 V
+.9366 g 1763 3716 M
+-67 -70 V
+stroke
+LT0
+.9551 g 1795 3750 M
+-32 -34 V
 stroke
 LT0
-.262 g .9721 g 1871 3764 M
+.9721 g 1871 3764 M
 -76 -14 V
 stroke
 LT0
-.262 g .9708 g 2143 3723 M
+.9708 g 2143 3723 M
 -75 98 V
 stroke
 LT0
-.262 g .9882 g 1969 3805 M
+.9882 g 1969 3805 M
 99 16 V
 stroke
 LT0
-.262 g .8483 g 5572 3517 M
+.8483 g 5572 3517 M
 76 -204 V
 stroke
 LT0
-.262 g .8614 g 5549 3516 M
-99 -203 V
+.8356 g 5597 3417 M
+51 -104 V
 stroke
 LT0
-.262 g .8339 g 2294 3445 M
+.889 g 5549 3516 M
+48 -98 V
+stroke
+LT0
+.8339 g 2294 3445 M
 65 -125 V
 stroke
 LT0
-.262 g .841 g 2272 3400 M
-71 -73 V
+.8415 g 2272 3400 M
+69 -72 V
 stroke
 LT0
-.262 g .7348 g 1529 3124 M
+.7348 g 1529 3124 M
 -75 -133 V
 stroke
 LT0
-.262 g .7564 g 1552 3275 M
+.7564 g 1552 3275 M
 -98 -284 V
 stroke
-LT0
-.262 g .6667 g 4610 2925 M
+LT1
+.6667 g 4610 2925 M
 -76 -120 V
 stroke
-LT0
-.262 g .657 g 4633 2942 M
+LT1
+.657 g 4633 2942 M
 -99 -137 V
 stroke
 LT0
-.262 g .6988 g 5701 3116 M
+.6988 g 5701 3116 M
 75 -289 V
 stroke
 LT0
-.262 g .691 g 5678 3025 M
+.691 g 5678 3025 M
 98 -198 V
 stroke
 LT0
-.262 g .8416 g 4928 3405 M
+.8416 g 4928 3405 M
 -75 -63 V
 stroke
 LT0
-.262 g .8508 g 4951 3502 M
+.8508 g 4951 3502 M
 -98 -160 V
 stroke
 LT0
-.262 g .8828 g 2219 3591 M
+.8828 g 2219 3591 M
 75 -146 V
 stroke
 LT0
-.262 g .8821 g 2196 3530 M
+.8821 g 2196 3530 M
 98 -85 V
 stroke
-LT0
-.262 g .57 g 4314 2648 M
+LT1
+.57 g 4314 2648 M
 -75 -129 V
 stroke
-LT0
-.262 g .5254 g 4140 2466 M
+LT1
+.5254 g 4140 2466 M
 99 53 V
 stroke
-LT0
-.262 g .6197 g 2748 2719 M
+LT1
+.6197 g 2748 2719 M
 -75 78 V
 stroke
-LT0
-.262 g .6718 g 2574 2949 M
+LT1
+.6718 g 2574 2949 M
 99 -152 V
 stroke
 LT0
-.262 g .9323 g 2143 3723 M
+.9323 g 2143 3723 M
 76 -132 V
 stroke
 LT0
-.262 g .9298 g 2120 3654 M
+.9298 g 2120 3654 M
 99 -63 V
 stroke
 LT0
-.262 g .9693 g 2045 3757 M
+.9693 g 2045 3757 M
 98 -34 V
 stroke
 LT0
-.262 g .9478 g 5497 3642 M
+.9478 g 5497 3642 M
 -76 104 V
 stroke
 LT0
-.262 g .9805 g 5323 3790 M
+.9805 g 5323 3790 M
 98 -44 V
 stroke
-LT0
-.262 g .9894 g 5247 3822 M
-78 -34 V
-stroke
-LT0
-.262 g .716 g 4708 3051 M
+LT1
+.716 g 4708 3051 M
 -75 -109 V
 stroke
 LT0
-.262 g .7116 g 4716 3061 M
--83 -119 V
-stroke
-LT0
-.262 g .866 g 1651 3472 M
+.866 g 1651 3472 M
 -76 -100 V
 stroke
 LT0
-.262 g .8776 g 1674 3579 M
+.8776 g 1674 3579 M
 -99 -207 V
 stroke
-LT0
-.262 g .5583 g 4216 2601 M
+LT1
+.5583 g 4216 2601 M
 -76 -135 V
 stroke
-LT0
-.262 g .5192 g 4042 2442 M
+LT1
+.5192 g 4042 2442 M
 98 24 V
 stroke
 LT0
-.262 g .9098 g 5572 3517 M
+.9098 g 5572 3517 M
 -75 125 V
 stroke
 LT0
-.262 g .9582 g 5398 3732 M
+.9582 g 5398 3732 M
 99 -90 V
 stroke
 LT0
-.262 g .9012 g 5027 3550 M
+.9012 g 5027 3550 M
 -76 -48 V
 stroke
 LT0
-.262 g .9121 g 5050 3655 M
+.9121 g 5050 3655 M
 -99 -153 V
 stroke
 LT0
-.262 g .9233 g 5474 3642 M
+.9233 g 5474 3642 M
 98 -125 V
 stroke
-LT0
-.262 g .6087 g 2754 2715 M
+LT1
+.6087 g 2754 2715 M
 -6 4 V
 stroke
-LT0
-.262 g .6507 g 2650 2872 M
+LT1
+.6507 g 2650 2872 M
 98 -153 V
 stroke
 LT0
-.262 g .9868 g 2045 3757 M
+.9868 g 2045 3757 M
 -76 48 V
 stroke
 LT0
-.262 g .9868 g 1871 3764 M
+.9868 g 1871 3764 M
 98 41 V
 stroke
 LT0
-.262 g .9967 g 5323 3790 M
+.9967 g 5323 3790 M
 -76 32 V
 stroke
 LT0
-.262 g .99 g 5148 3769 M
+.99 g 5148 3769 M
 99 53 V
 stroke
 LT0
-.262 g .9534 g 5125 3671 M
+.9534 g 5125 3671 M
 -75 -16 V
 stroke
 LT0
-.262 g .9626 g 5148 3769 M
+.9626 g 5148 3769 M
 -98 -114 V
 stroke
-LT0
-.262 g .5243 g 3845 2475 M
+LT1
+.5243 g 3845 2475 M
 -73 -114 V
 stroke
 LT0
-.262 g .6098 g 2975 2623 M
-1 -1 V
-stroke
-LT0
-.262 g .9869 g 5224 3751 M
+.9869 g 5224 3751 M
 -76 18 V
 stroke
-LT0
-.262 g .5588 g 4117 2578 M
+LT1
+.5588 g 4117 2578 M
 -75 -136 V
 stroke
-LT0
-.262 g .5264 g 3943 2447 M
+LT1
+.5264 g 3943 2447 M
 99 -5 V
 stroke
 LT0
-.262 g .9832 g 1946 3732 M
+.9832 g 1946 3732 M
 -75 32 V
 stroke
 LT0
-.262 g .9779 g 1772 3717 M
+.9779 g 1772 3717 M
 99 47 V
 stroke
 LT0
-.262 g .8486 g 4928 3405 M
+.8486 g 4928 3405 M
 -48 -78 V
 stroke
 LT0
-.262 g .6842 g 5678 3025 M
+.6842 g 5678 3025 M
 75 -285 V
 stroke
 LT0
-.262 g .6826 g 5655 2960 M
+.6826 g 5655 2960 M
 98 -220 V
 stroke
 LT0
-.262 g .9445 g 1749 3651 M
+.9445 g 1749 3651 M
 -75 -72 V
 stroke
 LT0
-.262 g .9464 g 1772 3717 M
+.9464 g 1772 3717 M
 -98 -138 V
 stroke
 LT0
-.262 g .9563 g 1763 3654 M
--2 -2 V
-stroke
-LT0
-.262 g .8023 g 5625 3336 M
+.8023 g 5625 3336 M
 76 -220 V
 stroke
 LT0
-.262 g .8055 g 5602 3292 M
+.8055 g 5602 3292 M
 99 -176 V
 stroke
 LT0
-.262 g .9667 g 2120 3654 M
+.9667 g 2120 3654 M
 -75 103 V
 stroke
 LT0
-.262 g .9831 g 1946 3732 M
+.9831 g 1946 3732 M
 99 25 V
 stroke
 LT0
-.262 g .9909 g 5398 3732 M
+.9909 g 5398 3732 M
 -75 58 V
 stroke
 LT0
-.262 g .9935 g 5224 3751 M
+.9935 g 5224 3751 M
 99 39 V
 stroke
 LT0
-.262 g .8478 g 1628 3375 M
+.8478 g 1628 3375 M
 -76 -100 V
 stroke
 LT0
-.262 g .8569 g 1651 3472 M
+.8569 g 1651 3472 M
 -99 -197 V
 stroke
 LT0
-.262 g .929 g 2196 3530 M
+.929 g 2196 3530 M
 -76 124 V
 stroke
 LT0
-.262 g .9625 g 2022 3681 M
+.9625 g 2022 3681 M
 98 -27 V
 stroke
 LT0
-.262 g .9821 g 1848 3725 M
+.9821 g 1848 3725 M
 -76 -8 V
 stroke
 LT0
-.262 g .9751 g 1851 3724 M
--79 -7 V
-stroke
-LT0
-.262 g .8849 g 2272 3400 M
+.8849 g 2272 3400 M
 -76 130 V
 stroke
 LT0
-.262 g .9314 g 2097 3606 M
+.9314 g 2097 3606 M
 99 -76 V
 stroke
 LT0
-.262 g .8858 g 5004 3465 M
+.8858 g 5004 3465 M
 -76 -60 V
 stroke
 LT0
-.262 g .8921 g 5027 3550 M
+.8921 g 5027 3550 M
 -99 -145 V
 stroke
 LT0
-.262 g .8528 g 2305 3344 M
+.8528 g 2305 3344 M
 -33 56 V
 stroke
 LT0
-.262 g .8881 g 2173 3485 M
+.8881 g 2173 3485 M
 99 -85 V
 stroke
 LT0
-.262 g .8761 g 2249 3388 M
+.8761 g 2249 3388 M
 23 -27 V
 stroke
-LT0
-.262 g .8532 g 2295 3335 M
-1 -2 V
-stroke
-LT0
-.262 g .5586 g 3407 2472 M
-7 -7 V
-stroke
-LT0
-.262 g .7266 g 2574 2949 M
+LT1
+.7266 g 2574 2949 M
 -76 91 V
 stroke
-LT0
-.262 g .7707 g 2426 3153 M
+LT1
+.7707 g 2426 3153 M
 72 -113 V
 stroke
-LT0
-.262 g .7699 g 2402 3172 M
+LT1
+.7699 g 2402 3172 M
 96 -132 V
 stroke
 LT0
-.262 g .979 g 2022 3681 M
+.979 g 2022 3681 M
 -76 51 V
 stroke
 LT0
-.262 g .9874 g 1848 3725 M
+.9874 g 1848 3725 M
 98 7 V
 stroke
-LT0
-.262 g .7022 g 4587 2953 M
+LT1
+.7022 g 4587 2953 M
 -76 -139 V
 stroke
-LT0
-.262 g .6823 g 4610 2925 M
+LT1
+.6823 g 4610 2925 M
 -99 -111 V
 stroke
-LT0
-.262 g .6463 g 4413 2721 M
+LT1
+.6463 g 4413 2721 M
 98 93 V
 stroke
 LT0
-.262 g .9936 g 5300 3732 M
+.9936 g 5300 3732 M
 -76 19 V
 stroke
 LT0
-.262 g .9776 g 5125 3671 M
+.9776 g 5125 3671 M
 99 80 V
 stroke
 LT0
-.262 g .9376 g 5103 3593 M
+.9376 g 5103 3593 M
 -76 -43 V
 stroke
 LT0
-.262 g .9425 g 5125 3671 M
+.9425 g 5125 3671 M
 -98 -121 V
 stroke
-LT0
-.262 g .5711 g 4019 2575 M
+LT1
+.5711 g 4019 2575 M
 -76 -128 V
 stroke
-LT0
-.262 g .5458 g 3845 2475 M
+LT1
+.5458 g 3845 2475 M
 98 -28 V
 stroke
-LT0
-.262 g .6714 g 4488 2864 M
+LT1
+.6714 g 4488 2864 M
 -75 -143 V
 stroke
-LT0
-.262 g .6193 g 4314 2648 M
+LT1
+.6193 g 4314 2648 M
 99 73 V
 stroke
 LT0
-.262 g .8803 g 5549 3516 M
+.8803 g 5549 3516 M
 76 -180 V
 stroke
 LT0
-.262 g .8858 g 5526 3481 M
+.8858 g 5526 3481 M
 99 -145 V
 stroke
-LT0
-.262 g .7398 g 4686 3053 M
+LT1
+.7398 g 4686 3053 M
 -76 -128 V
 stroke
-LT0
-.262 g .7257 g 4708 3051 M
+LT1
+.7257 g 4708 3051 M
 -98 -126 V
 stroke
 LT0
-.262 g .9717 g 5474 3642 M
+.9717 g 5474 3642 M
 -76 90 V
 stroke
 LT0
-.262 g .9909 g 5300 3732 M
+.9909 g 5300 3732 M
 98 0 V
 stroke
 LT0
-.262 g .6686 g 5655 2960 M
+.6686 g 5655 2960 M
 75 -338 V
 stroke
 LT0
-.262 g .6464 g 5632 2807 M
+.6464 g 5632 2807 M
 98 -185 V
 stroke
 LT0
-.262 g .9757 g 5201 3685 M
+.9757 g 5201 3685 M
 -76 -14 V
 stroke
 LT0
-.262 g .8105 g 1605 3250 M
+.8105 g 1605 3250 M
 -76 -126 V
 stroke
 LT0
-.262 g .8262 g 1628 3375 M
+.8262 g 1628 3375 M
 -99 -251 V
 stroke
-LT0
-.262 g .7027 g 2650 2872 M
+LT1
+.7027 g 2650 2872 M
 -76 77 V
 stroke
-LT0
-.262 g .7545 g 2475 3102 M
+LT1
+.7545 g 2475 3102 M
 99 -153 V
 stroke
-LT0
-.262 g .6502 g 4390 2796 M
+LT1
+.6502 g 4390 2796 M
 -76 -148 V
 stroke
-LT0
-.262 g .6028 g 4216 2601 M
+LT1
+.6028 g 4216 2601 M
 98 47 V
 stroke
-LT0
-.262 g .7841 g 4784 3168 M
+LT1
+.7841 g 4784 3168 M
 -76 -117 V
 stroke
-LT0
-.262 g .7894 g 4832 3218 M
+LT1
+.7894 g 4832 3218 M
 4708 3051 L
 stroke
 LT0
-.262 g .9273 g 1726 3569 M
+.9273 g 1726 3569 M
 -75 -97 V
 stroke
 LT0
-.262 g .933 g 1749 3651 M
--98 -179 V
+.9147 g 1699 3560 M
+-48 -88 V
 stroke
 LT0
-.262 g .9365 g 5549 3516 M
--75 126 V
+.9507 g 1749 3651 M
+-50 -91 V
 stroke
 LT0
-.262 g .9725 g 5375 3678 M
-99 -36 V
+.9367 g 5548 3517 M
+-74 125 V
 stroke
 LT0
-.262 g .9419 g 5451 3608 M
-98 -92 V
+.9724 g 5376 3677 M
+98 -35 V
 stroke
 LT0
-.262 g .9507 g 5375 3678 M
-174 -162 V
+.9419 g 5451 3608 M
+98 -92 V
 stroke
 LT0
-.262 g .7976 g 5602 3292 M
+.7976 g 5602 3292 M
 76 -267 V
 stroke
 LT0
-.262 g .7962 g 5579 3227 M
+.7962 g 5579 3227 M
 99 -202 V
 stroke
 LT0
-.262 g .9649 g 2097 3606 M
+.9649 g 2097 3606 M
 -75 75 V
 stroke
 LT0
-.262 g .9817 g 1923 3686 M
+.9817 g 1923 3686 M
 99 -5 V
 stroke
-LT0
-.262 g .6911 g 2668 2859 M
+LT1
+.6911 g 2668 2859 M
 -18 13 V
 stroke
-LT0
-.262 g .7345 g 2551 3028 M
+LT1
+.7345 g 2551 3028 M
 99 -156 V
 stroke
-LT0
-.262 g .6402 g 4291 2750 M
+LT1
+.6402 g 4291 2750 M
 -75 -149 V
 stroke
-LT0
-.262 g .5979 g 4117 2578 M
+LT1
+.5979 g 4117 2578 M
 99 23 V
 stroke
 LT0
-.262 g .9902 g 1923 3686 M
+.9902 g 1923 3686 M
 -75 39 V
 stroke
 LT0
-.262 g .9803 g 1749 3651 M
+.9803 g 1749 3651 M
 99 74 V
 stroke
 LT0
-.262 g .9918 g 5375 3678 M
+.9918 g 5375 3678 M
 -75 54 V
 stroke
 LT0
-.262 g .9916 g 5201 3685 M
+.9916 g 5201 3685 M
 99 47 V
 stroke
 LT0
-.262 g .9774 g 1825 3655 M
+.9774 g 1825 3655 M
 -76 -4 V
 stroke
 LT0
-.262 g .8925 g 4981 3415 M
--53 -56 V
+.8934 g 4981 3415 M
+-50 -54 V
 stroke
 LT0
-.262 g .886 g 5004 3465 M
--86 -114 V
+.8653 g 4921 3356 M
+-3 -5 V
 stroke
 LT0
-.262 g .6101 g 2976 2623 M
--1 0 V
+.887 g 5004 3465 M
+-82 -108 V
 stroke
-LT0
-.262 g .5966 g 3920 2606 M
+LT1
+.5966 g 3920 2606 M
 -75 -131 V
 stroke
-LT0
-.262 g .5603 g 3831 2480 M
+LT1
+.5603 g 3831 2480 M
 14 -5 V
 stroke
 LT0
-.262 g .9345 g 2173 3485 M
+.9345 g 2173 3485 M
 -76 121 V
 stroke
 LT0
-.262 g .965 g 1999 3623 M
+.965 g 1999 3623 M
 98 -17 V
 stroke
 LT0
-.262 g .8987 g 2249 3388 M
--76 97 V
+.9003 g 2241 3398 M
+-68 87 V
+stroke
+LT0
+.8851 g 2249 3388 M
+-8 9 V
 stroke
 LT0
-.262 g .9372 g 2075 3560 M
+.9372 g 2075 3560 M
 98 -75 V
 stroke
 LT0
-.262 g .9292 g 5080 3526 M
+.9292 g 5080 3526 M
 -76 -61 V
 stroke
 LT0
-.262 g .9313 g 5103 3593 M
+.9313 g 5103 3593 M
 -99 -128 V
 stroke
-LT0
-.262 g .6404 g 4193 2725 M
+LT1
+.6404 g 4193 2725 M
 -76 -147 V
 stroke
-LT0
-.262 g .6034 g 4019 2575 M
+LT1
+.6034 g 4019 2575 M
 98 3 V
 stroke
 LT0
-.262 g .9923 g 5277 3677 M
+.9923 g 5277 3677 M
 -76 8 V
 stroke
 LT0
-.262 g .9708 g 5103 3593 M
+.9708 g 5103 3593 M
 98 92 V
 stroke
 LT0
-.262 g .9026 g 1703 3444 M
+.9026 g 1703 3444 M
 -75 -69 V
 stroke
 LT0
-.262 g .9182 g 1726 3569 M
+.9182 g 1726 3569 M
 -98 -194 V
 stroke
 LT0
-.262 g .9683 g 5178 3616 M
+.9683 g 5178 3616 M
 -75 -23 V
 stroke
 LT0
-.262 g .8807 g 2261 3370 M
+.8807 g 2261 3370 M
 -12 18 V
 stroke
 LT0
-.262 g .9111 g 2150 3480 M
-99 -92 V
+.8874 g 2235 3401 M
+14 -13 V
+stroke
+LT0
+.9152 g 2150 3480 M
+84 -79 V
 stroke
 LT0
-.262 g .9818 g 1999 3623 M
+.9818 g 1999 3623 M
 -76 63 V
 stroke
 LT0
-.262 g .9874 g 1825 3655 M
+.9874 g 1825 3655 M
 98 31 V
 stroke
 LT0
-.262 g .978 g 5451 3608 M
+.978 g 5451 3608 M
 -76 70 V
 stroke
 LT0
-.262 g .9925 g 5277 3677 M
+.9925 g 5277 3677 M
 98 1 V
 stroke
 LT0
-.262 g .8889 g 5526 3481 M
+.8889 g 5526 3481 M
 76 -189 V
 stroke
 LT0
-.262 g .8886 g 5504 3422 M
+.8886 g 5504 3422 M
 98 -130 V
 stroke
 LT0
-.262 g .7945 g 5579 3227 M
+.7945 g 5579 3227 M
 76 -267 V
 stroke
 LT0
-.262 g .7833 g 5556 3122 M
+.7833 g 5556 3122 M
 99 -162 V
 stroke
 LT0
-.262 g .9474 g 5526 3481 M
+.9474 g 5526 3481 M
 -75 127 V
 stroke
 LT0
-.262 g .9792 g 5352 3625 M
+.9792 g 5352 3625 M
 99 -17 V
 stroke
 LT0
-.262 g .9677 g 2075 3560 M
+.9677 g 2075 3560 M
 -76 63 V
 stroke
 LT0
-.262 g .9807 g 1900 3624 M
+.9807 g 1900 3624 M
 99 -1 V
 stroke
 LT0
-.262 g .9863 g 1900 3624 M
+.9863 g 1900 3624 M
 -75 31 V
 stroke
 LT0
-.262 g .9717 g 1726 3569 M
-99 86 V
+.972 g 1728 3570 M
+97 85 V
 stroke
 LT0
-.262 g .95 g 5428 3561 M
+.95 g 5428 3561 M
 98 -80 V
 stroke
-LT0
-.262 g .6505 g 4094 2721 M
+LT1
+.6505 g 4094 2721 M
 -75 -146 V
 stroke
-LT0
-.262 g .6219 g 3920 2606 M
+LT1
+.6219 g 3920 2606 M
 99 -31 V
 stroke
 LT0
-.262 g .9708 g 1802 3593 M
+.9708 g 1802 3593 M
 -76 -24 V
 stroke
-LT0
-.262 g .9638 g 1801 3592 M
--75 -23 V
-stroke
-LT0
-.262 g .9783 g 1900 3624 M
--99 -32 V
-stroke
-LT0
-.262 g .8131 g 4761 3174 M
+LT1
+.8131 g 4761 3174 M
 -75 -121 V
 stroke
-LT0
-.262 g .7982 g 4784 3168 M
+LT1
+.7982 g 4784 3168 M
 -98 -115 V
 stroke
-LT0
-.262 g .7597 g 4587 2953 M
+LT1
+.7597 g 4587 2953 M
 99 100 V
 stroke
-LT0
-.262 g .7806 g 4663 3085 M
+LT1
+.7806 g 4663 3085 M
 -76 -132 V
 stroke
-LT0
-.262 g .7272 g 4488 2864 M
+LT1
+.7272 g 4488 2864 M
 99 89 V
 stroke
 LT0
-.262 g .8702 g 1680 3315 M
+.8702 g 1680 3315 M
 -75 -65 V
 stroke
 LT0
-.262 g .8869 g 1703 3444 M
+.8869 g 1703 3444 M
 -98 -194 V
 stroke
-LT0
-.262 g .7535 g 4564 3008 M
+LT1
+.7535 g 4564 3008 M
 -76 -144 V
 stroke
-LT0
-.262 g .7022 g 4390 2796 M
+LT1
+.7022 g 4390 2796 M
 98 68 V
 stroke
-LT0
-.262 g .8336 g 4817 3215 M
+LT1
+.8336 g 4817 3215 M
 -33 -47 V
 stroke
-LT0
-.262 g .8309 g 4825 3217 M
+LT1
+.8309 g 4825 3217 M
 -41 -49 V
 stroke
-LT0
-.262 g .7862 g 2551 3028 M
+LT1
+.7862 g 2551 3028 M
 -76 74 V
 stroke
-LT0
-.262 g .8044 g 2453 3132 M
+LT1
+.8044 g 2453 3132 M
 22 -30 V
 stroke
-LT0
-.262 g .804 g 2445 3138 M
+LT1
+.804 g 2445 3138 M
 30 -36 V
 stroke
 LT0
-.262 g .9937 g 5352 3625 M
+.9937 g 5352 3625 M
 -75 52 V
 stroke
 LT0
-.262 g .9898 g 5178 3616 M
+.9898 g 5178 3616 M
 99 61 V
 stroke
 LT0
-.262 g .9043 g 4981 3415 M
+.9043 g 4981 3415 M
 -27 -36 V
 stroke
 LT0
-.262 g .7612 g 5556 3122 M
+.7612 g 5556 3122 M
 76 -315 V
 stroke
 LT0
-.262 g .7377 g 5533 2963 M
+.7377 g 5533 2963 M
 99 -156 V
 stroke
-LT0
-.262 g .7344 g 4466 2944 M
+LT1
+.7344 g 4466 2944 M
 -76 -148 V
 stroke
-LT0
-.262 g .6875 g 4291 2750 M
+LT1
+.6875 g 4291 2750 M
 99 46 V
 stroke
 LT0
-.262 g .9496 g 2150 3480 M
+.9496 g 2150 3480 M
 -75 80 V
 stroke
 LT0
-.262 g .972 g 1976 3584 M
+.972 g 1976 3584 M
 99 -24 V
 stroke
 LT0
-.262 g .9329 g 5057 3476 M
--76 -61 V
+.9326 g 5056 3475 M
+-75 -60 V
 stroke
 LT0
-.262 g .9309 g 5080 3526 M
--99 -111 V
+.9191 g 5022 3460 M
+-41 -45 V
 stroke
 LT0
-.262 g .9405 g 5060 3478 M
--7 -6 V
+.9394 g 5080 3526 M
+-57 -64 V
 stroke
 LT0
-.262 g .9247 g 5051 3471 M
--70 -56 V
-stroke
-LT0
-.262 g .9886 g 5254 3614 M
+.9886 g 5254 3614 M
 -76 2 V
 stroke
 LT0
-.262 g .9661 g 5080 3526 M
+.9661 g 5080 3526 M
 98 90 V
 stroke
 LT0
-.262 g .9651 g 5155 3554 M
+.9651 g 5155 3554 M
 -75 -28 V
 stroke
-LT0
-.262 g .7742 g 2590 3000 M
+LT1
+.7742 g 2590 3000 M
 -39 28 V
 stroke
-LT0
-.262 g .7948 g 2506 3094 M
+LT1
+.7948 g 2506 3094 M
 45 -66 V
 stroke
 LT0
-.262 g .985 g 1976 3584 M
+.985 g 1976 3584 M
 -76 40 V
 stroke
 LT0
-.262 g .9854 g 1802 3593 M
+.9854 g 1802 3593 M
 98 31 V
 stroke
 LT0
-.262 g .8871 g 5504 3422 M
+.8871 g 5504 3422 M
 75 -195 V
 stroke
 LT0
-.262 g .8777 g 5481 3324 M
+.8777 g 5481 3324 M
 98 -97 V
 stroke
-LT0
-.262 g .7251 g 4367 2899 M
+LT1
+.7251 g 4367 2899 M
 -76 -149 V
 stroke
-LT0
-.262 g .6827 g 4193 2725 M
+LT1
+.6827 g 4193 2725 M
 98 25 V
 stroke
 LT0
-.262 g .9818 g 5428 3561 M
+.9818 g 5428 3561 M
 -76 64 V
 stroke
 LT0
-.262 g .9925 g 5254 3614 M
+.9925 g 5254 3614 M
 98 11 V
 stroke
 LT0
-.262 g .9298 g 2197 3423 M
+.9298 g 2197 3423 M
 -47 57 V
 stroke
 LT0
-.262 g .9557 g 2052 3528 M
+.9557 g 2052 3528 M
 98 -48 V
 stroke
 LT0
-.262 g .9423 g 1779 3480 M
+.9423 g 1779 3480 M
 -76 -36 V
 stroke
 LT0
-.262 g .9552 g 1802 3593 M
+.9552 g 1802 3593 M
 -99 -149 V
 stroke
-LT0
-.262 g .674 g 3996 2740 M
+LT1
+.674 g 3996 2740 M
 -76 -134 V
 stroke
-LT0
-.262 g .6369 g 3907 2610 M
+LT1
+.6369 g 3907 2610 M
 13 -4 V
 stroke
 LT0
-.262 g .9912 g 1877 3590 M
+.9912 g 1877 3590 M
 -75 3 V
 stroke
 LT0
-.262 g .9838 g 1882 3589 M
--6 0 V
-stroke
-LT0
-.262 g .9497 g 5428 3561 M
+.9497 g 5428 3561 M
 76 -139 V
 stroke
 LT0
-.262 g .9464 g 5405 3489 M
+.9464 g 5405 3489 M
 99 -67 V
 stroke
 LT0
-.262 g .9848 g 5329 3580 M
+.9848 g 5329 3580 M
 99 -19 V
 stroke
-LT0
-.262 g .7253 g 4268 2875 M
+LT1
+.7253 g 4268 2875 M
 -75 -150 V
 stroke
-LT0
-.262 g .6875 g 4094 2721 M
+LT1
+.6875 g 4094 2721 M
 99 4 V
 stroke
 LT0
-.262 g .9781 g 2052 3528 M
+.9781 g 2052 3528 M
 -76 56 V
 stroke
 LT0
-.262 g .9908 g 1877 3590 M
+.9908 g 1877 3590 M
 99 -6 V
 stroke
 LT0
-.262 g .9955 g 5329 3580 M
+.9955 g 5329 3580 M
 -75 34 V
 stroke
 LT0
-.262 g .9876 g 5155 3554 M
+.9876 g 5155 3554 M
 99 60 V
 stroke
 LT0
-.262 g .9204 g 2230 3380 M
-1 -2 V
-stroke
-LT0
-.262 g .9107 g 1756 3358 M
+.9107 g 1756 3358 M
 -76 -43 V
 stroke
 LT0
-.262 g .9257 g 1779 3480 M
+.9257 g 1779 3480 M
 -99 -165 V
 stroke
 LT0
-.262 g .8665 g 5481 3324 M
+.8665 g 5481 3324 M
 75 -202 V
 stroke
 LT0
-.262 g .8576 g 5458 3228 M
+.8576 g 5458 3228 M
 98 -106 V
 stroke
 LT0
-.262 g .9868 g 5231 3553 M
+.9868 g 5231 3553 M
 -76 1 V
 stroke
 LT0
-.262 g .9671 g 5057 3476 M
+.9671 g 5057 3476 M
 98 78 V
 stroke
 LT0
-.262 g .9695 g 2127 3482 M
+.9695 g 2127 3482 M
 -75 46 V
 stroke
 LT0
-.262 g .9833 g 1953 3548 M
+.9833 g 1953 3548 M
 99 -20 V
 stroke
-LT0
-.262 g .8595 g 4784 3209 M
+LT1
+.8595 g 4784 3209 M
 -23 -35 V
 stroke
-LT0
-.262 g .8556 g 4798 3212 M
+LT1
+.8556 g 4798 3212 M
 -37 -38 V
 stroke
-LT0
-.262 g .834 g 4663 3085 M
+LT1
+.834 g 4663 3085 M
 98 89 V
 stroke
 LT0
-.262 g .7454 g 2912 2846 M
-2 -3 V
+.9379 g 5023 3442 M
+-27 -28 V
 stroke
 LT0
-.262 g .944 g 5057 3476 M
--61 -62 V
+.9488 g 5056 3476 M
+-33 -34 V
 stroke
 LT0
-.262 g .9703 g 5132 3510 M
+.9703 g 5132 3510 M
 -75 -34 V
 stroke
-LT0
-.262 g .8517 g 4729 3196 M
+LT1
+.8517 g 4729 3196 M
 -66 -111 V
 stroke
-LT0
-.262 g .8069 g 4564 3008 M
+LT1
+.8069 g 4564 3008 M
 99 77 V
 stroke
-LT0
-.262 g .7344 g 4170 2868 M
+LT1
+.7344 g 4170 2868 M
 -76 -147 V
 stroke
-LT0
-.262 g .7027 g 3996 2740 M
+LT1
+.7027 g 3996 2740 M
 98 -19 V
 stroke
 LT0
-.262 g .9718 g 1855 3505 M
+.9718 g 1855 3505 M
 -76 -25 V
 stroke
 LT0
-.262 g .9783 g 1877 3590 M
+.9783 g 1877 3590 M
 -98 -110 V
 stroke
 LT0
-.262 g .996 g 1953 3548 M
+.996 g 1953 3548 M
 -76 42 V
 stroke
 LT0
-.262 g .9815 g 5405 3489 M
+.9815 g 5405 3489 M
 -76 91 V
 stroke
 LT0
-.262 g .9948 g 5231 3553 M
-98 27 V
+.9948 g 5234 3554 M
+95 26 V
 stroke
-LT0
-.262 g .8324 g 4640 3136 M
+LT1
+.8324 g 4640 3136 M
 -76 -128 V
 stroke
-LT0
-.262 g .7857 g 4466 2944 M
+LT1
+.7857 g 4466 2944 M
 98 64 V
 stroke
 LT0
-.262 g .937 g 5405 3489 M
+.937 g 5405 3489 M
 76 -165 V
 stroke
 LT0
-.262 g .9304 g 5382 3403 M
+.9304 g 5382 3403 M
 99 -79 V
 stroke
 LT0
-.262 g .8342 g 5458 3228 M
+.8342 g 5458 3228 M
 75 -265 V
 stroke
 LT0
-.262 g .8138 g 5435 3083 M
+.8138 g 5435 3083 M
 98 -120 V
 stroke
-LT0
-.262 g .816 g 4541 3080 M
+LT1
+.816 g 4541 3080 M
 -75 -136 V
 stroke
-LT0
-.262 g .772 g 4367 2899 M
+LT1
+.772 g 4367 2899 M
 99 45 V
 stroke
 LT0
-.262 g .9782 g 5306 3508 M
+.9782 g 5306 3508 M
 99 -19 V
 stroke
 LT0
-.262 g .9589 g 2203 3418 M
+.9589 g 2203 3418 M
 -76 64 V
 stroke
 LT0
-.262 g .9781 g 2029 3507 M
+.9781 g 2029 3507 M
 98 -25 V
 stroke
 LT0
-.262 g .0828 g 3367 1095 M
+.0828 g 3367 1095 M
 3268 716 L
 stroke
 LT0
-.262 g .0838 g 3192 1107 M
+.0838 g 3192 1107 M
 76 -391 V
 stroke
 LT0
-.262 g .9914 g 5306 3508 M
+.9914 g 5306 3508 M
 -75 45 V
 stroke
 LT0
-.262 g .99 g 5132 3510 M
+.99 g 5132 3510 M
 99 43 V
 stroke
 LT0
-.262 g .794 g 2853 2935 M
--6 0 V
-stroke
-LT0
-.262 g .9918 g 2029 3507 M
+.9918 g 2029 3507 M
 -76 41 V
 stroke
 LT0
-.262 g .9895 g 1855 3505 M
+.9895 g 1855 3505 M
 98 43 V
 stroke
-LT0
-.262 g .8074 g 4443 3038 M
+LT1
+.8074 g 4443 3038 M
 -76 -139 V
 stroke
-LT0
-.262 g .7677 g 4268 2875 M
+LT1
+.7677 g 4268 2875 M
 99 24 V
 stroke
 LT0
-.262 g .9384 g 1832 3368 M
+.9384 g 1832 3368 M
 -76 -10 V
 stroke
 LT0
-.262 g .9568 g 1855 3505 M
+.9568 g 1855 3505 M
 -99 -147 V
 stroke
-LT0
-.262 g .7696 g 4051 2841 M
--4 -6 V
-stroke
-LT0
-.262 g .7186 g 4006 2759 M
+LT1
+.7186 g 4006 2759 M
 -10 -19 V
 stroke
-LT0
-.262 g .7133 g 3994 2740 M
+LT1
+.7133 g 3994 2740 M
 2 0 V
 stroke
 LT0
-.262 g .9455 g 2270 3362 M
--67 56 V
+.9459 g 2265 3366 M
+-62 52 V
+stroke
+LT0
+.9398 g 2270 3362 M
+-4 4 V
 stroke
 LT0
-.262 g .9696 g 2104 3470 M
+.9696 g 2104 3470 M
 99 -52 V
 stroke
 LT0
-.262 g .992 g 5208 3504 M
+.992 g 5208 3504 M
 -76 6 V
 stroke
 LT0
-.262 g .9765 g 5034 3445 M
+.9765 g 5034 3445 M
 98 65 V
 stroke
 LT0
-.262 g .7588 g 3782 2796 M
--2 -2 V
-stroke
-LT0
-.262 g .9898 g 1930 3492 M
+.9898 g 1930 3492 M
 -75 13 V
 stroke
 LT0
-.262 g .9215 g 5382 3403 M
+.9215 g 5382 3403 M
 76 -175 V
 stroke
 LT0
-.262 g .9116 g 5359 3302 M
+.9116 g 5359 3302 M
 99 -74 V
 stroke
 LT0
-.262 g .9716 g 5382 3403 M
+.9716 g 5382 3403 M
 -76 105 V
 stroke
 LT0
-.262 g .9934 g 5208 3504 M
+.9934 g 5208 3504 M
 98 4 V
 stroke
 LT0
-.262 g .9803 g 5109 3468 M
+.9803 g 5109 3468 M
 -75 -23 V
 stroke
 LT0
-.262 g .9543 g 4935 3364 M
+.9543 g 4935 3364 M
 99 81 V
 stroke
-LT0
-.262 g .8065 g 4344 3008 M
+LT1
+.8065 g 4344 3008 M
 -76 -133 V
 stroke
-LT0
-.262 g .7722 g 4170 2868 M
+LT1
+.7722 g 4170 2868 M
 98 7 V
 stroke
 LT0
-.262 g .9887 g 2104 3470 M
+.9887 g 2104 3470 M
 -75 37 V
 stroke
 LT0
-.262 g .9922 g 1930 3492 M
+.9922 g 1930 3492 M
 99 15 V
 stroke
 LT0
-.262 g .9365 g 2289 3347 M
--5 4 V
-stroke
-LT0
-.262 g .9604 g 2180 3414 M
-83 -49 V
-stroke
-LT0
-.262 g .9704 g 5284 3445 M
+.9704 g 5284 3445 M
 98 -42 V
 stroke
 LT0
-.262 g .9587 g 5011 3407 M
--76 -43 V
+.957 g 5003 3402 M
+-68 -38 V
 stroke
 LT0
-.262 g .936 g 4889 3330 M
+.936 g 4889 3330 M
 46 34 V
 stroke
 LT0
-.262 g .9605 g 5011 3407 M
--96 -64 V
-stroke
-LT0
-.262 g .8912 g 5359 3302 M
+.8912 g 5359 3302 M
 76 -219 V
 stroke
 LT0
-.262 g .8717 g 5336 3161 M
+.8717 g 5336 3161 M
 99 -78 V
 stroke
-LT0
-.262 g .8777 g 4640 3136 M
+LT1
+.8777 g 4640 3136 M
 65 50 V
 stroke
 LT0
-.262 g .9585 g 1907 3379 M
+.9585 g 1907 3379 M
 -75 -11 V
 stroke
 LT0
-.262 g .9714 g 1930 3492 M
+.9714 g 1930 3492 M
 -98 -124 V
 stroke
 LT0
-.262 g .9615 g 2230 3380 M
-3 -2 V
-stroke
-LT0
-.262 g .9396 g 2303 3330 M
-4 -3 V
-stroke
-LT0
-.262 g .9922 g 5284 3445 M
+.9922 g 5284 3445 M
 -76 59 V
 stroke
 LT0
-.262 g .9958 g 5109 3468 M
+.9958 g 5109 3468 M
 99 36 V
 stroke
 LT0
-.262 g .9958 g 2006 3465 M
+.9958 g 2006 3465 M
 -76 27 V
 stroke
-LT0
-.262 g .8802 g 4665 3169 M
+LT1
+.8802 g 4665 3169 M
 -25 -33 V
 stroke
-LT0
-.262 g .8627 g 4541 3080 M
+LT1
+.8627 g 4541 3080 M
 99 56 V
 stroke
-LT0
-.262 g .7989 g 4212 2946 M
+LT1
+.7989 g 4212 2946 M
 -42 -78 V
 stroke
-LT0
-.262 g .782 g 4105 2875 M
+LT1
+.782 g 4105 2875 M
 65 -7 V
 stroke
 LT0
-.262 g .9822 g 2180 3414 M
+.9822 g 2180 3414 M
 -76 56 V
 stroke
 LT0
-.262 g .9924 g 2006 3465 M
+.9924 g 2006 3465 M
 98 5 V
 stroke
-LT0
-.262 g .8734 g 4579 3140 M
+LT1
+.8734 g 4579 3140 M
 -38 -60 V
 stroke
-LT0
-.262 g .8514 g 4443 3038 M
+LT1
+.8514 g 4443 3038 M
 98 42 V
 stroke
 LT0
-.262 g .7921 g 3082 2889 M
-6 -9 V
-stroke
-LT0
-.262 g .9604 g 5284 3445 M
+.9604 g 5284 3445 M
 75 -143 V
 stroke
 LT0
-.262 g .9479 g 5261 3334 M
+.9479 g 5261 3334 M
 98 -32 V
 stroke
 LT0
-.262 g .993 g 5185 3434 M
+.993 g 5185 3434 M
 -76 34 V
 stroke
 LT0
-.262 g .9848 g 5011 3407 M
+.9848 g 5011 3407 M
 98 61 V
 stroke
 LT0
-.262 g .9894 g 5185 3434 M
+.9894 g 5185 3434 M
 99 11 V
 stroke
 LT0
-.262 g .2516 g 3291 1493 M
+.2516 g 3291 1493 M
 -99 -386 V
 stroke
 LT0
-.262 g .2422 g 3117 1460 M
+.2422 g 3117 1460 M
 75 -353 V
 stroke
 LT0
-.262 g .9742 g 2255 3370 M
+.9742 g 2255 3370 M
 -75 44 V
 stroke
 LT0
-.262 g .9882 g 2081 3438 M
+.9882 g 2081 3438 M
 99 -24 V
 stroke
 LT0
-.262 g .2462 g 3465 1466 M
+.2462 g 3465 1466 M
 -98 -371 V
 stroke
 LT0
-.262 g .2506 g 3291 1493 M
+.2506 g 3291 1493 M
 76 -398 V
 stroke
 LT0
-.262 g .985 g 5086 3411 M
+.985 g 5086 3411 M
 -75 -4 V
 stroke
 LT0
-.262 g .967 g 4912 3342 M
-99 65 V
-stroke
-LT0
-.262 g .8492 g 3005 2989 M
--5 -3 V
+.9671 g 4913 3342 M
+98 65 V
 stroke
-LT0
-.262 g .8659 g 4480 3101 M
+LT1
+.8659 g 4480 3101 M
 -37 -63 V
 stroke
-LT0
-.262 g .8463 g 4344 3008 M
+LT1
+.8463 g 4344 3008 M
 99 30 V
 stroke
 LT0
-.262 g .9984 g 2081 3438 M
+.9984 g 2081 3438 M
 -75 27 V
 stroke
 LT0
-.262 g .9829 g 1907 3379 M
+.9829 g 1907 3379 M
 99 86 V
 stroke
 LT0
-.262 g .9724 g 1983 3362 M
+.9724 g 1983 3362 M
 -76 17 V
 stroke
 LT0
-.262 g .9743 g 4988 3380 M
--76 -38 V
-stroke
-LT0
-.262 g .9284 g 5261 3334 M
+.9284 g 5261 3334 M
 75 -173 V
 stroke
 LT0
-.262 g .9127 g 5238 3209 M
+.9127 g 5238 3209 M
 98 -48 V
 stroke
 LT0
-.262 g .9769 g 5261 3334 M
+.9769 g 5261 3334 M
 -76 100 V
 stroke
 LT0
-.262 g .9932 g 5086 3411 M
+.9932 g 5086 3411 M
 99 23 V
 stroke
 LT0
-.262 g .9702 g 2331 3331 M
+.9702 g 2331 3331 M
 -76 39 V
 stroke
 LT0
-.262 g .9854 g 2157 3404 M
+.9854 g 2157 3404 M
 98 -34 V
 stroke
-LT0
-.262 g .8502 g 4354 3025 M
+LT1
+.8502 g 4354 3025 M
 -10 -17 V
 stroke
-LT0
-.262 g .8462 g 4325 3007 M
+LT1
+.8462 g 4325 3007 M
 19 1 V
 stroke
 LT0
-.262 g .9718 g 5162 3355 M
+.9718 g 5162 3355 M
 99 -21 V
 stroke
 LT0
-.262 g .9994 g 2157 3404 M
+.9994 g 2157 3404 M
 -76 34 V
 stroke
 LT0
-.262 g .9879 g 1983 3362 M
+.9879 g 1983 3362 M
 98 76 V
 stroke
 LT0
-.262 g .9783 g 2058 3338 M
+.9783 g 2058 3338 M
 -75 24 V
 stroke
 LT0
-.262 g .9881 g 5162 3355 M
+.9881 g 5162 3355 M
 -76 56 V
 stroke
 LT0
-.262 g .9923 g 4988 3380 M
+.9923 g 4988 3380 M
 98 31 V
 stroke
 LT0
-.262 g .9695 g 2407 3301 M
+.9695 g 2407 3301 M
 -76 30 V
 stroke
 LT0
-.262 g .9817 g 2233 3361 M
+.9817 g 2233 3361 M
 98 -30 V
 stroke
 LT0
-.262 g .8508 g 3003 2991 M
-2 -2 V
-stroke
-LT0
-.262 g .9234 g 2583 3193 M
--2 0 V
-stroke
-LT0
-.262 g .4017 g 3215 1848 M
+.4017 g 3215 1848 M
 -98 -388 V
 stroke
 LT0
-.262 g .3769 g 3041 1750 M
+.3769 g 3041 1750 M
 76 -290 V
 stroke
 LT0
-.262 g .9562 g 5162 3355 M
+.9562 g 5162 3355 M
 76 -146 V
 stroke
 LT0
-.262 g .942 g 5139 3236 M
+.942 g 5139 3236 M
 99 -27 V
 stroke
 LT0
-.262 g .9969 g 2233 3361 M
+.9969 g 2233 3361 M
 -76 43 V
 stroke
 LT0
-.262 g .9898 g 2058 3338 M
+.9898 g 2058 3338 M
 99 66 V
 stroke
 LT0
-.262 g .9922 g 5064 3353 M
+.9922 g 5064 3353 M
 -76 27 V
 stroke
 LT0
-.262 g .9851 g 4889 3330 M
+.9851 g 4889 3330 M
 99 50 V
 stroke
 LT0
-.262 g .9881 g 5064 3353 M
+.9881 g 5064 3353 M
 98 2 V
 stroke
 LT0
-.262 g .9816 g 2134 3311 M
+.9816 g 2134 3311 M
 -76 27 V
 stroke
 LT0
-.262 g .9879 g 4965 3334 M
+.9879 g 4965 3334 M
 -76 -4 V
 stroke
 LT0
-.262 g .977 g 4791 3295 M
+.977 g 4791 3295 M
 98 35 V
 stroke
 LT0
-.262 g .4103 g 3390 1837 M
+.4103 g 3390 1837 M
 -99 -344 V
 stroke
 LT0
-.262 g .4111 g 3215 1848 M
+.4111 g 3215 1848 M
 76 -355 V
 stroke
 LT0
-.262 g .3979 g 3564 1796 M
+.3979 g 3564 1796 M
 -99 -330 V
 stroke
 LT0
-.262 g .4059 g 3390 1837 M
+.4059 g 3390 1837 M
 75 -371 V
 stroke
 LT0
-.262 g .9726 g 2482 3279 M
+.9726 g 2482 3279 M
 -75 22 V
 stroke
 LT0
-.262 g .9821 g 2308 3328 M
+.9821 g 2308 3328 M
 99 -27 V
 stroke
 LT0
-.262 g .8961 g 4176 3055 M
--1 -1 V
-stroke
-LT0
-.262 g .9943 g 2308 3328 M
+.9943 g 2308 3328 M
 -75 33 V
 stroke
 LT0
-.262 g .9887 g 2134 3311 M
+.9887 g 2134 3311 M
 99 50 V
 stroke
 LT0
-.262 g .9739 g 5139 3236 M
+.9739 g 5139 3236 M
 -75 117 V
 stroke
 LT0
-.262 g .995 g 4965 3334 M
-99 19 V
+.9949 g 4975 3336 M
+89 17 V
 stroke
 LT0
-.262 g .9862 g 4866 3312 M
+.9862 g 4866 3312 M
 -75 -17 V
 stroke
 LT0
-.262 g .9739 g 4765 3286 M
-26 9 V
-stroke
-LT0
-.262 g .9624 g 5041 3246 M
+.9624 g 5041 3246 M
 98 -10 V
 stroke
 LT0
-.262 g .9688 g 4495 3208 M
--1 -1 V
-stroke
-LT0
-.262 g .984 g 2210 3283 M
+.984 g 2210 3283 M
 -76 28 V
 stroke
 LT0
-.262 g .524 g 3140 2148 M
+.524 g 3140 2148 M
 -99 -398 V
 stroke
 LT0
-.262 g .4987 g 2966 2047 M
+.4987 g 2966 2047 M
 75 -297 V
 stroke
 LT0
-.262 g .8916 g 3538 3009 M
-7 -5 V
-stroke
-LT0
-.262 g .9775 g 2558 3257 M
+.9775 g 2558 3257 M
 -76 22 V
 stroke
 LT0
-.262 g .9827 g 2384 3286 M
+.9827 g 2384 3286 M
 98 -7 V
 stroke
 LT0
-.262 g .9922 g 2384 3286 M
+.9922 g 2384 3286 M
 -76 42 V
 stroke
 LT0
-.262 g .9897 g 2210 3283 M
+.9897 g 2210 3283 M
 98 45 V
 stroke
 LT0
-.262 g .9835 g 5041 3246 M
+.9834 g 5041 3246 M
 -76 88 V
 stroke
 LT0
-.262 g .9971 g 4866 3312 M
+.9971 g 4866 3312 M
 99 22 V
 stroke
 LT0
-.262 g .9676 g 4388 3189 M
--9 -8 V
-stroke
-LT0
-.262 g .9745 g 4942 3237 M
+.9745 g 4942 3237 M
 99 9 V
 stroke
 LT0
-.262 g .985 g 2285 3250 M
+.985 g 2285 3250 M
 -75 33 V
 stroke
 LT0
-.262 g .969 g 4495 3208 M
-14 2 V
-stroke
-LT0
-.262 g .9881 g 4942 3237 M
+.9881 g 4942 3237 M
 -76 75 V
 stroke
 LT0
-.262 g .9977 g 4768 3286 M
+.9977 g 4768 3286 M
 98 26 V
 stroke
 LT0
-.262 g .9937 g 2459 3268 M
+.9937 g 2459 3268 M
 -75 18 V
 stroke
 LT0
-.262 g .9875 g 2285 3250 M
+.9875 g 2285 3250 M
 99 36 V
 stroke
 LT0
-.262 g .9825 g 2633 3235 M
+.9825 g 2633 3235 M
 -75 22 V
 stroke
 LT0
-.262 g .9885 g 2459 3268 M
+.9885 g 2459 3268 M
 99 -11 V
 stroke
 LT0
-.262 g .5546 g 3314 2165 M
+.5546 g 3314 2165 M
 -99 -317 V
 stroke
 LT0
-.262 g .5488 g 3140 2148 M
+.5488 g 3140 2148 M
 75 -300 V
 stroke
 LT0
-.262 g .5329 g 3661 2095 M
+.5329 g 3661 2095 M
 -97 -299 V
 stroke
 LT0
-.262 g .5422 g 3488 2142 M
+.5422 g 3488 2142 M
 76 -346 V
 stroke
 LT0
-.262 g .5502 g 3488 2142 M
+.5502 g 3488 2142 M
 -98 -305 V
 stroke
 LT0
-.262 g .5538 g 3314 2165 M
+.5538 g 3314 2165 M
 76 -328 V
 stroke
 LT0
-.262 g .6453 g 3064 2436 M
+.6453 g 3064 2436 M
 -98 -389 V
 stroke
 LT0
-.262 g .6261 g 2890 2361 M
+.6261 g 2890 2361 M
 76 -314 V
 stroke
 LT0
-.262 g .9802 g 4844 3220 M
+.9802 g 4844 3220 M
 98 17 V
 stroke
 LT0
-.262 g .9858 g 4669 3256 M
+.9858 g 4669 3256 M
 -124 -34 V
 stroke
 LT0
-.262 g .9089 g 3506 3034 M
--2 -1 V
-stroke
-LT0
-.262 g .9822 g 2361 3206 M
+.9822 g 2361 3206 M
 -76 44 V
 stroke
 LT0
-.262 g .9898 g 4844 3220 M
+.9898 g 4844 3220 M
 -76 66 V
 stroke
 LT0
-.262 g .9964 g 4669 3256 M
+.9964 g 4669 3256 M
 99 30 V
 stroke
 LT0
-.262 g .9791 g 2633 3235 M
+.9791 g 2633 3235 M
 108 -30 V
 stroke
 LT0
-.262 g .9866 g 2709 3209 M
+.9866 g 2709 3209 M
 -76 26 V
 stroke
 LT0
-.262 g .9921 g 2535 3240 M
+.9921 g 2535 3240 M
 98 -5 V
 stroke
 LT0
-.262 g .9981 g 2535 3240 M
+.9981 g 2535 3240 M
 -76 28 V
 stroke
 LT0
-.262 g .9883 g 2361 3206 M
+.9883 g 2361 3206 M
 98 62 V
 stroke
 LT0
-.262 g .9838 g 4745 3203 M
+.9838 g 4745 3203 M
 99 17 V
 stroke
 LT0
-.262 g .9903 g 4745 3203 M
+.9903 g 4745 3203 M
 -76 53 V
 stroke
 LT0
-.262 g .994 g 4571 3226 M
+.994 g 4571 3226 M
 98 30 V
 stroke
 LT0
-.262 g .9846 g 4472 3201 M
+.9846 g 4472 3201 M
 -75 -3 V
 stroke
 LT0
-.262 g .9845 g 4571 3226 M
+.9845 g 4571 3226 M
 -174 -28 V
 stroke
 LT0
-.262 g .9779 g 4311 3183 M
+.9779 g 4311 3183 M
 86 15 V
 stroke
 LT0
-.262 g .9728 g 2436 3144 M
+.9728 g 2436 3144 M
 -75 62 V
 stroke
 LT0
-.262 g .9628 g 3898 3115 M
--2 -2 V
-stroke
-LT0
-.262 g .6818 g 3238 2476 M
+.6818 g 3238 2476 M
 -98 -328 V
 stroke
 LT0
-.262 g .6706 g 3064 2436 M
+.6706 g 3064 2436 M
 76 -288 V
 stroke
 LT0
-.262 g .9855 g 4646 3161 M
+.9855 g 4646 3161 M
 -75 65 V
 stroke
 LT0
-.262 g .993 g 4472 3201 M
+.993 g 4472 3201 M
 99 25 V
 stroke
 LT0
-.262 g .6475 g 3760 2337 M
+.6475 g 3760 2337 M
 -99 -242 V
 stroke
 LT0
-.262 g .6525 g 3587 2366 M
+.6525 g 3587 2366 M
 74 -271 V
 stroke
 LT0
-.262 g .9818 g 4646 3161 M
+.9818 g 4646 3161 M
 99 42 V
 stroke
 LT0
-.262 g .9839 g 2785 3158 M
+.9839 g 2785 3158 M
 -76 51 V
 stroke
 LT0
-.262 g .9845 g 2883 3186 M
+.9845 g 2883 3186 M
 -174 23 V
 stroke
 LT0
-.262 g .984 g 2611 3166 M
+.984 g 2611 3166 M
 98 43 V
 stroke
 LT0
-.262 g .9894 g 2611 3166 M
+.9894 g 2611 3166 M
 -76 74 V
 stroke
 LT0
-.262 g .9825 g 2436 3144 M
+.9825 g 2436 3144 M
 99 96 V
 stroke
 LT0
-.262 g .6885 g 3412 2472 M
+.6885 g 3412 2472 M
 -98 -307 V
 stroke
 LT0
-.262 g .6877 g 3238 2476 M
+.6877 g 3238 2476 M
 76 -311 V
 stroke
 LT0
-.262 g .961 g 2512 3090 M
+.961 g 2512 3090 M
 -76 54 V
 stroke
 LT0
-.262 g .7563 g 2989 2662 M
+.7563 g 2989 2662 M
 -99 -301 V
 stroke
 LT0
-.262 g .7363 g 2814 2585 M
+.7363 g 2814 2585 M
 76 -224 V
 stroke
 LT0
-.262 g .988 g 2959 3184 M
+.988 g 2959 3184 M
 -76 2 V
 stroke
 LT0
-.262 g .9803 g 2785 3158 M
+.9803 g 2785 3158 M
 98 28 V
 stroke
 LT0
-.262 g .6619 g 3587 2366 M
+.6619 g 3587 2366 M
 -99 -224 V
 stroke
 LT0
-.262 g .6849 g 3412 2472 M
+.6849 g 3412 2472 M
 76 -330 V
 stroke
 LT0
-.262 g .9805 g 4200 3176 M
+.9805 g 4200 3176 M
 -135 -33 V
 stroke
 LT0
-.262 g .9767 g 4548 3131 M
+.9767 g 4548 3131 M
 98 30 V
 stroke
 LT0
-.262 g .9704 g 2686 3093 M
+.9704 g 2686 3093 M
 -75 73 V
 stroke
 LT0
-.262 g .968 g 2512 3090 M
+.968 g 2512 3090 M
 99 76 V
 stroke
 LT0
-.262 g .9842 g 4548 3131 M
+.9842 g 4548 3131 M
 -76 70 V
 stroke
 LT0
-.262 g .9957 g 4374 3187 M
+.9957 g 4374 3187 M
 98 14 V
 stroke
 LT0
-.262 g .9834 g 2860 3141 M
+.9834 g 2860 3141 M
 -75 17 V
 stroke
 LT0
-.262 g .9704 g 2686 3093 M
+.9704 g 2686 3093 M
 99 65 V
 stroke
 LT0
-.262 g .9439 g 2588 3005 M
+.9439 g 2588 3005 M
 -76 85 V
 stroke
 LT0
-.262 g .836 g 2913 2845 M
+.836 g 2913 2845 M
 -99 -260 V
 stroke
 LT0
-.262 g .8113 g 2739 2747 M
+.8113 g 2739 2747 M
 75 -162 V
 stroke
 LT0
-.262 g .9809 g 4275 3106 M
+.9809 g 4275 3106 M
 -75 70 V
 stroke
 LT0
-.262 g .994 g 4374 3187 M
+.994 g 4374 3187 M
 -174 -11 V
 stroke
 LT0
-.262 g .9882 g 4101 3145 M
+.9882 g 4101 3145 M
 99 31 V
 stroke
 LT0
-.262 g .7891 g 3163 2713 M
+.7891 g 3163 2713 M
 -99 -277 V
 stroke
 LT0
-.262 g .7755 g 2989 2662 M
+.7755 g 2989 2662 M
 75 -226 V
 stroke
 LT0
-.262 g .9526 g 2762 3024 M
+.9526 g 2762 3024 M
 -76 69 V
 stroke
 LT0
-.262 g .9464 g 2588 3005 M
+.9464 g 2588 3005 M
 98 88 V
 stroke
 LT0
-.262 g .8619 g 2739 2747 M
+.8619 g 2739 2747 M
 -76 119 V
 stroke
 LT0
-.262 g .9131 g 2762 3024 M
+.9131 g 2762 3024 M
 -99 -158 V
 stroke
 LT0
-.262 g .907 g 2588 3005 M
+.907 g 2588 3005 M
 75 -139 V
 stroke
 LT0
-.262 g .9711 g 4449 3087 M
+.9711 g 4449 3087 M
 99 44 V
 stroke
 LT0
-.262 g .8764 g 2837 2921 M
+.8764 g 2837 2921 M
 -98 -174 V
 stroke
 LT0
-.262 g .7546 g 3684 2590 M
+.7546 g 3684 2590 M
 -97 -224 V
 stroke
 LT0
-.262 g .7703 g 3511 2664 M
+.7703 g 3511 2664 M
 76 -298 V
 stroke
 LT0
-.262 g .7386 g 3858 2535 M
+.7386 g 3858 2535 M
 -98 -198 V
 stroke
 LT0
-.262 g .7496 g 3684 2590 M
+.7496 g 3684 2590 M
 76 -253 V
 stroke
 LT0
-.262 g .9965 g 3034 3157 M
+.9965 g 3034 3157 M
 -75 27 V
 stroke
 LT0
-.262 g .9909 g 3133 3158 M
+.9909 g 3133 3158 M
 -174 26 V
 stroke
 LT0
-.262 g .9912 g 2860 3141 M
+.9912 g 2860 3141 M
 99 43 V
 stroke
 LT0
-.262 g .9833 g 4101 3145 M
+.9833 g 4101 3145 M
 -158 -8 V
 stroke
 LT0
-.262 g .9923 g 3209 3149 M
+.9923 g 3209 3149 M
 -76 9 V
 stroke
 LT0
-.262 g .9853 g 3228 3148 M
--95 10 V
-stroke
-LT0
-.262 g .9923 g 3034 3157 M
+.9923 g 3034 3157 M
 99 1 V
 stroke
 LT0
-.262 g .9826 g 4449 3087 M
+.9826 g 4449 3087 M
 -75 100 V
 stroke
 LT0
-.262 g .9853 g 4275 3106 M
+.9853 g 4275 3106 M
 99 81 V
 stroke
 LT0
-.262 g .9603 g 4351 3023 M
+.9603 g 4351 3023 M
 -76 83 V
 stroke
 LT0
-.262 g .9658 g 4177 3054 M
+.9658 g 4177 3054 M
 98 52 V
 stroke
 LT0
-.262 g .9276 g 2837 2921 M
+.9276 g 2837 2921 M
 -75 103 V
 stroke
 LT0
-.262 g .9656 g 2860 3141 M
+.9656 g 2860 3141 M
 -98 -117 V
 stroke
 LT0
-.262 g .9731 g 4177 3054 M
+.9731 g 4177 3054 M
 -76 91 V
 stroke
 LT0
-.262 g .9897 g 4003 3133 M
+.9897 g 4003 3133 M
 98 12 V
 stroke
 LT0
-.262 g .8043 g 3337 2722 M
+.8043 g 3337 2722 M
 -99 -246 V
 stroke
 LT0
-.262 g .8004 g 3163 2713 M
+.8004 g 3163 2713 M
 75 -237 V
 stroke
 LT0
-.262 g .9577 g 4351 3023 M
+.9577 g 4351 3023 M
 98 64 V
 stroke
 LT0
-.262 g .976 g 2936 3061 M
+.976 g 2936 3061 M
 -76 80 V
 stroke
 LT0
-.262 g .9012 g 2913 2845 M
+.9012 g 2913 2845 M
 -76 76 V
 stroke
 LT0
-.262 g .938 g 2936 3061 M
+.938 g 2936 3061 M
 -99 -140 V
 stroke
 LT0
-.262 g .866 g 3087 2880 M
+.866 g 3087 2880 M
 -98 -218 V
 stroke
 LT0
-.262 g .856 g 2913 2845 M
+.856 g 2913 2845 M
 76 -183 V
 stroke
 LT0
-.262 g .7933 g 3511 2664 M
+.7933 g 3511 2664 M
 -99 -192 V
 stroke
 LT0
-.262 g .8051 g 3337 2722 M
+.8051 g 3337 2722 M
 75 -250 V
 stroke
 LT0
-.262 g .9938 g 3730 3130 M
+.9938 g 3730 3130 M
 -76 7 V
 stroke
 LT0
-.262 g .9916 g 3829 3146 M
+.9916 g 3829 3146 M
 -175 -9 V
 stroke
 LT0
-.262 g .9936 g 3557 3137 M
+.9936 g 3557 3137 M
 97 0 V
 stroke
 LT0
-.262 g .9406 g 4252 2964 M
+.9406 g 4252 2964 M
 99 59 V
 stroke
 LT0
-.262 g .9461 g 4252 2964 M
+.9461 g 4252 2964 M
 -75 90 V
 stroke
 LT0
-.262 g .9618 g 4078 3038 M
+.9618 g 4078 3038 M
 99 16 V
 stroke
 LT0
-.262 g .8088 g 3957 2687 M
+.8088 g 3957 2687 M
 -99 -152 V
 stroke
 LT0
-.262 g .8319 g 3783 2794 M
+.8319 g 3783 2794 M
 75 -259 V
 stroke
 LT0
-.262 g .9925 g 3110 3101 M
+.9925 g 3110 3101 M
 -76 56 V
 stroke
 LT0
-.262 g .9813 g 2936 3061 M
+.9813 g 2936 3061 M
 98 96 V
 stroke
 LT0
-.262 g .9594 g 3012 3005 M
+.9594 g 3012 3005 M
 -76 56 V
 stroke
 LT0
-.262 g .9952 g 3904 3113 M
+.9952 g 3904 3113 M
 -75 33 V
 stroke
 LT0
-.262 g .9941 g 4003 3133 M
+.9941 g 4003 3133 M
 -174 13 V
 stroke
 LT0
-.262 g .9975 g 3730 3130 M
+.9975 g 3730 3130 M
 99 16 V
 stroke
 LT0
-.262 g .8429 g 3783 2794 M
+.8429 g 3783 2794 M
 -99 -204 V
 stroke
 LT0
-.262 g .8537 g 3609 2847 M
+.8537 g 3609 2847 M
 75 -257 V
 stroke
 LT0
-.262 g .9226 g 3012 3005 M
+.9226 g 3012 3005 M
 -99 -160 V
 stroke
 LT0
-.262 g .9283 g 4154 2920 M
+.9283 g 4154 2920 M
 98 44 V
 stroke
 LT0
-.262 g .9924 g 3284 3093 M
+.9924 g 3284 3093 M
 -75 56 V
 stroke
 LT0
-.262 g .9972 g 3383 3139 M
+.9972 g 3383 3139 M
 -174 10 V
 stroke
 LT0
-.262 g .9925 g 3110 3101 M
+.9925 g 3110 3101 M
 99 48 V
 stroke
 LT0
-.262 g .9784 g 4078 3038 M
+.9784 g 4078 3038 M
 -75 95 V
 stroke
 LT0
-.262 g .9939 g 3904 3113 M
+.9939 g 3904 3113 M
 99 20 V
 stroke
 LT0
-.262 g .9914 g 3458 3084 M
+.9914 g 3458 3084 M
 -75 55 V
 stroke
 LT0
-.262 g .9981 g 3557 3137 M
+.9981 g 3557 3137 M
 -174 2 V
 stroke
 LT0
-.262 g .9919 g 3284 3093 M
+.9919 g 3284 3093 M
 99 46 V
 stroke
 LT0
-.262 g .8663 g 4055 2831 M
+.8663 g 4055 2831 M
 -98 -144 V
 stroke
 LT0
-.262 g .8842 g 3881 2915 M
+.8842 g 3881 2915 M
 76 -228 V
 stroke
 LT0
-.262 g .8862 g 3261 2901 M
+.8862 g 3261 2901 M
 -98 -188 V
 stroke
 LT0
-.262 g .8796 g 3087 2880 M
+.8796 g 3087 2880 M
 76 -167 V
 stroke
 LT0
-.262 g .8694 g 3609 2847 M
+.8694 g 3609 2847 M
 -98 -183 V
 stroke
 LT0
-.262 g .8776 g 3435 2890 M
+.8776 g 3435 2890 M
 76 -226 V
 stroke
 LT0
-.262 g .9439 g 4154 2920 M
+.9439 g 4154 2920 M
 -76 118 V
 stroke
 LT0
-.262 g .9629 g 3980 3009 M
+.9629 g 3980 3009 M
 98 29 V
 stroke
 LT0
-.262 g .996 g 3631 3090 M
+.996 g 3631 3090 M
 -74 47 V
 stroke
 LT0
-.262 g .9928 g 3458 3084 M
+.9928 g 3458 3084 M
 99 53 V
 stroke
 LT0
-.262 g .9699 g 3186 2994 M
+.9699 g 3186 2994 M
 -76 107 V
 stroke
 LT0
-.262 g .9706 g 3012 3005 M
+.9706 g 3012 3005 M
 98 96 V
 stroke
 LT0
-.262 g .9089 g 4055 2831 M
+.9089 g 4055 2831 M
 99 89 V
 stroke
 LT0
-.262 g .9326 g 3087 2880 M
+.9326 g 3087 2880 M
 -75 125 V
 stroke
 LT0
-.262 g .9319 g 3186 2994 M
+.9319 g 3186 2994 M
 -99 -114 V
 stroke
 LT0
-.262 g .9279 g 3980 3009 M
+.9279 g 3980 3009 M
 75 -178 V
 stroke
 LT0
-.262 g .8893 g 3435 2890 M
+.8893 g 3435 2890 M
 -98 -168 V
 stroke
 LT0
-.262 g .8901 g 3261 2901 M
+.8901 g 3261 2901 M
 76 -179 V
 stroke
 LT0
-.262 g .9909 g 3806 3060 M
+.9909 g 3806 3060 M
 -76 70 V
 stroke
 LT0
-.262 g .9962 g 3631 3090 M
+.9962 g 3631 3090 M
 99 40 V
 stroke
 LT0
-.262 g .9777 g 3360 3020 M
+.9777 g 3360 3020 M
 -76 73 V
 stroke
 LT0
-.262 g .9698 g 3186 2994 M
+.9698 g 3186 2994 M
 98 99 V
 stroke
 LT0
-.262 g .9384 g 3261 2901 M
+.9384 g 3261 2901 M
 -75 93 V
 stroke
 LT0
-.262 g .9785 g 3980 3009 M
+.9785 g 3980 3009 M
 -76 104 V
 stroke
 LT0
-.262 g .9886 g 3806 3060 M
+.9886 g 3806 3060 M
 98 53 V
 stroke
 LT0
-.262 g .9754 g 3534 3005 M
+.9754 g 3534 3005 M
 -76 79 V
 stroke
 LT0
-.262 g .9772 g 3360 3020 M
+.9772 g 3360 3020 M
 98 64 V
 stroke
 LT0
-.262 g .9073 g 3881 2915 M
+.9073 g 3881 2915 M
 -98 -121 V
 stroke
 LT0
-.262 g .9225 g 3707 2987 M
+.9225 g 3707 2987 M
 76 -193 V
 stroke
 LT0
-.262 g .9458 g 3881 2915 M
+.9458 g 3881 2915 M
 99 94 V
 stroke
 LT0
-.262 g .9463 g 3360 3020 M
+.9463 g 3360 3020 M
 -99 -119 V
 stroke
 LT0
-.262 g .9559 g 3806 3060 M
+.9559 g 3806 3060 M
 75 -145 V
 stroke
 LT0
-.262 g .9333 g 3707 2987 M
+.9333 g 3707 2987 M
 -98 -140 V
 stroke
 LT0
-.262 g .9356 g 3534 3005 M
+.9356 g 3534 3005 M
 75 -158 V
 stroke
 LT0
-.262 g .9763 g 3707 2987 M
+.9763 g 3707 2987 M
 -76 103 V
 stroke
 LT0
-.262 g .9787 g 3534 3005 M
+.9787 g 3534 3005 M
 97 85 V
 stroke
 LT0
-.262 g .9711 g 3707 2987 M
+.9711 g 3707 2987 M
 99 73 V
 stroke
 LT0
-.262 g .9455 g 3435 2890 M
+.9455 g 3435 2890 M
 -75 130 V
 stroke
 LT0
-.262 g .9437 g 3534 3005 M
+.9437 g 3534 3005 M
 -99 -115 V
+% Begin plot #1
 stroke
 LT0
-.262 g 0.500 UL
+.262 g % End plot #1
+0.500 UL
 LTb
 3245 586 M
 3054 779 V
@@ -5262,8 +4915,10 @@ LTb
 0 -367 V
 6299 3579 M
 0 -2214 V
+3093 4374 M
+862 220 V
 901 3815 M
-3054 779 V
+2191 559 V
 6299 3579 M
 3955 4594 L
 3245 586 M
Binary files 1:3.0.1-6/doc/interpreter/griddata.pdf and 1:3.0.5-6/doc/interpreter/griddata.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/griddata.png and 1:3.0.5-6/doc/interpreter/griddata.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/grid.eps 1:3.0.5-6/doc/interpreter/grid.eps
--- 1:3.0.1-6/doc/interpreter/grid.eps	2008-04-21 17:56:52.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/grid.eps	2009-01-29 08:11:05.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: grid.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:52 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:05 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (grid.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:52 2008)
+  /CreationDate (Thu Jan 29 09:11:05 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -458,80 +469,6 @@ newpath
 (Helvetica) findfont 140 scalefont setfont
 0.500 UL
 LTb
-gsave % colour palette begin
-/maxcolors 64 def
-/HSV2RGB {  exch dup 0.0 eq {pop exch pop dup dup} % achromatic gray
-  { /HSVs exch def /HSVv exch def 6.0 mul dup floor dup 3 1 roll sub
-     /HSVf exch def /HSVi exch cvi def /HSVp HSVv 1.0 HSVs sub mul def
-	 /HSVq HSVv 1.0 HSVs HSVf mul sub mul def 
-	 /HSVt HSVv 1.0 HSVs 1.0 HSVf sub mul sub mul def
-	 /HSVi HSVi 6 mod def 0 HSVi eq {HSVv HSVt HSVp}
-	 {1 HSVi eq {HSVq HSVv HSVp}{2 HSVi eq {HSVp HSVv HSVt}
-	 {3 HSVi eq {HSVp HSVq HSVv}{4 HSVi eq {HSVt HSVp HSVv}
-	 {HSVv HSVp HSVq} ifelse} ifelse} ifelse} ifelse} ifelse
-  } ifelse} def
-/Constrain {
-  dup 0 lt {0 exch pop}{dup 1 gt {1 exch pop} if} ifelse} def
-/YIQ2RGB {
-  3 copy -1.702 mul exch -1.105 mul add add Constrain 4 1 roll
-  3 copy -0.647 mul exch -0.272 mul add add Constrain 5 1 roll
-  0.621 mul exch -0.956 mul add add Constrain 3 1 roll } def
-/CMY2RGB {  1 exch sub exch 1 exch sub 3 2 roll 1 exch sub 3 1 roll exch } def
-/XYZ2RGB {  3 copy -0.9017 mul exch -0.1187 mul add exch 0.0585 mul exch add
-  Constrain 4 1 roll 3 copy -0.0279 mul exch 1.999 mul add exch
-  -0.9844 mul add Constrain 5 1 roll -0.2891 mul exch -0.5338 mul add
-  exch 1.91 mul exch add Constrain 3 1 roll} def
-/SelectSpace {ColorSpace (HSV) eq {HSV2RGB}{ColorSpace (XYZ) eq {
-  XYZ2RGB}{ColorSpace (CMY) eq {CMY2RGB}{ColorSpace (YIQ) eq {YIQ2RGB}
-  if} ifelse} ifelse} ifelse} def
-/InterpolatedColor true def
-/grayindex {/gidx 0 def
-  {GrayA gidx get grayv ge {exit} if /gidx gidx 1 add def} loop} def
-/dgdx {grayv GrayA gidx get sub GrayA gidx 1 sub get
-  GrayA gidx get sub div} def 
-/redvalue {RedA gidx get RedA gidx 1 sub get
-  RedA gidx get sub dgdxval mul add} def
-/greenvalue {GreenA gidx get GreenA gidx 1 sub get
-  GreenA gidx get sub dgdxval mul add} def
-/bluevalue {BlueA gidx get BlueA gidx 1 sub get
-  BlueA gidx get sub dgdxval mul add} def
-/interpolate {
-  grayindex grayv GrayA gidx get sub abs 1e-5 le
-    {RedA gidx get GreenA gidx get BlueA gidx get}
-    {/dgdxval dgdx def redvalue greenvalue bluevalue} ifelse} def
-/GrayA [0 .0159 .0317 .0476 .0635 .0794 .0952 .1111 .127 .1429 .1587 .1746 
-  .1905 .2063 .2222 .2381 .254 .2698 .2857 .3016 .3175 .3333 .3492 .3651 
-  .381 .3968 .4127 .4286 .4444 .4603 .4762 .4921 .5079 .5238 .5397 .5556 
-  .5714 .5873 .6032 .619 .6349 .6508 .6667 .6825 .6984 .7143 .7302 .746 
-  .7619 .7778 .7937 .8095 .8254 .8413 .8571 .873 .8889 .9048 .9206 .9365 
-  .9524 .9683 .9841 1 ] def
-/RedA [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .0238 .0873 .1508 
-  .2143 .2778 .3413 .4048 .4683 .5317 .5952 .6587 .7222 .7857 .8492 .9127 
-  .9762 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 .9444 .881 .8175 .754 .6905 .627 
-  .5635 .5 ] def
-/GreenA [0 0 0 0 0 0 0 0 .0079 .0714 .1349 .1984 .2619 .3254 .3889 .4524 
-  .5159 .5794 .6429 .7063 .7698 .8333 .8968 .9603 1 1 1 1 1 1 1 1 1 1 1 1 1 
-  1 1 1 .9603 .8968 .8333 .7698 .7063 .6429 .5794 .5159 .4524 .3889 .3254 
-  .2619 .1984 .1349 .0714 .0079 0 0 0 0 0 0 0 0 ] def
-/BlueA [.5 .5635 .627 .6905 .754 .8175 .881 .9444 1 1 1 1 1 1 1 1 1 1 1 1 1 
-  1 1 1 .9762 .9127 .8492 .7857 .7222 .6587 .5952 .5317 .4683 .4048 .3413 
-  .2778 .2143 .1508 .0873 .0238 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
-  0 0 ] def
-/pm3dround {maxcolors 0 gt {dup 1 ge
-	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
-/ColorSpace (RGB) def
-Color true and { % COLOUR vs. GRAY map
-  InterpolatedColor { %% Interpolation vs. RGB-Formula
-    /g {stroke pm3dround /grayv exch def interpolate
-        SelectSpace setrgbcolor} bind def
-  }{
-  /g {stroke pm3dround dup cF7 Constrain exch dup cF5 Constrain exch cF15 Constrain 
-       SelectSpace setrgbcolor} bind def
-  } ifelse
-}{
-  /g {stroke pm3dround pm3dGamma exp setgray} bind def
-} ifelse
 1.000 UP
 0.500 UL
 LT0
@@ -1809,9 +1746,11 @@ stroke
 LT0
 0.00 0.00 1.00 C 5161 3592 M
 4971 3386 L
+% Begin plot #1
 stroke
 LT0
-0.00 0.00 1.00 C 0.500 UL
+0.00 0.00 1.00 C % End plot #1
+0.500 UL
 LTb
 5830 1511 M
 5161 1074 L
@@ -2040,7 +1979,6 @@ stroke
 0.500 UL
 LTb
 1.000 UP
-grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/grid.pdf and 1:3.0.5-6/doc/interpreter/grid.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/grid.png and 1:3.0.5-6/doc/interpreter/grid.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/hist.eps 1:3.0.5-6/doc/interpreter/hist.eps
--- 1:3.0.1-6/doc/interpreter/hist.eps	2008-04-21 17:57:13.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/hist.eps	2009-01-29 08:11:16.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: hist.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:13 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:16 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (hist.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:13 2008)
+  /CreationDate (Thu Jan 29 09:11:16 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,647 +543,764 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 280 M
+630 280 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 280 M
+0.00 0.00 0.00 C 546 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1115 M
+630 1115 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1115 M
+0.00 0.00 0.00 C 546 1115 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1950 M
+630 1949 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1950 M
+0.00 0.00 0.00 C 546 1949 M
 [ [(Helvetica) 140.0 0.0 true true 0 (400)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2785 M
+630 2784 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2785 M
+0.00 0.00 0.00 C 546 2784 M
 [ [(Helvetica) 140.0 0.0 true true 0 (600)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3620 M
+630 3619 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3620 M
+0.00 0.00 0.00 C 546 3619 M
 [ [(Helvetica) 140.0 0.0 true true 0 (800)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4455 M
+630 4454 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4455 M
+0.00 0.00 0.00 C 546 4454 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1000)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-656 280 M
+795 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 656 140 M
+0.00 0.00 0.00 C 795 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1475 280 M
+1621 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1475 140 M
+0.00 0.00 0.00 C 1621 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2294 280 M
+2447 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2294 140 M
+0.00 0.00 0.00 C 2447 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3113 280 M
+3273 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3113 140 M
+0.00 0.00 0.00 C 3273 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3932 280 M
+4099 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3932 140 M
+0.00 0.00 0.00 C 4099 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4751 280 M
+4924 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4751 140 M
+0.00 0.00 0.00 C 4924 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5570 280 M
+5750 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5570 140 M
+0.00 0.00 0.00 C 5750 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6389 280 M
+6576 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6389 140 M
+0.00 0.00 0.00 C 6576 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UL
 LT0
-0.00 0.00 0.50 C gsave 579 280 N 0 0 V 0 4 V 212 0 V 0 -4 V 1 PolyFill
-579 280 M
-0 4 V
-212 0 V
-0 -4 V
+0.00 0.00 0.50 C gsave 687 280 N 0 0 V 0 8 V 208 0 V 0 -8 V 1 PolyFill
+687 280 M
+0 8 V
+208 0 V
+0 -8 V
+% End plot #1
+% Begin plot #2
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 579 280 M
-0 4 V
-212 0 V
-0 -4 V
--212 0 V
+0.00 0.00 0.00 C 687 280 M
+0 8 V
+208 0 V
+0 -8 V
+-208 0 V
+% End plot #2
+% Begin plot #3
 stroke
 1.000 UL
 LT2
-0.00 0.00 0.50 C gsave 791 280 N 0 0 V 0 13 V 211 0 V 0 -13 V 1 PolyFill
-791 280 M
-0 13 V
-211 0 V
-0 -13 V
+0.00 0.00 0.50 C gsave 895 280 N 0 0 V 0 0 V 209 0 V 0 0 V 1 PolyFill
+895 280 M
+209 0 V
+% End plot #3
+% Begin plot #4
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 791 280 M
-0 13 V
-211 0 V
-0 -13 V
--211 0 V
+0.00 0.00 0.00 C 895 280 M
+209 0 V
+-209 0 V
+% End plot #4
+% Begin plot #5
 stroke
 1.000 UL
 LT4
-0.00 0.00 0.50 C gsave 1002 280 N 0 0 V 0 13 V 212 0 V 0 -13 V 1 PolyFill
-1002 280 M
-0 13 V
-212 0 V
-0 -13 V
+0.00 0.00 0.50 C gsave 1104 280 N 0 0 V 0 8 V 208 0 V 0 -8 V 1 PolyFill
+1104 280 M
+0 8 V
+208 0 V
+0 -8 V
+% End plot #5
+% Begin plot #6
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 1002 280 M
-0 13 V
-212 0 V
-0 -13 V
--212 0 V
+0.00 0.00 0.00 C 1104 280 M
+0 8 V
+208 0 V
+0 -8 V
+-208 0 V
+% End plot #6
+% Begin plot #7
 stroke
 1.000 UL
 LT6
-0.00 0.00 0.50 C gsave 1214 280 N 0 0 V 0 25 V 212 0 V 0 -25 V 1 PolyFill
-1214 280 M
-0 25 V
-212 0 V
-0 -25 V
+0.00 0.00 0.50 C gsave 1312 280 N 0 0 V 0 8 V 209 0 V 0 -8 V 1 PolyFill
+1312 280 M
+0 8 V
+209 0 V
+0 -8 V
+% End plot #7
+% Begin plot #8
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 1214 280 M
-0 25 V
-212 0 V
-0 -25 V
--212 0 V
+0.00 0.00 0.00 C 1312 280 M
+0 8 V
+209 0 V
+0 -8 V
+-209 0 V
+% End plot #8
+% Begin plot #9
 stroke
 1.000 UL
 LT8
-0.00 0.00 0.50 C gsave 1426 280 N 0 0 V 0 50 V 212 0 V 0 -50 V 1 PolyFill
-1426 280 M
-0 50 V
-212 0 V
-0 -50 V
+0.00 0.00 0.50 C gsave 1521 280 N 0 0 V 0 58 V 208 0 V 0 -58 V 1 PolyFill
+1521 280 M
+0 58 V
+208 0 V
+0 -58 V
+% End plot #9
+% Begin plot #10
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 1426 280 M
-0 50 V
-212 0 V
-0 -50 V
--212 0 V
+0.00 0.00 0.00 C 1521 280 M
+0 58 V
+208 0 V
+0 -58 V
+-208 0 V
+% End plot #10
+% Begin plot #11
 stroke
 1.000 UL
 LT1
-0.00 0.00 0.50 C gsave 1638 280 N 0 0 V 0 104 V 211 0 V 0 -104 V 1 PolyFill
-1638 280 M
-0 104 V
-211 0 V
-0 -104 V
+0.00 0.00 0.50 C gsave 1729 280 N 0 0 V 0 71 V 209 0 V 0 -71 V 1 PolyFill
+1729 280 M
+0 71 V
+209 0 V
+0 -71 V
+% End plot #11
+% Begin plot #12
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 1638 280 M
-0 104 V
-211 0 V
-0 -104 V
--211 0 V
+0.00 0.00 0.00 C 1729 280 M
+0 71 V
+209 0 V
+0 -71 V
+-209 0 V
+% End plot #12
+% Begin plot #13
 stroke
 1.000 UL
 LT3
-0.00 0.00 0.50 C gsave 1849 280 N 0 0 V 0 309 V 212 0 V 0 -309 V 1 PolyFill
-1849 280 M
-0 309 V
-212 0 V
-0 -309 V
+0.00 0.00 0.50 C gsave 1938 280 N 0 0 V 0 192 V 208 0 V 0 -192 V 1 PolyFill
+1938 280 M
+0 192 V
+208 0 V
+0 -192 V
+% End plot #13
+% Begin plot #14
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 1849 280 M
-0 309 V
-212 0 V
-0 -309 V
--212 0 V
+0.00 0.00 0.00 C 1938 280 M
+0 192 V
+208 0 V
+0 -192 V
+-208 0 V
+% End plot #14
+% Begin plot #15
 stroke
 1.000 UL
 LT5
-0.00 0.00 0.50 C gsave 2061 280 N 0 0 V 0 434 V 212 0 V 0 -434 V 1 PolyFill
-2061 280 M
-0 434 V
-212 0 V
-0 -434 V
+0.00 0.00 0.50 C gsave 2146 280 N 0 0 V 0 338 V 209 0 V 0 -338 V 1 PolyFill
+2146 280 M
+0 338 V
+209 0 V
+0 -338 V
+% End plot #15
+% Begin plot #16
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 2061 280 M
-0 434 V
-212 0 V
-0 -434 V
--212 0 V
+0.00 0.00 0.00 C 2146 280 M
+0 338 V
+209 0 V
+0 -338 V
+-209 0 V
+% End plot #16
+% Begin plot #17
 stroke
 1.000 UL
 LT7
-0.00 0.00 0.50 C gsave 2273 280 N 0 0 V 0 739 V 212 0 V 0 -739 V 1 PolyFill
-2273 280 M
-0 739 V
-212 0 V
-0 -739 V
+0.00 0.00 0.50 C gsave 2355 280 N 0 0 V 0 730 V 208 0 V 0 -730 V 1 PolyFill
+2355 280 M
+0 730 V
+208 0 V
+0 -730 V
+% End plot #17
+% Begin plot #18
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 2273 280 M
-0 739 V
-212 0 V
-0 -739 V
--212 0 V
+0.00 0.00 0.00 C 2355 280 M
+0 730 V
+208 0 V
+0 -730 V
+-208 0 V
+% End plot #18
+% Begin plot #19
 stroke
 1.000 UL
 LT0
-0.00 0.00 0.50 C gsave 2485 280 N 0 0 V 0 1002 V 211 0 V 0 -1002 V 1 PolyFill
-2485 280 M
-0 1002 V
-211 0 V
-0 -1002 V
+0.00 0.00 0.50 C gsave 2563 280 N 0 0 V 0 1010 V 209 0 V 0 -1010 V 1 PolyFill
+2563 280 M
+0 1010 V
+209 0 V
+0 -1010 V
+% End plot #19
+% Begin plot #20
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 2485 280 M
-0 1002 V
-211 0 V
-0 -1002 V
--211 0 V
+0.00 0.00 0.00 C 2563 280 M
+0 1010 V
+209 0 V
+0 -1010 V
+-209 0 V
+% End plot #20
+% Begin plot #21
 stroke
 1.000 UL
 LT2
-0.00 0.00 0.50 C gsave 2696 280 N 0 0 V 0 1641 V 212 0 V 0 -1641 V 1 PolyFill
-2696 280 M
-0 1641 V
-212 0 V
-0 -1641 V
+0.00 0.00 0.50 C gsave 2772 280 N 0 0 V 0 1398 V 208 0 V 0 -1398 V 1 PolyFill
+2772 280 M
+0 1398 V
+208 0 V
+0 -1398 V
+% End plot #21
+% Begin plot #22
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 2696 280 M
-0 1641 V
-212 0 V
-0 -1641 V
--212 0 V
+0.00 0.00 0.00 C 2772 280 M
+0 1398 V
+208 0 V
+0 -1398 V
+-208 0 V
+% End plot #22
+% Begin plot #23
 stroke
 1.000 UL
 LT4
-0.00 0.00 0.50 C gsave 2908 280 N 0 0 V 0 2304 V 212 0 V 0 -2304 V 1 PolyFill
-2908 280 M
-0 2304 V
-212 0 V
-0 -2304 V
+0.00 0.00 0.50 C gsave 2980 280 N 0 0 V 0 2133 V 209 0 V 0 -2133 V 1 PolyFill
+2980 280 M
+0 2133 V
+209 0 V
+0 -2133 V
+% End plot #23
+% Begin plot #24
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 2908 280 M
-0 2304 V
-212 0 V
-0 -2304 V
--212 0 V
+0.00 0.00 0.00 C 2980 280 M
+0 2133 V
+209 0 V
+0 -2133 V
+-209 0 V
+% End plot #24
+% Begin plot #25
 stroke
 1.000 UL
 LT6
-0.00 0.00 0.50 C gsave 3120 280 N 0 0 V 0 3039 V 212 0 V 0 -3039 V 1 PolyFill
-3120 280 M
-0 3039 V
-212 0 V
-0 -3039 V
+0.00 0.00 0.50 C gsave 3189 280 N 0 0 V 0 2592 V 209 0 V 0 -2592 V 1 PolyFill
+3189 280 M
+0 2592 V
+209 0 V
+0 -2592 V
+% End plot #25
+% Begin plot #26
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 3120 280 M
-0 3039 V
-212 0 V
-0 -3039 V
--212 0 V
+0.00 0.00 0.00 C 3189 280 M
+0 2592 V
+209 0 V
+0 -2592 V
+-209 0 V
+% End plot #26
+% Begin plot #27
 stroke
 1.000 UL
 LT8
-0.00 0.00 0.50 C gsave 3332 280 N 0 0 V 0 3732 V 211 0 V 0 -3732 V 1 PolyFill
-3332 280 M
-0 3732 V
-211 0 V
-0 -3732 V
+0.00 0.00 0.50 C gsave 3398 280 N 0 0 V 0 3101 V 208 0 V 0 -3101 V 1 PolyFill
+3398 280 M
+0 3101 V
+208 0 V
+0 -3101 V
+% End plot #27
+% Begin plot #28
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 3332 280 M
-0 3732 V
-211 0 V
-0 -3732 V
--211 0 V
+0.00 0.00 0.00 C 3398 280 M
+0 3101 V
+208 0 V
+0 -3101 V
+-208 0 V
+% End plot #28
+% Begin plot #29
 stroke
 1.000 UL
 LT1
-0.00 0.00 0.50 C gsave 3543 280 N 0 0 V 0 4262 V 212 0 V 0 -4262 V 1 PolyFill
-3543 280 M
-0 4262 V
-212 0 V
-0 -4262 V
+0.00 0.00 0.50 C gsave 3606 280 N 0 0 V 0 3715 V 209 0 V 0 -3715 V 1 PolyFill
+3606 280 M
+0 3715 V
+209 0 V
+0 -3715 V
+% End plot #29
+% Begin plot #30
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 3543 280 M
-0 4262 V
-212 0 V
-0 -4262 V
--212 0 V
+0.00 0.00 0.00 C 3606 280 M
+0 3715 V
+209 0 V
+0 -3715 V
+-209 0 V
+% End plot #30
+% Begin plot #31
 stroke
 1.000 UL
 LT3
-0.00 0.00 0.50 C gsave 3755 280 N 0 0 V 0 4296 V 212 0 V 0 -4296 V 1 PolyFill
-3755 280 M
-0 4296 V
-212 0 V
-0 -4296 V
+0.00 0.00 0.50 C gsave 3815 280 N 0 0 V 0 4195 V 208 0 V 0 -4195 V 1 PolyFill
+3815 280 M
+0 4195 V
+208 0 V
+0 -4195 V
+% End plot #31
+% Begin plot #32
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 3755 280 M
-0 4296 V
-212 0 V
-0 -4296 V
--212 0 V
+0.00 0.00 0.00 C 3815 280 M
+0 4195 V
+208 0 V
+0 -4195 V
+-208 0 V
+% End plot #32
+% Begin plot #33
 stroke
 1.000 UL
 LT5
-0.00 0.00 0.50 C gsave 3967 280 N 0 0 V 0 4020 V 212 0 V 0 -4020 V 1 PolyFill
-3967 280 M
-0 4020 V
-212 0 V
-0 -4020 V
+0.00 0.00 0.50 C gsave 4023 280 N 0 0 V 0 3911 V 209 0 V 0 -3911 V 1 PolyFill
+4023 280 M
+0 3911 V
+209 0 V
+0 -3911 V
+% End plot #33
+% Begin plot #34
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 3967 280 M
-0 4020 V
-212 0 V
-0 -4020 V
--212 0 V
+0.00 0.00 0.00 C 4023 280 M
+0 3911 V
+209 0 V
+0 -3911 V
+-209 0 V
+% End plot #34
+% Begin plot #35
 stroke
 1.000 UL
 LT7
-0.00 0.00 0.50 C gsave 4179 280 N 0 0 V 0 3962 V 211 0 V 0 -3962 V 1 PolyFill
-4179 280 M
-0 3962 V
-211 0 V
-0 -3962 V
+0.00 0.00 0.50 C gsave 4232 280 N 0 0 V 0 4011 V 208 0 V 0 -4011 V 1 PolyFill
+4232 280 M
+0 4011 V
+208 0 V
+0 -4011 V
+% End plot #35
+% Begin plot #36
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 4179 280 M
-0 3962 V
-211 0 V
-0 -3962 V
--211 0 V
+0.00 0.00 0.00 C 4232 280 M
+0 4011 V
+208 0 V
+0 -4011 V
+-208 0 V
+% End plot #36
+% Begin plot #37
 stroke
 1.000 UL
 LT0
-0.00 0.00 0.50 C gsave 4390 280 N 0 0 V 0 3578 V 212 0 V 0 -3578 V 1 PolyFill
-4390 280 M
-0 3578 V
-212 0 V
-0 -3578 V
+0.00 0.00 0.50 C gsave 4440 280 N 0 0 V 0 3623 V 209 0 V 0 -3623 V 1 PolyFill
+4440 280 M
+0 3623 V
+209 0 V
+0 -3623 V
+% End plot #37
+% Begin plot #38
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 4390 280 M
-0 3578 V
-212 0 V
-0 -3578 V
--212 0 V
+0.00 0.00 0.00 C 4440 280 M
+0 3623 V
+209 0 V
+0 -3623 V
+-209 0 V
+% End plot #38
+% Begin plot #39
 stroke
 1.000 UL
 LT2
-0.00 0.00 0.50 C gsave 4602 280 N 0 0 V 0 2446 V 212 0 V 0 -2446 V 1 PolyFill
-4602 280 M
-0 2446 V
-212 0 V
-0 -2446 V
+0.00 0.00 0.50 C gsave 4649 280 N 0 0 V 0 3063 V 208 0 V 0 -3063 V 1 PolyFill
+4649 280 M
+0 3063 V
+208 0 V
+0 -3063 V
+% End plot #39
+% Begin plot #40
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 4602 280 M
-0 2446 V
-212 0 V
-0 -2446 V
--212 0 V
+0.00 0.00 0.00 C 4649 280 M
+0 3063 V
+208 0 V
+0 -3063 V
+-208 0 V
+% End plot #40
+% Begin plot #41
 stroke
 1.000 UL
 LT4
-0.00 0.00 0.50 C gsave 4814 280 N 0 0 V 0 2046 V 212 0 V 0 -2046 V 1 PolyFill
-4814 280 M
-0 2046 V
-212 0 V
-0 -2046 V
+0.00 0.00 0.50 C gsave 4857 280 N 0 0 V 0 2525 V 209 0 V 0 -2525 V 1 PolyFill
+4857 280 M
+0 2525 V
+209 0 V
+0 -2525 V
+% End plot #41
+% Begin plot #42
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 4814 280 M
-0 2046 V
-212 0 V
-0 -2046 V
--212 0 V
+0.00 0.00 0.00 C 4857 280 M
+0 2525 V
+209 0 V
+0 -2525 V
+-209 0 V
+% End plot #42
+% Begin plot #43
 stroke
 1.000 UL
 LT6
-0.00 0.00 0.50 C gsave 5026 280 N 0 0 V 0 1432 V 211 0 V 0 -1432 V 1 PolyFill
-5026 280 M
-0 1432 V
-211 0 V
-0 -1432 V
+0.00 0.00 0.50 C gsave 5066 280 N 0 0 V 0 1790 V 208 0 V 0 -1790 V 1 PolyFill
+5066 280 M
+0 1790 V
+208 0 V
+0 -1790 V
+% End plot #43
+% Begin plot #44
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 5026 280 M
-0 1432 V
-211 0 V
-0 -1432 V
--211 0 V
+0.00 0.00 0.00 C 5066 280 M
+0 1790 V
+208 0 V
+0 -1790 V
+-208 0 V
+% End plot #44
+% Begin plot #45
 stroke
 1.000 UL
 LT8
-0.00 0.00 0.50 C gsave 5237 280 N 0 0 V 0 977 V 212 0 V 0 -977 V 1 PolyFill
-5237 280 M
-0 977 V
-212 0 V
-0 -977 V
+0.00 0.00 0.50 C gsave 5274 280 N 0 0 V 0 1423 V 209 0 V 0 -1423 V 1 PolyFill
+5274 280 M
+0 1423 V
+209 0 V
+0 -1423 V
+% End plot #45
+% Begin plot #46
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 5237 280 M
-0 977 V
-212 0 V
-0 -977 V
--212 0 V
+0.00 0.00 0.00 C 5274 280 M
+0 1423 V
+209 0 V
+0 -1423 V
+-209 0 V
+% End plot #46
+% Begin plot #47
 stroke
 1.000 UL
 LT1
-0.00 0.00 0.50 C gsave 5449 280 N 0 0 V 0 605 V 212 0 V 0 -605 V 1 PolyFill
-5449 280 M
-0 605 V
-212 0 V
-0 -605 V
+0.00 0.00 0.50 C gsave 5483 280 N 0 0 V 0 722 V 208 0 V 0 -722 V 1 PolyFill
+5483 280 M
+0 722 V
+208 0 V
+0 -722 V
+% End plot #47
+% Begin plot #48
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 5449 280 M
-0 605 V
-212 0 V
-0 -605 V
--212 0 V
+0.00 0.00 0.00 C 5483 280 M
+0 722 V
+208 0 V
+0 -722 V
+-208 0 V
+% End plot #48
+% Begin plot #49
 stroke
 1.000 UL
 LT3
-0.00 0.00 0.50 C gsave 5661 280 N 0 0 V 0 405 V 212 0 V 0 -405 V 1 PolyFill
-5661 280 M
-0 405 V
-212 0 V
-0 -405 V
+0.00 0.00 0.50 C gsave 5691 280 N 0 0 V 0 543 V 209 0 V 0 -543 V 1 PolyFill
+5691 280 M
+0 543 V
+209 0 V
+0 -543 V
+% End plot #49
+% Begin plot #50
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 5661 280 M
-0 405 V
-212 0 V
-0 -405 V
--212 0 V
+0.00 0.00 0.00 C 5691 280 M
+0 543 V
+209 0 V
+0 -543 V
+-209 0 V
+% End plot #50
+% Begin plot #51
 stroke
 1.000 UL
 LT5
-0.00 0.00 0.50 C gsave 5873 280 N 0 0 V 0 171 V 211 0 V 0 -171 V 1 PolyFill
-5873 280 M
-0 171 V
-211 0 V
-0 -171 V
+0.00 0.00 0.50 C gsave 5900 280 N 0 0 V 0 267 V 208 0 V 0 -267 V 1 PolyFill
+5900 280 M
+0 267 V
+208 0 V
+0 -267 V
+% End plot #51
+% Begin plot #52
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 5873 280 M
-0 171 V
-211 0 V
-0 -171 V
--211 0 V
+0.00 0.00 0.00 C 5900 280 M
+0 267 V
+208 0 V
+0 -267 V
+-208 0 V
+% End plot #52
+% Begin plot #53
 stroke
 1.000 UL
 LT7
-0.00 0.00 0.50 C gsave 6084 280 N 0 0 V 0 83 V 212 0 V 0 -83 V 1 PolyFill
-6084 280 M
-0 83 V
-212 0 V
-0 -83 V
+0.00 0.00 0.50 C gsave 6108 280 N 0 0 V 0 179 V 209 0 V 0 -179 V 1 PolyFill
+6108 280 M
+0 179 V
+209 0 V
+0 -179 V
+% End plot #53
+% Begin plot #54
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 6084 280 M
-0 83 V
-212 0 V
-0 -83 V
--212 0 V
+0.00 0.00 0.00 C 6108 280 M
+0 179 V
+209 0 V
+0 -179 V
+-209 0 V
+% End plot #54
+% Begin plot #55
 stroke
 1.000 UL
 LT0
-0.00 0.00 0.50 C gsave 6296 280 N 0 0 V 0 25 V 212 0 V 0 -25 V 1 PolyFill
-6296 280 M
-0 25 V
-212 0 V
-0 -25 V
+0.00 0.00 0.50 C gsave 6317 280 N 0 0 V 0 67 V 209 0 V 0 -67 V 1 PolyFill
+6317 280 M
+0 67 V
+209 0 V
+0 -67 V
+% End plot #55
+% Begin plot #56
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 6296 280 M
-0 25 V
-212 0 V
-0 -25 V
--212 0 V
+0.00 0.00 0.00 C 6317 280 M
+0 67 V
+209 0 V
+0 -67 V
+-209 0 V
+% End plot #56
+% Begin plot #57
 stroke
 1.000 UL
 LT2
-0.00 0.00 0.50 C gsave 6508 280 N 0 0 V 0 8 V 212 0 V 0 -8 V 1 PolyFill
-6508 280 M
-0 8 V
-212 0 V
-0 -8 V
+0.00 0.00 0.50 C gsave 6526 280 N 0 0 V 0 46 V 208 0 V 0 -46 V 1 PolyFill
+6526 280 M
+0 46 V
+208 0 V
+0 -46 V
+% End plot #57
+% Begin plot #58
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 6508 280 M
-0 8 V
-212 0 V
-0 -8 V
--212 0 V
+0.00 0.00 0.00 C 6526 280 M
+0 46 V
+208 0 V
+0 -46 V
+-208 0 V
+% End plot #58
+% Begin plot #59
 stroke
 1.000 UL
 LT4
-0.00 0.00 0.50 C gsave 6720 280 N 0 0 V 0 21 V 211 0 V 0 -21 V 1 PolyFill
-6720 280 M
-0 21 V
-211 0 V
-0 -21 V
+0.00 0.00 0.50 C gsave 6734 280 N 0 0 V 0 8 V 209 0 V 0 -8 V 1 PolyFill
+6734 280 M
+0 8 V
+209 0 V
+0 -8 V
+% End plot #59
+% Begin plot #60
 stroke
 0.500 UL
 LT0
-0.00 0.00 0.00 C 6720 280 M
-0 21 V
-211 0 V
-0 -21 V
--211 0 V
+0.00 0.00 0.00 C 6734 280 M
+0 8 V
+209 0 V
+0 -8 V
+-209 0 V
+% End plot #60
 stroke
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/hist.pdf and 1:3.0.5-6/doc/interpreter/hist.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/hist.png and 1:3.0.5-6/doc/interpreter/hist.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Acknowledgements.html 1:3.0.5-6/doc/interpreter/HTML/Acknowledgements.html
--- 1:3.0.1-6/doc/interpreter/HTML/Acknowledgements.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Acknowledgements.html	2009-04-07 11:11:39.000000000 +0100
@@ -100,13 +100,13 @@ various other ways (listed alphabeticall
 <br></td></tr><tr align="left"><td valign="top" width="33%">Quentin H. Spencer </td><td valign="top" width="33%">Christoph Spiel </td><td valign="top" width="33%">Richard Stallman
 <br></td></tr><tr align="left"><td valign="top" width="33%">Russell Standish </td><td valign="top" width="33%">Doug Stewart </td><td valign="top" width="33%">Thomas Stuart
 <br></td></tr><tr align="left"><td valign="top" width="33%">John Swensen </td><td valign="top" width="33%">Ariel Tankus </td><td valign="top" width="33%">Georg Thimm
-<br></td></tr><tr align="left"><td valign="top" width="33%">Duncan Temple Lang </td><td valign="top" width="33%">Olaf Till </td><td valign="top" width="33%">Thomas Treichl
-<br></td></tr><tr align="left"><td valign="top" width="33%">Utkarsh Upadhyay </td><td valign="top" width="33%">Stefan van der Walt </td><td valign="top" width="33%">Peter Van Wieren
-<br></td></tr><tr align="left"><td valign="top" width="33%">James R. Van Zandt </td><td valign="top" width="33%">Gregory Vanuxem </td><td valign="top" width="33%">Ivana Varekova
-<br></td></tr><tr align="left"><td valign="top" width="33%">Thomas Walter </td><td valign="top" width="33%">Olaf Weber </td><td valign="top" width="33%">Thomas Weber
-<br></td></tr><tr align="left"><td valign="top" width="33%">Bob Weigel </td><td valign="top" width="33%">Andreas Weingessel </td><td valign="top" width="33%">Michael Weitzel
-<br></td></tr><tr align="left"><td valign="top" width="33%">Fook Fah Yap </td><td valign="top" width="33%">Michael Zeising </td><td valign="top" width="33%">Federico Zenith
-<br></td></tr><tr align="left"><td valign="top" width="33%">Alex Zvoleff
+<br></td></tr><tr align="left"><td valign="top" width="33%">Duncan Temple Lang </td><td valign="top" width="33%">Kris Thielemans </td><td valign="top" width="33%">Olaf Till
+<br></td></tr><tr align="left"><td valign="top" width="33%">Thomas Treichl </td><td valign="top" width="33%">Utkarsh Upadhyay </td><td valign="top" width="33%">Stefan van der Walt
+<br></td></tr><tr align="left"><td valign="top" width="33%">Peter Van Wieren </td><td valign="top" width="33%">James R. Van Zandt </td><td valign="top" width="33%">Gregory Vanuxem
+<br></td></tr><tr align="left"><td valign="top" width="33%">Ivana Varekova </td><td valign="top" width="33%">Thomas Walter </td><td valign="top" width="33%">Olaf Weber
+<br></td></tr><tr align="left"><td valign="top" width="33%">Thomas Weber </td><td valign="top" width="33%">Bob Weigel </td><td valign="top" width="33%">Andreas Weingessel
+<br></td></tr><tr align="left"><td valign="top" width="33%">Michael Weitzel </td><td valign="top" width="33%">Fook Fah Yap </td><td valign="top" width="33%">Michael Zeising
+<br></td></tr><tr align="left"><td valign="top" width="33%">Federico Zenith </td><td valign="top" width="33%">Alex Zvoleff
    <br></td></tr></table>
 
    <p>Special thanks to the following people and organizations for
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Applying-a-Function-to-an-Array.html 1:3.0.5-6/doc/interpreter/HTML/Applying-a-Function-to-an-Array.html
--- 1:3.0.1-6/doc/interpreter/HTML/Applying-a-Function-to-an-Array.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Applying-a-Function-to-an-Array.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,11 +37,11 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002darrayfun"></a>
 
 <div class="defun">
-&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>name, c</var>)<var><a name="index-arrayfun-953"></a></var><br>
-&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c</var>)<var><a name="index-arrayfun-954"></a></var><br>
-&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c, d</var>)<var><a name="index-arrayfun-955"></a></var><br>
-&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c, options</var>)<var><a name="index-arrayfun-956"></a></var><br>
-&mdash; Function File: [<var>a</var>, <var>b</var>, <small class="dots">...</small>] = <b>arrayfun</b> (<var>func, c, <small class="dots">...</small></var>)<var><a name="index-arrayfun-957"></a></var><br>
+&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>name, c</var>)<var><a name="index-arrayfun-1001"></a></var><br>
+&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c</var>)<var><a name="index-arrayfun-1002"></a></var><br>
+&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c, d</var>)<var><a name="index-arrayfun-1003"></a></var><br>
+&mdash; Function File: <var>a</var> = <b>arrayfun</b> (<var>func, c, options</var>)<var><a name="index-arrayfun-1004"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>, <small class="dots">...</small>] = <b>arrayfun</b> (<var>func, c, <small class="dots">...</small></var>)<var><a name="index-arrayfun-1005"></a></var><br>
 <blockquote><p>Execute a function on each element of an array.  This is useful for
 functions that do not accept array arguments.  If the function does
 accept array arguments it is better to call the function directly.
@@ -56,7 +56,7 @@ accept array arguments it is better to c
    <p><a name="doc_002dbsxfun"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>bsxfun</b> (<var>f, a, b</var>)<var><a name="index-bsxfun-958"></a></var><br>
+&mdash; Loadable Function:  <b>bsxfun</b> (<var>f, a, b</var>)<var><a name="index-bsxfun-1006"></a></var><br>
 <blockquote><p>Applies a binary function <var>f</var> element-wise to two matrix arguments
 <var>a</var> and <var>b</var>. The function <var>f</var> must be capable of accepting
 two column vector arguments of equal length, or one column vector
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Audio-Processing.html 1:3.0.5-6/doc/interpreter/HTML/Audio-Processing.html
--- 1:3.0.1-6/doc/interpreter/HTML/Audio-Processing.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Audio-Processing.html	2009-04-07 11:11:40.000000000 +0100
@@ -58,7 +58,7 @@ files holding data in mu-law encoding en
    <p><a name="doc_002dlin2mu"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>lin2mu</b> (<var>x, n</var>)<var><a name="index-lin2mu-1912"></a></var><br>
+&mdash; Function File:  <b>lin2mu</b> (<var>x, n</var>)<var><a name="index-lin2mu-1974"></a></var><br>
 <blockquote><p>Converts audio data from linear to mu-law.  Mu-law values use 8-bit
 unsigned integers.  Linear values use <var>n</var>-bit signed integers or
 floating point values in the range -1&lt;=<var>x</var>&lt;=1 if <var>n</var> is 0. 
@@ -73,7 +73,7 @@ the range values in <var>x</var>.
    <p><a name="doc_002dmu2lin"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mu2lin</b> (<var>x, bps</var>)<var><a name="index-mu2lin-1913"></a></var><br>
+&mdash; Function File:  <b>mu2lin</b> (<var>x, bps</var>)<var><a name="index-mu2lin-1975"></a></var><br>
 <blockquote><p>Converts audio data from linear to mu-law.  Mu-law values are 8-bit
 unsigned integers.  Linear values use <var>n</var>-bit signed integers
 or floating point values in the range -1&lt;=y&lt;=1 if <var>n</var> is 0.  If
@@ -87,7 +87,7 @@ or floating point values in the range -1
    <p><a name="doc_002dloadaudio"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>loadaudio</b> (<var>name, ext, bps</var>)<var><a name="index-loadaudio-1914"></a></var><br>
+&mdash; Function File:  <b>loadaudio</b> (<var>name, ext, bps</var>)<var><a name="index-loadaudio-1976"></a></var><br>
 <blockquote><p>Loads audio data from the file <samp><var>name</var><span class="file">.</span><var>ext</var></samp> into the
 vector <var>x</var>.
 
@@ -107,7 +107,7 @@ the number of bits per sample used in th
    <p><a name="doc_002dsaveaudio"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>saveaudio</b> (<var>name, x, ext, bps</var>)<var><a name="index-saveaudio-1915"></a></var><br>
+&mdash; Function File:  <b>saveaudio</b> (<var>name, x, ext, bps</var>)<var><a name="index-saveaudio-1977"></a></var><br>
 <blockquote><p>Saves a vector <var>x</var> of audio data to the file
 <samp><var>name</var><span class="file">.</span><var>ext</var></samp>.  The optional parameters <var>ext</var> and
 <var>bps</var> determine the encoding and the number of bits per sample used
@@ -130,8 +130,8 @@ hardware are welcome.
    <p><a name="doc_002dplayaudio"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>playaudio</b> (<var>name, ext</var>)<var><a name="index-playaudio-1916"></a></var><br>
-&mdash; Function File:  <b>playaudio</b> (<var>x</var>)<var><a name="index-playaudio-1917"></a></var><br>
+&mdash; Function File:  <b>playaudio</b> (<var>name, ext</var>)<var><a name="index-playaudio-1978"></a></var><br>
+&mdash; Function File:  <b>playaudio</b> (<var>x</var>)<var><a name="index-playaudio-1979"></a></var><br>
 <blockquote><p>Plays the audio file <samp><var>name</var><span class="file">.</span><var>ext</var></samp> or the audio data
 stored in the vector <var>x</var>.
         <pre class="sp">
@@ -143,7 +143,7 @@ stored in the vector <var>x</var>.
    <p><a name="doc_002drecord"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>record</b> (<var>sec, sampling_rate</var>)<var><a name="index-record-1918"></a></var><br>
+&mdash; Function File:  <b>record</b> (<var>sec, sampling_rate</var>)<var><a name="index-record-1980"></a></var><br>
 <blockquote><p>Records <var>sec</var> seconds of audio input into the vector <var>x</var>.  The
 default value for <var>sampling_rate</var> is 8000 samples per second, or
 8kHz.  The program waits until the user types &lt;RET&gt; and then
@@ -157,29 +157,29 @@ immediately starts to record.
    <p><a name="doc_002dsetaudio"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>setaudio</b> ([<var>w_type </var>[<var>, value</var>]])<var><a name="index-setaudio-1919"></a></var><br>
+&mdash; Function File:  <b>setaudio</b> ([<var>w_type </var>[<var>, value</var>]])<var><a name="index-setaudio-1981"></a></var><br>
 <blockquote><p>Execute the shell command &lsquo;<samp><span class="samp">mixer [</span><var>w_type</var><span class="samp"> [, </span><var>value</var><span class="samp">]]</span></samp>&rsquo;
 </p></blockquote></div>
 
    <p><a name="doc_002dwavread"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>wavread</b> (<var>filename</var>)<var><a name="index-wavread-1920"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>wavread</b> (<var>filename</var>)<var><a name="index-wavread-1982"></a></var><br>
 <blockquote><p>Load the RIFF/WAVE sound file <var>filename</var>, and return the samples
 in vector <var>y</var>.  If the file contains multichannel data, then
 <var>y</var> is a matrix with the channels represented as columns.
 
-   &mdash; Function File: [<var>y</var>, <var>Fs</var>, <var>bits</var>] = <b>wavread</b> (<var>filename</var>)<var><a name="index-wavread-1921"></a></var><br>
+   &mdash; Function File: [<var>y</var>, <var>Fs</var>, <var>bits</var>] = <b>wavread</b> (<var>filename</var>)<var><a name="index-wavread-1983"></a></var><br>
 <blockquote><p>Additionally return the sample rate (<var>fs</var>) in Hz and the number of bits
 per sample (<var>bits</var>).
 
-   &mdash; Function File: [<small class="dots">...</small>] = <b>wavread</b> (<var>filename, n</var>)<var><a name="index-wavread-1922"></a></var><br>
+   &mdash; Function File: [<small class="dots">...</small>] = <b>wavread</b> (<var>filename, n</var>)<var><a name="index-wavread-1984"></a></var><br>
 <blockquote><p>Read only the first <var>n</var> samples from each channel.
 
-   &mdash; Function File: [<small class="dots">...</small>] = <b>wavread</b> (<var>filename,</var>[<var>n1 n2</var>])<var><a name="index-wavread-1923"></a></var><br>
+   &mdash; Function File: [<small class="dots">...</small>] = <b>wavread</b> (<var>filename,</var>[<var>n1 n2</var>])<var><a name="index-wavread-1985"></a></var><br>
 <blockquote><p>Read only samples <var>n1</var> through <var>n2</var> from each channel.
 
-   &mdash; Function File: [<var>samples</var>, <var>channels</var>] = <b>wavread</b> (<var>filename, "size"</var>)<var><a name="index-wavread-1924"></a></var><br>
+   &mdash; Function File: [<var>samples</var>, <var>channels</var>] = <b>wavread</b> (<var>filename, "size"</var>)<var><a name="index-wavread-1986"></a></var><br>
 <blockquote><p>Return the number of samples (<var>n</var>) and channels (<var>ch</var>)
 instead of the audio data.
         <pre class="sp">
@@ -191,9 +191,9 @@ instead of the audio data.
    <p><a name="doc_002dwavwrite"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wavwrite</b> (<var>y, filename</var>)<var><a name="index-wavwrite-1925"></a></var><br>
-&mdash; Function File:  <b>wavwrite</b> (<var>y, fs, filename</var>)<var><a name="index-wavwrite-1926"></a></var><br>
-&mdash; Function File:  <b>wavwrite</b> (<var>y, fs, bits, filename</var>)<var><a name="index-wavwrite-1927"></a></var><br>
+&mdash; Function File:  <b>wavwrite</b> (<var>y, filename</var>)<var><a name="index-wavwrite-1987"></a></var><br>
+&mdash; Function File:  <b>wavwrite</b> (<var>y, fs, filename</var>)<var><a name="index-wavwrite-1988"></a></var><br>
+&mdash; Function File:  <b>wavwrite</b> (<var>y, fs, bits, filename</var>)<var><a name="index-wavwrite-1989"></a></var><br>
 <blockquote><p>Write <var>y</var> to the canonical RIFF/WAVE sound file <var>filename</var>
 with sample rate <var>fs</var> and bits per sample <var>bits</var>.  The
 default sample rate is 8000 Hz with 16-bits per sample.  Each column
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Axes-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Axes-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Axes-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Axes-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,12 +34,15 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.3 Axes Properties</h5>
 
+<p><a name="index-axes-properties-936"></a>
      <dl>
-<dt><code>position</code><dd>A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, <code>[0.2, 0.3, 0.4, 0.5]</code> sets the lower left corner of the
-axes at (0.2, 0.3) and the width and height to be 0.4 and 0.5
-respectively.
+<dt><code>position</code><dd>A vector specifying the position of the plot, excluding titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, <code>[0.2,
+0.3, 0.4, 0.5]</code> sets the lower left corner of the axes at (0.2,
+0.3) and the width and height to be 0.4 and 0.5 respectively.  See also
+the <code>outerposition</code> property.
 
      <br><dt><code>title</code><dd>Index of text object for the axes title.
 
@@ -106,11 +109,13 @@ or <code>"right"</code> for the y axis.
           <dl>
 <dt><code>"new"</code><br><dt><code>"add"</code><br><dt><code>"replace"</code><br><dt><code>"replacechildren"</code><dd></dl>
 
-     <br><dt><code>outerposition</code><dd>A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, <code>[0.2, 0.3, 0.4, 0.5]</code> sets the lower left corner of the
-axes at (0.2, 0.3) and the width and height to be 0.4 and 0.5
-respectively. 
+     <br><dt><code>outerposition</code><dd>A vector specifying the position of the plot, including titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, <code>[0.2,
+0.3, 0.4, 0.5]</code> sets the lower left corner of the axes at (0.2,
+0.3) and the width and height to be 0.4 and 0.5 respectively.  See also
+the <code>position</code> property. 
 </dl>
 
    </body></html>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Basic-Matrix-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Basic-Matrix-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Basic-Matrix-Functions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Basic-Matrix-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,9 +37,9 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dbalance"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>aa</var> = <b>balance</b> (<var>a, opt</var>)<var><a name="index-balance-1157"></a></var><br>
-&mdash; Loadable Function: [<var>dd</var>, <var>aa</var>] = <b>balance</b> (<var>a, opt</var>)<var><a name="index-balance-1158"></a></var><br>
-&mdash; Loadable Function: [<var>cc</var>, <var>dd</var>, <var>aa</var>, <var>bb</var>] = <b>balance</b> (<var>a, b, opt</var>)<var><a name="index-balance-1159"></a></var><br>
+&mdash; Loadable Function: <var>aa</var> = <b>balance</b> (<var>a, opt</var>)<var><a name="index-balance-1205"></a></var><br>
+&mdash; Loadable Function: [<var>dd</var>, <var>aa</var>] = <b>balance</b> (<var>a, opt</var>)<var><a name="index-balance-1206"></a></var><br>
+&mdash; Loadable Function: [<var>cc</var>, <var>dd</var>, <var>aa</var>, <var>bb</var>] = <b>balance</b> (<var>a, b, opt</var>)<var><a name="index-balance-1207"></a></var><br>
 <blockquote>
         <p>Compute <code>aa = dd \ a * dd</code> in which <code>aa</code> is a matrix whose
 row and column norms are roughly equal in magnitude, and
@@ -77,7 +77,7 @@ behavior. 
    <p><a name="doc_002dcond"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cond</b> (<var>a,p</var>)<var><a name="index-cond-1160"></a></var><br>
+&mdash; Function File:  <b>cond</b> (<var>a,p</var>)<var><a name="index-cond-1208"></a></var><br>
 <blockquote><p>Compute the <var>p</var>-norm condition number of a matrix. <code>cond (</code><var>a</var><code>)</code> is
 defined as <code>norm (</code><var>a</var><code>, </code><var>p</var><code>) * norm (inv (</code><var>a</var><code>), </code><var>p</var><code>)</code>. 
 By default <var>p</var><code>=2</code> is used which implies a (relatively slow)
@@ -92,7 +92,7 @@ singular value decomposition. Other poss
    <p><a name="doc_002ddet"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>d</var>, <var>rcond</var>] = <b>det</b> (<var>a</var>)<var><a name="index-det-1161"></a></var><br>
+&mdash; Loadable Function: [<var>d</var>, <var>rcond</var>] = <b>det</b> (<var>a</var>)<var><a name="index-det-1209"></a></var><br>
 <blockquote><p>Compute the determinant of <var>a</var> using <span class="sc">Lapack</span>.  Return an estimate
 of the reciprocal condition number if requested. 
 </p></blockquote></div>
@@ -100,7 +100,7 @@ of the reciprocal condition number if re
    <p><a name="doc_002ddmult"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dmult</b> (<var>a, b</var>)<var><a name="index-dmult-1162"></a></var><br>
+&mdash; Function File:  <b>dmult</b> (<var>a, b</var>)<var><a name="index-dmult-1210"></a></var><br>
 <blockquote><p>If <var>a</var> is a vector of length <code>rows (</code><var>b</var><code>)</code>, return
 <code>diag (</code><var>a</var><code>) * </code><var>b</var> (but computed much more efficiently). 
 </p></blockquote></div>
@@ -108,7 +108,7 @@ of the reciprocal condition number if re
    <p><a name="doc_002ddot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dot</b> (<var>x, y, dim</var>)<var><a name="index-dot-1163"></a></var><br>
+&mdash; Function File:  <b>dot</b> (<var>x, y, dim</var>)<var><a name="index-dot-1211"></a></var><br>
 <blockquote><p>Computes the dot product of two vectors. If <var>x</var> and <var>y</var>
 are matrices, calculate the dot-product along the first
 non-singleton dimension. If the optional argument <var>dim</var> is
@@ -118,8 +118,8 @@ given, calculate the dot-product along t
    <p><a name="doc_002deig"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>lambda</var> = <b>eig</b> (<var>a</var>)<var><a name="index-eig-1164"></a></var><br>
-&mdash; Loadable Function: [<var>v</var>, <var>lambda</var>] = <b>eig</b> (<var>a</var>)<var><a name="index-eig-1165"></a></var><br>
+&mdash; Loadable Function: <var>lambda</var> = <b>eig</b> (<var>a</var>)<var><a name="index-eig-1212"></a></var><br>
+&mdash; Loadable Function: [<var>v</var>, <var>lambda</var>] = <b>eig</b> (<var>a</var>)<var><a name="index-eig-1213"></a></var><br>
 <blockquote><p>The eigenvalues (and eigenvectors) of a matrix are computed in a several
 step process which begins with a Hessenberg decomposition, followed by a
 Schur decomposition, from which the eigenvalues are apparent.  The
@@ -132,8 +132,8 @@ Schur decomposition.
    <p><a name="doc_002dgivens"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>g</var> = <b>givens</b> (<var>x, y</var>)<var><a name="index-givens-1166"></a></var><br>
-&mdash; Loadable Function: [<var>c</var>, <var>s</var>] = <b>givens</b> (<var>x, y</var>)<var><a name="index-givens-1167"></a></var><br>
+&mdash; Loadable Function: <var>g</var> = <b>givens</b> (<var>x, y</var>)<var><a name="index-givens-1214"></a></var><br>
+&mdash; Loadable Function: [<var>c</var>, <var>s</var>] = <b>givens</b> (<var>x, y</var>)<var><a name="index-givens-1215"></a></var><br>
 <blockquote><p>Return a 2 by 2 orthogonal matrix
 <var>g</var><code> = [</code><var>c</var> <var>s</var><code>; -</code><var>s</var><code>' </code><var>c</var><code>]</code> such that
 <var>g</var><code> [</code><var>x</var><code>; </code><var>y</var><code>] = [*; 0]</code> with <var>x</var> and <var>y</var> scalars.
@@ -149,8 +149,8 @@ Schur decomposition.
    <p><a name="doc_002dinv"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>inv</b> (<var>a</var>)<var><a name="index-inv-1168"></a></var><br>
-&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>inverse</b> (<var>a</var>)<var><a name="index-inverse-1169"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>inv</b> (<var>a</var>)<var><a name="index-inv-1216"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>inverse</b> (<var>a</var>)<var><a name="index-inverse-1217"></a></var><br>
 <blockquote><p>Compute the inverse of the square matrix <var>a</var>.  Return an estimate
 of the reciprocal condition number if requested, otherwise warn of an
 ill-conditioned matrix if the reciprocal condition number is small. 
@@ -159,11 +159,11 @@ ill-conditioned matrix if the reciprocal
    <p><a name="doc_002dmatrix_005ftype"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>type</var> = <b>matrix_type</b> (<var>a</var>)<var><a name="index-matrix_005ftype-1170"></a></var><br>
-&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, type</var>)<var><a name="index-matrix_005ftype-1171"></a></var><br>
-&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'upper', perm</var>)<var><a name="index-matrix_005ftype-1172"></a></var><br>
-&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'lower', perm</var>)<var><a name="index-matrix_005ftype-1173"></a></var><br>
-&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'banded', nl, nu</var>)<var><a name="index-matrix_005ftype-1174"></a></var><br>
+&mdash; Loadable Function: <var>type</var> = <b>matrix_type</b> (<var>a</var>)<var><a name="index-matrix_005ftype-1218"></a></var><br>
+&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, type</var>)<var><a name="index-matrix_005ftype-1219"></a></var><br>
+&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'upper', perm</var>)<var><a name="index-matrix_005ftype-1220"></a></var><br>
+&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'lower', perm</var>)<var><a name="index-matrix_005ftype-1221"></a></var><br>
+&mdash; Loadable Function: <var>a</var> = <b>matrix_type</b> (<var>a, 'banded', nl, nu</var>)<var><a name="index-matrix_005ftype-1222"></a></var><br>
 <blockquote><p>Identify the matrix type or mark a matrix as a particular type. This allows rapid
 for solutions of linear equations involving <var>a</var> to be performed. Called with a
 single argument, <code>matrix_type</code> returns the type of the matrix and caches it for
@@ -211,7 +211,7 @@ and so it is entirely the responsibility
 matrix type.
 
         <p>Also the test for positive definiteness is a low cost test for a hermitian
-matrix with a real positive diagonal. This does not guarentee that the matrix
+matrix with a real positive diagonal. This does not guarantee that the matrix
 is positive definite, but only that it is a probable candidate. When such a
 matrix is factorized, a Cholesky factorization is first attempted, and if
 that fails the matrix is then treated with an LU factorization. Once the
@@ -222,7 +222,7 @@ classification of the matrix. 
    <p><a name="doc_002dnorm"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>norm</b> (<var>a, p</var>)<var><a name="index-norm-1175"></a></var><br>
+&mdash; Function File:  <b>norm</b> (<var>a, p</var>)<var><a name="index-norm-1223"></a></var><br>
 <blockquote><p>Compute the p-norm of the matrix <var>a</var>.  If the second argument is
 missing, <code>p = 2</code> is assumed.
 
@@ -233,9 +233,9 @@ missing, <code>p = 2</code> is assumed.
 
           <br><dt><var>p</var> = <code>2</code><dd>Largest singular value of <var>a</var>.
 
-          <br><dt><var>p</var> = <code>Inf</code> or <code>"inf"</code><dd><a name="index-infinity-norm-1176"></a>Infinity norm, the largest row sum of the absolute values of <var>a</var>.
+          <br><dt><var>p</var> = <code>Inf</code> or <code>"inf"</code><dd><a name="index-infinity-norm-1224"></a>Infinity norm, the largest row sum of the absolute values of <var>a</var>.
 
-          <br><dt><var>p</var> = <code>"fro"</code><dd><a name="index-Frobenius-norm-1177"></a>Frobenius norm of <var>a</var>, <code>sqrt (sum (diag (</code><var>a</var><code>' * </code><var>a</var><code>)))</code>. 
+          <br><dt><var>p</var> = <code>"fro"</code><dd><a name="index-Frobenius-norm-1225"></a>Frobenius norm of <var>a</var>, <code>sqrt (sum (diag (</code><var>a</var><code>' * </code><var>a</var><code>)))</code>. 
 </dl>
 
         <p>If <var>a</var> is a vector or a scalar:
@@ -259,7 +259,7 @@ missing, <code>p = 2</code> is assumed.
    <p><a name="doc_002dnull"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>null</b> (<var>a, tol</var>)<var><a name="index-null-1178"></a></var><br>
+&mdash; Function File:  <b>null</b> (<var>a, tol</var>)<var><a name="index-null-1226"></a></var><br>
 <blockquote><p>Return an orthonormal basis of the null space of <var>a</var>.
 
         <p>The dimension of the null space is taken as the number of singular
@@ -273,7 +273,7 @@ is missing, it is computed as
    <p><a name="doc_002dorth"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>orth</b> (<var>a, tol</var>)<var><a name="index-orth-1179"></a></var><br>
+&mdash; Function File:  <b>orth</b> (<var>a, tol</var>)<var><a name="index-orth-1227"></a></var><br>
 <blockquote><p>Return an orthonormal basis of the range space of <var>a</var>.
 
         <p>The dimension of the range space is taken as the number of singular
@@ -287,7 +287,7 @@ missing, it is computed as
    <p><a name="doc_002dpinv"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>pinv</b> (<var>x, tol</var>)<var><a name="index-pinv-1180"></a></var><br>
+&mdash; Loadable Function:  <b>pinv</b> (<var>x, tol</var>)<var><a name="index-pinv-1228"></a></var><br>
 <blockquote><p>Return the pseudoinverse of <var>x</var>.  Singular values less than
 <var>tol</var> are ignored.
 
@@ -301,7 +301,7 @@ missing, it is computed as
    <p><a name="doc_002drank"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rank</b> (<var>a, tol</var>)<var><a name="index-rank-1181"></a></var><br>
+&mdash; Function File:  <b>rank</b> (<var>a, tol</var>)<var><a name="index-rank-1229"></a></var><br>
 <blockquote><p>Compute the rank of <var>a</var>, using the singular value decomposition. 
 The rank is taken to be the number  of singular values of <var>a</var> that
 are greater than the specified tolerance <var>tol</var>.  If the second
@@ -316,14 +316,14 @@ singular value of <var>a</var>. 
    <p><a name="doc_002dtrace"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>trace</b> (<var>a</var>)<var><a name="index-trace-1182"></a></var><br>
+&mdash; Function File:  <b>trace</b> (<var>a</var>)<var><a name="index-trace-1230"></a></var><br>
 <blockquote><p>Compute the trace of <var>a</var>, <code>sum (diag (</code><var>a</var><code>))</code>. 
 </p></blockquote></div>
 
    <p><a name="doc_002drref"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>r</var>, <var>k</var>] = <b>rref</b> (<var>a, tol</var>)<var><a name="index-rref-1183"></a></var><br>
+&mdash; Function File: [<var>r</var>, <var>k</var>] = <b>rref</b> (<var>a, tol</var>)<var><a name="index-rref-1231"></a></var><br>
 <blockquote>
         <p>Returns the reduced row echelon form of <var>a</var>. <var>tol</var> defaults
 to <code>eps * max (size (</code><var>a</var><code>)) * norm (</code><var>a</var><code>, inf)</code>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Basic-Statistical-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Basic-Statistical-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Basic-Statistical-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Basic-Statistical-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -39,7 +39,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dmahalanobis"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mahalanobis</b> (<var>x, y</var>)<var><a name="index-mahalanobis-1393"></a></var><br>
+&mdash; Function File:  <b>mahalanobis</b> (<var>x, y</var>)<var><a name="index-mahalanobis-1446"></a></var><br>
 <blockquote><p>Return the Mahalanobis' D-square distance between the multivariate
 samples <var>x</var> and <var>y</var>, which must have the same number of
 components (columns), but may have a different number of observations
@@ -49,8 +49,8 @@ components (columns), but may have a dif
    <p><a name="doc_002dcenter"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>center</b> (<var>x</var>)<var><a name="index-center-1394"></a></var><br>
-&mdash; Function File:  <b>center</b> (<var>x, dim</var>)<var><a name="index-center-1395"></a></var><br>
+&mdash; Function File:  <b>center</b> (<var>x</var>)<var><a name="index-center-1447"></a></var><br>
+&mdash; Function File:  <b>center</b> (<var>x, dim</var>)<var><a name="index-center-1448"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, subtract its mean. 
 If <var>x</var> is a matrix, do the above for each column. 
 If the optional argument <var>dim</var> is given, perform the above
@@ -60,7 +60,7 @@ operation along this dimension
    <p><a name="doc_002dstudentize"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>studentize</b> (<var>x, dim</var>)<var><a name="index-studentize-1396"></a></var><br>
+&mdash; Function File:  <b>studentize</b> (<var>x, dim</var>)<var><a name="index-studentize-1449"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, subtract its mean and divide by its standard
 deviation.
 
@@ -72,7 +72,7 @@ along this dimension. 
    <p><a name="doc_002dnchoosek"></a>
 
 <div class="defun">
-&mdash; Function File: <var>c</var> = <b>nchoosek</b> (<var>n, k</var>)<var><a name="index-nchoosek-1397"></a></var><br>
+&mdash; Function File: <var>c</var> = <b>nchoosek</b> (<var>n, k</var>)<var><a name="index-nchoosek-1450"></a></var><br>
 <blockquote>
         <p>Compute the binomial coefficient or all combinations of <var>n</var>. 
 If <var>n</var> is a scalar then, calculate the binomial coefficient
@@ -98,7 +98,7 @@ resulting <var>c</var> has size <code>[n
    <p><a name="doc_002dperms"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>perms</b> (<var>v</var>)<var><a name="index-perms-1398"></a></var><br>
+&mdash; Function File:  <b>perms</b> (<var>v</var>)<var><a name="index-perms-1451"></a></var><br>
 <blockquote>
         <p>Generate all permutations of <var>v</var>, one row per permutation. The
 result has size <code>factorial (</code><var>n</var><code>) * </code><var>n</var>, where <var>n</var>
@@ -117,7 +117,7 @@ is the length of <var>v</var>.
    <p><a name="doc_002dvalues"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>values</b> (<var>x</var>)<var><a name="index-values-1399"></a></var><br>
+&mdash; Function File:  <b>values</b> (<var>x</var>)<var><a name="index-values-1452"></a></var><br>
 <blockquote><p>Return the different values in a column vector, arranged in ascending
 order.
 
@@ -128,8 +128,8 @@ order.
    <p><a name="doc_002dtable"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>t</var>, <var>l_x</var>] = <b>table</b> (<var>x</var>)<var><a name="index-table-1400"></a></var><br>
-&mdash; Function File: [<var>t</var>, <var>l_x</var>, <var>l_y</var>] = <b>table</b> (<var>x, y</var>)<var><a name="index-table-1401"></a></var><br>
+&mdash; Function File: [<var>t</var>, <var>l_x</var>] = <b>table</b> (<var>x</var>)<var><a name="index-table-1453"></a></var><br>
+&mdash; Function File: [<var>t</var>, <var>l_x</var>, <var>l_y</var>] = <b>table</b> (<var>x, y</var>)<var><a name="index-table-1454"></a></var><br>
 <blockquote><p>Create a contingency table <var>t</var> from data vectors.  The <var>l</var>
 vectors are the corresponding levels.
 
@@ -139,7 +139,7 @@ vectors are the corresponding levels.
    <p><a name="doc_002dspearman"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spearman</b> (<var>x, y</var>)<var><a name="index-spearman-1402"></a></var><br>
+&mdash; Function File:  <b>spearman</b> (<var>x, y</var>)<var><a name="index-spearman-1455"></a></var><br>
 <blockquote><p>Compute Spearman's rank correlation coefficient <var>rho</var> for each of
 the variables specified by the input arguments.
 
@@ -160,7 +160,7 @@ asymptotically normally distributed. 
    <p><a name="doc_002drun_005fcount"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>run_count</b> (<var>x, n</var>)<var><a name="index-run_005fcount-1403"></a></var><br>
+&mdash; Function File:  <b>run_count</b> (<var>x, n</var>)<var><a name="index-run_005fcount-1456"></a></var><br>
 <blockquote><p>Count the upward runs along the first non-singleton dimension of
 <var>x</var> of length 1, 2, <small class="dots">...</small>, <var>n</var>-1 and greater than or equal
 to <var>n</var>. If the optional argument <var>dim</var> is given operate
@@ -170,20 +170,17 @@ along this dimension
    <p><a name="doc_002dranks"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ranks</b> (<var>x, dim</var>)<var><a name="index-ranks-1404"></a></var><br>
-<blockquote><p>If <var>x</var> is a vector, return the (column) vector of ranks of
-<var>x</var> adjusted for ties.
-
-        <p>If <var>x</var> is a matrix, do the above for along the first
-non-singleton dimension. If the optional argument <var>dim</var> is
+&mdash; Function File:  <b>ranks</b> (<var>x, dim</var>)<var><a name="index-ranks-1457"></a></var><br>
+<blockquote><p>Return the ranks of <var>x</var> along the first non-singleton dimension
+adjust for ties. If the optional argument <var>dim</var> is
 given, operate along this dimension. 
 </p></blockquote></div>
 
    <p><a name="doc_002drange"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>range</b> (<var>x</var>)<var><a name="index-range-1405"></a></var><br>
-&mdash; Function File:  <b>range</b> (<var>x, dim</var>)<var><a name="index-range-1406"></a></var><br>
+&mdash; Function File:  <b>range</b> (<var>x</var>)<var><a name="index-range-1458"></a></var><br>
+&mdash; Function File:  <b>range</b> (<var>x, dim</var>)<var><a name="index-range-1459"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, return the range, i.e., the difference
 between the maximum and the minimum, of the input data.
 
@@ -196,7 +193,7 @@ between the maximum and the minimum, of 
    <p><a name="doc_002dprobit"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>probit</b> (<var>p</var>)<var><a name="index-probit-1407"></a></var><br>
+&mdash; Function File:  <b>probit</b> (<var>p</var>)<var><a name="index-probit-1460"></a></var><br>
 <blockquote><p>For each component of <var>p</var>, return the probit (the quantile of the
 standard normal distribution) of <var>p</var>. 
 </p></blockquote></div>
@@ -204,7 +201,7 @@ standard normal distribution) of <var>p<
    <p><a name="doc_002dlogit"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logit</b> (<var>p</var>)<var><a name="index-logit-1408"></a></var><br>
+&mdash; Function File:  <b>logit</b> (<var>p</var>)<var><a name="index-logit-1461"></a></var><br>
 <blockquote><p>For each component of <var>p</var>, return the logit of <var>p</var> defined as
      <pre class="example">          logit(<var>p</var>) = log (<var>p</var> / (1-<var>p</var>))
 </pre>
@@ -213,7 +210,7 @@ standard normal distribution) of <var>p<
    <p><a name="doc_002dcloglog"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cloglog</b> (<var>x</var>)<var><a name="index-cloglog-1409"></a></var><br>
+&mdash; Function File:  <b>cloglog</b> (<var>x</var>)<var><a name="index-cloglog-1462"></a></var><br>
 <blockquote><p>Return the complementary log-log function of <var>x</var>, defined as
 
      <pre class="example">          cloglog(x) = - log (- log (<var>x</var>))
@@ -223,7 +220,7 @@ standard normal distribution) of <var>p<
    <p><a name="doc_002dkendall"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>kendall</b> (<var>x, y</var>)<var><a name="index-kendall-1410"></a></var><br>
+&mdash; Function File:  <b>kendall</b> (<var>x, y</var>)<var><a name="index-kendall-1463"></a></var><br>
 <blockquote><p>Compute Kendall's <var>tau</var> for each of the variables specified by
 the input arguments.
 
@@ -255,7 +252,7 @@ Kendall's <var>tau</var> is asymptotical
    <p><a name="doc_002diqr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>iqr</b> (<var>x, dim</var>)<var><a name="index-iqr-1411"></a></var><br>
+&mdash; Function File:  <b>iqr</b> (<var>x, dim</var>)<var><a name="index-iqr-1464"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, return the interquartile range, i.e., the
 difference between the upper and lower quartile, of the input data.
 
@@ -267,7 +264,7 @@ then operate along this dimension. 
    <p><a name="doc_002dcut"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cut</b> (<var>x, breaks</var>)<var><a name="index-cut-1412"></a></var><br>
+&mdash; Function File:  <b>cut</b> (<var>x, breaks</var>)<var><a name="index-cut-1465"></a></var><br>
 <blockquote><p>Create categorical data out of numerical or continuous data by
 cutting into intervals.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Bit-Manipulations.html 1:3.0.5-6/doc/interpreter/HTML/Bit-Manipulations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Bit-Manipulations.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Bit-Manipulations.html	2009-04-07 11:11:39.000000000 +0100
@@ -101,7 +101,7 @@ the function <code>bitmax</code>.
 <div class="defun">
 &mdash; Built-in Function:  <b>bitmax</b> ()<var><a name="index-bitmax-220"></a></var><br>
 <blockquote><p>Return the largest integer that can be represented as a floating point
-value.  On IEEE-754 compatiable systems, <code>bitmax</code> is <code>2^53 - 1</code>. 
+value.  On IEEE-754 compatible systems, <code>bitmax</code> is <code>2^53 - 1</code>. 
 </p></blockquote></div>
 
    <p>This is the double precision version of the functions <code>intmax</code>,
@@ -146,7 +146,7 @@ operators.
      <strong>See also:</strong> bitand, bitor, bitset, bitget, bitcmp, bitshift, bitmax. 
 </p></blockquote></div>
 
-   <p>The bitwise 'not' operator is unary operator that performs a logial
+   <p>The bitwise 'not' operator is unary operator that performs a logical
 negation of each of the bits of the value. For this to make sense, the
 mask against which the value is negated must be defined. Octave's
 bitwise 'not' operator is <code>bitcmp</code>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/blockdiag.html 1:3.0.5-6/doc/interpreter/HTML/blockdiag.html
--- 1:3.0.1-6/doc/interpreter/HTML/blockdiag.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/blockdiag.html	2009-04-07 11:11:40.000000000 +0100
@@ -42,14 +42,14 @@ system data structures.
    <p><a name="doc_002dbddemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>bddemo</b> (<var>inputs</var>)<var><a name="index-bddemo-1694"></a></var><br>
+&mdash; Function File:  <b>bddemo</b> (<var>inputs</var>)<var><a name="index-bddemo-1756"></a></var><br>
 <blockquote><p>Octave Controls toolbox demo: Block Diagram Manipulations demo. 
 </p></blockquote></div>
 
    <p><a name="doc_002dbuildssic"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>buildssic</b> (<var>clst, ulst, olst, ilst, s1, s2, s3, s4, s5, s6, s7, s8</var>)<var><a name="index-buildssic-1695"></a></var><br>
+&mdash; Function File:  <b>buildssic</b> (<var>clst, ulst, olst, ilst, s1, s2, s3, s4, s5, s6, s7, s8</var>)<var><a name="index-buildssic-1757"></a></var><br>
 <blockquote>
         <p>Form an arbitrary complex (open or closed loop) system in
 state-space form from several systems. <samp><span class="command">buildssic</span></samp> can
@@ -149,7 +149,7 @@ can be obtained by (all <acronym>SISO</a
    <p><a name="doc_002djet707"></a>
 
 <div class="defun">
-&mdash; Function File: <var>sys</var> = <b>jet707</b> ()<var><a name="index-jet707-1696"></a></var><br>
+&mdash; Function File: <var>sys</var> = <b>jet707</b> ()<var><a name="index-jet707-1758"></a></var><br>
 <blockquote><p>Creates a linearized state-space model of a Boeing 707-321 aircraft
 at <var>v</var>=80 m/s
 (<var>M</var> = 0.26, <var>Ga0</var> = -3 deg, <var>alpha0</var> = 4 deg, <var>kappa</var> = 50 deg).
@@ -169,7 +169,7 @@ Control), Springer, 1994.
    <p><a name="doc_002dord2"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ord2</b> (<var>nfreq, damp, gain</var>)<var><a name="index-ord2-1697"></a></var><br>
+&mdash; Function File:  <b>ord2</b> (<var>nfreq, damp, gain</var>)<var><a name="index-ord2-1759"></a></var><br>
 <blockquote><p>Creates a continuous 2nd order system with parameters:
 
         <p><strong>Inputs</strong>
@@ -199,7 +199,7 @@ aircraft model)
    <p><a name="doc_002dsysadd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysadd</b> (<var>gsys, hsys</var>)<var><a name="index-sysadd-1698"></a></var><br>
+&mdash; Function File:  <b>sysadd</b> (<var>gsys, hsys</var>)<var><a name="index-sysadd-1760"></a></var><br>
 <blockquote><p>returns <var>sys</var> = <var>gsys</var> + <var>hsys</var>.
           <ul>
 <li>Exits with
@@ -222,7 +222,7 @@ duplicate names are given a suffix to ma
    <p><a name="doc_002dsysappend"></a>
 
 <div class="defun">
-&mdash; Function File: <var>sys</var> = <b>sysappend</b> (<var>syst, b, c, d, outname, inname, yd</var>)<var><a name="index-sysappend-1699"></a></var><br>
+&mdash; Function File: <var>sys</var> = <b>sysappend</b> (<var>syst, b, c, d, outname, inname, yd</var>)<var><a name="index-sysappend-1761"></a></var><br>
 <blockquote><p>appends new inputs and/or outputs to a system
 
         <p><strong>Inputs</strong>
@@ -274,7 +274,7 @@ blocks of the input parameter <var>d</va
    <p><a name="doc_002dsysconnect"></a>
 
 <div class="defun">
-&mdash; Function File: <var>clsys</var> = <b>sysconnect</b> (<var>sys, out_idx, in_idx, order, tol</var>)<var><a name="index-sysconnect-1700"></a></var><br>
+&mdash; Function File: <var>clsys</var> = <b>sysconnect</b> (<var>sys, out_idx, in_idx, order, tol</var>)<var><a name="index-sysconnect-1762"></a></var><br>
 <blockquote><p>Close the loop from specified outputs to respective specified inputs
 
         <p><strong>Inputs</strong>
@@ -317,7 +317,7 @@ the end  of the input name. 
    <p><a name="doc_002dsyscont"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>csys</var>, <var>acd</var>, <var>ccd</var>] = <b>syscont</b> (<var>sys</var>)<var><a name="index-syscont-1701"></a></var><br>
+&mdash; Function File: [<var>csys</var>, <var>acd</var>, <var>ccd</var>] = <b>syscont</b> (<var>sys</var>)<var><a name="index-syscont-1763"></a></var><br>
 <blockquote><p>Extract the purely continuous subsystem of an input system.
 
         <p><strong>Input</strong>
@@ -338,7 +338,7 @@ discrete states to continuous outputs, r
    <p><a name="doc_002dsysdisc"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>dsys</var>, <var>adc</var>, <var>cdc</var>] = <b>sysdisc</b> (<var>sys</var>)<var><a name="index-sysdisc-1702"></a></var><br>
+&mdash; Function File: [<var>dsys</var>, <var>adc</var>, <var>cdc</var>] = <b>sysdisc</b> (<var>sys</var>)<var><a name="index-sysdisc-1764"></a></var><br>
 <blockquote>
         <p><strong>Input</strong>
           <dl>
@@ -357,7 +357,7 @@ outputs, respectively. 
    <p><a name="doc_002dsysdup"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retsys</var> = <b>sysdup</b> (<var>asys, out_idx, in_idx</var>)<var><a name="index-sysdup-1703"></a></var><br>
+&mdash; Function File: <var>retsys</var> = <b>sysdup</b> (<var>asys, out_idx, in_idx</var>)<var><a name="index-sysdup-1765"></a></var><br>
 <blockquote><p>Duplicate specified input/output connections of a system
 
         <p><strong>Inputs</strong>
@@ -390,7 +390,7 @@ specified in <var>in_idx</var>, <var>out
    <p><a name="doc_002dsysgroup"></a>
 
 <div class="defun">
-&mdash; Function File: <var>sys</var> = <b>sysgroup</b> (<var>asys, bsys</var>)<var><a name="index-sysgroup-1704"></a></var><br>
+&mdash; Function File: <var>sys</var> = <b>sysgroup</b> (<var>asys, bsys</var>)<var><a name="index-sysgroup-1766"></a></var><br>
 <blockquote><p>Combines two systems into a single system.
 
         <p><strong>Inputs</strong>
@@ -422,7 +422,7 @@ on to the end of the name. 
    <p><a name="doc_002dsysmult"></a>
 
 <div class="defun">
-&mdash; Function File: <var>sys</var> = <b>sysmult</b> (<var>Asys, Bsys</var>)<var><a name="index-sysmult-1705"></a></var><br>
+&mdash; Function File: <var>sys</var> = <b>sysmult</b> (<var>Asys, Bsys</var>)<var><a name="index-sysmult-1767"></a></var><br>
 <blockquote><p>Compute sys = Asys*Bsys (series connection):
      <pre class="example">          u   ----------     ----------
           ---&gt;|  Bsys  |----&gt;|  Asys  |---&gt;
@@ -437,7 +437,7 @@ of <var>Bsys</var>, to a continuous stat
    <p><a name="doc_002dsysprune"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retsys</var> = <b>sysprune</b> (<var>asys, out_idx, in_idx</var>)<var><a name="index-sysprune-1706"></a></var><br>
+&mdash; Function File: <var>retsys</var> = <b>sysprune</b> (<var>asys, out_idx, in_idx</var>)<var><a name="index-sysprune-1768"></a></var><br>
 <blockquote><p>Extract specified inputs/outputs from a system
 
         <p><strong>Inputs</strong>
@@ -468,7 +468,7 @@ May select as [] (empty matrix) to speci
    <p><a name="doc_002dsysreorder"></a>
 
 <div class="defun">
-&mdash; Function File: <var>pv</var> = <b>sysreorder</b> (<var>vlen, list</var>)<var><a name="index-sysreorder-1707"></a></var><br>
+&mdash; Function File: <var>pv</var> = <b>sysreorder</b> (<var>vlen, list</var>)<var><a name="index-sysreorder-1769"></a></var><br>
 <blockquote>
         <p><strong>Inputs</strong>
           <dl>
@@ -489,7 +489,7 @@ desired locations. 
    <p><a name="doc_002dsysscale"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retsys</var> = <b>sysscale</b> (<var>sys, outscale, inscale, outname, inname</var>)<var><a name="index-sysscale-1708"></a></var><br>
+&mdash; Function File: <var>retsys</var> = <b>sysscale</b> (<var>sys, outscale, inscale, outname, inname</var>)<var><a name="index-sysscale-1770"></a></var><br>
 <blockquote><p>scale inputs/outputs of a system.
 
         <p><strong>Inputs</strong>
@@ -520,7 +520,7 @@ set appropriately in the returned value 
    <p><a name="doc_002dsyssub"></a>
 
 <div class="defun">
-&mdash; Function File: <var>sys</var> = <b>syssub</b> (<var>Gsys, Hsys</var>)<var><a name="index-syssub-1709"></a></var><br>
+&mdash; Function File: <var>sys</var> = <b>syssub</b> (<var>Gsys, Hsys</var>)<var><a name="index-syssub-1771"></a></var><br>
 <blockquote><p>Return sys = Gsys - Hsys.
 
         <p><strong>Method</strong>
@@ -543,7 +543,7 @@ subtracted.  Returned system names are t
    <p><a name="doc_002dugain"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ugain</b> (<var>n</var>)<var><a name="index-ugain-1710"></a></var><br>
+&mdash; Function File:  <b>ugain</b> (<var>n</var>)<var><a name="index-ugain-1772"></a></var><br>
 <blockquote><p>Creates a system with unity gain, no states. 
 This trivial system is sometimes needed to create arbitrary
 complex systems from simple systems with <samp><span class="command">buildssic</span></samp>. 
@@ -558,7 +558,7 @@ does not contain a sampling period.
    <p><a name="doc_002dwgt1o"></a>
 
 <div class="defun">
-&mdash; Function File: <var>W</var> = <b>wgt1o</b> (<var>vl, vh, fc</var>)<var><a name="index-wgt1o-1711"></a></var><br>
+&mdash; Function File: <var>W</var> = <b>wgt1o</b> (<var>vl, vh, fc</var>)<var><a name="index-wgt1o-1773"></a></var><br>
 <blockquote><p>State space description of a first order weighting function.
 
         <p>Weighting function are needed by the
@@ -583,7 +583,7 @@ These functions are part of the augmente
    <p><a name="doc_002dparallel"></a>
 
 <div class="defun">
-&mdash; Function File: <var>ksys</var> = <b>parallel</b> (<var>asys, bsys</var>)<var><a name="index-parallel-1712"></a></var><br>
+&mdash; Function File: <var>ksys</var> = <b>parallel</b> (<var>asys, bsys</var>)<var><a name="index-parallel-1774"></a></var><br>
 <blockquote><p>Forms the parallel connection of two systems.
 
      <pre class="example">                       --------------------
@@ -601,7 +601,7 @@ These functions are part of the augmente
    <p><a name="doc_002dsysmin"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>retsys</var>, <var>nc</var>, <var>no</var>] = <b>sysmin</b> (<var>sys, flg</var>)<var><a name="index-sysmin-1713"></a></var><br>
+&mdash; Function File: [<var>retsys</var>, <var>nc</var>, <var>no</var>] = <b>sysmin</b> (<var>sys, flg</var>)<var><a name="index-sysmin-1775"></a></var><br>
 <blockquote><p>Returns a minimal (or reduced order) system
 
         <p><strong>Inputs</strong>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Bug-Criteria.html 1:3.0.5-6/doc/interpreter/HTML/Bug-Criteria.html
--- 1:3.0.1-6/doc/interpreter/HTML/Bug-Criteria.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Bug-Criteria.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,32 +34,32 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.3 Have You Found a Bug?</h3>
 
-<p><a name="index-bug-criteria-2144"></a>
+<p><a name="index-bug-criteria-2207"></a>
 If you are not sure whether you have found a bug, here are some guidelines:
 
      
-<a name="index-fatal-signal-2145"></a>
-<a name="index-core-dump-2146"></a>
+<a name="index-fatal-signal-2208"></a>
+<a name="index-core-dump-2209"></a>
 <ul><li>If Octave gets a fatal signal, for any input whatever, that is
 a bug.  Reliable interpreters never crash.
 
-     <p><a name="index-incorrect-output-2147"></a><a name="index-incorrect-results-2148"></a><a name="index-results_002c-incorrect-2149"></a><a name="index-answers_002c-incorrect-2150"></a><a name="index-erroneous-results-2151"></a><a name="index-wrong-answers-2152"></a><li>If Octave produces incorrect results, for any input whatever,
+     <p><a name="index-incorrect-output-2210"></a><a name="index-incorrect-results-2211"></a><a name="index-results_002c-incorrect-2212"></a><a name="index-answers_002c-incorrect-2213"></a><a name="index-erroneous-results-2214"></a><a name="index-wrong-answers-2215"></a><li>If Octave produces incorrect results, for any input whatever,
 that is a bug.
 
-     <p><a name="index-undefined-behavior-2153"></a><a name="index-undefined-function-value-2154"></a><li>Some output may appear to be incorrect when it is in fact due to a
+     <p><a name="index-undefined-behavior-2216"></a><a name="index-undefined-function-value-2217"></a><li>Some output may appear to be incorrect when it is in fact due to a
 program whose behavior is undefined, which happened by chance to give
 the desired results on another system.  For example, the range operator
 may produce different results because of differences in the way floating
 point arithmetic is handled on various systems.
 
-     <p><a name="index-erroneous-messages-2155"></a><a name="index-incorrect-error-messages-2156"></a><a name="index-error-messages_002c-incorrect-2157"></a><li>If Octave produces an error message for valid input, that is a bug.
+     <p><a name="index-erroneous-messages-2218"></a><a name="index-incorrect-error-messages-2219"></a><a name="index-error-messages_002c-incorrect-2220"></a><li>If Octave produces an error message for valid input, that is a bug.
 
-     <p><a name="index-invalid-input-2158"></a><li>If Octave does not produce an error message for invalid input, that is
+     <p><a name="index-invalid-input-2221"></a><li>If Octave does not produce an error message for invalid input, that is
 a bug.  However, you should note that your idea of &ldquo;invalid input&rdquo;
 might be my idea of &ldquo;an extension&rdquo; or &ldquo;support for traditional
 practice&rdquo;.
 
-     <p><a name="index-improving-Octave-2159"></a><a name="index-suggestions-2160"></a><li>If you are an experienced user of programs like Octave, your suggestions
+     <p><a name="index-improving-Octave-2222"></a><a name="index-suggestions-2223"></a><li>If you are an experienced user of programs like Octave, your suggestions
 for improvement are welcome in any case. 
 </ul>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Bug-Lists.html 1:3.0.5-6/doc/interpreter/HTML/Bug-Lists.html
--- 1:3.0.1-6/doc/interpreter/HTML/Bug-Lists.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Bug-Lists.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,8 +34,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.4 Where to Report Bugs</h3>
 
-<p><a name="index-bug-report-mailing-lists-2161"></a><a name="index-reporting-bugs-2162"></a><a name="index-bugs_002c-reporting-2163"></a>
-<a name="index-bug_005freport-2164"></a>
+<p><a name="index-bug-report-mailing-lists-2224"></a><a name="index-reporting-bugs-2225"></a><a name="index-bugs_002c-reporting-2226"></a>
+<a name="index-bug_005freport-2227"></a>
 If you have Octave working at all, the easiest way to prepare a complete
 bug report is to use the Octave function <code>bug_report</code>.  When you
 execute this function, Octave will prompt you for a subject and then
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Bug-Reporting.html 1:3.0.5-6/doc/interpreter/HTML/Bug-Reporting.html
--- 1:3.0.1-6/doc/interpreter/HTML/Bug-Reporting.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Bug-Reporting.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.5 How to Report Bugs</h3>
 
-<p><a name="index-bugs_002c-reporting-2165"></a>
+<p><a name="index-bugs_002c-reporting-2228"></a>
 Send bug reports for Octave to one of the addresses listed in
 <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a>.
 
@@ -98,7 +98,7 @@ source.
      <li>Details of any other deviations from the standard procedure for installing
 Octave.
 
-     <p><a name="index-incorrect-output-2166"></a><a name="index-incorrect-results-2167"></a><a name="index-results_002c-incorrect-2168"></a><a name="index-answers_002c-incorrect-2169"></a><a name="index-erroneous-results-2170"></a><a name="index-wrong-answers-2171"></a><li>A description of what behavior you observe that you believe is
+     <p><a name="index-incorrect-output-2229"></a><a name="index-incorrect-results-2230"></a><a name="index-results_002c-incorrect-2231"></a><a name="index-answers_002c-incorrect-2232"></a><a name="index-erroneous-results-2233"></a><a name="index-wrong-answers-2234"></a><li>A description of what behavior you observe that you believe is
 incorrect.  For example, "The interpreter gets a fatal signal," or, "The
 output produced at line 208 is incorrect."
 
@@ -130,7 +130,7 @@ the development sources probably won't m
    <p>Here are some things that are not necessary:
 
      
-<a name="index-bugs_002c-investigating-2172"></a>
+<a name="index-bugs_002c-investigating-2235"></a>
 <ul><li>A description of the envelope of the bug.
 
      <p>Often people who encounter a bug spend a lot of time investigating which
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Built_002din-Data-Types.html 1:3.0.5-6/doc/interpreter/HTML/Built_002din-Data-Types.html
--- 1:3.0.1-6/doc/interpreter/HTML/Built_002din-Data-Types.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Built_002din-Data-Types.html	2009-04-07 11:11:39.000000000 +0100
@@ -74,7 +74,7 @@ use of the following functions.
 
 <div class="defun">
 &mdash; Loadable Function:  <b>typecast</b> (<var>x, type</var>)<var><a name="index-typecast-153"></a></var><br>
-<blockquote><p>Converts from one datatype to another without changing the underlying
+<blockquote><p>Convert from one datatype to another without changing the underlying
 data. The argument <var>type</var> defines the type of the return argument
 and must be one of 'uint8', 'uint16', 'uint32', 'uint64', 'int8', 'int16',
 'int32', 'int64', 'single' or 'double'.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/cacsd.html 1:3.0.5-6/doc/interpreter/HTML/cacsd.html
--- 1:3.0.1-6/doc/interpreter/HTML/cacsd.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/cacsd.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002ddgkfdemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dgkfdemo</b> ()<var><a name="index-dgkfdemo-1777"></a></var><br>
+&mdash; Function File:  <b>dgkfdemo</b> ()<var><a name="index-dgkfdemo-1839"></a></var><br>
 <blockquote><p>Octave Controls toolbox demo:
 H-2/H-infinity
 options demos. 
@@ -46,7 +46,7 @@ options demos. 
    <p><a name="doc_002dhinfdemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hinfdemo</b> ()<var><a name="index-hinfdemo-1778"></a></var><br>
+&mdash; Function File:  <b>hinfdemo</b> ()<var><a name="index-hinfdemo-1840"></a></var><br>
 <blockquote>
         <p>H-infinity
 design demos for continuous <acronym>SISO</acronym> and <acronym>MIMO</acronym> systems and a
@@ -154,7 +154,7 @@ functions. 
    <p><a name="doc_002ddlqe"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>l</var>, <var>m</var>, <var>p</var>, <var>e</var>] = <b>dlqe</b> (<var>a, g, c, sigw, sigv, z</var>)<var><a name="index-dlqe-1779"></a></var><br>
+&mdash; Function File: [<var>l</var>, <var>m</var>, <var>p</var>, <var>e</var>] = <b>dlqe</b> (<var>a, g, c, sigw, sigv, z</var>)<var><a name="index-dlqe-1841"></a></var><br>
 <blockquote><p>Construct the linear quadratic estimator (Kalman filter) for the
 discrete time system
 
@@ -192,7 +192,7 @@ is stable.
    <p><a name="doc_002ddlqr"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>dlqr</b> (<var>a, b, q, r, z</var>)<var><a name="index-dlqr-1780"></a></var><br>
+&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>dlqr</b> (<var>a, b, q, r, z</var>)<var><a name="index-dlqr-1842"></a></var><br>
 <blockquote><p>Construct the linear quadratic regulator for the discrete time system
 
      <pre class="example">          x[k+1] = A x[k] + B u[k]
@@ -224,7 +224,7 @@ is stable.
    <p><a name="doc_002ddkalman"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>Lp</var>, <var>Lf</var>, <var>P</var>, <var>Z</var>] = <b>dkalman</b> (<var>A, G, C, Qw, Rv, S</var>)<var><a name="index-dkalman-1781"></a></var><br>
+&mdash; Function File: [<var>Lp</var>, <var>Lf</var>, <var>P</var>, <var>Z</var>] = <b>dkalman</b> (<var>A, G, C, Qw, Rv, S</var>)<var><a name="index-dkalman-1843"></a></var><br>
 <blockquote><p>Construct the linear quadratic estimator (Kalman predictor) for the
 discrete time system
 
@@ -265,7 +265,7 @@ is stable.
    <p><a name="doc_002dh2syn"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>K</var>, <var>gain</var>, <var>kc</var>, <var>kf</var>, <var>pc</var>, <var>pf</var>] = <b>h2syn</b> (<var>asys, nu, ny, tol</var>)<var><a name="index-h2syn-1782"></a></var><br>
+&mdash; Function File: [<var>K</var>, <var>gain</var>, <var>kc</var>, <var>kf</var>, <var>pc</var>, <var>pf</var>] = <b>h2syn</b> (<var>asys, nu, ny, tol</var>)<var><a name="index-h2syn-1844"></a></var><br>
 <blockquote><p>Design
 H-2
 optimal controller per procedure in
@@ -301,7 +301,7 @@ Doyle, Glover, Khargonekar, Francis, <ci
    <p><a name="doc_002dhinf_005fctr"></a>
 
 <div class="defun">
-&mdash; Function File: <var>K</var> = <b>hinf_ctr</b> (<var>dgs, f, h, z, g</var>)<var><a name="index-hinf_005fctr-1783"></a></var><br>
+&mdash; Function File: <var>K</var> = <b>hinf_ctr</b> (<var>dgs, f, h, z, g</var>)<var><a name="index-hinf_005fctr-1845"></a></var><br>
 <blockquote><p>Called by <code>hinfsyn</code> to compute the
 H-infinity
 optimal controller.
@@ -323,7 +323,7 @@ optimal controller.
    <p><a name="doc_002dhinfsyn"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>k</var>, <var>g</var>, <var>gw</var>, <var>xinf</var>, <var>yinf</var>] = <b>hinfsyn</b> (<var>asys, nu, ny, gmin, gmax, gtol, ptol, tol</var>)<var><a name="index-hinfsyn-1784"></a></var><br>
+&mdash; Function File: [<var>k</var>, <var>g</var>, <var>gw</var>, <var>xinf</var>, <var>yinf</var>] = <b>hinfsyn</b> (<var>asys, nu, ny, gmin, gmax, gtol, ptol, tol</var>)<var><a name="index-hinfsyn-1846"></a></var><br>
 <blockquote>
         <p><strong>Inputs</strong> input system is passed as either
           <dl>
@@ -381,7 +381,7 @@ Systems &amp; Control Letters 11, Oct. 1
    <p><a name="doc_002dhinfsyn_005fchk"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>retval</var>, <var>pc</var>, <var>pf</var>] = <b>hinfsyn_chk</b> (<var>a, b1, b2, c1, c2, d12, d21, g, ptol</var>)<var><a name="index-hinfsyn_005fchk-1785"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>pc</var>, <var>pf</var>] = <b>hinfsyn_chk</b> (<var>a, b1, b2, c1, c2, d12, d21, g, ptol</var>)<var><a name="index-hinfsyn_005fchk-1847"></a></var><br>
 <blockquote><p>Called by <code>hinfsyn</code> to see if gain <var>g</var> satisfies conditions in
 Theorem 3 of
 Doyle, Glover, Khargonekar, Francis, <cite>State Space Solutions to Standard</cite>
@@ -415,7 +415,7 @@ H-infinity
    <p><a name="doc_002dhinfsyn_005fric"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>xinf</var>, <var>x_ha_err</var>] = <b>hinfsyn_ric</b> (<var>a, bb, c1, d1dot, r, ptol</var>)<var><a name="index-hinfsyn_005fric-1786"></a></var><br>
+&mdash; Function File: [<var>xinf</var>, <var>x_ha_err</var>] = <b>hinfsyn_ric</b> (<var>a, bb, c1, d1dot, r, ptol</var>)<var><a name="index-hinfsyn_005fric-1848"></a></var><br>
 <blockquote><p>Forms
      <pre class="example">          xx = ([bb; -c1'*d1dot]/r) * [d1dot'*c1 bb'];
           Ha = [a 0*a; -c1'*c1 - a'] - xx;
@@ -437,7 +437,7 @@ conditions:
    <p><a name="doc_002dlqe"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>lqe</b> (<var>a, g, c, sigw, sigv, z</var>)<var><a name="index-lqe-1787"></a></var><br>
+&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>lqe</b> (<var>a, g, c, sigw, sigv, z</var>)<var><a name="index-lqe-1849"></a></var><br>
 <blockquote><p>Construct the linear quadratic estimator (Kalman filter) for the
 continuous time system
 
@@ -476,7 +476,7 @@ is stable.
    <p><a name="doc_002dlqg"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>k</var>, <var>q1</var>, <var>p1</var>, <var>ee</var>, <var>er</var>] = <b>lqg</b> (<var>sys, sigw, sigv, q, r, in_idx</var>)<var><a name="index-lqg-1788"></a></var><br>
+&mdash; Function File: [<var>k</var>, <var>q1</var>, <var>p1</var>, <var>ee</var>, <var>er</var>] = <b>lqg</b> (<var>sys, sigw, sigv, q, r, in_idx</var>)<var><a name="index-lqg-1850"></a></var><br>
 <blockquote><p>Design a linear-quadratic-gaussian optimal controller for the system
      <pre class="example">          dx/dt = A x + B u + G w       [w]=N(0,[Sigw 0    ])
               y = C x + v               [v]  (    0   Sigv ])
@@ -515,7 +515,7 @@ appropriate). 
    <p><a name="doc_002dlqr"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>lqr</b> (<var>a, b, q, r, z</var>)<var><a name="index-lqr-1789"></a></var><br>
+&mdash; Function File: [<var>k</var>, <var>p</var>, <var>e</var>] = <b>lqr</b> (<var>a, b, q, r, z</var>)<var><a name="index-lqr-1851"></a></var><br>
 <blockquote><p>construct the linear quadratic regulator for the continuous time system
 
      <pre class="example">          dx
@@ -561,7 +561,7 @@ Prentice-Hall, 1990, pp. 56&ndash;58. 
    <p><a name="doc_002dlsim"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>y</var>, <var>x</var>] = <b>lsim</b> (<var>sys, u, t, x0</var>)<var><a name="index-lsim-1790"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>x</var>] = <b>lsim</b> (<var>sys, u, t, x0</var>)<var><a name="index-lsim-1852"></a></var><br>
 <blockquote><p>Produce output for a linear simulation of a system; produces
 a plot for the output of the system, <var>sys</var>.
 
@@ -579,7 +579,7 @@ and <var>x</var> (system states). 
    <p><a name="doc_002dplace"></a>
 
 <div class="defun">
-&mdash; Function File: <var>K</var> = <b>place</b> (<var>sys, p</var>)<var><a name="index-place-1791"></a></var><br>
+&mdash; Function File: <var>K</var> = <b>place</b> (<var>sys, p</var>)<var><a name="index-place-1853"></a></var><br>
 <blockquote><p>Computes the matrix <var>K</var> such that if the state
 is feedback with gain <var>K</var>, then the eigenvalues  of the closed loop
 system (i.e. A-BK) are those specified in the vector <var>p</var>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Coding-Tips.html 1:3.0.5-6/doc/interpreter/HTML/Coding-Tips.html
--- 1:3.0.1-6/doc/interpreter/HTML/Coding-Tips.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Coding-Tips.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="section">C.2 Tips for Making Code Run Faster.</h3>
 
-<p><a name="index-execution-speed-2133"></a><a name="index-speedups-2134"></a>
+<p><a name="index-execution-speed-2196"></a><a name="index-speedups-2197"></a>
 Here are some ways of improving the execution speed of Octave programs.
 
      <ul>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Color-Conversion.html 1:3.0.5-6/doc/interpreter/HTML/Color-Conversion.html
--- 1:3.0.1-6/doc/interpreter/HTML/Color-Conversion.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Color-Conversion.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,7 +38,7 @@ and vice versa.
    <p><a name="doc_002drgb2hsv"></a>
 
 <div class="defun">
-&mdash; Function File: <var>hsv_map</var> = <b>rgb2hsv</b> (<var>rgb_map</var>)<var><a name="index-rgb2hsv-1908"></a></var><br>
+&mdash; Function File: <var>hsv_map</var> = <b>rgb2hsv</b> (<var>rgb_map</var>)<var><a name="index-rgb2hsv-1970"></a></var><br>
 <blockquote><p>Transform a colormap from the rgb space to the hsv space.
 
         <p>A color n the RGB space consists of the red, green and blue intensities.
@@ -56,7 +56,7 @@ Saturation is the amount of Hue mixed in
    <p><a name="doc_002dhsv2rgb"></a>
 
 <div class="defun">
-&mdash; Function File: <var>rgb_map</var> = <b>hsv2rgb</b> (<var>hsv_map</var>)<var><a name="index-hsv2rgb-1909"></a></var><br>
+&mdash; Function File: <var>rgb_map</var> = <b>hsv2rgb</b> (<var>hsv_map</var>)<var><a name="index-hsv2rgb-1971"></a></var><br>
 <blockquote><p>Transform a colormap from the hsv space to the rgb space.
         <pre class="sp">
      
@@ -67,14 +67,14 @@ Saturation is the amount of Hue mixed in
    <p><a name="doc_002drgb2ntsc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rgb2ntsc</b> (<var>rgb</var>)<var><a name="index-rgb2ntsc-1910"></a></var><br>
+&mdash; Function File:  <b>rgb2ntsc</b> (<var>rgb</var>)<var><a name="index-rgb2ntsc-1972"></a></var><br>
 <blockquote><p>Image format conversion. 
 </p></blockquote></div>
 
    <p><a name="doc_002dntsc2rgb"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ntsc2rgb</b> (<var>yiq</var>)<var><a name="index-ntsc2rgb-1911"></a></var><br>
+&mdash; Function File:  <b>ntsc2rgb</b> (<var>yiq</var>)<var><a name="index-ntsc2rgb-1973"></a></var><br>
 <blockquote><p>Image format conversion. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Colors.html 1:3.0.5-6/doc/interpreter/HTML/Colors.html
--- 1:3.0.1-6/doc/interpreter/HTML/Colors.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Colors.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h4 class="subsection">15.2.4 Colors</h4>
 
-<p>Colors may be specified as RGB triplets with values ranging from zero to
+<p><a name="index-graphics-colors-944"></a><a name="index-colors_002c-graphics-945"></a>
+Colors may be specified as RGB triplets with values ranging from zero to
 one, or by name.  Recognized color names include <code>"blue"</code>,
 <code>"black"</code>, <code>"cyan"</code>, <code>"green"</code>, <code>"magenta"</code>,
 <code>"red"</code>, <code>"white"</code>, and <code>"yellow"</code>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Comma-Separated-Lists.html 1:3.0.5-6/doc/interpreter/HTML/Comma-Separated-Lists.html
--- 1:3.0.1-6/doc/interpreter/HTML/Comma-Separated-Lists.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Comma-Separated-Lists.html	2009-04-07 11:11:39.000000000 +0100
@@ -46,7 +46,7 @@ example
 </pre>
    <p class="noindent">where <var>i</var><code>, </code><var>j</var> is equally a comma separated list. Comma
 separated lists can not be directly manipulated by the user. However,
-both structures are cell arrays can be converted into comma
+both structures and cell arrays can be converted into comma
 separated lists, which makes them useful to keep the input arguments and
 return values of functions organized. Another example of where a comma
 separated list can be used is in the creation of a new array. If all the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Complex-Arithmetic.html 1:3.0.5-6/doc/interpreter/HTML/Complex-Arithmetic.html
--- 1:3.0.1-6/doc/interpreter/HTML/Complex-Arithmetic.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Complex-Arithmetic.html	2009-04-07 11:11:40.000000000 +0100
@@ -44,7 +44,7 @@ defined as <code>sqrt (-1)</code>.
    <p><a name="doc_002dabs"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>abs</b> (<var>z</var>)<var><a name="index-abs-1047"></a></var><br>
+&mdash; Mapping Function:  <b>abs</b> (<var>z</var>)<var><a name="index-abs-1095"></a></var><br>
 <blockquote><p>Compute the magnitude of <var>z</var>, defined as
 |<var>z</var>| = <code>sqrt (x^2 + y^2)</code>.
 
@@ -58,8 +58,8 @@ defined as <code>sqrt (-1)</code>.
    <p><a name="doc_002darg"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>arg</b> (<var>z</var>)<var><a name="index-arg-1048"></a></var><br>
-&mdash; Mapping Function:  <b>angle</b> (<var>z</var>)<var><a name="index-angle-1049"></a></var><br>
+&mdash; Mapping Function:  <b>arg</b> (<var>z</var>)<var><a name="index-arg-1096"></a></var><br>
+&mdash; Mapping Function:  <b>angle</b> (<var>z</var>)<var><a name="index-angle-1097"></a></var><br>
 <blockquote><p>Compute the argument of <var>z</var>, defined as
 <var>theta</var> = <code>atan (</code><var>y</var><code>/</code><var>x</var><code>)</code>. 
      in radians.
@@ -74,7 +74,7 @@ defined as <code>sqrt (-1)</code>.
    <p><a name="doc_002dconj"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>conj</b> (<var>z</var>)<var><a name="index-conj-1050"></a></var><br>
+&mdash; Mapping Function:  <b>conj</b> (<var>z</var>)<var><a name="index-conj-1098"></a></var><br>
 <blockquote><p>Return the complex conjugate of <var>z</var>, defined as
 <code>conj (</code><var>z</var><code>)</code> = <var>x</var> - <var>i</var><var>y</var>.
         <pre class="sp">
@@ -86,7 +86,7 @@ defined as <code>sqrt (-1)</code>.
    <p><a name="doc_002dimag"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>imag</b> (<var>z</var>)<var><a name="index-imag-1051"></a></var><br>
+&mdash; Mapping Function:  <b>imag</b> (<var>z</var>)<var><a name="index-imag-1099"></a></var><br>
 <blockquote><p>Return the imaginary part of <var>z</var> as a real number.
         <pre class="sp">
      
@@ -97,7 +97,7 @@ defined as <code>sqrt (-1)</code>.
    <p><a name="doc_002dreal"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>real</b> (<var>z</var>)<var><a name="index-real-1052"></a></var><br>
+&mdash; Mapping Function:  <b>real</b> (<var>z</var>)<var><a name="index-real-1100"></a></var><br>
 <blockquote><p>Return the real part of <var>z</var>.
         <pre class="sp">
      
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Concept-Index.html 1:3.0.5-6/doc/interpreter/HTML/Concept-Index.html
--- 1:3.0.1-6/doc/interpreter/HTML/Concept-Index.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Concept-Index.html	2009-04-07 11:11:40.000000000 +0100
@@ -74,24 +74,26 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Arithmetic-Ops.html#index-addition-433">addition</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Boolean-Expressions.html#index-and-operator-489">and operator</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#index-anonymous-functions-607">anonymous functions</a>: <a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#Function-Handles-Inline-Functions-and-Anonymous-Functions">Function Handles Inline Functions and Anonymous Functions</a></li>
-<li><a href="Bug-Reporting.html#index-answers_002c-incorrect-2169">answers, incorrect</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-answers_002c-incorrect-2150">answers, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Reporting.html#index-answers_002c-incorrect-2232">answers, incorrect</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-answers_002c-incorrect-2213">answers, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Fonts.html#index-any-key-11">any key</a>: <a href="Fonts.html#Fonts">Fonts</a></li>
 <li><a href="Calling-Functions.html#index-arguments-in-function-call-427">arguments in function call</a>: <a href="Calling-Functions.html#Calling-Functions">Calling Functions</a></li>
 <li><a href="Arithmetic-Ops.html#index-arithmetic-operators-431">arithmetic operators</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Assignment-Ops.html#index-assignment-expressions-500">assignment expressions</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
 <li><a href="Assignment-Ops.html#index-assignment-operators-501">assignment operators</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
+<li><a href="Graphics-Objects.html#index-axes-graphics-object-876">axes graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Axes-Properties.html#index-axes-properties-936">axes properties</a>: <a href="Axes-Properties.html#Axes-Properties">Axes Properties</a></li>
 <li><a href="The-while-Statement.html#index-body-of-a-loop-542">body of a loop</a>: <a href="The-while-Statement.html#The-while-Statement">The while Statement</a></li>
 <li><a href="Boolean-Expressions.html#index-boolean-expressions-482">boolean expressions</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="Boolean-Expressions.html#index-boolean-operators-486">boolean operators</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="The-break-Statement.html#index-g_t_0040code_007bbreak_007d-statement-548"><code>break</code> statement</a>: <a href="The-break-Statement.html#The-break-Statement">The break Statement</a></li>
-<li><a href="Bug-Criteria.html#index-bug-criteria-2144">bug criteria</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Lists.html#index-bug-report-mailing-lists-2161">bug report mailing lists</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
-<li><a href="Reporting-Bugs.html#index-bugs-2140">bugs</a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
-<li><a href="Bug-Reporting.html#index-bugs_002c-investigating-2172">bugs, investigating</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Trouble.html#index-bugs_002c-known-2136">bugs, known</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
-<li><a href="Bug-Reporting.html#index-bugs_002c-reporting-2165">bugs, reporting</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Lists.html#index-bugs_002c-reporting-2163">bugs, reporting</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
+<li><a href="Bug-Criteria.html#index-bug-criteria-2207">bug criteria</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Lists.html#index-bug-report-mailing-lists-2224">bug report mailing lists</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
+<li><a href="Reporting-Bugs.html#index-bugs-2203">bugs</a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
+<li><a href="Bug-Reporting.html#index-bugs_002c-investigating-2235">bugs, investigating</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Trouble.html#index-bugs_002c-known-2199">bugs, known</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
+<li><a href="Bug-Reporting.html#index-bugs_002c-reporting-2228">bugs, reporting</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Lists.html#index-bugs_002c-reporting-2226">bugs, reporting</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
 <li><a href="Built_002din-Data-Types.html#index-built_002din-data-types-149">built-in data types</a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
 <li><a href="A-Sample-Function-Description.html#index-built_002din-function-20">built-in function</a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
 <li><a href="The-switch-Statement.html#index-g_t_0040code_007bcase_007d-statement-536"><code>case</code> statement</a>: <a href="The-switch-Statement.html#The-switch-Statement">The switch Statement</a></li>
@@ -100,10 +102,11 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Cell-Array-Objects.html#index-cell-arrays-169">cell arrays</a>: <a href="Cell-Array-Objects.html#Cell-Array-Objects">Cell Array Objects</a></li>
 <li><a href="Strings.html#index-character-strings-246">character strings</a>: <a href="Strings.html#Strings">Strings</a></li>
 <li><a href="String-Objects.html#index-character-strings-164">character strings</a>: <a href="String-Objects.html#String-Objects">String Objects</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-Cholesky-factorization-1303">Cholesky factorization</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Matrix-Factorizations.html#index-Cholesky-factorization-1185">Cholesky factorization</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-Cholesky-factorization-1351">Cholesky factorization</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Matrix-Factorizations.html#index-Cholesky-factorization-1233">Cholesky factorization</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
 <li><a href="Cursor-Motion.html#index-clearing-the-screen-92">clearing the screen</a>: <a href="Cursor-Motion.html#Cursor-Motion">Cursor Motion</a></li>
-<li><a href="Tips.html#index-coding-standards-2132">coding standards</a>: <a href="Tips.html#Tips">Tips</a></li>
+<li><a href="Tips.html#index-coding-standards-2195">coding standards</a>: <a href="Tips.html#Tips">Tips</a></li>
+<li><a href="Colors.html#index-colors_002c-graphics-945">colors, graphics</a>: <a href="Colors.html#Colors">Colors</a></li>
 <li><a href="Comma-Separated-Lists.html#index-comma-separated-lists-358">comma separated lists</a>: <a href="Comma-Separated-Lists.html#Comma-Separated-Lists">Comma Separated Lists</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-command-and-output-logs-125">command and output logs</a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
 <li><a href="Commands-For-Completion.html#index-command-completion-95">command completion</a>: <a href="Commands-For-Completion.html#Commands-For-Completion">Commands For Completion</a></li>
@@ -115,7 +118,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Comments.html#index-comments-142">comments</a>: <a href="Comments.html#Comments">Comments</a></li>
 <li><a href="Comparison-Ops.html#index-comparison-expressions-463">comparison expressions</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Arithmetic-Ops.html#index-complex_002dconjugate-transpose-445">complex-conjugate transpose</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Financial-Functions.html#index-compounding_002c-value-of-1553">compounding, value of</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-compounding_002c-value-of-1606">compounding, value of</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
 <li><a href="Data-Containers.html#index-containers-316">containers</a>: <a href="Data-Containers.html#Data-Containers">Data Containers</a></li>
 <li><a href="The-try-Statement.html#index-continuation-lines-556">continuation lines</a>: <a href="The-try-Statement.html#The-try-Statement">The try Statement</a></li>
 <li><a href="The-continue-Statement.html#index-g_t_0040code_007bcontinue_007d-statement-549"><code>continue</code> statement</a>: <a href="The-continue-Statement.html#The-continue-Statement">The continue Statement</a></li>
@@ -123,10 +126,10 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Preface.html#index-contributors-1">contributors</a>: <a href="Preface.html#Preface">Preface</a></li>
 <li><a href="Formatted-Output.html#index-conversion-specifications-_0028_0040code_007bprintf_007d_0029-719">conversion specifications (<code>printf</code>)</a>: <a href="Formatted-Output.html#Formatted-Output">Formatted Output</a></li>
 <li><a href="Formatted-Input.html#index-conversion-specifications-_0028_0040code_007bscanf_007d_0029-728">conversion specifications (<code>scanf</code>)</a>: <a href="Formatted-Input.html#Formatted-Input">Formatted Input</a></li>
-<li><a href="Copying.html#index-copyright-2184">copyright</a>: <a href="Copying.html#Copying">Copying</a></li>
-<li><a href="Bug-Criteria.html#index-core-dump-2146">core dump</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Copying.html#index-copyright-2247">copyright</a>: <a href="Copying.html#Copying">Copying</a></li>
+<li><a href="Bug-Criteria.html#index-core-dump-2209">core dump</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Customizing-the-Prompt.html#index-customizing-the-prompt-117">customizing the prompt</a>: <a href="Customizing-the-Prompt.html#Customizing-the-Prompt">Customizing the Prompt</a></li>
-<li><a href="Differential-Equations.html#index-DAE-1358">DAE</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
+<li><a href="Differential-Equations.html#index-DAE-1406">DAE</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
 <li><a href="Data-Structures.html#index-data-structures-318">data structures</a>: <a href="Data-Structures.html#Data-Structures">Data Structures</a></li>
 <li><a href="Data-Structure-Objects.html#index-data-structures-168">data structures</a>: <a href="Data-Structure-Objects.html#Data-Structure-Objects">Data Structure Objects</a></li>
 <li><a href="Data-Types.html#index-data-types-146">data types</a>: <a href="Data-Types.html#Data-Types">Data Types</a></li>
@@ -134,24 +137,25 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="User_002ddefined-Data-Types.html#index-data-types_002c-user_002ddefined-171">data types, user-defined</a>: <a href="User_002ddefined-Data-Types.html#User_002ddefined-Data-Types">User-defined Data Types</a></li>
 <li><a href="Assignment-Ops.html#index-decrement-operator-513">decrement operator</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
 <li><a href="Default-Arguments.html#index-default-arguments-580">default arguments</a>: <a href="Default-Arguments.html#Default-Arguments">Default Arguments</a></li>
+<li><a href="Managing-Default-Properties.html#index-default-graphics-properties-942">default graphics properties</a>: <a href="Managing-Default-Properties.html#Managing-Default-Properties">Managing Default Properties</a></li>
 <li><a href="Functions-and-Scripts.html#index-defining-functions-559">defining functions</a>: <a href="Functions-and-Scripts.html#Functions-and-Scripts">Functions and Scripts</a></li>
 <li><a href="Format-of-Descriptions.html#index-description-format-16">description format</a>: <a href="Format-of-Descriptions.html#Format-of-Descriptions">Format of Descriptions</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-diary-of-commands-and-output-124">diary of commands and output</a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
-<li><a href="Differential-Equations.html#index-Differential-Equations-1356">Differential Equations</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
-<li><a href="Sending-Patches.html#index-diffs_002c-submitting-2174">diffs, submitting</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
+<li><a href="Differential-Equations.html#index-Differential-Equations-1404">Differential Equations</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
+<li><a href="Sending-Patches.html#index-diffs_002c-submitting-2237">diffs, submitting</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
 <li><a href="Distribution.html#index-distribution-of-Octave-6">distribution of Octave</a>: <a href="Distribution.html#Distribution">Distribution</a></li>
 <li><a href="Arithmetic-Ops.html#index-division-437">division</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="The-do_002duntil-Statement.html#index-g_t_0040code_007bdo_002duntil_007d-statement-543"><code>do-until</code> statement</a>: <a href="The-do_002duntil-Statement.html#The-do_002duntil-Statement">The do-until Statement</a></li>
 <li><a href="Evaluation-Notation.html#index-documentation-notation-13">documentation notation</a>: <a href="Evaluation-Notation.html#Evaluation-Notation">Evaluation Notation</a></li>
 <li><a href="Comments.html#index-documenting-Octave-programs-144">documenting Octave programs</a>: <a href="Comments.html#Comments">Comments</a></li>
-<li><a href="MathConsiderations.html#index-Dulmage_002dMendelsohn-decomposition-1290">Dulmage-Mendelsohn decomposition</a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Dynamically-Linked-Functions.html#index-dynamic_002dlinking-2096">dynamic-linking</a>: <a href="Dynamically-Linked-Functions.html#Dynamically-Linked-Functions">Dynamically Linked Functions</a></li>
+<li><a href="MathConsiderations.html#index-Dulmage_002dMendelsohn-decomposition-1338">Dulmage-Mendelsohn decomposition</a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Dynamically-Linked-Functions.html#index-dynamic_002dlinking-2159">dynamic-linking</a>: <a href="Dynamically-Linked-Functions.html#Dynamically-Linked-Functions">Dynamically Linked Functions</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-echoing-executing-commands-127">echoing executing commands</a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
 <li><a href="Command-Line-Editing.html#index-editing-the-command-line-91">editing the command line</a>: <a href="Command-Line-Editing.html#Command-Line-Editing">Command Line Editing</a></li>
 <li><a href="Element_002dby_002delement-Boolean-Operators.html#index-element_002dby_002delement-evaluation-492">element-by-element evaluation</a>: <a href="Element_002dby_002delement-Boolean-Operators.html#Element_002dby_002delement-Boolean-Operators">Element-by-element Boolean Operators</a></li>
 <li><a href="The-if-Statement.html#index-g_t_0040code_007belse_007d-statement-532"><code>else</code> statement</a>: <a href="The-if-Statement.html#The-if-Statement">The if Statement</a></li>
 <li><a href="The-if-Statement.html#index-g_t_0040code_007belseif_007d-statement-533"><code>elseif</code> statement</a>: <a href="The-if-Statement.html#The-if-Statement">The if Statement</a></li>
-<li><a href="Using-Octave-Mode.html#index-Emacs-TAGS-files-2181">Emacs TAGS files</a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
+<li><a href="Using-Octave-Mode.html#index-Emacs-TAGS-files-2244">Emacs TAGS files</a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
 <li><a href="Statements.html#index-g_t_0040code_007bend_007d-statement-530"><code>end</code> statement</a>: <a href="Statements.html#Statements">Statements</a></li>
 <li><a href="The-try-Statement.html#index-g_t_0040code_007bend_005ftry_005fcatch_007d-555"><code>end_try_catch</code></a>: <a href="The-try-Statement.html#The-try-Statement">The try Statement</a></li>
 <li><a href="The-unwind_005fprotect-Statement.html#index-g_t_0040code_007bend_005funwind_005fprotect_007d-552"><code>end_unwind_protect</code></a>: <a href="The-unwind_005fprotect-Statement.html#The-unwind_005fprotect-Statement">The unwind_protect Statement</a></li>
@@ -162,17 +166,17 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="The-while-Statement.html#index-g_t_0040code_007bendwhile_007d-statement-540"><code>endwhile</code> statement</a>: <a href="The-while-Statement.html#The-while-Statement">The while Statement</a></li>
 <li><a href="Comparison-Ops.html#index-equality-operator-469">equality operator</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Comparison-Ops.html#index-equality_002c-tests-for-471">equality, tests for</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
-<li><a href="Nonlinear-Equations.html#index-equations_002c-nonlinear-1211">equations, nonlinear</a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
-<li><a href="Bug-Criteria.html#index-erroneous-messages-2155">erroneous messages</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Reporting.html#index-erroneous-results-2170">erroneous results</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-erroneous-results-2151">erroneous results</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Nonlinear-Equations.html#index-equations_002c-nonlinear-1259">equations, nonlinear</a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
+<li><a href="Bug-Criteria.html#index-erroneous-messages-2218">erroneous messages</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Reporting.html#index-erroneous-results-2233">erroneous results</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-erroneous-results-2214">erroneous results</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Error-Messages.html#index-error-message-notation-15">error message notation</a>: <a href="Error-Messages.html#Error-Messages">Error Messages</a></li>
 <li><a href="Errors.html#index-error-messages-133">error messages</a>: <a href="Errors.html#Errors">Errors</a></li>
-<li><a href="Bug-Criteria.html#index-error-messages_002c-incorrect-2157">error messages, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-error-messages_002c-incorrect-2220">error messages, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Strings.html#index-escape-sequence-notation-249">escape sequence notation</a>: <a href="Strings.html#Strings">Strings</a></li>
 <li><a href="Evaluation-Notation.html#index-evaluation-notation-12">evaluation notation</a>: <a href="Evaluation-Notation.html#Evaluation-Notation">Evaluation Notation</a></li>
 <li><a href="Executable-Octave-Programs.html#index-executable-scripts-135">executable scripts</a>: <a href="Executable-Octave-Programs.html#Executable-Octave-Programs">Executable Octave Programs</a></li>
-<li><a href="Coding-Tips.html#index-execution-speed-2133">execution speed</a>: <a href="Coding-Tips.html#Coding-Tips">Coding Tips</a></li>
+<li><a href="Coding-Tips.html#index-execution-speed-2196">execution speed</a>: <a href="Coding-Tips.html#Coding-Tips">Coding Tips</a></li>
 <li><a href="Quitting-Octave.html#index-exiting-octave-68">exiting octave</a>: <a href="Quitting-Octave.html#Quitting-Octave">Quitting Octave</a></li>
 <li><a href="Running-Octave.html#index-exiting-octave-8">exiting octave</a>: <a href="Running-Octave.html#Running-Octave">Running Octave</a></li>
 <li><a href="Arithmetic-Ops.html#index-exponentiation-441">exponentiation</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
@@ -183,15 +187,17 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Comparison-Ops.html#index-expressions_002c-comparison-464">expressions, comparison</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Boolean-Expressions.html#index-expressions_002c-logical-483">expressions, logical</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="Recursion.html#index-factorial-function-428">factorial function</a>: <a href="Recursion.html#Recursion">Recursion</a></li>
-<li><a href="Bug-Criteria.html#index-fatal-signal-2145">fatal signal</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Financial-Functions.html#index-financial-functions-1551">financial functions</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Bug-Criteria.html#index-fatal-signal-2208">fatal signal</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Graphics-Objects.html#index-figure-graphics-object-874">figure graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Figure-Properties.html#index-figure-properties-935">figure properties</a>: <a href="Figure-Properties.html#Figure-Properties">Figure Properties</a></li>
+<li><a href="Financial-Functions.html#index-financial-functions-1604">financial functions</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
 <li><a href="Output-Conversion-Syntax.html#index-flag-character-_0028_0040code_007bprintf_007d_0029-720">flag character (<code>printf</code>)</a>: <a href="Output-Conversion-Syntax.html#Output-Conversion-Syntax">Output Conversion Syntax</a></li>
 <li><a href="Input-Conversion-Syntax.html#index-flag-character-_0028_0040code_007bscanf_007d_0029-730">flag character (<code>scanf</code>)</a>: <a href="Input-Conversion-Syntax.html#Input-Conversion-Syntax">Input Conversion Syntax</a></li>
 <li><a href="Variables.html#index-flying-high-and-fast-363">flying high and fast</a>: <a href="Variables.html#Variables">Variables</a></li>
 <li><a href="Fonts.html#index-fonts-10">fonts</a>: <a href="Fonts.html#Fonts">Fonts</a></li>
 <li><a href="The-for-Statement.html#index-g_t_0040code_007bfor_007d-statement-544"><code>for</code> statement</a>: <a href="The-for-Statement.html#The-for-Statement">The for Statement</a></li>
 <li><a href="Calling-a-Function-by-its-Name.html#index-Fordyce_002c-A_002e-P_002e-522">Fordyce, A. P.</a>: <a href="Calling-a-Function-by-its-Name.html#Calling-a-Function-by-its-Name">Calling a Function by its Name</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-Frobenius-norm-1177">Frobenius norm</a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-Frobenius-norm-1225">Frobenius norm</a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="A-Sample-Function-Description.html#index-function-descriptions-17">function descriptions</a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
 <li><a href="Function-Files.html#index-function-file-581">function file</a>: <a href="Function-Files.html#Function-Files">Function Files</a></li>
 <li><a href="A-Sample-Function-Description.html#index-function-file-19">function file</a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
@@ -202,37 +208,54 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Global-Variables.html#index-g_t_0040code_007bglobal_007d-statement-366"><code>global</code> statement</a>: <a href="Global-Variables.html#Global-Variables">Global Variables</a></li>
 <li><a href="Global-Variables.html#index-global-variables-365">global variables</a>: <a href="Global-Variables.html#Global-Variables">Global Variables</a></li>
 <li><a href="Plotting.html#index-graphics-748">graphics</a>: <a href="Plotting.html#Plotting">Plotting</a></li>
-<li><a href="Graphics-Object-Properties.html#index-graphics-object-properties-903">graphics object properties</a>: <a href="Graphics-Object-Properties.html#Graphics-Object-Properties">Graphics Object Properties</a></li>
+<li><a href="Colors.html#index-graphics-colors-944">graphics colors</a>: <a href="Colors.html#Colors">Colors</a></li>
+<li><a href="Line-Styles.html#index-graphics-line-styles-947">graphics line styles</a>: <a href="Line-Styles.html#Line-Styles">Line Styles</a></li>
+<li><a href="Marker-Styles.html#index-graphics-marker-styles-948">graphics marker styles</a>: <a href="Marker-Styles.html#Marker-Styles">Marker Styles</a></li>
+<li><a href="Graphics-Object-Properties.html#index-graphics-object-properties-934">graphics object properties</a>: <a href="Graphics-Object-Properties.html#Graphics-Object-Properties">Graphics Object Properties</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-axes-877">graphics object, axes</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-figure-875">graphics object, figure</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-image-883">graphics object, image</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-line-879">graphics object, line</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-patch-885">graphics object, patch</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-root-figure-873">graphics object, root figure</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-surface-887">graphics object, surface</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-graphics-object_002c-text-881">graphics object, text</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Managing-Default-Properties.html#index-graphics-properties_002c-default-943">graphics properties, default</a>: <a href="Managing-Default-Properties.html#Managing-Default-Properties">Managing Default Properties</a></li>
 <li><a href="Comparison-Ops.html#index-greater-than-operator-468">greater than operator</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#index-handle_002c-function-handles-605">handle, function handles</a>: <a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#Function-Handles-Inline-Functions-and-Anonymous-Functions">Function Handles Inline Functions and Anonymous Functions</a></li>
-<li><a href="Function-Headers.html#index-header-comments-2135">header comments</a>: <a href="Function-Headers.html#Function-Headers">Function Headers</a></li>
+<li><a href="Function-Headers.html#index-header-comments-2198">header comments</a>: <a href="Function-Headers.html#Function-Headers">Function Headers</a></li>
 <li><a href="Getting-Help.html#index-help_002c-on_002dline-75">help, on-line</a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="Service.html#index-help_002c-where-to-find-2178">help, where to find</a>: <a href="Service.html#Service">Service</a></li>
+<li><a href="Service.html#index-help_002c-where-to-find-2241">help, where to find</a>: <a href="Service.html#Service">Service</a></li>
 <li><a href="Arithmetic-Ops.html#index-Hermitian-operator-443">Hermitian operator</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Matrix-Factorizations.html#index-Hessenberg-decomposition-1190">Hessenberg decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-Hessenberg-decomposition-1238">Hessenberg decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
 <li><a href="Preface.html#index-history-2">history</a>: <a href="Preface.html#Preface">Preface</a></li>
 <li><a href="Commands-For-History.html#index-history-of-commands-101">history of commands</a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
 <li><a href="The-if-Statement.html#index-g_t_0040code_007bif_007d-statement-531"><code>if</code> statement</a>: <a href="The-if-Statement.html#The-if-Statement">The if Statement</a></li>
-<li><a href="Sending-Patches.html#index-improving-Octave-2173">improving Octave</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
-<li><a href="Bug-Criteria.html#index-improving-Octave-2159">improving Octave</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Criteria.html#index-incorrect-error-messages-2156">incorrect error messages</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Reporting.html#index-incorrect-output-2166">incorrect output</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-incorrect-output-2147">incorrect output</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Reporting.html#index-incorrect-results-2167">incorrect results</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-incorrect-results-2148">incorrect results</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Graphics-Objects.html#index-image-graphics-object-882">image graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Image-Properties.html#index-image-properties-939">image properties</a>: <a href="Image-Properties.html#Image-Properties">Image Properties</a></li>
+<li><a href="Sending-Patches.html#index-improving-Octave-2236">improving Octave</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
+<li><a href="Bug-Criteria.html#index-improving-Octave-2222">improving Octave</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-incorrect-error-messages-2219">incorrect error messages</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Reporting.html#index-incorrect-output-2229">incorrect output</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-incorrect-output-2210">incorrect output</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Reporting.html#index-incorrect-results-2230">incorrect results</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-incorrect-results-2211">incorrect results</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Assignment-Ops.html#index-increment-operator-512">increment operator</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-infinity-norm-1176">infinity norm</a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-infinity-norm-1224">infinity norm</a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Startup-Files.html#index-initialization-63">initialization</a>: <a href="Startup-Files.html#Startup-Files">Startup Files</a></li>
 <li><a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#index-inline_002c-inline-functions-606">inline, inline functions</a>: <a href="Function-Handles-Inline-Functions-and-Anonymous-Functions.html#Function-Handles-Inline-Functions-and-Anonymous-Functions">Function Handles Inline Functions and Anonymous Functions</a></li>
 <li><a href="Table-of-Input-Conversions.html#index-input-conversions_002c-for-_0040code_007bscanf_007d-732">input conversions, for <code>scanf</code></a>: <a href="Table-of-Input-Conversions.html#Table-of-Input-Conversions">Table of Input Conversions</a></li>
 <li><a href="Commands-For-History.html#index-input-history-100">input history</a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
-<li><a href="Trouble.html#index-installation-trouble-2137">installation trouble</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
-<li><a href="Installation.html#index-installing-Octave-2179">installing Octave</a>: <a href="Installation.html#Installation">Installation</a></li>
+<li><a href="Trouble.html#index-installation-trouble-2200">installation trouble</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
+<li><a href="Installation.html#index-installing-Octave-2242">installing Octave</a>: <a href="Installation.html#Installation">Installation</a></li>
 <li><a href="Introduction.html#index-introduction-7">introduction</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
-<li><a href="Bug-Criteria.html#index-invalid-input-2158">invalid input</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-invalid-input-2221">invalid input</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Variables.html#index-job-hunting-361">job hunting</a>: <a href="Variables.html#Variables">Variables</a></li>
-<li><a href="Trouble.html#index-known-causes-of-trouble-2138">known causes of trouble</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
+<li><a href="Trouble.html#index-known-causes-of-trouble-2201">known causes of trouble</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
 <li><a href="Comparison-Ops.html#index-less-than-operator-467">less than operator</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
+<li><a href="Graphics-Objects.html#index-line-graphics-object-878">line graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Line-Properties.html#index-line-properties-937">line properties</a>: <a href="Line-Properties.html#Line-Properties">Line Properties</a></li>
+<li><a href="Line-Styles.html#index-line-styles_002c-graphics-946">line styles, graphics</a>: <a href="Line-Styles.html#Line-Styles">Line Styles</a></li>
 <li><a href="A-Sample-Function-Description.html#index-loadable-function-21">loadable function</a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
 <li><a href="Simple-File-I_002fO.html#index-loading-data-679">loading data</a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-logging-commands-and-output-126">logging commands and output</a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
@@ -240,38 +263,39 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Boolean-Expressions.html#index-logical-operators-487">logical operators</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="The-while-Statement.html#index-loop-541">loop</a>: <a href="The-while-Statement.html#The-while-Statement">The while Statement</a></li>
 <li><a href="Looping-Over-Structure-Elements.html#index-looping-over-structure-elements-547">looping over structure elements</a>: <a href="Looping-Over-Structure-Elements.html#Looping-Over-Structure-Elements">Looping Over Structure Elements</a></li>
-<li><a href="Optimization.html#index-LP-1369">LP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
-<li><a href="Iterative-Techniques.html#index-LU-decomposition-1342">LU decomposition</a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-LU-decomposition-1318">LU decomposition</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Matrix-Factorizations.html#index-LU-decomposition-1192">LU decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Optimization.html#index-LP-1417">LP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Iterative-Techniques.html#index-LU-decomposition-1390">LU decomposition</a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-LU-decomposition-1366">LU decomposition</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Matrix-Factorizations.html#index-LU-decomposition-1240">LU decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
 <li><a href="Assignment-Ops.html#index-lvalue-506">lvalue</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
 <li><a href="A-Sample-Function-Description.html#index-mapping-function-22">mapping function</a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
+<li><a href="Marker-Styles.html#index-marker-styles_002c-graphics-949">marker styles, graphics</a>: <a href="Marker-Styles.html#Marker-Styles">Marker Styles</a></li>
 <li><a href="Formatted-Input.html#index-matching-failure_002c-in-_0040code_007bscanf_007d-729">matching failure, in <code>scanf</code></a>: <a href="Formatted-Input.html#Formatted-Input">Formatted Input</a></li>
 <li><a href="Matrices.html#index-matrices-188">matrices</a>: <a href="Matrices.html#Matrices">Matrices</a></li>
 <li><a href="Arithmetic-Ops.html#index-matrix-multiplication-436">matrix multiplication</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Input-Conversion-Syntax.html#index-maximum-field-width-_0028_0040code_007bscanf_007d_0029-731">maximum field width (<code>scanf</code>)</a>: <a href="Input-Conversion-Syntax.html#Input-Conversion-Syntax">Input Conversion Syntax</a></li>
 <li><a href="Errors.html#index-messages_002c-error-134">messages, error</a>: <a href="Errors.html#Errors">Errors</a></li>
-<li><a href="Mex_002dFiles.html#index-mex-2109">mex</a>: <a href="Mex_002dFiles.html#Mex_002dFiles">Mex-Files</a></li>
-<li><a href="Mex_002dFiles.html#index-mex_002dfiles-2108">mex-files</a>: <a href="Mex_002dFiles.html#Mex_002dFiles">Mex-Files</a></li>
+<li><a href="Mex_002dFiles.html#index-mex-2172">mex</a>: <a href="Mex_002dFiles.html#Mex_002dFiles">Mex-Files</a></li>
+<li><a href="Mex_002dFiles.html#index-mex_002dfiles-2171">mex-files</a>: <a href="Mex_002dFiles.html#Mex_002dFiles">Mex-Files</a></li>
 <li><a href="Output-Conversion-Syntax.html#index-minimum-field-width-_0028_0040code_007bprintf_007d_0029-721">minimum field width (<code>printf</code>)</a>: <a href="Output-Conversion-Syntax.html#Output-Conversion-Syntax">Output Conversion Syntax</a></li>
 <li><a href="Missing-Data.html#index-missing-data-157">missing data</a>: <a href="Missing-Data.html#Missing-Data">Missing Data</a></li>
-<li><a href="Oct_002dFiles.html#index-mkoctfile-2098">mkoctfile</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
-<li><a href="Financial-Functions.html#index-money-1552">money</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Oct_002dFiles.html#index-mkoctfile-2161">mkoctfile</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
+<li><a href="Financial-Functions.html#index-money-1605">money</a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
 <li><a href="Arithmetic-Ops.html#index-multiplication-435">multiplication</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Arithmetic-Ops.html#index-negation-439">negation</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Optimization.html#index-NLP-1371">NLP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
-<li><a href="Nonlinear-Equations.html#index-nonlinear-equations-1210">nonlinear equations</a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
-<li><a href="Optimization.html#index-nonlinear-programming-1367">nonlinear programming</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Optimization.html#index-NLP-1419">NLP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Nonlinear-Equations.html#index-nonlinear-equations-1258">nonlinear equations</a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
+<li><a href="Optimization.html#index-nonlinear-programming-1415">nonlinear programming</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
 <li><a href="Boolean-Expressions.html#index-not-operator-491">not operator</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="Numeric-Data-Types.html#index-numeric-constant-182">numeric constant</a>: <a href="Numeric-Data-Types.html#Numeric-Data-Types">Numeric Data Types</a></li>
 <li><a href="Numeric-Objects.html#index-numeric-constant-155">numeric constant</a>: <a href="Numeric-Objects.html#Numeric-Objects">Numeric Objects</a></li>
 <li><a href="Numeric-Data-Types.html#index-numeric-value-183">numeric value</a>: <a href="Numeric-Data-Types.html#Numeric-Data-Types">Numeric Data Types</a></li>
 <li><a href="Numeric-Objects.html#index-numeric-value-156">numeric value</a>: <a href="Numeric-Objects.html#Numeric-Objects">Numeric Objects</a></li>
-<li><a href="Oct_002dFiles.html#index-oct-2099">oct</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
-<li><a href="Oct_002dFiles.html#index-oct_002dfiles-2097">oct-files</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
+<li><a href="Oct_002dFiles.html#index-oct-2162">oct</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
+<li><a href="Oct_002dFiles.html#index-oct_002dfiles-2160">oct-files</a>: <a href="Oct_002dFiles.html#Oct_002dFiles">Oct-Files</a></li>
 <li><a href="Command-Line-Options.html#index-Octave-command-options-28">Octave command options</a>: <a href="Command-Line-Options.html#Command-Line-Options">Command Line Options</a></li>
-<li><a href="Using-Octave-Mode.html#index-g_t_0040code_007boctave_002dtags_007d-2182"><code>octave-tags</code></a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
-<li><a href="Differential-Equations.html#index-ODE-1357">ODE</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
+<li><a href="Using-Octave-Mode.html#index-g_t_0040code_007boctave_002dtags_007d-2245"><code>octave-tags</code></a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
+<li><a href="Differential-Equations.html#index-ODE-1405">ODE</a>: <a href="Differential-Equations.html#Differential-Equations">Differential Equations</a></li>
 <li><a href="Getting-Help.html#index-on_002dline-help-74">on-line help</a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
 <li><a href="Operator-Precedence.html#index-operator-precedence-520">operator precedence</a>: <a href="Operator-Precedence.html#Operator-Precedence">Operator Precedence</a></li>
 <li><a href="Arithmetic-Ops.html#index-operators_002c-arithmetic-432">operators, arithmetic</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
@@ -281,13 +305,15 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Assignment-Ops.html#index-operators_002c-increment-514">operators, increment</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
 <li><a href="Boolean-Expressions.html#index-operators_002c-logical-488">operators, logical</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
 <li><a href="Comparison-Ops.html#index-operators_002c-relational-466">operators, relational</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
-<li><a href="Optimization.html#index-optimization-1368">optimization</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Optimization.html#index-optimization-1416">optimization</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
 <li><a href="Command-Line-Options.html#index-options_002c-Octave-command-30">options, Octave command</a>: <a href="Command-Line-Options.html#Command-Line-Options">Command Line Options</a></li>
 <li><a href="Boolean-Expressions.html#index-or-operator-490">or operator</a>: <a href="Boolean-Expressions.html#Boolean-Expressions">Boolean Expressions</a></li>
-<li><a href="Ordinary-Differential-Equations.html#index-oregonator-1361">oregonator</a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
+<li><a href="Ordinary-Differential-Equations.html#index-oregonator-1409">oregonator</a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
 <li><a href="The-switch-Statement.html#index-g_t_0040code_007botherwise_007d-statement-537"><code>otherwise</code> statement</a>: <a href="The-switch-Statement.html#The-switch-Statement">The switch Statement</a></li>
 <li><a href="Table-of-Output-Conversions.html#index-output-conversions_002c-for-_0040code_007bprintf_007d-723">output conversions, for <code>printf</code></a>: <a href="Table-of-Output-Conversions.html#Table-of-Output-Conversions">Table of Output Conversions</a></li>
-<li><a href="Sending-Patches.html#index-patches_002c-submitting-2175">patches, submitting</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
+<li><a href="Graphics-Objects.html#index-patch-graphics-object-884">patch graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Patch-Properties.html#index-patch-properties-940">patch properties</a>: <a href="Patch-Properties.html#Patch-Properties">Patch Properties</a></li>
+<li><a href="Sending-Patches.html#index-patches_002c-submitting-2238">patches, submitting</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
 <li><a href="Persistent-Variables.html#index-g_t_0040code_007bpersistent_007d-statement-370"><code>persistent</code> statement</a>: <a href="Persistent-Variables.html#Persistent-Variables">Persistent Variables</a></li>
 <li><a href="Persistent-Variables.html#index-persistent-variables-369">persistent variables</a>: <a href="Persistent-Variables.html#Persistent-Variables">Persistent Variables</a></li>
 <li><a href="Plotting.html#index-plotting-747">plotting</a>: <a href="Plotting.html#Plotting">Plotting</a></li>
@@ -296,72 +322,77 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Executable-Octave-Programs.html#index-program_002c-self-contained-138">program, self contained</a>: <a href="Executable-Octave-Programs.html#Executable-Octave-Programs">Executable Octave Programs</a></li>
 <li><a href="Comments.html#index-programs-145">programs</a>: <a href="Comments.html#Comments">Comments</a></li>
 <li><a href="Customizing-the-Prompt.html#index-prompt-customization-116">prompt customization</a>: <a href="Customizing-the-Prompt.html#Customizing-the-Prompt">Customizing the Prompt</a></li>
-<li><a href="Optimization.html#index-QP-1370">QP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-QR-factorization-1331">QR factorization</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Matrix-Factorizations.html#index-QR-factorization-1194">QR factorization</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Optimization.html#index-quadratic-programming-1366">quadratic programming</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Optimization.html#index-QP-1418">QP</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-QR-factorization-1379">QR factorization</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Matrix-Factorizations.html#index-QR-factorization-1242">QR factorization</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Optimization.html#index-quadratic-programming-1414">quadratic programming</a>: <a href="Optimization.html#Optimization">Optimization</a></li>
 <li><a href="Quitting-Octave.html#index-quitting-octave-69">quitting octave</a>: <a href="Quitting-Octave.html#Quitting-Octave">Quitting Octave</a></li>
 <li><a href="Running-Octave.html#index-quitting-octave-9">quitting octave</a>: <a href="Running-Octave.html#Running-Octave">Running Octave</a></li>
 <li><a href="Arithmetic-Ops.html#index-quotient-438">quotient</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Ranges.html#index-range-expressions-203">range expressions</a>: <a href="Ranges.html#Ranges">Ranges</a></li>
 <li><a href="Comparison-Ops.html#index-relational-operators-465">relational operators</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
-<li><a href="Bug-Lists.html#index-reporting-bugs-2162">reporting bugs</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
-<li><a href="Reporting-Bugs.html#index-reporting-bugs-2141">reporting bugs</a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
-<li><a href="Bug-Reporting.html#index-results_002c-incorrect-2168">results, incorrect</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-results_002c-incorrect-2149">results, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Lists.html#index-reporting-bugs-2225">reporting bugs</a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
+<li><a href="Reporting-Bugs.html#index-reporting-bugs-2204">reporting bugs</a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
+<li><a href="Bug-Reporting.html#index-results_002c-incorrect-2231">results, incorrect</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-results_002c-incorrect-2212">results, incorrect</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Graphics-Objects.html#index-root-figure-graphics-object-872">root figure graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Simple-File-I_002fO.html#index-saving-data-678">saving data</a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
-<li><a href="Matrix-Factorizations.html#index-Schur-decomposition-1199">Schur decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-Schur-decomposition-1247">Schur decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
 <li><a href="Functions-and-Scripts.html#index-script-files-562">script files</a>: <a href="Functions-and-Scripts.html#Functions-and-Scripts">Functions and Scripts</a></li>
 <li><a href="Executable-Octave-Programs.html#index-scripts-136">scripts</a>: <a href="Executable-Octave-Programs.html#Executable-Octave-Programs">Executable Octave Programs</a></li>
 <li><a href="Executable-Octave-Programs.html#index-self-contained-programs-137">self contained programs</a>: <a href="Executable-Octave-Programs.html#Executable-Octave-Programs">Executable Octave Programs</a></li>
 <li><a href="Short_002dcircuit-Boolean-Operators.html#index-short_002dcircuit-evaluation-497">short-circuit evaluation</a>: <a href="Short_002dcircuit-Boolean-Operators.html#Short_002dcircuit-Boolean-Operators">Short-circuit Boolean Operators</a></li>
 <li><a href="Assignment-Ops.html#index-side-effect-505">side effect</a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
-<li><a href="Matrix-Factorizations.html#index-singular-value-decomposition-1202">singular value decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Coding-Tips.html#index-speedups-2134">speedups</a>: <a href="Coding-Tips.html#Coding-Tips">Coding Tips</a></li>
-<li><a href="Tips.html#index-standards-of-coding-style-2131">standards of coding style</a>: <a href="Tips.html#Tips">Tips</a></li>
+<li><a href="Matrix-Factorizations.html#index-singular-value-decomposition-1250">singular value decomposition</a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Coding-Tips.html#index-speedups-2197">speedups</a>: <a href="Coding-Tips.html#Coding-Tips">Coding Tips</a></li>
+<li><a href="Tips.html#index-standards-of-coding-style-2194">standards of coding style</a>: <a href="Tips.html#Tips">Tips</a></li>
 <li><a href="Startup-Files.html#index-startup-64">startup</a>: <a href="Startup-Files.html#Startup-Files">Startup Files</a></li>
 <li><a href="Startup-Files.html#index-startup-files-65">startup files</a>: <a href="Startup-Files.html#Startup-Files">Startup Files</a></li>
 <li><a href="Statements.html#index-statements-529">statements</a>: <a href="Statements.html#Statements">Statements</a></li>
 <li><a href="Strings.html#index-strings-245">strings</a>: <a href="Strings.html#Strings">Strings</a></li>
 <li><a href="String-Objects.html#index-strings-163">strings</a>: <a href="String-Objects.html#String-Objects">String Objects</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-Structural-Rank-1333">Structural Rank</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-Structural-Rank-1381">Structural Rank</a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
 <li><a href="Looping-Over-Structure-Elements.html#index-structure-elements_002c-looping-over-546">structure elements, looping over</a>: <a href="Looping-Over-Structure-Elements.html#Looping-Over-Structure-Elements">Looping Over Structure Elements</a></li>
 <li><a href="Data-Structures.html#index-structures-317">structures</a>: <a href="Data-Structures.html#Data-Structures">Data Structures</a></li>
 <li><a href="Data-Structure-Objects.html#index-structures-167">structures</a>: <a href="Data-Structure-Objects.html#Data-Structure-Objects">Data Structure Objects</a></li>
-<li><a href="Sending-Patches.html#index-submitting-diffs-2176">submitting diffs</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
-<li><a href="Sending-Patches.html#index-submitting-patches-2177">submitting patches</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
+<li><a href="Sending-Patches.html#index-submitting-diffs-2239">submitting diffs</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
+<li><a href="Sending-Patches.html#index-submitting-patches-2240">submitting patches</a>: <a href="Sending-Patches.html#Sending-Patches">Sending Patches</a></li>
 <li><a href="Arithmetic-Ops.html#index-subtraction-434">subtraction</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Bug-Criteria.html#index-suggestions-2160">suggestions</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-suggestions-2223">suggestions</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Graphics-Objects.html#index-surface-graphics-object-886">surface graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Surface-Properties.html#index-surface-properties-941">surface properties</a>: <a href="Surface-Properties.html#Surface-Properties">Surface Properties</a></li>
 <li><a href="The-switch-Statement.html#index-g_t_0040code_007bswitch_007d-statement-535"><code>switch</code> statement</a>: <a href="The-switch-Statement.html#The-switch-Statement">The switch Statement</a></li>
-<li><a href="Using-Octave-Mode.html#index-TAGS-2180">TAGS</a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
-<li><a href="Test-and-Demo-Functions.html#index-test-functions-2112">test functions</a>: <a href="Test-and-Demo-Functions.html#Test-and-Demo-Functions">Test and Demo Functions</a></li>
+<li><a href="Using-Octave-Mode.html#index-TAGS-2243">TAGS</a>: <a href="Using-Octave-Mode.html#Using-Octave-Mode">Using Octave Mode</a></li>
+<li><a href="Test-and-Demo-Functions.html#index-test-functions-2175">test functions</a>: <a href="Test-and-Demo-Functions.html#Test-and-Demo-Functions">Test and Demo Functions</a></li>
 <li><a href="Comparison-Ops.html#index-tests-for-equality-470">tests for equality</a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
-<li><a href="Tips.html#index-tips-2130">tips</a>: <a href="Tips.html#Tips">Tips</a></li>
+<li><a href="Graphics-Objects.html#index-text-graphics-object-880">text graphics object</a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Text-Properties.html#index-text-properties-938">text properties</a>: <a href="Text-Properties.html#Text-Properties">Text Properties</a></li>
+<li><a href="Tips.html#index-tips-2193">tips</a>: <a href="Tips.html#Tips">Tips</a></li>
 <li><a href="Arithmetic-Ops.html#index-transpose-442">transpose</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
 <li><a href="Arithmetic-Ops.html#index-transpose_002c-complex_002dconjugate-444">transpose, complex-conjugate</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Trouble.html#index-troubleshooting-2139">troubleshooting</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
+<li><a href="Trouble.html#index-troubleshooting-2202">troubleshooting</a>: <a href="Trouble.html#Trouble">Trouble</a></li>
 <li><a href="The-try-Statement.html#index-g_t_0040code_007btry_007d-statement-553"><code>try</code> statement</a>: <a href="The-try-Statement.html#The-try-Statement">The try Statement</a></li>
 <li><a href="Arithmetic-Ops.html#index-unary-minus-440">unary minus</a>: <a href="Arithmetic-Ops.html#Arithmetic-Ops">Arithmetic Ops</a></li>
-<li><a href="Bug-Criteria.html#index-undefined-behavior-2153">undefined behavior</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
-<li><a href="Bug-Criteria.html#index-undefined-function-value-2154">undefined function value</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-undefined-behavior-2216">undefined behavior</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Criteria.html#index-undefined-function-value-2217">undefined function value</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="The-unwind_005fprotect-Statement.html#index-g_t_0040code_007bunwind_005fprotect_007d-statement-550"><code>unwind_protect</code> statement</a>: <a href="The-unwind_005fprotect-Statement.html#The-unwind_005fprotect-Statement">The unwind_protect Statement</a></li>
 <li><a href="The-unwind_005fprotect-Statement.html#index-g_t_0040code_007bunwind_005fprotect_005fcleanup_007d-551"><code>unwind_protect_cleanup</code></a>: <a href="The-unwind_005fprotect-Statement.html#The-unwind_005fprotect-Statement">The unwind_protect Statement</a></li>
 <li><a href="Comments.html#index-use-of-comments-143">use of comments</a>: <a href="Comments.html#Comments">Comments</a></li>
 <li><a href="User_002ddefined-Data-Types.html#index-user_002ddefined-data-types-170">user-defined data types</a>: <a href="User_002ddefined-Data-Types.html#User_002ddefined-Data-Types">User-defined Data Types</a></li>
 <li><a href="Functions-and-Scripts.html#index-user_002ddefined-functions-560">user-defined functions</a>: <a href="Functions-and-Scripts.html#Functions-and-Scripts">Functions and Scripts</a></li>
 <li><a href="Variables.html#index-user_002ddefined-variables-360">user-defined variables</a>: <a href="Variables.html#Variables">Variables</a></li>
-<li><a href="Creation.html#index-Utility-Functions-1228">Utility Functions</a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Utility-Functions.html#index-Utility-Functions-1033">Utility Functions</a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Creation.html#index-Utility-Functions-1276">Utility Functions</a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Utility-Functions.html#index-Utility-Functions-1081">Utility Functions</a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="A-Sample-Variable-Description.html#index-variable-descriptions-26">variable descriptions</a>: <a href="A-Sample-Variable-Description.html#A-Sample-Variable-Description">A Sample Variable Description</a></li>
 <li><a href="Variable_002dlength-Argument-Lists.html#index-variable_002dlength-argument-lists-573">variable-length argument lists</a>: <a href="Variable_002dlength-Argument-Lists.html#Variable_002dlength-Argument-Lists">Variable-length Argument Lists</a></li>
 <li><a href="Variable_002dlength-Return-Lists.html#index-variable_002dlength-return-lists-576">variable-length return lists</a>: <a href="Variable_002dlength-Return-Lists.html#Variable_002dlength-Return-Lists">Variable-length Return Lists</a></li>
 <li><a href="Global-Variables.html#index-variables_002c-global-367">variables, global</a>: <a href="Global-Variables.html#Global-Variables">Global Variables</a></li>
 <li><a href="Persistent-Variables.html#index-variables_002c-persistent-371">variables, persistent</a>: <a href="Persistent-Variables.html#Persistent-Variables">Persistent Variables</a></li>
 <li><a href="Variables.html#index-variables_002c-user_002ddefined-359">variables, user-defined</a>: <a href="Variables.html#Variables">Variables</a></li>
-<li><a href="Copying.html#index-warranty-2183">warranty</a>: <a href="Copying.html#Copying">Copying</a></li>
+<li><a href="Copying.html#index-warranty-2246">warranty</a>: <a href="Copying.html#Copying">Copying</a></li>
 <li><a href="The-while-Statement.html#index-g_t_0040code_007bwhile_007d-statement-539"><code>while</code> statement</a>: <a href="The-while-Statement.html#The-while-Statement">The while Statement</a></li>
-<li><a href="Bug-Reporting.html#index-wrong-answers-2171">wrong answers</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
-<li><a href="Bug-Criteria.html#index-wrong-answers-2152">wrong answers</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
+<li><a href="Bug-Reporting.html#index-wrong-answers-2234">wrong answers</a>: <a href="Bug-Reporting.html#Bug-Reporting">Bug Reporting</a></li>
+<li><a href="Bug-Criteria.html#index-wrong-answers-2215">wrong answers</a>: <a href="Bug-Criteria.html#Bug-Criteria">Bug Criteria</a></li>
 <li><a href="Startup-Files.html#index-g_t_0040code_007b_007e_002f_002eoctaverc_007d-66"><code>~/.octaverc</code></a>: <a href="Startup-Files.html#Startup-Files">Startup Files</a></li>
    </ul><!-- DO NOT EDIT!  Generated automatically by munge-texi. -->
 <!-- Copyright (C) 1996, 1997, 1999, 2002, 2007 John W. Eaton -->
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Controlling-Subprocesses.html 1:3.0.5-6/doc/interpreter/HTML/Controlling-Subprocesses.html
--- 1:3.0.1-6/doc/interpreter/HTML/Controlling-Subprocesses.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Controlling-Subprocesses.html	2009-04-07 11:11:40.000000000 +0100
@@ -47,7 +47,7 @@ higher-level functions.
    <p><a name="doc_002dsystem"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>system</b> (<var>string, return_output, type</var>)<var><a name="index-system-2025"></a></var><br>
+&mdash; Built-in Function:  <b>system</b> (<var>string, return_output, type</var>)<var><a name="index-system-2087"></a></var><br>
 <blockquote><p>Execute a shell command specified by <var>string</var>.  The second
 argument is optional.  If <var>type</var> is <code>"async"</code>, the process
 is started in the background and the process id of the child process
@@ -83,8 +83,8 @@ variable <code>status</code> to the inte
    <p><a name="doc_002dunix"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>status</var>, <var>text</var>] <b>unix</b> (<var>command</var>)<var><a name="index-unix-2026"></a></var><br>
-&mdash; Function File: [<var>status</var>, <var>text</var>] <b>unix</b> (<var>command, "-echo"</var>)<var><a name="index-unix-2027"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>text</var>] <b>unix</b> (<var>command</var>)<var><a name="index-unix-2088"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>text</var>] <b>unix</b> (<var>command, "-echo"</var>)<var><a name="index-unix-2089"></a></var><br>
 <blockquote><p>Execute a system command if running under a Unix-like operating
 system, otherwise do nothing.  Return the exit status of the program
 in <var>status</var> and any output sent to the standard output in
@@ -99,8 +99,8 @@ then also send the output from the comma
    <p><a name="doc_002ddos"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>status</var>, <var>text</var>] = <b>dos</b> (<var>command</var>)<var><a name="index-dos-2028"></a></var><br>
-&mdash; Function File: [<var>status</var>, <var>text</var>] = <b>dos</b> (<var>command, "-echo"</var>)<var><a name="index-dos-2029"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>text</var>] = <b>dos</b> (<var>command</var>)<var><a name="index-dos-2090"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>text</var>] = <b>dos</b> (<var>command, "-echo"</var>)<var><a name="index-dos-2091"></a></var><br>
 <blockquote><p>Execute a system command if running under a Windows-like operating
 system, otherwise do nothing.  Return the exit status of the program
 in <var>status</var> and any output sent to the standard output in
@@ -115,7 +115,7 @@ then also send the output from the comma
    <p><a name="doc_002dpopen"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>fid</var> = <b>popen</b> (<var>command, mode</var>)<var><a name="index-popen-2030"></a></var><br>
+&mdash; Built-in Function: <var>fid</var> = <b>popen</b> (<var>command, mode</var>)<var><a name="index-popen-2092"></a></var><br>
 <blockquote><p>Start a process and create a pipe.  The name of the command to run is
 given by <var>command</var>.  The file identifier corresponding to the input
 or output stream of the process is returned in <var>fid</var>.  The argument
@@ -144,7 +144,7 @@ open for writing. 
    <p><a name="doc_002dpclose"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>pclose</b> (<var>fid</var>)<var><a name="index-pclose-2031"></a></var><br>
+&mdash; Built-in Function:  <b>pclose</b> (<var>fid</var>)<var><a name="index-pclose-2093"></a></var><br>
 <blockquote><p>Close a file identifier that was opened by <code>popen</code>.  You may also
 use <code>fclose</code> for the same purpose. 
 </p></blockquote></div>
@@ -152,7 +152,7 @@ use <code>fclose</code> for the same pur
    <p><a name="doc_002dpopen2"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>in</var>, <var>out</var>, <var>pid</var>] = <b>popen2</b> (<var>command, args</var>)<var><a name="index-popen2-2032"></a></var><br>
+&mdash; Built-in Function: [<var>in</var>, <var>out</var>, <var>pid</var>] = <b>popen2</b> (<var>command, args</var>)<var><a name="index-popen2-2094"></a></var><br>
 <blockquote><p>Start a subprocess with two-way communication.  The name of the process
 is given by <var>command</var>, and <var>args</var> is an array of strings
 containing options for the command.  The file identifiers for the input
@@ -190,8 +190,8 @@ contains the process ID of the subproces
    <p><a name="doc_002dEXEC_005fPATH"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>val</var> = <b>EXEC_PATH</b> ()<var><a name="index-EXEC_005fPATH-2033"></a></var><br>
-&mdash; Built-in Function: <var>old_val</var> = <b>EXEC_PATH</b> (<var>new_val</var>)<var><a name="index-EXEC_005fPATH-2034"></a></var><br>
+&mdash; Built-in Function: <var>val</var> = <b>EXEC_PATH</b> ()<var><a name="index-EXEC_005fPATH-2095"></a></var><br>
+&mdash; Built-in Function: <var>old_val</var> = <b>EXEC_PATH</b> (<var>new_val</var>)<var><a name="index-EXEC_005fPATH-2096"></a></var><br>
 <blockquote><p>Query or set the internal variable that specifies a colon separated
 list of directories to search when executing external programs. 
 Its initial value is taken from the environment variable
@@ -211,7 +211,7 @@ they can be used, look at the definition
    <p><a name="doc_002dfork"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>pid</var>, <var>msg</var>] = <b>fork</b> ()<var><a name="index-fork-2035"></a></var><br>
+&mdash; Built-in Function: [<var>pid</var>, <var>msg</var>] = <b>fork</b> ()<var><a name="index-fork-2097"></a></var><br>
 <blockquote><p>Create a copy of the current process.
 
         <p>Fork can return one of the following values:
@@ -232,7 +232,7 @@ action.  A system dependent error messag
    <p><a name="doc_002dexec"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>exec</b> (<var>file, args</var>)<var><a name="index-exec-2036"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>exec</b> (<var>file, args</var>)<var><a name="index-exec-2098"></a></var><br>
 <blockquote><p>Replace current process with a new process.  Calling <code>exec</code> without
 first calling <code>fork</code> will terminate your current Octave process and
 replace it with the program named by <var>file</var>.  For example,
@@ -249,7 +249,7 @@ error message. 
    <p><a name="doc_002dpipe"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>read_fd</var>, <var>write_fd</var>, <var>err</var>, <var>msg</var>] = <b>pipe</b> ()<var><a name="index-pipe-2037"></a></var><br>
+&mdash; Built-in Function: [<var>read_fd</var>, <var>write_fd</var>, <var>err</var>, <var>msg</var>] = <b>pipe</b> ()<var><a name="index-pipe-2099"></a></var><br>
 <blockquote><p>Create a pipe and return the reading and writing ends of the pipe
 into <var>read_fd</var> and <var>write_fd</var> respectively.
 
@@ -261,7 +261,7 @@ system-dependent error message. 
    <p><a name="doc_002ddup2"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>fid</var>, <var>msg</var>] = <b>dup2</b> (<var>old, new</var>)<var><a name="index-dup2-2038"></a></var><br>
+&mdash; Built-in Function: [<var>fid</var>, <var>msg</var>] = <b>dup2</b> (<var>old, new</var>)<var><a name="index-dup2-2100"></a></var><br>
 <blockquote><p>Duplicate a file descriptor.
 
         <p>If successful, <var>fid</var> is greater than zero and contains the new file
@@ -272,7 +272,7 @@ system-dependent error message. 
    <p><a name="doc_002dwaitpid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>pid</var>, <var>status</var>, <var>msg</var>] = <b>waitpid</b> (<var>pid, options</var>)<var><a name="index-waitpid-2039"></a></var><br>
+&mdash; Built-in Function: [<var>pid</var>, <var>status</var>, <var>msg</var>] = <b>waitpid</b> (<var>pid, options</var>)<var><a name="index-waitpid-2101"></a></var><br>
 <blockquote><p>Wait for process <var>pid</var> to terminate.  The <var>pid</var> argument can be:
 
           <dl>
@@ -314,39 +314,39 @@ information about the subprocess that ex
    <p><a name="doc_002dfcntl"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>fcntl</b> (<var>fid, request, arg</var>)<var><a name="index-fcntl-2040"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>fcntl</b> (<var>fid, request, arg</var>)<var><a name="index-fcntl-2102"></a></var><br>
 <blockquote><p>Change the properties of the open file <var>fid</var>.  The following values
 may be passed as <var>request</var>:
 
           <dl>
-<dt><code>F_DUPFD</code><a name="index-F_005fDUPFD-2041"></a><dd>Return a duplicate file descriptor.
+<dt><code>F_DUPFD</code><a name="index-F_005fDUPFD-2103"></a><dd>Return a duplicate file descriptor.
 
-          <br><dt><code>F_GETFD</code><a name="index-F_005fGETFD-2042"></a><dd>Return the file descriptor flags for <var>fid</var>.
+          <br><dt><code>F_GETFD</code><a name="index-F_005fGETFD-2104"></a><dd>Return the file descriptor flags for <var>fid</var>.
 
-          <br><dt><code>F_SETFD</code><a name="index-F_005fSETFD-2043"></a><dd>Set the file descriptor flags for <var>fid</var>.
+          <br><dt><code>F_SETFD</code><a name="index-F_005fSETFD-2105"></a><dd>Set the file descriptor flags for <var>fid</var>.
 
-          <br><dt><code>F_GETFL</code><a name="index-F_005fGETFL-2044"></a><dd>Return the file status flags for <var>fid</var>.  The following codes may be
+          <br><dt><code>F_GETFL</code><a name="index-F_005fGETFL-2106"></a><dd>Return the file status flags for <var>fid</var>.  The following codes may be
 returned (some of the flags may be undefined on some systems).
 
                <dl>
-<dt><code>O_RDONLY</code><a name="index-O_005fRDONLY-2045"></a><dd>Open for reading only.
+<dt><code>O_RDONLY</code><a name="index-O_005fRDONLY-2107"></a><dd>Open for reading only.
 
-               <br><dt><code>O_WRONLY</code><a name="index-O_005fWRONLY-2046"></a><dd>Open for writing only.
+               <br><dt><code>O_WRONLY</code><a name="index-O_005fWRONLY-2108"></a><dd>Open for writing only.
 
-               <br><dt><code>O_RDWR</code><a name="index-O_005fRDWR-2047"></a><dd>Open for reading and writing.
+               <br><dt><code>O_RDWR</code><a name="index-O_005fRDWR-2109"></a><dd>Open for reading and writing.
 
-               <br><dt><code>O_APPEND</code><a name="index-O_005fAPPEND-2048"></a><dd>Append on each write.
+               <br><dt><code>O_APPEND</code><a name="index-O_005fAPPEND-2110"></a><dd>Append on each write.
 
-               <br><dt><code>O_CREAT</code><a name="index-O_005fCREAT-2049"></a><dd>Create the file if it does not exist.
+               <br><dt><code>O_CREAT</code><a name="index-O_005fCREAT-2111"></a><dd>Create the file if it does not exist.
 
-               <br><dt><code>O_NONBLOCK</code><a name="index-O_005fNONBLOCK-2050"></a><dd>Nonblocking mode.
+               <br><dt><code>O_NONBLOCK</code><a name="index-O_005fNONBLOCK-2112"></a><dd>Nonblocking mode.
 
-               <br><dt><code>O_SYNC</code><a name="index-O_005fSYNC-2051"></a><dd>Wait for writes to complete.
+               <br><dt><code>O_SYNC</code><a name="index-O_005fSYNC-2113"></a><dd>Wait for writes to complete.
 
-               <br><dt><code>O_ASYNC</code><a name="index-O_005fASYNC-2052"></a><dd>Asynchronous I/O. 
+               <br><dt><code>O_ASYNC</code><a name="index-O_005fASYNC-2114"></a><dd>Asynchronous I/O. 
 </dl>
 
-          <br><dt><code>F_SETFL</code><a name="index-F_005fSETFL-2053"></a><dd>Set the file status flags for <var>fid</var> to the value specified by
+          <br><dt><code>F_SETFL</code><a name="index-F_005fSETFL-2115"></a><dd>Set the file status flags for <var>fid</var> to the value specified by
 <var>arg</var>.  The only flags that can be changed are <code>O_APPEND</code> and
 <code>O_NONBLOCK</code>. 
 </dl>
@@ -359,7 +359,7 @@ system-dependent error message. 
    <p><a name="doc_002dkill"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>kill</b> (<var>pid, sig</var>)<var><a name="index-kill-2054"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>kill</b> (<var>pid, sig</var>)<var><a name="index-kill-2116"></a></var><br>
 <blockquote><p>Send signal <var>sig</var> to process <var>pid</var>.
 
         <p>If <var>pid</var> is positive, then signal <var>sig</var> is sent to <var>pid</var>.
@@ -382,7 +382,7 @@ performed.
    <p><a name="doc_002dSIG"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>SIG</b> ()<var><a name="index-SIG-2055"></a></var><br>
+&mdash; Built-in Function:  <b>SIG</b> ()<var><a name="index-SIG-2117"></a></var><br>
 <blockquote><p>Return a structure containing Unix signal names and their defined values. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Control-Theory.html 1:3.0.5-6/doc/interpreter/HTML/Control-Theory.html
--- 1:3.0.1-6/doc/interpreter/HTML/Control-Theory.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Control-Theory.html	2009-04-07 11:11:40.000000000 +0100
@@ -54,7 +54,7 @@ beginning <acronym>OCST</acronym> users 
    <p><a name="doc_002dDEMOcontrol"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>DEMOcontrol</b><var><a name="index-DEMOcontrol-1667"></a></var><br>
+&mdash; Function File:  <b>DEMOcontrol</b><var><a name="index-DEMOcontrol-1729"></a></var><br>
 <blockquote><p>Octave Control Systems Toolbox demo/tutorial program.  The demo
 allows the user to select among several categories of <acronym>OCST</acronym> function:
      <pre class="example">          octave:1&gt; DEMOcontrol
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Convex-Hull.html 1:3.0.5-6/doc/interpreter/HTML/Convex-Hull.html
--- 1:3.0.1-6/doc/interpreter/HTML/Convex-Hull.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Convex-Hull.html	2009-04-07 11:11:40.000000000 +0100
@@ -42,8 +42,8 @@ N-dimensional sets of points.
    <p><a name="doc_002dconvhull"></a>
 
 <div class="defun">
-&mdash; Function File: <var>H</var> = <b>convhull</b> (<var>x, y</var>)<var><a name="index-convhull-1659"></a></var><br>
-&mdash; Function File: <var>H</var> = <b>convhull</b> (<var>x, y, opt</var>)<var><a name="index-convhull-1660"></a></var><br>
+&mdash; Function File: <var>H</var> = <b>convhull</b> (<var>x, y</var>)<var><a name="index-convhull-1721"></a></var><br>
+&mdash; Function File: <var>H</var> = <b>convhull</b> (<var>x, y, opt</var>)<var><a name="index-convhull-1722"></a></var><br>
 <blockquote><p>Returns the index vector to the points of the enclosing convex hull.  The
 data points are defined by the x and y vectors.
 
@@ -60,8 +60,8 @@ Qhull library for details.
    <p><a name="doc_002dconvhulln"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>H</var> = <b>convhulln</b> (<var>p</var>)<var><a name="index-convhulln-1661"></a></var><br>
-&mdash; Loadable Function: <var>H</var> = <b>convhulln</b> (<var>p, opt</var>)<var><a name="index-convhulln-1662"></a></var><br>
+&mdash; Loadable Function: <var>H</var> = <b>convhulln</b> (<var>p</var>)<var><a name="index-convhulln-1723"></a></var><br>
+&mdash; Loadable Function: <var>H</var> = <b>convhulln</b> (<var>p, opt</var>)<var><a name="index-convhulln-1724"></a></var><br>
 <blockquote><p>Returns an index vector to the points of the enclosing convex hull. 
 The input matrix of size [n, dim] contains n points of dimension dim.
 
Binary files 1:3.0.1-6/doc/interpreter/HTML/convhull.png and 1:3.0.5-6/doc/interpreter/HTML/convhull.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Coordinate-Transformations.html 1:3.0.5-6/doc/interpreter/HTML/Coordinate-Transformations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Coordinate-Transformations.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Coordinate-Transformations.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,8 +37,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dcart2pol"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>theta</var>, <var>r</var>] = <b>cart2pol</b> (<var>x, y</var>)<var><a name="index-cart2pol-1119"></a></var><br>
-&mdash; Function File: [<var>theta</var>, <var>r</var>, <var>z</var>] = <b>cart2pol</b> (<var>x, y, z</var>)<var><a name="index-cart2pol-1120"></a></var><br>
+&mdash; Function File: [<var>theta</var>, <var>r</var>] = <b>cart2pol</b> (<var>x, y</var>)<var><a name="index-cart2pol-1167"></a></var><br>
+&mdash; Function File: [<var>theta</var>, <var>r</var>, <var>z</var>] = <b>cart2pol</b> (<var>x, y, z</var>)<var><a name="index-cart2pol-1168"></a></var><br>
 <blockquote><p>Transform cartesian to polar or cylindrical coordinates. 
 <var>x</var>, <var>y</var> (and <var>z</var>) must be of same shape. 
 <var>theta</var> describes the angle relative to the x - axis. 
@@ -52,8 +52,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dpol2cart"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>y</var>] = <b>pol2cart</b> (<var>theta, r</var>)<var><a name="index-pol2cart-1121"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>pol2cart</b> (<var>theta, r, z</var>)<var><a name="index-pol2cart-1122"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>] = <b>pol2cart</b> (<var>theta, r</var>)<var><a name="index-pol2cart-1169"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>pol2cart</b> (<var>theta, r, z</var>)<var><a name="index-pol2cart-1170"></a></var><br>
 <blockquote><p>Transform polar or cylindrical to cartesian coordinates. 
 <var>theta</var>, <var>r</var> (and <var>z</var>) must be of same shape. 
 <var>theta</var> describes the angle relative to the x - axis. 
@@ -67,7 +67,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dcart2sph"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>theta</var>, <var>phi</var>, <var>r</var>] = <b>cart2sph</b> (<var>x, y, z</var>)<var><a name="index-cart2sph-1123"></a></var><br>
+&mdash; Function File: [<var>theta</var>, <var>phi</var>, <var>r</var>] = <b>cart2sph</b> (<var>x, y, z</var>)<var><a name="index-cart2sph-1171"></a></var><br>
 <blockquote><p>Transform cartesian to spherical coordinates. 
 <var>x</var>, <var>y</var> and <var>z</var> must be of same shape. 
 <var>theta</var> describes the angle relative to the x - axis. 
@@ -82,7 +82,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dsph2cart"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>sph2cart</b> (<var>theta, phi, r</var>)<var><a name="index-sph2cart-1124"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>sph2cart</b> (<var>theta, phi, r</var>)<var><a name="index-sph2cart-1172"></a></var><br>
 <blockquote><p>Transform spherical to cartesian coordinates. 
 <var>x</var>, <var>y</var> and <var>z</var> must be of same shape. 
 <var>theta</var> describes the angle relative to the x-axis. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Copying.html 1:3.0.5-6/doc/interpreter/HTML/Copying.html
--- 1:3.0.1-6/doc/interpreter/HTML/Copying.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Copying.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix G GNU GENERAL PUBLIC LICENSE</h2>
 
-<p><a name="index-warranty-2183"></a><a name="index-copyright-2184"></a>
+<p><a name="index-warranty-2246"></a><a name="index-copyright-2247"></a>
 <div align="center">Version 3, 29 June 2007</div>
 
 <pre class="display">     Copyright &copy; 2007 Free Software Foundation, Inc. <a href="http://fsf.org/">http://fsf.org/</a>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Creating-Cell-Arrays.html 1:3.0.5-6/doc/interpreter/HTML/Creating-Cell-Arrays.html
--- 1:3.0.1-6/doc/interpreter/HTML/Creating-Cell-Arrays.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Creating-Cell-Arrays.html	2009-04-07 11:11:39.000000000 +0100
@@ -97,8 +97,8 @@ false. 
 
 <div class="defun">
 &mdash; Loadable Function: <var>c</var> = <b>num2cell</b> (<var>m</var>)<var><a name="index-num2cell-340"></a></var><br>
-&mdash; Loadable Function: <var>c</var> = <b>num2cell</b> (<var>m, d</var>)<var><a name="index-num2cell-341"></a></var><br>
-<blockquote><p>Convert to matrix <var>m</var> into a cell array. If <var>d</var> is defined the
+&mdash; Loadable Function: <var>c</var> = <b>num2cell</b> (<var>m, dim</var>)<var><a name="index-num2cell-341"></a></var><br>
+<blockquote><p>Convert the matrix <var>m</var> into a cell array. If <var>dim</var> is defined, the
 value <var>c</var> is of dimension 1 in this dimension and the elements of
 <var>m</var> are placed in slices in <var>c</var>.
         <pre class="sp">
@@ -113,7 +113,7 @@ value <var>c</var> is of dimension 1 in 
 &mdash; Loadable Function: <var>b</var> = <b>mat2cell</b> (<var>a, m, n</var>)<var><a name="index-mat2cell-342"></a></var><br>
 &mdash; Loadable Function: <var>b</var> = <b>mat2cell</b> (<var>a, d1, d2, <small class="dots">...</small></var>)<var><a name="index-mat2cell-343"></a></var><br>
 &mdash; Loadable Function: <var>b</var> = <b>mat2cell</b> (<var>a, r</var>)<var><a name="index-mat2cell-344"></a></var><br>
-<blockquote><p>Converts the matrix <var>a</var> to a cell array If <var>a</var> is 2-D, then
+<blockquote><p>Convert the matrix <var>a</var> to a cell array. If <var>a</var> is 2-D, then
 it is required that <code>sum (</code><var>m</var><code>) == size (</code><var>a</var><code>, 1)</code> and
 <code>sum (</code><var>n</var><code>) == size (</code><var>a</var><code>, 2)</code>. Similarly, if <var>a</var> is
 a multi-dimensional and the number of dimensional arguments is equal
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Creation.html 1:3.0.5-6/doc/interpreter/HTML/Creation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Creation.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Creation.html	2009-04-07 11:11:40.000000000 +0100
@@ -75,7 +75,7 @@ diagonal defined.
    <p><a name="doc_002dspatan2"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spatan2</b> (<var>y, x</var>)<var><a name="index-spatan2-1214"></a></var><br>
+&mdash; Loadable Function:  <b>spatan2</b> (<var>y, x</var>)<var><a name="index-spatan2-1262"></a></var><br>
 <blockquote><p>Compute atan (Y / X) for corresponding sparse matrix elements of Y and X. 
 The result is in range -pi to pi. 
 </p></blockquote></div>
@@ -83,7 +83,7 @@ The result is in range -pi to pi. 
    <p><a name="doc_002dspcumprod"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>y</var> = <b>spcumprod</b> (<var>x,dim</var>)<var><a name="index-spcumprod-1215"></a></var><br>
+&mdash; Loadable Function: <var>y</var> = <b>spcumprod</b> (<var>x,dim</var>)<var><a name="index-spcumprod-1263"></a></var><br>
 <blockquote><p>Cumulative product of elements along dimension <var>dim</var>.  If <var>dim</var>
 is omitted, it defaults to 1 (column-wise cumulative products).
         <pre class="sp">
@@ -95,7 +95,7 @@ is omitted, it defaults to 1 (column-wis
    <p><a name="doc_002dspcumsum"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>y</var> = <b>spcumsum</b> (<var>x,dim</var>)<var><a name="index-spcumsum-1216"></a></var><br>
+&mdash; Loadable Function: <var>y</var> = <b>spcumsum</b> (<var>x,dim</var>)<var><a name="index-spcumsum-1264"></a></var><br>
 <blockquote><p>Cumulative sum of elements along dimension <var>dim</var>.  If <var>dim</var>
 is omitted, it defaults to 1 (column-wise cumulative sums).
         <pre class="sp">
@@ -107,7 +107,7 @@ is omitted, it defaults to 1 (column-wis
    <p><a name="doc_002dspdiag"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spdiag</b> (<var>v, k</var>)<var><a name="index-spdiag-1217"></a></var><br>
+&mdash; Loadable Function:  <b>spdiag</b> (<var>v, k</var>)<var><a name="index-spdiag-1265"></a></var><br>
 <blockquote><p>Return a diagonal matrix with the sparse vector <var>v</var> on diagonal
 <var>k</var>. The second argument is optional. If it is positive, the vector is
 placed on the <var>k</var>-th super-diagonal. If it is negative, it is placed
@@ -133,10 +133,10 @@ the vector is placed on the main diagona
    <p><a name="doc_002dspdiags"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>b</var>, <var>c</var>] = <b>spdiags</b> (<var>a</var>)<var><a name="index-spdiags-1218"></a></var><br>
-&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>a, c</var>)<var><a name="index-spdiags-1219"></a></var><br>
-&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>v, c, a</var>)<var><a name="index-spdiags-1220"></a></var><br>
-&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>v, c, m, n</var>)<var><a name="index-spdiags-1221"></a></var><br>
+&mdash; Function File: [<var>b</var>, <var>c</var>] = <b>spdiags</b> (<var>a</var>)<var><a name="index-spdiags-1266"></a></var><br>
+&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>a, c</var>)<var><a name="index-spdiags-1267"></a></var><br>
+&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>v, c, a</var>)<var><a name="index-spdiags-1268"></a></var><br>
+&mdash; Function File: <var>b</var> = <b>spdiags</b> (<var>v, c, m, n</var>)<var><a name="index-spdiags-1269"></a></var><br>
 <blockquote><p>A generalization of the function <code>spdiag</code>. Called with a single
 input argument, the non-zero diagonals <var>c</var> of <var>A</var> are extracted. 
 With two arguments the diagonals to extract are given by the vector
@@ -149,7 +149,7 @@ the columns represented by the vector <v
 Otherwise a matrix of <var>m</var> by <var>n</var> is created with the
 diagonals given by <var>v</var>.
 
-        <p>Negative values of <var>c</var> representive diagonals below the main
+        <p>Negative values of <var>c</var> represent diagonals below the main
 diagonal, and positive values of <var>c</var> diagonals above the main
 diagonal.
 
@@ -167,9 +167,9 @@ diagonal.
    <p><a name="doc_002dspeye"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>speye</b> (<var>m</var>)<var><a name="index-speye-1222"></a></var><br>
-&mdash; Function File: <var>y</var> = <b>speye</b> (<var>m, n</var>)<var><a name="index-speye-1223"></a></var><br>
-&mdash; Function File: <var>y</var> = <b>speye</b> (<var>sz</var>)<var><a name="index-speye-1224"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>speye</b> (<var>m</var>)<var><a name="index-speye-1270"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>speye</b> (<var>m, n</var>)<var><a name="index-speye-1271"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>speye</b> (<var>sz</var>)<var><a name="index-speye-1272"></a></var><br>
 <blockquote><p>Returns a sparse identity matrix. This is significantly more
 efficient than <code>sparse (eye (</code><var>m</var><code>))</code> as the full matrix
 is not constructed.
@@ -183,7 +183,7 @@ is taken to be the size of the matrix to
    <p><a name="doc_002dspfun"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>spfun</b> (<var>f,x</var>)<var><a name="index-spfun-1225"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>spfun</b> (<var>f,x</var>)<var><a name="index-spfun-1273"></a></var><br>
 <blockquote><p>Compute <code>f(</code><var>x</var><code>)</code> for the non-zero values of <var>x</var>. 
 This results in a sparse matrix with the same structure as
 <var>x</var>. The function <var>f</var> can be passed as a string, a
@@ -193,9 +193,9 @@ function handle or an inline function. 
    <p><a name="doc_002dspmax"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>spmax</b> (<var>x, y, dim</var>)<var><a name="index-spmax-1226"></a></var><br>
-&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>spmax</b> (<var>x</var>)<var><a name="index-spmax-1227"></a></var><br>
-<blockquote><p><a name="index-Utility-Functions-1228"></a>For a vector argument, return the maximum value.  For a matrix
+&mdash; Mapping Function:  <b>spmax</b> (<var>x, y, dim</var>)<var><a name="index-spmax-1274"></a></var><br>
+&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>spmax</b> (<var>x</var>)<var><a name="index-spmax-1275"></a></var><br>
+<blockquote><p><a name="index-Utility-Functions-1276"></a>For a vector argument, return the maximum value.  For a matrix
 argument, return the maximum value from each column, as a row
 vector, or over the dimension <var>dim</var> if defined. For two matrices
 (or a matrix and scalar), return the pair-wise maximum. 
@@ -227,9 +227,9 @@ maximum value(s). Thus,
    <p><a name="doc_002dspmin"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>spmin</b> (<var>x, y, dim</var>)<var><a name="index-spmin-1229"></a></var><br>
-&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>spmin</b> (<var>x</var>)<var><a name="index-spmin-1230"></a></var><br>
-<blockquote><p><a name="index-Utility-Functions-1231"></a>For a vector argument, return the minimum value.  For a matrix
+&mdash; Mapping Function:  <b>spmin</b> (<var>x, y, dim</var>)<var><a name="index-spmin-1277"></a></var><br>
+&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>spmin</b> (<var>x</var>)<var><a name="index-spmin-1278"></a></var><br>
+<blockquote><p><a name="index-Utility-Functions-1279"></a>For a vector argument, return the minimum value.  For a matrix
 argument, return the minimum value from each column, as a row
 vector, or over the dimension <var>dim</var> if defined. For two matrices
 (or a matrix and scalar), return the pair-wise minimum. 
@@ -261,7 +261,7 @@ minimum value(s). Thus,
    <p><a name="doc_002dspones"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>spones</b> (<var>x</var>)<var><a name="index-spones-1232"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>spones</b> (<var>x</var>)<var><a name="index-spones-1280"></a></var><br>
 <blockquote><p>Replace the non-zero entries of <var>x</var> with ones. This creates a
 sparse matrix with the same structure as <var>x</var>. 
 </p></blockquote></div>
@@ -269,7 +269,7 @@ sparse matrix with the same structure as
    <p><a name="doc_002dspprod"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>y</var> = <b>spprod</b> (<var>x,dim</var>)<var><a name="index-spprod-1233"></a></var><br>
+&mdash; Loadable Function: <var>y</var> = <b>spprod</b> (<var>x,dim</var>)<var><a name="index-spprod-1281"></a></var><br>
 <blockquote><p>Product of elements along dimension <var>dim</var>.  If <var>dim</var> is omitted,
 it defaults to 1 (column-wise products).
         <pre class="sp">
@@ -281,8 +281,8 @@ it defaults to 1 (column-wise products).
    <p><a name="doc_002dsprand"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sprand</b> (<var>m, n, d</var>)<var><a name="index-sprand-1234"></a></var><br>
-&mdash; Function File:  <b>sprand</b> (<var>s</var>)<var><a name="index-sprand-1235"></a></var><br>
+&mdash; Function File:  <b>sprand</b> (<var>m, n, d</var>)<var><a name="index-sprand-1282"></a></var><br>
+&mdash; Function File:  <b>sprand</b> (<var>s</var>)<var><a name="index-sprand-1283"></a></var><br>
 <blockquote><p>Generate a random sparse matrix. The size of the matrix will be
 <var>m</var> by <var>n</var>, with a density of values given by <var>d</var>. 
 <var>d</var> should be between 0 and 1. Values will be uniformly
@@ -302,8 +302,8 @@ generated wherever the matrix <var>S</va
    <p><a name="doc_002dsprandn"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sprandn</b> (<var>m, n, d</var>)<var><a name="index-sprandn-1236"></a></var><br>
-&mdash; Function File:  <b>sprandn</b> (<var>s</var>)<var><a name="index-sprandn-1237"></a></var><br>
+&mdash; Function File:  <b>sprandn</b> (<var>m, n, d</var>)<var><a name="index-sprandn-1284"></a></var><br>
+&mdash; Function File:  <b>sprandn</b> (<var>s</var>)<var><a name="index-sprandn-1285"></a></var><br>
 <blockquote><p>Generate a random sparse matrix. The size of the matrix will be
 <var>m</var> by <var>n</var>, with a density of values given by <var>d</var>. 
 <var>d</var> should be between 0 and 1. Values will be normally
@@ -323,8 +323,8 @@ generated wherever the matrix <var>S</va
    <p><a name="doc_002dsprandsym"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sprandsym</b> (<var>n, d</var>)<var><a name="index-sprandsym-1238"></a></var><br>
-&mdash; Function File:  <b>sprandsym</b> (<var>s</var>)<var><a name="index-sprandsym-1239"></a></var><br>
+&mdash; Function File:  <b>sprandsym</b> (<var>n, d</var>)<var><a name="index-sprandsym-1286"></a></var><br>
+&mdash; Function File:  <b>sprandsym</b> (<var>s</var>)<var><a name="index-sprandsym-1287"></a></var><br>
 <blockquote><p>Generate a symmetric random sparse matrix. The size of the matrix will be
 <var>n</var> by <var>n</var>, with a density of values given by <var>d</var>. 
 <var>d</var> should be between 0 and 1. Values will be normally
@@ -345,7 +345,7 @@ triangular part.
    <p><a name="doc_002dspsum"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>y</var> = <b>spsum</b> (<var>x,dim</var>)<var><a name="index-spsum-1240"></a></var><br>
+&mdash; Loadable Function: <var>y</var> = <b>spsum</b> (<var>x,dim</var>)<var><a name="index-spsum-1288"></a></var><br>
 <blockquote><p>Sum of elements along dimension <var>dim</var>.  If <var>dim</var> is omitted, it
 defaults to 1 (column-wise sum).
         <pre class="sp">
@@ -357,7 +357,7 @@ defaults to 1 (column-wise sum).
    <p><a name="doc_002dspsumsq"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>y</var> = <b>spsumsq</b> (<var>x,dim</var>)<var><a name="index-spsumsq-1241"></a></var><br>
+&mdash; Loadable Function: <var>y</var> = <b>spsumsq</b> (<var>x,dim</var>)<var><a name="index-spsumsq-1289"></a></var><br>
 <blockquote><p>Sum of squares of elements along dimension <var>dim</var>.  If <var>dim</var>
 is omitted, it defaults to 1 (column-wise sum of squares). 
 This function is equivalent to computing
@@ -425,7 +425,7 @@ number of memory allocations.
    <p><a name="doc_002dfull"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>FM</var> = <b>full</b> (<var>SM</var>)<var><a name="index-full-1242"></a></var><br>
+&mdash; Loadable Function: <var>FM</var> = <b>full</b> (<var>SM</var>)<var><a name="index-full-1290"></a></var><br>
 <blockquote><p> returns a full storage matrix from a sparse one
         <pre class="sp">
      
@@ -436,7 +436,7 @@ number of memory allocations.
    <p><a name="doc_002dspalloc"></a>
 
 <div class="defun">
-&mdash; Function File: <var>s</var> = <b>spalloc</b> (<var>r, c, nz</var>)<var><a name="index-spalloc-1243"></a></var><br>
+&mdash; Function File: <var>s</var> = <b>spalloc</b> (<var>r, c, nz</var>)<var><a name="index-spalloc-1291"></a></var><br>
 <blockquote><p>Returns an empty sparse matrix of size <var>r</var>-by-<var>c</var>. As Octave
 resizes sparse matrices at the first opportunity, so that no additional
 space is needed, the argument <var>nz</var> is ignored. This function is
@@ -463,11 +463,11 @@ that code like this is vectorized as muc
    <p><a name="doc_002dsparse"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>a</var>)<var><a name="index-sparse-1244"></a></var><br>
+&mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>a</var>)<var><a name="index-sparse-1292"></a></var><br>
 <blockquote><p>Create a sparse matrix from the full matrix <var>a</var>. 
 is forced back to a full matrix is resulting matrix is sparse
 
-   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, sv, m, n, nzmax</var>)<var><a name="index-sparse-1245"></a></var><br>
+   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, sv, m, n, nzmax</var>)<var><a name="index-sparse-1293"></a></var><br>
 <blockquote><p>Create a sparse matrix given integer index vectors <var>i</var> and <var>j</var>,
 a 1-by-<code>nnz</code> vector of real of complex values <var>sv</var>, overall
 dimensions <var>m</var> and <var>n</var> of the sparse matrix.  The argument
@@ -483,14 +483,14 @@ be added.
           s = sparse (i, j, s, m, n, "summation")
           s = sparse (i, j, s, m, n, "sum")
 </pre>
-        &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, s, m, n, "unique"</var>)<var><a name="index-sparse-1246"></a></var><br>
+        &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, s, m, n, "unique"</var>)<var><a name="index-sparse-1294"></a></var><br>
 <blockquote><p>Same as above, except that if more than two values are specified for the
 same <var>i</var>, <var>j</var> indices, the last specified value will be used.
 
-   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, sv</var>)<var><a name="index-sparse-1247"></a></var><br>
+   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>i, j, sv</var>)<var><a name="index-sparse-1295"></a></var><br>
 <blockquote><p>Uses <var>m</var><code> = max (</code><var>i</var><code>)</code>, <var>n</var><code> = max (</code><var>j</var><code>)</code>
 
-   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>m, n</var>)<var><a name="index-sparse-1248"></a></var><br>
+   &mdash; Loadable Function: <var>s</var> = <b>sparse</b> (<var>m, n</var>)<var><a name="index-sparse-1296"></a></var><br>
 <blockquote><p>Equivalent to <code>sparse ([], [], [], </code><var>m</var><code>, </code><var>n</var><code>, 0)</code>
 
         <p>If any of <var>sv</var>, <var>i</var> or <var>j</var> are scalars, they are expanded
@@ -504,7 +504,7 @@ to have a common size.
    <p><a name="doc_002dspconvert"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>spconvert</b> (<var>m</var>)<var><a name="index-spconvert-1249"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>spconvert</b> (<var>m</var>)<var><a name="index-spconvert-1297"></a></var><br>
 <blockquote><p>This function converts for a simple sparse matrix format easily
 produced by other programs into Octave's internal sparse format. The
 input <var>x</var> is either a 3 or 4 column real matrix, containing
@@ -516,10 +516,10 @@ be used to force a particular matrix siz
    <p><a name="doc_002dspfind"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spfind</b> (<var>x</var>)<var><a name="index-spfind-1250"></a></var><br>
-&mdash; Loadable Function:  <b>spfind</b> (<var>x, n</var>)<var><a name="index-spfind-1251"></a></var><br>
-&mdash; Loadable Function:  <b>spfind</b> (<var>x, n, direction</var>)<var><a name="index-spfind-1252"></a></var><br>
-&mdash; Loadable Function: [<var>i</var>, <var>j</var>, <var>v</var> <b>spfind</b> (<var><small class="dots">...</small></var>)<var><a name="index-spfind-1253"></a></var><br>
+&mdash; Loadable Function:  <b>spfind</b> (<var>x</var>)<var><a name="index-spfind-1298"></a></var><br>
+&mdash; Loadable Function:  <b>spfind</b> (<var>x, n</var>)<var><a name="index-spfind-1299"></a></var><br>
+&mdash; Loadable Function:  <b>spfind</b> (<var>x, n, direction</var>)<var><a name="index-spfind-1300"></a></var><br>
+&mdash; Loadable Function: [<var>i</var>, <var>j</var>, <var>v</var> <b>spfind</b> (<var><small class="dots">...</small></var>)<var><a name="index-spfind-1301"></a></var><br>
 <blockquote>
         <p>A sparse version of the <code>find</code> function. Please see the <code>find</code>
 for details of its use.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Current-Working-Directory.html 1:3.0.5-6/doc/interpreter/HTML/Current-Working-Directory.html
--- 1:3.0.1-6/doc/interpreter/HTML/Current-Working-Directory.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Current-Working-Directory.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,8 +37,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dcd"></a>
 
 <div class="defun">
-&mdash; Command: <b>cd</b><var> dir<a name="index-cd-2065"></a></var><br>
-&mdash; Command: <b>chdir</b><var> dir<a name="index-chdir-2066"></a></var><br>
+&mdash; Command: <b>cd</b><var> dir<a name="index-cd-2128"></a></var><br>
+&mdash; Command: <b>chdir</b><var> dir<a name="index-chdir-2129"></a></var><br>
 <blockquote><p>Change the current working directory to <var>dir</var>.  If <var>dir</var> is
 omitted, the current directory is changed to the user's home
 directory.  For example,
@@ -57,7 +57,7 @@ directory is not changed.
    <p><a name="doc_002dls"></a>
 
 <div class="defun">
-&mdash; Command: <b>ls</b><var> options<a name="index-ls-2067"></a></var><br>
+&mdash; Command: <b>ls</b><var> options<a name="index-ls-2130"></a></var><br>
 <blockquote><p>List directory contents.  For example,
 
      <pre class="example">          ls -l
@@ -77,7 +77,7 @@ from system to system.
    <p><a name="doc_002dls_005fcommand"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>old_cmd</var> = <b>ls_command</b> (<var>cmd</var>)<var><a name="index-ls_005fcommand-2068"></a></var><br>
+&mdash; Function File: [<var>old_cmd</var> = <b>ls_command</b> (<var>cmd</var>)<var><a name="index-ls_005fcommand-2131"></a></var><br>
 <blockquote><p>Set or return the shell command used by Octave's <code>ls</code> command. 
 The value of <var>cmd</var> must be a character string. 
 With no arguments, simply return the previous value.
@@ -90,8 +90,8 @@ With no arguments, simply return the pre
    <p><a name="doc_002ddir"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dir</b> (<var>directory</var>)<var><a name="index-dir-2069"></a></var><br>
-&mdash; Function File: [<var>list</var>] = <b>dir</b> (<var>directory</var>)<var><a name="index-dir-2070"></a></var><br>
+&mdash; Function File:  <b>dir</b> (<var>directory</var>)<var><a name="index-dir-2132"></a></var><br>
+&mdash; Function File: [<var>list</var>] = <b>dir</b> (<var>directory</var>)<var><a name="index-dir-2133"></a></var><br>
 <blockquote><p>Display file listing for directory <var>directory</var>.  If a return
 value is requested, return a structure array with the fields
 
@@ -121,7 +121,7 @@ information about the link.
    <p><a name="doc_002dpwd"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>pwd</b> ()<var><a name="index-pwd-2071"></a></var><br>
+&mdash; Built-in Function:  <b>pwd</b> ()<var><a name="index-pwd-2134"></a></var><br>
 <blockquote><p>Return the current working directory.
         <pre class="sp">
      
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Data-Structures.html 1:3.0.5-6/doc/interpreter/HTML/Data-Structures.html
--- 1:3.0.1-6/doc/interpreter/HTML/Data-Structures.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Data-Structures.html	2009-04-07 11:11:39.000000000 +0100
@@ -177,7 +177,7 @@ indexed like any other variable.  For ex
 </pre>
    <p>It is also possible to cycle through all the elements of a structure in
 a loop, using a special form of the <code>for</code> statement
-(see <a href="The-for-Statement.html#The-for-Statement">The for Statement</a>)
+(see <a href="Looping-Over-Structure-Elements.html#Looping-Over-Structure-Elements">Looping Over Structure Elements</a>)
 
 <ul class="menu">
 <li><a accesskey="1" href="Structure-Arrays.html#Structure-Arrays">Structure Arrays</a>
Binary files 1:3.0.1-6/doc/interpreter/HTML/delaunay.png and 1:3.0.5-6/doc/interpreter/HTML/delaunay.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Delaunay-Triangulation.html 1:3.0.5-6/doc/interpreter/HTML/Delaunay-Triangulation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Delaunay-Triangulation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Delaunay-Triangulation.html	2009-04-07 11:11:40.000000000 +0100
@@ -39,15 +39,15 @@ circumference of the circum-circle. None
 points falls within any of the circum-circles.
 
    <p>In general there are only three points on the circumference of any
-circum-circle. However, in the some cases, and in particular for the
+circum-circle. However, in some cases, and in particular for the
 case of a regular grid, 4 or more points can be on a single
 circum-circle. In this case the Delaunay triangulation is not unique.
 
    <p><a name="doc_002ddelaunay"></a>
 
 <div class="defun">
-&mdash; Function File: <var>tri</var>= <b>delaunay</b> (<var>x, y</var>)<var><a name="index-delaunay-1631"></a></var><br>
-&mdash; Function File: <var>tri</var>= <b>delaunay</b> (<var>x, y, opt</var>)<var><a name="index-delaunay-1632"></a></var><br>
+&mdash; Function File: <var>tri</var>= <b>delaunay</b> (<var>x, y</var>)<var><a name="index-delaunay-1693"></a></var><br>
+&mdash; Function File: <var>tri</var>= <b>delaunay</b> (<var>x, y, opt</var>)<var><a name="index-delaunay-1694"></a></var><br>
 <blockquote><p>The return matrix of size [n, 3] contains a set triangles which are
 described by the indices to the data point x and y vector. 
 The triangulation satisfies the Delaunay circumcircle criterion. 
@@ -81,8 +81,8 @@ The N-dimensional extension of a triangu
    <p><a name="doc_002ddelaunay3"></a>
 
 <div class="defun">
-&mdash; Function File: <var>T</var> = <b>delaunay3</b> (<var>x, y, z</var>)<var><a name="index-delaunay3-1633"></a></var><br>
-&mdash; Function File: <var>T</var> = <b>delaunay3</b> (<var>x, y, z, opt</var>)<var><a name="index-delaunay3-1634"></a></var><br>
+&mdash; Function File: <var>T</var> = <b>delaunay3</b> (<var>x, y, z</var>)<var><a name="index-delaunay3-1695"></a></var><br>
+&mdash; Function File: <var>T</var> = <b>delaunay3</b> (<var>x, y, z, opt</var>)<var><a name="index-delaunay3-1696"></a></var><br>
 <blockquote><p>A matrix of size [n, 4] is returned. Each row contains a
 set of tetrahedron which are
 described by the indices to the data point vectors (x,y,z).
@@ -99,8 +99,8 @@ documentation for the Qhull library for 
    <p><a name="doc_002ddelaunayn"></a>
 
 <div class="defun">
-&mdash; Function File: <var>T</var> = <b>delaunayn</b> (<var>P</var>)<var><a name="index-delaunayn-1635"></a></var><br>
-&mdash; Function File: <var>T</var> = <b>delaunayn</b> (<var>P, opt</var>)<var><a name="index-delaunayn-1636"></a></var><br>
+&mdash; Function File: <var>T</var> = <b>delaunayn</b> (<var>P</var>)<var><a name="index-delaunayn-1697"></a></var><br>
+&mdash; Function File: <var>T</var> = <b>delaunayn</b> (<var>P, opt</var>)<var><a name="index-delaunayn-1698"></a></var><br>
 <blockquote><p>Form the Delaunay triangulation for a set of points. 
 The Delaunay triangulation is a tessellation of the convex hull of the
 points such that no n-sphere defined by the n-triangles contains
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Demonstration-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Demonstration-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Demonstration-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Demonstration-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002ddemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>demo</b> (<var>'name',n</var>)<var><a name="index-demo-2125"></a></var><br>
+&mdash; Function File:  <b>demo</b> (<var>'name',n</var>)<var><a name="index-demo-2188"></a></var><br>
 <blockquote>
         <p>Runs any examples associated with the function '<var>name</var>'. 
 Examples are stored in the script file, or in a file with the same
@@ -89,8 +89,8 @@ with the 'if' on the same line as 'demo'
    <p><a name="doc_002dexample"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>example</b> (<var>'name',n</var>)<var><a name="index-example-2126"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>idx</var>] = <b>example</b> (<var>'name',n</var>)<var><a name="index-example-2127"></a></var><br>
+&mdash; Function File:  <b>example</b> (<var>'name',n</var>)<var><a name="index-example-2189"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>idx</var>] = <b>example</b> (<var>'name',n</var>)<var><a name="index-example-2190"></a></var><br>
 <blockquote>
         <p>Display the code for example <var>n</var> associated with the function
 '<var>name</var>', but do not run it. If <var>n</var> is not given, all examples
@@ -110,8 +110,8 @@ various examples.
    <p><a name="doc_002dspeed"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>speed</b> (<var>f, init, max_n, f2, tol</var>)<var><a name="index-speed-2128"></a></var><br>
-&mdash; Function File: [<var>order</var>, <var>n</var>, <var>T_f</var>, <var>T_f2</var>] = <b>speed</b> (<var><small class="dots">...</small></var>)<var><a name="index-speed-2129"></a></var><br>
+&mdash; Function File:  <b>speed</b> (<var>f, init, max_n, f2, tol</var>)<var><a name="index-speed-2191"></a></var><br>
+&mdash; Function File: [<var>order</var>, <var>n</var>, <var>T_f</var>, <var>T_f2</var>] = <b>speed</b> (<var><small class="dots">...</small></var>)<var><a name="index-speed-2192"></a></var><br>
 <blockquote>
         <p>Determine the execution time of an expression for various <var>n</var>. 
 The <var>n</var> are log-spaced from 1 to <var>max_n</var>.  For each <var>n</var>,
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Derivatives-and-Integrals.html 1:3.0.5-6/doc/interpreter/HTML/Derivatives-and-Integrals.html
--- 1:3.0.1-6/doc/interpreter/HTML/Derivatives-and-Integrals.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Derivatives-and-Integrals.html	2009-04-07 11:11:40.000000000 +0100
@@ -47,9 +47,9 @@ compute the definite integral of p(x) = 
    <p><a name="doc_002dpolyderiv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyderiv</b> (<var>c</var>)<var><a name="index-polyderiv-1589"></a></var><br>
-&mdash; Function File: [<var>q</var>] = <b>polyderiv</b> (<var>b, a</var>)<var><a name="index-polyderiv-1590"></a></var><br>
-&mdash; Function File: [<var>q</var>, <var>r</var>] = <b>polyderiv</b> (<var>b, a</var>)<var><a name="index-polyderiv-1591"></a></var><br>
+&mdash; Function File:  <b>polyderiv</b> (<var>c</var>)<var><a name="index-polyderiv-1651"></a></var><br>
+&mdash; Function File: [<var>q</var>] = <b>polyderiv</b> (<var>b, a</var>)<var><a name="index-polyderiv-1652"></a></var><br>
+&mdash; Function File: [<var>q</var>, <var>r</var>] = <b>polyderiv</b> (<var>b, a</var>)<var><a name="index-polyderiv-1653"></a></var><br>
 <blockquote><p>Return the coefficients of the derivative of the polynomial whose
 coefficients are given by vector <var>c</var>.  If a pair of polynomials
 is given <var>b</var> and <var>a</var>, the derivative of the product is
@@ -65,16 +65,16 @@ filter, polygcd, polyval, polyvalm. 
    <p><a name="doc_002dpolyder"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyder</b> (<var>c</var>)<var><a name="index-polyder-1592"></a></var><br>
-&mdash; Function File: [<var>q</var>] = <b>polyder</b> (<var>b, a</var>)<var><a name="index-polyder-1593"></a></var><br>
-&mdash; Function File: [<var>q</var>, <var>r</var>] = <b>polyder</b> (<var>b, a</var>)<var><a name="index-polyder-1594"></a></var><br>
+&mdash; Function File:  <b>polyder</b> (<var>c</var>)<var><a name="index-polyder-1654"></a></var><br>
+&mdash; Function File: [<var>q</var>] = <b>polyder</b> (<var>b, a</var>)<var><a name="index-polyder-1655"></a></var><br>
+&mdash; Function File: [<var>q</var>, <var>r</var>] = <b>polyder</b> (<var>b, a</var>)<var><a name="index-polyder-1656"></a></var><br>
 <blockquote><p>See polyderiv. 
 </p></blockquote></div>
 
    <p><a name="doc_002dpolyint"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyint</b> (<var>c, k</var>)<var><a name="index-polyint-1595"></a></var><br>
+&mdash; Function File:  <b>polyint</b> (<var>c, k</var>)<var><a name="index-polyint-1657"></a></var><br>
 <blockquote><p>Return the coefficients of the integral of the polynomial whose
 coefficients are represented by the vector <var>c</var>. The variable
 <var>k</var> is the constant of integration, which by default is set to zero.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Descriptive-Statistics.html 1:3.0.5-6/doc/interpreter/HTML/Descriptive-Statistics.html
--- 1:3.0.1-6/doc/interpreter/HTML/Descriptive-Statistics.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Descriptive-Statistics.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dmean"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mean</b> (<var>x, dim, opt</var>)<var><a name="index-mean-1377"></a></var><br>
+&mdash; Function File:  <b>mean</b> (<var>x, dim, opt</var>)<var><a name="index-mean-1425"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, compute the mean of the elements of <var>x</var>
 
      <pre class="example">          mean (x) = SUM_i x(i) / N
@@ -66,7 +66,7 @@ either may appear first. 
    <p><a name="doc_002dmedian"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>median</b> (<var>x, dim</var>)<var><a name="index-median-1378"></a></var><br>
+&mdash; Function File:  <b>median</b> (<var>x, dim</var>)<var><a name="index-median-1426"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, compute the median value of the elements of
 <var>x</var>. If the elements of <var>x</var> are sorted, the median is defined
 as
@@ -84,11 +84,97 @@ argument is given, operate along this di
      <strong>See also:</strong> std, mean. 
 </p></blockquote></div>
 
+   <p><a name="doc_002dquantile"></a>
+
+<div class="defun">
+&mdash; Function File: <var>q</var> = <b>quantile</b> (<var>x, p</var>)<var><a name="index-quantile-1427"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quantile</b> (<var>x, p, dim</var>)<var><a name="index-quantile-1428"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quantile</b> (<var>x, p, dim, method </var>)<var><a name="index-quantile-1429"></a></var><br>
+<blockquote><p>For a sample, <var>x</var>, calculate the quantiles, <var>q</var>, corresponding to
+the cumulative probability values in <var>p</var>. All non-numeric values (NaNs) of
+<var>x</var> are ignored.
+
+        <p>If <var>x</var> is a matrix, compute the quantiles for each column and
+return them in a matrix, such that the i-th row of <var>q</var> contains
+the <var>p</var>(i)th quantiles of each column of <var>x</var>.
+
+        <p>The optional argument <var>dim</var> determines the dimension along which
+the percentiles are calculated. If <var>dim</var> is omitted, and <var>x</var> is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the
+instance that <var>x</var> is a N-d array, <var>dim</var> defaults to the first
+dimension whose size greater than unity.
+
+        <p>The methods available to calculate sample quantiles are the nine methods
+used by R (http://www.r-project.org/). The default value is METHOD = 5.
+
+        <p>Discontinuous sample quantile methods 1, 2, and 3
+
+          <ol type=1 start=1>
+<li>Method 1: Inverse of empirical distribution function. 
+<li>Method 2: Similar to method 1 but with averaging at discontinuities. 
+<li>Method 3: SAS definition: nearest even order statistic.
+             </ol>
+
+        <p>Continuous sample quantile methods 4 through 9, where p(k) is the linear
+interpolation function respecting each methods' representative cdf.
+
+          <ol type=1 start=4>
+<li>Method 4: p(k) = k / n. That is, linear interpolation of the empirical cdf. 
+<li>Method 5: p(k) = (k - 0.5) / n. That is a piecewise linear function where
+the knots are the values midway through the steps of the empirical cdf. 
+<li>Method 6: p(k) = k / (n + 1). 
+<li>Method 7: p(k) = (k - 1) / (n - 1). 
+<li>Method 8: p(k) = (k - 1/3) / (n + 1/3). The resulting quantile estimates
+are approximately median-unbiased regardless of the distribution of <var>x</var>. 
+<li>Method 9: p(k) = (k - 3/8) / (n + 1/4). The resulting quantile estimates
+are approximately unbiased for the expected order statistics if <var>x</var> is
+normally distributed.
+             </ol>
+
+        <p>Hyndman and Fan (1996) recommend method 8.  Maxima, S, and R
+(versions prior to 2.0.0) use 7 as their default.  Minitab and SPSS
+use method 6.  Matlab uses method 5.
+
+        <p>References:
+
+          <ul>
+<li>Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New
+S Language. Wadsworth &amp; Brooks/Cole.
+
+          <li>Hyndman, R. J. and Fan, Y. (1996) Sample quantiles in
+statistical packages, American Statistician, 50, 361-365.
+
+          <li>R: A Language and Environment for Statistical Computing;
+<a href="http://cran.r-project.org/doc/manuals/fullrefman.pdf">http://cran.r-project.org/doc/manuals/fullrefman.pdf</a>. 
+</ul>
+        </p></blockquote></div>
+
+   <p><a name="doc_002dprctile"></a>
+
+<div class="defun">
+&mdash; Function File: <var>y</var> = <b>prctile</b> (<var>x, p</var>)<var><a name="index-prctile-1430"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>prctile</b> (<var>x, p, dim</var>)<var><a name="index-prctile-1431"></a></var><br>
+<blockquote><p>For a sample <var>x</var>, compute the the quantiles, <var>y</var>, corresponding
+to the cumulative probability values, P, in percent. All non-numeric
+values (NaNs) of X are ignored.
+
+        <p>If <var>x</var> is a matrix, compute the the percentiles for each column and
+return them in a matrix, such that the i-th row of <var>y</var> contains the
+<var>p</var>(i)th percentiles of each column of <var>x</var>.
+
+        <p>The optional argument <var>dim</var> determines the dimension along which
+the percentiles are calculated. If <var>dim</var> is omitted, and <var>x</var> is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the
+instance that <var>x</var> is a N-d array, <var>dim</var> defaults to the first
+dimension whose size greater than unity.
+
+        </blockquote></div>
+
    <p><a name="doc_002dmeansq"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>meansq</b> (<var>x</var>)<var><a name="index-meansq-1379"></a></var><br>
-&mdash; Function File:  <b>meansq</b> (<var>x, dim</var>)<var><a name="index-meansq-1380"></a></var><br>
+&mdash; Function File:  <b>meansq</b> (<var>x</var>)<var><a name="index-meansq-1432"></a></var><br>
+&mdash; Function File:  <b>meansq</b> (<var>x, dim</var>)<var><a name="index-meansq-1433"></a></var><br>
 <blockquote><p>For vector arguments, return the mean square of the values. 
 For matrix arguments, return a row vector containing the mean square
 of each column. With the optional <var>dim</var> argument, returns the
@@ -98,9 +184,9 @@ mean squared of the values along this di
    <p><a name="doc_002dstd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>std</b> (<var>x</var>)<var><a name="index-std-1381"></a></var><br>
-&mdash; Function File:  <b>std</b> (<var>x, opt</var>)<var><a name="index-std-1382"></a></var><br>
-&mdash; Function File:  <b>std</b> (<var>x, opt, dim</var>)<var><a name="index-std-1383"></a></var><br>
+&mdash; Function File:  <b>std</b> (<var>x</var>)<var><a name="index-std-1434"></a></var><br>
+&mdash; Function File:  <b>std</b> (<var>x, opt</var>)<var><a name="index-std-1435"></a></var><br>
+&mdash; Function File:  <b>std</b> (<var>x, opt, dim</var>)<var><a name="index-std-1436"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, compute the standard deviation of the elements
 of <var>x</var>.
 
@@ -130,7 +216,7 @@ deviation is calculated.
    <p><a name="doc_002dvar"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>var</b> (<var>x</var>)<var><a name="index-var-1384"></a></var><br>
+&mdash; Function File:  <b>var</b> (<var>x</var>)<var><a name="index-var-1437"></a></var><br>
 <blockquote><p>For vector arguments, return the (real) variance of the values. 
 For matrix arguments, return a row vector containing the variance for
 each column.
@@ -151,7 +237,7 @@ variance is calculated. 
    <p><a name="doc_002dmode"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>m</var>, <var>f</var>, <var>c</var>] = <b>mode</b> (<var>x, dim</var>)<var><a name="index-mode-1385"></a></var><br>
+&mdash; Function File: [<var>m</var>, <var>f</var>, <var>c</var>] = <b>mode</b> (<var>x, dim</var>)<var><a name="index-mode-1438"></a></var><br>
 <blockquote><p>Count the most frequently appearing value. <code>mode</code> counts the
 frequency along the first non-singleton dimension and if two or more
 values have te same frequency returns the smallest of the two in
@@ -166,7 +252,7 @@ with the maximum frequency . 
    <p><a name="doc_002dcov"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cov</b> (<var>x, y</var>)<var><a name="index-cov-1386"></a></var><br>
+&mdash; Function File:  <b>cov</b> (<var>x, y</var>)<var><a name="index-cov-1439"></a></var><br>
 <blockquote><p>Compute covariance.
 
         <p>If each row of <var>x</var> and <var>y</var> is an observation and each column is
@@ -179,7 +265,7 @@ If called with one argument, compute <co
    <p><a name="doc_002dcor"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cor</b> (<var>x, y</var>)<var><a name="index-cor-1387"></a></var><br>
+&mdash; Function File:  <b>cor</b> (<var>x, y</var>)<var><a name="index-cor-1440"></a></var><br>
 <blockquote><p>Compute correlation.
 
         <p>The (<var>i</var>, <var>j</var>)-th entry of <code>cor (</code><var>x</var><code>, </code><var>y</var><code>)</code> is
@@ -199,7 +285,7 @@ vectors are always observations and may 
    <p><a name="doc_002dcorrcoef"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>corrcoef</b> (<var>x, y</var>)<var><a name="index-corrcoef-1388"></a></var><br>
+&mdash; Function File:  <b>corrcoef</b> (<var>x, y</var>)<var><a name="index-corrcoef-1441"></a></var><br>
 <blockquote><p>Compute correlation.
 
         <p>If each row of <var>x</var> and <var>y</var> is an observation and each column is
@@ -215,7 +301,7 @@ a variable, the (<var>i</var>, <var>j</v
    <p><a name="doc_002dkurtosis"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>kurtosis</b> (<var>x, dim</var>)<var><a name="index-kurtosis-1389"></a></var><br>
+&mdash; Function File:  <b>kurtosis</b> (<var>x, dim</var>)<var><a name="index-kurtosis-1442"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector of length N, return the kurtosis
 
      <pre class="example">          kurtosis (x) = N^(-1) std(x)^(-4) sum ((x - mean(x)).^4) - 3
@@ -229,7 +315,7 @@ dimension. 
    <p><a name="doc_002dskewness"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>skewness</b> (<var>x, dim</var>)<var><a name="index-skewness-1390"></a></var><br>
+&mdash; Function File:  <b>skewness</b> (<var>x, dim</var>)<var><a name="index-skewness-1443"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector of length n, return the skewness
 
      <pre class="example">          skewness (x) = N^(-1) std(x)^(-3) sum ((x - mean(x)).^3)
@@ -242,18 +328,19 @@ first non-singleton dimension of the mat
    <p><a name="doc_002dstatistics"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>statistics</b> (<var>x</var>)<var><a name="index-statistics-1391"></a></var><br>
+&mdash; Function File:  <b>statistics</b> (<var>x</var>)<var><a name="index-statistics-1444"></a></var><br>
 <blockquote><p>If <var>x</var> is a matrix, return a matrix with the minimum, first
 quartile, median, third quartile, maximum, mean, standard deviation,
-skewness and kurtosis of the columns of <var>x</var> as its rows.
+skewness and kurtosis of the columns of <var>x</var> as its columns.
 
-        <p>If <var>x</var> is a vector, treat it as a column vector. 
+        <p>If <var>x</var> is a vector, calculate the statistics along the
+non-singleton dimension. 
 </p></blockquote></div>
 
    <p><a name="doc_002dmoment"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>moment</b> (<var>x, p, opt, dim</var>)<var><a name="index-moment-1392"></a></var><br>
+&mdash; Function File:  <b>moment</b> (<var>x, p, opt, dim</var>)<var><a name="index-moment-1445"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, compute the <var>p</var>-th moment of <var>x</var>.
 
         <p>If <var>x</var> is a matrix, return the row vector containing the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Differential_002dAlgebraic-Equations.html 1:3.0.5-6/doc/interpreter/HTML/Differential_002dAlgebraic-Equations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Differential_002dAlgebraic-Equations.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Differential_002dAlgebraic-Equations.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,7 +45,7 @@ DAE solver <span class="sc">Daspk</span>
    <p><a name="doc_002ddaspk"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>xdot</var>, <var>istate</var>, <var>msg</var>] = <b>daspk</b> (<var>fcn, x_0, xdot_0, t, t_crit</var>)<var><a name="index-daspk-1362"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>xdot</var>, <var>istate</var>, <var>msg</var>] = <b>daspk</b> (<var>fcn, x_0, xdot_0, t, t_crit</var>)<var><a name="index-daspk-1410"></a></var><br>
 <blockquote><p>Solve the set of differential-algebraic equations
 
      <pre class="example">          0 = f (x, xdot, t)
@@ -118,7 +118,7 @@ parameters for <code>daspk</code>.
    <p><a name="doc_002ddaspk_005foptions"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>daspk_options</b> (<var>opt, val</var>)<var><a name="index-daspk_005foptions-1363"></a></var><br>
+&mdash; Loadable Function:  <b>daspk_options</b> (<var>opt, val</var>)<var><a name="index-daspk_005foptions-1411"></a></var><br>
 <blockquote><p>When called with two arguments, this function
 allows you set options parameters for the function <code>daspk</code>. 
 Given one argument, <code>daspk_options</code> returns the value of the
@@ -240,7 +240,7 @@ and <var>dasrt</var>, which can be used 
    <p><a name="doc_002ddasrt"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>xdot</var>, <var>t_out</var>, <var>istat</var>, <var>msg</var>] = <b>dasrt</b> (<var>fcn </var>[<var>, g</var>]<var>, x_0, xdot_0, t </var>[<var>, t_crit</var>])<var><a name="index-dasrt-1364"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>xdot</var>, <var>t_out</var>, <var>istat</var>, <var>msg</var>] = <b>dasrt</b> (<var>fcn </var>[<var>, g</var>]<var>, x_0, xdot_0, t </var>[<var>, t_crit</var>])<var><a name="index-dasrt-1412"></a></var><br>
 <blockquote><p>Solve the set of differential-algebraic equations
 
      <pre class="example">          0 = f (x, xdot, t)
@@ -345,7 +345,7 @@ parameters for <code>dasrt</code>.
    <p><a name="doc_002ddasrt_005foptions"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>dasrt_options</b> (<var>opt, val</var>)<var><a name="index-dasrt_005foptions-1365"></a></var><br>
+&mdash; Loadable Function:  <b>dasrt_options</b> (<var>opt, val</var>)<var><a name="index-dasrt_005foptions-1413"></a></var><br>
 <blockquote><p>When called with two arguments, this function
 allows you set options parameters for the function <code>dasrt</code>. 
 Given one argument, <code>dasrt_options</code> returns the value of the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Differential-Equations.html 1:3.0.5-6/doc/interpreter/HTML/Differential-Equations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Differential-Equations.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Differential-Equations.html	2009-04-07 11:11:40.000000000 +0100
@@ -42,7 +42,7 @@ All solvers are based on reliable ODE so
 <li><a accesskey="2" href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a>
 </ul>
 
-   <p><a name="index-Differential-Equations-1356"></a><a name="index-ODE-1357"></a><a name="index-DAE-1358"></a>
+   <p><a name="index-Differential-Equations-1404"></a><a name="index-ODE-1405"></a><a name="index-DAE-1406"></a>
 
    </body></html>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Displaying-Images.html 1:3.0.5-6/doc/interpreter/HTML/Displaying-Images.html
--- 1:3.0.1-6/doc/interpreter/HTML/Displaying-Images.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Displaying-Images.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,12 +45,12 @@ actual program can be selected with the 
    <p><a name="doc_002dimshow"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>imshow</b> (<var>im</var>)<var><a name="index-imshow-1869"></a></var><br>
-&mdash; Function File:  <b>imshow</b> (<var>im, limits</var>)<var><a name="index-imshow-1870"></a></var><br>
-&mdash; Function File:  <b>imshow</b> (<var>im, map</var>)<var><a name="index-imshow-1871"></a></var><br>
-&mdash; Function File:  <b>imshow</b> (<var>rgb, <small class="dots">...</small></var>)<var><a name="index-imshow-1872"></a></var><br>
-&mdash; Function File:  <b>imshow</b> (<var>filename</var>)<var><a name="index-imshow-1873"></a></var><br>
-&mdash; Function File:  <b>imshow</b> (<var><small class="dots">...</small>, string_param1, value1, <small class="dots">...</small></var>)<var><a name="index-imshow-1874"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var>im</var>)<var><a name="index-imshow-1931"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var>im, limits</var>)<var><a name="index-imshow-1932"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var>im, map</var>)<var><a name="index-imshow-1933"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var>rgb, <small class="dots">...</small></var>)<var><a name="index-imshow-1934"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var>filename</var>)<var><a name="index-imshow-1935"></a></var><br>
+&mdash; Function File:  <b>imshow</b> (<var><small class="dots">...</small>, string_param1, value1, <small class="dots">...</small></var>)<var><a name="index-imshow-1936"></a></var><br>
 <blockquote><p>Display the image <var>im</var>, where <var>im</var> can be a 2-dimensional
 (gray-scale image) or a 3-dimensional (RGB image) matrix.
 
@@ -81,11 +81,11 @@ shown.
    <p><a name="doc_002dimage"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>image</b> (<var>img</var>)<var><a name="index-image-1875"></a></var><br>
-&mdash; Function File:  <b>image</b> (<var>x, y, img</var>)<var><a name="index-image-1876"></a></var><br>
+&mdash; Function File:  <b>image</b> (<var>img</var>)<var><a name="index-image-1937"></a></var><br>
+&mdash; Function File:  <b>image</b> (<var>x, y, img</var>)<var><a name="index-image-1938"></a></var><br>
 <blockquote><p>Display a matrix as a color image.  The elements of <var>x</var> are indices
 into the current colormap, and the colormap will be scaled so that the
-extremes of <var>x</var> are mapped to the extremes of teh colormap.
+extremes of <var>x</var> are mapped to the extremes of the colormap.
 
         <p>It first tries to use <code>gnuplot</code>, then <code>display</code> from
 <code>ImageMagick</code>, then <code>xv</code>, and then <code>xloadimage</code>. 
@@ -104,11 +104,11 @@ variables are ignored.
    <p><a name="doc_002dimagesc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>imagesc</b> (<var>a</var>)<var><a name="index-imagesc-1877"></a></var><br>
-&mdash; Function File:  <b>imagesc</b> (<var>x, y, a</var>)<var><a name="index-imagesc-1878"></a></var><br>
-&mdash; Function File:  <b>imagesc</b> (<var><small class="dots">...</small>, limits</var>)<var><a name="index-imagesc-1879"></a></var><br>
-&mdash; Function File:  <b>imagesc</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-imagesc-1880"></a></var><br>
-&mdash; Function File:  <var>h</var> = <b>imagesc</b> (<var><small class="dots">...</small></var>)<var><a name="index-imagesc-1881"></a></var><br>
+&mdash; Function File:  <b>imagesc</b> (<var>a</var>)<var><a name="index-imagesc-1939"></a></var><br>
+&mdash; Function File:  <b>imagesc</b> (<var>x, y, a</var>)<var><a name="index-imagesc-1940"></a></var><br>
+&mdash; Function File:  <b>imagesc</b> (<var><small class="dots">...</small>, limits</var>)<var><a name="index-imagesc-1941"></a></var><br>
+&mdash; Function File:  <b>imagesc</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-imagesc-1942"></a></var><br>
+&mdash; Function File:  <var>h</var> = <b>imagesc</b> (<var><small class="dots">...</small></var>)<var><a name="index-imagesc-1943"></a></var><br>
 <blockquote><p>Display a scaled version of the matrix <var>a</var> as a color image.  The
 colormap is scaled so that the entries of the matrix occupy the entire
 colormap.  If <var>limits</var> = [<var>lo</var>, <var>hi</var>] are given, then that
@@ -128,7 +128,7 @@ of the matrix <var>a</var>.
    <p><a name="doc_002dimage_005fviewer"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>fcn</var>, <var>default_zoom</var>] = <b>image_viewer</b> (<var>fcn, default_zoom</var>)<var><a name="index-image_005fviewer-1882"></a></var><br>
+&mdash; Function File: [<var>fcn</var>, <var>default_zoom</var>] = <b>image_viewer</b> (<var>fcn, default_zoom</var>)<var><a name="index-image_005fviewer-1944"></a></var><br>
 <blockquote><p>Change the program or function used for viewing images and return the
 previous values.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Distributions.html 1:3.0.5-6/doc/interpreter/HTML/Distributions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Distributions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Distributions.html	2009-04-07 11:11:40.000000000 +0100
@@ -139,7 +139,7 @@ alphabetical order).
    <p><a name="doc_002dbetacdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>betacdf</b> (<var>x, a, b</var>)<var><a name="index-betacdf-1441"></a></var><br>
+&mdash; Function File:  <b>betacdf</b> (<var>x, a, b</var>)<var><a name="index-betacdf-1494"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, returns the CDF at <var>x</var> of the beta
 distribution with parameters <var>a</var> and <var>b</var>, i.e.,
 PROB (beta (<var>a</var>, <var>b</var>) &lt;= <var>x</var>). 
@@ -148,7 +148,7 @@ PROB (beta (<var>a</var>, <var>b</var>) 
    <p><a name="doc_002dbetainv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>betainv</b> (<var>x, a, b</var>)<var><a name="index-betainv-1442"></a></var><br>
+&mdash; Function File:  <b>betainv</b> (<var>x, a, b</var>)<var><a name="index-betainv-1495"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the Beta distribution with parameters <var>a</var>
 and <var>b</var>. 
@@ -157,7 +157,7 @@ and <var>b</var>. 
    <p><a name="doc_002dbetapdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>betapdf</b> (<var>x, a, b</var>)<var><a name="index-betapdf-1443"></a></var><br>
+&mdash; Function File:  <b>betapdf</b> (<var>x, a, b</var>)<var><a name="index-betapdf-1496"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, returns the PDF at <var>x</var> of the beta
 distribution with parameters <var>a</var> and <var>b</var>. 
 </p></blockquote></div>
@@ -165,7 +165,7 @@ distribution with parameters <var>a</var
    <p><a name="doc_002dbinocdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>binocdf</b> (<var>x, n, p</var>)<var><a name="index-binocdf-1444"></a></var><br>
+&mdash; Function File:  <b>binocdf</b> (<var>x, n, p</var>)<var><a name="index-binocdf-1497"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the CDF at <var>x</var> of the
 binomial distribution with parameters <var>n</var> and <var>p</var>. 
 </p></blockquote></div>
@@ -173,7 +173,7 @@ binomial distribution with parameters <v
    <p><a name="doc_002dbinoinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>binoinv</b> (<var>x, n, p</var>)<var><a name="index-binoinv-1445"></a></var><br>
+&mdash; Function File:  <b>binoinv</b> (<var>x, n, p</var>)<var><a name="index-binoinv-1498"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile at <var>x</var> of the
 binomial distribution with parameters <var>n</var> and <var>p</var>. 
 </p></blockquote></div>
@@ -181,7 +181,7 @@ binomial distribution with parameters <v
    <p><a name="doc_002dbinopdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>binopdf</b> (<var>x, n, p</var>)<var><a name="index-binopdf-1446"></a></var><br>
+&mdash; Function File:  <b>binopdf</b> (<var>x, n, p</var>)<var><a name="index-binopdf-1499"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the binomial distribution with parameters <var>n</var>
 and <var>p</var>. 
@@ -190,7 +190,7 @@ and <var>p</var>. 
    <p><a name="doc_002dcauchy_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cauchy_cdf</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005fcdf-1447"></a></var><br>
+&mdash; Function File:  <b>cauchy_cdf</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005fcdf-1500"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the Cauchy distribution with location
 parameter <var>lambda</var> and scale parameter <var>sigma</var>.  Default
@@ -200,7 +200,7 @@ values are <var>lambda</var> = 0, <var>s
    <p><a name="doc_002dcauchy_005finv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cauchy_inv</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005finv-1448"></a></var><br>
+&mdash; Function File:  <b>cauchy_inv</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005finv-1501"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the Cauchy distribution with location parameter
 <var>lambda</var> and scale parameter <var>sigma</var>.  Default values are
@@ -210,7 +210,7 @@ CDF) at <var>x</var> of the Cauchy distr
    <p><a name="doc_002dcauchy_005fpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cauchy_pdf</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005fpdf-1449"></a></var><br>
+&mdash; Function File:  <b>cauchy_pdf</b> (<var>x, lambda, sigma</var>)<var><a name="index-cauchy_005fpdf-1502"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the Cauchy distribution with location parameter
 <var>lambda</var> and scale parameter <var>sigma</var> &gt; 0.  Default values are
@@ -220,7 +220,7 @@ CDF) at <var>x</var> of the Cauchy distr
    <p><a name="doc_002dchi2cdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>chi2cdf</b> (<var>x, n</var>)<var><a name="index-chi2cdf-1450"></a></var><br>
+&mdash; Function File:  <b>chi2cdf</b> (<var>x, n</var>)<var><a name="index-chi2cdf-1503"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the chisquare distribution with <var>n</var>
 degrees of freedom. 
@@ -229,7 +229,7 @@ degrees of freedom. 
    <p><a name="doc_002dchi2inv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>chi2inv</b> (<var>x, n</var>)<var><a name="index-chi2inv-1451"></a></var><br>
+&mdash; Function File:  <b>chi2inv</b> (<var>x, n</var>)<var><a name="index-chi2inv-1504"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the chisquare distribution with <var>n</var> degrees of
 freedom. 
@@ -238,7 +238,7 @@ freedom. 
    <p><a name="doc_002dchi2pdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>chisquare_pdf</b> (<var>x, n</var>)<var><a name="index-chisquare_005fpdf-1452"></a></var><br>
+&mdash; Function File:  <b>chisquare_pdf</b> (<var>x, n</var>)<var><a name="index-chisquare_005fpdf-1505"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the chisquare distribution with <var>n</var> degrees
 of freedom. 
@@ -247,7 +247,7 @@ of freedom. 
    <p><a name="doc_002ddiscrete_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>discrete_cdf</b> (<var>x, v, p</var>)<var><a name="index-discrete_005fcdf-1453"></a></var><br>
+&mdash; Function File:  <b>discrete_cdf</b> (<var>x, v, p</var>)<var><a name="index-discrete_005fcdf-1506"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of a univariate discrete distribution which
 assumes the values in <var>v</var> with probabilities <var>p</var>. 
@@ -256,7 +256,7 @@ assumes the values in <var>v</var> with 
    <p><a name="doc_002ddiscrete_005finv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>discrete_inv</b> (<var>x, v, p</var>)<var><a name="index-discrete_005finv-1454"></a></var><br>
+&mdash; Function File:  <b>discrete_inv</b> (<var>x, v, p</var>)<var><a name="index-discrete_005finv-1507"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the univariate distribution which assumes the
 values in <var>v</var> with probabilities <var>p</var>. 
@@ -265,7 +265,7 @@ values in <var>v</var> with probabilitie
    <p><a name="doc_002ddiscrete_005fpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>discrete_pdf</b> (<var>x, v, p</var>)<var><a name="index-discrete_005fpdf-1455"></a></var><br>
+&mdash; Function File:  <b>discrete_pdf</b> (<var>x, v, p</var>)<var><a name="index-discrete_005fpdf-1508"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of a univariate discrete distribution which assumes
 the values in <var>v</var> with probabilities <var>p</var>. 
@@ -274,7 +274,7 @@ the values in <var>v</var> with probabil
    <p><a name="doc_002dempirical_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>empirical_cdf</b> (<var>x, data</var>)<var><a name="index-empirical_005fcdf-1456"></a></var><br>
+&mdash; Function File:  <b>empirical_cdf</b> (<var>x, data</var>)<var><a name="index-empirical_005fcdf-1509"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the empirical distribution obtained from
 the univariate sample <var>data</var>. 
@@ -283,7 +283,7 @@ the univariate sample <var>data</var>. 
    <p><a name="doc_002dempirical_005finv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>empirical_inv</b> (<var>x, data</var>)<var><a name="index-empirical_005finv-1457"></a></var><br>
+&mdash; Function File:  <b>empirical_inv</b> (<var>x, data</var>)<var><a name="index-empirical_005finv-1510"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the empirical distribution obtained from the
 univariate sample <var>data</var>. 
@@ -292,7 +292,7 @@ univariate sample <var>data</var>. 
    <p><a name="doc_002dempirical_005fpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>empirical_pdf</b> (<var>x, data</var>)<var><a name="index-empirical_005fpdf-1458"></a></var><br>
+&mdash; Function File:  <b>empirical_pdf</b> (<var>x, data</var>)<var><a name="index-empirical_005fpdf-1511"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the empirical distribution obtained from the
 univariate sample <var>data</var>. 
@@ -301,7 +301,7 @@ univariate sample <var>data</var>. 
    <p><a name="doc_002dexpcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>expcdf</b> (<var>x, lambda</var>)<var><a name="index-expcdf-1459"></a></var><br>
+&mdash; Function File:  <b>expcdf</b> (<var>x, lambda</var>)<var><a name="index-expcdf-1512"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the exponential distribution with
 mean <var>lambda</var>.
@@ -312,7 +312,7 @@ mean <var>lambda</var>.
    <p><a name="doc_002dexpinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>expinv</b> (<var>x, lambda</var>)<var><a name="index-expinv-1460"></a></var><br>
+&mdash; Function File:  <b>expinv</b> (<var>x, lambda</var>)<var><a name="index-expinv-1513"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the exponential distribution with mean
 <var>lambda</var>. 
@@ -321,7 +321,7 @@ CDF) at <var>x</var> of the exponential 
    <p><a name="doc_002dexppdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>exppdf</b> (<var>x, lambda</var>)<var><a name="index-exppdf-1461"></a></var><br>
+&mdash; Function File:  <b>exppdf</b> (<var>x, lambda</var>)<var><a name="index-exppdf-1514"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) of the exponential distribution with mean <var>lambda</var>. 
 </p></blockquote></div>
@@ -329,7 +329,7 @@ CDF) at <var>x</var> of the exponential 
    <p><a name="doc_002dfcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fcdf</b> (<var>x, m, n</var>)<var><a name="index-fcdf-1462"></a></var><br>
+&mdash; Function File:  <b>fcdf</b> (<var>x, m, n</var>)<var><a name="index-fcdf-1515"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the CDF at <var>x</var> of the F
 distribution with <var>m</var> and <var>n</var> degrees of freedom, i.e.,
 PROB (F (<var>m</var>, <var>n</var>) &lt;= <var>x</var>). 
@@ -338,7 +338,7 @@ PROB (F (<var>m</var>, <var>n</var>) &lt
    <p><a name="doc_002dfinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>finv</b> (<var>x, m, n</var>)<var><a name="index-finv-1463"></a></var><br>
+&mdash; Function File:  <b>finv</b> (<var>x, m, n</var>)<var><a name="index-finv-1516"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the F distribution with parameters <var>m</var> and
 <var>n</var>. 
@@ -347,7 +347,7 @@ the CDF) at <var>x</var> of the F distri
    <p><a name="doc_002dfpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fpdf</b> (<var>x, m, n</var>)<var><a name="index-fpdf-1464"></a></var><br>
+&mdash; Function File:  <b>fpdf</b> (<var>x, m, n</var>)<var><a name="index-fpdf-1517"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the F distribution with <var>m</var> and <var>n</var>
 degrees of freedom. 
@@ -356,7 +356,7 @@ degrees of freedom. 
    <p><a name="doc_002dgamcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gamcdf</b> (<var>x, a, b</var>)<var><a name="index-gamcdf-1465"></a></var><br>
+&mdash; Function File:  <b>gamcdf</b> (<var>x, a, b</var>)<var><a name="index-gamcdf-1518"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the Gamma distribution with parameters
 <var>a</var> and <var>b</var>.
@@ -369,7 +369,7 @@ function (CDF) at <var>x</var> of the Ga
    <p><a name="doc_002dgaminv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gaminv</b> (<var>x, a, b</var>)<var><a name="index-gaminv-1466"></a></var><br>
+&mdash; Function File:  <b>gaminv</b> (<var>x, a, b</var>)<var><a name="index-gaminv-1519"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the Gamma distribution with parameters <var>a</var>
 and <var>b</var>.
@@ -382,7 +382,7 @@ and <var>b</var>.
    <p><a name="doc_002dgampdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gampdf</b> (<var>x, a, b</var>)<var><a name="index-gampdf-1467"></a></var><br>
+&mdash; Function File:  <b>gampdf</b> (<var>x, a, b</var>)<var><a name="index-gampdf-1520"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, return the probability density function
 (PDF) at <var>x</var> of the Gamma distribution with parameters <var>a</var>
 and <var>b</var>.
@@ -395,7 +395,7 @@ and <var>b</var>.
    <p><a name="doc_002dgeocdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>geocdf</b> (<var>x, p</var>)<var><a name="index-geocdf-1468"></a></var><br>
+&mdash; Function File:  <b>geocdf</b> (<var>x, p</var>)<var><a name="index-geocdf-1521"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the CDF at <var>x</var> of the
 geometric distribution with parameter <var>p</var>. 
 </p></blockquote></div>
@@ -403,7 +403,7 @@ geometric distribution with parameter <v
    <p><a name="doc_002dgeoinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>geoinv</b> (<var>x, p</var>)<var><a name="index-geoinv-1469"></a></var><br>
+&mdash; Function File:  <b>geoinv</b> (<var>x, p</var>)<var><a name="index-geoinv-1522"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile at <var>x</var> of the
 geometric distribution with parameter <var>p</var>. 
 </p></blockquote></div>
@@ -411,7 +411,7 @@ geometric distribution with parameter <v
    <p><a name="doc_002dgeopdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>geopdf</b> (<var>x, p</var>)<var><a name="index-geopdf-1470"></a></var><br>
+&mdash; Function File:  <b>geopdf</b> (<var>x, p</var>)<var><a name="index-geopdf-1523"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the geometric distribution with parameter <var>p</var>. 
 </p></blockquote></div>
@@ -419,7 +419,7 @@ geometric distribution with parameter <v
    <p><a name="doc_002dhygecdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hygecdf</b> (<var>x, t, m, n</var>)<var><a name="index-hygecdf-1471"></a></var><br>
+&mdash; Function File:  <b>hygecdf</b> (<var>x, t, m, n</var>)<var><a name="index-hygecdf-1524"></a></var><br>
 <blockquote><p>Compute the cumulative distribution function (CDF) at <var>x</var> of the
 hypergeometric distribution with parameters <var>t</var>, <var>m</var>, and
 <var>n</var>.  This is the probability of obtaining not more than <var>x</var>
@@ -434,7 +434,7 @@ with <var>m</var> and <var>n</var> not g
    <p><a name="doc_002dhygeinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hygeinv</b> (<var>x, t, m, n</var>)<var><a name="index-hygeinv-1472"></a></var><br>
+&mdash; Function File:  <b>hygeinv</b> (<var>x, t, m, n</var>)<var><a name="index-hygeinv-1525"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile at <var>x</var> of the
 hypergeometric distribution with parameters <var>t</var>, <var>m</var>, and
 <var>n</var>.
@@ -446,7 +446,7 @@ with <var>m</var> and <var>n</var> not g
    <p><a name="doc_002dhygepdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hygepdf</b> (<var>x, t, m, n</var>)<var><a name="index-hygepdf-1473"></a></var><br>
+&mdash; Function File:  <b>hygepdf</b> (<var>x, t, m, n</var>)<var><a name="index-hygepdf-1526"></a></var><br>
 <blockquote><p>Compute the probability density function (PDF) at <var>x</var> of the
 hypergeometric distribution with parameters <var>t</var>, <var>m</var>, and
 <var>n</var>. This is the probability of obtaining <var>x</var> marked items
@@ -459,7 +459,7 @@ from a population of total size <var>t</
    <p><a name="doc_002dkolmogorov_005fsmirnov_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>kolmogorov_smirnov_cdf</b> (<var>x, tol</var>)<var><a name="index-kolmogorov_005fsmirnov_005fcdf-1474"></a></var><br>
+&mdash; Function File:  <b>kolmogorov_smirnov_cdf</b> (<var>x, tol</var>)<var><a name="index-kolmogorov_005fsmirnov_005fcdf-1527"></a></var><br>
 <blockquote><p>Return the CDF at <var>x</var> of the Kolmogorov-Smirnov distribution,
      <pre class="example">                   Inf
           Q(x) =   SUM    (-1)^k exp(-2 k^2 x^2)
@@ -474,7 +474,7 @@ the series should be evaluated;  the def
    <p><a name="doc_002dlaplace_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>laplace_cdf</b> (<var>x</var>)<var><a name="index-laplace_005fcdf-1475"></a></var><br>
+&mdash; Function File:  <b>laplace_cdf</b> (<var>x</var>)<var><a name="index-laplace_005fcdf-1528"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the Laplace distribution. 
 </p></blockquote></div>
@@ -482,7 +482,7 @@ function (CDF) at <var>x</var> of the La
    <p><a name="doc_002dlaplace_005finv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>laplace_inv</b> (<var>x</var>)<var><a name="index-laplace_005finv-1476"></a></var><br>
+&mdash; Function File:  <b>laplace_inv</b> (<var>x</var>)<var><a name="index-laplace_005finv-1529"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the Laplace distribution. 
 </p></blockquote></div>
@@ -490,7 +490,7 @@ CDF) at <var>x</var> of the Laplace dist
    <p><a name="doc_002dlaplace_005fpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>laplace_pdf</b> (<var>x</var>)<var><a name="index-laplace_005fpdf-1477"></a></var><br>
+&mdash; Function File:  <b>laplace_pdf</b> (<var>x</var>)<var><a name="index-laplace_005fpdf-1530"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the Laplace distribution. 
 </p></blockquote></div>
@@ -498,7 +498,7 @@ CDF) at <var>x</var> of the Laplace dist
    <p><a name="doc_002dlogistic_005fcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logistic_cdf</b> (<var>x</var>)<var><a name="index-logistic_005fcdf-1478"></a></var><br>
+&mdash; Function File:  <b>logistic_cdf</b> (<var>x</var>)<var><a name="index-logistic_005fcdf-1531"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the CDF at <var>x</var> of the
 logistic distribution. 
 </p></blockquote></div>
@@ -506,7 +506,7 @@ logistic distribution. 
    <p><a name="doc_002dlogistic_005finv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logistic_inv</b> (<var>x</var>)<var><a name="index-logistic_005finv-1479"></a></var><br>
+&mdash; Function File:  <b>logistic_inv</b> (<var>x</var>)<var><a name="index-logistic_005finv-1532"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the logistic distribution. 
 </p></blockquote></div>
@@ -514,7 +514,7 @@ the CDF) at <var>x</var> of the logistic
    <p><a name="doc_002dlogistic_005fpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logistic_pdf</b> (<var>x</var>)<var><a name="index-logistic_005fpdf-1480"></a></var><br>
+&mdash; Function File:  <b>logistic_pdf</b> (<var>x</var>)<var><a name="index-logistic_005fpdf-1533"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the PDF at <var>x</var> of the
 logistic distribution. 
 </p></blockquote></div>
@@ -522,7 +522,7 @@ logistic distribution. 
    <p><a name="doc_002dlogncdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logncdf</b> (<var>x, mu, sigma</var>)<var><a name="index-logncdf-1481"></a></var><br>
+&mdash; Function File:  <b>logncdf</b> (<var>x, mu, sigma</var>)<var><a name="index-logncdf-1534"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the lognormal distribution with
 parameters <var>mu</var> and <var>sigma</var>.  If a random variable follows this
@@ -535,7 +535,7 @@ distribution, its logarithm is normally 
    <p><a name="doc_002dlogninv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logninv</b> (<var>x, mu, sigma</var>)<var><a name="index-logninv-1482"></a></var><br>
+&mdash; Function File:  <b>logninv</b> (<var>x, mu, sigma</var>)<var><a name="index-logninv-1535"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the lognormal distribution with parameters <var>mu</var>
 and <var>sigma</var>.  If a random variable follows this distribution, its
@@ -548,7 +548,7 @@ variance <var>sigma</var>.
    <p><a name="doc_002dlognpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>lognpdf</b> (<var>x, mu, sigma</var>)<var><a name="index-lognpdf-1483"></a></var><br>
+&mdash; Function File:  <b>lognpdf</b> (<var>x, mu, sigma</var>)<var><a name="index-lognpdf-1536"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the lognormal distribution with parameters
 <var>mu</var> and <var>sigma</var>.  If a random variable follows this distribution,
@@ -561,7 +561,7 @@ and standard deviation <var>sigma</var>.
    <p><a name="doc_002dnbincdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nbincdf</b> (<var>x, n, p</var>)<var><a name="index-nbincdf-1484"></a></var><br>
+&mdash; Function File:  <b>nbincdf</b> (<var>x, n, p</var>)<var><a name="index-nbincdf-1537"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the CDF at x of the Pascal
 (negative binomial) distribution with parameters <var>n</var> and <var>p</var>.
 
@@ -573,7 +573,7 @@ distribution. 
    <p><a name="doc_002dnbininv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nbininv</b> (<var>x, n, p</var>)<var><a name="index-nbininv-1485"></a></var><br>
+&mdash; Function File:  <b>nbininv</b> (<var>x, n, p</var>)<var><a name="index-nbininv-1538"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile at <var>x</var> of the
 Pascal (negative binomial) distribution with parameters <var>n</var> and
 <var>p</var>.
@@ -586,7 +586,7 @@ distribution. 
    <p><a name="doc_002dnbinpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nbinpdf</b> (<var>x, n, p</var>)<var><a name="index-nbinpdf-1486"></a></var><br>
+&mdash; Function File:  <b>nbinpdf</b> (<var>x, n, p</var>)<var><a name="index-nbinpdf-1539"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the Pascal (negative binomial) distribution with
 parameters <var>n</var> and <var>p</var>.
@@ -599,7 +599,7 @@ distribution. 
    <p><a name="doc_002dnormcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>normcdf</b> (<var>x, m, s</var>)<var><a name="index-normcdf-1487"></a></var><br>
+&mdash; Function File:  <b>normcdf</b> (<var>x, m, s</var>)<var><a name="index-normcdf-1540"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the normal distribution with mean
 <var>m</var> and standard deviation <var>s</var>.
@@ -610,7 +610,7 @@ function (CDF) at <var>x</var> of the no
    <p><a name="doc_002dnorminv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>norminv</b> (<var>x, m, s</var>)<var><a name="index-norminv-1488"></a></var><br>
+&mdash; Function File:  <b>norminv</b> (<var>x, m, s</var>)<var><a name="index-norminv-1541"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the normal distribution with mean <var>m</var> and
 standard deviation <var>s</var>.
@@ -621,7 +621,7 @@ standard deviation <var>s</var>.
    <p><a name="doc_002dnormpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>normpdf</b> (<var>x, m, s</var>)<var><a name="index-normpdf-1489"></a></var><br>
+&mdash; Function File:  <b>normpdf</b> (<var>x, m, s</var>)<var><a name="index-normpdf-1542"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the normal distribution with mean <var>m</var> and
 standard deviation <var>s</var>.
@@ -632,7 +632,7 @@ standard deviation <var>s</var>.
    <p><a name="doc_002dpoisscdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>poisscdf</b> (<var>x, lambda</var>)<var><a name="index-poisscdf-1490"></a></var><br>
+&mdash; Function File:  <b>poisscdf</b> (<var>x, lambda</var>)<var><a name="index-poisscdf-1543"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of the Poisson distribution with parameter
 lambda. 
@@ -641,7 +641,7 @@ lambda. 
    <p><a name="doc_002dpoissinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>poissinv</b> (<var>x, lambda</var>)<var><a name="index-poissinv-1491"></a></var><br>
+&mdash; Function File:  <b>poissinv</b> (<var>x, lambda</var>)<var><a name="index-poissinv-1544"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the Poisson distribution with parameter
 <var>lambda</var>. 
@@ -650,7 +650,7 @@ the CDF) at <var>x</var> of the Poisson 
    <p><a name="doc_002dpoisspdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>poisspdf</b> (<var>x, lambda</var>)<var><a name="index-poisspdf-1492"></a></var><br>
+&mdash; Function File:  <b>poisspdf</b> (<var>x, lambda</var>)<var><a name="index-poisspdf-1545"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the poisson distribution with parameter <var>lambda</var>. 
 </p></blockquote></div>
@@ -658,25 +658,27 @@ the CDF) at <var>x</var> of the Poisson 
    <p><a name="doc_002dtcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tcdf</b> (<var>x, n</var>)<var><a name="index-tcdf-1493"></a></var><br>
-<blockquote><p>For each element of <var>x</var>, compute the CDF at <var>x</var> of the
-t (Student) distribution with <var>n</var> degrees of freedom, i.e.,
-PROB (t(<var>n</var>) &lt;= <var>x</var>). 
+&mdash; Function File:  <b>tcdf</b> (<var>x, n</var>)<var><a name="index-tcdf-1546"></a></var><br>
+<blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
+function (CDF) at <var>x</var> of the t (Student) distribution with
+<var>n</var> degrees of freedom, i.e., PROB (t(<var>n</var>) &lt;= <var>x</var>). 
 </p></blockquote></div>
 
    <p><a name="doc_002dtinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tinv</b> (<var>x, n</var>)<var><a name="index-tinv-1494"></a></var><br>
-<blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
-the CDF) at <var>x</var> of the t (Student) distribution with parameter
-<var>n</var>. 
+&mdash; Function File:  <b>tinv</b> (<var>x, n</var>)<var><a name="index-tinv-1547"></a></var><br>
+<blockquote><p>For each probability value <var>x</var>, compute the the inverse of the
+cumulative distribution function (CDF) of the t (Student)
+distribution with degrees of freedom <var>n</var>.  This function is
+analagous to looking in a table for the t-value of a single-tailed
+distribution. 
 </p></blockquote></div>
 
    <p><a name="doc_002dtpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tpdf</b> (<var>x, n</var>)<var><a name="index-tpdf-1495"></a></var><br>
+&mdash; Function File:  <b>tpdf</b> (<var>x, n</var>)<var><a name="index-tpdf-1548"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of the <var>t</var> (Student) distribution with <var>n</var>
 degrees of freedom. 
@@ -685,7 +687,7 @@ degrees of freedom. 
    <p><a name="doc_002dunidcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unidcdf</b> (<var>x, v</var>)<var><a name="index-unidcdf-1496"></a></var><br>
+&mdash; Function File:  <b>unidcdf</b> (<var>x, v</var>)<var><a name="index-unidcdf-1549"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the cumulative distribution
 function (CDF) at <var>x</var> of a univariate discrete distribution which
 assumes the values in <var>v</var> with equal probability. 
@@ -694,7 +696,7 @@ assumes the values in <var>v</var> with 
    <p><a name="doc_002dunidinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unidinv</b> (<var>x, v</var>)<var><a name="index-unidinv-1497"></a></var><br>
+&mdash; Function File:  <b>unidinv</b> (<var>x, v</var>)<var><a name="index-unidinv-1550"></a></var><br>
 <blockquote><p>For each component of <var>x</var>, compute the quantile (the inverse of
 the CDF) at <var>x</var> of the univariate discrete distribution which assumes the
 values in <var>v</var> with equal probability
@@ -703,7 +705,7 @@ values in <var>v</var> with equal probab
    <p><a name="doc_002dunidpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unidpdf</b> (<var>x, v</var>)<var><a name="index-unidpdf-1498"></a></var><br>
+&mdash; Function File:  <b>unidpdf</b> (<var>x, v</var>)<var><a name="index-unidpdf-1551"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the probability density function
 (PDF) at <var>x</var> of a univariate discrete distribution which assumes
 the values in <var>v</var> with equal probability. 
@@ -712,7 +714,7 @@ the values in <var>v</var> with equal pr
    <p><a name="doc_002dunifcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unifcdf</b> (<var>x, a, b</var>)<var><a name="index-unifcdf-1499"></a></var><br>
+&mdash; Function File:  <b>unifcdf</b> (<var>x, a, b</var>)<var><a name="index-unifcdf-1552"></a></var><br>
 <blockquote><p>Return the CDF at <var>x</var> of the uniform distribution on [<var>a</var>,
 <var>b</var>], i.e., PROB (uniform (<var>a</var>, <var>b</var>) &lt;= x).
 
@@ -722,7 +724,7 @@ the values in <var>v</var> with equal pr
    <p><a name="doc_002dunifinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unifinv</b> (<var>x, a, b</var>)<var><a name="index-unifinv-1500"></a></var><br>
+&mdash; Function File:  <b>unifinv</b> (<var>x, a, b</var>)<var><a name="index-unifinv-1553"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the quantile (the inverse of the
 CDF) at <var>x</var> of the uniform distribution on [<var>a</var>, <var>b</var>].
 
@@ -732,7 +734,7 @@ CDF) at <var>x</var> of the uniform dist
    <p><a name="doc_002dunifpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unifpdf</b> (<var>x, a, b</var>)<var><a name="index-unifpdf-1501"></a></var><br>
+&mdash; Function File:  <b>unifpdf</b> (<var>x, a, b</var>)<var><a name="index-unifpdf-1554"></a></var><br>
 <blockquote><p>For each element of <var>x</var>, compute the PDF at <var>x</var> of the uniform
 distribution on [<var>a</var>, <var>b</var>].
 
@@ -742,7 +744,7 @@ distribution on [<var>a</var>, <var>b</v
    <p><a name="doc_002dwblcdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wblcdf</b> (<var>x, scale, shape</var>)<var><a name="index-wblcdf-1502"></a></var><br>
+&mdash; Function File:  <b>wblcdf</b> (<var>x, scale, shape</var>)<var><a name="index-wblcdf-1555"></a></var><br>
 <blockquote><p>Compute the cumulative distribution function (CDF) at <var>x</var> of the
 Weibull distribution with shape parameter <var>scale</var> and scale
 parameter <var>shape</var>, which is
@@ -755,7 +757,7 @@ parameter <var>shape</var>, which is
    <p><a name="doc_002dwblinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wblinv</b> (<var>x, scale, shape</var>)<var><a name="index-wblinv-1503"></a></var><br>
+&mdash; Function File:  <b>wblinv</b> (<var>x, scale, shape</var>)<var><a name="index-wblinv-1556"></a></var><br>
 <blockquote><p>Compute the quantile (the inverse of the CDF) at <var>x</var> of the
 Weibull distribution with shape parameter <var>scale</var> and scale
 parameter <var>shape</var>. 
@@ -764,7 +766,7 @@ parameter <var>shape</var>. 
    <p><a name="doc_002dwblpdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wblpdf</b> (<var>x, scale, shape</var>)<var><a name="index-wblpdf-1504"></a></var><br>
+&mdash; Function File:  <b>wblpdf</b> (<var>x, scale, shape</var>)<var><a name="index-wblpdf-1557"></a></var><br>
 <blockquote><p>Compute the probability density function (PDF) at <var>x</var> of the
 Weibull distribution with shape parameter <var>scale</var> and scale
 parameter <var>shape</var> which is given by
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/doc_002dcolorbar.html 1:3.0.5-6/doc/interpreter/HTML/doc_002dcolorbar.html
--- 1:3.0.1-6/doc/interpreter/HTML/doc_002dcolorbar.html	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/doc_002dcolorbar.html	2009-04-07 11:11:39.000000000 +0100
@@ -0,0 +1 @@
+<meta http-equiv="refresh" content="0; url=Plot-Annotations.html#doc%2dcolorbar">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/doc_002dcontourf.html 1:3.0.5-6/doc/interpreter/HTML/doc_002dcontourf.html
--- 1:3.0.1-6/doc/interpreter/HTML/doc_002dcontourf.html	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/doc_002dcontourf.html	2009-04-07 11:11:39.000000000 +0100
@@ -0,0 +1 @@
+<meta http-equiv="refresh" content="0; url=Two_002dDimensional-Plots.html#doc%2dcontourf">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/doc_002dprctile.html 1:3.0.5-6/doc/interpreter/HTML/doc_002dprctile.html
--- 1:3.0.1-6/doc/interpreter/HTML/doc_002dprctile.html	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/doc_002dprctile.html	2009-04-07 11:11:40.000000000 +0100
@@ -0,0 +1 @@
+<meta http-equiv="refresh" content="0; url=Descriptive-Statistics.html#doc%2dprctile">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/doc_002dquantile.html 1:3.0.5-6/doc/interpreter/HTML/doc_002dquantile.html
--- 1:3.0.1-6/doc/interpreter/HTML/doc_002dquantile.html	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/doc_002dquantile.html	2009-04-07 11:11:40.000000000 +0100
@@ -0,0 +1 @@
+<meta http-equiv="refresh" content="0; url=Descriptive-Statistics.html#doc%2dquantile">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/doc_002dresize.html 1:3.0.5-6/doc/interpreter/HTML/doc_002dresize.html
--- 1:3.0.1-6/doc/interpreter/HTML/doc_002dresize.html	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/doc_002dresize.html	2009-04-07 11:11:40.000000000 +0100
@@ -0,0 +1 @@
+<meta http-equiv="refresh" content="0; url=Rearranging-Matrices.html#doc%2dresize">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Dynamically-Linked-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Dynamically-Linked-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Dynamically-Linked-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Dynamically-Linked-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix A Dynamically Linked Functions</h2>
 
-<p><a name="index-dynamic_002dlinking-2096"></a>
+<p><a name="index-dynamic_002dlinking-2159"></a>
 Octave has the possibility of including compiled code as dynamically
 linked extensions and then using these extensions as if they were part
 of Octave itself.  Octave has the option of directly calling C++ code
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Enabling-and-Disabling-Warnings.html 1:3.0.5-6/doc/interpreter/HTML/Enabling-and-Disabling-Warnings.html
--- 1:3.0.1-6/doc/interpreter/HTML/Enabling-and-Disabling-Warnings.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Enabling-and-Disabling-Warnings.html	2009-04-07 11:11:39.000000000 +0100
@@ -195,7 +195,7 @@ indices outside the current bounds.  By 
      <br><dt><code>Octave:separator-insert</code><dd>Print warning if commas or semicolons might be inserted
 automatically in literal matrices.
 
-     <br><dt><code>Octave:single-quote-string</code><dd>Print warning if a signle quote character is used to introduce a
+     <br><dt><code>Octave:single-quote-string</code><dd>Print warning if a single quote character is used to introduce a
 string constant.
 
      <br><dt><code>Octave:str-to-num</code><dd>If the <code>Octave:str-to-num</code> warning is enabled, a warning is printed
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Environment-Variables.html 1:3.0.5-6/doc/interpreter/HTML/Environment-Variables.html
--- 1:3.0.1-6/doc/interpreter/HTML/Environment-Variables.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Environment-Variables.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dgetenv"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>getenv</b> (<var>var</var>)<var><a name="index-getenv-2063"></a></var><br>
+&mdash; Built-in Function:  <b>getenv</b> (<var>var</var>)<var><a name="index-getenv-2125"></a></var><br>
 <blockquote><p>Return the value of the environment variable <var>var</var>.  For example,
 
      <pre class="example">          getenv ("PATH")
@@ -48,7 +48,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dputenv"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>putenv</b> (<var>var, value</var>)<var><a name="index-putenv-2064"></a></var><br>
+&mdash; Built-in Function:  <b>putenv</b> (<var>var, value</var>)<var><a name="index-putenv-2126"></a></var><br>
+&mdash; Built-in Function:  <b>setenv</b> (<var>var, value</var>)<var><a name="index-setenv-2127"></a></var><br>
 <blockquote><p>Set the value of the environment variable <var>var</var> to <var>value</var>. 
 </p></blockquote></div>
 
Binary files 1:3.0.1-6/doc/interpreter/HTML/errorbar.png and 1:3.0.5-6/doc/interpreter/HTML/errorbar.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Evaluating-Polynomials.html 1:3.0.5-6/doc/interpreter/HTML/Evaluating-Polynomials.html
--- 1:3.0.1-6/doc/interpreter/HTML/Evaluating-Polynomials.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Evaluating-Polynomials.html	2009-04-07 11:11:40.000000000 +0100
@@ -52,25 +52,31 @@ provides such an algorithm.
    <p><a name="doc_002dpolyval"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyval</b> (<var>c, x</var>)<var><a name="index-polyval-1577"></a></var><br>
-<blockquote><p>Evaluate a polynomial.
-
-        <p><code>polyval (</code><var>c</var><code>, </code><var>x</var><code>)</code> will evaluate the polynomial at the
-specified value of <var>x</var>.
-
-        <p>If <var>x</var> is a vector or matrix, the polynomial is evaluated at each of
+&mdash; Function File: <var>y</var>= <b>polyval</b> (<var>p, x</var>)<var><a name="index-polyval-1636"></a></var><br>
+&mdash; Function File: <var>y</var>= <b>polyval</b> (<var>p, x, </var>[]<var>, mu</var>)<var><a name="index-polyval-1637"></a></var><br>
+<blockquote><p>Evaluate the polynomial at of the specified values for <var>x</var>. When <var>mu</var>
+is present evaluate the polynomial for (<var>x</var>-<var>mu</var>(1))/<var>mu</var>(2). 
+If <var>x</var> is a vector or matrix, the polynomial is evaluated for each of
 the elements of <var>x</var>.
+
+   &mdash; Function File: [<var>y</var>, <var>dy</var>] = <b>polyval</b> (<var>p, x, s</var>)<var><a name="index-polyval-1638"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>dy</var>] = <b>polyval</b> (<var>p, x, s, mu</var>)<var><a name="index-polyval-1639"></a></var><br>
+<blockquote><p>In addition to evaluating the polynomial, the second output
+represents the prediction interval, <var>y</var> +/- <var>dy</var>, which
+contains at least 50% of the future predictions. To calculate the
+prediction interval, the structured variable <var>s</var>, originating
+form `polyfit', must be present.
         <pre class="sp">
      
      </pre>
-     <strong>See also:</strong> polyvalm, poly, roots, conv, deconv, residue, filter,
+     <strong>See also:</strong> polyfit, polyvalm, poly, roots, conv, deconv, residue, filter,
 polyderiv, polyinteg. 
 </p></blockquote></div>
 
    <p><a name="doc_002dpolyvalm"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyvalm</b> (<var>c, x</var>)<var><a name="index-polyvalm-1578"></a></var><br>
+&mdash; Function File:  <b>polyvalm</b> (<var>c, x</var>)<var><a name="index-polyvalm-1640"></a></var><br>
 <blockquote><p>Evaluate a polynomial in the matrix sense.
 
         <p><code>polyvalm (</code><var>c</var><code>, </code><var>x</var><code>)</code> will evaluate the polynomial in the
Binary files 1:3.0.1-6/doc/interpreter/HTML/extended.png and 1:3.0.5-6/doc/interpreter/HTML/extended.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Famous-Matrices.html 1:3.0.5-6/doc/interpreter/HTML/Famous-Matrices.html
--- 1:3.0.1-6/doc/interpreter/HTML/Famous-Matrices.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Famous-Matrices.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dhadamard"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hadamard</b> (<var>n</var>)<var><a name="index-hadamard-997"></a></var><br>
+&mdash; Function File:  <b>hadamard</b> (<var>n</var>)<var><a name="index-hadamard-1045"></a></var><br>
 <blockquote><p>Construct a Hadamard matrix <var>Hn</var> of size <var>n</var>-by-<var>n</var>. The
 size <var>n</var> must be of the form <code>2 ^ </code><var>k</var><code> * </code><var>p</var> in which
 <var>p</var> is one of 1, 12, 20 or 28. The returned matrix is normalized,
@@ -60,7 +60,7 @@ meaning <code>Hn(:,1) == 1</code> and <c
    <p><a name="doc_002dhankel"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hankel</b> (<var>c, r</var>)<var><a name="index-hankel-998"></a></var><br>
+&mdash; Function File:  <b>hankel</b> (<var>c, r</var>)<var><a name="index-hankel-1046"></a></var><br>
 <blockquote><p>Return the Hankel matrix constructed given the first column <var>c</var>, and
 (optionally) the last row <var>r</var>.  If the last element of <var>c</var> is
 not the same as the first element of <var>r</var>, the last element of
@@ -82,7 +82,7 @@ be a vector of zeros with the same size 
    <p><a name="doc_002dhilb"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hilb</b> (<var>n</var>)<var><a name="index-hilb-999"></a></var><br>
+&mdash; Function File:  <b>hilb</b> (<var>n</var>)<var><a name="index-hilb-1047"></a></var><br>
 <blockquote><p>Return the Hilbert matrix of order <var>n</var>.  The
 i, j
 element of a Hilbert matrix is defined as
@@ -98,7 +98,7 @@ element of a Hilbert matrix is defined a
    <p><a name="doc_002dinvhilb"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>invhilb</b> (<var>n</var>)<var><a name="index-invhilb-1000"></a></var><br>
+&mdash; Function File:  <b>invhilb</b> (<var>n</var>)<var><a name="index-invhilb-1048"></a></var><br>
 <blockquote><p>Return the inverse of a Hilbert matrix of order <var>n</var>.  This can be
 computed exactly using
      <pre class="example">          
@@ -131,7 +131,7 @@ finite precision of your computer's floa
    <p><a name="doc_002dmagic"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>magic</b> (<var>n</var>)<var><a name="index-magic-1001"></a></var><br>
+&mdash; Function File:  <b>magic</b> (<var>n</var>)<var><a name="index-magic-1049"></a></var><br>
 <blockquote>
         <p>Create an <var>n</var>-by-<var>n</var> magic square. Note that <code>magic
 (</code><var>2</var><code>)</code> is undefined since there is no 2-by-2 magic square.
@@ -141,7 +141,7 @@ finite precision of your computer's floa
    <p><a name="doc_002dpascal"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pascal</b> (<var>n, t</var>)<var><a name="index-pascal-1002"></a></var><br>
+&mdash; Function File:  <b>pascal</b> (<var>n, t</var>)<var><a name="index-pascal-1050"></a></var><br>
 <blockquote>
         <p>Return the Pascal matrix of order <var>n</var> if <var>t</var><code> = 0</code>. 
 <var>t</var> defaults to 0. Return lower triangular Cholesky factor of
@@ -161,7 +161,7 @@ matrix. That is <code>pascal (</code><va
    <p><a name="doc_002drosser"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rosser</b> ()<var><a name="index-rosser-1003"></a></var><br>
+&mdash; Function File:  <b>rosser</b> ()<var><a name="index-rosser-1051"></a></var><br>
 <blockquote>
         <p>Returns the Rosser matrix. This is a difficult test case used to test
 eigenvalue algorithms.
@@ -176,7 +176,7 @@ eigenvalue algorithms.
    <p><a name="doc_002dsylvester_005fmatrix"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sylvester_matrix</b> (<var>k</var>)<var><a name="index-sylvester_005fmatrix-1004"></a></var><br>
+&mdash; Function File:  <b>sylvester_matrix</b> (<var>k</var>)<var><a name="index-sylvester_005fmatrix-1052"></a></var><br>
 <blockquote><p>Return the Sylvester matrix of order
 n = 2^k.
         <pre class="sp">
@@ -188,7 +188,7 @@ n = 2^k.
    <p><a name="doc_002dtoeplitz"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>toeplitz</b> (<var>c, r</var>)<var><a name="index-toeplitz-1005"></a></var><br>
+&mdash; Function File:  <b>toeplitz</b> (<var>c, r</var>)<var><a name="index-toeplitz-1053"></a></var><br>
 <blockquote><p>Return the Toeplitz matrix constructed given the first column <var>c</var>,
 and (optionally) the first row <var>r</var>.  If the first element of <var>c</var>
 is not the same as the first element of <var>r</var>, the first element of
@@ -214,7 +214,7 @@ taken to be the same as the first column
    <p><a name="doc_002dvander"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>vander</b> (<var>c</var>)<var><a name="index-vander-1006"></a></var><br>
+&mdash; Function File:  <b>vander</b> (<var>c</var>)<var><a name="index-vander-1054"></a></var><br>
 <blockquote><p>Return the Vandermonde matrix whose next to last column is <var>c</var>.
 
         <p>A Vandermonde matrix has the form:
@@ -235,7 +235,7 @@ taken to be the same as the first column
    <p><a name="doc_002dwilkinson"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wilkinson</b> (<var>n</var>)<var><a name="index-wilkinson-1007"></a></var><br>
+&mdash; Function File:  <b>wilkinson</b> (<var>n</var>)<var><a name="index-wilkinson-1055"></a></var><br>
 <blockquote>
         <p>Return the Wilkinson matrix of order <var>n</var>.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Figure-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Figure-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Figure-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Figure-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,6 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.2 Figure Properties</h5>
 
+<p><a name="index-figure-properties-935"></a>
      <dl>
 <dt><code>nextplot</code><dd>May be one of
           <dl>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/File-Archiving-Utilities.html 1:3.0.5-6/doc/interpreter/HTML/File-Archiving-Utilities.html
--- 1:3.0.1-6/doc/interpreter/HTML/File-Archiving-Utilities.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/File-Archiving-Utilities.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dbunzip2"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>bunzip2</b> (<var>bzfile, dir</var>)<var><a name="index-bunzip2-2005"></a></var><br>
+&mdash; Function File:  <b>bunzip2</b> (<var>bzfile, dir</var>)<var><a name="index-bunzip2-2067"></a></var><br>
 <blockquote><p>Unpack the bzip2 archive <var>bzfile</var> to the directory <var>dir</var>. If
 <var>dir</var> is not specified, it defaults to the current directory.
         <pre class="sp">
@@ -49,8 +49,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dgzip"></a>
 
 <div class="defun">
-&mdash; Function File: <var>entries</var> = <b>gzip</b> (<var>files</var>)<var><a name="index-gzip-2006"></a></var><br>
-&mdash; Function File: <var>entries</var> = <b>gzip</b> (<var>files, outdir</var>)<var><a name="index-gzip-2007"></a></var><br>
+&mdash; Function File: <var>entries</var> = <b>gzip</b> (<var>files</var>)<var><a name="index-gzip-2068"></a></var><br>
+&mdash; Function File: <var>entries</var> = <b>gzip</b> (<var>files, outdir</var>)<var><a name="index-gzip-2069"></a></var><br>
 <blockquote><p>Compress the list of files and/or directories specified in <var>files</var>. 
 Each file is compressed separately and a new file with a '.gz' extension
 is created. The original file is not touched. If <var>rootdir</var> is defined
@@ -64,7 +64,7 @@ the compressed versions of the files are
    <p><a name="doc_002dgunzip"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gunzip</b> (<var>gzfile, dir</var>)<var><a name="index-gunzip-2008"></a></var><br>
+&mdash; Function File:  <b>gunzip</b> (<var>gzfile, dir</var>)<var><a name="index-gunzip-2070"></a></var><br>
 <blockquote><p>Unpack the gzip archive <var>gzfile</var> to the directory <var>dir</var>. If
 <var>dir</var> is not specified, it defaults to the current directory. If
 the <var>gzfile</var> is a directory, all files in the directory will be
@@ -78,7 +78,7 @@ recursively gunzipped.
    <p><a name="doc_002dtar"></a>
 
 <div class="defun">
-&mdash; Function File: <var>entries</var> = <b>tar</b> (<var>tarfile, files, root</var>)<var><a name="index-tar-2009"></a></var><br>
+&mdash; Function File: <var>entries</var> = <b>tar</b> (<var>tarfile, files, root</var>)<var><a name="index-tar-2071"></a></var><br>
 <blockquote><p>Pack <var>files</var> <var>files</var> into the TAR archive <var>tarfile</var>.  The
 list of files must be a string or a cell array of strings.
 
@@ -96,7 +96,7 @@ returned in a cell array.
    <p><a name="doc_002duntar"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>untar</b> (<var>tarfile, dir</var>)<var><a name="index-untar-2010"></a></var><br>
+&mdash; Function File:  <b>untar</b> (<var>tarfile, dir</var>)<var><a name="index-untar-2072"></a></var><br>
 <blockquote><p>Unpack the TAR archive <var>tarfile</var> to the directory <var>dir</var>. 
 If <var>dir</var> is not specified, it defaults to the current directory.
         <pre class="sp">
@@ -108,8 +108,8 @@ If <var>dir</var> is not specified, it d
    <p><a name="doc_002dzip"></a>
 
 <div class="defun">
-&mdash; Function File: <var>entries</var> = <b>zip</b> (<var>zipfile, files</var>)<var><a name="index-zip-2011"></a></var><br>
-&mdash; Function File: <var>entries</var> = <b>zip</b> (<var>zipfile, files, rootdir</var>)<var><a name="index-zip-2012"></a></var><br>
+&mdash; Function File: <var>entries</var> = <b>zip</b> (<var>zipfile, files</var>)<var><a name="index-zip-2073"></a></var><br>
+&mdash; Function File: <var>entries</var> = <b>zip</b> (<var>zipfile, files, rootdir</var>)<var><a name="index-zip-2074"></a></var><br>
 <blockquote><p>Compress the list of files and/or directories specified in <var>files</var>
 into the archive <var>zipfiles</var> in the same directory. If <var>rootdir</var>
 is defined the <var>files</var> is located relative to <var>rootdir</var> rather
@@ -123,7 +123,7 @@ than the current directory
    <p><a name="doc_002dunzip"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unzip</b> (<var>zipfile, dir</var>)<var><a name="index-unzip-2013"></a></var><br>
+&mdash; Function File:  <b>unzip</b> (<var>zipfile, dir</var>)<var><a name="index-unzip-2075"></a></var><br>
 <blockquote><p>Unpack the ZIP archive <var>zipfile</var> to the directory <var>dir</var>. 
 If <var>dir</var> is not specified, it defaults to the current directory.
         <pre class="sp">
@@ -135,7 +135,7 @@ If <var>dir</var> is not specified, it d
    <p><a name="doc_002dpack"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pack</b> ()<var><a name="index-pack-2014"></a></var><br>
+&mdash; Function File:  <b>pack</b> ()<var><a name="index-pack-2076"></a></var><br>
 <blockquote><p>This function is provided for compatibility with <span class="sc">Matlab</span>, but it
 doesn't actually do anything. 
 </p></blockquote></div>
@@ -143,8 +143,8 @@ doesn't actually do anything. 
    <p><a name="doc_002dunpack"></a>
 
 <div class="defun">
-&mdash; Function File: <var>files</var> = <b>unpack</b> (<var>file, dir</var>)<var><a name="index-unpack-2015"></a></var><br>
-&mdash; Function File: <var>files</var> = <b>unpack</b> (<var>file, dir, filetype</var>)<var><a name="index-unpack-2016"></a></var><br>
+&mdash; Function File: <var>files</var> = <b>unpack</b> (<var>file, dir</var>)<var><a name="index-unpack-2077"></a></var><br>
+&mdash; Function File: <var>files</var> = <b>unpack</b> (<var>file, dir, filetype</var>)<var><a name="index-unpack-2078"></a></var><br>
 <blockquote><p>Unpack the archive <var>file</var> based on its extension to the directory
 <var>dir</var>.  If <var>file</var> is a cellstr, then all files will be
 handled individually.  If <var>dir</var> is not specified, it defaults to
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Filesystem-Utilities.html 1:3.0.5-6/doc/interpreter/HTML/Filesystem-Utilities.html
--- 1:3.0.1-6/doc/interpreter/HTML/Filesystem-Utilities.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Filesystem-Utilities.html	2009-04-07 11:11:40.000000000 +0100
@@ -41,7 +41,7 @@ about the status of files.
    <p><a name="doc_002drename"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>rename</b> (<var>old, new</var>)<var><a name="index-rename-1972"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>rename</b> (<var>old, new</var>)<var><a name="index-rename-2034"></a></var><br>
 <blockquote><p>Change the name of file <var>old</var> to <var>new</var>.
 
         <p>If successful, <var>err</var> is 0 and <var>msg</var> is an empty string. 
@@ -56,7 +56,7 @@ system-dependent error message.
    <p><a name="doc_002dlink"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>link</b> (<var>old, new</var>)<var><a name="index-link-1973"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>link</b> (<var>old, new</var>)<var><a name="index-link-2035"></a></var><br>
 <blockquote><p>Create a new link (also known as a hard link) to an existing file.
 
         <p>If successful, <var>err</var> is 0 and <var>msg</var> is an empty string. 
@@ -71,7 +71,7 @@ system-dependent error message.
    <p><a name="doc_002dsymlink"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>symlink</b> (<var>old, new</var>)<var><a name="index-symlink-1974"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>symlink</b> (<var>old, new</var>)<var><a name="index-symlink-2036"></a></var><br>
 <blockquote><p>Create a symbolic link <var>new</var> which contains the string <var>old</var>.
 
         <p>If successful, <var>err</var> is 0 and <var>msg</var> is an empty string. 
@@ -86,7 +86,7 @@ system-dependent error message.
    <p><a name="doc_002dreadlink"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>result</var>, <var>err</var>, <var>msg</var>] = <b>readlink</b> (<var>symlink</var>)<var><a name="index-readlink-1975"></a></var><br>
+&mdash; Built-in Function: [<var>result</var>, <var>err</var>, <var>msg</var>] = <b>readlink</b> (<var>symlink</var>)<var><a name="index-readlink-2037"></a></var><br>
 <blockquote><p>Read the value of the symbolic link <var>symlink</var>.
 
         <p>If successful, <var>result</var> contains the contents of the symbolic link
@@ -102,7 +102,7 @@ system-dependent error message.
    <p><a name="doc_002dunlink"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>unlink</b> (<var>file</var>)<var><a name="index-unlink-1976"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>unlink</b> (<var>file</var>)<var><a name="index-unlink-2038"></a></var><br>
 <blockquote><p>Delete the file named <var>file</var>.
 
         <p>If successful, <var>err</var> is 0 and <var>msg</var> is an empty string. 
@@ -113,7 +113,7 @@ system-dependent error message. 
    <p><a name="doc_002dreaddir"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>files</var>, <var>err</var>, <var>msg</var>] = <b>readdir</b> (<var>dir</var>)<var><a name="index-readdir-1977"></a></var><br>
+&mdash; Built-in Function: [<var>files</var>, <var>err</var>, <var>msg</var>] = <b>readdir</b> (<var>dir</var>)<var><a name="index-readdir-2039"></a></var><br>
 <blockquote><p>Return names of the files in the directory <var>dir</var> as a cell array of
 strings.  If an error occurs, return an empty cell array in <var>files</var>.
 
@@ -129,8 +129,8 @@ system-dependent error message.
    <p><a name="doc_002dmkdir"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>mkdir</b> (<var>dir</var>)<var><a name="index-mkdir-1978"></a></var><br>
-&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>mkdir</b> (<var>parent, dir</var>)<var><a name="index-mkdir-1979"></a></var><br>
+&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>mkdir</b> (<var>dir</var>)<var><a name="index-mkdir-2040"></a></var><br>
+&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>mkdir</b> (<var>parent, dir</var>)<var><a name="index-mkdir-2041"></a></var><br>
 <blockquote><p>Create a directory named <var>dir</var>.
 
         <p>If successful, <var>status</var> is 1, with <var>msg</var> and <var>msgid</var> empty
@@ -146,8 +146,8 @@ message identifier.
    <p><a name="doc_002drmdir"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>rmdir</b> (<var>dir</var>)<var><a name="index-rmdir-1980"></a></var><br>
-&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>rmdir</b> (<var>dir, </var><code>"s"</code>)<var><a name="index-rmdir-1981"></a></var><br>
+&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>rmdir</b> (<var>dir</var>)<var><a name="index-rmdir-2042"></a></var><br>
+&mdash; Built-in Function: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>rmdir</b> (<var>dir, </var><code>"s"</code>)<var><a name="index-rmdir-2043"></a></var><br>
 <blockquote><p>Remove the directory named <var>dir</var>.
 
         <p>If successful, <var>status</var> is 1, with <var>msg</var> and <var>msgid</var> empty
@@ -166,8 +166,8 @@ recursively remove all subdirectories as
    <p><a name="doc_002dconfirm_005frecursive_005frmdir"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>val</var> = <b>confirm_recursive_rmdir</b> ()<var><a name="index-confirm_005frecursive_005frmdir-1982"></a></var><br>
-&mdash; Built-in Function: <var>old_val</var> = <b>confirm_recursive_rmdir</b> (<var>new_val</var>)<var><a name="index-confirm_005frecursive_005frmdir-1983"></a></var><br>
+&mdash; Built-in Function: <var>val</var> = <b>confirm_recursive_rmdir</b> ()<var><a name="index-confirm_005frecursive_005frmdir-2044"></a></var><br>
+&mdash; Built-in Function: <var>old_val</var> = <b>confirm_recursive_rmdir</b> (<var>new_val</var>)<var><a name="index-confirm_005frecursive_005frmdir-2045"></a></var><br>
 <blockquote><p>Query or set the internal variable that controls whether Octave
 will ask for confirmation before recursively removing a directory tree. 
 </p></blockquote></div>
@@ -175,7 +175,7 @@ will ask for confirmation before recursi
    <p><a name="doc_002dmkfifo"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>mkfifo</b> (<var>name, mode</var>)<var><a name="index-mkfifo-1984"></a></var><br>
+&mdash; Built-in Function: [<var>err</var>, <var>msg</var>] = <b>mkfifo</b> (<var>name, mode</var>)<var><a name="index-mkfifo-2046"></a></var><br>
 <blockquote><p>Create a <var>fifo</var> special file named <var>name</var> with file mode <var>mode</var>
 
         <p>If successful, <var>err</var> is 0 and <var>msg</var> is an empty string. 
@@ -186,7 +186,7 @@ system-dependent error message. 
    <p><a name="doc_002dumask"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>umask</b> (<var>mask</var>)<var><a name="index-umask-1985"></a></var><br>
+&mdash; Built-in Function:  <b>umask</b> (<var>mask</var>)<var><a name="index-umask-2047"></a></var><br>
 <blockquote><p>Set the permission mask for file creation.  The parameter <var>mask</var>
 is an integer, interpreted as an octal number.  If successful,
 returns the previous value of the mask (as an integer to be
@@ -196,8 +196,8 @@ interpreted as an octal number); otherwi
    <p><a name="doc_002dstat"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>stat</b> (<var>file</var>)<var><a name="index-stat-1986"></a></var><br>
-&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>lstat</b> (<var>file</var>)<var><a name="index-lstat-1987"></a></var><br>
+&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>stat</b> (<var>file</var>)<var><a name="index-stat-2048"></a></var><br>
+&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>lstat</b> (<var>file</var>)<var><a name="index-lstat-2049"></a></var><br>
 <blockquote><p>Return a structure <var>s</var> containing the following information about
 <var>file</var>.
 
@@ -275,14 +275,14 @@ if you want information about the symbol
    <p><a name="doc_002dlstat"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>lstat</b> (<var>file</var>)<var><a name="index-lstat-1988"></a></var><br>
+&mdash; Built-in Function: [<var>info</var>, <var>err</var>, <var>msg</var>] = <b>lstat</b> (<var>file</var>)<var><a name="index-lstat-2050"></a></var><br>
 <blockquote><p>See stat. 
 </p></blockquote></div>
 
    <p><a name="doc_002dfileattrib"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>fileattrib</b> (<var>file</var>)<var><a name="index-fileattrib-1989"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>fileattrib</b> (<var>file</var>)<var><a name="index-fileattrib-2051"></a></var><br>
 <blockquote><p>Return information about <var>file</var>.
 
         <p>If successful, <var>status</var> is 1, with <var>result</var> containing a
@@ -318,14 +318,14 @@ all the matching files.
    <p><a name="doc_002disdir"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>isdir</b> (<var>f</var>)<var><a name="index-isdir-1990"></a></var><br>
+&mdash; Function File:  <b>isdir</b> (<var>f</var>)<var><a name="index-isdir-2052"></a></var><br>
 <blockquote><p>Return true if <var>f</var> is a directory. 
 </p></blockquote></div>
 
    <p><a name="doc_002dglob"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>glob</b> (<var>pattern</var>)<var><a name="index-glob-1991"></a></var><br>
+&mdash; Built-in Function:  <b>glob</b> (<var>pattern</var>)<var><a name="index-glob-2053"></a></var><br>
 <blockquote><p>Given an array of strings (as a char array or a cell array) in
 <var>pattern</var>, return a cell array of file names that match any of
 them, or an empty cell array if no patterns match.  Tilde expansion
@@ -344,7 +344,7 @@ names.  For example,
    <p><a name="doc_002dfnmatch"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>fnmatch</b> (<var>pattern, string</var>)<var><a name="index-fnmatch-1992"></a></var><br>
+&mdash; Built-in Function:  <b>fnmatch</b> (<var>pattern, string</var>)<var><a name="index-fnmatch-2054"></a></var><br>
 <blockquote><p>Return 1 or zero for each element of <var>string</var> that matches any of
 the elements of the string array <var>pattern</var>, using the rules of
 filename pattern matching.  For example,
@@ -357,8 +357,8 @@ filename pattern matching.  For example,
    <p><a name="doc_002dfile_005fin_005fpath"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>file_in_path</b> (<var>path, file</var>)<var><a name="index-file_005fin_005fpath-1993"></a></var><br>
-&mdash; Built-in Function:  <b>file_in_path</b> (<var>path, file, "all"</var>)<var><a name="index-file_005fin_005fpath-1994"></a></var><br>
+&mdash; Built-in Function:  <b>file_in_path</b> (<var>path, file</var>)<var><a name="index-file_005fin_005fpath-2055"></a></var><br>
+&mdash; Built-in Function:  <b>file_in_path</b> (<var>path, file, "all"</var>)<var><a name="index-file_005fin_005fpath-2056"></a></var><br>
 <blockquote><p>Return the absolute name of <var>file</var> if it can be found in
 <var>path</var>.  The value of <var>path</var> should be a colon-separated list of
 directories in the format described for <code>path</code>.  If no file
@@ -383,7 +383,7 @@ name in the path.  If no files are found
    <p><a name="doc_002dtilde_005fexpand"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>tilde_expand</b> (<var>string</var>)<var><a name="index-tilde_005fexpand-1995"></a></var><br>
+&mdash; Built-in Function:  <b>tilde_expand</b> (<var>string</var>)<var><a name="index-tilde_005fexpand-2057"></a></var><br>
 <blockquote><p>Performs tilde expansion on <var>string</var>.  If <var>string</var> begins with a
 tilde character, (&lsquo;<samp><span class="samp">~</span></samp>&rsquo;), all of the characters preceding the first
 slash (or all characters, if there is no slash) are treated as a
@@ -402,14 +402,14 @@ home directory of the user running Octav
    <p><a name="doc_002dcanonicalize_005ffile_005fname"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>cname</var>, <var>status</var>, <var>msg</var>] <b>canonicalize_file_name</b> (<var>name</var>)<var><a name="index-canonicalize_005ffile_005fname-1996"></a></var><br>
+&mdash; Built-in Function: [<var>cname</var>, <var>status</var>, <var>msg</var>] <b>canonicalize_file_name</b> (<var>name</var>)<var><a name="index-canonicalize_005ffile_005fname-2058"></a></var><br>
 <blockquote><p>Return the canonical name of file <var>name</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dmovefile"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>movefile</b> (<var>f1, f2</var>)<var><a name="index-movefile-1997"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>movefile</b> (<var>f1, f2</var>)<var><a name="index-movefile-2059"></a></var><br>
 <blockquote><p>Move the file <var>f1</var> to the new name <var>f2</var>.  The name <var>f1</var>
 may contain globbing patterns.  If <var>f1</var> expands to multiple file
 names, <var>f2</var> must be a directory.
@@ -427,7 +427,7 @@ message identifier.\n\
    <p><a name="doc_002dcopyfile"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>copyfile</b> (<var>f1, f2, force</var>)<var><a name="index-copyfile-1998"></a></var><br>
+&mdash; Function File: [<var>status</var>, <var>msg</var>, <var>msgid</var>] = <b>copyfile</b> (<var>f1, f2, force</var>)<var><a name="index-copyfile-2060"></a></var><br>
 <blockquote><p>Copy the file <var>f1</var> to the new name <var>f2</var>.  The name <var>f1</var>
 may contain globbing patterns.  If <var>f1</var> expands to multiple file
 names, <var>f2</var> must be a directory. If <var>force</var> is given and equals
@@ -446,7 +446,7 @@ message identifier.\n\
    <p><a name="doc_002dfileparts"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>dir</var>, <var>name</var>, <var>ext</var>, <var>ver</var>] = <b>fileparts</b> (<var>filename</var>)<var><a name="index-fileparts-1999"></a></var><br>
+&mdash; Function File: [<var>dir</var>, <var>name</var>, <var>ext</var>, <var>ver</var>] = <b>fileparts</b> (<var>filename</var>)<var><a name="index-fileparts-2061"></a></var><br>
 <blockquote><p>Return the directory, name, extension, and version components of
 <var>filename</var>.
         <pre class="sp">
@@ -458,7 +458,7 @@ message identifier.\n\
    <p><a name="doc_002dfilesep"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>filesep</b> ()<var><a name="index-filesep-2000"></a></var><br>
+&mdash; Built-in Function:  <b>filesep</b> ()<var><a name="index-filesep-2062"></a></var><br>
 <blockquote><p>Return the system-dependent character used to separate directory names.
         <pre class="sp">
      
@@ -469,7 +469,7 @@ message identifier.\n\
    <p><a name="doc_002dfullfile"></a>
 
 <div class="defun">
-&mdash; Function File: <var>filename</var> = <b>fullfile</b> (<var>dir1, dir2, <small class="dots">...</small>, file</var>)<var><a name="index-fullfile-2001"></a></var><br>
+&mdash; Function File: <var>filename</var> = <b>fullfile</b> (<var>dir1, dir2, <small class="dots">...</small>, file</var>)<var><a name="index-fullfile-2063"></a></var><br>
 <blockquote><p>Return a complete filename constructed from the given components.
         <pre class="sp">
      
@@ -480,21 +480,21 @@ message identifier.\n\
    <p><a name="doc_002dtempdir"></a>
 
 <div class="defun">
-&mdash; Function File: <var>dir</var> = <b>tempdir</b> ()<var><a name="index-tempdir-2002"></a></var><br>
+&mdash; Function File: <var>dir</var> = <b>tempdir</b> ()<var><a name="index-tempdir-2064"></a></var><br>
 <blockquote><p>Return the name of the system's directory for temporary files. 
 </p></blockquote></div>
 
    <p><a name="doc_002dtempname"></a>
 
 <div class="defun">
-&mdash; Function File: filename = <b>tempname</b> ()<var><a name="index-tempname-2003"></a></var><br>
+&mdash; Function File: filename = <b>tempname</b> ()<var><a name="index-tempname-2065"></a></var><br>
 <blockquote><p>This function is an alias for <code>tmpnam</code>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dP_005ftmpdir"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>P_tmpdir</b> ()<var><a name="index-P_005ftmpdir-2004"></a></var><br>
+&mdash; Built-in Function:  <b>P_tmpdir</b> ()<var><a name="index-P_005ftmpdir-2066"></a></var><br>
 <blockquote><p>Return the default name of the directory for temporary files on
 this system.  The name of this directory is system dependent. 
 </p></blockquote></div>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Financial-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Financial-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Financial-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Financial-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,11 +33,11 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="chapter">25 Financial Functions</h2>
 
-<p><a name="index-financial-functions-1551"></a><a name="index-money-1552"></a><a name="index-compounding_002c-value-of-1553"></a>
+<p><a name="index-financial-functions-1604"></a><a name="index-money-1605"></a><a name="index-compounding_002c-value-of-1606"></a>
 <a name="doc_002dfv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fv</b> (<var>r, n, p, l, method</var>)<var><a name="index-fv-1554"></a></var><br>
+&mdash; Function File:  <b>fv</b> (<var>r, n, p, l, method</var>)<var><a name="index-fv-1607"></a></var><br>
 <blockquote><p>Return the future value at the end of period <var>n</var> of an investment
 which consists of <var>n</var> payments of <var>p</var> in each period,
 assuming an interest rate <var>r</var>.
@@ -56,7 +56,7 @@ not 5 percent). 
    <p><a name="doc_002dfvl"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fvl</b> (<var>r, n, l</var>)<var><a name="index-fvl-1555"></a></var><br>
+&mdash; Function File:  <b>fvl</b> (<var>r, n, l</var>)<var><a name="index-fvl-1608"></a></var><br>
 <blockquote><p>Return the future value at the end of <var>n</var> periods of an initial
 lump sum investment <var>l</var>, given a per-period interest rate
 <var>r</var>.
@@ -68,7 +68,7 @@ not 5 percent). 
    <p><a name="doc_002dirr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>irr</b> (<var>p, i</var>)<var><a name="index-irr-1556"></a></var><br>
+&mdash; Function File:  <b>irr</b> (<var>p, i</var>)<var><a name="index-irr-1609"></a></var><br>
 <blockquote><p>Return the internal rate of return of a series of payments <var>p</var>
 from an initial investment <var>i</var> (i.e., the solution of
 <code>npv (r, p) = i</code>.  If the second argument is omitted, a value of
@@ -82,7 +82,7 @@ from an initial investment <var>i</var> 
    <p><a name="doc_002dnper"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nper</b> (<var>r, p, a, l, method</var>)<var><a name="index-nper-1557"></a></var><br>
+&mdash; Function File:  <b>nper</b> (<var>r, p, a, l, method</var>)<var><a name="index-nper-1610"></a></var><br>
 <blockquote><p>Return the number of regular payments of <var>p</var> necessary to
 amortize <var>a</var> loan of amount <var>a</var> and interest <var>r</var>.
 
@@ -104,7 +104,7 @@ not 5 percent).
    <p><a name="doc_002dnpv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>npv</b> (<var>r, p, i</var>)<var><a name="index-npv-1558"></a></var><br>
+&mdash; Function File:  <b>npv</b> (<var>r, p, i</var>)<var><a name="index-npv-1611"></a></var><br>
 <blockquote><p>Returns the net present value of a series of irregular (i.e., not
 necessarily identical) payments <var>p</var> which occur at the ends of <var>n</var>
 consecutive periods.  <var>r</var> specifies the one-period interest rates and
@@ -125,7 +125,7 @@ not 5 percent).
    <p><a name="doc_002dpmt"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pmt</b> (<var>r, n, a, l, method</var>)<var><a name="index-pmt-1559"></a></var><br>
+&mdash; Function File:  <b>pmt</b> (<var>r, n, a, l, method</var>)<var><a name="index-pmt-1612"></a></var><br>
 <blockquote><p>Return the amount of periodic payment necessary to amortize a loan
 of amount a with interest rate <var>r</var> in <var>n</var> periods.
 
@@ -144,7 +144,7 @@ payments are made at the end (<var>"e"</
    <p><a name="doc_002dpv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pv</b> (<var>r, n, p, l, method</var>)<var><a name="index-pv-1560"></a></var><br>
+&mdash; Function File:  <b>pv</b> (<var>r, n, p, l, method</var>)<var><a name="index-pv-1613"></a></var><br>
 <blockquote><p>Returns the present value of an investment that will pay off <var>p</var> for <var>n</var>
 consecutive periods, assuming an interest <var>r</var>.
 
@@ -166,7 +166,7 @@ not 5 percent).
    <p><a name="doc_002dpvl"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pvl</b> (<var>r, n, p</var>)<var><a name="index-pvl-1561"></a></var><br>
+&mdash; Function File:  <b>pvl</b> (<var>r, n, p</var>)<var><a name="index-pvl-1614"></a></var><br>
 <blockquote><p>Return the present value of an investment that will pay off <var>p</var>
 in one lump sum at the end of <var>n</var> periods, given the interest
 rate <var>r</var>.
@@ -178,7 +178,7 @@ not 5 percent). 
    <p><a name="doc_002drate"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rate</b> (<var>n, p, v, l, method</var>)<var><a name="index-rate-1562"></a></var><br>
+&mdash; Function File:  <b>rate</b> (<var>n, p, v, l, method</var>)<var><a name="index-rate-1615"></a></var><br>
 <blockquote><p>Return the rate of return on an investment of present value <var>v</var> which
 pays <var>p</var> in <var>n</var> consecutive periods.
 
@@ -197,7 +197,7 @@ beginning (<code>"b"</code>) of each per
    <p><a name="doc_002dvol"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>vol</b> (<var>x, m, n</var>)<var><a name="index-vol-1563"></a></var><br>
+&mdash; Function File:  <b>vol</b> (<var>x, m, n</var>)<var><a name="index-vol-1616"></a></var><br>
 <blockquote><p>Return the volatility of each column of the input matrix <var>x</var>. 
 The number of data sets per period is given by <var>m</var> (e.g. the
 number of data per year if you want to compute the volatility per
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Finding-Elements-and-Checking-Conditions.html 1:3.0.5-6/doc/interpreter/HTML/Finding-Elements-and-Checking-Conditions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Finding-Elements-and-Checking-Conditions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Finding-Elements-and-Checking-Conditions.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,7 +40,7 @@ a matrix meet a specified condition.
    <p><a name="doc_002dany"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>any</b> (<var>x, dim</var>)<var><a name="index-any-908"></a></var><br>
+&mdash; Built-in Function:  <b>any</b> (<var>x, dim</var>)<var><a name="index-any-954"></a></var><br>
 <blockquote><p>For a vector argument, return 1 if any element of the vector is
 nonzero.
 
@@ -62,7 +62,7 @@ corresponding column of the matrix are n
    <p><a name="doc_002dall"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>all</b> (<var>x, dim</var>)<var><a name="index-all-909"></a></var><br>
+&mdash; Built-in Function:  <b>all</b> (<var>x, dim</var>)<var><a name="index-all-955"></a></var><br>
 <blockquote><p>The function <code>all</code> behaves like the function <code>any</code>, except
 that it returns true only if all the elements of a vector, or all the
 elements along dimension <var>dim</var> of a matrix, are nonzero. 
@@ -85,7 +85,7 @@ than 0.9.
    <p><a name="doc_002dxor"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>xor</b> (<var>x, y</var>)<var><a name="index-xor-910"></a></var><br>
+&mdash; Mapping Function:  <b>xor</b> (<var>x, y</var>)<var><a name="index-xor-956"></a></var><br>
 <blockquote><p>Return the `exclusive or' of the entries of <var>x</var> and <var>y</var>. 
 For boolean expressions <var>x</var> and <var>y</var>,
 <code>xor (</code><var>x</var><code>, </code><var>y</var><code>)</code> is true if and only if <var>x</var> or <var>y</var>
@@ -95,7 +95,7 @@ is true, but not if both <var>x</var> an
    <p><a name="doc_002dis_005fduplicate_005fentry"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_duplicate_entry</b> (<var>x</var>)<var><a name="index-is_005fduplicate_005fentry-911"></a></var><br>
+&mdash; Function File:  <b>is_duplicate_entry</b> (<var>x</var>)<var><a name="index-is_005fduplicate_005fentry-957"></a></var><br>
 <blockquote><p>Return non-zero if any entries in <var>x</var> are duplicates of one
 another. 
 </p></blockquote></div>
@@ -103,7 +103,7 @@ another. 
    <p><a name="doc_002ddiff"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>diff</b> (<var>x, k, dim</var>)<var><a name="index-diff-912"></a></var><br>
+&mdash; Function File:  <b>diff</b> (<var>x, k, dim</var>)<var><a name="index-diff-958"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector of length <var>n</var>, <code>diff (</code><var>x</var><code>)</code> is the
 vector of first differences
 <var>x</var>(2) - <var>x</var>(1), <small class="dots">...</small>, <var>x</var>(n) - <var>x</var>(n-1).
@@ -128,7 +128,7 @@ then an empty matrix is returned. 
    <p><a name="doc_002disinf"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>isinf</b> (<var>x</var>)<var><a name="index-isinf-913"></a></var><br>
+&mdash; Mapping Function:  <b>isinf</b> (<var>x</var>)<var><a name="index-isinf-959"></a></var><br>
 <blockquote><p>Return 1 for elements of <var>x</var> that are infinite and zero
 otherwise. For example,
 
@@ -140,7 +140,7 @@ otherwise. For example,
    <p><a name="doc_002disnan"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>isnan</b> (<var>x</var>)<var><a name="index-isnan-914"></a></var><br>
+&mdash; Mapping Function:  <b>isnan</b> (<var>x</var>)<var><a name="index-isnan-960"></a></var><br>
 <blockquote><p>Return 1 for elements of <var>x</var> that are NaN values and zero
 otherwise.  NA values are also considered NaN values.  For example,
 
@@ -152,7 +152,7 @@ otherwise.  NA values are also considere
    <p><a name="doc_002dfinite"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>finite</b> (<var>x</var>)<var><a name="index-finite-915"></a></var><br>
+&mdash; Mapping Function:  <b>finite</b> (<var>x</var>)<var><a name="index-finite-961"></a></var><br>
 <blockquote><p>Return 1 for elements of <var>x</var> that are finite values and zero
 otherwise. For example,
 
@@ -164,9 +164,9 @@ otherwise. For example,
    <p><a name="doc_002dfind"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>find</b> (<var>x</var>)<var><a name="index-find-916"></a></var><br>
-&mdash; Loadable Function:  <b>find</b> (<var>x, n</var>)<var><a name="index-find-917"></a></var><br>
-&mdash; Loadable Function:  <b>find</b> (<var>x, n, direction</var>)<var><a name="index-find-918"></a></var><br>
+&mdash; Loadable Function:  <b>find</b> (<var>x</var>)<var><a name="index-find-962"></a></var><br>
+&mdash; Loadable Function:  <b>find</b> (<var>x, n</var>)<var><a name="index-find-963"></a></var><br>
+&mdash; Loadable Function:  <b>find</b> (<var>x, n, direction</var>)<var><a name="index-find-964"></a></var><br>
 <blockquote><p>Return a vector of indices of nonzero elements of a matrix, as a row if
 <var>x</var> is a row or as a column otherwise.  To obtain a single index for
 each matrix element, Octave pretends that the columns of a matrix form one
@@ -201,7 +201,7 @@ first or last element. 
    <p><a name="doc_002dcommon_005fsize"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>err</var>, <var>y1</var>, <small class="dots">...</small>] = <b>common_size</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-common_005fsize-919"></a></var><br>
+&mdash; Function File: [<var>err</var>, <var>y1</var>, <small class="dots">...</small>] = <b>common_size</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-common_005fsize-965"></a></var><br>
 <blockquote><p>Determine if all input arguments are either scalar or of common
 size.  If so, <var>err</var> is zero, and <var>yi</var> is a matrix of the
 common size with all entries equal to <var>xi</var> if this is a scalar or
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Finding-Roots.html 1:3.0.5-6/doc/interpreter/HTML/Finding-Roots.html
--- 1:3.0.1-6/doc/interpreter/HTML/Finding-Roots.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Finding-Roots.html	2009-04-07 11:11:40.000000000 +0100
@@ -41,7 +41,7 @@ for a definition), and then finding its 
    <p><a name="doc_002droots"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>roots</b> (<var>v</var>)<var><a name="index-roots-1579"></a></var><br>
+&mdash; Function File:  <b>roots</b> (<var>v</var>)<var><a name="index-roots-1641"></a></var><br>
 <blockquote>
         <p>For a vector <var>v</var> with N components, return
 the roots of the polynomial
@@ -70,7 +70,7 @@ which is roughly
    <p><a name="doc_002dcompan"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>compan</b> (<var>c</var>)<var><a name="index-compan-1580"></a></var><br>
+&mdash; Function File:  <b>compan</b> (<var>c</var>)<var><a name="index-compan-1642"></a></var><br>
 <blockquote><p>Compute the companion matrix corresponding to polynomial coefficient
 vector <var>c</var>.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/fir2sys.html 1:3.0.5-6/doc/interpreter/HTML/fir2sys.html
--- 1:3.0.1-6/doc/interpreter/HTML/fir2sys.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/fir2sys.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dfir2sys"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fir2sys</b> (<var>num, tsam, inname, outname</var>)<var><a name="index-fir2sys-1669"></a></var><br>
+&mdash; Function File:  <b>fir2sys</b> (<var>num, tsam, inname, outname</var>)<var><a name="index-fir2sys-1731"></a></var><br>
 <blockquote><p>construct a system data structure from <acronym>FIR</acronym> description
 
         <p><strong>Inputs</strong>
@@ -78,7 +78,7 @@ C(z) = c0 + c1*z^(-1) + c2*z^(-2) + <sma
    <p><a name="doc_002dsys2fir"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>c</var>, <var>tsam</var>, <var>input</var>, <var>output</var>] = <b>sys2fir</b> (<var>sys</var>)<var><a name="index-sys2fir-1670"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>tsam</var>, <var>input</var>, <var>output</var>] = <b>sys2fir</b> (<var>sys</var>)<var><a name="index-sys2fir-1732"></a></var><br>
 <blockquote>
         <p>Extract <acronym>FIR</acronym> data from system data structure; see <samp><span class="command">fir2sys</span></samp> for
 parameter descriptions.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Function-Headers.html 1:3.0.5-6/doc/interpreter/HTML/Function-Headers.html
--- 1:3.0.1-6/doc/interpreter/HTML/Function-Headers.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Function-Headers.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="section">C.4 Conventional Headers for Octave Functions</h3>
 
-<p><a name="index-header-comments-2135"></a>
+<p><a name="index-header-comments-2198"></a>
 Octave has conventions for using special comments in function files
 to give information such as who wrote them.  This section explains these
 conventions.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Function-Index.html 1:3.0.5-6/doc/interpreter/HTML/Function-Index.html
--- 1:3.0.1-6/doc/interpreter/HTML/Function-Index.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Function-Index.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,86 +38,86 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <ul class="index-fn" compact>
 <li><a href="Command-Line-Options.html#index-g_t_0028-62"><code>(</code></a>: <a href="Command-Line-Options.html#Command-Line-Options">Command Line Options</a></li>
 <li><a href="Getting-Help.html#index-g_t_005b_0040var_007bfun_007d_002c-_0040var_007bhelpstring_007d_005d-_003d-80"><code>[</code><var>fun</var><code>, </code><var>helpstring</var><code>] =</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="sysprop.html#index-abcddim-1732"><code>abcddim</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Complex-Arithmetic.html#index-abs-1047"><code>abs</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
-<li><a href="Sums-and-Products.html#index-accumarray-1096"><code>accumarray</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
-<li><a href="Trigonometry.html#index-acos-1060"><code>acos</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acosd-1085"><code>acosd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acosh-1072"><code>acosh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acot-1064"><code>acot</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acotd-1089"><code>acotd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acoth-1076"><code>acoth</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acsc-1063"><code>acsc</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acscd-1088"><code>acscd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-acsch-1075"><code>acsch</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="sysprop.html#index-abcddim-1794"><code>abcddim</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Complex-Arithmetic.html#index-abs-1095"><code>abs</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="Sums-and-Products.html#index-accumarray-1144"><code>accumarray</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Trigonometry.html#index-acos-1108"><code>acos</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acosd-1133"><code>acosd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acosh-1120"><code>acosh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acot-1112"><code>acot</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acotd-1137"><code>acotd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acoth-1124"><code>acoth</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acsc-1111"><code>acsc</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acscd-1136"><code>acscd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-acsch-1123"><code>acsch</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
 <li><a href="Manipulating-the-load-path.html#index-addpath-587"><code>addpath</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Special-Functions.html#index-airy-1103"><code>airy</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-all-909"><code>all</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="sysprop.html#index-analdemo-1731"><code>analdemo</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Graphics-Objects.html#index-ancestor-867"><code>ancestor</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Complex-Arithmetic.html#index-angle-1049"><code>angle</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
-<li><a href="Tests.html#index-anova-1415"><code>anova</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-any-908"><code>any</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Signal-Processing.html#index-arch_005ffit-1831"><code>arch_fit</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-arch_005frnd-1832"><code>arch_rnd</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-arch_005ftest-1833"><code>arch_test</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="numerical.html#index-are-1714"><code>are</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-area-803"><code>area</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Complex-Arithmetic.html#index-arg-1048"><code>arg</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="Special-Functions.html#index-airy-1151"><code>airy</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-all-955"><code>all</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="sysprop.html#index-analdemo-1793"><code>analdemo</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Graphics-Objects.html#index-ancestor-894"><code>ancestor</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Complex-Arithmetic.html#index-angle-1097"><code>angle</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="Tests.html#index-anova-1468"><code>anova</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-any-954"><code>any</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Signal-Processing.html#index-arch_005ffit-1893"><code>arch_fit</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-arch_005frnd-1894"><code>arch_rnd</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-arch_005ftest-1895"><code>arch_test</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="numerical.html#index-are-1776"><code>are</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-area-811"><code>area</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Complex-Arithmetic.html#index-arg-1096"><code>arg</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
 <li><a href="Inline-Functions.html#index-argnames-614"><code>argnames</code></a>: <a href="Inline-Functions.html#Inline-Functions">Inline Functions</a></li>
 <li><a href="Command-Line-Options.html#index-argv-60"><code>argv</code></a>: <a href="Command-Line-Options.html#Command-Line-Options">Command Line Options</a></li>
-<li><a href="Signal-Processing.html#index-arma_005frnd-1834"><code>arma_rnd</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Applying-a-Function-to-an-Array.html#index-arrayfun-953"><code>arrayfun</code></a>: <a href="Applying-a-Function-to-an-Array.html#Applying-a-Function-to-an-Array">Applying a Function to an Array</a></li>
-<li><a href="Timing-Utilities.html#index-asctime-1947"><code>asctime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Trigonometry.html#index-asec-1062"><code>asec</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-asecd-1087"><code>asecd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-asech-1074"><code>asech</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-asin-1059"><code>asin</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-asind-1084"><code>asind</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-asinh-1071"><code>asinh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Test-Functions.html#index-assert-2120"><code>assert</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
+<li><a href="Signal-Processing.html#index-arma_005frnd-1896"><code>arma_rnd</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Applying-a-Function-to-an-Array.html#index-arrayfun-1001"><code>arrayfun</code></a>: <a href="Applying-a-Function-to-an-Array.html#Applying-a-Function-to-an-Array">Applying a Function to an Array</a></li>
+<li><a href="Timing-Utilities.html#index-asctime-2009"><code>asctime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Trigonometry.html#index-asec-1110"><code>asec</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-asecd-1135"><code>asecd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-asech-1122"><code>asech</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-asin-1107"><code>asin</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-asind-1132"><code>asind</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-asinh-1119"><code>asinh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Test-Functions.html#index-assert-2183"><code>assert</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
 <li><a href="Evaluation-in-a-Different-Context.html#index-assignin-528"><code>assignin</code></a>: <a href="Evaluation-in-a-Different-Context.html#Evaluation-in-a-Different-Context">Evaluation in a Different Context</a></li>
-<li><a href="Trigonometry.html#index-atan-1061"><code>atan</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-atan2-1077"><code>atan2</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-atand-1086"><code>atand</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-atanh-1073"><code>atanh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-atan-1109"><code>atan</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-atan2-1125"><code>atan2</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-atand-1134"><code>atand</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-atanh-1121"><code>atanh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
 <li><a href="Quitting-Octave.html#index-atexit-72"><code>atexit</code></a>: <a href="Quitting-Octave.html#Quitting-Octave">Quitting Octave</a></li>
-<li><a href="Signal-Processing.html#index-autocor-1835"><code>autocor</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-autocov-1836"><code>autocov</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-autocor-1897"><code>autocor</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-autocov-1898"><code>autocov</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Overloading-and-Autoloading.html#index-autoload-600"><code>autoload</code></a>: <a href="Overloading-and-Autoloading.html#Overloading-and-Autoloading">Overloading and Autoloading</a></li>
-<li><a href="Signal-Processing.html#index-autoreg_005fmatrix-1837"><code>autoreg_matrix</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Representing-Images.html#index-autumn-1891"><code>autumn</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Graphics-Objects.html#index-axes-869"><code>axes</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-axis-809"><code>axis</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="misc.html#index-axis2dlim-1792"><code>axis2dlim</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-balance-1157"><code>balance</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Signal-Processing.html#index-autoreg_005fmatrix-1899"><code>autoreg_matrix</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Representing-Images.html#index-autumn-1953"><code>autumn</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Graphics-Objects.html#index-axes-896"><code>axes</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-axis-817"><code>axis</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="misc.html#index-axis2dlim-1854"><code>axis2dlim</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-balance-1205"><code>balance</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-bar-761"><code>bar</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-barh-767"><code>barh</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Signal-Processing.html#index-bartlett-1838"><code>bartlett</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Tests.html#index-bartlett_005ftest-1416"><code>bartlett_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Signal-Processing.html#index-bartlett-1900"><code>bartlett</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Tests.html#index-bartlett_005ftest-1469"><code>bartlett_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
 <li><a href="String-Conversions.html#index-base2dec-293"><code>base2dec</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="blockdiag.html#index-bddemo-1694"><code>bddemo</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-bddemo-1756"><code>bddemo</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Raising-Errors.html#index-beep-627"><code>beep</code></a>: <a href="Raising-Errors.html#Raising-Errors">Raising Errors</a></li>
 <li><a href="Raising-Errors.html#index-beep_005fon_005ferror-628"><code>beep_on_error</code></a>: <a href="Raising-Errors.html#Raising-Errors">Raising Errors</a></li>
-<li><a href="Special-Functions.html#index-besselh-1102"><code>besselh</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-besseli-1100"><code>besseli</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-besselj-1098"><code>besselj</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-besselk-1101"><code>besselk</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-bessely-1099"><code>bessely</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-beta-1104"><code>beta</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Distributions.html#index-betacdf-1441"><code>betacdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Special-Functions.html#index-betainc-1105"><code>betainc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Distributions.html#index-betainv-1442"><code>betainv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Special-Functions.html#index-betaln-1106"><code>betaln</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Distributions.html#index-betapdf-1443"><code>betapdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-betarnd-1505"><code>betarnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Multi_002ddimensional-Interpolation.html#index-bicubic-1630"><code>bicubic</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
+<li><a href="Special-Functions.html#index-besselh-1150"><code>besselh</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-besseli-1148"><code>besseli</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-besselj-1146"><code>besselj</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-besselk-1149"><code>besselk</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-bessely-1147"><code>bessely</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-beta-1152"><code>beta</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Distributions.html#index-betacdf-1494"><code>betacdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Special-Functions.html#index-betainc-1153"><code>betainc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Distributions.html#index-betainv-1495"><code>betainv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Special-Functions.html#index-betaln-1154"><code>betaln</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Distributions.html#index-betapdf-1496"><code>betapdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-betarnd-1558"><code>betarnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Multi_002ddimensional-Interpolation.html#index-bicubic-1692"><code>bicubic</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
 <li><a href="String-Conversions.html#index-bin2dec-288"><code>bin2dec</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Special-Functions.html#index-bincoeff-1107"><code>bincoeff</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Distributions.html#index-binocdf-1444"><code>binocdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-binoinv-1445"><code>binoinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-binopdf-1446"><code>binopdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-binornd-1507"><code>binornd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Special-Functions.html#index-bincoeff-1155"><code>bincoeff</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Distributions.html#index-binocdf-1497"><code>binocdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-binoinv-1498"><code>binoinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-binopdf-1499"><code>binopdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-binornd-1560"><code>binornd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
 <li><a href="Bit-Manipulations.html#index-bitand-221"><code>bitand</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
 <li><a href="Bit-Manipulations.html#index-bitcmp-224"><code>bitcmp</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
 <li><a href="Bit-Manipulations.html#index-bitget-219"><code>bitget</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
@@ -126,36 +126,36 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Bit-Manipulations.html#index-bitset-217"><code>bitset</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
 <li><a href="Bit-Manipulations.html#index-bitshift-225"><code>bitshift</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
 <li><a href="Bit-Manipulations.html#index-bitxor-223"><code>bitxor</code></a>: <a href="Bit-Manipulations.html#Bit-Manipulations">Bit Manipulations</a></li>
-<li><a href="Signal-Processing.html#index-blackman-1839"><code>blackman</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-blackman-1901"><code>blackman</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Creating-Strings.html#index-blanks-250"><code>blanks</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
-<li><a href="Rearranging-Matrices.html#index-blkdiag-952"><code>blkdiag</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="sysfreq.html#index-bode-1766"><code>bode</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="sysfreq.html#index-bode_005fbounds-1767"><code>bode_bounds</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Representing-Images.html#index-bone-1892"><code>bone</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Plot-Annotations.html#index-box-845"><code>box</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="Applying-a-Function-to-an-Array.html#index-bsxfun-958"><code>bsxfun</code></a>: <a href="Applying-a-Function-to-an-Array.html#Applying-a-Function-to-an-Array">Applying a Function to an Array</a></li>
-<li><a href="Bug-Lists.html#index-bug_005freport-2164"><code>bug_report</code></a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
-<li><a href="Reporting-Bugs.html#index-bug_005freport-2142"><code>bug_report</code></a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
-<li><a href="blockdiag.html#index-buildssic-1695"><code>buildssic</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="Rearranging-Matrices.html#index-blkdiag-1000"><code>blkdiag</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="sysfreq.html#index-bode-1828"><code>bode</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="sysfreq.html#index-bode_005fbounds-1829"><code>bode_bounds</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Representing-Images.html#index-bone-1954"><code>bone</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Plot-Annotations.html#index-box-853"><code>box</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Applying-a-Function-to-an-Array.html#index-bsxfun-1006"><code>bsxfun</code></a>: <a href="Applying-a-Function-to-an-Array.html#Applying-a-Function-to-an-Array">Applying a Function to an Array</a></li>
+<li><a href="Bug-Lists.html#index-bug_005freport-2227"><code>bug_report</code></a>: <a href="Bug-Lists.html#Bug-Lists">Bug Lists</a></li>
+<li><a href="Reporting-Bugs.html#index-bug_005freport-2205"><code>bug_report</code></a>: <a href="Reporting-Bugs.html#Reporting-Bugs">Reporting Bugs</a></li>
+<li><a href="blockdiag.html#index-buildssic-1757"><code>buildssic</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Overloading-and-Autoloading.html#index-builtin-599"><code>builtin</code></a>: <a href="Overloading-and-Autoloading.html#Overloading-and-Autoloading">Overloading and Autoloading</a></li>
-<li><a href="File-Archiving-Utilities.html#index-bunzip2-2005"><code>bunzip2</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-byte_005fsize-2104"><code>byte_size</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="systime.html#index-c2d-1756"><code>c2d</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="Timing-Utilities.html#index-calendar-1966"><code>calendar</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-canonicalize_005ffile_005fname-1996"><code>canonicalize_file_name</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Coordinate-Transformations.html#index-cart2pol-1119"><code>cart2pol</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
-<li><a href="Coordinate-Transformations.html#index-cart2sph-1123"><code>cart2sph</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
+<li><a href="File-Archiving-Utilities.html#index-bunzip2-2067"><code>bunzip2</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-byte_005fsize-2167"><code>byte_size</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="systime.html#index-c2d-1818"><code>c2d</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="Timing-Utilities.html#index-calendar-2028"><code>calendar</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-canonicalize_005ffile_005fname-2058"><code>canonicalize_file_name</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Coordinate-Transformations.html#index-cart2pol-1167"><code>cart2pol</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
+<li><a href="Coordinate-Transformations.html#index-cart2sph-1171"><code>cart2sph</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
 <li><a href="Built_002din-Data-Types.html#index-cast-152"><code>cast</code></a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
-<li><a href="Rearranging-Matrices.html#index-cat-925"><code>cat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Distributions.html#index-cauchy_005fcdf-1447"><code>cauchy_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-cauchy_005finv-1448"><code>cauchy_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-cauchy_005fpdf-1449"><code>cauchy_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-cauchy_005frnd-1509"><code>cauchy_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-caxis-810"><code>caxis</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="MathConsiderations.html#index-ccolamd-1275"><code>ccolamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Current-Working-Directory.html#index-cd-2065"><code>cd</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="Rearranging-Matrices.html#index-cat-971"><code>cat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Distributions.html#index-cauchy_005fcdf-1500"><code>cauchy_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-cauchy_005finv-1501"><code>cauchy_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-cauchy_005fpdf-1502"><code>cauchy_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-cauchy_005frnd-1562"><code>cauchy_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-caxis-818"><code>caxis</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="MathConsiderations.html#index-ccolamd-1323"><code>ccolamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Current-Working-Directory.html#index-cd-2128"><code>cd</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
 <li><a href="A-Sample-Command-Description.html#index-cd-24"><code>cd</code></a>: <a href="A-Sample-Command-Description.html#A-Sample-Command-Description">A Sample Command Description</a></li>
-<li><a href="Utility-Functions.html#index-ceil-1008"><code>ceil</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Utility-Functions.html#index-ceil-1056"><code>ceil</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="Creating-Cell-Arrays.html#index-cell-337"><code>cell</code></a>: <a href="Creating-Cell-Arrays.html#Creating-Cell-Arrays">Creating Cell Arrays</a></li>
 <li><a href="Processing-Data-in-Cell-Arrays.html#index-cell2mat-356"><code>cell2mat</code></a>: <a href="Processing-Data-in-Cell-Arrays.html#Processing-Data-in-Cell-Arrays">Processing Data in Cell Arrays</a></li>
 <li><a href="Processing-Data-in-Cell-Arrays.html#index-cell2struct-357"><code>cell2struct</code></a>: <a href="Processing-Data-in-Cell-Arrays.html#Processing-Data-in-Cell-Arrays">Processing Data in Cell Arrays</a></li>
@@ -163,95 +163,97 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Processing-Data-in-Cell-Arrays.html#index-cellfun-348"><code>cellfun</code></a>: <a href="Processing-Data-in-Cell-Arrays.html#Processing-Data-in-Cell-Arrays">Processing Data in Cell Arrays</a></li>
 <li><a href="Cell-Arrays-of-Strings.html#index-cellidx-347"><code>cellidx</code></a>: <a href="Cell-Arrays-of-Strings.html#Cell-Arrays-of-Strings">Cell Arrays of Strings</a></li>
 <li><a href="Cell-Arrays-of-Strings.html#index-cellstr-345"><code>cellstr</code></a>: <a href="Cell-Arrays-of-Strings.html#Cell-Arrays-of-Strings">Cell Arrays of Strings</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-center-1394"><code>center</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-center-1447"><code>center</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Creating-Strings.html#index-char-251"><code>char</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
-<li><a href="Current-Working-Directory.html#index-chdir-2066"><code>chdir</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="Current-Working-Directory.html#index-chdir-2129"><code>chdir</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
 <li><a href="A-Sample-Command-Description.html#index-chdir-25"><code>chdir</code></a>: <a href="A-Sample-Command-Description.html#A-Sample-Command-Description">A Sample Command Description</a></li>
-<li><a href="Distributions.html#index-chi2cdf-1450"><code>chi2cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-chi2inv-1451"><code>chi2inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-chi2rnd-1511"><code>chi2rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Distributions.html#index-chisquare_005fpdf-1452"><code>chisquare_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Tests.html#index-chisquare_005ftest_005fhomogeneity-1417"><code>chisquare_test_homogeneity</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-chisquare_005ftest_005findependence-1418"><code>chisquare_test_independence</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Matrix-Factorizations.html#index-chol-1184"><code>chol</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Matrix-Factorizations.html#index-chol2inv-1187"><code>chol2inv</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Matrix-Factorizations.html#index-cholinv-1186"><code>cholinv</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Rearranging-Matrices.html#index-circshift-932"><code>circshift</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Distributions.html#index-chi2cdf-1503"><code>chi2cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-chi2inv-1504"><code>chi2inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-chi2rnd-1564"><code>chi2rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Distributions.html#index-chisquare_005fpdf-1505"><code>chisquare_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Tests.html#index-chisquare_005ftest_005fhomogeneity-1470"><code>chisquare_test_homogeneity</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-chisquare_005ftest_005findependence-1471"><code>chisquare_test_independence</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Matrix-Factorizations.html#index-chol-1232"><code>chol</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-chol2inv-1235"><code>chol2inv</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-cholinv-1234"><code>cholinv</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Rearranging-Matrices.html#index-circshift-980"><code>circshift</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
 <li><a href="Built_002din-Data-Types.html#index-class-150"><code>class</code></a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
 <li><a href="Cursor-Motion.html#index-clc-93"><code>clc</code></a>: <a href="Cursor-Motion.html#Cursor-Motion">Cursor Motion</a></li>
 <li><a href="Status-of-Variables.html#index-clear-378"><code>clear</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
-<li><a href="Graphics-Objects.html#index-clf-894"><code>clf</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Timing-Utilities.html#index-clock-1950"><code>clock</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-cloglog-1409"><code>cloglog</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Graphics-Objects.html#index-close-898"><code>close</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Graphics-Objects.html#index-closereq-902"><code>closereq</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="MathConsiderations.html#index-colamd-1279"><code>colamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Orthogonal-Collocation.html#index-colloc-1355"><code>colloc</code></a>: <a href="Orthogonal-Collocation.html#Orthogonal-Collocation">Orthogonal Collocation</a></li>
-<li><a href="Representing-Images.html#index-colormap-1889"><code>colormap</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="MathConsiderations.html#index-colperm-1283"><code>colperm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Graphics-Objects.html#index-clf-921"><code>clf</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Timing-Utilities.html#index-clock-2012"><code>clock</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-cloglog-1462"><code>cloglog</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Graphics-Objects.html#index-close-929"><code>close</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-closereq-933"><code>closereq</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="MathConsiderations.html#index-colamd-1327"><code>colamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Orthogonal-Collocation.html#index-colloc-1403"><code>colloc</code></a>: <a href="Orthogonal-Collocation.html#Orthogonal-Collocation">Orthogonal Collocation</a></li>
+<li><a href="Plot-Annotations.html#index-colorbar-858"><code>colorbar</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Representing-Images.html#index-colormap-1951"><code>colormap</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="MathConsiderations.html#index-colperm-1331"><code>colperm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
 <li><a href="Object-Sizes.html#index-columns-173"><code>columns</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-common_005fsize-919"><code>common_size</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Special-Functions.html#index-commutation_005fmatrix-1117"><code>commutation_matrix</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Finding-Roots.html#index-compan-1580"><code>compan</code></a>: <a href="Finding-Roots.html#Finding-Roots">Finding Roots</a></li>
-<li><a href="Set-Operations.html#index-complement-1573"><code>complement</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-common_005fsize-965"><code>common_size</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Special-Functions.html#index-commutation_005fmatrix-1165"><code>commutation_matrix</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Finding-Roots.html#index-compan-1642"><code>compan</code></a>: <a href="Finding-Roots.html#Finding-Roots">Finding Roots</a></li>
+<li><a href="Set-Operations.html#index-complement-1629"><code>complement</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
 <li><a href="Commands-For-Completion.html#index-completion_005fappend_005fchar-96"><code>completion_append_char</code></a>: <a href="Commands-For-Completion.html#Commands-For-Completion">Commands For Completion</a></li>
 <li><a href="Commands-For-Completion.html#index-completion_005fmatches-98"><code>completion_matches</code></a>: <a href="Commands-For-Completion.html#Commands-For-Completion">Commands For Completion</a></li>
 <li><a href="Numeric-Data-Types.html#index-complex-186"><code>complex</code></a>: <a href="Numeric-Data-Types.html#Numeric-Data-Types">Numeric Data Types</a></li>
-<li><a href="System-Information.html#index-computer-2082"><code>computer</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-cond-1160"><code>cond</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-condest-1297"><code>condest</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Filesystem-Utilities.html#index-confirm_005frecursive_005frmdir-1982"><code>confirm_recursive_rmdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Complex-Arithmetic.html#index-conj-1050"><code>conj</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="System-Information.html#index-computer-2145"><code>computer</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-cond-1208"><code>cond</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-condest-1345"><code>condest</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Filesystem-Utilities.html#index-confirm_005frecursive_005frmdir-2044"><code>confirm_recursive_rmdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Complex-Arithmetic.html#index-conj-1098"><code>conj</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-contour-776"><code>contour</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-contourc-783"><code>contourc</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Products-of-Polynomials.html#index-conv-1581"><code>conv</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
-<li><a href="Products-of-Polynomials.html#index-conv2-1583"><code>conv2</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
-<li><a href="Convex-Hull.html#index-convhull-1659"><code>convhull</code></a>: <a href="Convex-Hull.html#Convex-Hull">Convex Hull</a></li>
-<li><a href="Convex-Hull.html#index-convhulln-1661"><code>convhulln</code></a>: <a href="Convex-Hull.html#Convex-Hull">Convex Hull</a></li>
-<li><a href="Representing-Images.html#index-cool-1893"><code>cool</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Representing-Images.html#index-copper-1894"><code>copper</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Filesystem-Utilities.html#index-copyfile-1998"><code>copyfile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Descriptive-Statistics.html#index-cor-1387"><code>cor</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Tests.html#index-cor_005ftest-1419"><code>cor_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Descriptive-Statistics.html#index-corrcoef-1388"><code>corrcoef</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Trigonometry.html#index-cos-1054"><code>cos</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-cosd-1079"><code>cosd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-cosh-1066"><code>cosh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-cot-1058"><code>cot</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-cotd-1083"><code>cotd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-coth-1070"><code>coth</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Descriptive-Statistics.html#index-cov-1386"><code>cov</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Utility-Functions.html#index-cplxpair-1009"><code>cplxpair</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Timing-Utilities.html#index-cputime-1953"><code>cputime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-contourc-791"><code>contourc</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-contourf-783"><code>contourf</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Products-of-Polynomials.html#index-conv-1643"><code>conv</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
+<li><a href="Products-of-Polynomials.html#index-conv2-1645"><code>conv2</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
+<li><a href="Convex-Hull.html#index-convhull-1721"><code>convhull</code></a>: <a href="Convex-Hull.html#Convex-Hull">Convex Hull</a></li>
+<li><a href="Convex-Hull.html#index-convhulln-1723"><code>convhulln</code></a>: <a href="Convex-Hull.html#Convex-Hull">Convex Hull</a></li>
+<li><a href="Representing-Images.html#index-cool-1955"><code>cool</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Representing-Images.html#index-copper-1956"><code>copper</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Filesystem-Utilities.html#index-copyfile-2060"><code>copyfile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Descriptive-Statistics.html#index-cor-1440"><code>cor</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Tests.html#index-cor_005ftest-1472"><code>cor_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Descriptive-Statistics.html#index-corrcoef-1441"><code>corrcoef</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Trigonometry.html#index-cos-1102"><code>cos</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-cosd-1127"><code>cosd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-cosh-1114"><code>cosh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-cot-1106"><code>cot</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-cotd-1131"><code>cotd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-coth-1118"><code>coth</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Descriptive-Statistics.html#index-cov-1439"><code>cov</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Utility-Functions.html#index-cplxpair-1057"><code>cplxpair</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Timing-Utilities.html#index-cputime-2015"><code>cputime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-crash_005fdumps_005foctave_005fcore-690"><code>crash_dumps_octave_core</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
-<li><a href="Sets.html#index-create_005fset-1564"><code>create_set</code></a>: <a href="Sets.html#Sets">Sets</a></li>
-<li><a href="Special-Functions.html#index-cross-1116"><code>cross</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Trigonometry.html#index-csc-1057"><code>csc</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-cscd-1082"><code>cscd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-csch-1069"><code>csch</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="MathConsiderations.html#index-csymamd-1284"><code>csymamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Timing-Utilities.html#index-ctime-1943"><code>ctime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="sysprop.html#index-ctrb-1733"><code>ctrb</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Sums-and-Products.html#index-cumprod-1094"><code>cumprod</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
-<li><a href="Sums-and-Products.html#index-cumsum-1093"><code>cumsum</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
-<li><a href="Functions-of-One-Variable.html#index-cumtrapz-1352"><code>cumtrapz</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-cut-1412"><code>cut</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="systime.html#index-d2c-1758"><code>d2c</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="systime.html#index-damp-1761"><code>damp</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="numerical.html#index-dare-1715"><code>dare</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Differential_002dAlgebraic-Equations.html#index-daspk-1362"><code>daspk</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
-<li><a href="Differential_002dAlgebraic-Equations.html#index-daspk_005foptions-1363"><code>daspk_options</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
-<li><a href="Differential_002dAlgebraic-Equations.html#index-dasrt-1364"><code>dasrt</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
-<li><a href="Differential_002dAlgebraic-Equations.html#index-dasrt_005foptions-1365"><code>dasrt_options</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
-<li><a href="Timing-Utilities.html#index-date-1951"><code>date</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Timing-Utilities.html#index-datestr-1960"><code>datestr</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Timing-Utilities.html#index-datevec-1961"><code>datevec</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Sets.html#index-create_005fset-1617"><code>create_set</code></a>: <a href="Sets.html#Sets">Sets</a></li>
+<li><a href="Special-Functions.html#index-cross-1164"><code>cross</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Trigonometry.html#index-csc-1105"><code>csc</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-cscd-1130"><code>cscd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-csch-1117"><code>csch</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="MathConsiderations.html#index-csymamd-1332"><code>csymamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Timing-Utilities.html#index-ctime-2005"><code>ctime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="sysprop.html#index-ctrb-1795"><code>ctrb</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Sums-and-Products.html#index-cumprod-1142"><code>cumprod</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Sums-and-Products.html#index-cumsum-1141"><code>cumsum</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Functions-of-One-Variable.html#index-cumtrapz-1400"><code>cumtrapz</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-cut-1465"><code>cut</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="systime.html#index-d2c-1820"><code>d2c</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="systime.html#index-damp-1823"><code>damp</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="numerical.html#index-dare-1777"><code>dare</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Differential_002dAlgebraic-Equations.html#index-daspk-1410"><code>daspk</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
+<li><a href="Differential_002dAlgebraic-Equations.html#index-daspk_005foptions-1411"><code>daspk_options</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
+<li><a href="Differential_002dAlgebraic-Equations.html#index-dasrt-1412"><code>dasrt</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
+<li><a href="Differential_002dAlgebraic-Equations.html#index-dasrt_005foptions-1413"><code>dasrt_options</code></a>: <a href="Differential_002dAlgebraic-Equations.html#Differential_002dAlgebraic-Equations">Differential-Algebraic Equations</a></li>
+<li><a href="Timing-Utilities.html#index-date-2013"><code>date</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-datestr-2022"><code>datestr</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-datevec-2023"><code>datevec</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
 <li><a href="Breakpoints.html#index-dbclear-653"><code>dbclear</code></a>: <a href="Breakpoints.html#Breakpoints">Breakpoints</a></li>
 <li><a href="Breakpoints.html#index-dbstatus-652"><code>dbstatus</code></a>: <a href="Breakpoints.html#Breakpoints">Breakpoints</a></li>
 <li><a href="Breakpoints.html#index-dbstop-651"><code>dbstop</code></a>: <a href="Breakpoints.html#Breakpoints">Breakpoints</a></li>
 <li><a href="Debug-Mode.html#index-dbtype-656"><code>dbtype</code></a>: <a href="Debug-Mode.html#Debug-Mode">Debug Mode</a></li>
 <li><a href="Debug-Mode.html#index-dbwhere-655"><code>dbwhere</code></a>: <a href="Debug-Mode.html#Debug-Mode">Debug Mode</a></li>
-<li><a href="systime.html#index-dcgain-1762"><code>dcgain</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="systime.html#index-dcgain-1824"><code>dcgain</code></a>: <a href="systime.html#systime">systime</a></li>
 <li><a href="Variable_002dlength-Return-Lists.html#index-deal-577"><code>deal</code></a>: <a href="Variable_002dlength-Return-Lists.html#Variable_002dlength-Return-Lists">Variable-length Return Lists</a></li>
 <li><a href="Manipulating-Strings.html#index-deblank-271"><code>deblank</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Entering-Debug-Mode.html#index-debug_005fon_005ferror-649"><code>debug_on_error</code></a>: <a href="Entering-Debug-Mode.html#Entering-Debug-Mode">Entering Debug Mode</a></li>
@@ -260,273 +262,273 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="String-Conversions.html#index-dec2base-292"><code>dec2base</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="String-Conversions.html#index-dec2bin-289"><code>dec2bin</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="String-Conversions.html#index-dec2hex-290"><code>dec2hex</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Products-of-Polynomials.html#index-deconv-1582"><code>deconv</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
+<li><a href="Products-of-Polynomials.html#index-deconv-1644"><code>deconv</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
 <li><a href="Simple-File-I_002fO.html#index-default_005fsave_005foptions-682"><code>default_save_options</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
-<li><a href="Utility-Functions.html#index-del2-1010"><code>del2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Delaunay-Triangulation.html#index-delaunay-1631"><code>delaunay</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
-<li><a href="Delaunay-Triangulation.html#index-delaunay3-1633"><code>delaunay3</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
-<li><a href="Delaunay-Triangulation.html#index-delaunayn-1635"><code>delaunayn</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
-<li><a href="Graphics-Objects.html#index-delete-896"><code>delete</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Demonstration-Functions.html#index-demo-2125"><code>demo</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
-<li><a href="Control-Theory.html#index-DEMOcontrol-1667"><code>DEMOcontrol</code></a>: <a href="Control-Theory.html#Control-Theory">Control Theory</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-det-1161"><code>det</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Signal-Processing.html#index-detrend-1805"><code>detrend</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="cacsd.html#index-dgkfdemo-1777"><code>dgkfdemo</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="numerical.html#index-dgram-1717"><code>dgram</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Special-Utility-Matrices.html#index-diag-994"><code>diag</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Utility-Functions.html#index-del2-1058"><code>del2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Delaunay-Triangulation.html#index-delaunay-1693"><code>delaunay</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
+<li><a href="Delaunay-Triangulation.html#index-delaunay3-1695"><code>delaunay3</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
+<li><a href="Delaunay-Triangulation.html#index-delaunayn-1697"><code>delaunayn</code></a>: <a href="Delaunay-Triangulation.html#Delaunay-Triangulation">Delaunay Triangulation</a></li>
+<li><a href="Graphics-Objects.html#index-delete-927"><code>delete</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Demonstration-Functions.html#index-demo-2188"><code>demo</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
+<li><a href="Control-Theory.html#index-DEMOcontrol-1729"><code>DEMOcontrol</code></a>: <a href="Control-Theory.html#Control-Theory">Control Theory</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-det-1209"><code>det</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Signal-Processing.html#index-detrend-1867"><code>detrend</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="cacsd.html#index-dgkfdemo-1839"><code>dgkfdemo</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="numerical.html#index-dgram-1779"><code>dgram</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Special-Utility-Matrices.html#index-diag-1042"><code>diag</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-diary-129"><code>diary</code></a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-diff-912"><code>diff</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Signal-Processing.html#index-diffpara-1840"><code>diffpara</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-dims-2105"><code>dims</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="Current-Working-Directory.html#index-dir-2069"><code>dir</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
-<li><a href="Distributions.html#index-discrete_005fcdf-1453"><code>discrete_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-discrete_005finv-1454"><code>discrete_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-discrete_005fpdf-1455"><code>discrete_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-discrete_005frnd-1513"><code>discrete_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-diff-958"><code>diff</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Signal-Processing.html#index-diffpara-1902"><code>diffpara</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-dims-2168"><code>dims</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Current-Working-Directory.html#index-dir-2132"><code>dir</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="Distributions.html#index-discrete_005fcdf-1506"><code>discrete_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-discrete_005finv-1507"><code>discrete_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-discrete_005fpdf-1508"><code>discrete_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-discrete_005frnd-1566"><code>discrete_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
 <li><a href="Terminal-Output.html#index-disp-658"><code>disp</code></a>: <a href="Terminal-Output.html#Terminal-Output">Terminal Output</a></li>
 <li><a href="Overloading-and-Autoloading.html#index-dispatch-598"><code>dispatch</code></a>: <a href="Overloading-and-Autoloading.html#Overloading-and-Autoloading">Overloading and Autoloading</a></li>
-<li><a href="cacsd.html#index-dkalman-1781"><code>dkalman</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-dlqe-1779"><code>dlqe</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-dlqr-1780"><code>dlqr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="numerical.html#index-dlyap-1718"><code>dlyap</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="MathConsiderations.html#index-dmperm-1288"><code>dmperm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="systime.html#index-dmr2d-1760"><code>dmr2d</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-dmult-1162"><code>dmult</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="cacsd.html#index-dkalman-1843"><code>dkalman</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-dlqe-1841"><code>dlqe</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-dlqr-1842"><code>dlqr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="numerical.html#index-dlyap-1780"><code>dlyap</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="MathConsiderations.html#index-dmperm-1336"><code>dmperm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="systime.html#index-dmr2d-1822"><code>dmr2d</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-dmult-1210"><code>dmult</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="String-Conversions.html#index-do_005fstring_005fescapes-300"><code>do_string_escapes</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="Status-of-Variables.html#index-document-379"><code>document</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
-<li><a href="Controlling-Subprocesses.html#index-dos-2028"><code>dos</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-dot-1163"><code>dot</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Controlling-Subprocesses.html#index-dos-2090"><code>dos</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-dot-1211"><code>dot</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Numeric-Data-Types.html#index-double-184"><code>double</code></a>: <a href="Numeric-Data-Types.html#Numeric-Data-Types">Numeric Data Types</a></li>
-<li><a href="Graphics-Objects.html#index-drawnow-890"><code>drawnow</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="numerical.html#index-dre-1716"><code>dre</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Identifying-points-in-Triangulation.html#index-dsearch-1644"><code>dsearch</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
-<li><a href="Identifying-points-in-Triangulation.html#index-dsearchn-1646"><code>dsearchn</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
-<li><a href="Controlling-Subprocesses.html#index-dup2-2038"><code>dup2</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Special-Functions.html#index-duplication_005fmatrix-1118"><code>duplication_matrix</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Signal-Processing.html#index-durbinlevinson-1841"><code>durbinlevinson</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Mathematical-Constants.html#index-e-1141"><code>e</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Graphics-Objects.html#index-drawnow-917"><code>drawnow</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="numerical.html#index-dre-1778"><code>dre</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Identifying-points-in-Triangulation.html#index-dsearch-1706"><code>dsearch</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
+<li><a href="Identifying-points-in-Triangulation.html#index-dsearchn-1708"><code>dsearchn</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
+<li><a href="Controlling-Subprocesses.html#index-dup2-2100"><code>dup2</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Special-Functions.html#index-duplication_005fmatrix-1166"><code>duplication_matrix</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Signal-Processing.html#index-durbinlevinson-1903"><code>durbinlevinson</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Mathematical-Constants.html#index-e-1189"><code>e</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-echo-130"><code>echo</code></a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
 <li><a href="Diary-and-Echo-Commands.html#index-echo_005fexecuting_005fcommands-131"><code>echo_executing_commands</code></a>: <a href="Diary-and-Echo-Commands.html#Diary-and-Echo-Commands">Diary and Echo Commands</a></li>
 <li><a href="Commands-For-History.html#index-edit_005fhistory-103"><code>edit_history</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
 <li><a href="Commands-For-History.html#index-EDITOR-113"><code>EDITOR</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-eig-1164"><code>eig</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-elem-2102"><code>elem</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="Distributions.html#index-empirical_005fcdf-1456"><code>empirical_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-empirical_005finv-1457"><code>empirical_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-empirical_005fpdf-1458"><code>empirical_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-empirical_005frnd-1516"><code>empirical_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Group-Database-Functions.html#index-endgrent-2081"><code>endgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
-<li><a href="Password-Database-Functions.html#index-endpwent-2076"><code>endpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
-<li><a href="Timing-Utilities.html#index-eomday-1971"><code>eomday</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Mathematical-Constants.html#index-eps-1145"><code>eps</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
-<li><a href="Special-Functions.html#index-erf-1108"><code>erf</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-erfc-1109"><code>erfc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-erfinv-1110"><code>erfinv</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-eig-1212"><code>eig</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-elem-2165"><code>elem</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Distributions.html#index-empirical_005fcdf-1509"><code>empirical_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-empirical_005finv-1510"><code>empirical_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-empirical_005fpdf-1511"><code>empirical_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-empirical_005frnd-1569"><code>empirical_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Group-Database-Functions.html#index-endgrent-2144"><code>endgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
+<li><a href="Password-Database-Functions.html#index-endpwent-2139"><code>endpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
+<li><a href="Timing-Utilities.html#index-eomday-2033"><code>eomday</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Mathematical-Constants.html#index-eps-1193"><code>eps</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Special-Functions.html#index-erf-1156"><code>erf</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-erfc-1157"><code>erfc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-erfinv-1158"><code>erfinv</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
 <li><a href="Catching-Errors.html#index-errno-634"><code>errno</code></a>: <a href="Catching-Errors.html#Catching-Errors">Catching Errors</a></li>
 <li><a href="Catching-Errors.html#index-errno_005flist-637"><code>errno_list</code></a>: <a href="Catching-Errors.html#Catching-Errors">Catching Errors</a></li>
 <li><a href="Raising-Errors.html#index-error-623"><code>error</code></a>: <a href="Raising-Errors.html#Raising-Errors">Raising Errors</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-errorbar-784"><code>errorbar</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Timing-Utilities.html#index-etime-1952"><code>etime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Information.html#index-etree-1263"><code>etree</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Information.html#index-etreeplot-1266"><code>etreeplot</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-errorbar-792"><code>errorbar</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Timing-Utilities.html#index-etime-2014"><code>etime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Information.html#index-etree-1311"><code>etree</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Information.html#index-etreeplot-1314"><code>etreeplot</code></a>: <a href="Information.html#Information">Information</a></li>
 <li><a href="Evaluation.html#index-eval-521"><code>eval</code></a>: <a href="Evaluation.html#Evaluation">Evaluation</a></li>
 <li><a href="Evaluation-in-a-Different-Context.html#index-evalin-527"><code>evalin</code></a>: <a href="Evaluation-in-a-Different-Context.html#Evaluation-in-a-Different-Context">Evaluation in a Different Context</a></li>
-<li><a href="Demonstration-Functions.html#index-example-2126"><code>example</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
-<li><a href="Controlling-Subprocesses.html#index-exec-2036"><code>exec</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-EXEC_005fPATH-2033"><code>EXEC_PATH</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Demonstration-Functions.html#index-example-2189"><code>example</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
+<li><a href="Controlling-Subprocesses.html#index-exec-2098"><code>exec</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-EXEC_005fPATH-2095"><code>EXEC_PATH</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Status-of-Variables.html#index-exist-377"><code>exist</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
 <li><a href="Quitting-Octave.html#index-exit-70"><code>exit</code></a>: <a href="Quitting-Octave.html#Quitting-Octave">Quitting Octave</a></li>
-<li><a href="Utility-Functions.html#index-exp-1013"><code>exp</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Distributions.html#index-expcdf-1459"><code>expcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-expinv-1460"><code>expinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Functions-of-a-Matrix.html#index-expm-1205"><code>expm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
-<li><a href="Distributions.html#index-exppdf-1461"><code>exppdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-exprnd-1519"><code>exprnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Special-Utility-Matrices.html#index-eye-959"><code>eye</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Tests.html#index-f_005ftest_005fregression-1420"><code>f_test_regression</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Utility-Functions.html#index-factor-1014"><code>factor</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Utility-Functions.html#index-factorial-1016"><code>factorial</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Test-Functions.html#index-fail-2123"><code>fail</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
+<li><a href="Utility-Functions.html#index-exp-1061"><code>exp</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Distributions.html#index-expcdf-1512"><code>expcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-expinv-1513"><code>expinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Functions-of-a-Matrix.html#index-expm-1253"><code>expm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
+<li><a href="Distributions.html#index-exppdf-1514"><code>exppdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-exprnd-1572"><code>exprnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Special-Utility-Matrices.html#index-eye-1007"><code>eye</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Tests.html#index-f_005ftest_005fregression-1473"><code>f_test_regression</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Utility-Functions.html#index-factor-1062"><code>factor</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Utility-Functions.html#index-factorial-1064"><code>factorial</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Test-Functions.html#index-fail-2186"><code>fail</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
 <li><a href="Logical-Values.html#index-false-231"><code>false</code></a>: <a href="Logical-Values.html#Logical-Values">Logical Values</a></li>
-<li><a href="Distributions.html#index-fcdf-1462"><code>fcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-fcdf-1515"><code>fcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
 <li><a href="Opening-and-Closing-Files.html#index-fclose-711"><code>fclose</code></a>: <a href="Opening-and-Closing-Files.html#Opening-and-Closing-Files">Opening and Closing Files</a></li>
-<li><a href="Controlling-Subprocesses.html#index-fcntl-2040"><code>fcntl</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-fcntl-2102"><code>fcntl</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Simple-File-I_002fO.html#index-fdisp-689"><code>fdisp</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
 <li><a href="EOF-and-Errors.html#index-feof-738"><code>feof</code></a>: <a href="EOF-and-Errors.html#EOF-and-Errors">EOF and Errors</a></li>
 <li><a href="EOF-and-Errors.html#index-ferror-739"><code>ferror</code></a>: <a href="EOF-and-Errors.html#EOF-and-Errors">EOF and Errors</a></li>
 <li><a href="Calling-a-Function-by-its-Name.html#index-feval-524"><code>feval</code></a>: <a href="Calling-a-Function-by-its-Name.html#Calling-a-Function-by-its-Name">Calling a Function by its Name</a></li>
 <li><a href="Paging-Screen-Output.html#index-fflush-673"><code>fflush</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
-<li><a href="Signal-Processing.html#index-fft-1806"><code>fft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fft2-1812"><code>fft2</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fftconv-1816"><code>fftconv</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fftfilt-1817"><code>fftfilt</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fftn-1814"><code>fftn</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fftshift-1842"><code>fftshift</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-fftw-1807"><code>fftw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fft-1868"><code>fft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fft2-1874"><code>fft2</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fftconv-1878"><code>fftconv</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fftfilt-1879"><code>fftfilt</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fftn-1876"><code>fftn</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fftshift-1904"><code>fftshift</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-fftw-1869"><code>fftw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Line_002dOriented-Input.html#index-fgetl-714"><code>fgetl</code></a>: <a href="Line_002dOriented-Input.html#Line_002dOriented-Input">Line-Oriented Input</a></li>
 <li><a href="Line_002dOriented-Input.html#index-fgets-715"><code>fgets</code></a>: <a href="Line_002dOriented-Input.html#Line_002dOriented-Input">Line-Oriented Input</a></li>
 <li><a href="Manipulating-Structures.html#index-fieldnames-326"><code>fieldnames</code></a>: <a href="Manipulating-Structures.html#Manipulating-Structures">Manipulating Structures</a></li>
-<li><a href="Multiple-Plot-Windows.html#index-figure-851"><code>figure</code></a>: <a href="Multiple-Plot-Windows.html#Multiple-Plot-Windows">Multiple Plot Windows</a></li>
+<li><a href="Multiple-Plot-Windows.html#index-figure-862"><code>figure</code></a>: <a href="Multiple-Plot-Windows.html#Multiple-Plot-Windows">Multiple Plot Windows</a></li>
 <li><a href="Manipulating-the-load-path.html#index-file_005fin_005floadpath-596"><code>file_in_loadpath</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Filesystem-Utilities.html#index-file_005fin_005fpath-1993"><code>file_in_path</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-fileattrib-1989"><code>fileattrib</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-fileparts-1999"><code>fileparts</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-filesep-2000"><code>filesep</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Signal-Processing.html#index-filter-1818"><code>filter</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-filter2-1822"><code>filter2</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-find-916"><code>find</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Filesystem-Utilities.html#index-file_005fin_005fpath-2055"><code>file_in_path</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-fileattrib-2051"><code>fileattrib</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-fileparts-2061"><code>fileparts</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-filesep-2062"><code>filesep</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Signal-Processing.html#index-filter-1880"><code>filter</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-filter2-1884"><code>filter2</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-find-962"><code>find</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
 <li><a href="Manipulating-Strings.html#index-findstr-272"><code>findstr</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-finite-915"><code>finite</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Distributions.html#index-finv-1463"><code>finv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="fir2sys.html#index-fir2sys-1669"><code>fir2sys</code></a>: <a href="fir2sys.html#fir2sys">fir2sys</a></li>
-<li><a href="Utility-Functions.html#index-fix-1017"><code>fix</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-finite-961"><code>finite</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Distributions.html#index-finv-1516"><code>finv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="fir2sys.html#index-fir2sys-1731"><code>fir2sys</code></a>: <a href="fir2sys.html#fir2sys">fir2sys</a></li>
+<li><a href="Utility-Functions.html#index-fix-1065"><code>fix</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="Matrices.html#index-fixed_005fpoint_005fformat-199"><code>fixed_point_format</code></a>: <a href="Matrices.html#Matrices">Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-flipdim-922"><code>flipdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-fliplr-920"><code>fliplr</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-flipud-921"><code>flipud</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Utility-Functions.html#index-floor-1018"><code>floor</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Utility-Functions.html#index-fmod-1019"><code>fmod</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Filesystem-Utilities.html#index-fnmatch-1992"><code>fnmatch</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Rearranging-Matrices.html#index-flipdim-968"><code>flipdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-fliplr-966"><code>fliplr</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-flipud-967"><code>flipud</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Utility-Functions.html#index-floor-1066"><code>floor</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Utility-Functions.html#index-fmod-1067"><code>fmod</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Filesystem-Utilities.html#index-fnmatch-2054"><code>fnmatch</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
 <li><a href="A-Sample-Function-Description.html#index-foo-18"><code>foo</code></a>: <a href="A-Sample-Function-Description.html#A-Sample-Function-Description">A Sample Function Description</a></li>
 <li><a href="Opening-and-Closing-Files.html#index-fopen-708"><code>fopen</code></a>: <a href="Opening-and-Closing-Files.html#Opening-and-Closing-Files">Opening and Closing Files</a></li>
-<li><a href="Controlling-Subprocesses.html#index-fork-2035"><code>fork</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-fork-2097"><code>fork</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Terminal-Output.html#index-format-659"><code>format</code></a>: <a href="Terminal-Output.html#Terminal-Output">Terminal Output</a></li>
 <li><a href="Inline-Functions.html#index-formula-615"><code>formula</code></a>: <a href="Inline-Functions.html#Inline-Functions">Inline Functions</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-fortran_005fvec-2107"><code>fortran_vec</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="Distributions.html#index-fpdf-1464"><code>fpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-fortran_005fvec-2170"><code>fortran_vec</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Distributions.html#index-fpdf-1517"><code>fpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-fplot-754"><code>fplot</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
 <li><a href="Formatted-Output.html#index-fprintf-717"><code>fprintf</code></a>: <a href="Formatted-Output.html#Formatted-Output">Formatted Output</a></li>
 <li><a href="Simple-Output.html#index-fputs-712"><code>fputs</code></a>: <a href="Simple-Output.html#Simple-Output">Simple Output</a></li>
-<li><a href="Signal-Processing.html#index-fractdiff-1846"><code>fractdiff</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="sysfreq.html#index-frdemo-1765"><code>frdemo</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Signal-Processing.html#index-fractdiff-1908"><code>fractdiff</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="sysfreq.html#index-frdemo-1827"><code>frdemo</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
 <li><a href="Binary-I_002fO.html#index-fread-733"><code>fread</code></a>: <a href="Binary-I_002fO.html#Binary-I_002fO">Binary I/O</a></li>
 <li><a href="EOF-and-Errors.html#index-freport-740"><code>freport</code></a>: <a href="EOF-and-Errors.html#EOF-and-Errors">EOF and Errors</a></li>
-<li><a href="sysfreq.html#index-freqchkw-1768"><code>freqchkw</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Signal-Processing.html#index-freqz-1824"><code>freqz</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-freqz_005fplot-1828"><code>freqz_plot</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="sysfreq.html#index-freqchkw-1830"><code>freqchkw</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Signal-Processing.html#index-freqz-1886"><code>freqz</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-freqz_005fplot-1890"><code>freqz_plot</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="File-Positioning.html#index-frewind-746"><code>frewind</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
-<li><a href="Random-Number-Generation.html#index-frnd-1521"><code>frnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Random-Number-Generation.html#index-frnd-1574"><code>frnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
 <li><a href="Formatted-Input.html#index-fscanf-724"><code>fscanf</code></a>: <a href="Formatted-Input.html#Formatted-Input">Formatted Input</a></li>
 <li><a href="File-Positioning.html#index-fseek-742"><code>fseek</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
-<li><a href="Nonlinear-Equations.html#index-fsolve-1212"><code>fsolve</code></a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
-<li><a href="Nonlinear-Equations.html#index-fsolve_005foptions-1213"><code>fsolve_options</code></a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
+<li><a href="Nonlinear-Equations.html#index-fsolve-1260"><code>fsolve</code></a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
+<li><a href="Nonlinear-Equations.html#index-fsolve_005foptions-1261"><code>fsolve_options</code></a>: <a href="Nonlinear-Equations.html#Nonlinear-Equations">Nonlinear Equations</a></li>
 <li><a href="File-Positioning.html#index-ftell-741"><code>ftell</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
-<li><a href="Creation.html#index-full-1242"><code>full</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Filesystem-Utilities.html#index-fullfile-2001"><code>fullfile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Creation.html#index-full-1290"><code>full</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Filesystem-Utilities.html#index-fullfile-2063"><code>fullfile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
 <li><a href="Function-Handles.html#index-func2str-609"><code>func2str</code></a>: <a href="Function-Handles.html#Function-Handles">Function Handles</a></li>
 <li><a href="Getting-Help.html#index-g_t_0040var_007bfunction_005fname_007d-77"><var>function_name</var></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
 <li><a href="Function-Handles.html#index-functions-608"><code>functions</code></a>: <a href="Function-Handles.html#Function-Handles">Function Handles</a></li>
-<li><a href="Financial-Functions.html#index-fv-1554"><code>fv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Financial-Functions.html#index-fvl-1555"><code>fvl</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-fv-1607"><code>fv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-fvl-1608"><code>fvl</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
 <li><a href="Binary-I_002fO.html#index-fwrite-734"><code>fwrite</code></a>: <a href="Binary-I_002fO.html#Binary-I_002fO">Binary I/O</a></li>
-<li><a href="Distributions.html#index-gamcdf-1465"><code>gamcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-gaminv-1466"><code>gaminv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Special-Functions.html#index-gamma-1111"><code>gamma</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-gammainc-1112"><code>gammainc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Special-Functions.html#index-gammaln-1115"><code>gammaln</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Distributions.html#index-gampdf-1467"><code>gampdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-gamrnd-1523"><code>gamrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Graphics-Objects.html#index-gca-864"><code>gca</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Utility-Functions.html#index-gcd-1020"><code>gcd</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Graphics-Objects.html#index-gcf-863"><code>gcf</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Distributions.html#index-gamcdf-1518"><code>gamcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-gaminv-1519"><code>gaminv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Special-Functions.html#index-gamma-1159"><code>gamma</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-gammainc-1160"><code>gammainc</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Special-Functions.html#index-gammaln-1163"><code>gammaln</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Distributions.html#index-gampdf-1520"><code>gampdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-gamrnd-1576"><code>gamrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Graphics-Objects.html#index-gca-891"><code>gca</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Utility-Functions.html#index-gcd-1068"><code>gcd</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Graphics-Objects.html#index-gcf-890"><code>gcf</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Manipulating-the-load-path.html#index-genpath-589"><code>genpath</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Distributions.html#index-geocdf-1468"><code>geocdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-geoinv-1469"><code>geoinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-geopdf-1470"><code>geopdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-geornd-1525"><code>geornd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Graphics-Objects.html#index-get-865"><code>get</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Process-ID-Information.html#index-getegid-2061"><code>getegid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Environment-Variables.html#index-getenv-2063"><code>getenv</code></a>: <a href="Environment-Variables.html#Environment-Variables">Environment Variables</a></li>
-<li><a href="Process-ID-Information.html#index-geteuid-2059"><code>geteuid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Distributions.html#index-geocdf-1521"><code>geocdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-geoinv-1522"><code>geoinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-geopdf-1523"><code>geopdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-geornd-1578"><code>geornd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Graphics-Objects.html#index-get-892"><code>get</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Process-ID-Information.html#index-getegid-2123"><code>getegid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Environment-Variables.html#index-getenv-2125"><code>getenv</code></a>: <a href="Environment-Variables.html#Environment-Variables">Environment Variables</a></li>
+<li><a href="Process-ID-Information.html#index-geteuid-2121"><code>geteuid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
 <li><a href="Manipulating-Structures.html#index-getfield-328"><code>getfield</code></a>: <a href="Manipulating-Structures.html#Manipulating-Structures">Manipulating Structures</a></li>
-<li><a href="Process-ID-Information.html#index-getgid-2062"><code>getgid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Group-Database-Functions.html#index-getgrent-2077"><code>getgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
-<li><a href="Group-Database-Functions.html#index-getgrgid-2078"><code>getgrgid</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
-<li><a href="Group-Database-Functions.html#index-getgrnam-2079"><code>getgrnam</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
-<li><a href="Process-ID-Information.html#index-getpgrp-2056"><code>getpgrp</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Process-ID-Information.html#index-getpid-2057"><code>getpid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Process-ID-Information.html#index-getppid-2058"><code>getppid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Password-Database-Functions.html#index-getpwent-2072"><code>getpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
-<li><a href="Password-Database-Functions.html#index-getpwnam-2074"><code>getpwnam</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
-<li><a href="Password-Database-Functions.html#index-getpwuid-2073"><code>getpwuid</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
-<li><a href="System-Information.html#index-getrusage-2092"><code>getrusage</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="Process-ID-Information.html#index-getuid-2060"><code>getuid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-givens-1166"><code>givens</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Filesystem-Utilities.html#index-glob-1991"><code>glob</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Linear-Programming.html#index-glpk-1372"><code>glpk</code></a>: <a href="Linear-Programming.html#Linear-Programming">Linear Programming</a></li>
-<li><a href="Linear-Least-Squares.html#index-gls-1376"><code>gls</code></a>: <a href="Linear-Least-Squares.html#Linear-Least-Squares">Linear Least Squares</a></li>
-<li><a href="Representing-Images.html#index-gmap40-1907"><code>gmap40</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Timing-Utilities.html#index-gmtime-1944"><code>gmtime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Interaction-with-gnuplot.html#index-gnuplot_005fbinary-904"><code>gnuplot_binary</code></a>: <a href="Interaction-with-gnuplot.html#Interaction-with-gnuplot">Interaction with gnuplot</a></li>
-<li><a href="Interaction-with-gnuplot.html#index-gnuplot_005fuse_005ftitle_005foption-906"><code>gnuplot_use_title_option</code></a>: <a href="Interaction-with-gnuplot.html#Interaction-with-gnuplot">Interaction with gnuplot</a></li>
-<li><a href="Information.html#index-gplot-1268"><code>gplot</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Utility-Functions.html#index-gradient-1022"><code>gradient</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="numerical.html#index-gram-1719"><code>gram</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Representing-Images.html#index-gray-1895"><code>gray</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Representing-Images.html#index-gray2ind-1883"><code>gray2ind</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Plot-Annotations.html#index-grid-847"><code>grid</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="Interpolation-on-Scattered-Data.html#index-griddata-1663"><code>griddata</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
-<li><a href="Interpolation-on-Scattered-Data.html#index-griddata3-1665"><code>griddata3</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
-<li><a href="Interpolation-on-Scattered-Data.html#index-griddatan-1666"><code>griddatan</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
-<li><a href="File-Archiving-Utilities.html#index-gunzip-2008"><code>gunzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="File-Archiving-Utilities.html#index-gzip-2006"><code>gzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="sysprop.html#index-h2norm-1735"><code>h2norm</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="cacsd.html#index-h2syn-1782"><code>h2syn</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="Famous-Matrices.html#index-hadamard-997"><code>hadamard</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Signal-Processing.html#index-hamming-1847"><code>hamming</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Famous-Matrices.html#index-hankel-998"><code>hankel</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Signal-Processing.html#index-hanning-1848"><code>hanning</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Process-ID-Information.html#index-getgid-2124"><code>getgid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Group-Database-Functions.html#index-getgrent-2140"><code>getgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
+<li><a href="Group-Database-Functions.html#index-getgrgid-2141"><code>getgrgid</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
+<li><a href="Group-Database-Functions.html#index-getgrnam-2142"><code>getgrnam</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
+<li><a href="Process-ID-Information.html#index-getpgrp-2118"><code>getpgrp</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Process-ID-Information.html#index-getpid-2119"><code>getpid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Process-ID-Information.html#index-getppid-2120"><code>getppid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Password-Database-Functions.html#index-getpwent-2135"><code>getpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
+<li><a href="Password-Database-Functions.html#index-getpwnam-2137"><code>getpwnam</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
+<li><a href="Password-Database-Functions.html#index-getpwuid-2136"><code>getpwuid</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
+<li><a href="System-Information.html#index-getrusage-2155"><code>getrusage</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Process-ID-Information.html#index-getuid-2122"><code>getuid</code></a>: <a href="Process-ID-Information.html#Process-ID-Information">Process ID Information</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-givens-1214"><code>givens</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Filesystem-Utilities.html#index-glob-2053"><code>glob</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Linear-Programming.html#index-glpk-1420"><code>glpk</code></a>: <a href="Linear-Programming.html#Linear-Programming">Linear Programming</a></li>
+<li><a href="Linear-Least-Squares.html#index-gls-1424"><code>gls</code></a>: <a href="Linear-Least-Squares.html#Linear-Least-Squares">Linear Least Squares</a></li>
+<li><a href="Representing-Images.html#index-gmap40-1969"><code>gmap40</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Timing-Utilities.html#index-gmtime-2006"><code>gmtime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Interaction-with-gnuplot.html#index-gnuplot_005fbinary-950"><code>gnuplot_binary</code></a>: <a href="Interaction-with-gnuplot.html#Interaction-with-gnuplot">Interaction with gnuplot</a></li>
+<li><a href="Interaction-with-gnuplot.html#index-gnuplot_005fuse_005ftitle_005foption-952"><code>gnuplot_use_title_option</code></a>: <a href="Interaction-with-gnuplot.html#Interaction-with-gnuplot">Interaction with gnuplot</a></li>
+<li><a href="Information.html#index-gplot-1316"><code>gplot</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Utility-Functions.html#index-gradient-1070"><code>gradient</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="numerical.html#index-gram-1781"><code>gram</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Representing-Images.html#index-gray-1957"><code>gray</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Representing-Images.html#index-gray2ind-1945"><code>gray2ind</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Plot-Annotations.html#index-grid-855"><code>grid</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Interpolation-on-Scattered-Data.html#index-griddata-1725"><code>griddata</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
+<li><a href="Interpolation-on-Scattered-Data.html#index-griddata3-1727"><code>griddata3</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
+<li><a href="Interpolation-on-Scattered-Data.html#index-griddatan-1728"><code>griddatan</code></a>: <a href="Interpolation-on-Scattered-Data.html#Interpolation-on-Scattered-Data">Interpolation on Scattered Data</a></li>
+<li><a href="File-Archiving-Utilities.html#index-gunzip-2070"><code>gunzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="File-Archiving-Utilities.html#index-gzip-2068"><code>gzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="sysprop.html#index-h2norm-1797"><code>h2norm</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="cacsd.html#index-h2syn-1844"><code>h2syn</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="Famous-Matrices.html#index-hadamard-1045"><code>hadamard</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Signal-Processing.html#index-hamming-1909"><code>hamming</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Famous-Matrices.html#index-hankel-1046"><code>hankel</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Signal-Processing.html#index-hanning-1910"><code>hanning</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Getting-Help.html#index-help-76"><code>help</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="Matrix-Factorizations.html#index-hess-1188"><code>hess</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-hess-1236"><code>hess</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
 <li><a href="String-Conversions.html#index-hex2dec-291"><code>hex2dec</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-hidden-814"><code>hidden</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Famous-Matrices.html#index-hilb-999"><code>hilb</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="cacsd.html#index-hinf_005fctr-1783"><code>hinf_ctr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-hinfdemo-1778"><code>hinfdemo</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="sysprop.html#index-hinfnorm-1736"><code>hinfnorm</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="cacsd.html#index-hinfsyn-1784"><code>hinfsyn</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-hinfsyn_005fchk-1785"><code>hinfsyn_chk</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-hinfsyn_005fric-1786"><code>hinfsyn_ric</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-hidden-822"><code>hidden</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Famous-Matrices.html#index-hilb-1047"><code>hilb</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="cacsd.html#index-hinf_005fctr-1845"><code>hinf_ctr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-hinfdemo-1840"><code>hinfdemo</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="sysprop.html#index-hinfnorm-1798"><code>hinfnorm</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="cacsd.html#index-hinfsyn-1846"><code>hinfsyn</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-hinfsyn_005fchk-1847"><code>hinfsyn_chk</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-hinfsyn_005fric-1848"><code>hinfsyn_ric</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-hist-773"><code>hist</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
 <li><a href="Commands-For-History.html#index-history-102"><code>history</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
 <li><a href="Commands-For-History.html#index-history_005ffile-105"><code>history_file</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
 <li><a href="Commands-For-History.html#index-history_005fsize-107"><code>history_size</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
 <li><a href="Commands-For-History.html#index-history_005ftimestamp_005fformat_005fstring-111"><code>history_timestamp_format_string</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
-<li><a href="Graphics-Objects.html#index-hold-892"><code>hold</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-hold-919"><code>hold</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Cursor-Motion.html#index-home-94"><code>home</code></a>: <a href="Cursor-Motion.html#Cursor-Motion">Cursor Motion</a></li>
-<li><a href="Rearranging-Matrices.html#index-horzcat-926"><code>horzcat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Representing-Images.html#index-hot-1896"><code>hot</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Tests.html#index-hotelling_005ftest-1421"><code>hotelling_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-hotelling_005ftest_005f2-1422"><code>hotelling_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Matrix-Factorizations.html#index-housh-1203"><code>housh</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Representing-Images.html#index-hsv-1897"><code>hsv</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Color-Conversion.html#index-hsv2rgb-1909"><code>hsv2rgb</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
-<li><a href="Signal-Processing.html#index-hurst-1849"><code>hurst</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Distributions.html#index-hygecdf-1471"><code>hygecdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-hygeinv-1472"><code>hygeinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-hygepdf-1473"><code>hygepdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-hygernd-1527"><code>hygernd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Mathematical-Constants.html#index-I-1125"><code>I</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
-<li><a href="Signal-Processing.html#index-ifft-1811"><code>ifft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-ifftn-1815"><code>ifftn</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-ifftshift-1844"><code>ifftshift</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Rearranging-Matrices.html#index-horzcat-972"><code>horzcat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Representing-Images.html#index-hot-1958"><code>hot</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Tests.html#index-hotelling_005ftest-1474"><code>hotelling_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-hotelling_005ftest_005f2-1475"><code>hotelling_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Matrix-Factorizations.html#index-housh-1251"><code>housh</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Representing-Images.html#index-hsv-1959"><code>hsv</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Color-Conversion.html#index-hsv2rgb-1971"><code>hsv2rgb</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
+<li><a href="Signal-Processing.html#index-hurst-1911"><code>hurst</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Distributions.html#index-hygecdf-1524"><code>hygecdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-hygeinv-1525"><code>hygeinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-hygepdf-1526"><code>hygepdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-hygernd-1580"><code>hygernd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Mathematical-Constants.html#index-I-1173"><code>I</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Signal-Processing.html#index-ifft-1873"><code>ifft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-ifftn-1877"><code>ifftn</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-ifftshift-1906"><code>ifftshift</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Function-Files.html#index-ignore_005ffunction_005ftime_005fstamp-585"><code>ignore_function_time_stamp</code></a>: <a href="Function-Files.html#Function-Files">Function Files</a></li>
-<li><a href="Complex-Arithmetic.html#index-imag-1051"><code>imag</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
-<li><a href="Displaying-Images.html#index-image-1875"><code>image</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
-<li><a href="Loading-and-Saving-Images.html#index-IMAGE_005fPATH-1867"><code>IMAGE_PATH</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
-<li><a href="Displaying-Images.html#index-image_005fviewer-1882"><code>image_viewer</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
-<li><a href="Displaying-Images.html#index-imagesc-1877"><code>imagesc</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
-<li><a href="systime.html#index-impulse-1763"><code>impulse</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="Displaying-Images.html#index-imshow-1869"><code>imshow</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
-<li><a href="Representing-Images.html#index-ind2gray-1884"><code>ind2gray</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Representing-Images.html#index-ind2rgb-1887"><code>ind2rgb</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Complex-Arithmetic.html#index-imag-1099"><code>imag</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="Displaying-Images.html#index-image-1937"><code>image</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
+<li><a href="Loading-and-Saving-Images.html#index-IMAGE_005fPATH-1929"><code>IMAGE_PATH</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
+<li><a href="Displaying-Images.html#index-image_005fviewer-1944"><code>image_viewer</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
+<li><a href="Displaying-Images.html#index-imagesc-1939"><code>imagesc</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
+<li><a href="systime.html#index-impulse-1825"><code>impulse</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="Displaying-Images.html#index-imshow-1931"><code>imshow</code></a>: <a href="Displaying-Images.html#Displaying-Images">Displaying Images</a></li>
+<li><a href="Representing-Images.html#index-ind2gray-1946"><code>ind2gray</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Representing-Images.html#index-ind2rgb-1949"><code>ind2rgb</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
 <li><a href="Index-Expressions.html#index-ind2sub-426"><code>ind2sub</code></a>: <a href="Index-Expressions.html#Index-Expressions">Index Expressions</a></li>
 <li><a href="Manipulating-Strings.html#index-index-273"><code>index</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
-<li><a href="Mathematical-Constants.html#index-Inf-1129"><code>Inf</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Mathematical-Constants.html#index-Inf-1177"><code>Inf</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
 <li><a href="Getting-Help.html#index-info_005ffile-82"><code>info_file</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
 <li><a href="Getting-Help.html#index-info_005fprogram-84"><code>info_program</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
 <li><a href="Inline-Functions.html#index-inline-611"><code>inline</code></a>: <a href="Inline-Functions.html#Inline-Functions">Inline Functions</a></li>
-<li><a href="Voronoi-Diagrams.html#index-inpolygon-1658"><code>inpolygon</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
+<li><a href="Voronoi-Diagrams.html#index-inpolygon-1720"><code>inpolygon</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
 <li><a href="Terminal-Input.html#index-input-674"><code>input</code></a>: <a href="Terminal-Input.html#Terminal-Input">Terminal Input</a></li>
 <li><a href="Defining-Functions.html#index-inputname-567"><code>inputname</code></a>: <a href="Defining-Functions.html#Defining-Functions">Defining Functions</a></li>
 <li><a href="Integer-Data-Types.html#index-int16-209"><code>int16</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
@@ -534,33 +536,33 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Integer-Data-Types.html#index-int32-211"><code>int32</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-int64-213"><code>int64</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-int8-207"><code>int8</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
-<li><a href="One_002ddimensional-Interpolation.html#index-interp1-1604"><code>interp1</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
-<li><a href="Multi_002ddimensional-Interpolation.html#index-interp2-1613"><code>interp2</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
-<li><a href="Multi_002ddimensional-Interpolation.html#index-interp3-1618"><code>interp3</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
-<li><a href="One_002ddimensional-Interpolation.html#index-interpft-1608"><code>interpft</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
-<li><a href="Multi_002ddimensional-Interpolation.html#index-interpn-1624"><code>interpn</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
-<li><a href="Set-Operations.html#index-intersect-1571"><code>intersect</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="One_002ddimensional-Interpolation.html#index-interp1-1666"><code>interp1</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
+<li><a href="Multi_002ddimensional-Interpolation.html#index-interp2-1675"><code>interp2</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
+<li><a href="Multi_002ddimensional-Interpolation.html#index-interp3-1680"><code>interp3</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
+<li><a href="One_002ddimensional-Interpolation.html#index-interpft-1670"><code>interpft</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
+<li><a href="Multi_002ddimensional-Interpolation.html#index-interpn-1686"><code>interpn</code></a>: <a href="Multi_002ddimensional-Interpolation.html#Multi_002ddimensional-Interpolation">Multi-dimensional Interpolation</a></li>
+<li><a href="Set-Operations.html#index-intersect-1627"><code>intersect</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
 <li><a href="Integer-Data-Types.html#index-intmax-215"><code>intmax</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-intmin-216"><code>intmin</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-inv-1168"><code>inv</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-inverse-1169"><code>inverse</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Famous-Matrices.html#index-invhilb-1000"><code>invhilb</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-ipermute-929"><code>ipermute</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-iqr-1411"><code>iqr</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Financial-Functions.html#index-irr-1556"><code>irr</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="sysprop.html#index-is_005fabcd-1740"><code>is_abcd</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fcontrollable-1741"><code>is_controllable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fdetectable-1743"><code>is_detectable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fdgkf-1745"><code>is_dgkf</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fdigital-1746"><code>is_digital</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-is_005fduplicate_005fentry-911"><code>is_duplicate_entry</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Timing-Utilities.html#index-is_005fleap_005fyear-1954"><code>is_leap_year</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="sysprop.html#index-is_005fobservable-1747"><code>is_observable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fsample-1749"><code>is_sample</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fsignal_005flist-1753"><code>is_signal_list</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fsiso-1750"><code>is_siso</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fstabilizable-1751"><code>is_stabilizable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="sysprop.html#index-is_005fstable-1754"><code>is_stable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-inv-1216"><code>inv</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-inverse-1217"><code>inverse</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Famous-Matrices.html#index-invhilb-1048"><code>invhilb</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-ipermute-975"><code>ipermute</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-iqr-1464"><code>iqr</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Financial-Functions.html#index-irr-1609"><code>irr</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="sysprop.html#index-is_005fabcd-1802"><code>is_abcd</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fcontrollable-1803"><code>is_controllable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fdetectable-1805"><code>is_detectable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fdgkf-1807"><code>is_dgkf</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fdigital-1808"><code>is_digital</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-is_005fduplicate_005fentry-957"><code>is_duplicate_entry</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Timing-Utilities.html#index-is_005fleap_005fyear-2016"><code>is_leap_year</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="sysprop.html#index-is_005fobservable-1809"><code>is_observable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fsample-1811"><code>is_sample</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fsignal_005flist-1815"><code>is_signal_list</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fsiso-1812"><code>is_siso</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fstabilizable-1813"><code>is_stabilizable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="sysprop.html#index-is_005fstable-1816"><code>is_stable</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
 <li><a href="Built_002din-Data-Types.html#index-isa-151"><code>isa</code></a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
 <li><a href="Character-Class-Functions.html#index-isalnum-302"><code>isalnum</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
 <li><a href="Character-Class-Functions.html#index-isalpha-303"><code>isalpha</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
@@ -573,28 +575,28 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Predicates-for-Numeric-Objects.html#index-iscomplex-236"><code>iscomplex</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-isdefinite-242"><code>isdefinite</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Character-Class-Functions.html#index-isdigit-307"><code>isdigit</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
-<li><a href="Filesystem-Utilities.html#index-isdir-1990"><code>isdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-isdir-2052"><code>isdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
 <li><a href="Object-Sizes.html#index-isempty-178"><code>isempty</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
 <li><a href="Comparison-Ops.html#index-isequal-479"><code>isequal</code></a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Comparison-Ops.html#index-isequalwithequalnans-480"><code>isequalwithequalnans</code></a>: <a href="Comparison-Ops.html#Comparison-Ops">Comparison Ops</a></li>
 <li><a href="Manipulating-Structures.html#index-isfield-327"><code>isfield</code></a>: <a href="Manipulating-Structures.html#Manipulating-Structures">Manipulating Structures</a></li>
-<li><a href="Graphics-Objects.html#index-isfigure-862"><code>isfigure</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-isfigure-889"><code>isfigure</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Global-Variables.html#index-isglobal-368"><code>isglobal</code></a>: <a href="Global-Variables.html#Global-Variables">Global Variables</a></li>
 <li><a href="Character-Class-Functions.html#index-isgraph-308"><code>isgraph</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
-<li><a href="Graphics-Objects.html#index-ishandle-861"><code>ishandle</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Graphics-Objects.html#index-ishold-893"><code>ishold</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="System-Information.html#index-isieee-2086"><code>isieee</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-isinf-913"><code>isinf</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Graphics-Objects.html#index-ishandle-888"><code>ishandle</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Graphics-Objects.html#index-ishold-920"><code>ishold</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="System-Information.html#index-isieee-2149"><code>isieee</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-isinf-959"><code>isinf</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
 <li><a href="Integer-Data-Types.html#index-isinteger-206"><code>isinteger</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Character-Class-Functions.html#index-isletter-304"><code>isletter</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-islogical-243"><code>islogical</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Character-Class-Functions.html#index-islower-310"><code>islower</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-ismatrix-237"><code>ismatrix</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
-<li><a href="Set-Operations.html#index-ismember-1568"><code>ismember</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Set-Operations.html#index-ismember-1622"><code>ismember</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
 <li><a href="Missing-Data.html#index-isna-162"><code>isna</code></a>: <a href="Missing-Data.html#Missing-Data">Missing Data</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-isnan-914"><code>isnan</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-isnan-960"><code>isnan</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-isnumeric-234"><code>isnumeric</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
-<li><a href="System-Information.html#index-ispc-2084"><code>ispc</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="System-Information.html#index-ispc-2147"><code>ispc</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-isprime-244"><code>isprime</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Character-Class-Functions.html#index-isprint-311"><code>isprint</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
 <li><a href="Character-Class-Functions.html#index-ispunct-312"><code>ispunct</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
@@ -602,447 +604,451 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Predicates-for-Numeric-Objects.html#index-isreal-235"><code>isreal</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-isscalar-239"><code>isscalar</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Character-Class-Functions.html#index-isspace-313"><code>isspace</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
-<li><a href="Information.html#index-issparse-1254"><code>issparse</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Information.html#index-issparse-1302"><code>issparse</code></a>: <a href="Information.html#Information">Information</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-issquare-240"><code>issquare</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Creating-Structures.html#index-isstruct-322"><code>isstruct</code></a>: <a href="Creating-Structures.html#Creating-Structures">Creating Structures</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-issymmetric-241"><code>issymmetric</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
-<li><a href="System-Information.html#index-isunix-2085"><code>isunix</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="System-Information.html#index-isunix-2148"><code>isunix</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
 <li><a href="Character-Class-Functions.html#index-isupper-314"><code>isupper</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
 <li><a href="Variables.html#index-isvarname-364"><code>isvarname</code></a>: <a href="Variables.html#Variables">Variables</a></li>
 <li><a href="Predicates-for-Numeric-Objects.html#index-isvector-238"><code>isvector</code></a>: <a href="Predicates-for-Numeric-Objects.html#Predicates-for-Numeric-Objects">Predicates for Numeric Objects</a></li>
 <li><a href="Character-Class-Functions.html#index-isxdigit-315"><code>isxdigit</code></a>: <a href="Character-Class-Functions.html#Character-Class-Functions">Character Class Functions</a></li>
-<li><a href="Representing-Images.html#index-jet-1898"><code>jet</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="blockdiag.html#index-jet707-1696"><code>jet707</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="Representing-Images.html#index-jet-1960"><code>jet</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="blockdiag.html#index-jet707-1758"><code>jet707</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Terminal-Input.html#index-kbhit-677"><code>kbhit</code></a>: <a href="Terminal-Input.html#Terminal-Input">Terminal Input</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-kendall-1410"><code>kendall</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-kendall-1463"><code>kendall</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Breakpoints.html#index-keyboard-654"><code>keyboard</code></a>: <a href="Breakpoints.html#Breakpoints">Breakpoints</a></li>
-<li><a href="Controlling-Subprocesses.html#index-kill-2054"><code>kill</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Distributions.html#index-kolmogorov_005fsmirnov_005fcdf-1474"><code>kolmogorov_smirnov_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Tests.html#index-kolmogorov_005fsmirnov_005ftest-1423"><code>kolmogorov_smirnov_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-kolmogorov_005fsmirnov_005ftest_005f2-1424"><code>kolmogorov_smirnov_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Functions-of-a-Matrix.html#index-kron-1208"><code>kron</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
-<li><a href="Tests.html#index-kruskal_005fwallis_005ftest-1425"><code>kruskal_wallis_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Matrix-Factorizations.html#index-krylov-1204"><code>krylov</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Descriptive-Statistics.html#index-kurtosis-1389"><code>kurtosis</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Distributions.html#index-laplace_005fcdf-1475"><code>laplace_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-laplace_005finv-1476"><code>laplace_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-laplace_005fpdf-1477"><code>laplace_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-laplace_005frnd-1530"><code>laplace_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Controlling-Subprocesses.html#index-kill-2116"><code>kill</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Distributions.html#index-kolmogorov_005fsmirnov_005fcdf-1527"><code>kolmogorov_smirnov_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Tests.html#index-kolmogorov_005fsmirnov_005ftest-1476"><code>kolmogorov_smirnov_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-kolmogorov_005fsmirnov_005ftest_005f2-1477"><code>kolmogorov_smirnov_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Functions-of-a-Matrix.html#index-kron-1256"><code>kron</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
+<li><a href="Tests.html#index-kruskal_005fwallis_005ftest-1478"><code>kruskal_wallis_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Matrix-Factorizations.html#index-krylov-1252"><code>krylov</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Descriptive-Statistics.html#index-kurtosis-1442"><code>kurtosis</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Distributions.html#index-laplace_005fcdf-1528"><code>laplace_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-laplace_005finv-1529"><code>laplace_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-laplace_005fpdf-1530"><code>laplace_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-laplace_005frnd-1583"><code>laplace_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
 <li><a href="Catching-Errors.html#index-lasterr-632"><code>lasterr</code></a>: <a href="Catching-Errors.html#Catching-Errors">Catching Errors</a></li>
 <li><a href="Catching-Errors.html#index-lasterror-630"><code>lasterror</code></a>: <a href="Catching-Errors.html#Catching-Errors">Catching Errors</a></li>
 <li><a href="Issuing-Warnings.html#index-lastwarn-644"><code>lastwarn</code></a>: <a href="Issuing-Warnings.html#Issuing-Warnings">Issuing Warnings</a></li>
-<li><a href="Utility-Functions.html#index-lcm-1026"><code>lcm</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Plot-Annotations.html#index-legend-830"><code>legend</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="Special-Functions.html#index-legendre-1113"><code>legendre</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Utility-Functions.html#index-lcm-1074"><code>lcm</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Plot-Annotations.html#index-legend-838"><code>legend</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Special-Functions.html#index-legendre-1161"><code>legendre</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
 <li><a href="Object-Sizes.html#index-length-176"><code>length</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="Special-Functions.html#index-lgamma-1114"><code>lgamma</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
-<li><a href="Audio-Processing.html#index-lin2mu-1912"><code>lin2mu</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Graphics-Objects.html#index-line-872"><code>line</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Filesystem-Utilities.html#index-link-1973"><code>link</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Special-Utility-Matrices.html#index-linspace-995"><code>linspace</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Functions.html#index-lgamma-1162"><code>lgamma</code></a>: <a href="Special-Functions.html#Special-Functions">Special Functions</a></li>
+<li><a href="Audio-Processing.html#index-lin2mu-1974"><code>lin2mu</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Graphics-Objects.html#index-line-899"><code>line</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Filesystem-Utilities.html#index-link-2035"><code>link</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Special-Utility-Matrices.html#index-linspace-1043"><code>linspace</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
 <li><a href="Simple-File-I_002fO.html#index-load-681"><code>load</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
-<li><a href="Audio-Processing.html#index-loadaudio-1914"><code>loadaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Loading-and-Saving-Images.html#index-loadimage-1865"><code>loadimage</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
-<li><a href="Timing-Utilities.html#index-localtime-1945"><code>localtime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Utility-Functions.html#index-log-1027"><code>log</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Utility-Functions.html#index-log10-1028"><code>log10</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Utility-Functions.html#index-log2-1029"><code>log2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Audio-Processing.html#index-loadaudio-1976"><code>loadaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Loading-and-Saving-Images.html#index-loadimage-1927"><code>loadimage</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
+<li><a href="Timing-Utilities.html#index-localtime-2007"><code>localtime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Utility-Functions.html#index-log-1075"><code>log</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Utility-Functions.html#index-log10-1076"><code>log10</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Utility-Functions.html#index-log2-1077"><code>log2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="Logical-Values.html#index-logical-227"><code>logical</code></a>: <a href="Logical-Values.html#Logical-Values">Logical Values</a></li>
-<li><a href="Distributions.html#index-logistic_005fcdf-1478"><code>logistic_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-logistic_005finv-1479"><code>logistic_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-logistic_005fpdf-1480"><code>logistic_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Models.html#index-logistic_005fregression-1440"><code>logistic_regression</code></a>: <a href="Models.html#Models">Models</a></li>
-<li><a href="Random-Number-Generation.html#index-logistic_005frnd-1532"><code>logistic_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-logit-1408"><code>logit</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Distributions.html#index-logistic_005fcdf-1531"><code>logistic_cdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-logistic_005finv-1532"><code>logistic_inv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-logistic_005fpdf-1533"><code>logistic_pdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Models.html#index-logistic_005fregression-1493"><code>logistic_regression</code></a>: <a href="Models.html#Models">Models</a></li>
+<li><a href="Random-Number-Generation.html#index-logistic_005frnd-1585"><code>logistic_rnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-logit-1461"><code>logit</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-loglog-760"><code>loglog</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-loglogerr-787"><code>loglogerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Functions-of-a-Matrix.html#index-logm-1206"><code>logm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
-<li><a href="Distributions.html#index-logncdf-1481"><code>logncdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-logninv-1482"><code>logninv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-lognpdf-1483"><code>lognpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-lognrnd-1534"><code>lognrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Special-Utility-Matrices.html#index-logspace-996"><code>logspace</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-loglogerr-795"><code>loglogerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Functions-of-a-Matrix.html#index-logm-1254"><code>logm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
+<li><a href="Distributions.html#index-logncdf-1534"><code>logncdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-logninv-1535"><code>logninv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-lognpdf-1536"><code>lognpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-lognrnd-1587"><code>lognrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Special-Utility-Matrices.html#index-logspace-1044"><code>logspace</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
 <li><a href="Getting-Help.html#index-lookfor-78"><code>lookfor</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="One_002ddimensional-Interpolation.html#index-lookup-1612"><code>lookup</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
-<li><a href="cacsd.html#index-lqe-1787"><code>lqe</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-lqg-1788"><code>lqg</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="cacsd.html#index-lqr-1789"><code>lqr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="Current-Working-Directory.html#index-ls-2067"><code>ls</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
-<li><a href="Current-Working-Directory.html#index-ls_005fcommand-2068"><code>ls_command</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
-<li><a href="cacsd.html#index-lsim-1790"><code>lsim</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="Ordinary-Differential-Equations.html#index-lsode-1359"><code>lsode</code></a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
-<li><a href="Ordinary-Differential-Equations.html#index-lsode_005foptions-1360"><code>lsode_options</code></a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
-<li><a href="Filesystem-Utilities.html#index-lstat-1987"><code>lstat</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="sysfreq.html#index-ltifr-1769"><code>ltifr</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Matrix-Factorizations.html#index-lu-1191"><code>lu</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Iterative-Techniques.html#index-luinc-1339"><code>luinc</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
-<li><a href="numerical.html#index-lyap-1720"><code>lyap</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Famous-Matrices.html#index-magic-1001"><code>magic</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-mahalanobis-1393"><code>mahalanobis</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="One_002ddimensional-Interpolation.html#index-lookup-1674"><code>lookup</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
+<li><a href="cacsd.html#index-lqe-1849"><code>lqe</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-lqg-1850"><code>lqg</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="cacsd.html#index-lqr-1851"><code>lqr</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="Current-Working-Directory.html#index-ls-2130"><code>ls</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="Current-Working-Directory.html#index-ls_005fcommand-2131"><code>ls_command</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="cacsd.html#index-lsim-1852"><code>lsim</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="Ordinary-Differential-Equations.html#index-lsode-1407"><code>lsode</code></a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
+<li><a href="Ordinary-Differential-Equations.html#index-lsode_005foptions-1408"><code>lsode_options</code></a>: <a href="Ordinary-Differential-Equations.html#Ordinary-Differential-Equations">Ordinary Differential Equations</a></li>
+<li><a href="Filesystem-Utilities.html#index-lstat-2049"><code>lstat</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="sysfreq.html#index-ltifr-1831"><code>ltifr</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Matrix-Factorizations.html#index-lu-1239"><code>lu</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Iterative-Techniques.html#index-luinc-1387"><code>luinc</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
+<li><a href="numerical.html#index-lyap-1782"><code>lyap</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Famous-Matrices.html#index-magic-1049"><code>magic</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-mahalanobis-1446"><code>mahalanobis</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Getting-Help.html#index-makeinfo_005fprogram-86"><code>makeinfo_program</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="Tests.html#index-manova-1426"><code>manova</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-manova-1479"><code>manova</code></a>: <a href="Tests.html#Tests">Tests</a></li>
 <li><a href="Commands.html#index-mark_005fas_005fcommand-617"><code>mark_as_command</code></a>: <a href="Commands.html#Commands">Commands</a></li>
 <li><a href="Commands.html#index-mark_005fas_005frawcommand-620"><code>mark_as_rawcommand</code></a>: <a href="Commands.html#Commands">Commands</a></li>
 <li><a href="Creating-Cell-Arrays.html#index-mat2cell-342"><code>mat2cell</code></a>: <a href="Creating-Cell-Arrays.html#Creating-Cell-Arrays">Creating Cell Arrays</a></li>
 <li><a href="Creating-Strings.html#index-mat2str-261"><code>mat2str</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-matrix_005ftype-1170"><code>matrix_type</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Utility-Functions.html#index-max-1031"><code>max</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-matrix_005ftype-1218"><code>matrix_type</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Utility-Functions.html#index-max-1079"><code>max</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="Recursion.html#index-max_005frecursion_005fdepth-429"><code>max_recursion_depth</code></a>: <a href="Recursion.html#Recursion">Recursion</a></li>
-<li><a href="Tests.html#index-mcnemar_005ftest-1427"><code>mcnemar_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Hashing-Functions.html#index-md5sum-2093"><code>md5sum</code></a>: <a href="Hashing-Functions.html#Hashing-Functions">Hashing Functions</a></li>
-<li><a href="Descriptive-Statistics.html#index-mean-1377"><code>mean</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Descriptive-Statistics.html#index-meansq-1379"><code>meansq</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Descriptive-Statistics.html#index-median-1378"><code>median</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Tests.html#index-mcnemar_005ftest-1480"><code>mcnemar_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Hashing-Functions.html#index-md5sum-2156"><code>md5sum</code></a>: <a href="Hashing-Functions.html#Hashing-Functions">Hashing Functions</a></li>
+<li><a href="Descriptive-Statistics.html#index-mean-1425"><code>mean</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Descriptive-Statistics.html#index-meansq-1432"><code>meansq</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Descriptive-Statistics.html#index-median-1426"><code>median</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
 <li><a href="Terminal-Input.html#index-menu-676"><code>menu</code></a>: <a href="Terminal-Input.html#Terminal-Input">Terminal Input</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-mesh-812"><code>mesh</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-meshc-813"><code>meshc</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-meshgrid-818"><code>meshgrid</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Getting-Started-with-Mex_002dFiles.html#index-mex-2110"><code>mex</code></a>: <a href="Getting-Started-with-Mex_002dFiles.html#Getting-Started-with-Mex_002dFiles">Getting Started with Mex-Files</a></li>
-<li><a href="Getting-Started-with-Mex_002dFiles.html#index-mexext-2111"><code>mexext</code></a>: <a href="Getting-Started-with-Mex_002dFiles.html#Getting-Started-with-Mex_002dFiles">Getting Started with Mex-Files</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-mesh-820"><code>mesh</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-meshc-821"><code>meshc</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-meshgrid-826"><code>meshgrid</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Getting-Started-with-Mex_002dFiles.html#index-mex-2173"><code>mex</code></a>: <a href="Getting-Started-with-Mex_002dFiles.html#Getting-Started-with-Mex_002dFiles">Getting Started with Mex-Files</a></li>
+<li><a href="Getting-Started-with-Mex_002dFiles.html#index-mexext-2174"><code>mexext</code></a>: <a href="Getting-Started-with-Mex_002dFiles.html#Getting-Started-with-Mex_002dFiles">Getting Started with Mex-Files</a></li>
 <li><a href="Function-Files.html#index-mfilename-582"><code>mfilename</code></a>: <a href="Function-Files.html#Function-Files">Function Files</a></li>
-<li><a href="Utility-Functions.html#index-min-1034"><code>min</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="structaccess.html#index-minfo-1689"><code>minfo</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="Utility-Functions.html#index-min-1082"><code>min</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="structaccess.html#index-minfo-1751"><code>minfo</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
 <li><a href="Function-Locking.html#index-mislocked-603"><code>mislocked</code></a>: <a href="Function-Locking.html#Function-Locking">Function Locking</a></li>
-<li><a href="Filesystem-Utilities.html#index-mkdir-1978"><code>mkdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-mkfifo-1984"><code>mkfifo</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Getting-Started-with-Oct_002dFiles.html#index-mkoctfile-2100"><code>mkoctfile</code></a>: <a href="Getting-Started-with-Oct_002dFiles.html#Getting-Started-with-Oct_002dFiles">Getting Started with Oct-Files</a></li>
-<li><a href="Polynomial-Interpolation.html#index-mkpp-1598"><code>mkpp</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
+<li><a href="Filesystem-Utilities.html#index-mkdir-2040"><code>mkdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-mkfifo-2046"><code>mkfifo</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Getting-Started-with-Oct_002dFiles.html#index-mkoctfile-2163"><code>mkoctfile</code></a>: <a href="Getting-Started-with-Oct_002dFiles.html#Getting-Started-with-Oct_002dFiles">Getting Started with Oct-Files</a></li>
+<li><a href="Polynomial-Interpolation.html#index-mkpp-1660"><code>mkpp</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
 <li><a href="Temporary-Files.html#index-mkstemp-735"><code>mkstemp</code></a>: <a href="Temporary-Files.html#Temporary-Files">Temporary Files</a></li>
-<li><a href="Timing-Utilities.html#index-mktime-1946"><code>mktime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-mktime-2008"><code>mktime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
 <li><a href="Function-Locking.html#index-mlock-601"><code>mlock</code></a>: <a href="Function-Locking.html#Function-Locking">Function Locking</a></li>
-<li><a href="Utility-Functions.html#index-mod-1037"><code>mod</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="misc.html#index-moddemo-1793"><code>moddemo</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Descriptive-Statistics.html#index-mode-1385"><code>mode</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Descriptive-Statistics.html#index-moment-1392"><code>moment</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Utility-Functions.html#index-mod-1085"><code>mod</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="misc.html#index-moddemo-1855"><code>moddemo</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Descriptive-Statistics.html#index-mode-1438"><code>mode</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Descriptive-Statistics.html#index-moment-1445"><code>moment</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
 <li><a href="Paging-Screen-Output.html#index-more-662"><code>more</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
-<li><a href="Filesystem-Utilities.html#index-movefile-1997"><code>movefile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Audio-Processing.html#index-mu2lin-1913"><code>mu2lin</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Filesystem-Utilities.html#index-movefile-2059"><code>movefile</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Audio-Processing.html#index-mu2lin-1975"><code>mu2lin</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
 <li><a href="Function-Locking.html#index-munlock-602"><code>munlock</code></a>: <a href="Function-Locking.html#Function-Locking">Function Locking</a></li>
 <li><a href="Missing-Data.html#index-NA-158"><code>NA</code></a>: <a href="Missing-Data.html#Missing-Data">Missing Data</a></li>
-<li><a href="Mathematical-Constants.html#index-NaN-1133"><code>NaN</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Mathematical-Constants.html#index-NaN-1181"><code>NaN</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
 <li><a href="Multiple-Return-Values.html#index-nargchk-572"><code>nargchk</code></a>: <a href="Multiple-Return-Values.html#Multiple-Return-Values">Multiple Return Values</a></li>
 <li><a href="Defining-Functions.html#index-nargin-565"><code>nargin</code></a>: <a href="Defining-Functions.html#Defining-Functions">Defining Functions</a></li>
 <li><a href="Multiple-Return-Values.html#index-nargout-570"><code>nargout</code></a>: <a href="Multiple-Return-Values.html#Multiple-Return-Values">Multiple Return Values</a></li>
 <li><a href="Simple-File-I_002fO.html#index-native_005ffloat_005fformat-688"><code>native_float_format</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
-<li><a href="Distributions.html#index-nbincdf-1484"><code>nbincdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-nbininv-1485"><code>nbininv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-nbinpdf-1486"><code>nbinpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-nbinrnd-1536"><code>nbinrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-nchoosek-1397"><code>nchoosek</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-ndgrid-821"><code>ndgrid</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Distributions.html#index-nbincdf-1537"><code>nbincdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-nbininv-1538"><code>nbininv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-nbinpdf-1539"><code>nbinpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-nbinrnd-1589"><code>nbinrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-nchoosek-1450"><code>nchoosek</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-ndgrid-829"><code>ndgrid</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
 <li><a href="Object-Sizes.html#index-ndims-172"><code>ndims</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-nelem-2103"><code>nelem</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="Graphics-Objects.html#index-newplot-891"><code>newplot</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-nelem-2166"><code>nelem</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Graphics-Objects.html#index-newplot-918"><code>newplot</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Calling-a-Function-by-its-Name.html#index-newtroot-523"><code>newtroot</code></a>: <a href="Calling-a-Function-by-its-Name.html#Calling-a-Function-by-its-Name">Calling a Function by its Name</a></li>
-<li><a href="Utility-Functions.html#index-nextpow2-1038"><code>nextpow2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="sysfreq.html#index-nichols-1773"><code>nichols</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Information.html#index-nnz-1255"><code>nnz</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Information.html#index-nonzeros-1256"><code>nonzeros</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-norm-1175"><code>norm</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Distributions.html#index-normcdf-1487"><code>normcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-normest-1296"><code>normest</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Distributions.html#index-norminv-1488"><code>norminv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-normpdf-1489"><code>normpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-normrnd-1538"><code>normrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Timing-Utilities.html#index-now-1942"><code>now</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Financial-Functions.html#index-nper-1557"><code>nper</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Financial-Functions.html#index-npv-1558"><code>npv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Utility-Functions.html#index-nthroot-1039"><code>nthroot</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Color-Conversion.html#index-ntsc2rgb-1911"><code>ntsc2rgb</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-null-1178"><code>null</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Utility-Functions.html#index-nextpow2-1086"><code>nextpow2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="sysfreq.html#index-nichols-1835"><code>nichols</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Information.html#index-nnz-1303"><code>nnz</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Information.html#index-nonzeros-1304"><code>nonzeros</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-norm-1223"><code>norm</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Distributions.html#index-normcdf-1540"><code>normcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-normest-1344"><code>normest</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Distributions.html#index-norminv-1541"><code>norminv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-normpdf-1542"><code>normpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-normrnd-1591"><code>normrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Timing-Utilities.html#index-now-2004"><code>now</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Financial-Functions.html#index-nper-1610"><code>nper</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-npv-1611"><code>npv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Utility-Functions.html#index-nthroot-1087"><code>nthroot</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Color-Conversion.html#index-ntsc2rgb-1973"><code>ntsc2rgb</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-null-1226"><code>null</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Creating-Cell-Arrays.html#index-num2cell-340"><code>num2cell</code></a>: <a href="Creating-Cell-Arrays.html#Creating-Cell-Arrays">Creating Cell Arrays</a></li>
 <li><a href="Creating-Strings.html#index-num2str-263"><code>num2str</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
 <li><a href="Object-Sizes.html#index-numel-175"><code>numel</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="sysfreq.html#index-nyquist-1771"><code>nyquist</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Information.html#index-nzmax-1257"><code>nzmax</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="sysprop.html#index-obsv-1737"><code>obsv</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Representing-Images.html#index-ocean-1899"><code>ocean</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="System-Information.html#index-octave_005fconfig_005finfo-2091"><code>octave_config_info</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="sysfreq.html#index-nyquist-1833"><code>nyquist</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Information.html#index-nzmax-1305"><code>nzmax</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="sysprop.html#index-obsv-1799"><code>obsv</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Representing-Images.html#index-ocean-1961"><code>ocean</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="System-Information.html#index-octave_005fconfig_005finfo-2154"><code>octave_config_info</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-octave_005fcore_005ffile_005flimit-698"><code>octave_core_file_limit</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-octave_005fcore_005ffile_005fname-700"><code>octave_core_file_name</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-octave_005fcore_005ffile_005foptions-696"><code>octave_core_file_options</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
-<li><a href="System-Information.html#index-OCTAVE_005fHOME-2087"><code>OCTAVE_HOME</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="System-Information.html#index-OCTAVE_005fVERSION-2088"><code>OCTAVE_VERSION</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="Linear-Least-Squares.html#index-ols-1375"><code>ols</code></a>: <a href="Linear-Least-Squares.html#Linear-Least-Squares">Linear Least Squares</a></li>
-<li><a href="Special-Utility-Matrices.html#index-ones-962"><code>ones</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-operator-_0028_0029-2101"><code>operator ()</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
-<li><a href="blockdiag.html#index-ord2-1697"><code>ord2</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="System-Information.html#index-OCTAVE_005fHOME-2150"><code>OCTAVE_HOME</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="System-Information.html#index-OCTAVE_005fVERSION-2151"><code>OCTAVE_VERSION</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Linear-Least-Squares.html#index-ols-1423"><code>ols</code></a>: <a href="Linear-Least-Squares.html#Linear-Least-Squares">Linear Least Squares</a></li>
+<li><a href="Special-Utility-Matrices.html#index-ones-1010"><code>ones</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-operator-_0028_0029-2164"><code>operator ()</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="blockdiag.html#index-ord2-1759"><code>ord2</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Creating-Structures.html#index-orderfields-325"><code>orderfields</code></a>: <a href="Creating-Structures.html#Creating-Structures">Creating Structures</a></li>
-<li><a href="Printing-Plots.html#index-orient-854"><code>orient</code></a>: <a href="Printing-Plots.html#Printing-Plots">Printing Plots</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-orth-1179"><code>orth</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Printing-Plots.html#index-orient-865"><code>orient</code></a>: <a href="Printing-Plots.html#Printing-Plots">Printing Plots</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-orth-1227"><code>orth</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Matrices.html#index-output_005fmax_005ffield_005fwidth-193"><code>output_max_field_width</code></a>: <a href="Matrices.html#Matrices">Matrices</a></li>
 <li><a href="Matrices.html#index-output_005fprecision-195"><code>output_precision</code></a>: <a href="Matrices.html#Matrices">Matrices</a></li>
-<li><a href="Filesystem-Utilities.html#index-P_005ftmpdir-2004"><code>P_tmpdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="File-Archiving-Utilities.html#index-pack-2014"><code>pack</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-P_005ftmpdir-2066"><code>P_tmpdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="File-Archiving-Utilities.html#index-pack-2076"><code>pack</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
 <li><a href="Paging-Screen-Output.html#index-page_005foutput_005fimmediately-671"><code>page_output_immediately</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
 <li><a href="Paging-Screen-Output.html#index-page_005fscreen_005foutput-669"><code>page_screen_output</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
 <li><a href="Paging-Screen-Output.html#index-PAGER-665"><code>PAGER</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
 <li><a href="Paging-Screen-Output.html#index-PAGER_005fFLAGS-667"><code>PAGER_FLAGS</code></a>: <a href="Paging-Screen-Output.html#Paging-Screen-Output">Paging Screen Output</a></li>
-<li><a href="blockdiag.html#index-parallel-1712"><code>parallel</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-parallel-1774"><code>parallel</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Variable_002dlength-Argument-Lists.html#index-parseparams-575"><code>parseparams</code></a>: <a href="Variable_002dlength-Argument-Lists.html#Variable_002dlength-Argument-Lists">Variable-length Argument Lists</a></li>
-<li><a href="Famous-Matrices.html#index-pascal-1002"><code>pascal</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Graphics-Objects.html#index-patch-876"><code>patch</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Famous-Matrices.html#index-pascal-1050"><code>pascal</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Graphics-Objects.html#index-patch-903"><code>patch</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
 <li><a href="Manipulating-the-load-path.html#index-path-592"><code>path</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
 <li><a href="Manipulating-the-load-path.html#index-pathdef-593"><code>pathdef</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
 <li><a href="Manipulating-the-load-path.html#index-pathsep-594"><code>pathsep</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Timing-Utilities.html#index-pause-1957"><code>pause</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Iterative-Techniques.html#index-pcg-1335"><code>pcg</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
-<li><a href="Signal-Processing.html#index-pchip-1850"><code>pchip</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Controlling-Subprocesses.html#index-pclose-2031"><code>pclose</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-pcolor-801"><code>pcolor</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Iterative-Techniques.html#index-pcr-1337"><code>pcr</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
-<li><a href="Test-Plotting-Functions.html#index-peaks-856"><code>peaks</code></a>: <a href="Test-Plotting-Functions.html#Test-Plotting-Functions">Test Plotting Functions</a></li>
-<li><a href="Signal-Processing.html#index-periodogram-1852"><code>periodogram</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-perms-1398"><code>perms</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Rearranging-Matrices.html#index-permute-928"><code>permute</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Mathematical-Constants.html#index-pi-1137"><code>pi</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-pie-789"><code>pie</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Representing-Images.html#index-pink-1900"><code>pink</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-pinv-1180"><code>pinv</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Controlling-Subprocesses.html#index-pipe-2037"><code>pipe</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Packages.html#index-pkg-2095"><code>pkg</code></a>: <a href="Packages.html#Packages">Packages</a></li>
-<li><a href="cacsd.html#index-place-1791"><code>place</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
-<li><a href="Audio-Processing.html#index-playaudio-1916"><code>playaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Timing-Utilities.html#index-pause-2019"><code>pause</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Iterative-Techniques.html#index-pcg-1383"><code>pcg</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
+<li><a href="Signal-Processing.html#index-pchip-1912"><code>pchip</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Controlling-Subprocesses.html#index-pclose-2093"><code>pclose</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-pcolor-809"><code>pcolor</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Iterative-Techniques.html#index-pcr-1385"><code>pcr</code></a>: <a href="Iterative-Techniques.html#Iterative-Techniques">Iterative Techniques</a></li>
+<li><a href="Test-Plotting-Functions.html#index-peaks-867"><code>peaks</code></a>: <a href="Test-Plotting-Functions.html#Test-Plotting-Functions">Test Plotting Functions</a></li>
+<li><a href="Signal-Processing.html#index-periodogram-1914"><code>periodogram</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-perms-1451"><code>perms</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Rearranging-Matrices.html#index-permute-974"><code>permute</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Mathematical-Constants.html#index-pi-1185"><code>pi</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-pie-797"><code>pie</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Representing-Images.html#index-pink-1962"><code>pink</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-pinv-1228"><code>pinv</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Controlling-Subprocesses.html#index-pipe-2099"><code>pipe</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Packages.html#index-pkg-2158"><code>pkg</code></a>: <a href="Packages.html#Packages">Packages</a></li>
+<li><a href="cacsd.html#index-place-1853"><code>place</code></a>: <a href="cacsd.html#cacsd">cacsd</a></li>
+<li><a href="Audio-Processing.html#index-playaudio-1978"><code>playaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-plot-749"><code>plot</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-plot3-823"><code>plot3</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Financial-Functions.html#index-pmt-1559"><code>pmt</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Distributions.html#index-poisscdf-1490"><code>poisscdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-poissinv-1491"><code>poissinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-poisspdf-1492"><code>poisspdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-poissrnd-1540"><code>poissrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Coordinate-Transformations.html#index-pol2cart-1121"><code>pol2cart</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-polar-788"><code>polar</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Miscellaneous-Functions.html#index-poly-1601"><code>poly</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
-<li><a href="Voronoi-Diagrams.html#index-polyarea-1656"><code>polyarea</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
-<li><a href="Derivatives-and-Integrals.html#index-polyder-1592"><code>polyder</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
-<li><a href="Derivatives-and-Integrals.html#index-polyderiv-1589"><code>polyderiv</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
-<li><a href="Polynomial-Interpolation.html#index-polyfit-1596"><code>polyfit</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
-<li><a href="Products-of-Polynomials.html#index-polygcd-1585"><code>polygcd</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
-<li><a href="Derivatives-and-Integrals.html#index-polyint-1595"><code>polyint</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
-<li><a href="Miscellaneous-Functions.html#index-polyout-1602"><code>polyout</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
-<li><a href="Miscellaneous-Functions.html#index-polyreduce-1603"><code>polyreduce</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
-<li><a href="Evaluating-Polynomials.html#index-polyval-1577"><code>polyval</code></a>: <a href="Evaluating-Polynomials.html#Evaluating-Polynomials">Evaluating Polynomials</a></li>
-<li><a href="Evaluating-Polynomials.html#index-polyvalm-1578"><code>polyvalm</code></a>: <a href="Evaluating-Polynomials.html#Evaluating-Polynomials">Evaluating Polynomials</a></li>
-<li><a href="Controlling-Subprocesses.html#index-popen-2030"><code>popen</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-popen2-2032"><code>popen2</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Rearranging-Matrices.html#index-postpad-950"><code>postpad</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Utility-Functions.html#index-pow2-1040"><code>pow2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Statistical-Plots.html#index-ppplot-1414"><code>ppplot</code></a>: <a href="Statistical-Plots.html#Statistical-Plots">Statistical Plots</a></li>
-<li><a href="Polynomial-Interpolation.html#index-ppval-1597"><code>ppval</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
-<li><a href="Rearranging-Matrices.html#index-prepad-949"><code>prepad</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Utility-Functions.html#index-primes-1042"><code>primes</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Printing-Plots.html#index-print-853"><code>print</code></a>: <a href="Printing-Plots.html#Printing-Plots">Printing Plots</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-plot3-831"><code>plot3</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Financial-Functions.html#index-pmt-1612"><code>pmt</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Distributions.html#index-poisscdf-1543"><code>poisscdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-poissinv-1544"><code>poissinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-poisspdf-1545"><code>poisspdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-poissrnd-1593"><code>poissrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Coordinate-Transformations.html#index-pol2cart-1169"><code>pol2cart</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-polar-796"><code>polar</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Miscellaneous-Functions.html#index-poly-1663"><code>poly</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
+<li><a href="Voronoi-Diagrams.html#index-polyarea-1718"><code>polyarea</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
+<li><a href="Derivatives-and-Integrals.html#index-polyder-1654"><code>polyder</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
+<li><a href="Derivatives-and-Integrals.html#index-polyderiv-1651"><code>polyderiv</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
+<li><a href="Polynomial-Interpolation.html#index-polyfit-1658"><code>polyfit</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
+<li><a href="Products-of-Polynomials.html#index-polygcd-1647"><code>polygcd</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
+<li><a href="Derivatives-and-Integrals.html#index-polyint-1657"><code>polyint</code></a>: <a href="Derivatives-and-Integrals.html#Derivatives-and-Integrals">Derivatives and Integrals</a></li>
+<li><a href="Miscellaneous-Functions.html#index-polyout-1664"><code>polyout</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
+<li><a href="Miscellaneous-Functions.html#index-polyreduce-1665"><code>polyreduce</code></a>: <a href="Miscellaneous-Functions.html#Miscellaneous-Functions">Miscellaneous Functions</a></li>
+<li><a href="Evaluating-Polynomials.html#index-polyval-1636"><code>polyval</code></a>: <a href="Evaluating-Polynomials.html#Evaluating-Polynomials">Evaluating Polynomials</a></li>
+<li><a href="Evaluating-Polynomials.html#index-polyvalm-1640"><code>polyvalm</code></a>: <a href="Evaluating-Polynomials.html#Evaluating-Polynomials">Evaluating Polynomials</a></li>
+<li><a href="Controlling-Subprocesses.html#index-popen-2092"><code>popen</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-popen2-2094"><code>popen2</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Rearranging-Matrices.html#index-postpad-998"><code>postpad</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Utility-Functions.html#index-pow2-1088"><code>pow2</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Statistical-Plots.html#index-ppplot-1467"><code>ppplot</code></a>: <a href="Statistical-Plots.html#Statistical-Plots">Statistical Plots</a></li>
+<li><a href="Polynomial-Interpolation.html#index-ppval-1659"><code>ppval</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
+<li><a href="Descriptive-Statistics.html#index-prctile-1430"><code>prctile</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Rearranging-Matrices.html#index-prepad-997"><code>prepad</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Utility-Functions.html#index-primes-1090"><code>primes</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Printing-Plots.html#index-print-864"><code>print</code></a>: <a href="Printing-Plots.html#Printing-Plots">Printing Plots</a></li>
 <li><a href="Terminal-Output.html#index-print_005fanswer_005fid_005fname-660"><code>print_answer_id_name</code></a>: <a href="Terminal-Output.html#Terminal-Output">Terminal Output</a></li>
 <li><a href="Empty-Matrices.html#index-print_005fempty_005fdimensions-201"><code>print_empty_dimensions</code></a>: <a href="Empty-Matrices.html#Empty-Matrices">Empty Matrices</a></li>
 <li><a href="Raising-Errors.html#index-print_005fusage-625"><code>print_usage</code></a>: <a href="Raising-Errors.html#Raising-Errors">Raising Errors</a></li>
 <li><a href="Formatted-Output.html#index-printf-716"><code>printf</code></a>: <a href="Formatted-Output.html#Formatted-Output">Formatted Output</a></li>
-<li><a href="Representing-Images.html#index-prism-1901"><code>prism</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-probit-1407"><code>probit</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Sums-and-Products.html#index-prod-1092"><code>prod</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Representing-Images.html#index-prism-1963"><code>prism</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-probit-1460"><code>probit</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Sums-and-Products.html#index-prod-1140"><code>prod</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
 <li><a href="Command-Line-Options.html#index-program_005fname-61"><code>program_name</code></a>: <a href="Command-Line-Options.html#Command-Line-Options">Command Line Options</a></li>
-<li><a href="misc.html#index-prompt-1794"><code>prompt</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Tests.html#index-prop_005ftest_005f2-1428"><code>prop_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="misc.html#index-prompt-1856"><code>prompt</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Tests.html#index-prop_005ftest_005f2-1481"><code>prop_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
 <li><a href="Customizing-the-Prompt.html#index-PS1-118"><code>PS1</code></a>: <a href="Customizing-the-Prompt.html#Customizing-the-Prompt">Customizing the Prompt</a></li>
 <li><a href="Customizing-the-Prompt.html#index-PS2-120"><code>PS2</code></a>: <a href="Customizing-the-Prompt.html#Customizing-the-Prompt">Customizing the Prompt</a></li>
 <li><a href="Customizing-the-Prompt.html#index-PS4-122"><code>PS4</code></a>: <a href="Customizing-the-Prompt.html#Customizing-the-Prompt">Customizing the Prompt</a></li>
-<li><a href="Environment-Variables.html#index-putenv-2064"><code>putenv</code></a>: <a href="Environment-Variables.html#Environment-Variables">Environment Variables</a></li>
+<li><a href="Environment-Variables.html#index-putenv-2126"><code>putenv</code></a>: <a href="Environment-Variables.html#Environment-Variables">Environment Variables</a></li>
 <li><a href="Simple-Output.html#index-puts-713"><code>puts</code></a>: <a href="Simple-Output.html#Simple-Output">Simple Output</a></li>
-<li><a href="Financial-Functions.html#index-pv-1560"><code>pv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Financial-Functions.html#index-pvl-1561"><code>pvl</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Current-Working-Directory.html#index-pwd-2071"><code>pwd</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
-<li><a href="sysprop.html#index-pzmap-1739"><code>pzmap</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
-<li><a href="Quaternions.html#index-qconj-1932"><code>qconj</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qcoordinate_005fplot-1940"><code>qcoordinate_plot</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qderiv-1933"><code>qderiv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qderivmat-1934"><code>qderivmat</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qinv-1935"><code>qinv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qmult-1936"><code>qmult</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quadratic-Programming.html#index-qp-1373"><code>qp</code></a>: <a href="Quadratic-Programming.html#Quadratic-Programming">Quadratic Programming</a></li>
-<li><a href="Statistical-Plots.html#index-qqplot-1413"><code>qqplot</code></a>: <a href="Statistical-Plots.html#Statistical-Plots">Statistical Plots</a></li>
-<li><a href="Matrix-Factorizations.html#index-qr-1193"><code>qr</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Quaternions.html#index-qtrans-1937"><code>qtrans</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qtransv-1938"><code>qtransv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Quaternions.html#index-qtransvmat-1939"><code>qtransvmat</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
-<li><a href="Functions-of-One-Variable.html#index-quad-1343"><code>quad</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
-<li><a href="Functions-of-One-Variable.html#index-quad_005foptions-1344"><code>quad_options</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
-<li><a href="Functions-of-One-Variable.html#index-quadl-1345"><code>quadl</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
-<li><a href="Quaternions.html#index-quaternion-1928"><code>quaternion</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Financial-Functions.html#index-pv-1613"><code>pv</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-pvl-1614"><code>pvl</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Current-Working-Directory.html#index-pwd-2134"><code>pwd</code></a>: <a href="Current-Working-Directory.html#Current-Working-Directory">Current Working Directory</a></li>
+<li><a href="sysprop.html#index-pzmap-1801"><code>pzmap</code></a>: <a href="sysprop.html#sysprop">sysprop</a></li>
+<li><a href="Quaternions.html#index-qconj-1994"><code>qconj</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qcoordinate_005fplot-2002"><code>qcoordinate_plot</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qderiv-1995"><code>qderiv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qderivmat-1996"><code>qderivmat</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qinv-1997"><code>qinv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qmult-1998"><code>qmult</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quadratic-Programming.html#index-qp-1421"><code>qp</code></a>: <a href="Quadratic-Programming.html#Quadratic-Programming">Quadratic Programming</a></li>
+<li><a href="Statistical-Plots.html#index-qqplot-1466"><code>qqplot</code></a>: <a href="Statistical-Plots.html#Statistical-Plots">Statistical Plots</a></li>
+<li><a href="Matrix-Factorizations.html#index-qr-1241"><code>qr</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Quaternions.html#index-qtrans-1999"><code>qtrans</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qtransv-2000"><code>qtransv</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Quaternions.html#index-qtransvmat-2001"><code>qtransvmat</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
+<li><a href="Functions-of-One-Variable.html#index-quad-1391"><code>quad</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
+<li><a href="Functions-of-One-Variable.html#index-quad_005foptions-1392"><code>quad_options</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
+<li><a href="Functions-of-One-Variable.html#index-quadl-1393"><code>quadl</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
+<li><a href="Descriptive-Statistics.html#index-quantile-1427"><code>quantile</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Quaternions.html#index-quaternion-1990"><code>quaternion</code></a>: <a href="Quaternions.html#Quaternions">Quaternions</a></li>
 <li><a href="Quitting-Octave.html#index-quit-71"><code>quit</code></a>: <a href="Quitting-Octave.html#Quitting-Octave">Quitting Octave</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-quiver-794"><code>quiver</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Matrix-Factorizations.html#index-qz-1195"><code>qz</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Matrix-Factorizations.html#index-qzhess-1196"><code>qzhess</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="numerical.html#index-qzval-1722"><code>qzval</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="Representing-Images.html#index-rainbow-1902"><code>rainbow</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Special-Utility-Matrices.html#index-rand-973"><code>rand</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Special-Utility-Matrices.html#index-rande-981"><code>rande</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Special-Utility-Matrices.html#index-randg-989"><code>randg</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Special-Utility-Matrices.html#index-randn-977"><code>randn</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Special-Utility-Matrices.html#index-randp-985"><code>randp</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Special-Utility-Matrices.html#index-randperm-993"><code>randperm</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-range-1405"><code>range</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-rank-1181"><code>rank</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-ranks-1404"><code>ranks</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-quiver-802"><code>quiver</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Matrix-Factorizations.html#index-qz-1243"><code>qz</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Matrix-Factorizations.html#index-qzhess-1244"><code>qzhess</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="numerical.html#index-qzval-1784"><code>qzval</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="Representing-Images.html#index-rainbow-1964"><code>rainbow</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Special-Utility-Matrices.html#index-rand-1021"><code>rand</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Utility-Matrices.html#index-rande-1029"><code>rande</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Utility-Matrices.html#index-randg-1037"><code>randg</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Utility-Matrices.html#index-randn-1025"><code>randn</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Utility-Matrices.html#index-randp-1033"><code>randp</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Special-Utility-Matrices.html#index-randperm-1041"><code>randperm</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-range-1458"><code>range</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-rank-1229"><code>rank</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-ranks-1457"><code>ranks</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Rational-Approximations.html#index-rat-702"><code>rat</code></a>: <a href="Rational-Approximations.html#Rational-Approximations">Rational Approximations</a></li>
-<li><a href="Financial-Functions.html#index-rate-1562"><code>rate</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Financial-Functions.html#index-rate-1615"><code>rate</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
 <li><a href="Rational-Approximations.html#index-rats-704"><code>rats</code></a>: <a href="Rational-Approximations.html#Rational-Approximations">Rational Approximations</a></li>
 <li><a href="Customizing-readline.html#index-read_005freadline_005finit_005ffile-115"><code>read_readline_init_file</code></a>: <a href="Customizing-readline.html#Customizing-readline">Customizing readline</a></li>
-<li><a href="Filesystem-Utilities.html#index-readdir-1977"><code>readdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-readlink-1975"><code>readlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Complex-Arithmetic.html#index-real-1052"><code>real</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
-<li><a href="Mathematical-Constants.html#index-realmax-1149"><code>realmax</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
-<li><a href="Mathematical-Constants.html#index-realmin-1153"><code>realmin</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
-<li><a href="Audio-Processing.html#index-record-1918"><code>record</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Signal-Processing.html#index-rectangle_005flw-1853"><code>rectangle_lw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-rectangle_005fsw-1854"><code>rectangle_sw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Filesystem-Utilities.html#index-readdir-2039"><code>readdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-readlink-2037"><code>readlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Complex-Arithmetic.html#index-real-1100"><code>real</code></a>: <a href="Complex-Arithmetic.html#Complex-Arithmetic">Complex Arithmetic</a></li>
+<li><a href="Mathematical-Constants.html#index-realmax-1197"><code>realmax</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Mathematical-Constants.html#index-realmin-1201"><code>realmin</code></a>: <a href="Mathematical-Constants.html#Mathematical-Constants">Mathematical Constants</a></li>
+<li><a href="Audio-Processing.html#index-record-1980"><code>record</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Signal-Processing.html#index-rectangle_005flw-1915"><code>rectangle_lw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-rectangle_005fsw-1916"><code>rectangle_sw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Manipulating-Strings.html#index-regexp-283"><code>regexp</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Manipulating-Strings.html#index-regexpi-285"><code>regexpi</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Manipulating-Strings.html#index-regexprep-287"><code>regexprep</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Manipulating-the-load-path.html#index-rehash-595"><code>rehash</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Utility-Functions.html#index-rem-1043"><code>rem</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Filesystem-Utilities.html#index-rename-1972"><code>rename</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Special-Utility-Matrices.html#index-repmat-970"><code>repmat</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-reshape-930"><code>reshape</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Products-of-Polynomials.html#index-residue-1586"><code>residue</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
-<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-resize-2106"><code>resize</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Utility-Functions.html#index-rem-1091"><code>rem</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Filesystem-Utilities.html#index-rename-2034"><code>rename</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Special-Utility-Matrices.html#index-repmat-1018"><code>repmat</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-reshape-976"><code>reshape</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Products-of-Polynomials.html#index-residue-1648"><code>residue</code></a>: <a href="Products-of-Polynomials.html#Products-of-Polynomials">Products of Polynomials</a></li>
+<li><a href="Matrices-and-Arrays-in-Oct_002dFiles.html#index-resize-2169"><code>resize</code></a>: <a href="Matrices-and-Arrays-in-Oct_002dFiles.html#Matrices-and-Arrays-in-Oct_002dFiles">Matrices and Arrays in Oct-Files</a></li>
+<li><a href="Rearranging-Matrices.html#index-resize-978"><code>resize</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
 <li><a href="Catching-Errors.html#index-rethrow-633"><code>rethrow</code></a>: <a href="Catching-Errors.html#Catching-Errors">Catching Errors</a></li>
 <li><a href="Returning-From-a-Function.html#index-return-579"><code>return</code></a>: <a href="Returning-From-a-Function.html#Returning-From-a-Function">Returning From a Function</a></li>
-<li><a href="Color-Conversion.html#index-rgb2hsv-1908"><code>rgb2hsv</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
-<li><a href="Representing-Images.html#index-rgb2ind-1885"><code>rgb2ind</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Color-Conversion.html#index-rgb2ntsc-1910"><code>rgb2ntsc</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
+<li><a href="Color-Conversion.html#index-rgb2hsv-1970"><code>rgb2hsv</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
+<li><a href="Representing-Images.html#index-rgb2ind-1947"><code>rgb2ind</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Color-Conversion.html#index-rgb2ntsc-1972"><code>rgb2ntsc</code></a>: <a href="Color-Conversion.html#Color-Conversion">Color Conversion</a></li>
 <li><a href="Manipulating-Strings.html#index-rindex-275"><code>rindex</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
-<li><a href="misc.html#index-rldemo-1795"><code>rldemo</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="misc.html#index-rlocus-1796"><code>rlocus</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Filesystem-Utilities.html#index-rmdir-1980"><code>rmdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="misc.html#index-rldemo-1857"><code>rldemo</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="misc.html#index-rlocus-1858"><code>rlocus</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Filesystem-Utilities.html#index-rmdir-2042"><code>rmdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
 <li><a href="Creating-Structures.html#index-rmfield-323"><code>rmfield</code></a>: <a href="Creating-Structures.html#Creating-Structures">Creating Structures</a></li>
 <li><a href="Manipulating-the-load-path.html#index-rmpath-590"><code>rmpath</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
-<li><a href="Finding-Roots.html#index-roots-1579"><code>roots</code></a>: <a href="Finding-Roots.html#Finding-Roots">Finding Roots</a></li>
-<li><a href="Famous-Matrices.html#index-rosser-1003"><code>rosser</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-rot90-923"><code>rot90</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-rotdim-924"><code>rotdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Utility-Functions.html#index-round-1044"><code>round</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Finding-Roots.html#index-roots-1641"><code>roots</code></a>: <a href="Finding-Roots.html#Finding-Roots">Finding Roots</a></li>
+<li><a href="Famous-Matrices.html#index-rosser-1051"><code>rosser</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-rot90-969"><code>rot90</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-rotdim-970"><code>rotdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Utility-Functions.html#index-round-1092"><code>round</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
 <li><a href="Object-Sizes.html#index-rows-174"><code>rows</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-rref-1183"><code>rref</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-rref-1231"><code>rref</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
 <li><a href="Calling-a-Function-by-its-Name.html#index-run-525"><code>run</code></a>: <a href="Calling-a-Function-by-its-Name.html#Calling-a-Function-by-its-Name">Calling a Function by its Name</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-run_005fcount-1403"><code>run_count</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-run_005fcount-1456"><code>run_count</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Commands-For-History.html#index-run_005fhistory-104"><code>run_history</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
-<li><a href="Tests.html#index-run_005ftest-1429"><code>run_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-run_005ftest-1482"><code>run_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
 <li><a href="Simple-File-I_002fO.html#index-save-680"><code>save</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
 <li><a href="Simple-File-I_002fO.html#index-save_005fheader_005fformat_005fstring-686"><code>save_header_format_string</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
 <li><a href="Simple-File-I_002fO.html#index-save_005fprecision-684"><code>save_precision</code></a>: <a href="Simple-File-I_002fO.html#Simple-File-I_002fO">Simple File I/O</a></li>
-<li><a href="Audio-Processing.html#index-saveaudio-1915"><code>saveaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Loading-and-Saving-Images.html#index-saveimage-1866"><code>saveimage</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
+<li><a href="Audio-Processing.html#index-saveaudio-1977"><code>saveaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Loading-and-Saving-Images.html#index-saveimage-1928"><code>saveimage</code></a>: <a href="Loading-and-Saving-Images.html#Loading-and-Saving-Images">Loading and Saving Images</a></li>
 <li><a href="Manipulating-the-load-path.html#index-savepath-591"><code>savepath</code></a>: <a href="Manipulating-the-load-path.html#Manipulating-the-load-path">Manipulating the load path</a></li>
 <li><a href="Commands-For-History.html#index-saving_005fhistory-109"><code>saving_history</code></a>: <a href="Commands-For-History.html#Commands-For-History">Commands For History</a></li>
-<li><a href="Matrix-Factorizations.html#index-schur-1197"><code>schur</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Trigonometry.html#index-sec-1056"><code>sec</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-secd-1081"><code>secd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-sech-1068"><code>sech</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Matrix-Factorizations.html#index-schur-1245"><code>schur</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Trigonometry.html#index-sec-1104"><code>sec</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-secd-1129"><code>secd</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-sech-1116"><code>sech</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
 <li><a href="File-Positioning.html#index-SEEK_005fCUR-744"><code>SEEK_CUR</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
 <li><a href="File-Positioning.html#index-SEEK_005fEND-745"><code>SEEK_END</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
 <li><a href="File-Positioning.html#index-SEEK_005fSET-743"><code>SEEK_SET</code></a>: <a href="File-Positioning.html#File-Positioning">File Positioning</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-semilogx-758"><code>semilogx</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-semilogxerr-785"><code>semilogxerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-semilogxerr-793"><code>semilogxerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-semilogy-759"><code>semilogy</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Two_002dDimensional-Plots.html#index-semilogyerr-786"><code>semilogyerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="Graphics-Objects.html#index-set-866"><code>set</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Audio-Processing.html#index-setaudio-1919"><code>setaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Set-Operations.html#index-setdiff-1574"><code>setdiff</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Two_002dDimensional-Plots.html#index-semilogyerr-794"><code>semilogyerr</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
+<li><a href="Graphics-Objects.html#index-set-893"><code>set</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Audio-Processing.html#index-setaudio-1981"><code>setaudio</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Set-Operations.html#index-setdiff-1630"><code>setdiff</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Environment-Variables.html#index-setenv-2127"><code>setenv</code></a>: <a href="Environment-Variables.html#Environment-Variables">Environment Variables</a></li>
 <li><a href="Creating-Structures.html#index-setfield-324"><code>setfield</code></a>: <a href="Creating-Structures.html#Creating-Structures">Creating Structures</a></li>
-<li><a href="Group-Database-Functions.html#index-setgrent-2080"><code>setgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
-<li><a href="Password-Database-Functions.html#index-setpwent-2075"><code>setpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
-<li><a href="Set-Operations.html#index-setxor-1576"><code>setxor</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-shading-827"><code>shading</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Graphics-Objects.html#index-shg-895"><code>shg</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Rearranging-Matrices.html#index-shift-935"><code>shift</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-shiftdim-933"><code>shiftdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Controlling-Subprocesses.html#index-SIG-2055"><code>SIG</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Group-Database-Functions.html#index-setgrent-2143"><code>setgrent</code></a>: <a href="Group-Database-Functions.html#Group-Database-Functions">Group Database Functions</a></li>
+<li><a href="Password-Database-Functions.html#index-setpwent-2138"><code>setpwent</code></a>: <a href="Password-Database-Functions.html#Password-Database-Functions">Password Database Functions</a></li>
+<li><a href="Set-Operations.html#index-setxor-1633"><code>setxor</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-shading-835"><code>shading</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Graphics-Objects.html#index-shg-926"><code>shg</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Rearranging-Matrices.html#index-shift-983"><code>shift</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-shiftdim-981"><code>shiftdim</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Controlling-Subprocesses.html#index-SIG-2117"><code>SIG</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-sighup_005fdumps_005foctave_005fcore-692"><code>sighup_dumps_octave_core</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
-<li><a href="Utility-Functions.html#index-sign-1045"><code>sign</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Tests.html#index-sign_005ftest-1430"><code>sign_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Utility-Functions.html#index-sign-1093"><code>sign</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Tests.html#index-sign_005ftest-1483"><code>sign_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
 <li><a href="Saving-Data-on-Unexpected-Exits.html#index-sigterm_005fdumps_005foctave_005fcore-694"><code>sigterm_dumps_octave_core</code></a>: <a href="Saving-Data-on-Unexpected-Exits.html#Saving-Data-on-Unexpected-Exits">Saving Data on Unexpected Exits</a></li>
 <li><a href="Defining-Functions.html#index-silent_005ffunctions-568"><code>silent_functions</code></a>: <a href="Defining-Functions.html#Defining-Functions">Defining Functions</a></li>
-<li><a href="Trigonometry.html#index-sin-1053"><code>sin</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Signal-Processing.html#index-sinc-1829"><code>sinc</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Trigonometry.html#index-sind-1078"><code>sind</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Signal-Processing.html#index-sinetone-1855"><code>sinetone</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-sinewave-1856"><code>sinewave</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Trigonometry.html#index-sin-1101"><code>sin</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Signal-Processing.html#index-sinc-1891"><code>sinc</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Trigonometry.html#index-sind-1126"><code>sind</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Signal-Processing.html#index-sinetone-1917"><code>sinetone</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-sinewave-1918"><code>sinewave</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="Numeric-Data-Types.html#index-single-185"><code>single</code></a>: <a href="Numeric-Data-Types.html#Numeric-Data-Types">Numeric Data Types</a></li>
-<li><a href="Trigonometry.html#index-sinh-1065"><code>sinh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-sinh-1113"><code>sinh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
 <li><a href="Object-Sizes.html#index-size-177"><code>size</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
 <li><a href="Object-Sizes.html#index-size_005fequal-180"><code>size_equal</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
 <li><a href="Object-Sizes.html#index-sizeof-179"><code>sizeof</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="Descriptive-Statistics.html#index-skewness-1390"><code>skewness</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Timing-Utilities.html#index-sleep-1958"><code>sleep</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Test-Plotting-Functions.html#index-sombrero-855"><code>sombrero</code></a>: <a href="Test-Plotting-Functions.html#Test-Plotting-Functions">Test Plotting Functions</a></li>
-<li><a href="Rearranging-Matrices.html#index-sort-937"><code>sort</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="misc.html#index-sortcom-1797"><code>sortcom</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Rearranging-Matrices.html#index-sortrows-941"><code>sortrows</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Descriptive-Statistics.html#index-skewness-1443"><code>skewness</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Timing-Utilities.html#index-sleep-2020"><code>sleep</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Test-Plotting-Functions.html#index-sombrero-866"><code>sombrero</code></a>: <a href="Test-Plotting-Functions.html#Test-Plotting-Functions">Test Plotting Functions</a></li>
+<li><a href="Rearranging-Matrices.html#index-sort-985"><code>sort</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="misc.html#index-sortcom-1859"><code>sortcom</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Rearranging-Matrices.html#index-sortrows-989"><code>sortrows</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
 <li><a href="Script-Files.html#index-source-604"><code>source</code></a>: <a href="Script-Files.html#Script-Files">Script Files</a></li>
-<li><a href="Creation.html#index-spalloc-1243"><code>spalloc</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-sparse-1244"><code>sparse</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="ReturnType.html#index-sparse_005fauto_005fmutate-1273"><code>sparse_auto_mutate</code></a>: <a href="ReturnType.html#ReturnType">ReturnType</a></li>
-<li><a href="Creation.html#index-spatan2-1214"><code>spatan2</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spchol-1300"><code>spchol</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spchol2inv-1305"><code>spchol2inv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spcholinv-1304"><code>spcholinv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Creation.html#index-spconvert-1249"><code>spconvert</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spcumprod-1215"><code>spcumprod</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spcumsum-1216"><code>spcumsum</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spdet-1306"><code>spdet</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Creation.html#index-spdiag-1217"><code>spdiag</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spdiags-1218"><code>spdiags</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-spearman-1402"><code>spearman</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Signal-Processing.html#index-spectral_005fadf-1857"><code>spectral_adf</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-spectral_005fxdf-1858"><code>spectral_xdf</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Demonstration-Functions.html#index-speed-2128"><code>speed</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
-<li><a href="Signal-Processing.html#index-spencer-1859"><code>spencer</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Creation.html#index-speye-1222"><code>speye</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spfind-1250"><code>spfind</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spfun-1225"><code>spfun</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Coordinate-Transformations.html#index-sph2cart-1124"><code>sph2cart</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spinv-1307"><code>spinv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spkron-1308"><code>spkron</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-splchol-1309"><code>splchol</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="One_002ddimensional-Interpolation.html#index-spline-1610"><code>spline</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
+<li><a href="Creation.html#index-spalloc-1291"><code>spalloc</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-sparse-1292"><code>sparse</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="ReturnType.html#index-sparse_005fauto_005fmutate-1321"><code>sparse_auto_mutate</code></a>: <a href="ReturnType.html#ReturnType">ReturnType</a></li>
+<li><a href="Creation.html#index-spatan2-1262"><code>spatan2</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spchol-1348"><code>spchol</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spchol2inv-1353"><code>spchol2inv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spcholinv-1352"><code>spcholinv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Creation.html#index-spconvert-1297"><code>spconvert</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spcumprod-1263"><code>spcumprod</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spcumsum-1264"><code>spcumsum</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spdet-1354"><code>spdet</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Creation.html#index-spdiag-1265"><code>spdiag</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spdiags-1266"><code>spdiags</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-spearman-1455"><code>spearman</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Signal-Processing.html#index-spectral_005fadf-1919"><code>spectral_adf</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-spectral_005fxdf-1920"><code>spectral_xdf</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Demonstration-Functions.html#index-speed-2191"><code>speed</code></a>: <a href="Demonstration-Functions.html#Demonstration-Functions">Demonstration Functions</a></li>
+<li><a href="Signal-Processing.html#index-spencer-1921"><code>spencer</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Creation.html#index-speye-1270"><code>speye</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spfind-1298"><code>spfind</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spfun-1273"><code>spfun</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Coordinate-Transformations.html#index-sph2cart-1172"><code>sph2cart</code></a>: <a href="Coordinate-Transformations.html#Coordinate-Transformations">Coordinate Transformations</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spinv-1355"><code>spinv</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spkron-1356"><code>spkron</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-splchol-1357"><code>splchol</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="One_002ddimensional-Interpolation.html#index-spline-1672"><code>spline</code></a>: <a href="One_002ddimensional-Interpolation.html#One_002ddimensional-Interpolation">One-dimensional Interpolation</a></li>
 <li><a href="Manipulating-Strings.html#index-split-280"><code>split</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Matrices.html#index-split_005flong_005frows-197"><code>split_long_rows</code></a>: <a href="Matrices.html#Matrices">Matrices</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-splu-1313"><code>splu</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Creation.html#index-spmax-1226"><code>spmax</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spmin-1229"><code>spmin</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spones-1232"><code>spones</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spparms-1319"><code>spparms</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Creation.html#index-spprod-1233"><code>spprod</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-spqr-1327"><code>spqr</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Creation.html#index-sprand-1234"><code>sprand</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-sprandn-1236"><code>sprandn</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-sprandsym-1238"><code>sprandsym</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-sprank-1332"><code>sprank</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Representing-Images.html#index-spring-1903"><code>spring</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-splu-1361"><code>splu</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Creation.html#index-spmax-1274"><code>spmax</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spmin-1277"><code>spmin</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spones-1280"><code>spones</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spparms-1367"><code>spparms</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Creation.html#index-spprod-1281"><code>spprod</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-spqr-1375"><code>spqr</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Creation.html#index-sprand-1282"><code>sprand</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-sprandn-1284"><code>sprandn</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-sprandsym-1286"><code>sprandsym</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-sprank-1380"><code>sprank</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Representing-Images.html#index-spring-1965"><code>spring</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
 <li><a href="Formatted-Output.html#index-sprintf-718"><code>sprintf</code></a>: <a href="Formatted-Output.html#Formatted-Output">Formatted Output</a></li>
-<li><a href="Information.html#index-spstats-1258"><code>spstats</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Creation.html#index-spsum-1240"><code>spsum</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Creation.html#index-spsumsq-1241"><code>spsumsq</code></a>: <a href="Creation.html#Creation">Creation</a></li>
-<li><a href="Information.html#index-spy-1260"><code>spy</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Nonlinear-Programming.html#index-sqp-1374"><code>sqp</code></a>: <a href="Nonlinear-Programming.html#Nonlinear-Programming">Nonlinear Programming</a></li>
-<li><a href="Utility-Functions.html#index-sqrt-1046"><code>sqrt</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
-<li><a href="Functions-of-a-Matrix.html#index-sqrtm-1207"><code>sqrtm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
+<li><a href="Information.html#index-spstats-1306"><code>spstats</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Creation.html#index-spsum-1288"><code>spsum</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Creation.html#index-spsumsq-1289"><code>spsumsq</code></a>: <a href="Creation.html#Creation">Creation</a></li>
+<li><a href="Information.html#index-spy-1308"><code>spy</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Nonlinear-Programming.html#index-sqp-1422"><code>sqp</code></a>: <a href="Nonlinear-Programming.html#Nonlinear-Programming">Nonlinear Programming</a></li>
+<li><a href="Utility-Functions.html#index-sqrt-1094"><code>sqrt</code></a>: <a href="Utility-Functions.html#Utility-Functions">Utility Functions</a></li>
+<li><a href="Functions-of-a-Matrix.html#index-sqrtm-1255"><code>sqrtm</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
 <li><a href="Object-Sizes.html#index-squeeze-181"><code>squeeze</code></a>: <a href="Object-Sizes.html#Object-Sizes">Object Sizes</a></li>
-<li><a href="ss2sys.html#index-ss-1671"><code>ss</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
-<li><a href="ss2sys.html#index-ss2sys-1672"><code>ss2sys</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
-<li><a href="misc.html#index-ss2tf-1798"><code>ss2tf</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="misc.html#index-ss2zp-1799"><code>ss2zp</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="ss2sys.html#index-ss-1733"><code>ss</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
+<li><a href="ss2sys.html#index-ss2sys-1734"><code>ss2sys</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
+<li><a href="misc.html#index-ss2tf-1860"><code>ss2tf</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="misc.html#index-ss2zp-1861"><code>ss2zp</code></a>: <a href="misc.html#misc">misc</a></li>
 <li><a href="Formatted-Input.html#index-sscanf-726"><code>sscanf</code></a>: <a href="Formatted-Input.html#Formatted-Input">Formatted Input</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-stairs-774"><code>stairs</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="misc.html#index-starp-1800"><code>starp</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="Filesystem-Utilities.html#index-stat-1986"><code>stat</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Descriptive-Statistics.html#index-statistics-1391"><code>statistics</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Descriptive-Statistics.html#index-std-1381"><code>std</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="misc.html#index-starp-1862"><code>starp</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="Filesystem-Utilities.html#index-stat-2048"><code>stat</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Descriptive-Statistics.html#index-statistics-1444"><code>statistics</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Descriptive-Statistics.html#index-std-1434"><code>std</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
 <li><a href="C_002dStyle-I_002fO-Functions.html#index-stderr-707"><code>stderr</code></a>: <a href="C_002dStyle-I_002fO-Functions.html#C_002dStyle-I_002fO-Functions">C-Style I/O Functions</a></li>
 <li><a href="C_002dStyle-I_002fO-Functions.html#index-stdin-705"><code>stdin</code></a>: <a href="C_002dStyle-I_002fO-Functions.html#C_002dStyle-I_002fO-Functions">C-Style I/O Functions</a></li>
 <li><a href="C_002dStyle-I_002fO-Functions.html#index-stdout-706"><code>stdout</code></a>: <a href="C_002dStyle-I_002fO-Functions.html#C_002dStyle-I_002fO-Functions">C-Style I/O Functions</a></li>
 <li><a href="Two_002dDimensional-Plots.html#index-stem-775"><code>stem</code></a>: <a href="Two_002dDimensional-Plots.html#Two_002dDimensional-Plots">Two-Dimensional Plots</a></li>
-<li><a href="systime.html#index-step-1764"><code>step</code></a>: <a href="systime.html#systime">systime</a></li>
-<li><a href="Signal-Processing.html#index-stft-1860"><code>stft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="systime.html#index-step-1826"><code>step</code></a>: <a href="systime.html#systime">systime</a></li>
+<li><a href="Signal-Processing.html#index-stft-1922"><code>stft</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
 <li><a href="String-Conversions.html#index-str2double-294"><code>str2double</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="Function-Handles.html#index-str2func-610"><code>str2func</code></a>: <a href="Function-Handles.html#Function-Handles">Function Handles</a></li>
 <li><a href="Creating-Strings.html#index-str2mat-259"><code>str2mat</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
@@ -1051,13 +1057,13 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Comparing-Strings.html#index-strcmp-267"><code>strcmp</code></a>: <a href="Comparing-Strings.html#Comparing-Strings">Comparing Strings</a></li>
 <li><a href="Comparing-Strings.html#index-strcmpi-268"><code>strcmpi</code></a>: <a href="Comparing-Strings.html#Comparing-Strings">Comparing Strings</a></li>
 <li><a href="Manipulating-Strings.html#index-strfind-276"><code>strfind</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
-<li><a href="Timing-Utilities.html#index-strftime-1948"><code>strftime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-strftime-2010"><code>strftime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
 <li><a href="Creating-Strings.html#index-string_005ffill_005fchar-257"><code>string_fill_char</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
 <li><a href="String-Conversions.html#index-strjust-295"><code>strjust</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="Manipulating-Strings.html#index-strmatch-278"><code>strmatch</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Comparing-Strings.html#index-strncmp-269"><code>strncmp</code></a>: <a href="Comparing-Strings.html#Comparing-Strings">Comparing Strings</a></li>
 <li><a href="Comparing-Strings.html#index-strncmpi-270"><code>strncmpi</code></a>: <a href="Comparing-Strings.html#Comparing-Strings">Comparing Strings</a></li>
-<li><a href="Timing-Utilities.html#index-strptime-1949"><code>strptime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-strptime-2011"><code>strptime</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
 <li><a href="Manipulating-Strings.html#index-strrep-281"><code>strrep</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Manipulating-Strings.html#index-strtok-279"><code>strtok</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Creating-Strings.html#index-strtrunc-256"><code>strtrunc</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
@@ -1066,197 +1072,197 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Data-Structures.html#index-struct_005flevels_005fto_005fprint-319"><code>struct_levels_to_print</code></a>: <a href="Data-Structures.html#Data-Structures">Data Structures</a></li>
 <li><a href="Processing-Data-in-Structures.html#index-structfun-330"><code>structfun</code></a>: <a href="Processing-Data-in-Structures.html#Processing-Data-in-Structures">Processing Data in Structures</a></li>
 <li><a href="Creating-Strings.html#index-strvcat-255"><code>strvcat</code></a>: <a href="Creating-Strings.html#Creating-Strings">Creating Strings</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-studentize-1396"><code>studentize</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-studentize-1449"><code>studentize</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
 <li><a href="Index-Expressions.html#index-sub2ind-424"><code>sub2ind</code></a>: <a href="Index-Expressions.html#Index-Expressions">Index Expressions</a></li>
-<li><a href="Multiple-Plots-on-One-Page.html#index-subplot-849"><code>subplot</code></a>: <a href="Multiple-Plots-on-One-Page.html#Multiple-Plots-on-One-Page">Multiple Plots on One Page</a></li>
+<li><a href="Multiple-Plots-on-One-Page.html#index-subplot-860"><code>subplot</code></a>: <a href="Multiple-Plots-on-One-Page.html#Multiple-Plots-on-One-Page">Multiple Plots on One Page</a></li>
 <li><a href="Assignment-Ops.html#index-subsasgn-511"><code>subsasgn</code></a>: <a href="Assignment-Ops.html#Assignment-Ops">Assignment Ops</a></li>
 <li><a href="Index-Expressions.html#index-subsref-423"><code>subsref</code></a>: <a href="Index-Expressions.html#Index-Expressions">Index Expressions</a></li>
 <li><a href="Manipulating-Strings.html#index-substr-282"><code>substr</code></a>: <a href="Manipulating-Strings.html#Manipulating-Strings">Manipulating Strings</a></li>
 <li><a href="Manipulating-Structures.html#index-substruct-329"><code>substruct</code></a>: <a href="Manipulating-Structures.html#Manipulating-Structures">Manipulating Structures</a></li>
-<li><a href="Sums-and-Products.html#index-sum-1090"><code>sum</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
-<li><a href="Representing-Images.html#index-summer-1904"><code>summer</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Sums-and-Products.html#index-sumsq-1095"><code>sumsq</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Sums-and-Products.html#index-sum-1138"><code>sum</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
+<li><a href="Representing-Images.html#index-summer-1966"><code>summer</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Sums-and-Products.html#index-sumsq-1143"><code>sumsq</code></a>: <a href="Sums-and-Products.html#Sums-and-Products">Sums and Products</a></li>
 <li><a href="Getting-Help.html#index-suppress_005fverbose_005fhelp_005fmessage-88"><code>suppress_verbose_help_message</code></a>: <a href="Getting-Help.html#Getting-Help">Getting Help</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-surf-816"><code>surf</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Graphics-Objects.html#index-surface-883"><code>surface</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-surfc-817"><code>surfc</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Matrix-Factorizations.html#index-svd-1200"><code>svd</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
-<li><a href="Rearranging-Matrices.html#index-swap-942"><code>swap</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-surf-824"><code>surf</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Graphics-Objects.html#index-surface-910"><code>surface</code></a>: <a href="Graphics-Objects.html#Graphics-Objects">Graphics Objects</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-surfc-825"><code>surfc</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Matrix-Factorizations.html#index-svd-1248"><code>svd</code></a>: <a href="Matrix-Factorizations.html#Matrix-Factorizations">Matrix Factorizations</a></li>
+<li><a href="Rearranging-Matrices.html#index-swap-990"><code>swap</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
 <li><a href="Built_002din-Data-Types.html#index-swapbytes-154"><code>swapbytes</code></a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
-<li><a href="Rearranging-Matrices.html#index-swapcols-943"><code>swapcols</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-swaprows-944"><code>swaprows</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Functions-of-a-Matrix.html#index-syl-1209"><code>syl</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
-<li><a href="Famous-Matrices.html#index-sylvester_005fmatrix-1004"><code>sylvester_matrix</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="MathConsiderations.html#index-symamd-1291"><code>symamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Sparse-Linear-Algebra.html#index-symbfact-1334"><code>symbfact</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
-<li><a href="Filesystem-Utilities.html#index-symlink-1974"><code>symlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="MathConsiderations.html#index-symrcm-1295"><code>symrcm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
-<li><a href="Signal-Processing.html#index-synthesis-1861"><code>synthesis</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="fir2sys.html#index-sys2fir-1670"><code>sys2fir</code></a>: <a href="fir2sys.html#fir2sys">fir2sys</a></li>
-<li><a href="ss2sys.html#index-sys2ss-1673"><code>sys2ss</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
-<li><a href="tf2sys.html#index-sys2tf-1676"><code>sys2tf</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
-<li><a href="zp2sys.html#index-sys2zp-1679"><code>sys2zp</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
-<li><a href="blockdiag.html#index-sysadd-1698"><code>sysadd</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-sysappend-1699"><code>sysappend</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="structaccess.html#index-syschnames-1680"><code>syschnames</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="structaccess.html#index-syschtsam-1681"><code>syschtsam</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="blockdiag.html#index-sysconnect-1700"><code>sysconnect</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-syscont-1701"><code>syscont</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="structaccess.html#index-sysdimensions-1682"><code>sysdimensions</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="blockdiag.html#index-sysdisc-1702"><code>sysdisc</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-sysdup-1703"><code>sysdup</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="structaccess.html#index-sysgetsignals-1683"><code>sysgetsignals</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="structaccess.html#index-sysgettsam-1690"><code>sysgettsam</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="structaccess.html#index-sysgettype-1686"><code>sysgettype</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="blockdiag.html#index-sysgroup-1704"><code>sysgroup</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-sysmin-1713"><code>sysmin</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-sysmult-1705"><code>sysmult</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="sysdisp.html#index-sysout-1691"><code>sysout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
-<li><a href="blockdiag.html#index-sysprune-1706"><code>sysprune</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="blockdiag.html#index-sysreorder-1707"><code>sysreorder</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="sysstruct.html#index-sysrepdemo-1668"><code>sysrepdemo</code></a>: <a href="sysstruct.html#sysstruct">sysstruct</a></li>
-<li><a href="blockdiag.html#index-sysscale-1708"><code>sysscale</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="structaccess.html#index-syssetsignals-1687"><code>syssetsignals</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="blockdiag.html#index-syssub-1709"><code>syssub</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
-<li><a href="Controlling-Subprocesses.html#index-system-2025"><code>system</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="structaccess.html#index-sysupdate-1688"><code>sysupdate</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
-<li><a href="Tests.html#index-t_005ftest-1431"><code>t_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-t_005ftest_005f2-1432"><code>t_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-t_005ftest_005fregression-1433"><code>t_test_regression</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-table-1400"><code>table</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Trigonometry.html#index-tan-1055"><code>tan</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-tand-1080"><code>tand</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="Trigonometry.html#index-tanh-1067"><code>tanh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
-<li><a href="File-Archiving-Utilities.html#index-tar-2009"><code>tar</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="Distributions.html#index-tcdf-1493"><code>tcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Filesystem-Utilities.html#index-tempdir-2002"><code>tempdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-tempname-2003"><code>tempname</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Test-Functions.html#index-test-2113"><code>test</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
-<li><a href="Plot-Annotations.html#index-text-837"><code>text</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="tf2sys.html#index-tf-1674"><code>tf</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
-<li><a href="misc.html#index-tf2ss-1801"><code>tf2ss</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="tf2sys.html#index-tf2sys-1675"><code>tf2sys</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
-<li><a href="misc.html#index-tf2zp-1802"><code>tf2zp</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="sysdisp.html#index-tfout-1692"><code>tfout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
-<li><a href="Timing-Utilities.html#index-tic-1955"><code>tic</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Filesystem-Utilities.html#index-tilde_005fexpand-1995"><code>tilde_expand</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="Timing-Utilities.html#index-time-1941"><code>time</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Distributions.html#index-tinv-1494"><code>tinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Plot-Annotations.html#index-title-829"><code>title</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Rearranging-Matrices.html#index-swapcols-991"><code>swapcols</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-swaprows-992"><code>swaprows</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Functions-of-a-Matrix.html#index-syl-1257"><code>syl</code></a>: <a href="Functions-of-a-Matrix.html#Functions-of-a-Matrix">Functions of a Matrix</a></li>
+<li><a href="Famous-Matrices.html#index-sylvester_005fmatrix-1052"><code>sylvester_matrix</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="MathConsiderations.html#index-symamd-1339"><code>symamd</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Sparse-Linear-Algebra.html#index-symbfact-1382"><code>symbfact</code></a>: <a href="Sparse-Linear-Algebra.html#Sparse-Linear-Algebra">Sparse Linear Algebra</a></li>
+<li><a href="Filesystem-Utilities.html#index-symlink-2036"><code>symlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="MathConsiderations.html#index-symrcm-1343"><code>symrcm</code></a>: <a href="MathConsiderations.html#MathConsiderations">MathConsiderations</a></li>
+<li><a href="Signal-Processing.html#index-synthesis-1923"><code>synthesis</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="fir2sys.html#index-sys2fir-1732"><code>sys2fir</code></a>: <a href="fir2sys.html#fir2sys">fir2sys</a></li>
+<li><a href="ss2sys.html#index-sys2ss-1735"><code>sys2ss</code></a>: <a href="ss2sys.html#ss2sys">ss2sys</a></li>
+<li><a href="tf2sys.html#index-sys2tf-1738"><code>sys2tf</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
+<li><a href="zp2sys.html#index-sys2zp-1741"><code>sys2zp</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
+<li><a href="blockdiag.html#index-sysadd-1760"><code>sysadd</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-sysappend-1761"><code>sysappend</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="structaccess.html#index-syschnames-1742"><code>syschnames</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="structaccess.html#index-syschtsam-1743"><code>syschtsam</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="blockdiag.html#index-sysconnect-1762"><code>sysconnect</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-syscont-1763"><code>syscont</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="structaccess.html#index-sysdimensions-1744"><code>sysdimensions</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="blockdiag.html#index-sysdisc-1764"><code>sysdisc</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-sysdup-1765"><code>sysdup</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="structaccess.html#index-sysgetsignals-1745"><code>sysgetsignals</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="structaccess.html#index-sysgettsam-1752"><code>sysgettsam</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="structaccess.html#index-sysgettype-1748"><code>sysgettype</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="blockdiag.html#index-sysgroup-1766"><code>sysgroup</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-sysmin-1775"><code>sysmin</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-sysmult-1767"><code>sysmult</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="sysdisp.html#index-sysout-1753"><code>sysout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
+<li><a href="blockdiag.html#index-sysprune-1768"><code>sysprune</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="blockdiag.html#index-sysreorder-1769"><code>sysreorder</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="sysstruct.html#index-sysrepdemo-1730"><code>sysrepdemo</code></a>: <a href="sysstruct.html#sysstruct">sysstruct</a></li>
+<li><a href="blockdiag.html#index-sysscale-1770"><code>sysscale</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="structaccess.html#index-syssetsignals-1749"><code>syssetsignals</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="blockdiag.html#index-syssub-1771"><code>syssub</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="Controlling-Subprocesses.html#index-system-2087"><code>system</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="structaccess.html#index-sysupdate-1750"><code>sysupdate</code></a>: <a href="structaccess.html#structaccess">structaccess</a></li>
+<li><a href="Tests.html#index-t_005ftest-1484"><code>t_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-t_005ftest_005f2-1485"><code>t_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-t_005ftest_005fregression-1486"><code>t_test_regression</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-table-1453"><code>table</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Trigonometry.html#index-tan-1103"><code>tan</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-tand-1128"><code>tand</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="Trigonometry.html#index-tanh-1115"><code>tanh</code></a>: <a href="Trigonometry.html#Trigonometry">Trigonometry</a></li>
+<li><a href="File-Archiving-Utilities.html#index-tar-2071"><code>tar</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Distributions.html#index-tcdf-1546"><code>tcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Filesystem-Utilities.html#index-tempdir-2064"><code>tempdir</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-tempname-2065"><code>tempname</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Test-Functions.html#index-test-2176"><code>test</code></a>: <a href="Test-Functions.html#Test-Functions">Test Functions</a></li>
+<li><a href="Plot-Annotations.html#index-text-845"><code>text</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="tf2sys.html#index-tf-1736"><code>tf</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
+<li><a href="misc.html#index-tf2ss-1863"><code>tf2ss</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="tf2sys.html#index-tf2sys-1737"><code>tf2sys</code></a>: <a href="tf2sys.html#tf2sys">tf2sys</a></li>
+<li><a href="misc.html#index-tf2zp-1864"><code>tf2zp</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="sysdisp.html#index-tfout-1754"><code>tfout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
+<li><a href="Timing-Utilities.html#index-tic-2017"><code>tic</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Filesystem-Utilities.html#index-tilde_005fexpand-2057"><code>tilde_expand</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Timing-Utilities.html#index-time-2003"><code>time</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Distributions.html#index-tinv-1547"><code>tinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Plot-Annotations.html#index-title-837"><code>title</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
 <li><a href="Temporary-Files.html#index-tmpfile-736"><code>tmpfile</code></a>: <a href="Temporary-Files.html#Temporary-Files">Temporary Files</a></li>
 <li><a href="Temporary-Files.html#index-tmpnam-737"><code>tmpnam</code></a>: <a href="Temporary-Files.html#Temporary-Files">Temporary Files</a></li>
 <li><a href="String-Conversions.html#index-toascii-297"><code>toascii</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Timing-Utilities.html#index-toc-1956"><code>toc</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Famous-Matrices.html#index-toeplitz-1005"><code>toeplitz</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Timing-Utilities.html#index-toc-2018"><code>toc</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Famous-Matrices.html#index-toeplitz-1053"><code>toeplitz</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
 <li><a href="String-Conversions.html#index-tolower-298"><code>tolower</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
 <li><a href="String-Conversions.html#index-toupper-299"><code>toupper</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Distributions.html#index-tpdf-1495"><code>tpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Basic-Matrix-Functions.html#index-trace-1182"><code>trace</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
-<li><a href="Functions-of-One-Variable.html#index-trapz-1349"><code>trapz</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
-<li><a href="Information.html#index-treeplot-1271"><code>treeplot</code></a>: <a href="Information.html#Information">Information</a></li>
-<li><a href="Signal-Processing.html#index-triangle_005flw-1862"><code>triangle_lw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Signal-Processing.html#index-triangle_005fsw-1863"><code>triangle_sw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Rearranging-Matrices.html#index-tril-945"><code>tril</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Plotting-the-Triangulation.html#index-trimesh-1640"><code>trimesh</code></a>: <a href="Plotting-the-Triangulation.html#Plotting-the-Triangulation">Plotting the Triangulation</a></li>
-<li><a href="Plotting-the-Triangulation.html#index-triplot-1637"><code>triplot</code></a>: <a href="Plotting-the-Triangulation.html#Plotting-the-Triangulation">Plotting the Triangulation</a></li>
-<li><a href="Rearranging-Matrices.html#index-triu-946"><code>triu</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Random-Number-Generation.html#index-trnd-1541"><code>trnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Distributions.html#index-tpdf-1548"><code>tpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Basic-Matrix-Functions.html#index-trace-1230"><code>trace</code></a>: <a href="Basic-Matrix-Functions.html#Basic-Matrix-Functions">Basic Matrix Functions</a></li>
+<li><a href="Functions-of-One-Variable.html#index-trapz-1397"><code>trapz</code></a>: <a href="Functions-of-One-Variable.html#Functions-of-One-Variable">Functions of One Variable</a></li>
+<li><a href="Information.html#index-treeplot-1319"><code>treeplot</code></a>: <a href="Information.html#Information">Information</a></li>
+<li><a href="Signal-Processing.html#index-triangle_005flw-1924"><code>triangle_lw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Signal-Processing.html#index-triangle_005fsw-1925"><code>triangle_sw</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Rearranging-Matrices.html#index-tril-993"><code>tril</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Plotting-the-Triangulation.html#index-trimesh-1702"><code>trimesh</code></a>: <a href="Plotting-the-Triangulation.html#Plotting-the-Triangulation">Plotting the Triangulation</a></li>
+<li><a href="Plotting-the-Triangulation.html#index-triplot-1699"><code>triplot</code></a>: <a href="Plotting-the-Triangulation.html#Plotting-the-Triangulation">Plotting the Triangulation</a></li>
+<li><a href="Rearranging-Matrices.html#index-triu-994"><code>triu</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Random-Number-Generation.html#index-trnd-1594"><code>trnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
 <li><a href="Logical-Values.html#index-true-228"><code>true</code></a>: <a href="Logical-Values.html#Logical-Values">Logical Values</a></li>
-<li><a href="Identifying-points-in-Triangulation.html#index-tsearch-1642"><code>tsearch</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
-<li><a href="Identifying-points-in-Triangulation.html#index-tsearchn-1643"><code>tsearchn</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
+<li><a href="Identifying-points-in-Triangulation.html#index-tsearch-1704"><code>tsearch</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
+<li><a href="Identifying-points-in-Triangulation.html#index-tsearchn-1705"><code>tsearchn</code></a>: <a href="Identifying-points-in-Triangulation.html#Identifying-points-in-Triangulation">Identifying points in Triangulation</a></li>
 <li><a href="Status-of-Variables.html#index-type-380"><code>type</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
 <li><a href="Built_002din-Data-Types.html#index-typecast-153"><code>typecast</code></a>: <a href="Built_002din-Data-Types.html#Built_002din-Data-Types">Built-in Data Types</a></li>
 <li><a href="Data-Types.html#index-typeinfo-147"><code>typeinfo</code></a>: <a href="Data-Types.html#Data-Types">Data Types</a></li>
-<li><a href="sysfreq.html#index-tzero-1774"><code>tzero</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="sysfreq.html#index-tzero2-1776"><code>tzero2</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
-<li><a href="Tests.html#index-u_005ftest-1434"><code>u_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="blockdiag.html#index-ugain-1710"><code>ugain</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="sysfreq.html#index-tzero-1836"><code>tzero</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="sysfreq.html#index-tzero2-1838"><code>tzero2</code></a>: <a href="sysfreq.html#sysfreq">sysfreq</a></li>
+<li><a href="Tests.html#index-u_005ftest-1487"><code>u_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="blockdiag.html#index-ugain-1772"><code>ugain</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Integer-Data-Types.html#index-uint16-210"><code>uint16</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-uint32-212"><code>uint32</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-uint64-214"><code>uint64</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
 <li><a href="Integer-Data-Types.html#index-uint8-208"><code>uint8</code></a>: <a href="Integer-Data-Types.html#Integer-Data-Types">Integer Data Types</a></li>
-<li><a href="Filesystem-Utilities.html#index-umask-1985"><code>umask</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
-<li><a href="System-Information.html#index-uname-2083"><code>uname</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Filesystem-Utilities.html#index-umask-2047"><code>umask</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="System-Information.html#index-uname-2146"><code>uname</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
 <li><a href="String-Conversions.html#index-undo_005fstring_005fescapes-301"><code>undo_string_escapes</code></a>: <a href="String-Conversions.html#String-Conversions">String Conversions</a></li>
-<li><a href="Distributions.html#index-unidcdf-1496"><code>unidcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-unidinv-1497"><code>unidinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-unidpdf-1498"><code>unidpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-unidrnd-1543"><code>unidrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Distributions.html#index-unifcdf-1499"><code>unifcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-unifinv-1500"><code>unifinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-unifpdf-1501"><code>unifpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-unifrnd-1546"><code>unifrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Set-Operations.html#index-union-1570"><code>union</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
-<li><a href="Sets.html#index-unique-1565"><code>unique</code></a>: <a href="Sets.html#Sets">Sets</a></li>
-<li><a href="Controlling-Subprocesses.html#index-unix-2026"><code>unix</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Filesystem-Utilities.html#index-unlink-1976"><code>unlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
+<li><a href="Distributions.html#index-unidcdf-1549"><code>unidcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-unidinv-1550"><code>unidinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-unidpdf-1551"><code>unidpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-unidrnd-1596"><code>unidrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Distributions.html#index-unifcdf-1552"><code>unifcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-unifinv-1553"><code>unifinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-unifpdf-1554"><code>unifpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-unifrnd-1599"><code>unifrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Set-Operations.html#index-union-1624"><code>union</code></a>: <a href="Set-Operations.html#Set-Operations">Set Operations</a></li>
+<li><a href="Sets.html#index-unique-1619"><code>unique</code></a>: <a href="Sets.html#Sets">Sets</a></li>
+<li><a href="Controlling-Subprocesses.html#index-unix-2088"><code>unix</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Filesystem-Utilities.html#index-unlink-2038"><code>unlink</code></a>: <a href="Filesystem-Utilities.html#Filesystem-Utilities">Filesystem Utilities</a></li>
 <li><a href="Commands.html#index-unmark_005fcommand-618"><code>unmark_command</code></a>: <a href="Commands.html#Commands">Commands</a></li>
 <li><a href="Commands.html#index-unmark_005frawcommand-621"><code>unmark_rawcommand</code></a>: <a href="Commands.html#Commands">Commands</a></li>
-<li><a href="Polynomial-Interpolation.html#index-unmkpp-1600"><code>unmkpp</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
-<li><a href="File-Archiving-Utilities.html#index-unpack-2015"><code>unpack</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="File-Archiving-Utilities.html#index-untar-2010"><code>untar</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="Signal-Processing.html#index-unwrap-1830"><code>unwrap</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="File-Archiving-Utilities.html#index-unzip-2013"><code>unzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="Networking-Utilities.html#index-urlread-2017"><code>urlread</code></a>: <a href="Networking-Utilities.html#Networking-Utilities">Networking Utilities</a></li>
-<li><a href="Networking-Utilities.html#index-urlwrite-2021"><code>urlwrite</code></a>: <a href="Networking-Utilities.html#Networking-Utilities">Networking Utilities</a></li>
+<li><a href="Polynomial-Interpolation.html#index-unmkpp-1662"><code>unmkpp</code></a>: <a href="Polynomial-Interpolation.html#Polynomial-Interpolation">Polynomial Interpolation</a></li>
+<li><a href="File-Archiving-Utilities.html#index-unpack-2077"><code>unpack</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="File-Archiving-Utilities.html#index-untar-2072"><code>untar</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Signal-Processing.html#index-unwrap-1892"><code>unwrap</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="File-Archiving-Utilities.html#index-unzip-2075"><code>unzip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Networking-Utilities.html#index-urlread-2079"><code>urlread</code></a>: <a href="Networking-Utilities.html#Networking-Utilities">Networking Utilities</a></li>
+<li><a href="Networking-Utilities.html#index-urlwrite-2083"><code>urlwrite</code></a>: <a href="Networking-Utilities.html#Networking-Utilities">Networking Utilities</a></li>
 <li><a href="Raising-Errors.html#index-usage-626"><code>usage</code></a>: <a href="Raising-Errors.html#Raising-Errors">Raising Errors</a></li>
-<li><a href="Timing-Utilities.html#index-usleep-1959"><code>usleep</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Basic-Statistical-Functions.html#index-values-1399"><code>values</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
-<li><a href="Famous-Matrices.html#index-vander-1006"><code>vander</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Descriptive-Statistics.html#index-var-1384"><code>var</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
-<li><a href="Tests.html#index-var_005ftest-1435"><code>var_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Rearranging-Matrices.html#index-vec-947"><code>vec</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Rearranging-Matrices.html#index-vech-948"><code>vech</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Timing-Utilities.html#index-usleep-2021"><code>usleep</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Basic-Statistical-Functions.html#index-values-1452"><code>values</code></a>: <a href="Basic-Statistical-Functions.html#Basic-Statistical-Functions">Basic Statistical Functions</a></li>
+<li><a href="Famous-Matrices.html#index-vander-1054"><code>vander</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Descriptive-Statistics.html#index-var-1437"><code>var</code></a>: <a href="Descriptive-Statistics.html#Descriptive-Statistics">Descriptive Statistics</a></li>
+<li><a href="Tests.html#index-var_005ftest-1488"><code>var_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Rearranging-Matrices.html#index-vec-995"><code>vec</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Rearranging-Matrices.html#index-vech-996"><code>vech</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
 <li><a href="Inline-Functions.html#index-vectorize-616"><code>vectorize</code></a>: <a href="Inline-Functions.html#Inline-Functions">Inline Functions</a></li>
-<li><a href="System-Information.html#index-ver-2090"><code>ver</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="System-Information.html#index-version-2089"><code>version</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
-<li><a href="Rearranging-Matrices.html#index-vertcat-927"><code>vertcat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
-<li><a href="Three_002dDimensional-Plotting.html#index-view-824"><code>view</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
-<li><a href="Financial-Functions.html#index-vol-1563"><code>vol</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
-<li><a href="Voronoi-Diagrams.html#index-voronoi-1650"><code>voronoi</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
-<li><a href="Voronoi-Diagrams.html#index-voronoin-1654"><code>voronoin</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
-<li><a href="Controlling-Subprocesses.html#index-waitpid-2039"><code>waitpid</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="System-Information.html#index-ver-2153"><code>ver</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="System-Information.html#index-version-2152"><code>version</code></a>: <a href="System-Information.html#System-Information">System Information</a></li>
+<li><a href="Rearranging-Matrices.html#index-vertcat-973"><code>vertcat</code></a>: <a href="Rearranging-Matrices.html#Rearranging-Matrices">Rearranging Matrices</a></li>
+<li><a href="Three_002dDimensional-Plotting.html#index-view-832"><code>view</code></a>: <a href="Three_002dDimensional-Plotting.html#Three_002dDimensional-Plotting">Three-Dimensional Plotting</a></li>
+<li><a href="Financial-Functions.html#index-vol-1616"><code>vol</code></a>: <a href="Financial-Functions.html#Financial-Functions">Financial Functions</a></li>
+<li><a href="Voronoi-Diagrams.html#index-voronoi-1712"><code>voronoi</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
+<li><a href="Voronoi-Diagrams.html#index-voronoin-1716"><code>voronoin</code></a>: <a href="Voronoi-Diagrams.html#Voronoi-Diagrams">Voronoi Diagrams</a></li>
+<li><a href="Controlling-Subprocesses.html#index-waitpid-2101"><code>waitpid</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Issuing-Warnings.html#index-warning-638"><code>warning</code></a>: <a href="Issuing-Warnings.html#Issuing-Warnings">Issuing Warnings</a></li>
-<li><a href="Audio-Processing.html#index-wavread-1920"><code>wavread</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Audio-Processing.html#index-wavwrite-1925"><code>wavwrite</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
-<li><a href="Distributions.html#index-wblcdf-1502"><code>wblcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-wblinv-1503"><code>wblinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Distributions.html#index-wblpdf-1504"><code>wblpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
-<li><a href="Random-Number-Generation.html#index-wblrnd-1548"><code>wblrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Timing-Utilities.html#index-weekday-1970"><code>weekday</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
-<li><a href="Tests.html#index-welch_005ftest-1436"><code>welch_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="blockdiag.html#index-wgt1o-1711"><code>wgt1o</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
+<li><a href="Audio-Processing.html#index-wavread-1982"><code>wavread</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Audio-Processing.html#index-wavwrite-1987"><code>wavwrite</code></a>: <a href="Audio-Processing.html#Audio-Processing">Audio Processing</a></li>
+<li><a href="Distributions.html#index-wblcdf-1555"><code>wblcdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-wblinv-1556"><code>wblinv</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Distributions.html#index-wblpdf-1557"><code>wblpdf</code></a>: <a href="Distributions.html#Distributions">Distributions</a></li>
+<li><a href="Random-Number-Generation.html#index-wblrnd-1601"><code>wblrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Timing-Utilities.html#index-weekday-2032"><code>weekday</code></a>: <a href="Timing-Utilities.html#Timing-Utilities">Timing Utilities</a></li>
+<li><a href="Tests.html#index-welch_005ftest-1489"><code>welch_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="blockdiag.html#index-wgt1o-1773"><code>wgt1o</code></a>: <a href="blockdiag.html#blockdiag">blockdiag</a></li>
 <li><a href="Status-of-Variables.html#index-which-381"><code>which</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
-<li><a href="Representing-Images.html#index-white-1905"><code>white</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Representing-Images.html#index-white-1967"><code>white</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
 <li><a href="Status-of-Variables.html#index-who-372"><code>who</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
 <li><a href="Status-of-Variables.html#index-whos-373"><code>whos</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
 <li><a href="Status-of-Variables.html#index-whos_005fline_005fformat-375"><code>whos_line_format</code></a>: <a href="Status-of-Variables.html#Status-of-Variables">Status of Variables</a></li>
-<li><a href="Random-Number-Generation.html#index-wienrnd-1550"><code>wienrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
-<li><a href="Tests.html#index-wilcoxon_005ftest-1437"><code>wilcoxon_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Famous-Matrices.html#index-wilkinson-1007"><code>wilkinson</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
-<li><a href="Representing-Images.html#index-winter-1906"><code>winter</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
-<li><a href="Plot-Annotations.html#index-xlabel-841"><code>xlabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="Finding-Elements-and-Checking-Conditions.html#index-xor-910"><code>xor</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
-<li><a href="Plot-Annotations.html#index-ylabel-842"><code>ylabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="Signal-Processing.html#index-yulewalker-1864"><code>yulewalker</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
-<li><a href="Tests.html#index-z_005ftest-1438"><code>z_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Tests.html#index-z_005ftest_005f2-1439"><code>z_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
-<li><a href="Special-Utility-Matrices.html#index-zeros-966"><code>zeros</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
-<li><a href="numerical.html#index-zgfmul-1723"><code>zgfmul</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgfslv-1724"><code>zgfslv</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zginit-1725"><code>zginit</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgreduce-1726"><code>zgreduce</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgrownorm-1727"><code>zgrownorm</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgscal-1728"><code>zgscal</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgsgiv-1729"><code>zgsgiv</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="numerical.html#index-zgshsr-1730"><code>zgshsr</code></a>: <a href="numerical.html#numerical">numerical</a></li>
-<li><a href="File-Archiving-Utilities.html#index-zip-2011"><code>zip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
-<li><a href="Plot-Annotations.html#index-zlabel-843"><code>zlabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
-<li><a href="zp2sys.html#index-zp-1677"><code>zp</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
-<li><a href="misc.html#index-zp2ss-1803"><code>zp2ss</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="zp2sys.html#index-zp2sys-1678"><code>zp2sys</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
-<li><a href="misc.html#index-zp2tf-1804"><code>zp2tf</code></a>: <a href="misc.html#misc">misc</a></li>
-<li><a href="sysdisp.html#index-zpout-1693"><code>zpout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
+<li><a href="Random-Number-Generation.html#index-wienrnd-1603"><code>wienrnd</code></a>: <a href="Random-Number-Generation.html#Random-Number-Generation">Random Number Generation</a></li>
+<li><a href="Tests.html#index-wilcoxon_005ftest-1490"><code>wilcoxon_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Famous-Matrices.html#index-wilkinson-1055"><code>wilkinson</code></a>: <a href="Famous-Matrices.html#Famous-Matrices">Famous Matrices</a></li>
+<li><a href="Representing-Images.html#index-winter-1968"><code>winter</code></a>: <a href="Representing-Images.html#Representing-Images">Representing Images</a></li>
+<li><a href="Plot-Annotations.html#index-xlabel-849"><code>xlabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Finding-Elements-and-Checking-Conditions.html#index-xor-956"><code>xor</code></a>: <a href="Finding-Elements-and-Checking-Conditions.html#Finding-Elements-and-Checking-Conditions">Finding Elements and Checking Conditions</a></li>
+<li><a href="Plot-Annotations.html#index-ylabel-850"><code>ylabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="Signal-Processing.html#index-yulewalker-1926"><code>yulewalker</code></a>: <a href="Signal-Processing.html#Signal-Processing">Signal Processing</a></li>
+<li><a href="Tests.html#index-z_005ftest-1491"><code>z_test</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Tests.html#index-z_005ftest_005f2-1492"><code>z_test_2</code></a>: <a href="Tests.html#Tests">Tests</a></li>
+<li><a href="Special-Utility-Matrices.html#index-zeros-1014"><code>zeros</code></a>: <a href="Special-Utility-Matrices.html#Special-Utility-Matrices">Special Utility Matrices</a></li>
+<li><a href="numerical.html#index-zgfmul-1785"><code>zgfmul</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgfslv-1786"><code>zgfslv</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zginit-1787"><code>zginit</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgreduce-1788"><code>zgreduce</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgrownorm-1789"><code>zgrownorm</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgscal-1790"><code>zgscal</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgsgiv-1791"><code>zgsgiv</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="numerical.html#index-zgshsr-1792"><code>zgshsr</code></a>: <a href="numerical.html#numerical">numerical</a></li>
+<li><a href="File-Archiving-Utilities.html#index-zip-2073"><code>zip</code></a>: <a href="File-Archiving-Utilities.html#File-Archiving-Utilities">File Archiving Utilities</a></li>
+<li><a href="Plot-Annotations.html#index-zlabel-851"><code>zlabel</code></a>: <a href="Plot-Annotations.html#Plot-Annotations">Plot Annotations</a></li>
+<li><a href="zp2sys.html#index-zp-1739"><code>zp</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
+<li><a href="misc.html#index-zp2ss-1865"><code>zp2ss</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="zp2sys.html#index-zp2sys-1740"><code>zp2sys</code></a>: <a href="zp2sys.html#zp2sys">zp2sys</a></li>
+<li><a href="misc.html#index-zp2tf-1866"><code>zp2tf</code></a>: <a href="misc.html#misc">misc</a></li>
+<li><a href="sysdisp.html#index-zpout-1755"><code>zpout</code></a>: <a href="sysdisp.html#sysdisp">sysdisp</a></li>
    </ul><!-- DO NOT EDIT!  Generated automatically by munge-texi. -->
 <!-- Copyright (C) 1996, 1997, 2007 John W. Eaton -->
 <!-- This file is part of Octave. -->
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Functions-of-a-Matrix.html 1:3.0.5-6/doc/interpreter/HTML/Functions-of-a-Matrix.html
--- 1:3.0.1-6/doc/interpreter/HTML/Functions-of-a-Matrix.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Functions-of-a-Matrix.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dexpm"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>expm</b> (<var>a</var>)<var><a name="index-expm-1205"></a></var><br>
+&mdash; Loadable Function:  <b>expm</b> (<var>a</var>)<var><a name="index-expm-1253"></a></var><br>
 <blockquote><p>Return the exponential of a matrix, defined as the infinite Taylor
 series
 
@@ -67,7 +67,7 @@ is ill-conditioned. 
    <p><a name="doc_002dlogm"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logm</b> (<var>a</var>)<var><a name="index-logm-1206"></a></var><br>
+&mdash; Function File:  <b>logm</b> (<var>a</var>)<var><a name="index-logm-1254"></a></var><br>
 <blockquote><p>Compute the matrix logarithm of the square matrix <var>a</var>.  Note that
 this is currently implemented in terms of an eigenvalue expansion and
 needs to be improved to be more robust. 
@@ -76,7 +76,7 @@ needs to be improved to be more robust. 
    <p><a name="doc_002dsqrtm"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>result</var>, <var>error_estimate</var>] = <b>sqrtm</b> (<var>a</var>)<var><a name="index-sqrtm-1207"></a></var><br>
+&mdash; Loadable Function: [<var>result</var>, <var>error_estimate</var>] = <b>sqrtm</b> (<var>a</var>)<var><a name="index-sqrtm-1255"></a></var><br>
 <blockquote><p>Compute the matrix square root of the square matrix <var>a</var>.
 
         <p>Ref: Nicholas J. Higham. A new sqrtm for MATLAB. Numerical Analysis
@@ -91,7 +91,7 @@ Manchester, England, January 1999.
    <p><a name="doc_002dkron"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>kron</b> (<var>a, b</var>)<var><a name="index-kron-1208"></a></var><br>
+&mdash; Loadable Function:  <b>kron</b> (<var>a, b</var>)<var><a name="index-kron-1256"></a></var><br>
 <blockquote><p>Form the kronecker product of two matrices, defined block by block as
 
      <pre class="example">          x = [a(i, j) b]
@@ -108,7 +108,7 @@ Manchester, England, January 1999.
    <p><a name="doc_002dsyl"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>x</var> = <b>syl</b> (<var>a, b, c</var>)<var><a name="index-syl-1209"></a></var><br>
+&mdash; Loadable Function: <var>x</var> = <b>syl</b> (<var>a, b, c</var>)<var><a name="index-syl-1257"></a></var><br>
 <blockquote><p>Solve the Sylvester equation
 
      <pre class="example">          A X + X B + C = 0
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Functions-of-One-Variable.html 1:3.0.5-6/doc/interpreter/HTML/Functions-of-One-Variable.html
--- 1:3.0.1-6/doc/interpreter/HTML/Functions-of-One-Variable.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Functions-of-One-Variable.html	2009-04-07 11:11:40.000000000 +0100
@@ -51,7 +51,7 @@ numerical integration using the trapezoi
    <p><a name="doc_002dquad"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>v</var>, <var>ier</var>, <var>nfun</var>, <var>err</var>] = <b>quad</b> (<var>f, a, b, tol, sing</var>)<var><a name="index-quad-1343"></a></var><br>
+&mdash; Loadable Function: [<var>v</var>, <var>ier</var>, <var>nfun</var>, <var>err</var>] = <b>quad</b> (<var>f, a, b, tol, sing</var>)<var><a name="index-quad-1391"></a></var><br>
 <blockquote><p>Integrate a nonlinear function of one variable using Quadpack. 
 The first argument is the name of the  function, the function handle or
 the inline function to call to compute the value of the integrand.  It
@@ -90,7 +90,7 @@ cannot be called recursively. 
    <p><a name="doc_002dquad_005foptions"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>quad_options</b> (<var>opt, val</var>)<var><a name="index-quad_005foptions-1344"></a></var><br>
+&mdash; Loadable Function:  <b>quad_options</b> (<var>opt, val</var>)<var><a name="index-quad_005foptions-1392"></a></var><br>
 <blockquote><p>When called with two arguments, this function
 allows you set options parameters for the function <code>quad</code>. 
 Given one argument, <code>quad_options</code> returns the value of the
@@ -142,10 +142,10 @@ if you move the lower bound to 0.1, then
    <p><a name="doc_002dquadl"></a>
 
 <div class="defun">
-&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b</var>)<var><a name="index-quadl-1345"></a></var><br>
-&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol</var>)<var><a name="index-quadl-1346"></a></var><br>
-&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol, trace</var>)<var><a name="index-quadl-1347"></a></var><br>
-&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol, trace, p1, p2, <small class="dots">...</small></var>)<var><a name="index-quadl-1348"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b</var>)<var><a name="index-quadl-1393"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol</var>)<var><a name="index-quadl-1394"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol, trace</var>)<var><a name="index-quadl-1395"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>quadl</b> (<var>f, a, b, tol, trace, p1, p2, <small class="dots">...</small></var>)<var><a name="index-quadl-1396"></a></var><br>
 <blockquote>
         <p>Numerically evaluate integral using adaptive Lobatto rule. 
 <code>quadl (</code><var>f</var><code>, </code><var>a</var><code>, </code><var>b</var><code>)</code> approximates the integral of
@@ -172,9 +172,9 @@ Revisited', BIT Vol. 40, No. 1, March 20
    <p><a name="doc_002dtrapz"></a>
 
 <div class="defun">
-&mdash; Function File: <var>z</var> = <b>trapz</b> (<var>y</var>)<var><a name="index-trapz-1349"></a></var><br>
-&mdash; Function File: <var>z</var> = <b>trapz</b> (<var>x, y</var>)<var><a name="index-trapz-1350"></a></var><br>
-&mdash; Function File: <var>z</var> = <b>trapz</b> (<var><small class="dots">...</small>, dim</var>)<var><a name="index-trapz-1351"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>trapz</b> (<var>y</var>)<var><a name="index-trapz-1397"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>trapz</b> (<var>x, y</var>)<var><a name="index-trapz-1398"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>trapz</b> (<var><small class="dots">...</small>, dim</var>)<var><a name="index-trapz-1399"></a></var><br>
 <blockquote>
         <p>Numerical integration using trapezoidal method. <code>trapz
 (</code><var>y</var><code>)</code> computes the integral of the <var>y</var> along the first
@@ -191,9 +191,9 @@ evaluates the integral with respect to <
    <p><a name="doc_002dcumtrapz"></a>
 
 <div class="defun">
-&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var>y</var>)<var><a name="index-cumtrapz-1352"></a></var><br>
-&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var>x, y</var>)<var><a name="index-cumtrapz-1353"></a></var><br>
-&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var><small class="dots">...</small>, dim</var>)<var><a name="index-cumtrapz-1354"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var>y</var>)<var><a name="index-cumtrapz-1400"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var>x, y</var>)<var><a name="index-cumtrapz-1401"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>cumtrapz</b> (<var><small class="dots">...</small>, dim</var>)<var><a name="index-cumtrapz-1402"></a></var><br>
 <blockquote>
         <p>Cumulative numerical integration using trapezoidal method. 
 <code>cumtrapz (</code><var>y</var><code>)</code> computes the cumulative integral of the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Getting-Started-with-Mex_002dFiles.html 1:3.0.5-6/doc/interpreter/HTML/Getting-Started-with-Mex_002dFiles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Getting-Started-with-Mex_002dFiles.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Getting-Started-with-Mex_002dFiles.html	2009-04-07 11:11:40.000000000 +0100
@@ -41,7 +41,7 @@ products, the use of the command <code>m
    <p><a name="doc_002dmex"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mex</b> [<var>options</var>]<var> file <small class="dots">...</small><a name="index-mex-2110"></a></var><br>
+&mdash; Function File:  <b>mex</b> [<var>options</var>]<var> file <small class="dots">...</small><a name="index-mex-2173"></a></var><br>
 <blockquote><p>Compile source code written in C, C++, or Fortran, to a MEX file. 
 This is equivalent to <code>mkoctfile --mex [options] file</code>.
         <pre class="sp">
@@ -53,7 +53,7 @@ This is equivalent to <code>mkoctfile --
    <p><a name="doc_002dmexext"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mexext</b> ()<var><a name="index-mexext-2111"></a></var><br>
+&mdash; Function File:  <b>mexext</b> ()<var><a name="index-mexext-2174"></a></var><br>
 <blockquote><p>Return the filename extension used for MEX files. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Getting-Started-with-Oct_002dFiles.html 1:3.0.5-6/doc/interpreter/HTML/Getting-Started-with-Oct_002dFiles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Getting-Started-with-Oct_002dFiles.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Getting-Started-with-Oct_002dFiles.html	2009-04-07 11:11:40.000000000 +0100
@@ -39,7 +39,7 @@ call from within octave or from the comm
    <p><a name="doc_002dmkoctfile"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mkoctfile</b> [<var>-options</var>]<var> file <small class="dots">...</small><a name="index-mkoctfile-2100"></a></var><br>
+&mdash; Function File:  <b>mkoctfile</b> [<var>-options</var>]<var> file <small class="dots">...</small><a name="index-mkoctfile-2163"></a></var><br>
 <blockquote>
         <p>The <code>mkoctfile</code> function compiles source code written in C,
 C++, or Fortran.  Depending on the options used with <code>mkoctfile</code>, the
Binary files 1:3.0.1-6/doc/interpreter/HTML/gplot.png and 1:3.0.5-6/doc/interpreter/HTML/gplot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Graphics-Object-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Graphics-Object-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Graphics-Object-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Graphics-Object-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h4 class="subsection">15.2.2 Graphics Object Properties</h4>
 
-<p><a name="index-graphics-object-properties-903"></a>
+<p><a name="index-graphics-object-properties-934"></a>
 
 <ul class="menu">
 <li><a accesskey="1" href="Root-Figure-Properties.html#Root-Figure-Properties">Root Figure Properties</a>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Graphics-Objects.html 1:3.0.5-6/doc/interpreter/HTML/Graphics-Objects.html
--- 1:3.0.1-6/doc/interpreter/HTML/Graphics-Objects.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Graphics-Objects.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,23 +38,23 @@ appearance and may also contain links to
 Graphics objects are only referenced by a numeric index, or <dfn>handle</dfn>.
 
      <dl>
-<dt>root figure<dd>The parent of all figure objects.  The index for the root figure is
+<dt>root figure<dd><a name="index-root-figure-graphics-object-872"></a><a name="index-graphics-object_002c-root-figure-873"></a>The parent of all figure objects.  The index for the root figure is
 defined to be 0.
 
-     <br><dt>figure<dd>A figure window.
+     <br><dt>figure<dd><a name="index-figure-graphics-object-874"></a><a name="index-graphics-object_002c-figure-875"></a>A figure window.
 
-     <br><dt>axes<dd>An set of axes.  This object is a child of a figure object and may be a
+     <br><dt>axes<dd><a name="index-axes-graphics-object-876"></a><a name="index-graphics-object_002c-axes-877"></a>An set of axes.  This object is a child of a figure object and may be a
 parent of line, text, image, patch, or surface objects.
 
-     <br><dt>line<dd>A line in two or three dimensions.
+     <br><dt>line<dd><a name="index-line-graphics-object-878"></a><a name="index-graphics-object_002c-line-879"></a>A line in two or three dimensions.
 
-     <br><dt>text<dd>Text annotations.
+     <br><dt>text<dd><a name="index-text-graphics-object-880"></a><a name="index-graphics-object_002c-text-881"></a>Text annotations.
 
-     <br><dt>image<dd>A bitmap image.
+     <br><dt>image<dd><a name="index-image-graphics-object-882"></a><a name="index-graphics-object_002c-image-883"></a>A bitmap image.
 
-     <br><dt>patch<dd>A filled polygon, currently limited to two dimensions.
+     <br><dt>patch<dd><a name="index-patch-graphics-object-884"></a><a name="index-graphics-object_002c-patch-885"></a>A filled polygon, currently limited to two dimensions.
 
-     <br><dt>surface<dd>A three-dimensional surface. 
+     <br><dt>surface<dd><a name="index-surface-graphics-object-886"></a><a name="index-graphics-object_002c-surface-887"></a>A three-dimensional surface. 
 </dl>
 
    <p>To determine whether an object is a graphics object index or a figure
@@ -63,14 +63,14 @@ index, use the functions <code>ishandle<
    <p><a name="doc_002dishandle"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>ishandle</b> (<var>h</var>)<var><a name="index-ishandle-861"></a></var><br>
+&mdash; Built-in Function:  <b>ishandle</b> (<var>h</var>)<var><a name="index-ishandle-888"></a></var><br>
 <blockquote><p>Return true if <var>h</var> is a graphics handle and false otherwise. 
 </p></blockquote></div>
 
    <p><a name="doc_002disfigure"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>isfigure</b> (<var>h</var>)<var><a name="index-isfigure-862"></a></var><br>
+&mdash; Function File:  <b>isfigure</b> (<var>h</var>)<var><a name="index-isfigure-889"></a></var><br>
 <blockquote><p>Return true if <var>h</var> is a graphics handle that contains a figure
 object and false otherwise. 
 </p></blockquote></div>
@@ -83,7 +83,7 @@ none exists.
    <p><a name="doc_002dgcf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gcf</b> ()<var><a name="index-gcf-863"></a></var><br>
+&mdash; Function File:  <b>gcf</b> ()<var><a name="index-gcf-890"></a></var><br>
 <blockquote><p>Return the current figure handle.  If a figure does not exist, create
 one and return its handle.  The handle may then be used to examine or
 set properties of the figure.  For example,
@@ -104,7 +104,7 @@ figure to <code>"on"</code> will cause i
    <p><a name="doc_002dgca"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gca</b> ()<var><a name="index-gca-864"></a></var><br>
+&mdash; Function File:  <b>gca</b> ()<var><a name="index-gca-891"></a></var><br>
 <blockquote><p>Return a handle to the current axis object.  If no axis object
 exists, create one and return its handle.  The handle may then be
 used to examine or set properties of the axes.  For example,
@@ -166,7 +166,7 @@ objects.
    <p><a name="doc_002dget"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>get</b> (<var>h, p</var>)<var><a name="index-get-865"></a></var><br>
+&mdash; Built-in Function:  <b>get</b> (<var>h, p</var>)<var><a name="index-get-892"></a></var><br>
 <blockquote><p>Return the named property <var>p</var> from the graphics handle <var>h</var>. 
 If <var>p</var> is omitted, return the complete property list for <var>h</var>. 
 If <var>h</var> is a vector, return a cell array including the property
@@ -176,7 +176,7 @@ values or lists respectively. 
    <p><a name="doc_002dset"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>set</b> (<var>h, p, v, <small class="dots">...</small></var>)<var><a name="index-set-866"></a></var><br>
+&mdash; Built-in Function:  <b>set</b> (<var>h, p, v, <small class="dots">...</small></var>)<var><a name="index-set-893"></a></var><br>
 <blockquote><p>Set the named property value or vector <var>p</var> to the value <var>v</var>
 for the graphics handle <var>h</var>. 
 </p></blockquote></div>
@@ -184,8 +184,8 @@ for the graphics handle <var>h</var>. 
    <p><a name="doc_002dancestor"></a>
 
 <div class="defun">
-&mdash; Function File: <var>parent</var> = <b>ancestor</b> (<var>h, type</var>)<var><a name="index-ancestor-867"></a></var><br>
-&mdash; Function File: <var>parent</var> = <b>ancestor</b> (<var>h, type, 'toplevel'</var>)<var><a name="index-ancestor-868"></a></var><br>
+&mdash; Function File: <var>parent</var> = <b>ancestor</b> (<var>h, type</var>)<var><a name="index-ancestor-894"></a></var><br>
+&mdash; Function File: <var>parent</var> = <b>ancestor</b> (<var>h, type, 'toplevel'</var>)<var><a name="index-ancestor-895"></a></var><br>
 <blockquote><p>Return the first ancestor of handle object <var>h</var> whose type matches
 <var>type</var>, where <var>type</var> is a character string. If <var>type</var> is a
 cell array of strings, return the first parent whose type matches
@@ -209,19 +209,19 @@ become children of the current axes obje
    <p><a name="doc_002daxes"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>axes</b> ()<var><a name="index-axes-869"></a></var><br>
-&mdash; Function File:  <b>axes</b> (<var>property, value, <small class="dots">...</small></var>)<var><a name="index-axes-870"></a></var><br>
-&mdash; Function File:  <b>axes</b> (<var>h</var>)<var><a name="index-axes-871"></a></var><br>
+&mdash; Function File:  <b>axes</b> ()<var><a name="index-axes-896"></a></var><br>
+&mdash; Function File:  <b>axes</b> (<var>property, value, <small class="dots">...</small></var>)<var><a name="index-axes-897"></a></var><br>
+&mdash; Function File:  <b>axes</b> (<var>h</var>)<var><a name="index-axes-898"></a></var><br>
 <blockquote><p>Create an axes object and return a handle to it. 
 </p></blockquote></div>
 
    <p><a name="doc_002dline"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>line</b> ()<var><a name="index-line-872"></a></var><br>
-&mdash; Function File:  <b>line</b> (<var>x, y</var>)<var><a name="index-line-873"></a></var><br>
-&mdash; Function File:  <b>line</b> (<var>x, y, z</var>)<var><a name="index-line-874"></a></var><br>
-&mdash; Function File:  <b>line</b> (<var>x, y, z, property, value, <small class="dots">...</small></var>)<var><a name="index-line-875"></a></var><br>
+&mdash; Function File:  <b>line</b> ()<var><a name="index-line-899"></a></var><br>
+&mdash; Function File:  <b>line</b> (<var>x, y</var>)<var><a name="index-line-900"></a></var><br>
+&mdash; Function File:  <b>line</b> (<var>x, y, z</var>)<var><a name="index-line-901"></a></var><br>
+&mdash; Function File:  <b>line</b> (<var>x, y, z, property, value, <small class="dots">...</small></var>)<var><a name="index-line-902"></a></var><br>
 <blockquote><p>Create line object from <var>x</var> and <var>y</var> and insert in current
 axes object.  Return a handle (or vector of handles) to the line
 objects created.
@@ -233,13 +233,13 @@ must appear in pairs. 
    <p><a name="doc_002dpatch"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>patch</b> ()<var><a name="index-patch-876"></a></var><br>
-&mdash; Function File:  <b>patch</b> (<var>x, y, c</var>)<var><a name="index-patch-877"></a></var><br>
-&mdash; Function File:  <b>patch</b> (<var>x, y, c, opts</var>)<var><a name="index-patch-878"></a></var><br>
-&mdash; Function File:  <b>patch</b> (<var>'Faces', f, 'Vertices', v, <small class="dots">...</small></var>)<var><a name="index-patch-879"></a></var><br>
-&mdash; Function File:  <b>patch</b> (<var><small class="dots">...</small>, prop, val</var>)<var><a name="index-patch-880"></a></var><br>
-&mdash; Function File:  <b>patch</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-patch-881"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>patch</b> (<var><small class="dots">...</small></var>)<var><a name="index-patch-882"></a></var><br>
+&mdash; Function File:  <b>patch</b> ()<var><a name="index-patch-903"></a></var><br>
+&mdash; Function File:  <b>patch</b> (<var>x, y, c</var>)<var><a name="index-patch-904"></a></var><br>
+&mdash; Function File:  <b>patch</b> (<var>x, y, c, opts</var>)<var><a name="index-patch-905"></a></var><br>
+&mdash; Function File:  <b>patch</b> (<var>'Faces', f, 'Vertices', v, <small class="dots">...</small></var>)<var><a name="index-patch-906"></a></var><br>
+&mdash; Function File:  <b>patch</b> (<var><small class="dots">...</small>, prop, val</var>)<var><a name="index-patch-907"></a></var><br>
+&mdash; Function File:  <b>patch</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-patch-908"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>patch</b> (<var><small class="dots">...</small></var>)<var><a name="index-patch-909"></a></var><br>
 <blockquote><p>Create patch object from <var>x</var> and <var>y</var> with color <var>c</var> and
 insert in the current axes object.  Return handle to patch object.
 
@@ -251,13 +251,13 @@ example, "r" or "red"). 
    <p><a name="doc_002dsurface"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>surface</b> (<var>x, y, z, c</var>)<var><a name="index-surface-883"></a></var><br>
-&mdash; Function File:  <b>surface</b> (<var>x, y, z</var>)<var><a name="index-surface-884"></a></var><br>
-&mdash; Function File:  <b>surface</b> (<var>z, c</var>)<var><a name="index-surface-885"></a></var><br>
-&mdash; Function File:  <b>surface</b> (<var>z</var>)<var><a name="index-surface-886"></a></var><br>
-&mdash; Function File:  <b>surface</b> (<var><small class="dots">...</small>, prop, val</var>)<var><a name="index-surface-887"></a></var><br>
-&mdash; Function File:  <b>surface</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-surface-888"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>surface</b> (<var><small class="dots">...</small></var>)<var><a name="index-surface-889"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var>x, y, z, c</var>)<var><a name="index-surface-910"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var>x, y, z</var>)<var><a name="index-surface-911"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var>z, c</var>)<var><a name="index-surface-912"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var>z</var>)<var><a name="index-surface-913"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var><small class="dots">...</small>, prop, val</var>)<var><a name="index-surface-914"></a></var><br>
+&mdash; Function File:  <b>surface</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-surface-915"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>surface</b> (<var><small class="dots">...</small></var>)<var><a name="index-surface-916"></a></var><br>
 <blockquote><p>Plot a surface graphic object given matrices <var>x</var>, and <var>y</var> from
 <code>meshgrid</code> and a matrix <var>z</var> corresponding to the <var>x</var> and
 <var>y</var> coordinates of the surface.  If <var>x</var> and <var>y</var> are vectors,
@@ -280,7 +280,7 @@ or when waiting for input.  To force an 
    <p><a name="doc_002ddrawnow"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>drawnow</b> ()<var><a name="index-drawnow-890"></a></var><br>
+&mdash; Function File:  <b>drawnow</b> ()<var><a name="index-drawnow-917"></a></var><br>
 <blockquote><p>Update and display the current graphics.
 
         <p>Octave automatically calls drawnow just before printing a prompt,
@@ -307,7 +307,7 @@ plot.
    <p><a name="doc_002dnewplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>newplot</b> ()<var><a name="index-newplot-891"></a></var><br>
+&mdash; Function File:  <b>newplot</b> ()<var><a name="index-newplot-918"></a></var><br>
 <blockquote><p>Prepare graphics engine to produce a new plot.  This function should
 be called at the beginning of all high-level plotting functions. 
 </p></blockquote></div>
@@ -315,7 +315,7 @@ be called at the beginning of all high-l
    <p><a name="doc_002dhold"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hold</b><var> args<a name="index-hold-892"></a></var><br>
+&mdash; Function File:  <b>hold</b><var> args<a name="index-hold-919"></a></var><br>
 <blockquote><p>Tell Octave to `hold' the current data on the plot when executing
 subsequent plotting commands.  This allows you to execute a series of
 plot commands and have all the lines end up on the same figure.  The
@@ -332,7 +332,7 @@ state. 
    <p><a name="doc_002dishold"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ishold</b><var><a name="index-ishold-893"></a></var><br>
+&mdash; Function File:  <b>ishold</b><var><a name="index-ishold-920"></a></var><br>
 <blockquote><p>Return true if the next line will be added to the current plot, or
 false if the plot device will be cleared before drawing the next line. 
 </p></blockquote></div>
@@ -345,18 +345,25 @@ figure window, call the <code>close</cod
    <p><a name="doc_002dclf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>clf</b> ()<var><a name="index-clf-894"></a></var><br>
-<blockquote><p>Clear the current figure.
+&mdash; Function File:  <b>clf</b> ()<var><a name="index-clf-921"></a></var><br>
+&mdash; Function File:  <b>clf</b> (<var>"reset"</var>)<var><a name="index-clf-922"></a></var><br>
+&mdash; Function File:  <b>clf</b> (<var>hfig</var>)<var><a name="index-clf-923"></a></var><br>
+&mdash; Function File:  <b>clf</b> (<var>hfig, "reset"</var>)<var><a name="index-clf-924"></a></var><br>
+&mdash; Function File: <var>hfig</var> = <b>clf</b> (<var><small class="dots">...</small></var>)<var><a name="index-clf-925"></a></var><br>
+<blockquote><p>Delete the children of the current figure with visible handles. 
+If <var>hfig</var> is specified and is an figure object handle, operate on it
+instead of the current figure.  If the optional argument <code>"reset"</code>
+is specified, also delete the figure's children with hidden handles.
         <pre class="sp">
      
      </pre>
-     <strong>See also:</strong> close, delete. 
+     <strong>See also:</strong> cla, close, delete. 
 </p></blockquote></div>
 
    <p><a name="doc_002dshg"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>shg</b><var><a name="index-shg-895"></a></var><br>
+&mdash; Function File:  <b>shg</b><var><a name="index-shg-926"></a></var><br>
 <blockquote><p>Show the graph window.  Currently, this is the same as executing
 <code>drawnow</code>.
         <pre class="sp">
@@ -368,18 +375,18 @@ figure window, call the <code>close</cod
    <p><a name="doc_002ddelete"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>delete</b> (<var>file</var>)<var><a name="index-delete-896"></a></var><br>
-&mdash; Function File:  <b>delete</b> (<var>h</var>)<var><a name="index-delete-897"></a></var><br>
+&mdash; Function File:  <b>delete</b> (<var>file</var>)<var><a name="index-delete-927"></a></var><br>
+&mdash; Function File:  <b>delete</b> (<var>h</var>)<var><a name="index-delete-928"></a></var><br>
 <blockquote><p>Delete the named file or figure handle. 
 </p></blockquote></div>
 
    <p><a name="doc_002dclose"></a>
 
 <div class="defun">
-&mdash; Command:  <b>close</b><var><a name="index-close-898"></a></var><br>
-&mdash; Command:  <b>close</b> (<var>n</var>)<var><a name="index-close-899"></a></var><br>
-&mdash; Command:  <b>close</b><var> all<a name="index-close-900"></a></var><br>
-&mdash; Command:  <b>close</b><var> all hidden<a name="index-close-901"></a></var><br>
+&mdash; Command:  <b>close</b><var><a name="index-close-929"></a></var><br>
+&mdash; Command:  <b>close</b> (<var>n</var>)<var><a name="index-close-930"></a></var><br>
+&mdash; Command:  <b>close</b><var> all<a name="index-close-931"></a></var><br>
+&mdash; Command:  <b>close</b><var> all hidden<a name="index-close-932"></a></var><br>
 <blockquote><p>Close figure window(s) by calling the function specified by the
 <code>"closerequestfcn"</code> property for each figure.  By default, the
 function <code>closereq</code> is used.
@@ -392,7 +399,7 @@ function <code>closereq</code> is used.
    <p><a name="doc_002dclosereq"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>closereq</b> ()<var><a name="index-closereq-902"></a></var><br>
+&mdash; Function File:  <b>closereq</b> ()<var><a name="index-closereq-933"></a></var><br>
 <blockquote><p>Close the current figure and delete all graphics objects associated
 with it.
         <pre class="sp">
Binary files 1:3.0.1-6/doc/interpreter/HTML/griddata.png and 1:3.0.5-6/doc/interpreter/HTML/griddata.png differ
Binary files 1:3.0.1-6/doc/interpreter/HTML/grid.png and 1:3.0.5-6/doc/interpreter/HTML/grid.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Group-Database-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Group-Database-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Group-Database-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Group-Database-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -53,7 +53,7 @@ referred to as a <var>grp_struct</var>.
    <p><a name="doc_002dgetgrent"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrent</b> ()<var><a name="index-getgrent-2077"></a></var><br>
+&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrent</b> ()<var><a name="index-getgrent-2140"></a></var><br>
 <blockquote><p>Return an entry from the group database, opening it if necessary. 
 Once the end of the data has been reached, <code>getgrent</code> returns 0. 
 </p></blockquote></div>
@@ -61,7 +61,7 @@ Once the end of the data has been reache
    <p><a name="doc_002dgetgrgid"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrgid</b> (<var>gid</var>)<var>.<a name="index-getgrgid-2078"></a></var><br>
+&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrgid</b> (<var>gid</var>)<var>.<a name="index-getgrgid-2141"></a></var><br>
 <blockquote><p>Return the first entry from the group database with the group ID
 <var>gid</var>.  If the group ID does not exist in the database,
 <code>getgrgid</code> returns 0. 
@@ -70,7 +70,7 @@ Once the end of the data has been reache
    <p><a name="doc_002dgetgrnam"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrnam</b> (<var>name</var>)<var><a name="index-getgrnam-2079"></a></var><br>
+&mdash; Loadable Function: <var>grp_struct</var> = <b>getgrnam</b> (<var>name</var>)<var><a name="index-getgrnam-2142"></a></var><br>
 <blockquote><p>Return the first entry from the group database with the group name
 <var>name</var>.  If the group name does not exist in the database,
 <code>getgrname</code> returns 0. 
@@ -79,14 +79,14 @@ Once the end of the data has been reache
    <p><a name="doc_002dsetgrent"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>setgrent</b> ()<var><a name="index-setgrent-2080"></a></var><br>
+&mdash; Loadable Function:  <b>setgrent</b> ()<var><a name="index-setgrent-2143"></a></var><br>
 <blockquote><p>Return the internal pointer to the beginning of the group database. 
 </p></blockquote></div>
 
    <p><a name="doc_002dendgrent"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>endgrent</b> ()<var><a name="index-endgrent-2081"></a></var><br>
+&mdash; Loadable Function:  <b>endgrent</b> ()<var><a name="index-endgrent-2144"></a></var><br>
 <blockquote><p>Close the group database. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Hashing-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Hashing-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Hashing-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Hashing-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -57,8 +57,8 @@ be
    <p><a name="doc_002dmd5sum"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>md5sum</b> (<var>file</var>)<var><a name="index-md5sum-2093"></a></var><br>
-&mdash; Loadable Function:  <b>md5sum</b> (<var>str, opt</var>)<var><a name="index-md5sum-2094"></a></var><br>
+&mdash; Loadable Function:  <b>md5sum</b> (<var>file</var>)<var><a name="index-md5sum-2156"></a></var><br>
+&mdash; Loadable Function:  <b>md5sum</b> (<var>str, opt</var>)<var><a name="index-md5sum-2157"></a></var><br>
 <blockquote><p>Calculates the MD5 sum of the file <var>file</var>. If the second parameter
 <var>opt</var> exists and is true, then calculate the MD5 sum of the
 string <var>str</var>. 
Binary files 1:3.0.1-6/doc/interpreter/HTML/hist.png and 1:3.0.5-6/doc/interpreter/HTML/hist.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Identifying-points-in-Triangulation.html 1:3.0.5-6/doc/interpreter/HTML/Identifying-points-in-Triangulation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Identifying-points-in-Triangulation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Identifying-points-in-Triangulation.html	2009-04-07 11:11:40.000000000 +0100
@@ -85,7 +85,7 @@ Barycentric coordinates are not explicit
    <p><a name="doc_002dtsearch"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>idx</var> = <b>tsearch</b> (<var>x, y, t, xi, yi</var>)<var><a name="index-tsearch-1642"></a></var><br>
+&mdash; Loadable Function: <var>idx</var> = <b>tsearch</b> (<var>x, y, t, xi, yi</var>)<var><a name="index-tsearch-1704"></a></var><br>
 <blockquote><p>Searches for the enclosing Delaunay convex hull. For <var>t</var><code> =
 delaunay (</code><var>x</var><code>, </code><var>y</var><code>)</code>, finds the index in <var>t</var> containing the
 points <code>(</code><var>xi</var><code>, </code><var>yi</var><code>)</code>. For points outside the convex hull,
@@ -99,7 +99,7 @@ points <code>(</code><var>xi</var><code>
    <p><a name="doc_002dtsearchn"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>idx</var>, <var>p</var>] = <b>tsearchn</b> (<var>x, t, xi</var>)<var><a name="index-tsearchn-1643"></a></var><br>
+&mdash; Function File: [<var>idx</var>, <var>p</var>] = <b>tsearchn</b> (<var>x, t, xi</var>)<var><a name="index-tsearchn-1705"></a></var><br>
 <blockquote><p>Searches for the enclosing Delaunay convex hull. For <var>t</var><code> =
 delaunayn (</code><var>x</var><code>)</code>, finds the index in <var>t</var> containing the
 points <var>xi</var>. For points outside the convex hull, <var>idx</var> is NaN. 
@@ -140,8 +140,8 @@ N-simplex within which the desired point
    <p><a name="doc_002ddsearch"></a>
 
 <div class="defun">
-&mdash; Function File: <var>idx</var> = <b>dsearch</b> (<var>x, y, tri, xi, yi</var>)<var><a name="index-dsearch-1644"></a></var><br>
-&mdash; Function File: <var>idx</var> = <b>dsearch</b> (<var>x, y, tri, xi, yi, s</var>)<var><a name="index-dsearch-1645"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>dsearch</b> (<var>x, y, tri, xi, yi</var>)<var><a name="index-dsearch-1706"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>dsearch</b> (<var>x, y, tri, xi, yi, s</var>)<var><a name="index-dsearch-1707"></a></var><br>
 <blockquote><p>Returns the index <var>idx</var> or the closest point in <var>x</var><code>, </code><var>y</var><code>)</code>
 to the elements <code>[</code><var>xi</var><code>(:), </code><var>yi</var><code>(:)]</code>. The variable <var>s</var> is
 accepted but ignored for compatibility.
@@ -154,10 +154,10 @@ accepted but ignored for compatibility.
    <p><a name="doc_002ddsearchn"></a>
 
 <div class="defun">
-&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, tri, xi</var>)<var><a name="index-dsearchn-1646"></a></var><br>
-&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, tri, xi, outval</var>)<var><a name="index-dsearchn-1647"></a></var><br>
-&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, xi</var>)<var><a name="index-dsearchn-1648"></a></var><br>
-&mdash; Function File: [<var>idx</var>, <var>d</var>] = <b>dsearchn</b> (<var><small class="dots">...</small></var>)<var><a name="index-dsearchn-1649"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, tri, xi</var>)<var><a name="index-dsearchn-1708"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, tri, xi, outval</var>)<var><a name="index-dsearchn-1709"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>dsearchn</b> (<var>x, xi</var>)<var><a name="index-dsearchn-1710"></a></var><br>
+&mdash; Function File: [<var>idx</var>, <var>d</var>] = <b>dsearchn</b> (<var><small class="dots">...</small></var>)<var><a name="index-dsearchn-1711"></a></var><br>
 <blockquote><p>Returns the index <var>idx</var> or the closest point in <var>x</var> to the elements
 <var>xi</var>. If <var>outval</var> is supplied, then the values of <var>xi</var> that are
 not contained within one of the simplicies <var>tri</var> are set to
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Image-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Image-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Image-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Image-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,6 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.6 Image Properties</h5>
 
+<p><a name="index-image-properties-939"></a>
      <dl>
 <dt><code>cdata</code><dd>The data for the image.  Each pixel of the image corresponds to an
 element of <code>cdata</code>.  The value of an element of <code>cdata</code>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/index.html 1:3.0.5-6/doc/interpreter/HTML/index.html
--- 1:3.0.1-6/doc/interpreter/HTML/index.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/index.html	2009-04-07 11:11:40.000000000 +0100
@@ -596,7 +596,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <p>This manual documents how to run, install and port GNU Octave, as well
 as its new features and incompatibilities, and how to report bugs. 
-It corresponds to GNU Octave version 3.0.1.
+It corresponds to GNU Octave version 3.0.5.
 
 <!--  -->
 <ul class="menu">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Information.html 1:3.0.5-6/doc/interpreter/HTML/Information.html
--- 1:3.0.1-6/doc/interpreter/HTML/Information.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Information.html	2009-04-07 11:11:40.000000000 +0100
@@ -53,14 +53,14 @@ mean and the variance of each column.
    <p><a name="doc_002dissparse"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>issparse</b> (<var>expr</var>)<var><a name="index-issparse-1254"></a></var><br>
+&mdash; Loadable Function:  <b>issparse</b> (<var>expr</var>)<var><a name="index-issparse-1302"></a></var><br>
 <blockquote><p>Return 1 if the value of the expression <var>expr</var> is a sparse matrix. 
 </p></blockquote></div>
 
    <p><a name="doc_002dnnz"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>scalar</var> = <b>nnz</b> (<var>a</var>)<var><a name="index-nnz-1255"></a></var><br>
+&mdash; Built-in Function: <var>scalar</var> = <b>nnz</b> (<var>a</var>)<var><a name="index-nnz-1303"></a></var><br>
 <blockquote><p>Returns the number of non zero elements in <var>a</var>.
         <pre class="sp">
      
@@ -71,14 +71,14 @@ mean and the variance of each column.
    <p><a name="doc_002dnonzeros"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nonzeros</b> (<var>s</var>)<var><a name="index-nonzeros-1256"></a></var><br>
+&mdash; Function File:  <b>nonzeros</b> (<var>s</var>)<var><a name="index-nonzeros-1304"></a></var><br>
 <blockquote><p>Returns a vector of the non-zero values of the sparse matrix <var>s</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dnzmax"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>scalar</var> = <b>nzmax</b> (<var>SM</var>)<var><a name="index-nzmax-1257"></a></var><br>
+&mdash; Built-in Function: <var>scalar</var> = <b>nzmax</b> (<var>SM</var>)<var><a name="index-nzmax-1305"></a></var><br>
 <blockquote><p>Return the amount of storage allocated to the sparse matrix <var>SM</var>. 
 Note that Octave tends to crop unused memory at the first opportunity
 for sparse objects. There are some cases of user created sparse objects
@@ -93,8 +93,8 @@ but in general they will give the same r
    <p><a name="doc_002dspstats"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>count</var>, <var>mean</var>, <var>var</var>] = <b>spstats</b> (<var>s</var>)<var><a name="index-spstats-1258"></a></var><br>
-&mdash; Function File: [<var>count</var>, <var>mean</var>, <var>var</var>] = <b>spstats</b> (<var>s, j</var>)<var><a name="index-spstats-1259"></a></var><br>
+&mdash; Function File: [<var>count</var>, <var>mean</var>, <var>var</var>] = <b>spstats</b> (<var>s</var>)<var><a name="index-spstats-1306"></a></var><br>
+&mdash; Function File: [<var>count</var>, <var>mean</var>, <var>var</var>] = <b>spstats</b> (<var>s, j</var>)<var><a name="index-spstats-1307"></a></var><br>
 <blockquote><p>Return the stats for the non-zero elements of the sparse matrix <var>s</var>. 
 <var>count</var> is the number of non-zeros in each column, <var>mean</var>
 is the mean of the non-zeros in each column, and <var>var</var> is the
@@ -180,9 +180,9 @@ symmetric or <code>treeplot(etree(A+A'))
    <p><a name="doc_002dspy"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spy</b> (<var>x</var>)<var><a name="index-spy-1260"></a></var><br>
-&mdash; Function File:  <b>spy</b> (<var><small class="dots">...</small>, markersize</var>)<var><a name="index-spy-1261"></a></var><br>
-&mdash; Function File:  <b>spy</b> (<var><small class="dots">...</small>, LineSpec</var>)<var><a name="index-spy-1262"></a></var><br>
+&mdash; Function File:  <b>spy</b> (<var>x</var>)<var><a name="index-spy-1308"></a></var><br>
+&mdash; Function File:  <b>spy</b> (<var><small class="dots">...</small>, markersize</var>)<var><a name="index-spy-1309"></a></var><br>
+&mdash; Function File:  <b>spy</b> (<var><small class="dots">...</small>, LineSpec</var>)<var><a name="index-spy-1310"></a></var><br>
 <blockquote><p>Plot the sparsity pattern of the sparse matrix <var>x</var>. If the argument
 <var>markersize</var> is given as an scalar value, it is used to determine the
 point size in the plot. If the string <var>LineSpec</var> is given it is
@@ -196,9 +196,9 @@ passed to <code>plot</code> and determin
    <p><a name="doc_002detree"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>etree</b> (<var>s</var>)<var><a name="index-etree-1263"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>etree</b> (<var>s, typ</var>)<var><a name="index-etree-1264"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>q</var>] = <b>etree</b> (<var>s, typ</var>)<var><a name="index-etree-1265"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>etree</b> (<var>s</var>)<var><a name="index-etree-1311"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>etree</b> (<var>s, typ</var>)<var><a name="index-etree-1312"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>q</var>] = <b>etree</b> (<var>s, typ</var>)<var><a name="index-etree-1313"></a></var><br>
 <blockquote>
         <p>Returns the elimination tree for the matrix <var>s</var>. By default <var>s</var>
 is assumed to be symmetric and the symmetric elimination tree is
@@ -213,8 +213,8 @@ permutations on the tree. 
    <p><a name="doc_002detreeplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>etreeplot</b> (<var>tree</var>)<var><a name="index-etreeplot-1266"></a></var><br>
-&mdash; Function File:  <b>etreeplot</b> (<var>tree, node_style, edge_style</var>)<var><a name="index-etreeplot-1267"></a></var><br>
+&mdash; Function File:  <b>etreeplot</b> (<var>tree</var>)<var><a name="index-etreeplot-1314"></a></var><br>
+&mdash; Function File:  <b>etreeplot</b> (<var>tree, node_style, edge_style</var>)<var><a name="index-etreeplot-1315"></a></var><br>
 <blockquote><p>Plot the elimination tree of the matrix <var>s</var> or
 <var>s</var><code>+</code><var>s</var><code>'</code>  if <var>s</var> in non-symmetric.  The optional
 parameters <var>line_style</var> and <var>edge_style</var> define the output
@@ -228,9 +228,9 @@ style.
    <p><a name="doc_002dgplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gplot</b> (<var>a, xy</var>)<var><a name="index-gplot-1268"></a></var><br>
-&mdash; Function File:  <b>gplot</b> (<var>a, xy, line_style</var>)<var><a name="index-gplot-1269"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>y</var>] = <b>gplot</b> (<var>a, xy</var>)<var><a name="index-gplot-1270"></a></var><br>
+&mdash; Function File:  <b>gplot</b> (<var>a, xy</var>)<var><a name="index-gplot-1316"></a></var><br>
+&mdash; Function File:  <b>gplot</b> (<var>a, xy, line_style</var>)<var><a name="index-gplot-1317"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>] = <b>gplot</b> (<var>a, xy</var>)<var><a name="index-gplot-1318"></a></var><br>
 <blockquote><p>Plot a graph defined by <var>A</var> and <var>xy</var> in the graph theory
 sense.  <var>A</var> is the adjacency matrix of the array to be plotted
 and <var>xy</var> is an <var>n</var>-by-2 matrix containing the coordinates of
@@ -249,8 +249,8 @@ and <var>y</var>.
    <p><a name="doc_002dtreeplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>treeplot</b> (<var>Tree</var>)<var><a name="index-treeplot-1271"></a></var><br>
-&mdash; Function File:  <b>treeplot</b> (<var>Tree, LineStyle, EdgeStyle</var>)<var><a name="index-treeplot-1272"></a></var><br>
+&mdash; Function File:  <b>treeplot</b> (<var>Tree</var>)<var><a name="index-treeplot-1319"></a></var><br>
+&mdash; Function File:  <b>treeplot</b> (<var>Tree, LineStyle, EdgeStyle</var>)<var><a name="index-treeplot-1320"></a></var><br>
 <blockquote><p>Produces a graph of tree or forest. The first argument is vector of
 predecessors, optional parameters <var>LineStyle</var> and <var>EdgeStyle</var>
 define the output style. The complexity of the algorithm is O(n) in
Binary files 1:3.0.1-6/doc/interpreter/HTML/inpolygon.png and 1:3.0.5-6/doc/interpreter/HTML/inpolygon.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Installation.html 1:3.0.5-6/doc/interpreter/HTML/Installation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Installation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Installation.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix E Installing Octave</h2>
 
-   <p><a name="index-installing-Octave-2179"></a>
+   <p><a name="index-installing-Octave-2242"></a>
 Here is the procedure for installing Octave from scratch on a Unix
 system.
 
@@ -53,7 +53,7 @@ of <var>prefix</var> is <samp><span clas
 
           <br><dt><code>--enable-bounds-check</code><dd>Enable bounds checking for indexing operators in the internal array
 classes.  This option is primarily used for debugging Octave.  Building
-Octave with this option has a negative impact on performace and is not
+Octave with this option has a negative impact on performance and is not
 recommended for general use.
 
           <br><dt><code>--enable-64</code><dd>This is an <strong>experimental</strong> option to enable Octave to use 64-bit
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Installation-Problems.html 1:3.0.5-6/doc/interpreter/HTML/Installation-Problems.html
--- 1:3.0.1-6/doc/interpreter/HTML/Installation-Problems.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Installation-Problems.html	2009-04-07 11:11:40.000000000 +0100
@@ -36,7 +36,7 @@ installation of Octave.
 
      <ul>
 <li>On some SCO systems, <code>info</code> fails to compile if
-<code>HAVE_TERMIOS_H</code> is defined int <samp><span class="file">config.h</span></samp>.  Simply removing
+<code>HAVE_TERMIOS_H</code> is defined in <samp><span class="file">config.h</span></samp>.  Simply removing
 the definition from <samp><span class="file">info/config.h</span></samp> should allow it to compile.
 
      <li>If <code>configure</code> finds <code>dlopen</code>, <code>dlsym</code>, <code>dlclose</code>,
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Integer-Data-Types.html 1:3.0.5-6/doc/interpreter/HTML/Integer-Data-Types.html
--- 1:3.0.1-6/doc/interpreter/HTML/Integer-Data-Types.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Integer-Data-Types.html	2009-04-07 11:11:39.000000000 +0100
@@ -62,7 +62,7 @@ when converted.
 &mdash; Built-in Function:  <b>isinteger</b> (<var>x</var>)<var><a name="index-isinteger-206"></a></var><br>
 <blockquote><p>Return true if <var>x</var> is an integer object (int8, uint8, int16, etc.). 
 Note that <code>isinteger (14)</code> is false because numeric constants in
-are double precision floating point values.
+Octave are double precision floating point values.
         <pre class="sp">
      
      </pre>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Interaction-with-gnuplot.html 1:3.0.5-6/doc/interpreter/HTML/Interaction-with-gnuplot.html
--- 1:3.0.1-6/doc/interpreter/HTML/Interaction-with-gnuplot.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Interaction-with-gnuplot.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,8 +35,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dgnuplot_005fbinary"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>val</var> = <b>gnuplot_binary</b> ()<var><a name="index-gnuplot_005fbinary-904"></a></var><br>
-&mdash; Loadable Function: <var>old_val</var> = <b>gnuplot_binary</b> (<var>new_val</var>)<var><a name="index-gnuplot_005fbinary-905"></a></var><br>
+&mdash; Loadable Function: <var>val</var> = <b>gnuplot_binary</b> ()<var><a name="index-gnuplot_005fbinary-950"></a></var><br>
+&mdash; Loadable Function: <var>old_val</var> = <b>gnuplot_binary</b> (<var>new_val</var>)<var><a name="index-gnuplot_005fbinary-951"></a></var><br>
 <blockquote><p>Query or set the name of the program invoked by the plot command. 
 The default value <code>"gnuplot"</code>.  See <a href="Installation.html#Installation">Installation</a>. 
 </p></blockquote></div>
@@ -44,8 +44,8 @@ The default value <code>"gnuplot"</code>
    <p><a name="doc_002dgnuplot_005fuse_005ftitle_005foption"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>val</var> = <b>gnuplot_use_title_option</b> ()<var><a name="index-gnuplot_005fuse_005ftitle_005foption-906"></a></var><br>
-&mdash; Loadable Function: <var>old_val</var> = <b>gnuplot_use_title_option</b> (<var>new_val</var>)<var><a name="index-gnuplot_005fuse_005ftitle_005foption-907"></a></var><br>
+&mdash; Loadable Function: <var>val</var> = <b>gnuplot_use_title_option</b> ()<var><a name="index-gnuplot_005fuse_005ftitle_005foption-952"></a></var><br>
+&mdash; Loadable Function: <var>old_val</var> = <b>gnuplot_use_title_option</b> (<var>new_val</var>)<var><a name="index-gnuplot_005fuse_005ftitle_005foption-953"></a></var><br>
 <blockquote><p>If enabled, append &lsquo;<samp><span class="samp">-title "Figure NN"</span></samp>&rsquo; to the gnuplot command. 
 By default, this feature is enabled if the <code>DISPLAY</code> environment
 variable is set when Octave starts.
Binary files 1:3.0.1-6/doc/interpreter/HTML/interpderiv1.png and 1:3.0.5-6/doc/interpreter/HTML/interpderiv1.png differ
Binary files 1:3.0.1-6/doc/interpreter/HTML/interpderiv2.png and 1:3.0.5-6/doc/interpreter/HTML/interpderiv2.png differ
Binary files 1:3.0.1-6/doc/interpreter/HTML/interpft.png and 1:3.0.5-6/doc/interpreter/HTML/interpft.png differ
Binary files 1:3.0.1-6/doc/interpreter/HTML/interpn.png and 1:3.0.5-6/doc/interpreter/HTML/interpn.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Interpolation-on-Scattered-Data.html 1:3.0.5-6/doc/interpreter/HTML/Interpolation-on-Scattered-Data.html
--- 1:3.0.1-6/doc/interpreter/HTML/Interpolation-on-Scattered-Data.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Interpolation-on-Scattered-Data.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,8 +45,8 @@ interpolation are <code>griddata</code>,
    <p><a name="doc_002dgriddata"></a>
 
 <div class="defun">
-&mdash; Function File: <var>zi</var> = <b>griddata</b> (<var>x, y, z, xi, yi, method</var>)<var><a name="index-griddata-1663"></a></var><br>
-&mdash; Function File: [<var>xi</var>, <var>yi</var>, <var>zi</var>] = <b>griddata</b> (<var>x, y, z, xi, yi, method</var>)<var><a name="index-griddata-1664"></a></var><br>
+&mdash; Function File: <var>zi</var> = <b>griddata</b> (<var>x, y, z, xi, yi, method</var>)<var><a name="index-griddata-1725"></a></var><br>
+&mdash; Function File: [<var>xi</var>, <var>yi</var>, <var>zi</var>] = <b>griddata</b> (<var>x, y, z, xi, yi, method</var>)<var><a name="index-griddata-1726"></a></var><br>
 <blockquote>
         <p>Generate a regular mesh from irregular data using interpolation. 
 The function is defined by <var>z</var><code> = f (</code><var>x</var><code>, </code><var>y</var><code>)</code>. 
@@ -64,7 +64,7 @@ The interpolation points are all <code>(
    <p><a name="doc_002dgriddata3"></a>
 
 <div class="defun">
-&mdash; Function File: <var>vi</var> = <b>griddata3</b> (<var>x, y, z, v xi, yi, zi, method, options</var>)<var><a name="index-griddata3-1665"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>griddata3</b> (<var>x, y, z, v xi, yi, zi, method, options</var>)<var><a name="index-griddata3-1727"></a></var><br>
 <blockquote>
         <p>Generate a regular mesh from irregular data using interpolation. 
 The function is defined by <var>y</var><code> = f (</code><var>x</var><code>,</code><var>y</var><code>,</code><var>z</var><code>)</code>. 
@@ -81,7 +81,7 @@ If method is omitted it defaults to <cod
    <p><a name="doc_002dgriddatan"></a>
 
 <div class="defun">
-&mdash; Function File: <var>yi</var> = <b>griddatan</b> (<var>x, y, xi, method, options</var>)<var><a name="index-griddatan-1666"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>griddatan</b> (<var>x, y, xi, method, options</var>)<var><a name="index-griddatan-1728"></a></var><br>
 <blockquote>
         <p>Generate a regular mesh from irregular data using interpolation. 
 The function is defined by <var>y</var><code> = f (</code><var>x</var><code>)</code>. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Introduction.html 1:3.0.5-6/doc/interpreter/HTML/Introduction.html
--- 1:3.0.1-6/doc/interpreter/HTML/Introduction.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Introduction.html	2009-04-07 11:11:39.000000000 +0100
@@ -48,7 +48,7 @@ redistribute it and/or modify it under t
 Public License as published by the Free Software Foundation.  The GPL is
 included in this manual in <a href="Copying.html#Copying">Copying</a>.
 
-   <p>This document corresponds to Octave version 3.0.1.
+   <p>This document corresponds to Octave version 3.0.5.
 
 <!-- FIXME - add explanation about how and why Octave was written. -->
 <!-- FIXME - add a sentence or two explaining that we could -->
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Iterative-Techniques.html 1:3.0.5-6/doc/interpreter/HTML/Iterative-Techniques.html
--- 1:3.0.1-6/doc/interpreter/HTML/Iterative-Techniques.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Iterative-Techniques.html	2009-04-07 11:11:40.000000000 +0100
@@ -43,8 +43,8 @@ functions to solve sparse linear equatio
    <p><a name="doc_002dpcg"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>pcg</b> (<var>a, b, tol, maxit, m1, m2, x0, <small class="dots">...</small></var>)<var><a name="index-pcg-1335"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>flag</var>, <var>relres</var>, <var>iter</var>, <var>resvec</var>, <var>eigest</var>] = <b>pcg</b> (<var><small class="dots">...</small></var>)<var><a name="index-pcg-1336"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>pcg</b> (<var>a, b, tol, maxit, m1, m2, x0, <small class="dots">...</small></var>)<var><a name="index-pcg-1383"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>flag</var>, <var>relres</var>, <var>iter</var>, <var>resvec</var>, <var>eigest</var>] = <b>pcg</b> (<var><small class="dots">...</small></var>)<var><a name="index-pcg-1384"></a></var><br>
 <blockquote>
         <p>Solves the linear system of equations <var>a</var><code> * </code><var>x</var><code> =
 </code><var>b</var> by means of the  Preconditioned Conjugate Gradient iterative
@@ -206,8 +206,8 @@ parameter <var>k</var>.
    <p><a name="doc_002dpcr"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>pcr</b> (<var>a, b, tol, maxit, m, x0, <small class="dots">...</small></var>)<var><a name="index-pcr-1337"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>flag</var>, <var>relres</var>, <var>iter</var>, <var>resvec</var>] = <b>pcr</b> (<var><small class="dots">...</small></var>)<var><a name="index-pcr-1338"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>pcr</b> (<var>a, b, tol, maxit, m, x0, <small class="dots">...</small></var>)<var><a name="index-pcr-1385"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>flag</var>, <var>relres</var>, <var>iter</var>, <var>resvec</var>] = <b>pcr</b> (<var><small class="dots">...</small></var>)<var><a name="index-pcr-1386"></a></var><br>
 <blockquote>
         <p>Solves the linear system of equations <var>a</var><code> * </code><var>x</var><code> =
 </code><var>b</var> by means of the  Preconditioned Conjugate Residuals iterative
@@ -338,10 +338,10 @@ are partial factorizations of the origin
    <p><a name="doc_002dluinc"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, '0'</var>)<var><a name="index-luinc-1339"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, droptol</var>)<var><a name="index-luinc-1340"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, opts</var>)<var><a name="index-luinc-1341"></a></var><br>
-<blockquote><p><a name="index-LU-decomposition-1342"></a>Produce the incomplete LU factorization of the sparse matrix <var>a</var>. 
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, '0'</var>)<var><a name="index-luinc-1387"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, droptol</var>)<var><a name="index-luinc-1388"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>, <var>q</var>] = <b>luinc</b> (<var>a, opts</var>)<var><a name="index-luinc-1389"></a></var><br>
+<blockquote><p><a name="index-LU-decomposition-1390"></a>Produce the incomplete LU factorization of the sparse matrix <var>a</var>. 
 Two types of incomplete factorization are possible, and the type
 is determined by the second argument to <dfn>luinc</dfn>.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Linear-Least-Squares.html 1:3.0.5-6/doc/interpreter/HTML/Linear-Least-Squares.html
--- 1:3.0.1-6/doc/interpreter/HTML/Linear-Least-Squares.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Linear-Least-Squares.html	2009-04-07 11:11:40.000000000 +0100
@@ -44,7 +44,7 @@ the <code>gls</code> is needed.
    <p><a name="doc_002dols"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>beta</var>, <var>sigma</var>, <var>r</var>] = <b>ols</b> (<var>y, x</var>)<var><a name="index-ols-1375"></a></var><br>
+&mdash; Function File: [<var>beta</var>, <var>sigma</var>, <var>r</var>] = <b>ols</b> (<var>y, x</var>)<var><a name="index-ols-1423"></a></var><br>
 <blockquote><p>Ordinary least squares estimation for the multivariate model
 y = x b + e with
 mean (e) = 0 and cov (vec (e)) = kron (s, I). 
@@ -78,7 +78,7 @@ follows.
    <p><a name="doc_002dgls"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>beta</var>, <var>v</var>, <var>r</var>] = <b>gls</b> (<var>y, x, o</var>)<var><a name="index-gls-1376"></a></var><br>
+&mdash; Function File: [<var>beta</var>, <var>v</var>, <var>r</var>] = <b>gls</b> (<var>y, x, o</var>)<var><a name="index-gls-1424"></a></var><br>
 <blockquote><p>Generalized least squares estimation for the multivariate model
 y = x b + e with mean (e) = 0 and
 cov (vec (e)) = (s^2) o,
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Linear-Programming.html 1:3.0.5-6/doc/interpreter/HTML/Linear-Programming.html
--- 1:3.0.1-6/doc/interpreter/HTML/Linear-Programming.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Linear-Programming.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,7 +45,7 @@ A*x = b where x &gt;= 0.
    <p><a name="doc_002dglpk"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>xopt</var>, <var>fmin</var>, <var>status</var>, <var>extra</var>] = <b>glpk</b> (<var>c, a, b, lb, ub, ctype, vartype, sense, param</var>)<var><a name="index-glpk-1372"></a></var><br>
+&mdash; Function File: [<var>xopt</var>, <var>fmin</var>, <var>status</var>, <var>extra</var>] = <b>glpk</b> (<var>c, a, b, lb, ub, ctype, vartype, sense, param</var>)<var><a name="index-glpk-1420"></a></var><br>
 <blockquote><p>Solve a linear program using the GNU GLPK library.  Given three
 arguments, <code>glpk</code> solves the following standard LP:
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Line-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Line-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Line-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Line-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,9 +34,10 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.4 Line Properties</h5>
 
+<p><a name="index-line-properties-937"></a>
      <dl>
 <dt><code>xdata</code><dt><code>ydata</code><dt><code>zdata</code><dt><code>ldata</code><dt><code>udata</code><dt><code>xldata</code><dt><code>xudata</code><dd>The data to be plotted.  The <code>ldata</code> and <code>udata</code> elements are
-for errobars in the y direction, and the <code>xldata</code> and <code>xudata</code>
+for errorbars in the y direction, and the <code>xldata</code> and <code>xudata</code>
 elements are for errorbars in the x direction.
 
      <br><dt><code>color</code><dd>The RGB color of the line, or a color name.  See <a href="Colors.html#Colors">Colors</a>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Line-Styles.html 1:3.0.5-6/doc/interpreter/HTML/Line-Styles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Line-Styles.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Line-Styles.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h4 class="subsection">15.2.5 Line Styles</h4>
 
-<p>Line styles are specified by the following properties:
+<p><a name="index-line-styles_002c-graphics-946"></a><a name="index-graphics-line-styles-947"></a>
+Line styles are specified by the following properties:
 
      <dl>
 <dt><code>linestyle</code><dd>May be one of
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Loading-and-Saving-Images.html 1:3.0.5-6/doc/interpreter/HTML/Loading-and-Saving-Images.html
--- 1:3.0.1-6/doc/interpreter/HTML/Loading-and-Saving-Images.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Loading-and-Saving-Images.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,7 +45,7 @@ follow the structure of this code
    <p><a name="doc_002dloadimage"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>loadimage</b> (<var>file</var>)<var><a name="index-loadimage-1865"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>loadimage</b> (<var>file</var>)<var><a name="index-loadimage-1927"></a></var><br>
 <blockquote><p>Load an image file and it's associated color map from the specified
 <var>file</var>.  The image must be stored in Octave's image format.
         <pre class="sp">
@@ -57,7 +57,7 @@ follow the structure of this code
    <p><a name="doc_002dsaveimage"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>saveimage</b> (<var>file, x, fmt, map</var>)<var><a name="index-saveimage-1866"></a></var><br>
+&mdash; Function File:  <b>saveimage</b> (<var>file, x, fmt, map</var>)<var><a name="index-saveimage-1928"></a></var><br>
 <blockquote><p>Save the matrix <var>x</var> to <var>file</var> in image format <var>fmt</var>.  Valid
 values for <var>fmt</var> are
 
@@ -87,8 +87,8 @@ otherwise the full color formats are use
    <p><a name="doc_002dIMAGE_005fPATH"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>val</var> = <b>IMAGE_PATH</b> ()<var><a name="index-IMAGE_005fPATH-1867"></a></var><br>
-&mdash; Built-in Function: <var>old_val</var> = <b>IMAGE_PATH</b> (<var>new_val</var>)<var><a name="index-IMAGE_005fPATH-1868"></a></var><br>
+&mdash; Built-in Function: <var>val</var> = <b>IMAGE_PATH</b> ()<var><a name="index-IMAGE_005fPATH-1929"></a></var><br>
+&mdash; Built-in Function: <var>old_val</var> = <b>IMAGE_PATH</b> (<var>new_val</var>)<var><a name="index-IMAGE_005fPATH-1930"></a></var><br>
 <blockquote><p>Query or set the internal variable that specifies a colon separated
 list of directories in which to search for image files. 
 </p></blockquote></div>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Managing-Default-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Managing-Default-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Managing-Default-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Managing-Default-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h4 class="subsection">15.2.3 Managing Default Properties</h4>
 
-<p>Object properties have two classes of default values, <dfn>factory
+<p><a name="index-default-graphics-properties-942"></a><a name="index-graphics-properties_002c-default-943"></a>
+Object properties have two classes of default values, <dfn>factory
 defaults</dfn> (the initial values) and <dfn>user-defined defaults</dfn>, which
 may override the factory defaults.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Manipulating-Strings.html 1:3.0.5-6/doc/interpreter/HTML/Manipulating-Strings.html
--- 1:3.0.1-6/doc/interpreter/HTML/Manipulating-Strings.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Manipulating-Strings.html	2009-04-07 11:11:39.000000000 +0100
@@ -186,7 +186,7 @@ into at most <var>n</var> different piec
 <div class="defun">
 &mdash; Function File:  <b>strrep</b> (<var>s, x, y</var>)<var><a name="index-strrep-281"></a></var><br>
 <blockquote><p>Replaces all occurrences of the substring <var>x</var> of the string <var>s</var>
-with the string <var>y</var>.  For example,
+with the string <var>y</var> and returns the result.  For example,
 
      <pre class="example">          strrep ("This is a test string", "is", "&amp;%$")
            "Th&amp;%$ &amp;%$ a test string"
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Manipulating-the-load-path.html 1:3.0.5-6/doc/interpreter/HTML/Manipulating-the-load-path.html
--- 1:3.0.1-6/doc/interpreter/HTML/Manipulating-the-load-path.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Manipulating-the-load-path.html	2009-04-07 11:11:39.000000000 +0100
@@ -67,7 +67,7 @@ Directories added to the path must exist
 
 <div class="defun">
 &mdash; Built-in Function:  <b>genpath</b> (<var>dir</var>)<var><a name="index-genpath-589"></a></var><br>
-<blockquote><p>Return a path constructed from <var>dir</var> and all its subdiretories. 
+<blockquote><p>Return a path constructed from <var>dir</var> and all its subdirectories. 
 </p></blockquote></div>
 
    <p><a name="doc_002drmpath"></a>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Marker-Styles.html 1:3.0.5-6/doc/interpreter/HTML/Marker-Styles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Marker-Styles.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Marker-Styles.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h4 class="subsection">15.2.6 Marker Styles</h4>
 
-<p>Marker styles are specified by the following properties:
+<p><a name="index-graphics-marker-styles-948"></a><a name="index-marker-styles_002c-graphics-949"></a>
+Marker styles are specified by the following properties:
      <dl>
 <dt><code>marker</code><dd>A character indicating a plot marker to be place at each data point, or
 <code>"none"</code>, meaning no markers should be displayed.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/MathConsiderations.html 1:3.0.5-6/doc/interpreter/HTML/MathConsiderations.html
--- 1:3.0.1-6/doc/interpreter/HTML/MathConsiderations.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/MathConsiderations.html	2009-04-07 11:11:40.000000000 +0100
@@ -155,10 +155,10 @@ reorder the matrix to maximize performan
    <p><a name="doc_002dccolamd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s</var>)<var><a name="index-ccolamd-1275"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s, knobs</var>)<var><a name="index-ccolamd-1276"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s, knobs, cmember</var>)<var><a name="index-ccolamd-1277"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>ccolamd</b> (<var><small class="dots">...</small></var>)<var><a name="index-ccolamd-1278"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s</var>)<var><a name="index-ccolamd-1323"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s, knobs</var>)<var><a name="index-ccolamd-1324"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>ccolamd</b> (<var>s, knobs, cmember</var>)<var><a name="index-ccolamd-1325"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>ccolamd</b> (<var><small class="dots">...</small></var>)<var><a name="index-ccolamd-1326"></a></var><br>
 <blockquote>
         <p>Constrained column approximate minimum degree permutation. <var>p</var><code> =
 ccolamd (</code><var>s</var><code>)</code> returns the column approximate minimum degree permutation
@@ -241,10 +241,10 @@ colamd, symamd, and other related orderi
    <p><a name="doc_002dcolamd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>colamd</b> (<var>s</var>)<var><a name="index-colamd-1279"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>colamd</b> (<var>s, knobs</var>)<var><a name="index-colamd-1280"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>colamd</b> (<var>s</var>)<var><a name="index-colamd-1281"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>colamd</b> (<var>s, knobs</var>)<var><a name="index-colamd-1282"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>colamd</b> (<var>s</var>)<var><a name="index-colamd-1327"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>colamd</b> (<var>s, knobs</var>)<var><a name="index-colamd-1328"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>colamd</b> (<var>s</var>)<var><a name="index-colamd-1329"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>colamd</b> (<var>s, knobs</var>)<var><a name="index-colamd-1330"></a></var><br>
 <blockquote>
         <p>Column approximate minimum degree permutation. <var>p</var><code> = colamd
 (</code><var>s</var><code>)</code> returns the column approximate minimum degree permutation
@@ -313,7 +313,7 @@ Ng, Oak Ridge National Laboratory. (see
    <p><a name="doc_002dcolperm"></a>
 
 <div class="defun">
-&mdash; Function File: <var>p</var> = <b>colperm</b> (<var>s</var>)<var><a name="index-colperm-1283"></a></var><br>
+&mdash; Function File: <var>p</var> = <b>colperm</b> (<var>s</var>)<var><a name="index-colperm-1331"></a></var><br>
 <blockquote><p>Returns the column permutations such that the columns of
 <var>s</var><code> (:, </code><var>p</var><code>)</code> are ordered in terms of increase number
 of non-zero elements. If <var>s</var> is symmetric, then <var>p</var> is chosen
@@ -324,10 +324,10 @@ columns with increasing number of non ze
    <p><a name="doc_002dcsymamd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s</var>)<var><a name="index-csymamd-1284"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s, knobs</var>)<var><a name="index-csymamd-1285"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s, knobs, cmember</var>)<var><a name="index-csymamd-1286"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>csymamd</b> (<var><small class="dots">...</small></var>)<var><a name="index-csymamd-1287"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s</var>)<var><a name="index-csymamd-1332"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s, knobs</var>)<var><a name="index-csymamd-1333"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>csymamd</b> (<var>s, knobs, cmember</var>)<var><a name="index-csymamd-1334"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>csymamd</b> (<var><small class="dots">...</small></var>)<var><a name="index-csymamd-1335"></a></var><br>
 <blockquote>
         <p>For a symmetric positive definite matrix <var>s</var>, returns the permutation
 vector <var>p</var> such that <var>s</var><code>(</code><var>p</var><code>,</code><var>p</var><code>)</code> tends to have a
@@ -387,10 +387,10 @@ colamd, symamd, and other related orderi
    <p><a name="doc_002ddmperm"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>dmperm</b> (<var>s</var>)<var><a name="index-dmperm-1288"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>q</var>, <var>r</var>, <var>s</var>] = <b>dmperm</b> (<var>s</var>)<var><a name="index-dmperm-1289"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>dmperm</b> (<var>s</var>)<var><a name="index-dmperm-1336"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>q</var>, <var>r</var>, <var>s</var>] = <b>dmperm</b> (<var>s</var>)<var><a name="index-dmperm-1337"></a></var><br>
 <blockquote>
-        <p><a name="index-Dulmage_002dMendelsohn-decomposition-1290"></a>Perform a Dulmage-Mendelsohn permutation on the sparse matrix <var>s</var>. 
+        <p><a name="index-Dulmage_002dMendelsohn-decomposition-1338"></a>Perform a Dulmage-Mendelsohn permutation on the sparse matrix <var>s</var>. 
 With a single output argument <dfn>dmperm</dfn> performs the row permutations
 <var>p</var> such that <var>s</var><code> (</code><var>p</var><code>,:)</code> has no zero elements on the
 diagonal.
@@ -412,10 +412,10 @@ triangular form of a sparse matrix. ACM 
    <p><a name="doc_002dsymamd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>symamd</b> (<var>s</var>)<var><a name="index-symamd-1291"></a></var><br>
-&mdash; Loadable Function: <var>p</var> = <b>symamd</b> (<var>s, knobs</var>)<var><a name="index-symamd-1292"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>symamd</b> (<var>s</var>)<var><a name="index-symamd-1293"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>symamd</b> (<var>s, knobs</var>)<var><a name="index-symamd-1294"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>symamd</b> (<var>s</var>)<var><a name="index-symamd-1339"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>symamd</b> (<var>s, knobs</var>)<var><a name="index-symamd-1340"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>symamd</b> (<var>s</var>)<var><a name="index-symamd-1341"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>stats</var>] = <b>symamd</b> (<var>s, knobs</var>)<var><a name="index-symamd-1342"></a></var><br>
 <blockquote>
         <p>For a symmetric positive definite matrix <var>s</var>, returns the permutation
 vector p such that <var>s</var><code> (</code><var>p</var><code>, </code><var>p</var><code>)</code> tends to have a
@@ -480,7 +480,7 @@ Ng, Oak Ridge National Laboratory. (see
    <p><a name="doc_002dsymrcm"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>symrcm</b> (<var>S</var>)<var><a name="index-symrcm-1295"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>symrcm</b> (<var>S</var>)<var><a name="index-symrcm-1343"></a></var><br>
 <blockquote><p>Symmetric reverse Cuthill-McKee permutation of <var>S</var>. 
 Return a permutation vector <var>p</var> such that
 <var>S</var><code> (</code><var>p</var><code>, </code><var>p</var><code>)</code> tends to have its diagonal elements
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Mathematical-Constants.html 1:3.0.5-6/doc/interpreter/HTML/Mathematical-Constants.html
--- 1:3.0.1-6/doc/interpreter/HTML/Mathematical-Constants.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Mathematical-Constants.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,10 +35,10 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dI"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>I</b> (<var>x</var>)<var><a name="index-I-1125"></a></var><br>
-&mdash; Built-in Function:  <b>I</b> (<var>n, m</var>)<var><a name="index-I-1126"></a></var><br>
-&mdash; Built-in Function:  <b>I</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-I-1127"></a></var><br>
-&mdash; Built-in Function:  <b>I</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-I-1128"></a></var><br>
+&mdash; Built-in Function:  <b>I</b> (<var>x</var>)<var><a name="index-I-1173"></a></var><br>
+&mdash; Built-in Function:  <b>I</b> (<var>n, m</var>)<var><a name="index-I-1174"></a></var><br>
+&mdash; Built-in Function:  <b>I</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-I-1175"></a></var><br>
+&mdash; Built-in Function:  <b>I</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-I-1176"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all equal
 to the pure imaginary unit, defined as
   <code>sqrt (-1)</code>. 
@@ -49,10 +49,10 @@ other purposes. 
    <p><a name="doc_002dInf"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>Inf</b> (<var>x</var>)<var><a name="index-Inf-1129"></a></var><br>
-&mdash; Built-in Function:  <b>Inf</b> (<var>n, m</var>)<var><a name="index-Inf-1130"></a></var><br>
-&mdash; Built-in Function:  <b>Inf</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-Inf-1131"></a></var><br>
-&mdash; Built-in Function:  <b>Inf</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-Inf-1132"></a></var><br>
+&mdash; Built-in Function:  <b>Inf</b> (<var>x</var>)<var><a name="index-Inf-1177"></a></var><br>
+&mdash; Built-in Function:  <b>Inf</b> (<var>n, m</var>)<var><a name="index-Inf-1178"></a></var><br>
+&mdash; Built-in Function:  <b>Inf</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-Inf-1179"></a></var><br>
+&mdash; Built-in Function:  <b>Inf</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-Inf-1180"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all Infinity. 
 The arguments are handled the same as the arguments for <code>eye</code>. 
 The optional argument <var>class</var> may be either &lsquo;<samp><span class="samp">"single"</span></samp>&rsquo; or
@@ -62,10 +62,10 @@ The optional argument <var>class</var> m
    <p><a name="doc_002dNaN"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>NaN</b> (<var>x</var>)<var><a name="index-NaN-1133"></a></var><br>
-&mdash; Built-in Function:  <b>NaN</b> (<var>n, m</var>)<var><a name="index-NaN-1134"></a></var><br>
-&mdash; Built-in Function:  <b>NaN</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-NaN-1135"></a></var><br>
-&mdash; Built-in Function:  <b>NaN</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-NaN-1136"></a></var><br>
+&mdash; Built-in Function:  <b>NaN</b> (<var>x</var>)<var><a name="index-NaN-1181"></a></var><br>
+&mdash; Built-in Function:  <b>NaN</b> (<var>n, m</var>)<var><a name="index-NaN-1182"></a></var><br>
+&mdash; Built-in Function:  <b>NaN</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-NaN-1183"></a></var><br>
+&mdash; Built-in Function:  <b>NaN</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-NaN-1184"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all NaN
 (Not a Number).  The value NaN is the result of an operation like
 0/0, or &lsquo;<samp><span class="samp">Inf - Inf</span></samp>&rsquo;,
@@ -83,10 +83,10 @@ The optional argument <var>class</var> m
    <p><a name="doc_002dpi"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>pi</b> (<var>x</var>)<var><a name="index-pi-1137"></a></var><br>
-&mdash; Built-in Function:  <b>pi</b> (<var>n, m</var>)<var><a name="index-pi-1138"></a></var><br>
-&mdash; Built-in Function:  <b>pi</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-pi-1139"></a></var><br>
-&mdash; Built-in Function:  <b>pi</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-pi-1140"></a></var><br>
+&mdash; Built-in Function:  <b>pi</b> (<var>x</var>)<var><a name="index-pi-1185"></a></var><br>
+&mdash; Built-in Function:  <b>pi</b> (<var>n, m</var>)<var><a name="index-pi-1186"></a></var><br>
+&mdash; Built-in Function:  <b>pi</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-pi-1187"></a></var><br>
+&mdash; Built-in Function:  <b>pi</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-pi-1188"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all equal
 to the ratio of the circumference of a circle to its diameter. 
 Internally, <code>pi</code> is computed as &lsquo;<samp><span class="samp">4.0 * atan (1.0)</span></samp>&rsquo;. 
@@ -95,10 +95,10 @@ Internally, <code>pi</code> is computed 
    <p><a name="doc_002de"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>e</b> (<var>x</var>)<var><a name="index-e-1141"></a></var><br>
-&mdash; Built-in Function:  <b>e</b> (<var>n, m</var>)<var><a name="index-e-1142"></a></var><br>
-&mdash; Built-in Function:  <b>e</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-e-1143"></a></var><br>
-&mdash; Built-in Function:  <b>e</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-e-1144"></a></var><br>
+&mdash; Built-in Function:  <b>e</b> (<var>x</var>)<var><a name="index-e-1189"></a></var><br>
+&mdash; Built-in Function:  <b>e</b> (<var>n, m</var>)<var><a name="index-e-1190"></a></var><br>
+&mdash; Built-in Function:  <b>e</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-e-1191"></a></var><br>
+&mdash; Built-in Function:  <b>e</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-e-1192"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all equal
 to the base of natural logarithms.  The constant
  <var>e</var>
@@ -109,10 +109,10 @@ to the base of natural logarithms.  The 
    <p><a name="doc_002deps"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>eps</b> (<var>x</var>)<var><a name="index-eps-1145"></a></var><br>
-&mdash; Built-in Function:  <b>eps</b> (<var>n, m</var>)<var><a name="index-eps-1146"></a></var><br>
-&mdash; Built-in Function:  <b>eps</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-eps-1147"></a></var><br>
-&mdash; Built-in Function:  <b>eps</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-eps-1148"></a></var><br>
+&mdash; Built-in Function:  <b>eps</b> (<var>x</var>)<var><a name="index-eps-1193"></a></var><br>
+&mdash; Built-in Function:  <b>eps</b> (<var>n, m</var>)<var><a name="index-eps-1194"></a></var><br>
+&mdash; Built-in Function:  <b>eps</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-eps-1195"></a></var><br>
+&mdash; Built-in Function:  <b>eps</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-eps-1196"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all eps,
 the machine precision.  More precisely, <code>eps</code> is the largest
 relative spacing between any two adjacent numbers in the machine's
@@ -125,10 +125,10 @@ is approximately
    <p><a name="doc_002drealmax"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>realmax</b> (<var>x</var>)<var><a name="index-realmax-1149"></a></var><br>
-&mdash; Built-in Function:  <b>realmax</b> (<var>n, m</var>)<var><a name="index-realmax-1150"></a></var><br>
-&mdash; Built-in Function:  <b>realmax</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-realmax-1151"></a></var><br>
-&mdash; Built-in Function:  <b>realmax</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-realmax-1152"></a></var><br>
+&mdash; Built-in Function:  <b>realmax</b> (<var>x</var>)<var><a name="index-realmax-1197"></a></var><br>
+&mdash; Built-in Function:  <b>realmax</b> (<var>n, m</var>)<var><a name="index-realmax-1198"></a></var><br>
+&mdash; Built-in Function:  <b>realmax</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-realmax-1199"></a></var><br>
+&mdash; Built-in Function:  <b>realmax</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-realmax-1200"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all equal
 to the largest floating point number that is representable.  The actual
 value is system-dependent.  On machines that support 64-bit IEEE
@@ -143,10 +143,10 @@ floating point arithmetic, <code>realmax
    <p><a name="doc_002drealmin"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>realmin</b> (<var>x</var>)<var><a name="index-realmin-1153"></a></var><br>
-&mdash; Built-in Function:  <b>realmin</b> (<var>n, m</var>)<var><a name="index-realmin-1154"></a></var><br>
-&mdash; Built-in Function:  <b>realmin</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-realmin-1155"></a></var><br>
-&mdash; Built-in Function:  <b>realmin</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-realmin-1156"></a></var><br>
+&mdash; Built-in Function:  <b>realmin</b> (<var>x</var>)<var><a name="index-realmin-1201"></a></var><br>
+&mdash; Built-in Function:  <b>realmin</b> (<var>n, m</var>)<var><a name="index-realmin-1202"></a></var><br>
+&mdash; Built-in Function:  <b>realmin</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-realmin-1203"></a></var><br>
+&mdash; Built-in Function:  <b>realmin</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-realmin-1204"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all equal
 to the smallest normalized floating point number that is representable. 
 The actual value is system-dependent.  On machines that support
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Matrices-and-Arrays-in-Oct_002dFiles.html 1:3.0.5-6/doc/interpreter/HTML/Matrices-and-Arrays-in-Oct_002dFiles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Matrices-and-Arrays-in-Oct_002dFiles.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Matrices-and-Arrays-in-Oct_002dFiles.html	2009-04-07 11:11:40.000000000 +0100
@@ -90,8 +90,8 @@ example
 selection of which include
 
 <div class="defun">
-&mdash; Method: T&amp; <b>operator ()</b> (<var>octave_idx_type</var>)<var><a name="index-operator-_0028_0029-2101"></a></var><br>
-&mdash; Method: T&amp; <b>elem</b> (<var>octave_idx_type</var>)<var><a name="index-elem-2102"></a></var><br>
+&mdash; Method: T&amp; <b>operator ()</b> (<var>octave_idx_type</var>)<var><a name="index-operator-_0028_0029-2164"></a></var><br>
+&mdash; Method: T&amp; <b>elem</b> (<var>octave_idx_type</var>)<var><a name="index-elem-2165"></a></var><br>
 <blockquote><p>The <code>()</code> operator or <code>elem</code> method allow the values of the
 matrix or array to be read or set.  These can take a single argument,
 which is of type <code>octave_idx_type</code>, that is the index into the matrix or
@@ -105,29 +105,29 @@ circumstances the user might prefer to a
 matrix directly through the fortran_vec method discussed below.
 
 <div class="defun">
-&mdash; Method: octave_idx_type <b>nelem</b> (<var>void</var>)<var> const<a name="index-nelem-2103"></a></var><br>
+&mdash; Method: octave_idx_type <b>nelem</b> (<var>void</var>)<var> const<a name="index-nelem-2166"></a></var><br>
 <blockquote><p>The total number of elements in the matrix or array. 
 </p></blockquote></div>
 
 <div class="defun">
-&mdash; Method: size_t <b>byte_size</b> (<var>void</var>)<var> const<a name="index-byte_005fsize-2104"></a></var><br>
+&mdash; Method: size_t <b>byte_size</b> (<var>void</var>)<var> const<a name="index-byte_005fsize-2167"></a></var><br>
 <blockquote><p>The number of bytes used to store the matrix or array. 
 </p></blockquote></div>
 
 <div class="defun">
-&mdash; Method: dim_vector <b>dims</b> (<var>void</var>)<var> const<a name="index-dims-2105"></a></var><br>
+&mdash; Method: dim_vector <b>dims</b> (<var>void</var>)<var> const<a name="index-dims-2168"></a></var><br>
 <blockquote><p>The dimensions of the matrix or array in value of type dim_vector. 
 </p></blockquote></div>
 
 <div class="defun">
-&mdash; Method: void <b>resize</b> (<var>const dim_vector&amp;</var>)<var><a name="index-resize-2106"></a></var><br>
+&mdash; Method: void <b>resize</b> (<var>const dim_vector&amp;</var>)<var><a name="index-resize-2169"></a></var><br>
 <blockquote><p>A method taking either an argument of type <code>dim_vector</code>, or in the
 case of a matrix two arguments of type <code>octave_idx_type</code> defining
 the number of rows and columns in the matrix. 
 </p></blockquote></div>
 
 <div class="defun">
-&mdash; Method: T* <b>fortran_vec</b> (<var>void</var>)<var><a name="index-fortran_005fvec-2107"></a></var><br>
+&mdash; Method: T* <b>fortran_vec</b> (<var>void</var>)<var><a name="index-fortran_005fvec-2170"></a></var><br>
 <blockquote><p>This method returns a pointer to the underlying data of the matrix or a
 array so that it can be manipulated directly, either within Octave or by
 an external library. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Matrix-Factorizations.html 1:3.0.5-6/doc/interpreter/HTML/Matrix-Factorizations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Matrix-Factorizations.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Matrix-Factorizations.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,8 +37,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dchol"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>chol</b> (<var>a</var>)<var><a name="index-chol-1184"></a></var><br>
-<blockquote><p><a name="index-Cholesky-factorization-1185"></a>Compute the Cholesky factor, <var>r</var>, of the symmetric positive definite
+&mdash; Loadable Function:  <b>chol</b> (<var>a</var>)<var><a name="index-chol-1232"></a></var><br>
+<blockquote><p><a name="index-Cholesky-factorization-1233"></a>Compute the Cholesky factor, <var>r</var>, of the symmetric positive definite
 matrix <var>a</var>, where
 
      <pre class="example">          r' * r = a.
@@ -52,7 +52,7 @@ matrix <var>a</var>, where
    <p><a name="doc_002dcholinv"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>cholinv</b> (<var>a</var>)<var><a name="index-cholinv-1186"></a></var><br>
+&mdash; Loadable Function:  <b>cholinv</b> (<var>a</var>)<var><a name="index-cholinv-1234"></a></var><br>
 <blockquote><p>Use the Cholesky factorization to compute the inverse of the
 symmetric positive definite matrix <var>a</var>.
         <pre class="sp">
@@ -64,7 +64,7 @@ symmetric positive definite matrix <var>
    <p><a name="doc_002dchol2inv"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>chol2inv</b> (<var>u</var>)<var><a name="index-chol2inv-1187"></a></var><br>
+&mdash; Loadable Function:  <b>chol2inv</b> (<var>u</var>)<var><a name="index-chol2inv-1235"></a></var><br>
 <blockquote><p>Invert a symmetric, positive definite square matrix from its Cholesky
 decomposition, <var>u</var>.  Note that <var>u</var> should be an upper-triangular
 matrix with positive diagonal elements.  <code>chol2inv (</code><var>u</var><code>)</code>
@@ -79,9 +79,9 @@ using <code>inv</code>.
    <p><a name="doc_002dhess"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>h</var> = <b>hess</b> (<var>a</var>)<var><a name="index-hess-1188"></a></var><br>
-&mdash; Loadable Function: [<var>p</var>, <var>h</var>] = <b>hess</b> (<var>a</var>)<var><a name="index-hess-1189"></a></var><br>
-<blockquote><p><a name="index-Hessenberg-decomposition-1190"></a>Compute the Hessenberg decomposition of the matrix <var>a</var>.
+&mdash; Loadable Function: <var>h</var> = <b>hess</b> (<var>a</var>)<var><a name="index-hess-1236"></a></var><br>
+&mdash; Loadable Function: [<var>p</var>, <var>h</var>] = <b>hess</b> (<var>a</var>)<var><a name="index-hess-1237"></a></var><br>
+<blockquote><p><a name="index-Hessenberg-decomposition-1238"></a>Compute the Hessenberg decomposition of the matrix <var>a</var>.
 
         <p>The Hessenberg decomposition is usually used as the first step in an
 eigenvalue computation, but has other applications as well (see Golub,
@@ -95,8 +95,8 @@ is upper Hessenberg (<code>i &gt;= j+1 =
    <p><a name="doc_002dlu"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>] = <b>lu</b> (<var>a</var>)<var><a name="index-lu-1191"></a></var><br>
-<blockquote><p><a name="index-LU-decomposition-1192"></a>Compute the LU decomposition of <var>a</var>, using subroutines from
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>p</var>] = <b>lu</b> (<var>a</var>)<var><a name="index-lu-1239"></a></var><br>
+<blockquote><p><a name="index-LU-decomposition-1240"></a>Compute the LU decomposition of <var>a</var>, using subroutines from
 <span class="sc">Lapack</span>.  The result is returned in a permuted form, according to
 the optional return value <var>p</var>.  For example, given the matrix
 <code>a = [1, 2; 3, 4]</code>,
@@ -126,8 +126,8 @@ the optional return value <var>p</var>. 
    <p><a name="doc_002dqr"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>q</var>, <var>r</var>, <var>p</var>] = <b>qr</b> (<var>a</var>)<var><a name="index-qr-1193"></a></var><br>
-<blockquote><p><a name="index-QR-factorization-1194"></a>Compute the QR factorization of <var>a</var>, using standard <span class="sc">Lapack</span>
+&mdash; Loadable Function: [<var>q</var>, <var>r</var>, <var>p</var>] = <b>qr</b> (<var>a</var>)<var><a name="index-qr-1241"></a></var><br>
+<blockquote><p><a name="index-QR-factorization-1242"></a>Compute the QR factorization of <var>a</var>, using standard <span class="sc">Lapack</span>
 subroutines.  For example, given the matrix <code>a = [1, 2; 3, 4]</code>,
 
      <pre class="example">          [q, r] = qr (a)
@@ -187,7 +187,7 @@ factorization allows the construction of
    <p><a name="doc_002dqz"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>lambda</var> = <b>qz</b> (<var>a, b</var>)<var><a name="index-qz-1195"></a></var><br>
+&mdash; Loadable Function: <var>lambda</var> = <b>qz</b> (<var>a, b</var>)<var><a name="index-qz-1243"></a></var><br>
 <blockquote><p>Generalized eigenvalue problem A x = s B x,
 <var>QZ</var> decomposition. There are three ways to call this function:
           <ol type=1 start=1>
@@ -244,7 +244,7 @@ Order of output arguments was selected f
    <p><a name="doc_002dqzhess"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>aa</var>, <var>bb</var>, <var>q</var>, <var>z</var>] = <b>qzhess</b> (<var>a, b</var>)<var><a name="index-qzhess-1196"></a></var><br>
+&mdash; Function File: [<var>aa</var>, <var>bb</var>, <var>q</var>, <var>z</var>] = <b>qzhess</b> (<var>a, b</var>)<var><a name="index-qzhess-1244"></a></var><br>
 <blockquote><p>Compute the Hessenberg-triangular decomposition of the matrix pencil
 <code>(</code><var>a</var><code>, </code><var>b</var><code>)</code>, returning
 <var>aa</var><code> = </code><var>q</var><code> * </code><var>a</var><code> * </code><var>z</var>,
@@ -267,9 +267,9 @@ edition</cite>. 
    <p><a name="doc_002dschur"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>s</var> = <b>schur</b> (<var>a</var>)<var><a name="index-schur-1197"></a></var><br>
-&mdash; Loadable Function: [<var>u</var>, <var>s</var>] = <b>schur</b> (<var>a, opt</var>)<var><a name="index-schur-1198"></a></var><br>
-<blockquote><p><a name="index-Schur-decomposition-1199"></a>The Schur decomposition is used to compute eigenvalues of a
+&mdash; Loadable Function: <var>s</var> = <b>schur</b> (<var>a</var>)<var><a name="index-schur-1245"></a></var><br>
+&mdash; Loadable Function: [<var>u</var>, <var>s</var>] = <b>schur</b> (<var>a, opt</var>)<var><a name="index-schur-1246"></a></var><br>
+<blockquote><p><a name="index-Schur-decomposition-1247"></a>The Schur decomposition is used to compute eigenvalues of a
 square matrix, and has applications in the solution of algebraic
 Riccati equations in control (see <code>are</code> and <code>dare</code>). 
 <code>schur</code> always returns
@@ -328,9 +328,9 @@ leading eigenvalues of
    <p><a name="doc_002dsvd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>s</var> = <b>svd</b> (<var>a</var>)<var><a name="index-svd-1200"></a></var><br>
-&mdash; Loadable Function: [<var>u</var>, <var>s</var>, <var>v</var>] = <b>svd</b> (<var>a</var>)<var><a name="index-svd-1201"></a></var><br>
-<blockquote><p><a name="index-singular-value-decomposition-1202"></a>Compute the singular value decomposition of <var>a</var>
+&mdash; Loadable Function: <var>s</var> = <b>svd</b> (<var>a</var>)<var><a name="index-svd-1248"></a></var><br>
+&mdash; Loadable Function: [<var>u</var>, <var>s</var>, <var>v</var>] = <b>svd</b> (<var>a</var>)<var><a name="index-svd-1249"></a></var><br>
+<blockquote><p><a name="index-singular-value-decomposition-1250"></a>Compute the singular value decomposition of <var>a</var>
 
      <pre class="example">          A = U*S*V'
 </pre>
@@ -382,7 +382,7 @@ decomposition, eliminating the unnecessa
    <p><a name="doc_002dhoush"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>housv</var>, <var>beta</var>, <var>zer</var>] = <b>housh</b> (<var>x, j, z</var>)<var><a name="index-housh-1203"></a></var><br>
+&mdash; Function File: [<var>housv</var>, <var>beta</var>, <var>zer</var>] = <b>housh</b> (<var>x, j, z</var>)<var><a name="index-housh-1251"></a></var><br>
 <blockquote><p>Compute Householder reflection vector <var>housv</var> to reflect <var>x</var>
 to be the jth column of identity, i.e.,
 
@@ -408,7 +408,7 @@ to be the jth column of identity, i.e.,
    <p><a name="doc_002dkrylov"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>u</var>, <var>h</var>, <var>nu</var>] = <b>krylov</b> (<var>a, v, k, eps1, pflg</var>)<var><a name="index-krylov-1204"></a></var><br>
+&mdash; Function File: [<var>u</var>, <var>h</var>, <var>nu</var>] = <b>krylov</b> (<var>a, v, k, eps1, pflg</var>)<var><a name="index-krylov-1252"></a></var><br>
 <blockquote><p>Construct an orthogonal basis <var>u</var> of block Krylov subspace
 
      <pre class="example">          [v a*v a^2*v ... a^(k+1)*v]
Binary files 1:3.0.1-6/doc/interpreter/HTML/mesh.png and 1:3.0.5-6/doc/interpreter/HTML/mesh.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Mex_002dFiles.html 1:3.0.5-6/doc/interpreter/HTML/Mex_002dFiles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Mex_002dFiles.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Mex_002dFiles.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="section">A.2 Mex-Files</h3>
 
-<p><a name="index-mex_002dfiles-2108"></a><a name="index-mex-2109"></a>
+<p><a name="index-mex_002dfiles-2171"></a><a name="index-mex-2172"></a>
 Octave includes an interface to allow legacy mex-files to be compiled
 and used with Octave.  This interface can also be used to share code
 between Octave and non Octave users.  However, as mex-files expose the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Miscellaneous-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Miscellaneous-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Miscellaneous-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Miscellaneous-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dpoly"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>poly</b> (<var>a</var>)<var><a name="index-poly-1601"></a></var><br>
+&mdash; Function File:  <b>poly</b> (<var>a</var>)<var><a name="index-poly-1663"></a></var><br>
 <blockquote><p>If <var>a</var> is a square N-by-N matrix, <code>poly (</code><var>a</var><code>)</code>
 is the row vector of the coefficients of <code>det (z * eye (N) - a)</code>,
 the characteristic polynomial of <var>a</var>.  As an example we can use
@@ -63,7 +63,7 @@ and numerical errors.
    <p><a name="doc_002dpolyout"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyout</b> (<var>c, x</var>)<var><a name="index-polyout-1602"></a></var><br>
+&mdash; Function File:  <b>polyout</b> (<var>c, x</var>)<var><a name="index-polyout-1664"></a></var><br>
 <blockquote><p>Write formatted polynomial
      <pre class="example">             c(x) = c(1) * x^n + ... + c(n) x + c(n+1)
 </pre>
@@ -80,7 +80,7 @@ filter, polyderiv, and polyinteg. 
    <p><a name="doc_002dpolyreduce"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyreduce</b> (<var>c</var>)<var><a name="index-polyreduce-1603"></a></var><br>
+&mdash; Function File:  <b>polyreduce</b> (<var>c</var>)<var><a name="index-polyreduce-1665"></a></var><br>
 <blockquote><p>Reduces a polynomial coefficient vector to a minimum number of terms by
 stripping off any leading zeros.
         <pre class="sp">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/misc.html 1:3.0.5-6/doc/interpreter/HTML/misc.html
--- 1:3.0.1-6/doc/interpreter/HTML/misc.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/misc.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002daxis2dlim"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>axis2dlim</b> (<var>axdata</var>)<var><a name="index-axis2dlim-1792"></a></var><br>
+&mdash; Function File:  <b>axis2dlim</b> (<var>axdata</var>)<var><a name="index-axis2dlim-1854"></a></var><br>
 <blockquote><p>Determine axis limits for 2-D data (column vectors); leaves a 10%
 margin around the plots. 
 Inserts margins of +/- 0.1 if data is one-dimensional
@@ -55,14 +55,14 @@ Inserts margins of +/- 0.1 if data is on
    <p><a name="doc_002dmoddemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>moddemo</b> (<var>inputs</var>)<var><a name="index-moddemo-1793"></a></var><br>
+&mdash; Function File:  <b>moddemo</b> (<var>inputs</var>)<var><a name="index-moddemo-1855"></a></var><br>
 <blockquote><p>Octave Control toolbox demo: Model Manipulations demo. 
 </p></blockquote></div>
 
    <p><a name="doc_002dprompt"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>prompt</b> (<var>str</var>)<var><a name="index-prompt-1794"></a></var><br>
+&mdash; Function File:  <b>prompt</b> (<var>str</var>)<var><a name="index-prompt-1856"></a></var><br>
 <blockquote><p>Prompt user to continue
 
         <p><strong>Input</strong>
@@ -76,14 +76,14 @@ Inserts margins of +/- 0.1 if data is on
    <p><a name="doc_002drldemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rldemo</b> (<var>inputs</var>)<var><a name="index-rldemo-1795"></a></var><br>
+&mdash; Function File:  <b>rldemo</b> (<var>inputs</var>)<var><a name="index-rldemo-1857"></a></var><br>
 <blockquote><p>Octave Control toolbox demo: Root Locus demo. 
 </p></blockquote></div>
 
    <p><a name="doc_002drlocus"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>rldata</var>, <var>k</var>] = <b>rlocus</b> (<var>sys</var>[<var>, increment, min_k, max_k</var>])<var><a name="index-rlocus-1796"></a></var><br>
+&mdash; Function File: [<var>rldata</var>, <var>k</var>] = <b>rlocus</b> (<var>sys</var>[<var>, increment, min_k, max_k</var>])<var><a name="index-rlocus-1858"></a></var><br>
 <blockquote>
         <p>Display root locus plot of the specified <acronym>SISO</acronym> system.
      <pre class="example">                 -----   ---     --------
@@ -112,7 +112,7 @@ Inserts margins of +/- 0.1 if data is on
    <p><a name="doc_002dsortcom"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>yy</var>, <var>idx</var>] = <b>sortcom</b> (<var>xx</var>[<var>, opt</var>])<var><a name="index-sortcom-1797"></a></var><br>
+&mdash; Function File: [<var>yy</var>, <var>idx</var>] = <b>sortcom</b> (<var>xx</var>[<var>, opt</var>])<var><a name="index-sortcom-1859"></a></var><br>
 <blockquote><p>Sort a complex vector.
 
         <p><strong>Inputs</strong>
@@ -138,7 +138,7 @@ a - jb followed by a + jb. 
    <p><a name="doc_002dss2tf"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>num</var>, <var>den</var>] = <b>ss2tf</b> (<var>a, b, c, d</var>)<var><a name="index-ss2tf-1798"></a></var><br>
+&mdash; Function File: [<var>num</var>, <var>den</var>] = <b>ss2tf</b> (<var>a, b, c, d</var>)<var><a name="index-ss2tf-1860"></a></var><br>
 <blockquote><p>Conversion from transfer function to state-space. 
 The state space system:
      <pre class="example">                .
@@ -157,7 +157,7 @@ The state space system:
    <p><a name="doc_002dss2zp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pol</var>, <var>zer</var>, <var>k</var>] = <b>ss2zp</b> (<var>a, b, c, d</var>)<var><a name="index-ss2zp-1799"></a></var><br>
+&mdash; Function File: [<var>pol</var>, <var>zer</var>, <var>k</var>] = <b>ss2zp</b> (<var>a, b, c, d</var>)<var><a name="index-ss2zp-1861"></a></var><br>
 <blockquote><p>Converts a state space representation to a set of poles and zeros;
 <var>k</var> is a gain associated with the zeros.
 
@@ -167,7 +167,7 @@ The state space system:
    <p><a name="doc_002dstarp"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>starp</b> (<var>P, K, ny, nu</var>)<var><a name="index-starp-1800"></a></var><br>
+&mdash; Function File:  <b>starp</b> (<var>P, K, ny, nu</var>)<var><a name="index-starp-1862"></a></var><br>
 <blockquote>
         <p>Redheffer star product or upper/lower LFT, respectively.
      <pre class="example">          
@@ -197,7 +197,7 @@ If <var>ny</var> and <var>nu</var> &ldqu
    <p><a name="doc_002dtf2ss"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>tf2ss</b> (<var>num, den</var>)<var><a name="index-tf2ss-1801"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>tf2ss</b> (<var>num, den</var>)<var><a name="index-tf2ss-1863"></a></var><br>
 <blockquote><p>Conversion from transfer function to state-space. 
 The state space system:
      <pre class="example">                .
@@ -219,7 +219,7 @@ Theory</cite>, (Brogan, 1991). 
    <p><a name="doc_002dtf2zp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>zer</var>, <var>pol</var>, <var>k</var>] = <b>tf2zp</b> (<var>num, den</var>)<var><a name="index-tf2zp-1802"></a></var><br>
+&mdash; Function File: [<var>zer</var>, <var>pol</var>, <var>k</var>] = <b>tf2zp</b> (<var>num, den</var>)<var><a name="index-tf2zp-1864"></a></var><br>
 <blockquote><p>Converts transfer functions to poles-and-zero representations.
 
         <p>Returns the zeros and poles of the <acronym>SISO</acronym> system defined
@@ -230,7 +230,7 @@ by <var>num</var>/<var>den</var>. 
    <p><a name="doc_002dzp2ss"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>zp2ss</b> (<var>zer, pol, k</var>)<var><a name="index-zp2ss-1803"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>zp2ss</b> (<var>zer, pol, k</var>)<var><a name="index-zp2ss-1865"></a></var><br>
 <blockquote><p>Conversion from zero / pole to state space.
 
         <p><strong>Inputs</strong>
@@ -255,7 +255,7 @@ The number of zeros must not exceed the 
    <p><a name="doc_002dzp2tf"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>num</var>, <var>den</var>] = <b>zp2tf</b> (<var>zer, pol, k</var>)<var><a name="index-zp2tf-1804"></a></var><br>
+&mdash; Function File: [<var>num</var>, <var>den</var>] = <b>zp2tf</b> (<var>zer, pol, k</var>)<var><a name="index-zp2tf-1866"></a></var><br>
 <blockquote><p>Converts zeros / poles to a transfer function.
 
         <p><strong>Inputs</strong>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Models.html 1:3.0.5-6/doc/interpreter/HTML/Models.html
--- 1:3.0.1-6/doc/interpreter/HTML/Models.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Models.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dlogistic_005fregression"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>theta</var>, <var>beta</var>, <var>dev</var>, <var>dl</var>, <var>d2l</var>, <var>p</var>] = <b>logistic_regression</b> (<var>y, x, print, theta, beta</var>)<var><a name="index-logistic_005fregression-1440"></a></var><br>
+&mdash; Function File: [<var>theta</var>, <var>beta</var>, <var>dev</var>, <var>dl</var>, <var>d2l</var>, <var>p</var>] = <b>logistic_regression</b> (<var>y, x, print, theta, beta</var>)<var><a name="index-logistic_005fregression-1493"></a></var><br>
 <blockquote><p>Perform ordinal logistic regression.
 
         <p>Suppose <var>y</var> takes values in <var>k</var> ordered categories, and let
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Multi_002ddimensional-Interpolation.html 1:3.0.5-6/doc/interpreter/HTML/Multi_002ddimensional-Interpolation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Multi_002ddimensional-Interpolation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Multi_002ddimensional-Interpolation.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,11 +40,11 @@ in <a href="Interpolation-on-Scattered-D
    <p><a name="doc_002dinterp2"></a>
 
 <div class="defun">
-&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>x, y, z, xi, yi</var>)<var><a name="index-interp2-1613"></a></var><br>
-&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>Z, xi, yi</var>)<var><a name="index-interp2-1614"></a></var><br>
-&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>Z, n</var>)<var><a name="index-interp2-1615"></a></var><br>
-&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp2-1616"></a></var><br>
-&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interp2-1617"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>x, y, z, xi, yi</var>)<var><a name="index-interp2-1675"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>Z, xi, yi</var>)<var><a name="index-interp2-1676"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var>Z, n</var>)<var><a name="index-interp2-1677"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp2-1678"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>interp2</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interp2-1679"></a></var><br>
 <blockquote>
         <p>Two-dimensional interpolation. <var>x</var>, <var>y</var> and <var>z</var> describe a
 surface function. If <var>x</var> and <var>y</var> are vectors their length
@@ -93,12 +93,12 @@ defined then NA is assumed.
    <p><a name="doc_002dinterp3"></a>
 
 <div class="defun">
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>x, y,z, v, xi, yi, zi</var>)<var><a name="index-interp3-1618"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v, xi, yi, zi</var>)<var><a name="index-interp3-1619"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v, m</var>)<var><a name="index-interp3-1620"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v</var>)<var><a name="index-interp3-1621"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp3-1622"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interp3-1623"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>x, y,z, v, xi, yi, zi</var>)<var><a name="index-interp3-1680"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v, xi, yi, zi</var>)<var><a name="index-interp3-1681"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v, m</var>)<var><a name="index-interp3-1682"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var>v</var>)<var><a name="index-interp3-1683"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp3-1684"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interp3</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interp3-1685"></a></var><br>
 <blockquote>
         <p>Perform 3-dimensional interpolation. Each element of then 3-dimensional
 array <var>v</var> represents a value at a location given by the parameters
@@ -139,12 +139,12 @@ endpoints with that number.  If <var>ext
    <p><a name="doc_002dinterpn"></a>
 
 <div class="defun">
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>x1, x2, <small class="dots">...</small>, v, y1, y2, <small class="dots">...</small></var>)<var><a name="index-interpn-1624"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v, y1, y2, <small class="dots">...</small></var>)<var><a name="index-interpn-1625"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v, m</var>)<var><a name="index-interpn-1626"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v</var>)<var><a name="index-interpn-1627"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interpn-1628"></a></var><br>
-&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interpn-1629"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>x1, x2, <small class="dots">...</small>, v, y1, y2, <small class="dots">...</small></var>)<var><a name="index-interpn-1686"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v, y1, y2, <small class="dots">...</small></var>)<var><a name="index-interpn-1687"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v, m</var>)<var><a name="index-interpn-1688"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var>v</var>)<var><a name="index-interpn-1689"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interpn-1690"></a></var><br>
+&mdash; Function File: <var>vi</var> = <b>interpn</b> (<var><small class="dots">...</small>, method, extrapval</var>)<var><a name="index-interpn-1691"></a></var><br>
 <blockquote>
         <p>Perform <var>n</var>-dimensional interpolation, where <var>n</var> is at least two. 
 Each element of then <var>n</var>-dimensional array <var>v</var> represents a value
@@ -173,9 +173,9 @@ throughout the curve. 
 
         <p>The default method is 'linear'.
 
-        <p>If <var>extrap</var> is the string 'extrap', then extrapolate values beyond
-the endpoints.  If <var>extrap</var> is a number, replace values beyond the
-endpoints with that number.  If <var>extrap</var> is missing, assume NA.
+        <p>If <var>extrapval</var> is the scalar value, use it to replace the values
+beyond the endpoints with that number. If <var>extrapval</var> is missing,
+assume NA.
         <pre class="sp">
      
      </pre>
@@ -212,7 +212,7 @@ cubic interpolation of <code>interp2</co
    <p><a name="doc_002dbicubic"></a>
 
 <div class="defun">
-&mdash; Function File: <var>zi</var>= <b>bicubic</b> (<var>x, y, z, xi, yi, extrapval</var>)<var><a name="index-bicubic-1630"></a></var><br>
+&mdash; Function File: <var>zi</var>= <b>bicubic</b> (<var>x, y, z, xi, yi, extrapval</var>)<var><a name="index-bicubic-1692"></a></var><br>
 <blockquote>
         <p>Return a matrix <var>zi</var> corresponding to the bicubic
 interpolations at <var>xi</var> and <var>yi</var> of the data supplied
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Multiple-Plots-on-One-Page.html 1:3.0.5-6/doc/interpreter/HTML/Multiple-Plots-on-One-Page.html
--- 1:3.0.1-6/doc/interpreter/HTML/Multiple-Plots-on-One-Page.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Multiple-Plots-on-One-Page.html	2009-04-07 11:11:39.000000000 +0100
@@ -53,8 +53,8 @@ numbered in column-major order (top to b
    <p><a name="doc_002dsubplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>subplot</b> (<var>rows, cols, index</var>)<var><a name="index-subplot-849"></a></var><br>
-&mdash; Function File:  <b>subplot</b> (<var>rcn</var>)<var><a name="index-subplot-850"></a></var><br>
+&mdash; Function File:  <b>subplot</b> (<var>rows, cols, index</var>)<var><a name="index-subplot-860"></a></var><br>
+&mdash; Function File:  <b>subplot</b> (<var>rcn</var>)<var><a name="index-subplot-861"></a></var><br>
 <blockquote><p>Set up a plot grid with <var>cols</var> by <var>rows</var> subwindows and plot
 in location given by <var>index</var>.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Multiple-Plot-Windows.html 1:3.0.5-6/doc/interpreter/HTML/Multiple-Plot-Windows.html
--- 1:3.0.1-6/doc/interpreter/HTML/Multiple-Plot-Windows.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Multiple-Plot-Windows.html	2009-04-07 11:11:39.000000000 +0100
@@ -48,8 +48,8 @@ the second a cosine wave.  Figure number
    <p><a name="doc_002dfigure"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>figure</b> (<var>n</var>)<var><a name="index-figure-851"></a></var><br>
-&mdash; Function File:  <b>figure</b> (<var>n, property, value, <small class="dots">...</small></var>)<var><a name="index-figure-852"></a></var><br>
+&mdash; Function File:  <b>figure</b> (<var>n</var>)<var><a name="index-figure-862"></a></var><br>
+&mdash; Function File:  <b>figure</b> (<var>n, property, value, <small class="dots">...</small></var>)<var><a name="index-figure-863"></a></var><br>
 <blockquote><p>Set the current plot window to plot window <var>n</var>.  If no arguments are
 specified, the next available window number is chosen.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Networking-Utilities.html 1:3.0.5-6/doc/interpreter/HTML/Networking-Utilities.html
--- 1:3.0.1-6/doc/interpreter/HTML/Networking-Utilities.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Networking-Utilities.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,10 +37,10 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002durlread"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>s</var> = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2017"></a></var><br>
-&mdash; Loadable Function: [<var>s</var>, <var>success</var>] = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2018"></a></var><br>
-&mdash; Loadable Function: [<var>s</var>, <var>success</var>, <var>message</var>] = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2019"></a></var><br>
-&mdash; Loadable Function: [<small class="dots">...</small>] = <b>urlread</b> (<var>url, method, param</var>)<var><a name="index-urlread-2020"></a></var><br>
+&mdash; Loadable Function: <var>s</var> = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2079"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>success</var>] = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2080"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>success</var>, <var>message</var>] = <b>urlread</b> (<var>url</var>)<var><a name="index-urlread-2081"></a></var><br>
+&mdash; Loadable Function: [<small class="dots">...</small>] = <b>urlread</b> (<var>url, method, param</var>)<var><a name="index-urlread-2082"></a></var><br>
 <blockquote><p>Download a remote file specified by its <var>URL</var> and return its content
 in string <var>s</var>.  For example,
 
@@ -74,10 +74,10 @@ For example,
    <p><a name="doc_002durlwrite"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>urlwrite</b> (<var>URL, localfile</var>)<var><a name="index-urlwrite-2021"></a></var><br>
-&mdash; Loadable Function: <var>f</var> = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2022"></a></var><br>
-&mdash; Loadable Function: [<var>f</var>, <var>success</var>] = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2023"></a></var><br>
-&mdash; Loadable Function: [<var>f</var>, <var>success</var>, <var>message</var>] = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2024"></a></var><br>
+&mdash; Loadable Function:  <b>urlwrite</b> (<var>URL, localfile</var>)<var><a name="index-urlwrite-2083"></a></var><br>
+&mdash; Loadable Function: <var>f</var> = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2084"></a></var><br>
+&mdash; Loadable Function: [<var>f</var>, <var>success</var>] = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2085"></a></var><br>
+&mdash; Loadable Function: [<var>f</var>, <var>success</var>, <var>message</var>] = <b>urlwrite</b> (<var>url, localfile</var>)<var><a name="index-urlwrite-2086"></a></var><br>
 <blockquote><p>Download a remote file specified by its <var>URL</var> and save it as
 <var>localfile</var>.  For example,
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Nonlinear-Equations.html 1:3.0.5-6/doc/interpreter/HTML/Nonlinear-Equations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Nonlinear-Equations.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Nonlinear-Equations.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="chapter">19 Nonlinear Equations</h2>
 
-<p><a name="index-nonlinear-equations-1210"></a><a name="index-equations_002c-nonlinear-1211"></a>
+<p><a name="index-nonlinear-equations-1258"></a><a name="index-equations_002c-nonlinear-1259"></a>
 Octave can solve sets of nonlinear equations of the form
 
 <pre class="example">     F (x) = 0
@@ -41,12 +41,12 @@ Octave can solve sets of nonlinear equat
    <p class="noindent">using the function <code>fsolve</code>, which is based on the <span class="sc">Minpack</span>
 subroutine <code>hybrd</code>.  This is an iterative technique so a starting
 point will have to be provided.  This also has the consequence that
-convergence is not guarantied even if a solution exists.
+convergence is not guaranteed even if a solution exists.
 
    <p><a name="doc_002dfsolve"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>fval</var>, <var>info</var>] = <b>fsolve</b> (<var>fcn, x0</var>)<var><a name="index-fsolve-1212"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>fval</var>, <var>info</var>] = <b>fsolve</b> (<var>fcn, x0</var>)<var><a name="index-fsolve-1260"></a></var><br>
 <blockquote><p>Given <var>fcn</var>, the name of a function of the form <code>f (</code><var>x</var><code>)</code>
 and an initial starting point <var>x0</var>, <code>fsolve</code> solves the set of
 equations such that <code>f(</code><var>x</var><code>) == 0</code>.
@@ -80,7 +80,7 @@ parameters for <code>fsolve</code>. 
    <p><a name="doc_002dfsolve_005foptions"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>fsolve_options</b> (<var>opt, val</var>)<var><a name="index-fsolve_005foptions-1213"></a></var><br>
+&mdash; Loadable Function:  <b>fsolve_options</b> (<var>opt, val</var>)<var><a name="index-fsolve_005foptions-1261"></a></var><br>
 <blockquote><p>When called with two arguments, this function allows you set options
 parameters for the function <code>fsolve</code>.  Given one argument,
 <code>fsolve_options</code> returns the value of the corresponding option.  If
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Nonlinear-Programming.html 1:3.0.5-6/doc/interpreter/HTML/Nonlinear-Programming.html
--- 1:3.0.1-6/doc/interpreter/HTML/Nonlinear-Programming.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Nonlinear-Programming.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,7 +40,7 @@ successive quadratic programming solver.
    <p><a name="doc_002dsqp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>obj</var>, <var>info</var>, <var>iter</var>, <var>nf</var>, <var>lambda</var>] = <b>sqp</b> (<var>x, phi, g, h</var>)<var><a name="index-sqp-1374"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>obj</var>, <var>info</var>, <var>iter</var>, <var>nf</var>, <var>lambda</var>] = <b>sqp</b> (<var>x, phi, g, h, lb, ub, maxiter, tolerance</var>)<var><a name="index-sqp-1422"></a></var><br>
 <blockquote><p>Solve the nonlinear program
 
      <pre class="example">               min phi (x)
@@ -50,6 +50,7 @@ successive quadratic programming solver.
 
      <pre class="example">               g(x)  = 0
                h(x) &gt;= 0
+               lb &lt;= x &lt;= ub
 </pre>
         <p class="noindent">using a successive quadratic programming method.
 
@@ -106,6 +107,17 @@ gradient of the constraint function:
               transpose ( [ ------   -----   ...   ------ ] )
                           [  dx_1     dx_2          dx_N  ]
 </pre>
+        <p>The fifth and sixth arguments are vectors containing lower and upper bounds
+on <var>x</var>. These must be consistent with equality and inequality
+constraints <var>g</var> and <var>h</var>. If the bounds are not specified, or are
+empty, they are set to -<var>realmax</var> and <var>realmax</var> by default.
+
+        <p>The seventh argument is max. number of iterations. If not specified,
+the default value is 100.
+
+        <p>The eighth argument is tolerance for stopping criteria. If not specified,
+the default value is <var>eps</var>.
+
         <p>Here is an example of calling <code>sqp</code>:
 
      <pre class="example">          function r = g (x)
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/numerical.html 1:3.0.5-6/doc/interpreter/HTML/numerical.html
--- 1:3.0.1-6/doc/interpreter/HTML/numerical.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/numerical.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dare"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>are</b> (<var>a, b, c, opt</var>)<var><a name="index-are-1714"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>are</b> (<var>a, b, c, opt</var>)<var><a name="index-are-1776"></a></var><br>
 <blockquote><p>Solve the Algebraic Riccati Equation
      <pre class="example">          a' * x + x * a - x * b * x + c = 0
 </pre>
@@ -71,7 +71,7 @@ matrix.
    <p><a name="doc_002ddare"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>dare</b> (<var>a, b, q, r, opt</var>)<var><a name="index-dare-1715"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>dare</b> (<var>a, b, q, r, opt</var>)<var><a name="index-dare-1777"></a></var><br>
 <blockquote>
         <p>Return the solution, <var>x</var> of the discrete-time algebraic Riccati
 equation
@@ -113,7 +113,7 @@ Generalized eigenvalue approach (Van Doo
    <p><a name="doc_002ddre"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>tvals</var>, <var>plist</var>] = <b>dre</b> (<var>sys, q, r, qf, t0, tf, ptol, maxits</var>)<var><a name="index-dre-1716"></a></var><br>
+&mdash; Function File: [<var>tvals</var>, <var>plist</var>] = <b>dre</b> (<var>sys, q, r, qf, t0, tf, ptol, maxits</var>)<var><a name="index-dre-1778"></a></var><br>
 <blockquote><p>Solve the differential Riccati equation
      <pre class="example">            -d P/dt = A'P + P A - P B inv(R) B' P + Q
             P(tf) = Qf
@@ -150,7 +150,7 @@ is <var>p</var>(<var>tvals</var>(<var>i<
    <p><a name="doc_002ddgram"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dgram</b> (<var>a, b</var>)<var><a name="index-dgram-1717"></a></var><br>
+&mdash; Function File:  <b>dgram</b> (<var>a, b</var>)<var><a name="index-dgram-1779"></a></var><br>
 <blockquote><p>Return controllability gramian of discrete time system
      <pre class="example">            x(k+1) = a x(k) + b u(k)
 </pre>
@@ -171,7 +171,7 @@ is <var>p</var>(<var>tvals</var>(<var>i<
    <p><a name="doc_002ddlyap"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dlyap</b> (<var>a, b</var>)<var><a name="index-dlyap-1718"></a></var><br>
+&mdash; Function File:  <b>dlyap</b> (<var>a, b</var>)<var><a name="index-dlyap-1780"></a></var><br>
 <blockquote><p>Solve the discrete-time Lyapunov equation
 
         <p><strong>Inputs</strong>
@@ -213,7 +213,7 @@ Definite Lyapunov Equation</cite>, <acro
    <p><a name="doc_002dgram"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gram</b> (<var>a, b</var>)<var><a name="index-gram-1719"></a></var><br>
+&mdash; Function File:  <b>gram</b> (<var>a, b</var>)<var><a name="index-gram-1781"></a></var><br>
 <blockquote><p>Return controllability gramian <var>m</var> of the continuous time system
 dx/dt = a x + b u.
 
@@ -223,8 +223,8 @@ dx/dt = a x + b u.
    <p><a name="doc_002dlyap"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>lyap</b> (<var>a, b, c</var>)<var><a name="index-lyap-1720"></a></var><br>
-&mdash; Function File:  <b>lyap</b> (<var>a, b</var>)<var><a name="index-lyap-1721"></a></var><br>
+&mdash; Function File:  <b>lyap</b> (<var>a, b, c</var>)<var><a name="index-lyap-1782"></a></var><br>
+&mdash; Function File:  <b>lyap</b> (<var>a, b</var>)<var><a name="index-lyap-1783"></a></var><br>
 <blockquote><p>Solve the Lyapunov (or Sylvester) equation via the Bartels-Stewart
 algorithm (Communications of the <acronym>ACM</acronym>, 1972).
 
@@ -250,7 +250,7 @@ solution of the Lyapunov equation
    <p><a name="doc_002dqzval"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qzval</b> (<var>a, b</var>)<var><a name="index-qzval-1722"></a></var><br>
+&mdash; Function File:  <b>qzval</b> (<var>a, b</var>)<var><a name="index-qzval-1784"></a></var><br>
 <blockquote><p>Compute generalized eigenvalues of the matrix pencil
      <pre class="example">          (A - lambda B).
 </pre>
@@ -262,7 +262,7 @@ solution of the Lyapunov equation
    <p><a name="doc_002dzgfmul"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>zgfmul</b> (<var>a, b, c, d, x</var>)<var><a name="index-zgfmul-1723"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>zgfmul</b> (<var>a, b, c, d, x</var>)<var><a name="index-zgfmul-1785"></a></var><br>
 <blockquote><p>Compute product of <var>zgep</var> incidence matrix F with vector <var>x</var>. 
 Used by <samp><span class="command">zgepbal</span></samp> (in <samp><span class="command">zgscal</span></samp>) as part of generalized conjugate gradient
 iteration. 
@@ -271,14 +271,14 @@ iteration. 
    <p><a name="doc_002dzgfslv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>zgfslv</b> (<var>n, m, p, b</var>)<var><a name="index-zgfslv-1724"></a></var><br>
+&mdash; Function File:  <b>zgfslv</b> (<var>n, m, p, b</var>)<var><a name="index-zgfslv-1786"></a></var><br>
 <blockquote><p>Solve system of equations for dense zgep problem. 
 </p></blockquote></div>
 
    <p><a name="doc_002dzginit"></a>
 
 <div class="defun">
-&mdash; Function File: <var>zz</var> = <b>zginit</b> (<var>a, b, c, d</var>)<var><a name="index-zginit-1725"></a></var><br>
+&mdash; Function File: <var>zz</var> = <b>zginit</b> (<var>a, b, c, d</var>)<var><a name="index-zginit-1787"></a></var><br>
 <blockquote><p>Construct right hand side vector <var>zz</var>
 for the zero-computation generalized eigenvalue problem
 balancing procedure.  Called by <samp><span class="command">zgepbal</span></samp>. 
@@ -287,7 +287,7 @@ balancing procedure.  Called by <samp><s
    <p><a name="doc_002dzgreduce"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>zgreduce</b> (<var>sys, meps</var>)<var><a name="index-zgreduce-1726"></a></var><br>
+&mdash; Function File:  <b>zgreduce</b> (<var>sys, meps</var>)<var><a name="index-zgreduce-1788"></a></var><br>
 <blockquote><p>Implementation of procedure REDUCE in (Emami-Naeini and Van Dooren,
 Automatica, # 1982). 
 </p></blockquote></div>
@@ -295,7 +295,7 @@ Automatica, # 1982). 
    <p><a name="doc_002dzgrownorm"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>nonz</var>, <var>zer</var>] = <b>zgrownorm</b> (<var>mat, meps</var>)<var><a name="index-zgrownorm-1727"></a></var><br>
+&mdash; Function File: [<var>nonz</var>, <var>zer</var>] = <b>zgrownorm</b> (<var>mat, meps</var>)<var><a name="index-zgrownorm-1789"></a></var><br>
 <blockquote><p>Return <var>nonz</var> = number of rows of <var>mat</var> whose two norm
 exceeds <var>meps</var>, and <var>zer</var> = number of rows of mat whose two
 norm is less than <var>meps</var>. 
@@ -304,7 +304,7 @@ norm is less than <var>meps</var>. 
    <p><a name="doc_002dzgscal"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>zgscal</b> (<var>f, z, n, m, p</var>)<var><a name="index-zgscal-1728"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>zgscal</b> (<var>f, z, n, m, p</var>)<var><a name="index-zgscal-1790"></a></var><br>
 <blockquote><p>Generalized conjugate gradient iteration to
 solve zero-computation generalized eigenvalue problem balancing equation
 fx=z; called by <samp><span class="command">zgepbal</span></samp>. 
@@ -313,7 +313,7 @@ fx=z; called by <samp><span class="comma
    <p><a name="doc_002dzgsgiv"></a>
 
 <div class="defun">
-&mdash; Function File: [a, b] = <b>zgsgiv</b> (<var>c, s, a, b</var>)<var><a name="index-zgsgiv-1729"></a></var><br>
+&mdash; Function File: [a, b] = <b>zgsgiv</b> (<var>c, s, a, b</var>)<var><a name="index-zgsgiv-1791"></a></var><br>
 <blockquote><p>Apply givens rotation c,s to row vectors <var>a</var>, <var>b</var>. 
 No longer used in zero-balancing (__zgpbal__); kept for backward
 compatibility. 
@@ -322,7 +322,7 @@ compatibility. 
    <p><a name="doc_002dzgshsr"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>zgshsr</b> (<var>y</var>)<var><a name="index-zgshsr-1730"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>zgshsr</b> (<var>y</var>)<var><a name="index-zgshsr-1792"></a></var><br>
 <blockquote><p>Apply householder vector based on
 e^(m)
 to column vector <var>y</var>. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Oct_002dFiles.html 1:3.0.5-6/doc/interpreter/HTML/Oct_002dFiles.html
--- 1:3.0.1-6/doc/interpreter/HTML/Oct_002dFiles.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Oct_002dFiles.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="section">A.1 Oct-Files</h3>
 
-<p><a name="index-oct_002dfiles-2097"></a><a name="index-mkoctfile-2098"></a><a name="index-oct-2099"></a>
+<p><a name="index-oct_002dfiles-2160"></a><a name="index-mkoctfile-2161"></a><a name="index-oct-2162"></a>
 
 <ul class="menu">
 <li><a accesskey="1" href="Getting-Started-with-Oct_002dFiles.html#Getting-Started-with-Oct_002dFiles">Getting Started with Oct-Files</a>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/One_002ddimensional-Interpolation.html 1:3.0.5-6/doc/interpreter/HTML/One_002ddimensional-Interpolation.html
--- 1:3.0.1-6/doc/interpreter/HTML/One_002ddimensional-Interpolation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/One_002ddimensional-Interpolation.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,10 +40,10 @@ and <a href="Interpolation-on-Scattered-
    <p><a name="doc_002dinterp1"></a>
 
 <div class="defun">
-&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var>x, y, xi</var>)<var><a name="index-interp1-1604"></a></var><br>
-&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp1-1605"></a></var><br>
-&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var><small class="dots">...</small>, extrap</var>)<var><a name="index-interp1-1606"></a></var><br>
-&mdash; Function File: <var>pp</var> = <b>interp1</b> (<var><small class="dots">...</small>, 'pp'</var>)<var><a name="index-interp1-1607"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var>x, y, xi</var>)<var><a name="index-interp1-1666"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var><small class="dots">...</small>, method</var>)<var><a name="index-interp1-1667"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>interp1</b> (<var><small class="dots">...</small>, extrap</var>)<var><a name="index-interp1-1668"></a></var><br>
+&mdash; Function File: <var>pp</var> = <b>interp1</b> (<var><small class="dots">...</small>, 'pp'</var>)<var><a name="index-interp1-1669"></a></var><br>
 <blockquote>
         <p>One-dimensional interpolation. Interpolate <var>y</var>, defined at the
 points <var>x</var>, at the points <var>xi</var>. The sample points <var>x</var>
@@ -129,8 +129,8 @@ reconverted to the time domain.
    <p><a name="doc_002dinterpft"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>interpft</b> (<var>x, n</var>)<var><a name="index-interpft-1608"></a></var><br>
-&mdash; Function File:  <b>interpft</b> (<var>x, n, dim</var>)<var><a name="index-interpft-1609"></a></var><br>
+&mdash; Function File:  <b>interpft</b> (<var>x, n</var>)<var><a name="index-interpft-1670"></a></var><br>
+&mdash; Function File:  <b>interpft</b> (<var>x, n, dim</var>)<var><a name="index-interpft-1671"></a></var><br>
 <blockquote>
         <p>Fourier interpolation. If <var>x</var> is a vector, then <var>x</var> is
 resampled with <var>n</var> points. The data in <var>x</var> is assumed to be
@@ -171,8 +171,8 @@ underlie the <code>interp1</code> functi
    <p><a name="doc_002dspline"></a>
 
 <div class="defun">
-&mdash; Function File: <var>pp</var> = <b>spline</b> (<var>x, y</var>)<var><a name="index-spline-1610"></a></var><br>
-&mdash; Function File: <var>yi</var> = <b>spline</b> (<var>x, y, xi</var>)<var><a name="index-spline-1611"></a></var><br>
+&mdash; Function File: <var>pp</var> = <b>spline</b> (<var>x, y</var>)<var><a name="index-spline-1672"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>spline</b> (<var>x, y, xi</var>)<var><a name="index-spline-1673"></a></var><br>
 <blockquote>
         <p>Returns the cubic spline interpolation of <var>y</var> at the point
 <var>x</var>. Called with two arguments the piece-wise polynomial <var>pp</var>
@@ -216,7 +216,7 @@ of interest.
    <p><a name="doc_002dlookup"></a>
 
 <div class="defun">
-&mdash; Function File: <var>idx</var> = <b>lookup</b> (<var>table, y</var>)<var><a name="index-lookup-1612"></a></var><br>
+&mdash; Function File: <var>idx</var> = <b>lookup</b> (<var>table, y</var>)<var><a name="index-lookup-1674"></a></var><br>
 <blockquote><p>Lookup values in a sorted table.  Usually used as a prelude to
 interpolation.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Optimization.html 1:3.0.5-6/doc/interpreter/HTML/Optimization.html
--- 1:3.0.1-6/doc/interpreter/HTML/Optimization.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Optimization.html	2009-04-07 11:11:40.000000000 +0100
@@ -46,7 +46,7 @@ Minimization.
 </ul>
 
 <!-- @cindex linear programming -->
-   <p><a name="index-quadratic-programming-1366"></a><a name="index-nonlinear-programming-1367"></a><a name="index-optimization-1368"></a><a name="index-LP-1369"></a><a name="index-QP-1370"></a><a name="index-NLP-1371"></a>
+   <p><a name="index-quadratic-programming-1414"></a><a name="index-nonlinear-programming-1415"></a><a name="index-optimization-1416"></a><a name="index-LP-1417"></a><a name="index-QP-1418"></a><a name="index-NLP-1419"></a>
 
    </body></html>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Ordinary-Differential-Equations.html 1:3.0.5-6/doc/interpreter/HTML/Ordinary-Differential-Equations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Ordinary-Differential-Equations.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Ordinary-Differential-Equations.html	2009-04-07 11:11:40.000000000 +0100
@@ -43,7 +43,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dlsode"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>istate</var>, <var>msg</var>] = <b>lsode</b> (<var>fcn, x_0, t, t_crit</var>)<var><a name="index-lsode-1359"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>istate</var>, <var>msg</var>] = <b>lsode</b> (<var>fcn, x_0, t, t_crit</var>)<var><a name="index-lsode-1407"></a></var><br>
 <blockquote><p>Solve the set of differential equations
 
      <pre class="example">          dx
@@ -119,7 +119,7 @@ parameters for <code>lsode</code>.
    <p><a name="doc_002dlsode_005foptions"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>lsode_options</b> (<var>opt, val</var>)<var><a name="index-lsode_005foptions-1360"></a></var><br>
+&mdash; Loadable Function:  <b>lsode_options</b> (<var>opt, val</var>)<var><a name="index-lsode_005foptions-1408"></a></var><br>
 <blockquote><p>When called with two arguments, this function
 allows you set options parameters for the function <code>lsode</code>. 
 Given one argument, <code>lsode_options</code> returns the value of the
@@ -163,7 +163,7 @@ regions  (default is not specified). 
    <p>Here is an example of solving a set of three differential equations using
 <code>lsode</code>.  Given the function
 
-   <p><a name="index-oregonator-1361"></a>
+   <p><a name="index-oregonator-1409"></a>
 <pre class="example">     function xdot = f (x, t)
      
        xdot = zeros (3,1);
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Organization-of-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Organization-of-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Organization-of-Functions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Organization-of-Functions.html	2009-04-07 11:11:39.000000000 +0100
@@ -56,7 +56,7 @@ and <code>triu</code>, as well as other 
 
      <br><dt><samp><span class="file">image</span></samp><dd>Image processing tools.  These functions require the X Window System.
 
-     <br><dt><samp><span class="file">io</span></samp><dd>Input-ouput functions.
+     <br><dt><samp><span class="file">io</span></samp><dd>Input-output functions.
 
      <br><dt><samp><span class="file">linear-algebra</span></samp><dd>Functions for linear algebra.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Orthogonal-Collocation.html 1:3.0.5-6/doc/interpreter/HTML/Orthogonal-Collocation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Orthogonal-Collocation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Orthogonal-Collocation.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,7 +35,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dcolloc"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>r</var>, <var>amat</var>, <var>bmat</var>, <var>q</var>] = <b>colloc</b> (<var>n, "left", "right"</var>)<var><a name="index-colloc-1355"></a></var><br>
+&mdash; Loadable Function: [<var>r</var>, <var>amat</var>, <var>bmat</var>, <var>q</var>] = <b>colloc</b> (<var>n, "left", "right"</var>)<var><a name="index-colloc-1403"></a></var><br>
 <blockquote><p>Compute derivative and integral weight matrices for orthogonal
 collocation using the subroutines given in J. Villadsen and
 M. L. Michelsen, <cite>Solution of Differential Equation Models by
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Packages.html 1:3.0.5-6/doc/interpreter/HTML/Packages.html
--- 1:3.0.1-6/doc/interpreter/HTML/Packages.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Packages.html	2009-04-07 11:11:40.000000000 +0100
@@ -50,7 +50,7 @@ website for an updated reference.
 <li><a accesskey="4" href="Creating-Packages.html#Creating-Packages">Creating Packages</a>
 </ul>
 
-   <p><a name="index-pkg-2095"></a>
+   <p><a name="index-pkg-2158"></a>
 
    </body></html>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Password-Database-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Password-Database-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Password-Database-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Password-Database-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -59,7 +59,7 @@ referred to as a <var>pw_struct</var>.
    <p><a name="doc_002dgetpwent"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwent</b> ()<var><a name="index-getpwent-2072"></a></var><br>
+&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwent</b> ()<var><a name="index-getpwent-2135"></a></var><br>
 <blockquote><p>Return a structure containing an entry from the password database,
 opening it if necessary. Once the end of the data has been reached,
 <code>getpwent</code> returns 0. 
@@ -68,7 +68,7 @@ opening it if necessary. Once the end of
    <p><a name="doc_002dgetpwuid"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwuid</b> (<var>uid</var>)<var>.<a name="index-getpwuid-2073"></a></var><br>
+&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwuid</b> (<var>uid</var>)<var>.<a name="index-getpwuid-2136"></a></var><br>
 <blockquote><p>Return a structure containing the first entry from the password database
 with the user ID <var>uid</var>.  If the user ID does not exist in the
 database, <code>getpwuid</code> returns 0. 
@@ -77,7 +77,7 @@ database, <code>getpwuid</code> returns 
    <p><a name="doc_002dgetpwnam"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwnam</b> (<var>name</var>)<var><a name="index-getpwnam-2074"></a></var><br>
+&mdash; Loadable Function: <var>pw_struct</var> = <b>getpwnam</b> (<var>name</var>)<var><a name="index-getpwnam-2137"></a></var><br>
 <blockquote><p>Return a structure containing the first entry from the password database
 with the user name <var>name</var>.  If the user name does not exist in the
 database, <code>getpwname</code> returns 0. 
@@ -86,14 +86,14 @@ database, <code>getpwname</code> returns
    <p><a name="doc_002dsetpwent"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>setpwent</b> ()<var><a name="index-setpwent-2075"></a></var><br>
+&mdash; Loadable Function:  <b>setpwent</b> ()<var><a name="index-setpwent-2138"></a></var><br>
 <blockquote><p>Return the internal pointer to the beginning of the password database. 
 </p></blockquote></div>
 
    <p><a name="doc_002dendpwent"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>endpwent</b> ()<var><a name="index-endpwent-2076"></a></var><br>
+&mdash; Loadable Function:  <b>endpwent</b> ()<var><a name="index-endpwent-2139"></a></var><br>
 <blockquote><p>Close the password database. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Patch-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Patch-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Patch-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Patch-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,6 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.7 Patch Properties</h5>
 
+<p><a name="index-patch-properties-940"></a>
      <dl>
 <dt><code>cdata</code><dt><code>xdata</code><dt><code>ydata</code><dt><code>zdata</code><dd>Data defining the patch object.
 
Binary files 1:3.0.1-6/doc/interpreter/HTML/plot3.png and 1:3.0.5-6/doc/interpreter/HTML/plot3.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Plot-Annotations.html 1:3.0.5-6/doc/interpreter/HTML/Plot-Annotations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Plot-Annotations.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Plot-Annotations.html	2009-04-07 11:11:39.000000000 +0100
@@ -52,20 +52,20 @@ border lines are on.
    <p><a name="doc_002dtitle"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>title</b> (<var>title</var>)<var><a name="index-title-829"></a></var><br>
+&mdash; Function File:  <b>title</b> (<var>title</var>)<var><a name="index-title-837"></a></var><br>
 <blockquote><p>Create a title object and return a handle to it. 
 </p></blockquote></div>
 
    <p><a name="doc_002dlegend"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>legend</b> (<var>st1, st2, <small class="dots">...</small></var>)<var><a name="index-legend-830"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>st1, st2, <small class="dots">...</small>, "location", pos</var>)<var><a name="index-legend-831"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>matstr</var>)<var><a name="index-legend-832"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>matstr, "location", pos</var>)<var><a name="index-legend-833"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>cell</var>)<var><a name="index-legend-834"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>cell, "location", pos</var>)<var><a name="index-legend-835"></a></var><br>
-&mdash; Function File:  <b>legend</b> (<var>'func'</var>)<var><a name="index-legend-836"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>st1, st2, <small class="dots">...</small></var>)<var><a name="index-legend-838"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>st1, st2, <small class="dots">...</small>, "location", pos</var>)<var><a name="index-legend-839"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>matstr</var>)<var><a name="index-legend-840"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>matstr, "location", pos</var>)<var><a name="index-legend-841"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>cell</var>)<var><a name="index-legend-842"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>cell, "location", pos</var>)<var><a name="index-legend-843"></a></var><br>
+&mdash; Function File:  <b>legend</b> (<var>'func'</var>)<var><a name="index-legend-844"></a></var><br>
 <blockquote>
         <p>Display a legend for the current axes using the specified strings
 as labels.  Legend entries may be specified as individual character
@@ -111,22 +111,24 @@ as follows:
    <p><a name="doc_002dtext"></a>
 
 <div class="defun">
-&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, label</var>)<var><a name="index-text-837"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, z, label</var>)<var><a name="index-text-838"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, label, p1, v1, <small class="dots">...</small></var>)<var><a name="index-text-839"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, z, label, p1, v1, <small class="dots">...</small></var>)<var><a name="index-text-840"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, label</var>)<var><a name="index-text-845"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, z, label</var>)<var><a name="index-text-846"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, label, p1, v1, <small class="dots">...</small></var>)<var><a name="index-text-847"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>text</b> (<var>x, y, z, label, p1, v1, <small class="dots">...</small></var>)<var><a name="index-text-848"></a></var><br>
 <blockquote><p>Create a text object with text <var>label</var> at position <var>x</var>,
 <var>y</var>, <var>z</var> on the current axes.  Property-value pairs following
 <var>label</var> may be used to specify the appearance of the text. 
 </p></blockquote></div>
 
+   <p>See <a href="Text-Properties.html#Text-Properties">Text Properties</a> for the properties that you can set.
+
    <p><a name="doc_002dxlabel"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>xlabel</b> (<var>string</var>)<var><a name="index-xlabel-841"></a></var><br>
-&mdash; Function File:  <b>ylabel</b> (<var>string</var>)<var><a name="index-ylabel-842"></a></var><br>
-&mdash; Function File:  <b>zlabel</b> (<var>string</var>)<var><a name="index-zlabel-843"></a></var><br>
-&mdash; Function File:  <b>xlabel</b> (<var>h, string</var>)<var><a name="index-xlabel-844"></a></var><br>
+&mdash; Function File:  <b>xlabel</b> (<var>string</var>)<var><a name="index-xlabel-849"></a></var><br>
+&mdash; Function File:  <b>ylabel</b> (<var>string</var>)<var><a name="index-ylabel-850"></a></var><br>
+&mdash; Function File:  <b>zlabel</b> (<var>string</var>)<var><a name="index-zlabel-851"></a></var><br>
+&mdash; Function File:  <b>xlabel</b> (<var>h, string</var>)<var><a name="index-xlabel-852"></a></var><br>
 <blockquote><p>Specify x, y, and z axis labels for the current figure. If <var>h</var> is
 specified then label the axis defined by <var>h</var>.
         <pre class="sp">
@@ -139,8 +141,8 @@ bar, stairs,  ylabel, title. 
    <p><a name="doc_002dbox"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>box</b> (<var>arg</var>)<var><a name="index-box-845"></a></var><br>
-&mdash; Function File:  <b>box</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-box-846"></a></var><br>
+&mdash; Function File:  <b>box</b> (<var>arg</var>)<var><a name="index-box-853"></a></var><br>
+&mdash; Function File:  <b>box</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-box-854"></a></var><br>
 <blockquote><p>Control the display of a border around the plot. 
 The argument may be either <code>"on"</code> or <code>"off"</code>.  If it is
 omitted, the current box state is toggled.
@@ -153,21 +155,48 @@ omitted, the current box state is toggle
    <p><a name="doc_002dgrid"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>grid</b> (<var>arg</var>)<var><a name="index-grid-847"></a></var><br>
-&mdash; Function File:  <b>grid</b> (<var>"minor", arg2</var>)<var><a name="index-grid-848"></a></var><br>
+&mdash; Function File:  <b>grid</b> (<var>arg</var>)<var><a name="index-grid-855"></a></var><br>
+&mdash; Function File:  <b>grid</b> (<var>"minor", arg2</var>)<var><a name="index-grid-856"></a></var><br>
+&mdash; Function File:  <b>grid</b> (<var>hax, <small class="dots">...</small></var>)<var><a name="index-grid-857"></a></var><br>
 <blockquote><p>Force the display of a grid on the plot. 
-The argument may be either <code>"on"</code> or <code>"off"</code>.  If it is
-omitted, the current grid state is toggled.
+The argument may be either <code>"on"</code>, or <code>"off"</code>. 
+If it is omitted, the current grid state is toggled.
 
         <p>If <var>arg</var> is <code>"minor"</code> then the minor grid is toggled.  When
 using a minor grid a second argument <var>arg2</var> is allowed, which can
 be either <code>"on"</code> or <code>"off"</code> to explicitly set the state of
 the minor grid.
+
+        <p>If the first argument is an axis handle, <var>hax</var>, operate on the
+specified axis object.
         <pre class="sp">
      
      </pre>
      <strong>See also:</strong> plot. 
 </p></blockquote></div>
 
+   <p><a name="doc_002dcolorbar"></a>
+
+<div class="defun">
+&mdash; Function File:  <b>colorbar</b> (<var>s</var>)<var><a name="index-colorbar-858"></a></var><br>
+&mdash; Function File:  <b>colorbar</b> (<var>'peer', h, <small class="dots">...</small></var>)<var><a name="index-colorbar-859"></a></var><br>
+<blockquote><p>Adds a colorbar to the current axes. Valid values for <var>s</var> are
+
+          <dl>
+<dt>'EastOutside'<dd>Place the colorbar outside the plot to the right. This is the default. 
+<br><dt>'East'<dd>Place the colorbar inside the plot to the right. 
+<br><dt>'WestOutside'<dd>Place the colorbar outside the plot to the left. 
+<br><dt>'West'<dd>Place the colorbar inside the plot to the left. 
+<br><dt>'NorthOutside'<dd>Place the colorbar above the plot. 
+<br><dt>'North'<dd>Place the colorbar at the top of the plot. 
+<br><dt>'SouthOutside'<dd>Place the colorbar under the plot. 
+<br><dt>'South'<dd>Place the colorbar at the bottom of the plot. 
+<br><dt>'Off', 'None'<dd>Remove any existing colorbar from the plot. 
+</dl>
+
+        <p>If the argument 'peer' is given, then the following argument is treated
+as the axes handle on which to add the colorbar. 
+</p></blockquote></div>
+
    </body></html>
 
Binary files 1:3.0.1-6/doc/interpreter/HTML/plot.png and 1:3.0.5-6/doc/interpreter/HTML/plot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Plotting-the-Triangulation.html 1:3.0.5-6/doc/interpreter/HTML/Plotting-the-Triangulation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Plotting-the-Triangulation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Plotting-the-Triangulation.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,9 +38,9 @@ Delaunay triangulation of a 2-dimensiona
    <p><a name="doc_002dtriplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>triplot</b> (<var>tri, x, y</var>)<var><a name="index-triplot-1637"></a></var><br>
-&mdash; Function File:  <b>triplot</b> (<var>tri, x, y, linespec</var>)<var><a name="index-triplot-1638"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>triplot</b> (<var><small class="dots">...</small></var>)<var><a name="index-triplot-1639"></a></var><br>
+&mdash; Function File:  <b>triplot</b> (<var>tri, x, y</var>)<var><a name="index-triplot-1699"></a></var><br>
+&mdash; Function File:  <b>triplot</b> (<var>tri, x, y, linespec</var>)<var><a name="index-triplot-1700"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>triplot</b> (<var><small class="dots">...</small></var>)<var><a name="index-triplot-1701"></a></var><br>
 <blockquote><p>Plot a triangular mesh in 2D. The variable <var>tri</var> is the triangular
 meshing of the points <code>(</code><var>x</var><code>, </code><var>y</var><code>)</code> which is returned from
 <code>delaunay</code>. If given, the <var>linespec</var> determines the properties
@@ -55,8 +55,8 @@ to the plot.
    <p><a name="doc_002dtrimesh"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>trimesh</b> (<var>tri, x, y, z</var>)<var><a name="index-trimesh-1640"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>trimesh</b> (<var><small class="dots">...</small></var>)<var><a name="index-trimesh-1641"></a></var><br>
+&mdash; Function File:  <b>trimesh</b> (<var>tri, x, y, z</var>)<var><a name="index-trimesh-1702"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>trimesh</b> (<var><small class="dots">...</small></var>)<var><a name="index-trimesh-1703"></a></var><br>
 <blockquote><p>Plot a triangular mesh in 3D. The variable <var>tri</var> is the triangular
 meshing of the points <code>(</code><var>x</var><code>, </code><var>y</var><code>)</code> which is returned
 from <code>delaunay</code>. The variable <var>z</var> is value at the point
Binary files 1:3.0.1-6/doc/interpreter/HTML/polar.png and 1:3.0.5-6/doc/interpreter/HTML/polar.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Polynomial-Interpolation.html 1:3.0.5-6/doc/interpreter/HTML/Polynomial-Interpolation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Polynomial-Interpolation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Polynomial-Interpolation.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,26 +45,36 @@ in a least-squares sense, which is what 
    <p><a name="doc_002dpolyfit"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>p</var>, <var>s</var>] = <b>polyfit</b> (<var>x, y, n</var>)<var><a name="index-polyfit-1596"></a></var><br>
+&mdash; Function File: [<var>p</var>, <var>s</var>, <var>mu</var>] = <b>polyfit</b> (<var>x, y, n</var>)<var><a name="index-polyfit-1658"></a></var><br>
 <blockquote><p>Return the coefficients of a polynomial <var>p</var>(<var>x</var>) of degree
-<var>n</var> that minimizes
-<code>sumsq (p(x(i)) - y(i))</code>,
- to best fit the data in the least squares sense.
+<var>n</var> that minimizes the least-squares-error of the fit.
 
         <p>The polynomial coefficients are returned in a row vector.
 
-        <p>If two output arguments are requested, the second is a structure
-containing the following fields:
+        <p>The second output is a structure containing the following fields:
 
           <dl>
-<dt><code>R</code><dd>The Cholesky factor of the Vandermonde matrix used to compute the
-polynomial coefficients. 
-<br><dt><code>X</code><dd>The Vandermonde matrix used to compute the polynomial coefficients. 
-<br><dt><code>df</code><dd>The degrees of freedom. 
-<br><dt><code>normr</code><dd>The norm of the residuals. 
-<br><dt><code>yf</code><dd>The values of the polynomial for each value of <var>x</var>. 
+<dt>&lsquo;<samp><span class="samp">R</span></samp>&rsquo;<dd>Triangular factor R from the QR decomposition. 
+<br><dt>&lsquo;<samp><span class="samp">X</span></samp>&rsquo;<dd>The Vandermonde matrix used to compute the polynomial coefficients. 
+<br><dt>&lsquo;<samp><span class="samp">df</span></samp>&rsquo;<dd>The degrees of freedom. 
+<br><dt>&lsquo;<samp><span class="samp">normr</span></samp>&rsquo;<dd>The norm of the residuals. 
+<br><dt>&lsquo;<samp><span class="samp">yf</span></samp>&rsquo;<dd>The values of the polynomial for each value of <var>x</var>. 
 </dl>
-        </p></blockquote></div>
+
+        <p>The second output may be used by <code>polyval</code> to calculate the
+statistical error limits of the predicted values.
+
+        <p>When the third output, <var>mu</var>, is present the
+coefficients, <var>p</var>, are associated with a polynomial in
+<var>xhat</var> = (<var>x</var>-<var>mu</var>(1))/<var>mu</var>(2). 
+Where <var>mu</var>(1) = mean (<var>x</var>), and <var>mu</var>(2) = std (<var>x</var>). 
+This linear transformation of <var>x</var> improves the numerical
+stability of the fit.
+        <pre class="sp">
+     
+     </pre>
+     <strong>See also:</strong> polyval, polyconf, residue. 
+</p></blockquote></div>
 
    <p>In situations where a single polynomial isn't good enough, a solution
 is to use several polynomials pieced together.  The function <code>mkpp</code>
@@ -88,7 +98,7 @@ on adjoined intervals.
    <p><a name="doc_002dppval"></a>
 
 <div class="defun">
-&mdash; Function File: <var>yi</var> = <b>ppval</b> (<var>pp, xi</var>)<var><a name="index-ppval-1597"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>ppval</b> (<var>pp, xi</var>)<var><a name="index-ppval-1659"></a></var><br>
 <blockquote><p>Evaluate piece-wise polynomial <var>pp</var> at the points <var>xi</var>. 
 If <var>pp</var><code>.d</code> is a scalar greater than 1, or an array,
 then the returned value <var>yi</var> will be an array that is
@@ -102,8 +112,8 @@ then the returned value <var>yi</var> wi
    <p><a name="doc_002dmkpp"></a>
 
 <div class="defun">
-&mdash; Function File: <var>pp</var> = <b>mkpp</b> (<var>x, p</var>)<var><a name="index-mkpp-1598"></a></var><br>
-&mdash; Function File: <var>pp</var> = <b>mkpp</b> (<var>x, p, d</var>)<var><a name="index-mkpp-1599"></a></var><br>
+&mdash; Function File: <var>pp</var> = <b>mkpp</b> (<var>x, p</var>)<var><a name="index-mkpp-1660"></a></var><br>
+&mdash; Function File: <var>pp</var> = <b>mkpp</b> (<var>x, p, d</var>)<var><a name="index-mkpp-1661"></a></var><br>
 <blockquote>
         <p>Construct a piece-wise polynomial structure from sample points
 <var>x</var> and coefficients <var>p</var>.  The ith row of <var>p</var>,
@@ -130,7 +140,7 @@ last dimension. If <var>d</var> is not s
    <p><a name="doc_002dunmkpp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>p</var>, <var>n</var>, <var>k</var>, <var>d</var>] = <b>unmkpp</b> (<var>pp</var>)<var><a name="index-unmkpp-1600"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>p</var>, <var>n</var>, <var>k</var>, <var>d</var>] = <b>unmkpp</b> (<var>pp</var>)<var><a name="index-unmkpp-1662"></a></var><br>
 <blockquote>
         <p>Extract the components of a piece-wise polynomial structure <var>pp</var>. 
 These are as follows:
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Printing-Plots.html 1:3.0.5-6/doc/interpreter/HTML/Printing-Plots.html
--- 1:3.0.1-6/doc/interpreter/HTML/Printing-Plots.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Printing-Plots.html	2009-04-07 11:11:39.000000000 +0100
@@ -45,7 +45,7 @@ formats.  For example,
    <p><a name="doc_002dprint"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>print</b> (<var>filename, options</var>)<var><a name="index-print-853"></a></var><br>
+&mdash; Function File:  <b>print</b> (<var>filename, options</var>)<var><a name="index-print-864"></a></var><br>
 <blockquote><p>Print a graph, or save it to a file
 
         <p><var>filename</var> defines the file name of the output file. If no
@@ -108,7 +108,7 @@ filename is specified, output is sent to
    <p><a name="doc_002dorient"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>orient</b> (<var>orientation</var>)<var><a name="index-orient-854"></a></var><br>
+&mdash; Function File:  <b>orient</b> (<var>orientation</var>)<var><a name="index-orient-865"></a></var><br>
 <blockquote><p>Set the default print orientation.  Valid values for
 <var>orientation</var> include <code>"landscape"</code> and <code>"portrait"</code>. 
 If called with no arguments, return the default print orientation. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Process-ID-Information.html 1:3.0.5-6/doc/interpreter/HTML/Process-ID-Information.html
--- 1:3.0.1-6/doc/interpreter/HTML/Process-ID-Information.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Process-ID-Information.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,49 +37,49 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dgetpgrp"></a>
 
 <div class="defun">
-&mdash; Built-in Function: pgid = <b>getpgrp</b> ()<var><a name="index-getpgrp-2056"></a></var><br>
+&mdash; Built-in Function: pgid = <b>getpgrp</b> ()<var><a name="index-getpgrp-2118"></a></var><br>
 <blockquote><p>Return the process group id of the current process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgetpid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: pid = <b>getpid</b> ()<var><a name="index-getpid-2057"></a></var><br>
+&mdash; Built-in Function: pid = <b>getpid</b> ()<var><a name="index-getpid-2119"></a></var><br>
 <blockquote><p>Return the process id of the current process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgetppid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: pid = <b>getppid</b> ()<var><a name="index-getppid-2058"></a></var><br>
+&mdash; Built-in Function: pid = <b>getppid</b> ()<var><a name="index-getppid-2120"></a></var><br>
 <blockquote><p>Return the process id of the parent process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgeteuid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: euid = <b>geteuid</b> ()<var><a name="index-geteuid-2059"></a></var><br>
+&mdash; Built-in Function: euid = <b>geteuid</b> ()<var><a name="index-geteuid-2121"></a></var><br>
 <blockquote><p>Return the effective user id of the current process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgetuid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: uid = <b>getuid</b> ()<var><a name="index-getuid-2060"></a></var><br>
+&mdash; Built-in Function: uid = <b>getuid</b> ()<var><a name="index-getuid-2122"></a></var><br>
 <blockquote><p>Return the real user id of the current process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgetegid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: egid = <b>getegid</b> ()<var><a name="index-getegid-2061"></a></var><br>
+&mdash; Built-in Function: egid = <b>getegid</b> ()<var><a name="index-getegid-2123"></a></var><br>
 <blockquote><p>Return the effective group id of the current process. 
 </p></blockquote></div>
 
    <p><a name="doc_002dgetgid"></a>
 
 <div class="defun">
-&mdash; Built-in Function: gid = <b>getgid</b> ()<var><a name="index-getgid-2062"></a></var><br>
+&mdash; Built-in Function: gid = <b>getgid</b> ()<var><a name="index-getgid-2124"></a></var><br>
 <blockquote><p>Return the real group id of the current process. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Processing-Data-in-Structures.html 1:3.0.5-6/doc/interpreter/HTML/Processing-Data-in-Structures.html
--- 1:3.0.1-6/doc/interpreter/HTML/Processing-Data-in-Structures.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Processing-Data-in-Structures.html	2009-04-07 11:11:39.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <h4 class="subsection">6.1.4 Processing Data in Structures</h4>
 
 <p>The simplest way to process data in a structure is within a <code>for</code>
-loop or othe means of iterating over the fields. A similar effect can be
+loop (see <a href="Looping-Over-Structure-Elements.html#Looping-Over-Structure-Elements">Looping Over Structure Elements</a>). A similar effect can be
 achieved with the <code>structfun</code> function, where a user defined
 function is applied to each field of the structure.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Products-of-Polynomials.html 1:3.0.5-6/doc/interpreter/HTML/Products-of-Polynomials.html
--- 1:3.0.1-6/doc/interpreter/HTML/Products-of-Polynomials.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Products-of-Polynomials.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dconv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>conv</b> (<var>a, b</var>)<var><a name="index-conv-1581"></a></var><br>
+&mdash; Function File:  <b>conv</b> (<var>a, b</var>)<var><a name="index-conv-1643"></a></var><br>
 <blockquote><p>Convolve two vectors.
 
         <p><code>y = conv (a, b)</code> returns a vector of length equal to
@@ -53,7 +53,7 @@ returns the coefficients of the product 
    <p><a name="doc_002ddeconv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>deconv</b> (<var>y, a</var>)<var><a name="index-deconv-1582"></a></var><br>
+&mdash; Function File:  <b>deconv</b> (<var>y, a</var>)<var><a name="index-deconv-1644"></a></var><br>
 <blockquote><p>Deconvolve two vectors.
 
         <p><code>[b, r] = deconv (y, a)</code> solves for <var>b</var> and <var>r</var> such that
@@ -71,8 +71,8 @@ a remainder polynomial of lowest order.
    <p><a name="doc_002dconv2"></a>
 
 <div class="defun">
-&mdash; Loadable Function: y = <b>conv2</b> (<var>a, b, shape</var>)<var><a name="index-conv2-1583"></a></var><br>
-&mdash; Loadable Function: y = <b>conv2</b> (<var>v1, v2, M, shape</var>)<var><a name="index-conv2-1584"></a></var><br>
+&mdash; Loadable Function: y = <b>conv2</b> (<var>a, b, shape</var>)<var><a name="index-conv2-1645"></a></var><br>
+&mdash; Loadable Function: y = <b>conv2</b> (<var>v1, v2, M, shape</var>)<var><a name="index-conv2-1646"></a></var><br>
 <blockquote>
         <p>Returns 2D convolution of <var>a</var> and <var>b</var> where the size
 of <var>c</var> is given by
@@ -91,7 +91,7 @@ in the column direction and by vector <v
    <p><a name="doc_002dpolygcd"></a>
 
 <div class="defun">
-&mdash; Function File: <var>q</var> = <b>polygcd</b> (<var>b, a, tol</var>)<var><a name="index-polygcd-1585"></a></var><br>
+&mdash; Function File: <var>q</var> = <b>polygcd</b> (<var>b, a, tol</var>)<var><a name="index-polygcd-1647"></a></var><br>
 <blockquote>
         <p>Find greatest common divisor of two polynomials.  This is equivalent
 to the polynomial found by multiplying together all the common roots. 
@@ -119,7 +119,7 @@ residue, filter, polyval, and polyvalm. 
    <p><a name="doc_002dresidue"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>r</var>, <var>p</var>, <var>k</var>, <var>e</var>] = <b>residue</b> (<var>b, a</var>)<var><a name="index-residue-1586"></a></var><br>
+&mdash; Function File: [<var>r</var>, <var>p</var>, <var>k</var>, <var>e</var>] = <b>residue</b> (<var>b, a</var>)<var><a name="index-residue-1648"></a></var><br>
 <blockquote><p>Compute the partial fraction expansion for the quotient of the
 polynomials, <var>b</var> and <var>a</var>.
 
@@ -148,8 +148,8 @@ the multiplicity of the mth residue's po
              ------------------- = ----- + ------- + -----
              s^3 - 5s^2 + 8s - 4   (s-2)   (s-2)^2   (s-1)
 </pre>
-        &mdash; Function File: [<var>b</var>, <var>a</var>] = <b>residue</b> (<var>r, p, k</var>)<var><a name="index-residue-1587"></a></var><br>
-&mdash; Function File: [<var>b</var>, <var>a</var>] = <b>residue</b> (<var>r, p, k, e</var>)<var><a name="index-residue-1588"></a></var><br>
+        &mdash; Function File: [<var>b</var>, <var>a</var>] = <b>residue</b> (<var>r, p, k</var>)<var><a name="index-residue-1649"></a></var><br>
+&mdash; Function File: [<var>b</var>, <var>a</var>] = <b>residue</b> (<var>r, p, k, e</var>)<var><a name="index-residue-1650"></a></var><br>
 <blockquote><p>Compute the reconstituted quotient of polynomials,
 <var>b</var>(s)/<var>a</var>(s), from the partial fraction expansion;
 represented by the residues, poles, and a direct polynomial specified
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Quadratic-Programming.html 1:3.0.5-6/doc/interpreter/HTML/Quadratic-Programming.html
--- 1:3.0.1-6/doc/interpreter/HTML/Quadratic-Programming.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Quadratic-Programming.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,7 +45,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dqp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>obj</var>, <var>info</var>, <var>lambda</var>] = <b>qp</b> (<var>x0, H, q, A, b, lb, ub, A_lb, A_in, A_ub</var>)<var><a name="index-qp-1373"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>obj</var>, <var>info</var>, <var>lambda</var>] = <b>qp</b> (<var>x0, H, q, A, b, lb, ub, A_lb, A_in, A_ub</var>)<var><a name="index-qp-1421"></a></var><br>
 <blockquote><p>Solve the quadratic program
 
      <pre class="example">               min 0.5 x'*H*x + x'*q
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Quaternions.html 1:3.0.5-6/doc/interpreter/HTML/Quaternions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Quaternions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Quaternions.html	2009-04-07 11:11:40.000000000 +0100
@@ -44,10 +44,10 @@ Auburn University.
    <p><a name="doc_002dquaternion"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>quaternion</b> (<var>w</var>)<var><a name="index-quaternion-1928"></a></var><br>
-&mdash; Function File: [<var>vv</var>, <var>theta</var>] = <b>quaternion</b> (<var>w</var>)<var><a name="index-quaternion-1929"></a></var><br>
-&mdash; Function File: <var>w</var> = <b>quaternion</b> (<var>a, b, c, d</var>)<var><a name="index-quaternion-1930"></a></var><br>
-&mdash; Function File: <var>w</var> = <b>quaternion</b> (<var>vv, theta</var>)<var><a name="index-quaternion-1931"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>] = <b>quaternion</b> (<var>w</var>)<var><a name="index-quaternion-1990"></a></var><br>
+&mdash; Function File: [<var>vv</var>, <var>theta</var>] = <b>quaternion</b> (<var>w</var>)<var><a name="index-quaternion-1991"></a></var><br>
+&mdash; Function File: <var>w</var> = <b>quaternion</b> (<var>a, b, c, d</var>)<var><a name="index-quaternion-1992"></a></var><br>
+&mdash; Function File: <var>w</var> = <b>quaternion</b> (<var>vv, theta</var>)<var><a name="index-quaternion-1993"></a></var><br>
 <blockquote><p>Construct or extract a quaternion
 
      <pre class="example">          w = a*i + b*j + c*k + d
@@ -58,7 +58,7 @@ Auburn University.
    <p><a name="doc_002dqconj"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qconj</b> (<var>q</var>)<var><a name="index-qconj-1932"></a></var><br>
+&mdash; Function File:  <b>qconj</b> (<var>q</var>)<var><a name="index-qconj-1994"></a></var><br>
 <blockquote><p>Conjugate of a quaternion.
 
      <pre class="example">          q = [w, x, y, z] = w*i + x*j + y*k + z
@@ -69,7 +69,7 @@ Auburn University.
    <p><a name="doc_002dqderiv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qderiv</b> (<var>omega</var>)<var><a name="index-qderiv-1933"></a></var><br>
+&mdash; Function File:  <b>qderiv</b> (<var>omega</var>)<var><a name="index-qderiv-1995"></a></var><br>
 <blockquote><p>Derivative of a quaternion.
 
         <p>Let Q be a quaternion to transform a vector from a fixed frame to
@@ -89,7 +89,7 @@ then
    <p><a name="doc_002dqderivmat"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qderivmat</b> (<var>omega</var>)<var><a name="index-qderivmat-1934"></a></var><br>
+&mdash; Function File:  <b>qderivmat</b> (<var>omega</var>)<var><a name="index-qderivmat-1996"></a></var><br>
 <blockquote><p>Derivative of a quaternion.
 
         <p>Let Q be a quaternion to transform a vector from a fixed frame to
@@ -109,7 +109,7 @@ then
    <p><a name="doc_002dqinv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qinv</b> (<var>q</var>)<var><a name="index-qinv-1935"></a></var><br>
+&mdash; Function File:  <b>qinv</b> (<var>q</var>)<var><a name="index-qinv-1997"></a></var><br>
 <blockquote><p>Return the inverse of a quaternion.
 
      <pre class="example">          q = [w, x, y, z] = w*i + x*j + y*k + z
@@ -120,7 +120,7 @@ then
    <p><a name="doc_002dqmult"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qmult</b> (<var>a, b</var>)<var><a name="index-qmult-1936"></a></var><br>
+&mdash; Function File:  <b>qmult</b> (<var>a, b</var>)<var><a name="index-qmult-1998"></a></var><br>
 <blockquote><p>Multiply two quaternions.
 
      <pre class="example">          [w, x, y, z] = w*i + x*j + y*k + z
@@ -137,7 +137,7 @@ then
    <p><a name="doc_002dqtrans"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qtrans</b> (<var>v, q</var>)<var><a name="index-qtrans-1937"></a></var><br>
+&mdash; Function File:  <b>qtrans</b> (<var>v, q</var>)<var><a name="index-qtrans-1999"></a></var><br>
 <blockquote><p>Transform the unit quaternion <var>v</var> by the unit quaternion <var>q</var>. 
 Returns <var>v</var><code> = </code><var>q</var><code>*</code><var>v</var><code>/</code><var>q</var>. 
 </p></blockquote></div>
@@ -145,7 +145,7 @@ Returns <var>v</var><code> = </code><var
    <p><a name="doc_002dqtransv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qtransv</b> (<var>v, q</var>)<var><a name="index-qtransv-1938"></a></var><br>
+&mdash; Function File:  <b>qtransv</b> (<var>v, q</var>)<var><a name="index-qtransv-2000"></a></var><br>
 <blockquote><p>Transform the 3-D vector <var>v</var> by the unit quaternion <var>q</var>. 
 Return a column vector.
 
@@ -158,7 +158,7 @@ Return a column vector.
    <p><a name="doc_002dqtransvmat"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qtransvmat</b> (<var>qib</var>)<var><a name="index-qtransvmat-1939"></a></var><br>
+&mdash; Function File:  <b>qtransvmat</b> (<var>qib</var>)<var><a name="index-qtransvmat-2001"></a></var><br>
 <blockquote><p>Construct a 3x3 transformation matrix from quaternion <var>qib</var> that
 is equivalent to rotation of th radians about axis <var>vv</var>, where
 <code>[</code><var>vv</var><code>, </code><var>th</var><code>] = quaternion (</code><var>qib</var><code>)</code>. 
@@ -167,7 +167,7 @@ is equivalent to rotation of th radians 
    <p><a name="doc_002dqcoordinate_005fplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>qcoordinate_plot</b> (<var>qf, qb, qv</var>)<var><a name="index-qcoordinate_005fplot-1940"></a></var><br>
+&mdash; Function File:  <b>qcoordinate_plot</b> (<var>qf, qb, qv</var>)<var><a name="index-qcoordinate_005fplot-2002"></a></var><br>
 <blockquote><p>Plot in the current figure a set of coordinate axes as viewed from
 the orientation specified by quaternion <var>qv</var>.  Inertial axes are
 also plotted:
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Random-Number-Generation.html 1:3.0.5-6/doc/interpreter/HTML/Random-Number-Generation.html
--- 1:3.0.1-6/doc/interpreter/HTML/Random-Number-Generation.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Random-Number-Generation.html	2009-04-07 11:11:40.000000000 +0100
@@ -68,8 +68,8 @@ described in <a href="Special-Utility-Ma
    <p><a name="doc_002dbetarnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>betarnd</b> (<var>a, b, r, c</var>)<var><a name="index-betarnd-1505"></a></var><br>
-&mdash; Function File:  <b>betarnd</b> (<var>a, b, sz</var>)<var><a name="index-betarnd-1506"></a></var><br>
+&mdash; Function File:  <b>betarnd</b> (<var>a, b, r, c</var>)<var><a name="index-betarnd-1558"></a></var><br>
+&mdash; Function File:  <b>betarnd</b> (<var>a, b, sz</var>)<var><a name="index-betarnd-1559"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> or <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the Beta distribution with parameters <var>a</var> and
 <var>b</var>.  Both <var>a</var> and <var>b</var> must be scalar or of size <var>r</var>
@@ -82,8 +82,8 @@ the common size of <var>a</var> and <var
    <p><a name="doc_002dbinornd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>binornd</b> (<var>n, p, r, c</var>)<var><a name="index-binornd-1507"></a></var><br>
-&mdash; Function File:  <b>binornd</b> (<var>n, p, sz</var>)<var><a name="index-binornd-1508"></a></var><br>
+&mdash; Function File:  <b>binornd</b> (<var>n, p, r, c</var>)<var><a name="index-binornd-1560"></a></var><br>
+&mdash; Function File:  <b>binornd</b> (<var>n, p, sz</var>)<var><a name="index-binornd-1561"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var>  or a <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the binomial distribution with parameters <var>n</var>
 and <var>p</var>.  Both <var>n</var> and <var>p</var> must be scalar or of size
@@ -96,8 +96,8 @@ the common size of <var>n</var> and <var
    <p><a name="doc_002dcauchy_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cauchy_rnd</b> (<var>lambda, sigma, r, c</var>)<var><a name="index-cauchy_005frnd-1509"></a></var><br>
-&mdash; Function File:  <b>cauchy_rnd</b> (<var>lambda, sigma, sz</var>)<var><a name="index-cauchy_005frnd-1510"></a></var><br>
+&mdash; Function File:  <b>cauchy_rnd</b> (<var>lambda, sigma, r, c</var>)<var><a name="index-cauchy_005frnd-1562"></a></var><br>
+&mdash; Function File:  <b>cauchy_rnd</b> (<var>lambda, sigma, sz</var>)<var><a name="index-cauchy_005frnd-1563"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> or a <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the Cauchy distribution with parameters <var>lambda</var>
 and <var>sigma</var> which must both be scalar or of size <var>r</var> by <var>c</var>.
@@ -109,8 +109,8 @@ the common size of <var>lambda</var> and
    <p><a name="doc_002dchi2rnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>chi2rnd</b> (<var>n, r, c</var>)<var><a name="index-chi2rnd-1511"></a></var><br>
-&mdash; Function File:  <b>chi2rnd</b> (<var>n, sz</var>)<var><a name="index-chi2rnd-1512"></a></var><br>
+&mdash; Function File:  <b>chi2rnd</b> (<var>n, r, c</var>)<var><a name="index-chi2rnd-1564"></a></var><br>
+&mdash; Function File:  <b>chi2rnd</b> (<var>n, sz</var>)<var><a name="index-chi2rnd-1565"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var>  or a <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the chisquare distribution with <var>n</var> degrees
 of freedom.  <var>n</var> must be a scalar or of size <var>r</var> by <var>c</var>.
@@ -122,9 +122,9 @@ the size of <var>n</var>. 
    <p><a name="doc_002ddiscrete_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>discrete_rnd</b> (<var>n, v, p</var>)<var><a name="index-discrete_005frnd-1513"></a></var><br>
-&mdash; Function File:  <b>discrete_rnd</b> (<var>v, p, r, c</var>)<var><a name="index-discrete_005frnd-1514"></a></var><br>
-&mdash; Function File:  <b>discrete_rnd</b> (<var>v, p, sz</var>)<var><a name="index-discrete_005frnd-1515"></a></var><br>
+&mdash; Function File:  <b>discrete_rnd</b> (<var>n, v, p</var>)<var><a name="index-discrete_005frnd-1566"></a></var><br>
+&mdash; Function File:  <b>discrete_rnd</b> (<var>v, p, r, c</var>)<var><a name="index-discrete_005frnd-1567"></a></var><br>
+&mdash; Function File:  <b>discrete_rnd</b> (<var>v, p, sz</var>)<var><a name="index-discrete_005frnd-1568"></a></var><br>
 <blockquote><p>Generate a row vector containing a random sample of size <var>n</var> from
 the univariate distribution which assumes the values in <var>v</var> with
 probabilities <var>p</var>. <var>n</var> must be a scalar.
@@ -137,9 +137,9 @@ probabilities <var>p</var>. <var>n</var>
    <p><a name="doc_002dempirical_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>empirical_rnd</b> (<var>n, data</var>)<var><a name="index-empirical_005frnd-1516"></a></var><br>
-&mdash; Function File:  <b>empirical_rnd</b> (<var>data, r, c</var>)<var><a name="index-empirical_005frnd-1517"></a></var><br>
-&mdash; Function File:  <b>empirical_rnd</b> (<var>data, sz</var>)<var><a name="index-empirical_005frnd-1518"></a></var><br>
+&mdash; Function File:  <b>empirical_rnd</b> (<var>n, data</var>)<var><a name="index-empirical_005frnd-1569"></a></var><br>
+&mdash; Function File:  <b>empirical_rnd</b> (<var>data, r, c</var>)<var><a name="index-empirical_005frnd-1570"></a></var><br>
+&mdash; Function File:  <b>empirical_rnd</b> (<var>data, sz</var>)<var><a name="index-empirical_005frnd-1571"></a></var><br>
 <blockquote><p>Generate a bootstrap sample of size <var>n</var> from the empirical
 distribution obtained from the univariate sample <var>data</var>.
 
@@ -151,8 +151,8 @@ distribution obtained from the univariat
    <p><a name="doc_002dexprnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>exprnd</b> (<var>lambda, r, c</var>)<var><a name="index-exprnd-1519"></a></var><br>
-&mdash; Function File:  <b>exprnd</b> (<var>lambda, sz</var>)<var><a name="index-exprnd-1520"></a></var><br>
+&mdash; Function File:  <b>exprnd</b> (<var>lambda, r, c</var>)<var><a name="index-exprnd-1572"></a></var><br>
+&mdash; Function File:  <b>exprnd</b> (<var>lambda, sz</var>)<var><a name="index-exprnd-1573"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 exponential distribution with mean <var>lambda</var>, which must be a
 scalar or of size <var>r</var> by <var>c</var>. Or if <var>sz</var> is a vector,
@@ -165,8 +165,8 @@ the size of <var>lambda</var>. 
    <p><a name="doc_002dfrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>frnd</b> (<var>m, n, r, c</var>)<var><a name="index-frnd-1521"></a></var><br>
-&mdash; Function File:  <b>frnd</b> (<var>m, n, sz</var>)<var><a name="index-frnd-1522"></a></var><br>
+&mdash; Function File:  <b>frnd</b> (<var>m, n, r, c</var>)<var><a name="index-frnd-1574"></a></var><br>
+&mdash; Function File:  <b>frnd</b> (<var>m, n, sz</var>)<var><a name="index-frnd-1575"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the F
 distribution with <var>m</var> and <var>n</var> degrees of freedom.  Both
 <var>m</var> and <var>n</var> must be scalar or of size <var>r</var> by <var>c</var>. 
@@ -180,8 +180,8 @@ the common size of <var>m</var> and <var
    <p><a name="doc_002dgamrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gamrnd</b> (<var>a, b, r, c</var>)<var><a name="index-gamrnd-1523"></a></var><br>
-&mdash; Function File:  <b>gamrnd</b> (<var>a, b, sz</var>)<var><a name="index-gamrnd-1524"></a></var><br>
+&mdash; Function File:  <b>gamrnd</b> (<var>a, b, r, c</var>)<var><a name="index-gamrnd-1576"></a></var><br>
+&mdash; Function File:  <b>gamrnd</b> (<var>a, b, sz</var>)<var><a name="index-gamrnd-1577"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> or a <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the Gamma distribution with parameters <var>a</var>
 and <var>b</var>.  Both <var>a</var> and <var>b</var> must be scalar or of size
@@ -198,8 +198,8 @@ the common size of <var>a</var> and <var
    <p><a name="doc_002dgeornd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>geornd</b> (<var>p, r, c</var>)<var><a name="index-geornd-1525"></a></var><br>
-&mdash; Function File:  <b>geornd</b> (<var>p, sz</var>)<var><a name="index-geornd-1526"></a></var><br>
+&mdash; Function File:  <b>geornd</b> (<var>p, r, c</var>)<var><a name="index-geornd-1578"></a></var><br>
+&mdash; Function File:  <b>geornd</b> (<var>p, sz</var>)<var><a name="index-geornd-1579"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 geometric distribution with parameter <var>p</var>, which must be a scalar
 or of size <var>r</var> by <var>c</var>.
@@ -212,9 +212,9 @@ or of size <var>r</var> by <var>c</var>.
    <p><a name="doc_002dhygernd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hygernd</b> (<var>t, m, n, r, c</var>)<var><a name="index-hygernd-1527"></a></var><br>
-&mdash; Function File:  <b>hygernd</b> (<var>t, m, n, sz</var>)<var><a name="index-hygernd-1528"></a></var><br>
-&mdash; Function File:  <b>hygernd</b> (<var>t, m, n</var>)<var><a name="index-hygernd-1529"></a></var><br>
+&mdash; Function File:  <b>hygernd</b> (<var>t, m, n, r, c</var>)<var><a name="index-hygernd-1580"></a></var><br>
+&mdash; Function File:  <b>hygernd</b> (<var>t, m, n, sz</var>)<var><a name="index-hygernd-1581"></a></var><br>
+&mdash; Function File:  <b>hygernd</b> (<var>t, m, n</var>)<var><a name="index-hygernd-1582"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 hypergeometric distribution with parameters <var>t</var>, <var>m</var>,
 and <var>n</var>.
@@ -230,8 +230,8 @@ matrix of random samples is generated. 
    <p><a name="doc_002dlaplace_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>laplace_rnd</b> (<var>r, c</var>)<var><a name="index-laplace_005frnd-1530"></a></var><br>
-&mdash; Function File:  <b>laplace_rnd</b> (<var>sz</var>)<var>;<a name="index-laplace_005frnd-1531"></a></var><br>
+&mdash; Function File:  <b>laplace_rnd</b> (<var>r, c</var>)<var><a name="index-laplace_005frnd-1583"></a></var><br>
+&mdash; Function File:  <b>laplace_rnd</b> (<var>sz</var>)<var>;<a name="index-laplace_005frnd-1584"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random numbers from the
 Laplace distribution.  Or if <var>sz</var> is a vector, create a matrix of
 <var>sz</var>. 
@@ -240,8 +240,8 @@ Laplace distribution.  Or if <var>sz</va
    <p><a name="doc_002dlogistic_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logistic_rnd</b> (<var>r, c</var>)<var><a name="index-logistic_005frnd-1532"></a></var><br>
-&mdash; Function File:  <b>logistic_rnd</b> (<var>sz</var>)<var><a name="index-logistic_005frnd-1533"></a></var><br>
+&mdash; Function File:  <b>logistic_rnd</b> (<var>r, c</var>)<var><a name="index-logistic_005frnd-1585"></a></var><br>
+&mdash; Function File:  <b>logistic_rnd</b> (<var>sz</var>)<var><a name="index-logistic_005frnd-1586"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random numbers from the
 logistic distribution. Or if <var>sz</var> is a vector, create a matrix of
 <var>sz</var>. 
@@ -250,8 +250,8 @@ logistic distribution. Or if <var>sz</va
    <p><a name="doc_002dlognrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>lognrnd</b> (<var>mu, sigma, r, c</var>)<var><a name="index-lognrnd-1534"></a></var><br>
-&mdash; Function File:  <b>lognrnd</b> (<var>mu, sigma, sz</var>)<var><a name="index-lognrnd-1535"></a></var><br>
+&mdash; Function File:  <b>lognrnd</b> (<var>mu, sigma, r, c</var>)<var><a name="index-lognrnd-1587"></a></var><br>
+&mdash; Function File:  <b>lognrnd</b> (<var>mu, sigma, sz</var>)<var><a name="index-lognrnd-1588"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 lognormal distribution with parameters <var>mu</var> and <var>sigma</var>. Both
 <var>mu</var> and <var>sigma</var> must be scalar or of size <var>r</var> by <var>c</var>. 
@@ -264,8 +264,8 @@ the common size of <var>mu</var> and <va
    <p><a name="doc_002dnbinrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nbinrnd</b> (<var>n, p, r, c</var>)<var><a name="index-nbinrnd-1536"></a></var><br>
-&mdash; Function File:  <b>nbinrnd</b> (<var>n, p, sz</var>)<var><a name="index-nbinrnd-1537"></a></var><br>
+&mdash; Function File:  <b>nbinrnd</b> (<var>n, p, r, c</var>)<var><a name="index-nbinrnd-1589"></a></var><br>
+&mdash; Function File:  <b>nbinrnd</b> (<var>n, p, sz</var>)<var><a name="index-nbinrnd-1590"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the Pascal
 (negative binomial) distribution with parameters <var>n</var> and <var>p</var>. 
 Both <var>n</var> and <var>p</var> must be scalar or of size <var>r</var> by <var>c</var>.
@@ -278,8 +278,8 @@ create a matrix of size <var>sz</var>. 
    <p><a name="doc_002dnormrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>normrnd</b> (<var>m, s, r, c</var>)<var><a name="index-normrnd-1538"></a></var><br>
-&mdash; Function File:  <b>normrnd</b> (<var>m, s, sz</var>)<var><a name="index-normrnd-1539"></a></var><br>
+&mdash; Function File:  <b>normrnd</b> (<var>m, s, r, c</var>)<var><a name="index-normrnd-1591"></a></var><br>
+&mdash; Function File:  <b>normrnd</b> (<var>m, s, sz</var>)<var><a name="index-normrnd-1592"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var>  or <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the normal distribution with parameters mean <var>m</var>
 and standard deviation <var>s</var>.  Both <var>m</var> and <var>s</var> must be scalar
@@ -292,7 +292,7 @@ the common size of <var>m</var> and <var
    <p><a name="doc_002dpoissrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>poissrnd</b> (<var>lambda, r, c</var>)<var><a name="index-poissrnd-1540"></a></var><br>
+&mdash; Function File:  <b>poissrnd</b> (<var>lambda, r, c</var>)<var><a name="index-poissrnd-1593"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 Poisson distribution with parameter <var>lambda</var>, which must be a
 scalar or of size <var>r</var> by <var>c</var>.
@@ -304,8 +304,8 @@ the size of <var>lambda</var>. 
    <p><a name="doc_002dtrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>trnd</b> (<var>n, r, c</var>)<var><a name="index-trnd-1541"></a></var><br>
-&mdash; Function File:  <b>trnd</b> (<var>n, sz</var>)<var><a name="index-trnd-1542"></a></var><br>
+&mdash; Function File:  <b>trnd</b> (<var>n, r, c</var>)<var><a name="index-trnd-1594"></a></var><br>
+&mdash; Function File:  <b>trnd</b> (<var>n, sz</var>)<var><a name="index-trnd-1595"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the t
 (Student) distribution with <var>n</var> degrees of freedom.  <var>n</var> must
 be a scalar or of size <var>r</var> by <var>c</var>. Or if <var>sz</var> is a
@@ -318,9 +318,9 @@ the size of <var>n</var>. 
    <p><a name="doc_002dunidrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unidrnd</b> (<var>mx</var>)<var>;<a name="index-unidrnd-1543"></a></var><br>
-&mdash; Function File:  <b>unidrnd</b> (<var>mx, v</var>)<var>;<a name="index-unidrnd-1544"></a></var><br>
-&mdash; Function File:  <b>unidrnd</b> (<var>mx, m, n, <small class="dots">...</small></var>)<var>;<a name="index-unidrnd-1545"></a></var><br>
+&mdash; Function File:  <b>unidrnd</b> (<var>mx</var>)<var>;<a name="index-unidrnd-1596"></a></var><br>
+&mdash; Function File:  <b>unidrnd</b> (<var>mx, v</var>)<var>;<a name="index-unidrnd-1597"></a></var><br>
+&mdash; Function File:  <b>unidrnd</b> (<var>mx, m, n, <small class="dots">...</small></var>)<var>;<a name="index-unidrnd-1598"></a></var><br>
 <blockquote><p>Return random values from discrete uniform distribution, with maximum
 value(s) given by the integer <var>mx</var>, which may be a scalar or
 multidimensional array.
@@ -334,8 +334,8 @@ of <var>mx</var>. 
    <p><a name="doc_002dunifrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unifrnd</b> (<var>a, b, r, c</var>)<var><a name="index-unifrnd-1546"></a></var><br>
-&mdash; Function File:  <b>unifrnd</b> (<var>a, b, sz</var>)<var><a name="index-unifrnd-1547"></a></var><br>
+&mdash; Function File:  <b>unifrnd</b> (<var>a, b, r, c</var>)<var><a name="index-unifrnd-1599"></a></var><br>
+&mdash; Function File:  <b>unifrnd</b> (<var>a, b, sz</var>)<var><a name="index-unifrnd-1600"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> or a <code>size (</code><var>sz</var><code>)</code> matrix of
 random samples from the uniform distribution on [<var>a</var>, <var>b</var>]. 
 Both <var>a</var> and <var>b</var> must be scalar or of size <var>r</var> by <var>c</var>.
@@ -347,8 +347,8 @@ the common size of <var>a</var> and <var
    <p><a name="doc_002dwblrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wblrnd</b> (<var>scale, shape, r, c</var>)<var><a name="index-wblrnd-1548"></a></var><br>
-&mdash; Function File:  <b>wblrnd</b> (<var>scale, shape, sz</var>)<var><a name="index-wblrnd-1549"></a></var><br>
+&mdash; Function File:  <b>wblrnd</b> (<var>scale, shape, r, c</var>)<var><a name="index-wblrnd-1601"></a></var><br>
+&mdash; Function File:  <b>wblrnd</b> (<var>scale, shape, sz</var>)<var><a name="index-wblrnd-1602"></a></var><br>
 <blockquote><p>Return an <var>r</var> by <var>c</var> matrix of random samples from the
 Weibull distribution with parameters <var>scale</var> and <var>shape</var>
 which must be scalar or of size <var>r</var> by <var>c</var>. Or if <var>sz</var>
@@ -361,7 +361,7 @@ the common size of <var>alpha</var> and 
    <p><a name="doc_002dwienrnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>wienrnd</b> (<var>t, d, n</var>)<var><a name="index-wienrnd-1550"></a></var><br>
+&mdash; Function File:  <b>wienrnd</b> (<var>t, d, n</var>)<var><a name="index-wienrnd-1603"></a></var><br>
 <blockquote><p>Return a simulated realization of the <var>d</var>-dimensional Wiener Process
 on the interval [0, <var>t</var>].  If <var>d</var> is omitted, <var>d</var> = 1 is
 used. The first column of the return matrix contains time, the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Rearranging-Matrices.html 1:3.0.5-6/doc/interpreter/HTML/Rearranging-Matrices.html
--- 1:3.0.1-6/doc/interpreter/HTML/Rearranging-Matrices.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Rearranging-Matrices.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dfliplr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fliplr</b> (<var>x</var>)<var><a name="index-fliplr-920"></a></var><br>
+&mdash; Function File:  <b>fliplr</b> (<var>x</var>)<var><a name="index-fliplr-966"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> with the order of the columns reversed.  For
 example,
 
@@ -56,7 +56,7 @@ use <code>flipdim</code> instead.
    <p><a name="doc_002dflipud"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>flipud</b> (<var>x</var>)<var><a name="index-flipud-921"></a></var><br>
+&mdash; Function File:  <b>flipud</b> (<var>x</var>)<var><a name="index-flipud-967"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> with the order of the rows reversed.  For
 example,
 
@@ -76,7 +76,7 @@ use <code>flipdim</code> instead.
    <p><a name="doc_002dflipdim"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>flipdim</b> (<var>x, dim</var>)<var><a name="index-flipdim-922"></a></var><br>
+&mdash; Function File:  <b>flipdim</b> (<var>x, dim</var>)<var><a name="index-flipdim-968"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> flipped about the dimension <var>dim</var>. 
 For example
 
@@ -93,7 +93,7 @@ For example
    <p><a name="doc_002drot90"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rot90</b> (<var>x, n</var>)<var><a name="index-rot90-923"></a></var><br>
+&mdash; Function File:  <b>rot90</b> (<var>x, n</var>)<var><a name="index-rot90-969"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> with the elements rotated counterclockwise in
 90-degree increments.  The second argument is optional, and specifies
 how many 90-degree rotations are to be applied (the default value is 1). 
@@ -123,7 +123,7 @@ use <code>rotdim</code> instead.
    <p><a name="doc_002drotdim"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rotdim</b> (<var>x, n, plane</var>)<var><a name="index-rotdim-924"></a></var><br>
+&mdash; Function File:  <b>rotdim</b> (<var>x, n, plane</var>)<var><a name="index-rotdim-970"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> with the elements rotated counterclockwise in
 90-degree increments.  The second argument is optional, and specifies
 how many 90-degree rotations are to be applied (the default value is 1). 
@@ -155,7 +155,7 @@ equivalent statements:
    <p><a name="doc_002dcat"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>cat</b> (<var>dim, array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-cat-925"></a></var><br>
+&mdash; Built-in Function:  <b>cat</b> (<var>dim, array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-cat-971"></a></var><br>
 <blockquote><p>Return the concatenation of N-d array objects, <var>array1</var>,
 <var>array2</var>, <small class="dots">...</small>, <var>arrayN</var> along dimension <var>dim</var>.
 
@@ -196,7 +196,7 @@ following example shows:
    <p><a name="doc_002dhorzcat"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>horzcat</b> (<var>array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-horzcat-926"></a></var><br>
+&mdash; Built-in Function:  <b>horzcat</b> (<var>array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-horzcat-972"></a></var><br>
 <blockquote><p>Return the horizontal concatenation of N-d array objects, <var>array1</var>,
 <var>array2</var>, <small class="dots">...</small>, <var>arrayN</var> along dimension 2.
         <pre class="sp">
@@ -208,7 +208,7 @@ following example shows:
    <p><a name="doc_002dvertcat"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>vertcat</b> (<var>array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-vertcat-927"></a></var><br>
+&mdash; Built-in Function:  <b>vertcat</b> (<var>array1, array2, <small class="dots">...</small>, arrayN</var>)<var><a name="index-vertcat-973"></a></var><br>
 <blockquote><p>Return the vertical concatenation of N-d array objects, <var>array1</var>,
 <var>array2</var>, <small class="dots">...</small>, <var>arrayN</var> along dimension 1.
         <pre class="sp">
@@ -220,7 +220,7 @@ following example shows:
    <p><a name="doc_002dpermute"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>permute</b> (<var>a, perm</var>)<var><a name="index-permute-928"></a></var><br>
+&mdash; Built-in Function:  <b>permute</b> (<var>a, perm</var>)<var><a name="index-permute-974"></a></var><br>
 <blockquote><p>Return the generalized transpose for an N-d array object <var>a</var>. 
 The permutation vector <var>perm</var> must contain the elements
 <code>1:ndims(a)</code> (in any order, but each element must appear just once).
@@ -233,7 +233,7 @@ The permutation vector <var>perm</var> m
    <p><a name="doc_002dipermute"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>ipermute</b> (<var>a, iperm</var>)<var><a name="index-ipermute-929"></a></var><br>
+&mdash; Built-in Function:  <b>ipermute</b> (<var>a, iperm</var>)<var><a name="index-ipermute-975"></a></var><br>
 <blockquote><p>The inverse of the <code>permute</code> function.  The expression
 
      <pre class="example">          ipermute (permute (a, perm), perm)
@@ -248,8 +248,8 @@ The permutation vector <var>perm</var> m
    <p><a name="doc_002dreshape"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>reshape</b> (<var>a, m, n, <small class="dots">...</small></var>)<var><a name="index-reshape-930"></a></var><br>
-&mdash; Built-in Function:  <b>reshape</b> (<var>a, siz</var>)<var><a name="index-reshape-931"></a></var><br>
+&mdash; Built-in Function:  <b>reshape</b> (<var>a, m, n, <small class="dots">...</small></var>)<var><a name="index-reshape-976"></a></var><br>
+&mdash; Built-in Function:  <b>reshape</b> (<var>a, siz</var>)<var><a name="index-reshape-977"></a></var><br>
 <blockquote><p>Return a matrix with the given dimensions whose elements are taken
 from the matrix <var>a</var>.  The elements of the matrix are accessed in
 column-major order (like Fortran arrays are stored).
@@ -267,10 +267,31 @@ matrix must match the total number of el
 by an empty argument. 
 </p></blockquote></div>
 
+   <p><a name="doc_002dresize"></a>
+
+<div class="defun">
+&mdash; Built-in Function:  <b>resize</b> (<var>x, m</var>)<var><a name="index-resize-978"></a></var><br>
+&mdash; Built-in Function:  <b>resize</b> (<var>x, m, n</var>)<var><a name="index-resize-979"></a></var><br>
+<blockquote><p>Destructively resize <var>x</var>.
+
+        <p><strong>Values in </strong><var>x</var><strong> are not preserved as they are with
+</strong><code>reshape</code><strong>.</strong>
+
+        <p>If only <var>m</var> is supplied and it is a scalar, the dimension of the
+result is <var>m</var>-by-<var>m</var>.  If <var>m</var> is a vector, then the
+dimensions of the result are given by the elements of <var>m</var>. 
+If both <var>m</var> and <var>n</var> are scalars, then the dimensions of
+the result are <var>m</var>-by-<var>n</var>.
+        <pre class="sp">
+     
+     </pre>
+     <strong>See also:</strong> reshape, postpad. 
+</p></blockquote></div>
+
    <p><a name="doc_002dcircshift"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>circshift</b> (<var>x, n</var>)<var><a name="index-circshift-932"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>circshift</b> (<var>x, n</var>)<var><a name="index-circshift-980"></a></var><br>
 <blockquote><p>Circularly shifts the values of the array <var>x</var>. <var>n</var> must be
 a vector of integers no longer than the number of dimensions in
 <var>x</var>. The values of <var>n</var> can be either positive or negative,
@@ -301,8 +322,8 @@ dimension of <var>x</var> will not be sh
    <p><a name="doc_002dshiftdim"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>shiftdim</b> (<var>x, n</var>)<var><a name="index-shiftdim-933"></a></var><br>
-&mdash; Function File: [<var>y</var>, <var>ns</var>] = <b>shiftdim</b> (<var>x</var>)<var><a name="index-shiftdim-934"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>shiftdim</b> (<var>x, n</var>)<var><a name="index-shiftdim-981"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>ns</var>] = <b>shiftdim</b> (<var>x</var>)<var><a name="index-shiftdim-982"></a></var><br>
 <blockquote><p>Shifts the dimension of <var>x</var> by <var>n</var>, where <var>n</var> must be
 an integer scalar. When <var>n</var> is positive, the dimensions of
 <var>x</var> are shifted to the left, with the leading dimensions
@@ -334,8 +355,8 @@ in the second output argument <var>ns</v
    <p><a name="doc_002dshift"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>shift</b> (<var>x, b</var>)<var><a name="index-shift-935"></a></var><br>
-&mdash; Function File:  <b>shift</b> (<var>x, b, dim</var>)<var><a name="index-shift-936"></a></var><br>
+&mdash; Function File:  <b>shift</b> (<var>x, b</var>)<var><a name="index-shift-983"></a></var><br>
+&mdash; Function File:  <b>shift</b> (<var>x, b, dim</var>)<var><a name="index-shift-984"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, perform a circular shift of length <var>b</var> of
 the elements of <var>x</var>.
 
@@ -347,10 +368,10 @@ dimension
    <p><a name="doc_002dsort"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x</var>)<var><a name="index-sort-937"></a></var><br>
-&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, dim</var>)<var><a name="index-sort-938"></a></var><br>
-&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, mode</var>)<var><a name="index-sort-939"></a></var><br>
-&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, dim, mode</var>)<var><a name="index-sort-940"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x</var>)<var><a name="index-sort-985"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, dim</var>)<var><a name="index-sort-986"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, mode</var>)<var><a name="index-sort-987"></a></var><br>
+&mdash; Loadable Function: [<var>s</var>, <var>i</var>] = <b>sort</b> (<var>x, dim, mode</var>)<var><a name="index-sort-988"></a></var><br>
 <blockquote><p>Return a copy of <var>x</var> with the elements arranged in increasing
 order.  For matrices, <code>sort</code> orders the elements in each column.
 
@@ -391,11 +412,11 @@ ordered lists. 
    <p><a name="doc_002dsortrows"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sortrows</b> (<var>a, c</var>)<var><a name="index-sortrows-941"></a></var><br>
+&mdash; Function File:  <b>sortrows</b> (<var>a, c</var>)<var><a name="index-sortrows-989"></a></var><br>
 <blockquote><p>Sort the rows of the matrix <var>a</var> according to the order of the
 columns specified in <var>c</var>.  If <var>c</var> is omitted, a
 lexicographical sort is used. By default ascending order is used
-however if elements of <var>c</var> are negative then the corrosponding
+however if elements of <var>c</var> are negative then the corresponding
 column is sorted in descending order. 
 </p></blockquote></div>
 
@@ -417,7 +438,7 @@ column.
    <p><a name="doc_002dswap"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>swap</b> (<var>inputs</var>)<var><a name="index-swap-942"></a></var><br>
+&mdash; Function File:  <b>swap</b> (<var>inputs</var>)<var><a name="index-swap-990"></a></var><br>
 <blockquote><pre class="format">[a1,b1] = swap(a,b)
      interchange a and b
 </pre>
@@ -426,7 +447,7 @@ column.
    <p><a name="doc_002dswapcols"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>swapcols</b> (<var>inputs</var>)<var><a name="index-swapcols-943"></a></var><br>
+&mdash; Function File:  <b>swapcols</b> (<var>inputs</var>)<var><a name="index-swapcols-991"></a></var><br>
 <blockquote><pre class="format"> function B = swapcols(A)
       permute columns of A into reverse order
 </pre>
@@ -435,7 +456,7 @@ column.
    <p><a name="doc_002dswaprows"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>swaprows</b> (<var>inputs</var>)<var><a name="index-swaprows-944"></a></var><br>
+&mdash; Function File:  <b>swaprows</b> (<var>inputs</var>)<var><a name="index-swaprows-992"></a></var><br>
 <blockquote><pre class="format"> function B = swaprows(A)
       permute rows of A into reverse order
 </pre>
@@ -444,8 +465,8 @@ column.
    <p><a name="doc_002dtril"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tril</b> (<var>a, k</var>)<var><a name="index-tril-945"></a></var><br>
-&mdash; Function File:  <b>triu</b> (<var>a, k</var>)<var><a name="index-triu-946"></a></var><br>
+&mdash; Function File:  <b>tril</b> (<var>a, k</var>)<var><a name="index-tril-993"></a></var><br>
+&mdash; Function File:  <b>triu</b> (<var>a, k</var>)<var><a name="index-triu-994"></a></var><br>
 <blockquote><p>Return a new matrix formed by extracting the lower (<code>tril</code>)
 or upper (<code>triu</code>) triangular part of the matrix <var>a</var>, and
 setting all other elements to zero.  The second argument is optional,
@@ -486,7 +507,7 @@ sub- or super-diagonals.
    <p><a name="doc_002dvec"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>vec</b> (<var>x</var>)<var><a name="index-vec-947"></a></var><br>
+&mdash; Function File:  <b>vec</b> (<var>x</var>)<var><a name="index-vec-995"></a></var><br>
 <blockquote><p>Return the vector obtained by stacking the columns of the matrix <var>x</var>
 one above the other. 
 </p></blockquote></div>
@@ -494,7 +515,7 @@ one above the other. 
    <p><a name="doc_002dvech"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>vech</b> (<var>x</var>)<var><a name="index-vech-948"></a></var><br>
+&mdash; Function File:  <b>vech</b> (<var>x</var>)<var><a name="index-vech-996"></a></var><br>
 <blockquote><p>Return the vector obtained by eliminating all supradiagonal elements of
 the square matrix <var>x</var> and stacking the result one column above the
 other. 
@@ -503,9 +524,9 @@ other. 
    <p><a name="doc_002dprepad"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>prepad</b> (<var>x, l, c</var>)<var><a name="index-prepad-949"></a></var><br>
-&mdash; Function File:  <b>postpad</b> (<var>x, l, c</var>)<var><a name="index-postpad-950"></a></var><br>
-&mdash; Function File:  <b>postpad</b> (<var>x, l, c, dim</var>)<var><a name="index-postpad-951"></a></var><br>
+&mdash; Function File:  <b>prepad</b> (<var>x, l, c</var>)<var><a name="index-prepad-997"></a></var><br>
+&mdash; Function File:  <b>postpad</b> (<var>x, l, c</var>)<var><a name="index-postpad-998"></a></var><br>
+&mdash; Function File:  <b>postpad</b> (<var>x, l, c, dim</var>)<var><a name="index-postpad-999"></a></var><br>
 <blockquote>
         <p>Prepends (appends) the scalar value <var>c</var> to the vector <var>x</var>
 until it is of length <var>l</var>.  If the third argument is not
@@ -517,13 +538,17 @@ supplied, a value of 0 is used.
         <p>If <var>x</var> is a matrix, elements are prepended or removed from each row.
 
         <p>If the optional <var>dim</var> argument is given, then operate along this
-dimension. 
+dimension.
+        <pre class="sp">
+     
+     </pre>
+     <strong>See also:</strong> postpad. 
 </p></blockquote></div>
 
    <p><a name="doc_002dblkdiag"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>blkdiag</b> (<var>a, b, c, <small class="dots">...</small></var>)<var><a name="index-blkdiag-952"></a></var><br>
+&mdash; Function File:  <b>blkdiag</b> (<var>a, b, c, <small class="dots">...</small></var>)<var><a name="index-blkdiag-1000"></a></var><br>
 <blockquote><p>Build a block diagonal matrix from <var>a</var>, <var>b</var>, <var>c</var>, <small class="dots">...</small>. 
 All the arguments must be numeric and are two-dimensional matrices or
 scalars.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Reporting-Bugs.html 1:3.0.5-6/doc/interpreter/HTML/Reporting-Bugs.html
--- 1:3.0.1-6/doc/interpreter/HTML/Reporting-Bugs.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Reporting-Bugs.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.2 Reporting Bugs</h3>
 
-<p><a name="index-bugs-2140"></a><a name="index-reporting-bugs-2141"></a>
+<p><a name="index-bugs-2203"></a><a name="index-reporting-bugs-2204"></a>
 Your bug reports play an essential role in making Octave reliable.
 
    <p>When you encounter a problem, the first thing to do is to see if it is
@@ -49,7 +49,7 @@ better.  Bug reports are your contributi
    <p>In order for a bug report to serve its purpose, you must include the
 information that makes it possible to fix the bug.
 
-   <p><a name="index-bug_005freport-2142"></a>
+   <p><a name="index-bug_005freport-2205"></a>
 If you have Octave working at all, the easiest way to prepare a complete
 bug report is to use the Octave function <code>bug_report</code>.  When you
 execute this function, Octave will prompt you for a subject and then
@@ -60,7 +60,7 @@ for you.
    <p><a name="doc_002dbug_005freport"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>bug_report</b> ()<var><a name="index-bug_005freport-2143"></a></var><br>
+&mdash; Function File:  <b>bug_report</b> ()<var><a name="index-bug_005freport-2206"></a></var><br>
 <blockquote><p>Have Octave create a bug report template file, invoke your favorite
 editor, and submit the report to the bug-octave mailing list when
 you are finished editing. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Representing-Images.html 1:3.0.5-6/doc/interpreter/HTML/Representing-Images.html
--- 1:3.0.1-6/doc/interpreter/HTML/Representing-Images.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Representing-Images.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,7 +38,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 images, RGB images, binary images, and indexed images. A gray-scale
 image is represented with an M-by-N matrix in which each
 element corresponds to the intensity of a pixel. An RGB image is
-represented with an M-by-N-by3 array where each
+represented with an M-by-N-by-3 array where each
 3-vector corresponds to the red, green, and blue intensities of each
 pixel.
 
@@ -61,14 +61,14 @@ between 0 and 1.
    <p><a name="doc_002dgray2ind"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>img</var>, <var>map</var>] = <b>gray2ind</b> ()<var><a name="index-gray2ind-1883"></a></var><br>
+&mdash; Function File: [<var>img</var>, <var>map</var>] = <b>gray2ind</b> ()<var><a name="index-gray2ind-1945"></a></var><br>
 <blockquote><p>Convert a gray scale intensity image to an Octave indexed image. 
 </p></blockquote></div>
 
    <p><a name="doc_002dind2gray"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ind2gray</b> (<var>x, map</var>)<var><a name="index-ind2gray-1884"></a></var><br>
+&mdash; Function File:  <b>ind2gray</b> (<var>x, map</var>)<var><a name="index-ind2gray-1946"></a></var><br>
 <blockquote><p>Convert an Octave indexed image to a gray scale intensity image. 
 If <var>map</var> is omitted, the current colormap is used to determine the
 intensities.
@@ -81,8 +81,8 @@ intensities.
    <p><a name="doc_002drgb2ind"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>rgb2ind</b> (<var>rgb</var>)<var><a name="index-rgb2ind-1885"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>rgb2ind</b> (<var>r, g, b</var>)<var><a name="index-rgb2ind-1886"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>rgb2ind</b> (<var>rgb</var>)<var><a name="index-rgb2ind-1947"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>map</var>] = <b>rgb2ind</b> (<var>r, g, b</var>)<var><a name="index-rgb2ind-1948"></a></var><br>
 <blockquote><p>Convert and RGB image to an Octave indexed image.
         <pre class="sp">
      
@@ -93,8 +93,8 @@ intensities.
    <p><a name="doc_002dind2rgb"></a>
 
 <div class="defun">
-&mdash; Function File: <var>rgb</var> = <b>ind2rgb</b> (<var>x, map</var>)<var><a name="index-ind2rgb-1887"></a></var><br>
-&mdash; Function File: [<var>r</var>, <var>g</var>, <var>b</var>] = <b>ind2rgb</b> (<var>x, map</var>)<var><a name="index-ind2rgb-1888"></a></var><br>
+&mdash; Function File: <var>rgb</var> = <b>ind2rgb</b> (<var>x, map</var>)<var><a name="index-ind2rgb-1949"></a></var><br>
+&mdash; Function File: [<var>r</var>, <var>g</var>, <var>b</var>] = <b>ind2rgb</b> (<var>x, map</var>)<var><a name="index-ind2rgb-1950"></a></var><br>
 <blockquote><p>Convert an indexed image to red, green, and blue color components. 
 If the colormap doesn't contain enough colors, pad it with the
 last color in the map. 
@@ -108,8 +108,8 @@ If <var>map</var> is omitted, the curren
    <p><a name="doc_002dcolormap"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>colormap</b> (<var>map</var>)<var><a name="index-colormap-1889"></a></var><br>
-&mdash; Function File:  <b>colormap</b> (<var>"default"</var>)<var><a name="index-colormap-1890"></a></var><br>
+&mdash; Function File:  <b>colormap</b> (<var>map</var>)<var><a name="index-colormap-1951"></a></var><br>
+&mdash; Function File:  <b>colormap</b> (<var>"default"</var>)<var><a name="index-colormap-1952"></a></var><br>
 <blockquote><p>Set the current colormap.
 
         <p><code>colormap (</code><var>map</var><code>)</code> sets the current colormap to <var>map</var>.  The
@@ -130,7 +130,7 @@ should be between 0 and 1 inclusive.  Th
    <p><a name="doc_002dautumn"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>autumn</b> (<var>n</var>)<var><a name="index-autumn-1891"></a></var><br>
+&mdash; Function File:  <b>autumn</b> (<var>n</var>)<var><a name="index-autumn-1953"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is red through orange to yellow. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -143,7 +143,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dbone"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>bone</b> (<var>n</var>)<var><a name="index-bone-1892"></a></var><br>
+&mdash; Function File:  <b>bone</b> (<var>n</var>)<var><a name="index-bone-1954"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is a gray colormap with a light
 blue tone. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -156,7 +156,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dcool"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cool</b> (<var>n</var>)<var><a name="index-cool-1893"></a></var><br>
+&mdash; Function File:  <b>cool</b> (<var>n</var>)<var><a name="index-cool-1955"></a></var><br>
 <blockquote><p>Create color colormap. The colormap is cyan to magenta. The argument
 <var>n</var> should be a scalar.  If it is omitted, the length of the current
 colormap or 64 is assumed.
@@ -169,7 +169,7 @@ colormap or 64 is assumed.
    <p><a name="doc_002dcopper"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>copper</b> (<var>n</var>)<var><a name="index-copper-1894"></a></var><br>
+&mdash; Function File:  <b>copper</b> (<var>n</var>)<var><a name="index-copper-1956"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is black to a light copper tone. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -182,7 +182,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dgray"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gray</b> (<var>n</var>)<var><a name="index-gray-1895"></a></var><br>
+&mdash; Function File:  <b>gray</b> (<var>n</var>)<var><a name="index-gray-1957"></a></var><br>
 <blockquote><p>Return a gray colormap with <var>n</var> entries corresponding to values from
 0 to <var>n</var>-1.  The argument <var>n</var> should be a scalar.  If it is
 omitted, the length of the current colormap or 64 is assumed. 
@@ -191,7 +191,7 @@ omitted, the length of the current color
    <p><a name="doc_002dhot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hot</b> (<var>n</var>)<var><a name="index-hot-1896"></a></var><br>
+&mdash; Function File:  <b>hot</b> (<var>n</var>)<var><a name="index-hot-1958"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is black through dark red, red,
 orange, yellow to white. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -204,7 +204,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dhsv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hsv</b> (<var>n</var>)<var><a name="index-hsv-1897"></a></var><br>
+&mdash; Function File:  <b>hsv</b> (<var>n</var>)<var><a name="index-hsv-1959"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is red through yellow, green, cyan,
 blue, magenta to red. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -217,7 +217,7 @@ is omitted, the length of the current co
    <p><a name="doc_002djet"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>jet</b> (<var>n</var>)<var><a name="index-jet-1898"></a></var><br>
+&mdash; Function File:  <b>jet</b> (<var>n</var>)<var><a name="index-jet-1960"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is dark blue through blue, cyan,
 green, yellow, red to dark red. The argument <var>n</var> should be a scalar. 
 If it is omitted, the length of the current colormap or 64 is assumed.
@@ -230,7 +230,7 @@ If it is omitted, the length of the curr
    <p><a name="doc_002docean"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ocean</b> (<var>n</var>)<var><a name="index-ocean-1899"></a></var><br>
+&mdash; Function File:  <b>ocean</b> (<var>n</var>)<var><a name="index-ocean-1961"></a></var><br>
 <blockquote><p>Create color colormap.  The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed. 
 </p></blockquote></div>
@@ -238,7 +238,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dpink"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pink</b> (<var>n</var>)<var><a name="index-pink-1900"></a></var><br>
+&mdash; Function File:  <b>pink</b> (<var>n</var>)<var><a name="index-pink-1962"></a></var><br>
 <blockquote><p>Create color colormap. This colormap gives a sephia tone on black and
 white images. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -251,7 +251,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dprism"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>prism</b> (<var>n</var>)<var><a name="index-prism-1901"></a></var><br>
+&mdash; Function File:  <b>prism</b> (<var>n</var>)<var><a name="index-prism-1963"></a></var><br>
 <blockquote><p>Create color colormap. This colormap cycles trough red, orange, yellow,
 green, blue and violet. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -264,7 +264,7 @@ is omitted, the length of the current co
    <p><a name="doc_002drainbow"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rainbow</b> (<var>n</var>)<var><a name="index-rainbow-1902"></a></var><br>
+&mdash; Function File:  <b>rainbow</b> (<var>n</var>)<var><a name="index-rainbow-1964"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is red through orange, yellow, green,
 blue to violet. The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -277,7 +277,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dspring"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spring</b> (<var>n</var>)<var><a name="index-spring-1903"></a></var><br>
+&mdash; Function File:  <b>spring</b> (<var>n</var>)<var><a name="index-spring-1965"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is magenta to yellow. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -290,7 +290,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dsummer"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>summer</b> (<var>n</var>)<var><a name="index-summer-1904"></a></var><br>
+&mdash; Function File:  <b>summer</b> (<var>n</var>)<var><a name="index-summer-1966"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is green to yellow. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -303,7 +303,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dwhite"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>white</b> (<var>n</var>)<var><a name="index-white-1905"></a></var><br>
+&mdash; Function File:  <b>white</b> (<var>n</var>)<var><a name="index-white-1967"></a></var><br>
 <blockquote><p>Create color colormap.  This colormap is completely white. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -316,7 +316,7 @@ is omitted, the length of the current co
    <p><a name="doc_002dwinter"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>winter</b> (<var>n</var>)<var><a name="index-winter-1906"></a></var><br>
+&mdash; Function File:  <b>winter</b> (<var>n</var>)<var><a name="index-winter-1968"></a></var><br>
 <blockquote><p>Create color colormap. This colormap is blue to green. 
 The argument <var>n</var> should be a scalar.  If it
 is omitted, the length of the current colormap or 64 is assumed.
@@ -336,9 +336,9 @@ gnuplot 4.0 users, and in particular in 
    <p><a name="doc_002dgmap40"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>gmap40</b> (<var>n</var>)<var><a name="index-gmap40-1907"></a></var><br>
+&mdash; Function File:  <b>gmap40</b> (<var>n</var>)<var><a name="index-gmap40-1969"></a></var><br>
 <blockquote><p>Create a color colormap. The colormap is red, green, blue, yellow,
-magneta and cyan. These are the colors that are allowed with patch
+magenta and cyan. These are the colors that are allowed with patch
 objects using gnuplot 4.0, and so this colormap function is specially
 designed for users of gnuplot 4.0.  The argument <var>n</var> should be
 a scalar.  If it is omitted, a length of 6 is assumed. Larger values
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/ReturnType.html 1:3.0.5-6/doc/interpreter/HTML/ReturnType.html
--- 1:3.0.1-6/doc/interpreter/HTML/ReturnType.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/ReturnType.html	2009-04-07 11:11:40.000000000 +0100
@@ -83,8 +83,8 @@ than its full representation.
    <p><a name="doc_002dsparse_005fauto_005fmutate"></a>
 
 <div class="defun">
-&mdash; Built-in Function: <var>val</var> = <b>sparse_auto_mutate</b> ()<var><a name="index-sparse_005fauto_005fmutate-1273"></a></var><br>
-&mdash; Built-in Function: <var>old_val</var> = <b>sparse_auto_mutate</b> (<var>new_val</var>)<var><a name="index-sparse_005fauto_005fmutate-1274"></a></var><br>
+&mdash; Built-in Function: <var>val</var> = <b>sparse_auto_mutate</b> ()<var><a name="index-sparse_005fauto_005fmutate-1321"></a></var><br>
+&mdash; Built-in Function: <var>old_val</var> = <b>sparse_auto_mutate</b> (<var>new_val</var>)<var><a name="index-sparse_005fauto_005fmutate-1322"></a></var><br>
 <blockquote><p>Query or set the internal variable that controls whether Octave will
 automatically mutate sparse matrices to real matrices to save memory. 
 For example,
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Sending-Patches.html 1:3.0.5-6/doc/interpreter/HTML/Sending-Patches.html
--- 1:3.0.1-6/doc/interpreter/HTML/Sending-Patches.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Sending-Patches.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,7 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.6 Sending Patches for Octave</h3>
 
-<p><a name="index-improving-Octave-2173"></a><a name="index-diffs_002c-submitting-2174"></a><a name="index-patches_002c-submitting-2175"></a><a name="index-submitting-diffs-2176"></a><a name="index-submitting-patches-2177"></a>
+<p><a name="index-improving-Octave-2236"></a><a name="index-diffs_002c-submitting-2237"></a><a name="index-patches_002c-submitting-2238"></a><a name="index-submitting-diffs-2239"></a><a name="index-submitting-patches-2240"></a>
 If you would like to write bug fixes or improvements for Octave, that is
 very helpful.  When you send your changes, please follow these
 guidelines to avoid causing extra work for us in studying the patches.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Service.html 1:3.0.5-6/doc/interpreter/HTML/Service.html
--- 1:3.0.1-6/doc/interpreter/HTML/Service.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Service.html	2009-04-07 11:11:40.000000000 +0100
@@ -32,7 +32,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h3 class="appendixsec">D.7 How To Get Help with Octave</h3>
 
-<p><a name="index-help_002c-where-to-find-2178"></a>
+<p><a name="index-help_002c-where-to-find-2241"></a>
 The mailing list <a href="mailto:help@octave.org">help@octave.org</a> exists for the discussion of
 matters related to using and installing Octave.  If would like to join
 the discussion, please send a short note to
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Set-Operations.html 1:3.0.5-6/doc/interpreter/HTML/Set-Operations.html
--- 1:3.0.1-6/doc/interpreter/HTML/Set-Operations.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Set-Operations.html	2009-04-07 11:11:40.000000000 +0100
@@ -44,8 +44,8 @@ pretty much the same way.  As an example
    <p><a name="doc_002dismember"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>tf</var>, <var>a_idx</var>] = <b>ismember</b> (<var>A, S</var>)<var><a name="index-ismember-1568"></a></var><br>
-&mdash; Function File: [<var>tf</var>, <var>a_idx</var>] = <b>ismember</b> (<var>A, S, "rows"</var>)<var><a name="index-ismember-1569"></a></var><br>
+&mdash; Function File: [<var>tf</var>, <var>a_idx</var>] = <b>ismember</b> (<var>A, S</var>)<var><a name="index-ismember-1622"></a></var><br>
+&mdash; Function File: [<var>tf</var>, <var>a_idx</var>] = <b>ismember</b> (<var>A, S, "rows"</var>)<var><a name="index-ismember-1623"></a></var><br>
 <blockquote><p>Return a matrix <var>tf</var> the same shape as <var>A</var> which has 1 if
 <code>A(i,j)</code> is in <var>S</var> or 0 if it isn't. If a second output argument
 is requested, the indexes into <var>S</var> of the matching elements are
@@ -84,13 +84,27 @@ also returned.
    <p><a name="doc_002dunion"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>union</b> (<var>x, y</var>)<var><a name="index-union-1570"></a></var><br>
-<blockquote><p>Return the set of elements that are in either of the sets <var>x</var> and
-<var>y</var>.  For example,
-
-     <pre class="example">          union ([ 1, 2, 4 ], [ 2, 3, 5 ])
-           [ 1, 2, 3, 4, 5 ]
+&mdash; Function File:  <b>union</b> (<var>a, b</var>)<var><a name="index-union-1624"></a></var><br>
+&mdash; Function File:  <b>union</b> (<var>a, b, "rows"</var>)<var><a name="index-union-1625"></a></var><br>
+<blockquote><p>Return the set of elements that are in either of the sets <var>a</var> and
+<var>b</var>.  For example,
+
+     <pre class="example">          union ([1, 2, 4], [2, 3, 5])
+           [1, 2, 3, 4, 5]
+</pre>
+        <p>If the optional third input argument is the string "rows" each row of
+the matrices <var>a</var> and <var>b</var> will be considered an element of sets. 
+For example,
+     <pre class="example">          union([1, 2; 2, 3], [1, 2; 3, 4], "rows")
+            1   2
+              2   3
+              3   4
 </pre>
+        &mdash; Function File: [<var>c</var>, <var>ia</var>, <var>ib</var>] = <b>union</b> (<var>a, b</var>)<var><a name="index-union-1626"></a></var><br>
+<blockquote>
+        <p>Return index vectors <var>ia</var> and <var>ib</var> such that <code>a==c(ia)</code> and
+<code>b==c(ib)</code>.
+
         <pre class="sp">
      
      </pre>
@@ -100,8 +114,8 @@ also returned.
    <p><a name="doc_002dintersect"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>intersect</b> (<var>a, b</var>)<var><a name="index-intersect-1571"></a></var><br>
-&mdash; Function File: [<var>c</var>, <var>ia</var>, <var>ib</var>] = <b>intersect</b> (<var>a, b</var>)<var><a name="index-intersect-1572"></a></var><br>
+&mdash; Function File:  <b>intersect</b> (<var>a, b</var>)<var><a name="index-intersect-1627"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>ia</var>, <var>ib</var>] = <b>intersect</b> (<var>a, b</var>)<var><a name="index-intersect-1628"></a></var><br>
 <blockquote>
         <p>Return the elements in both <var>a</var> and <var>b</var>, sorted in ascending
 order. If <var>a</var> and <var>b</var> are both column vectors return a column
@@ -120,7 +134,7 @@ vector, otherwise return a row vector.
    <p><a name="doc_002dcomplement"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>complement</b> (<var>x, y</var>)<var><a name="index-complement-1573"></a></var><br>
+&mdash; Function File:  <b>complement</b> (<var>x, y</var>)<var><a name="index-complement-1629"></a></var><br>
 <blockquote><p>Return the elements of set <var>y</var> that are not in set <var>x</var>.  For
 example,
 
@@ -136,14 +150,17 @@ example,
    <p><a name="doc_002dsetdiff"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>setdiff</b> (<var>a, b</var>)<var><a name="index-setdiff-1574"></a></var><br>
-&mdash; Function File:  <b>setdiff</b> (<var>a, b, "rows"</var>)<var><a name="index-setdiff-1575"></a></var><br>
+&mdash; Function File:  <b>setdiff</b> (<var>a, b</var>)<var><a name="index-setdiff-1630"></a></var><br>
+&mdash; Function File:  <b>setdiff</b> (<var>a, b, "rows"</var>)<var><a name="index-setdiff-1631"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>i</var>] = <b>setdiff</b> (<var>a, b</var>)<var><a name="index-setdiff-1632"></a></var><br>
 <blockquote><p>Return the elements in <var>a</var> that are not in <var>b</var>, sorted in
 ascending order.  If <var>a</var> and <var>b</var> are both column vectors
 return a column vector, otherwise return a row vector.
 
         <p>Given the optional third argument &lsquo;<samp><span class="samp">"rows"</span></samp>&rsquo;, return the rows in
 <var>a</var> that are not in <var>b</var>, sorted in ascending order by rows.
+
+        <p>If requested, return <var>i</var> such that <code>c = a(i)</code>.
         <pre class="sp">
      
      </pre>
@@ -153,12 +170,18 @@ return a column vector, otherwise return
    <p><a name="doc_002dsetxor"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>setxor</b> (<var>a, b</var>)<var><a name="index-setxor-1576"></a></var><br>
+&mdash; Function File:  <b>setxor</b> (<var>a, b</var>)<var><a name="index-setxor-1633"></a></var><br>
+&mdash; Function File:  <b>setxor</b> (<var>a, b, 'rows'</var>)<var><a name="index-setxor-1634"></a></var><br>
 <blockquote>
         <p>Return the elements exclusive to <var>a</var> or <var>b</var>, sorted in ascending
 order. If <var>a</var> and <var>b</var> are both column vectors return a column
 vector, otherwise return a row vector.
 
+   &mdash; Function File: [<var>c</var>, <var>ia</var>, <var>ib</var>] = <b>setxor</b> (<var>a, b</var>)<var><a name="index-setxor-1635"></a></var><br>
+<blockquote>
+        <p>Return index vectors <var>ia</var> and <var>ib</var> such that <code>a==c(ia)</code> and
+<code>b==c(ib)</code>.
+
         <pre class="sp">
      
      </pre>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Sets.html 1:3.0.5-6/doc/interpreter/HTML/Sets.html
--- 1:3.0.1-6/doc/interpreter/HTML/Sets.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Sets.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,36 +40,48 @@ represented as a vector of numbers.
    <p><a name="doc_002dcreate_005fset"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>create_set</b> (<var>x</var>)<var><a name="index-create_005fset-1564"></a></var><br>
+&mdash; Function File:  <b>create_set</b> (<var>x</var>)<var><a name="index-create_005fset-1617"></a></var><br>
+&mdash; Function File:  <b>create_set</b> (<var>x, "rows"</var>)<var><a name="index-create_005fset-1618"></a></var><br>
 <blockquote><p>Return a row vector containing the unique values in <var>x</var>, sorted in
 ascending order.  For example,
 
-     <pre class="example">          create_set ([ 1, 2; 3, 4; 4, 2 ])
+     <pre class="example">          create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ])
            [ 1, 2, 3, 4 ]
 </pre>
+        <p>If the optional second input argument is the string "rows" each row of
+the matrix <var>x</var> will be considered an element of set.  For example,
+     <pre class="example">          create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ], "rows")
+            1   2
+              3   4
+              4   2
+</pre>
         <pre class="sp">
      
      </pre>
-     <strong>See also:</strong> union, intersection, complement. 
+     <strong>See also:</strong> union, intersection, complement, unique. 
 </p></blockquote></div>
 
    <p><a name="doc_002dunique"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>unique</b> (<var>x</var>)<var><a name="index-unique-1565"></a></var><br>
+&mdash; Function File:  <b>unique</b> (<var>x</var>)<var><a name="index-unique-1619"></a></var><br>
 <blockquote>
         <p>Return the unique elements of <var>x</var>, sorted in ascending order. 
 If <var>x</var> is a row vector, return a row vector, but if <var>x</var>
 is a column vector or a matrix return a column vector.
 
-   &mdash; Function File:  <b>unique</b> (<var>A, 'rows'</var>)<var><a name="index-unique-1566"></a></var><br>
+   &mdash; Function File:  <b>unique</b> (<var>A, 'rows'</var>)<var><a name="index-unique-1620"></a></var><br>
 <blockquote>
         <p>Return the unique rows of <var>A</var>, sorted in ascending order.
 
-   &mdash; Function File: [<var>y</var>, <var>i</var>, <var>j</var>] = <b>unique</b> (<var>x</var>)<var><a name="index-unique-1567"></a></var><br>
+   &mdash; Function File: [<var>y</var>, <var>i</var>, <var>j</var>] = <b>unique</b> (<var>x</var>)<var><a name="index-unique-1621"></a></var><br>
 <blockquote>
         <p>Return index vectors <var>i</var> and <var>j</var> such that <code>x(i)==y</code> and
 <code>y(j)==x</code>.
+
+        <p>Additionally, one of 'first' or 'last' can be given as an argument. 
+'last' (default) specifies that the highest possible indices are returned
+in <var>i</var>, while 'first' means the lowest.
         <pre class="sp">
      
      </pre>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Signal-Processing.html 1:3.0.5-6/doc/interpreter/HTML/Signal-Processing.html
--- 1:3.0.1-6/doc/interpreter/HTML/Signal-Processing.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Signal-Processing.html	2009-04-07 11:11:40.000000000 +0100
@@ -36,7 +36,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002ddetrend"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>detrend</b> (<var>x, p</var>)<var><a name="index-detrend-1805"></a></var><br>
+&mdash; Function File:  <b>detrend</b> (<var>x, p</var>)<var><a name="index-detrend-1867"></a></var><br>
 <blockquote><p>If <var>x</var> is a vector, <code>detrend (</code><var>x</var><code>, </code><var>p</var><code>)</code> removes the
 best fit of a polynomial of order <var>p</var> from the data <var>x</var>.
 
@@ -50,7 +50,7 @@ is assumed.  This corresponds to removin
    <p><a name="doc_002dfft"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>fft</b> (<var>a, n, dim</var>)<var><a name="index-fft-1806"></a></var><br>
+&mdash; Loadable Function:  <b>fft</b> (<var>a, n, dim</var>)<var><a name="index-fft-1868"></a></var><br>
 <blockquote><p>Compute the FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The FFT is calculated along the first non-singleton dimension of the
 array. Thus if <var>a</var> is a matrix, <code>fft (</code><var>a</var><code>)</code> computes the
@@ -72,25 +72,39 @@ dimension of the matrix along which the 
      <strong>See also:</strong> ifft, fft2, fftn, fftw. 
 </p></blockquote></div>
 
+   <p>Octave uses the FFTW libraries to perform FFT computations. When Octave
+starts up and initializes the FFTW libraries, they read a system wide
+file (on a Unix system, it is typically <samp><span class="file">/etc/fftw/wisdom</span></samp>) that
+contains information useful to speed up FFT computations.  This
+information is called the <em>wisdom</em>.  The system-wide file allows
+wisdom to be shared between all applications using the FFTW libraries.
+
+   <p>Use the <code>fftw</code> function to generate and save wisdom.  Using the
+utilities provided together with the FFTW libraries
+(<samp><span class="command">fftw-wisdom</span></samp> on Unix systems), you can even add wisdom
+generated by Octave to the system-wide wisdom file.
+
    <p><a name="doc_002dfftw"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>method</var> = <b>fftw</b> (<var>'planner'</var>)<var><a name="index-fftw-1807"></a></var><br>
-&mdash; Loadable Function:  <b>fftw</b> (<var>'planner', method</var>)<var><a name="index-fftw-1808"></a></var><br>
-&mdash; Loadable Function: <var>wisdom</var> = <b>fftw</b> (<var>'dwisdom'</var>)<var><a name="index-fftw-1809"></a></var><br>
-&mdash; Loadable Function: <var>wisdom</var> = <b>fftw</b> (<var>'dwisdom', wisdom</var>)<var><a name="index-fftw-1810"></a></var><br>
+&mdash; Loadable Function: <var>method</var> = <b>fftw</b> (<var>'planner'</var>)<var><a name="index-fftw-1869"></a></var><br>
+&mdash; Loadable Function:  <b>fftw</b> (<var>'planner', method</var>)<var><a name="index-fftw-1870"></a></var><br>
+&mdash; Loadable Function: <var>wisdom</var> = <b>fftw</b> (<var>'dwisdom'</var>)<var><a name="index-fftw-1871"></a></var><br>
+&mdash; Loadable Function: <var>wisdom</var> = <b>fftw</b> (<var>'dwisdom', wisdom</var>)<var><a name="index-fftw-1872"></a></var><br>
 <blockquote>
         <p>Manage FFTW wisdom data. Wisdom data can be used to significantly
 accelerate the calculation of the FFTs but implies an initial cost
-in its calculation. The wisdom used by Octave can be imported directly,
-usually from a file /etc/fftw/wisdom, or <dfn>fftw</dfn> can be used
-to import wisdom. For example
+in its calculation. When the FFTW libraries are initialized, they read
+a system wide wisdom file (typically in <samp><span class="file">/etc/fftw/wisdom</span></samp>), allowing wisdom
+to be shared between applications other than Octave. Alternatively, the
+<code>fftw</code> function can be used to import wisdom. For example
 
      <pre class="example">          <var>wisdom</var> = fftw ('dwisdom')
 </pre>
         <p>will save the existing wisdom used by Octave to the string <var>wisdom</var>. 
-This string can then be saved in the usual manner. This existing wisdom
-can be reimported as follows
+This string can then be saved to a file and restored using the <code>save</code>
+and <code>load</code> commands respectively. This existing wisdom can be reimported
+as follows
 
      <pre class="example">          fftw ('dwisdom', <var>wisdom</var>)
 </pre>
@@ -98,7 +112,7 @@ can be reimported as follows
 
         <p>During the calculation of fourier transforms further wisdom is generated. 
 The fashion in which this wisdom is generated is equally controlled by
-the <dfn>fftw</dfn> function. There are five different manners in which the
+the <code>fftw</code> function. There are five different manners in which the
 wisdom can be treated, these being
 
           <dl>
@@ -132,10 +146,8 @@ be probed with
 </pre>
         <p>Note that calculated wisdom will be lost when restarting Octave. However,
 the wisdom data can be reloaded if it is saved to a file as described
-above.  Also, any system-wide wisdom file that has been found will
-also be used. Saved wisdom files should not be used on different
-platforms since they will not be efficient and the point of calculating
-the wisdom is lost.
+above. Saved wisdom files should not be used on different platforms since
+they will not be efficient and the point of calculating the wisdom is lost.
         <pre class="sp">
      
      </pre>
@@ -145,7 +157,7 @@ the wisdom is lost.
    <p><a name="doc_002difft"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>ifft</b> (<var>a, n, dim</var>)<var><a name="index-ifft-1811"></a></var><br>
+&mdash; Loadable Function:  <b>ifft</b> (<var>a, n, dim</var>)<var><a name="index-ifft-1873"></a></var><br>
 <blockquote><p>Compute the inverse FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The inverse FFT is calculated along the first non-singleton dimension
 of the array. Thus if <var>a</var> is a matrix, <code>fft (</code><var>a</var><code>)</code> computes
@@ -170,7 +182,7 @@ dimension of the matrix along which the 
    <p><a name="doc_002dfft2"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>fft2</b> (<var>a, n, m</var>)<var><a name="index-fft2-1812"></a></var><br>
+&mdash; Loadable Function:  <b>fft2</b> (<var>a, n, m</var>)<var><a name="index-fft2-1874"></a></var><br>
 <blockquote><p>Compute the two dimensional FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The optional arguments <var>n</var> and <var>m</var> may be used specify the
 number of rows and columns of <var>a</var> to use.  If either of these is
@@ -188,7 +200,7 @@ of <var>a</var> is treated separately
    <p><a name="doc_002difft2"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>fft2</b> (<var>a, n, m</var>)<var><a name="index-fft2-1813"></a></var><br>
+&mdash; Loadable Function:  <b>fft2</b> (<var>a, n, m</var>)<var><a name="index-fft2-1875"></a></var><br>
 <blockquote><p>Compute the inverse two dimensional FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The optional arguments <var>n</var> and <var>m</var> may be used specify the
 number of rows and columns of <var>a</var> to use.  If either of these is
@@ -206,7 +218,7 @@ of <var>a</var> is treated separately
    <p><a name="doc_002dfftn"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>fftn</b> (<var>a, size</var>)<var><a name="index-fftn-1814"></a></var><br>
+&mdash; Loadable Function:  <b>fftn</b> (<var>a, size</var>)<var><a name="index-fftn-1876"></a></var><br>
 <blockquote><p>Compute the N dimensional FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The optional vector argument <var>size</var> may be used specify the
 dimensions of the array to be used. If an element of <var>size</var> is
@@ -223,7 +235,7 @@ is resized and padded with zeros.
    <p><a name="doc_002difftn"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>ifftn</b> (<var>a, size</var>)<var><a name="index-ifftn-1815"></a></var><br>
+&mdash; Loadable Function:  <b>ifftn</b> (<var>a, size</var>)<var><a name="index-ifftn-1877"></a></var><br>
 <blockquote><p>Compute the inverse N dimensional FFT of <var>a</var> using subroutines from
 <span class="sc">Fftw</span>. The optional vector argument <var>size</var> may be used specify the
 dimensions of the array to be used. If an element of <var>size</var> is
@@ -240,7 +252,7 @@ is resized and padded with zeros.
    <p><a name="doc_002dfftconv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fftconv</b> (<var>a, b, n</var>)<var><a name="index-fftconv-1816"></a></var><br>
+&mdash; Function File:  <b>fftconv</b> (<var>a, b, n</var>)<var><a name="index-fftconv-1878"></a></var><br>
 <blockquote><p>Return the convolution of the vectors <var>a</var> and <var>b</var>, as a vector
 with length equal to the <code>length (a) + length (b) - 1</code>.  If <var>a</var>
 and <var>b</var> are the coefficient vectors of two polynomials, the returned
@@ -253,7 +265,7 @@ the optional argument <var>n</var> is sp
    <p><a name="doc_002dfftfilt"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fftfilt</b> (<var>b, x, n</var>)<var><a name="index-fftfilt-1817"></a></var><br>
+&mdash; Function File:  <b>fftfilt</b> (<var>b, x, n</var>)<var><a name="index-fftfilt-1879"></a></var><br>
 <blockquote>
         <p>With two arguments, <code>fftfilt</code> filters <var>x</var> with the FIR filter
 <var>b</var> using the FFT.
@@ -267,10 +279,10 @@ overlap-add method to filter <var>x</var
    <p><a name="doc_002dfilter"></a>
 
 <div class="defun">
-&mdash; Loadable Function: y = <b>filter</b> (<var>b, a, x</var>)<var><a name="index-filter-1818"></a></var><br>
-&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, si</var>)<var><a name="index-filter-1819"></a></var><br>
-&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, </var>[]<var>, dim</var>)<var><a name="index-filter-1820"></a></var><br>
-&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, si, dim</var>)<var><a name="index-filter-1821"></a></var><br>
+&mdash; Loadable Function: y = <b>filter</b> (<var>b, a, x</var>)<var><a name="index-filter-1880"></a></var><br>
+&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, si</var>)<var><a name="index-filter-1881"></a></var><br>
+&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, </var>[]<var>, dim</var>)<var><a name="index-filter-1882"></a></var><br>
+&mdash; Loadable Function: [<var>y</var>, <var>sf</var>] = <b>filter</b> (<var>b, a, x, si, dim</var>)<var><a name="index-filter-1883"></a></var><br>
 <blockquote><p>Return the solution to the following linear, time-invariant difference
 equation:
 
@@ -314,8 +326,8 @@ system function:
    <p><a name="doc_002dfilter2"></a>
 
 <div class="defun">
-&mdash; Function File: <var>y</var> = <b>filter2</b> (<var>b, x</var>)<var><a name="index-filter2-1822"></a></var><br>
-&mdash; Function File: <var>y</var> = <b>filter2</b> (<var>b, x, shape</var>)<var><a name="index-filter2-1823"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>filter2</b> (<var>b, x</var>)<var><a name="index-filter2-1884"></a></var><br>
+&mdash; Function File: <var>y</var> = <b>filter2</b> (<var>b, x, shape</var>)<var><a name="index-filter2-1885"></a></var><br>
 <blockquote><p>Apply the 2-D FIR filter <var>b</var> to <var>x</var>. If the argument
 <var>shape</var> is specified, return an array of the desired shape. 
 Possible values are:
@@ -337,7 +349,7 @@ reversed and <var>b</var> rotated 180 de
    <p><a name="doc_002dfreqz"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>h</var>, <var>w</var>] = <b>freqz</b> (<var>b, a, n, "whole"</var>)<var><a name="index-freqz-1824"></a></var><br>
+&mdash; Function File: [<var>h</var>, <var>w</var>] = <b>freqz</b> (<var>b, a, n, "whole"</var>)<var><a name="index-freqz-1886"></a></var><br>
 <blockquote><p>Return the complex frequency response <var>h</var> of the rational IIR filter
 whose numerator and denominator coefficients are <var>b</var> and <var>a</var>,
 respectively.  The response is evaluated at <var>n</var> angular frequencies
@@ -358,16 +370,16 @@ corresponds to a simple FIR filter).
         <p>For fastest computation, <var>n</var> should factor into a small number of
 small primes.
 
-   &mdash; Function File: <var>h</var> = <b>freqz</b> (<var>b, a, w</var>)<var><a name="index-freqz-1825"></a></var><br>
+   &mdash; Function File: <var>h</var> = <b>freqz</b> (<var>b, a, w</var>)<var><a name="index-freqz-1887"></a></var><br>
 <blockquote><p>Evaluate the response at the specific frequencies in the vector <var>w</var>. 
 The values for <var>w</var> are measured in radians.
 
-   &mdash; Function File: [<small class="dots">...</small>] = <b>freqz</b> (<var><small class="dots">...</small>, Fs</var>)<var><a name="index-freqz-1826"></a></var><br>
+   &mdash; Function File: [<small class="dots">...</small>] = <b>freqz</b> (<var><small class="dots">...</small>, Fs</var>)<var><a name="index-freqz-1888"></a></var><br>
 <blockquote><p>Return frequencies in Hz instead of radians assuming a sampling rate
 <var>Fs</var>.  If you are evaluating the response at specific frequencies
 <var>w</var>, those frequencies should be requested in Hz rather than radians.
 
-   &mdash; Function File:  <b>freqz</b> (<var><small class="dots">...</small></var>)<var><a name="index-freqz-1827"></a></var><br>
+   &mdash; Function File:  <b>freqz</b> (<var><small class="dots">...</small></var>)<var><a name="index-freqz-1889"></a></var><br>
 <blockquote><p>Plot the pass band, stop band and phase response of <var>h</var> rather
 than returning them. 
 </p></blockquote></div>
@@ -375,14 +387,14 @@ than returning them. 
    <p><a name="doc_002dfreqz_005fplot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>freqz_plot</b> (<var>w, h</var>)<var><a name="index-freqz_005fplot-1828"></a></var><br>
+&mdash; Function File:  <b>freqz_plot</b> (<var>w, h</var>)<var><a name="index-freqz_005fplot-1890"></a></var><br>
 <blockquote><p>Plot the pass band, stop band and phase response of <var>h</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dsinc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sinc</b> (<var>x</var>)<var><a name="index-sinc-1829"></a></var><br>
+&mdash; Function File:  <b>sinc</b> (<var>x</var>)<var><a name="index-sinc-1891"></a></var><br>
 <blockquote><p>Return
  sin(pi*x)/(pi*x). 
 </p></blockquote></div>
@@ -390,7 +402,7 @@ than returning them. 
    <p><a name="doc_002dunwrap"></a>
 
 <div class="defun">
-&mdash; Function File: <var>b</var> = <b>unwrap</b> (<var>a, tol, dim</var>)<var><a name="index-unwrap-1830"></a></var><br>
+&mdash; Function File: <var>b</var> = <b>unwrap</b> (<var>a, tol, dim</var>)<var><a name="index-unwrap-1892"></a></var><br>
 <blockquote>
         <p>Unwrap radian phases by adding multiples of 2*pi as appropriate to
 remove jumps greater than <var>tol</var>.  <var>tol</var> defaults to pi.
@@ -404,7 +416,7 @@ which case the data will be unwrapped al
    <p><a name="doc_002darch_005ffit"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>b</var>] = <b>arch_fit</b> (<var>y, x, p, iter, gamma, a0, b0</var>)<var><a name="index-arch_005ffit-1831"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>] = <b>arch_fit</b> (<var>y, x, p, iter, gamma, a0, b0</var>)<var><a name="index-arch_005ffit-1893"></a></var><br>
 <blockquote><p>Fit an ARCH regression model to the time series <var>y</var> using the
 scoring algorithm in Engle's original ARCH paper.  The model is
 
@@ -430,7 +442,7 @@ b0 for the scoring algorithm. 
    <p><a name="doc_002darch_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>arch_rnd</b> (<var>a, b, t</var>)<var><a name="index-arch_005frnd-1832"></a></var><br>
+&mdash; Function File:  <b>arch_rnd</b> (<var>a, b, t</var>)<var><a name="index-arch_005frnd-1894"></a></var><br>
 <blockquote><p>Simulate an ARCH sequence of length <var>t</var> with AR
 coefficients <var>b</var> and CH coefficients <var>a</var>.  I.e., the result
 y(t) follows the model
@@ -447,7 +459,7 @@ N(0, h(t)), with
    <p><a name="doc_002darch_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>lm</var>] = <b>arch_test</b> (<var>y, x, p</var>)<var><a name="index-arch_005ftest-1833"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>lm</var>] = <b>arch_test</b> (<var>y, x, p</var>)<var><a name="index-arch_005ftest-1895"></a></var><br>
 <blockquote><p>For a linear regression model
 
      <pre class="example">          y = x * b + e
@@ -483,7 +495,7 @@ minus the CDF of this distribution at LM
    <p><a name="doc_002darma_005frnd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>arma_rnd</b> (<var>a, b, v, t, n</var>)<var><a name="index-arma_005frnd-1834"></a></var><br>
+&mdash; Function File:  <b>arma_rnd</b> (<var>a, b, v, t, n</var>)<var><a name="index-arma_005frnd-1896"></a></var><br>
 <blockquote><p>Return a simulation of the ARMA model
 
      <pre class="example">          x(n) = a(1) * x(n-1) + ... + a(k) * x(n-k)
@@ -502,7 +514,7 @@ is returned.  If <var>n</var> is omitted
    <p><a name="doc_002dautocor"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>autocor</b> (<var>x, h</var>)<var><a name="index-autocor-1835"></a></var><br>
+&mdash; Function File:  <b>autocor</b> (<var>x, h</var>)<var><a name="index-autocor-1897"></a></var><br>
 <blockquote><p>Return the autocorrelations from lag 0 to <var>h</var> of vector <var>x</var>. 
 If <var>h</var> is omitted, all autocorrelations are computed. 
 If <var>x</var> is a matrix, the autocorrelations of each column are
@@ -512,7 +524,7 @@ computed. 
    <p><a name="doc_002dautocov"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>autocov</b> (<var>x, h</var>)<var><a name="index-autocov-1836"></a></var><br>
+&mdash; Function File:  <b>autocov</b> (<var>x, h</var>)<var><a name="index-autocov-1898"></a></var><br>
 <blockquote><p>Return the autocovariances from lag 0 to <var>h</var> of vector <var>x</var>. 
 If <var>h</var> is omitted, all autocovariances are computed. 
 If <var>x</var> is a matrix, the autocovariances of each column are
@@ -522,7 +534,7 @@ computed. 
    <p><a name="doc_002dautoreg_005fmatrix"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>autoreg_matrix</b> (<var>y, k</var>)<var><a name="index-autoreg_005fmatrix-1837"></a></var><br>
+&mdash; Function File:  <b>autoreg_matrix</b> (<var>y, k</var>)<var><a name="index-autoreg_005fmatrix-1899"></a></var><br>
 <blockquote><p>Given a time series (vector) <var>y</var>, return a matrix with ones in the
 first column and the first <var>k</var> lagged values of <var>y</var> in the
 other columns.  I.e., for <var>t</var> &gt; <var>k</var>, <code>[1,
@@ -534,7 +546,7 @@ in autoregressions. 
    <p><a name="doc_002dbartlett"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>bartlett</b> (<var>m</var>)<var><a name="index-bartlett-1838"></a></var><br>
+&mdash; Function File:  <b>bartlett</b> (<var>m</var>)<var><a name="index-bartlett-1900"></a></var><br>
 <blockquote><p>Return the filter coefficients of a Bartlett (triangular) window of
 length <var>m</var>.
 
@@ -545,7 +557,7 @@ R. W. Schafer, "Discrete-Time Signal Pro
    <p><a name="doc_002dblackman"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>blackman</b> (<var>m</var>)<var><a name="index-blackman-1839"></a></var><br>
+&mdash; Function File:  <b>blackman</b> (<var>m</var>)<var><a name="index-blackman-1901"></a></var><br>
 <blockquote><p>Return the filter coefficients of a Blackman window of length <var>m</var>.
 
         <p>For a definition of the  Blackman window, see e.g. A. V. Oppenheim &amp;
@@ -555,7 +567,7 @@ R. W. Schafer, "Discrete-Time Signal Pro
    <p><a name="doc_002ddiffpara"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>d</var>, <var>dd</var>] = <b>diffpara</b> (<var>x, a, b</var>)<var><a name="index-diffpara-1840"></a></var><br>
+&mdash; Function File: [<var>d</var>, <var>dd</var>] = <b>diffpara</b> (<var>x, a, b</var>)<var><a name="index-diffpara-1902"></a></var><br>
 <blockquote><p>Return the estimator <var>d</var> for the differencing parameter of an
 integrated time series.
 
@@ -577,7 +589,7 @@ Theory and Methods Springer 1987. 
    <p><a name="doc_002ddurbinlevinson"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>durbinlevinson</b> (<var>c, oldphi, oldv</var>)<var><a name="index-durbinlevinson-1841"></a></var><br>
+&mdash; Function File:  <b>durbinlevinson</b> (<var>c, oldphi, oldv</var>)<var><a name="index-durbinlevinson-1903"></a></var><br>
 <blockquote><p>Perform one step of the Durbin-Levinson algorithm.
 
         <p>The vector <var>c</var> specifies the autocovariances <code>[gamma_0, ...,
@@ -592,8 +604,8 @@ corresponding error.
    <p><a name="doc_002dfftshift"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fftshift</b> (<var>v</var>)<var><a name="index-fftshift-1842"></a></var><br>
-&mdash; Function File:  <b>fftshift</b> (<var>v, dim</var>)<var><a name="index-fftshift-1843"></a></var><br>
+&mdash; Function File:  <b>fftshift</b> (<var>v</var>)<var><a name="index-fftshift-1904"></a></var><br>
+&mdash; Function File:  <b>fftshift</b> (<var>v, dim</var>)<var><a name="index-fftshift-1905"></a></var><br>
 <blockquote><p>Perform a shift of the vector <var>v</var>, for use with the <code>fft</code>
 and <code>ifft</code> functions, in order the move the frequency 0 to the
 center of the vector or matrix.
@@ -614,8 +626,8 @@ along which the permutation occurs. 
    <p><a name="doc_002difftshift"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ifftshift</b> (<var>v</var>)<var><a name="index-ifftshift-1844"></a></var><br>
-&mdash; Function File:  <b>ifftshift</b> (<var>v, dim</var>)<var><a name="index-ifftshift-1845"></a></var><br>
+&mdash; Function File:  <b>ifftshift</b> (<var>v</var>)<var><a name="index-ifftshift-1906"></a></var><br>
+&mdash; Function File:  <b>ifftshift</b> (<var>v, dim</var>)<var><a name="index-ifftshift-1907"></a></var><br>
 <blockquote><p>Undo the action of the <code>fftshift</code> function.  For even length
 <var>v</var>, <code>fftshift</code> is its own inverse, but odd lengths differ
 slightly. 
@@ -624,7 +636,7 @@ slightly. 
    <p><a name="doc_002dfractdiff"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fractdiff</b> (<var>x, d</var>)<var><a name="index-fractdiff-1846"></a></var><br>
+&mdash; Function File:  <b>fractdiff</b> (<var>x, d</var>)<var><a name="index-fractdiff-1908"></a></var><br>
 <blockquote><p>Compute the fractional differences (1-L)^d x where L
 denotes the lag-operator and d is greater than -1. 
 </p></blockquote></div>
@@ -632,7 +644,7 @@ denotes the lag-operator and d is greate
    <p><a name="doc_002dhamming"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hamming</b> (<var>m</var>)<var><a name="index-hamming-1847"></a></var><br>
+&mdash; Function File:  <b>hamming</b> (<var>m</var>)<var><a name="index-hamming-1909"></a></var><br>
 <blockquote><p>Return the filter coefficients of a Hamming window of length <var>m</var>.
 
         <p>For a definition of the Hamming window, see e.g. A. V. Oppenheim &amp;
@@ -642,7 +654,7 @@ R. W. Schafer, "Discrete-Time Signal Pro
    <p><a name="doc_002dhanning"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hanning</b> (<var>m</var>)<var><a name="index-hanning-1848"></a></var><br>
+&mdash; Function File:  <b>hanning</b> (<var>m</var>)<var><a name="index-hanning-1910"></a></var><br>
 <blockquote><p>Return the filter coefficients of a Hanning window of length <var>m</var>.
 
         <p>For a definition of this window type, see e.g. A. V. Oppenheim &amp;
@@ -652,7 +664,7 @@ R. W. Schafer, "Discrete-Time Signal Pro
    <p><a name="doc_002dhurst"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hurst</b> (<var>x</var>)<var><a name="index-hurst-1849"></a></var><br>
+&mdash; Function File:  <b>hurst</b> (<var>x</var>)<var><a name="index-hurst-1911"></a></var><br>
 <blockquote><p>Estimate the Hurst parameter of sample <var>x</var> via the rescaled range
 statistic.  If <var>x</var> is a matrix, the parameter is estimated for
 every single column. 
@@ -661,8 +673,8 @@ every single column. 
    <p><a name="doc_002dpchip"></a>
 
 <div class="defun">
-&mdash; Function File: <var>pp</var> = <b>pchip</b> (<var>x, y</var>)<var><a name="index-pchip-1850"></a></var><br>
-&mdash; Function File: <var>yi</var> = <b>pchip</b> (<var>x, y, xi</var>)<var><a name="index-pchip-1851"></a></var><br>
+&mdash; Function File: <var>pp</var> = <b>pchip</b> (<var>x, y</var>)<var><a name="index-pchip-1912"></a></var><br>
+&mdash; Function File: <var>yi</var> = <b>pchip</b> (<var>x, y, xi</var>)<var><a name="index-pchip-1913"></a></var><br>
 <blockquote>
         <p>Piecewise Cubic Hermite interpolating polynomial. Called with two
 arguments, the piece-wise polynomial <var>pp</var> is returned, that may
@@ -696,7 +708,7 @@ between <code>ppval (pchip (</code><var>
    <p><a name="doc_002dperiodogram"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>periodogram</b> (<var>x</var>)<var><a name="index-periodogram-1852"></a></var><br>
+&mdash; Function File:  <b>periodogram</b> (<var>x</var>)<var><a name="index-periodogram-1914"></a></var><br>
 <blockquote><p>For a data matrix <var>x</var> from a sample of size <var>n</var>, return the
 periodogram. 
 </p></blockquote></div>
@@ -704,7 +716,7 @@ periodogram. 
    <p><a name="doc_002drectangle_005flw"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rectangle_lw</b> (<var>n, b</var>)<var><a name="index-rectangle_005flw-1853"></a></var><br>
+&mdash; Function File:  <b>rectangle_lw</b> (<var>n, b</var>)<var><a name="index-rectangle_005flw-1915"></a></var><br>
 <blockquote><p>Rectangular lag window. Subfunction used for spectral density
 estimation. 
 </p></blockquote></div>
@@ -712,7 +724,7 @@ estimation. 
    <p><a name="doc_002drectangle_005fsw"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>rectangle_sw</b> (<var>n, b</var>)<var><a name="index-rectangle_005fsw-1854"></a></var><br>
+&mdash; Function File:  <b>rectangle_sw</b> (<var>n, b</var>)<var><a name="index-rectangle_005fsw-1916"></a></var><br>
 <blockquote><p>Rectangular spectral window.  Subfunction used for spectral density
 estimation. 
 </p></blockquote></div>
@@ -720,7 +732,7 @@ estimation. 
    <p><a name="doc_002dsinetone"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sinetone</b> (<var>freq, rate, sec, ampl</var>)<var><a name="index-sinetone-1855"></a></var><br>
+&mdash; Function File:  <b>sinetone</b> (<var>freq, rate, sec, ampl</var>)<var><a name="index-sinetone-1917"></a></var><br>
 <blockquote><p>Return a sinetone of frequency <var>freq</var> with length of <var>sec</var>
 seconds at sampling rate <var>rate</var> and with amplitude <var>ampl</var>. 
 The arguments <var>freq</var> and <var>ampl</var> may be vectors of common size.
@@ -731,7 +743,7 @@ The arguments <var>freq</var> and <var>a
    <p><a name="doc_002dsinewave"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sinewave</b> (<var>m, n, d</var>)<var><a name="index-sinewave-1856"></a></var><br>
+&mdash; Function File:  <b>sinewave</b> (<var>m, n, d</var>)<var><a name="index-sinewave-1918"></a></var><br>
 <blockquote><p>Return an <var>m</var>-element vector with <var>i</var>-th element given by
 <code>sin (2 * pi * (</code><var>i</var><code>+</code><var>d</var><code>-1) / </code><var>n</var><code>)</code>.
 
@@ -742,7 +754,7 @@ is <var>m</var>. 
    <p><a name="doc_002dspectral_005fadf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spectral_adf</b> (<var>c, win, b</var>)<var><a name="index-spectral_005fadf-1857"></a></var><br>
+&mdash; Function File:  <b>spectral_adf</b> (<var>c, win, b</var>)<var><a name="index-spectral_005fadf-1919"></a></var><br>
 <blockquote><p>Return the spectral density estimator given a vector of
 autocovariances <var>c</var>, window name <var>win</var>, and bandwidth,
 <var>b</var>.
@@ -757,7 +769,7 @@ omitted, <code>1 / sqrt (length (</code>
    <p><a name="doc_002dspectral_005fxdf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spectral_xdf</b> (<var>x, win, b</var>)<var><a name="index-spectral_005fxdf-1858"></a></var><br>
+&mdash; Function File:  <b>spectral_xdf</b> (<var>x, win, b</var>)<var><a name="index-spectral_005fxdf-1920"></a></var><br>
 <blockquote><p>Return the spectral density estimator given a data vector <var>x</var>,
 window name <var>win</var>, and bandwidth, <var>b</var>.
 
@@ -771,7 +783,7 @@ omitted, <code>1 / sqrt (length (</code>
    <p><a name="doc_002dspencer"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>spencer</b> (<var>x</var>)<var><a name="index-spencer-1859"></a></var><br>
+&mdash; Function File:  <b>spencer</b> (<var>x</var>)<var><a name="index-spencer-1921"></a></var><br>
 <blockquote><p>Return Spencer's 15 point moving average of every single column of
 <var>x</var>. 
 </p></blockquote></div>
@@ -779,7 +791,7 @@ omitted, <code>1 / sqrt (length (</code>
    <p><a name="doc_002dstft"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>y</var>, <var>c</var>] = <b>stft</b> (<var>x, win_size, inc, num_coef, w_type</var>)<var><a name="index-stft-1860"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>c</var>] = <b>stft</b> (<var>x, win_size, inc, num_coef, w_type</var>)<var><a name="index-stft-1922"></a></var><br>
 <blockquote><p>Compute the short-term Fourier transform of the vector <var>x</var> with
 <var>num_coef</var> coefficients by applying a window of <var>win_size</var> data
 points and an increment of <var>inc</var> points.
@@ -812,7 +824,7 @@ synthesis function. 
    <p><a name="doc_002dsynthesis"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>synthesis</b> (<var>y, c</var>)<var><a name="index-synthesis-1861"></a></var><br>
+&mdash; Function File:  <b>synthesis</b> (<var>y, c</var>)<var><a name="index-synthesis-1923"></a></var><br>
 <blockquote><p>Compute a signal from its short-time Fourier transform <var>y</var> and a
 3-element vector <var>c</var> specifying window size, increment, and
 window type.
@@ -826,7 +838,7 @@ window type.
    <p><a name="doc_002dtriangle_005flw"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>triangle_lw</b> (<var>n, b</var>)<var><a name="index-triangle_005flw-1862"></a></var><br>
+&mdash; Function File:  <b>triangle_lw</b> (<var>n, b</var>)<var><a name="index-triangle_005flw-1924"></a></var><br>
 <blockquote><p>Triangular lag window. Subfunction used for spectral density
 estimation. 
 </p></blockquote></div>
@@ -834,7 +846,7 @@ estimation. 
    <p><a name="doc_002dtriangle_005fsw"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>triangle_sw</b> (<var>n, b</var>)<var><a name="index-triangle_005fsw-1863"></a></var><br>
+&mdash; Function File:  <b>triangle_sw</b> (<var>n, b</var>)<var><a name="index-triangle_005fsw-1925"></a></var><br>
 <blockquote><p>Triangular spectral window.  Subfunction used for spectral density
 estimation. 
 </p></blockquote></div>
@@ -842,7 +854,7 @@ estimation. 
    <p><a name="doc_002dyulewalker"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>v</var>] = <b>yulewalker</b> (<var>c</var>)<var><a name="index-yulewalker-1864"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>v</var>] = <b>yulewalker</b> (<var>c</var>)<var><a name="index-yulewalker-1926"></a></var><br>
 <blockquote><p>Fit an AR (p)-model with Yule-Walker estimates given a vector <var>c</var>
 of autocovariances <code>[gamma_0, ..., gamma_p]</code>.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Sparse-Linear-Algebra.html 1:3.0.5-6/doc/interpreter/HTML/Sparse-Linear-Algebra.html
--- 1:3.0.1-6/doc/interpreter/HTML/Sparse-Linear-Algebra.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Sparse-Linear-Algebra.html	2009-04-07 11:11:40.000000000 +0100
@@ -124,7 +124,7 @@ used with care.
    <p><a name="doc_002dnormest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>n</var>, <var>c</var>] = <b>normest</b> (<var>a, tol</var>)<var><a name="index-normest-1296"></a></var><br>
+&mdash; Function File: [<var>n</var>, <var>c</var>] = <b>normest</b> (<var>a, tol</var>)<var><a name="index-normest-1344"></a></var><br>
 <blockquote><p>Estimate the 2-norm of the matrix <var>a</var> using a power series
 analysis. This is typically used for large matrices, where the cost
 of calculating the <code>norm (</code><var>a</var><code>)</code> is prohibitive and an approximation
@@ -138,9 +138,9 @@ to the 2-norm is acceptable.
    <p><a name="doc_002dcondest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>a, t</var>)<var><a name="index-condest-1297"></a></var><br>
-&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>a, solve, solve_t, t</var>)<var><a name="index-condest-1298"></a></var><br>
-&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>apply, apply_t, solve, solve_t, n, t</var>)<var><a name="index-condest-1299"></a></var><br>
+&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>a, t</var>)<var><a name="index-condest-1345"></a></var><br>
+&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>a, solve, solve_t, t</var>)<var><a name="index-condest-1346"></a></var><br>
+&mdash; Function File: [<var>est</var>, <var>v</var>] = <b>condest</b> (<var>apply, apply_t, solve, solve_t, n, t</var>)<var><a name="index-condest-1347"></a></var><br>
 <blockquote>
         <p>Estimate the 1-norm condition number of a matrix matrix <var>A</var>
 using <var>t</var> test vectors using a randomized 1-norm estimator. 
@@ -187,10 +187,10 @@ Pseudospectra." <a href="http://citeseer
    <p><a name="doc_002dspchol"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>r</var> = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1300"></a></var><br>
-&mdash; Loadable Function: [<var>r</var>, <var>p</var>] = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1301"></a></var><br>
-&mdash; Loadable Function: [<var>r</var>, <var>p</var>, <var>q</var>] = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1302"></a></var><br>
-<blockquote><p><a name="index-Cholesky-factorization-1303"></a>Compute the Cholesky factor, <var>r</var>, of the symmetric positive definite
+&mdash; Loadable Function: <var>r</var> = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1348"></a></var><br>
+&mdash; Loadable Function: [<var>r</var>, <var>p</var>] = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1349"></a></var><br>
+&mdash; Loadable Function: [<var>r</var>, <var>p</var>, <var>q</var>] = <b>spchol</b> (<var>a</var>)<var><a name="index-spchol-1350"></a></var><br>
+<blockquote><p><a name="index-Cholesky-factorization-1351"></a>Compute the Cholesky factor, <var>r</var>, of the symmetric positive definite
 sparse matrix <var>a</var>, where
 
      <pre class="example">          r' * r = a.
@@ -214,7 +214,7 @@ is the factorization of <var>a</var><cod
    <p><a name="doc_002dspcholinv"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spcholinv</b> (<var>a</var>)<var><a name="index-spcholinv-1304"></a></var><br>
+&mdash; Loadable Function:  <b>spcholinv</b> (<var>a</var>)<var><a name="index-spcholinv-1352"></a></var><br>
 <blockquote><p>Use the Cholesky factorization to compute the inverse of the
 sparse symmetric positive definite matrix <var>a</var>.
         <pre class="sp">
@@ -226,7 +226,7 @@ sparse symmetric positive definite matri
    <p><a name="doc_002dspchol2inv"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spchol2inv</b> (<var>u</var>)<var><a name="index-spchol2inv-1305"></a></var><br>
+&mdash; Loadable Function:  <b>spchol2inv</b> (<var>u</var>)<var><a name="index-spchol2inv-1353"></a></var><br>
 <blockquote><p>Invert a sparse symmetric, positive definite square matrix from its
 Cholesky decomposition, <var>u</var>.  Note that <var>u</var> should be an
 upper-triangular matrix with positive diagonal elements. 
@@ -241,7 +241,7 @@ it is much faster than using <code>inv</
    <p><a name="doc_002dspdet"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>d</var>, <var>rcond</var>] = <b>spdet</b> (<var>a</var>)<var><a name="index-spdet-1306"></a></var><br>
+&mdash; Loadable Function: [<var>d</var>, <var>rcond</var>] = <b>spdet</b> (<var>a</var>)<var><a name="index-spdet-1354"></a></var><br>
 <blockquote><p>Compute the determinant of sparse matrix <var>a</var> using UMFPACK.  Return
 an estimate of the reciprocal condition number if requested. 
 </p></blockquote></div>
@@ -249,7 +249,7 @@ an estimate of the reciprocal condition 
    <p><a name="doc_002dspinv"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>spinv</b> (<var>a, Q</var>)<var><a name="index-spinv-1307"></a></var><br>
+&mdash; Loadable Function: [<var>x</var>, <var>rcond</var>] = <b>spinv</b> (<var>a, Q</var>)<var><a name="index-spinv-1355"></a></var><br>
 <blockquote><p>Compute the inverse of the sparse square matrix <var>a</var>.  Return an estimate
 of the reciprocal condition number if requested, otherwise warn of an
 ill-conditioned matrix if the reciprocal condition number is small. 
@@ -265,7 +265,7 @@ than <var>y</var><code> = spinv (</code>
    <p><a name="doc_002dspkron"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spkron</b> (<var>a, b</var>)<var><a name="index-spkron-1308"></a></var><br>
+&mdash; Loadable Function:  <b>spkron</b> (<var>a, b</var>)<var><a name="index-spkron-1356"></a></var><br>
 <blockquote><p>Form the kronecker product of two sparse matrices. This is defined
 block by block as
 
@@ -292,10 +292,10 @@ block by block as
    <p><a name="doc_002dsplchol"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>l</var> = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1309"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>p</var>] = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1310"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>p</var>, <var>q</var>] = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1311"></a></var><br>
-<blockquote><p><a name="index-Cholesky-factorization-1312"></a>Compute the Cholesky factor, <var>l</var>, of the symmetric positive definite
+&mdash; Loadable Function: <var>l</var> = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1357"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>p</var>] = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1358"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>p</var>, <var>q</var>] = <b>splchol</b> (<var>a</var>)<var><a name="index-splchol-1359"></a></var><br>
+<blockquote><p><a name="index-Cholesky-factorization-1360"></a>Compute the Cholesky factor, <var>l</var>, of the symmetric positive definite
 sparse matrix <var>a</var>, where
 
      <pre class="example">          l * l' = a.
@@ -321,12 +321,12 @@ than <code>spchol</code>. <code>splchol(
    <p><a name="doc_002dsplu"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1313"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1314"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>, <var>Q</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1315"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>, <var>Q</var>] = <b>splu</b> (<var><small class="dots">...</small>, thres</var>)<var><a name="index-splu-1316"></a></var><br>
-&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>] = <b>splu</b> (<var><small class="dots">...</small>, Q</var>)<var><a name="index-splu-1317"></a></var><br>
-<blockquote><p><a name="index-LU-decomposition-1318"></a>Compute the LU decomposition of the sparse matrix <var>a</var>, using
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1361"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1362"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>, <var>Q</var>] = <b>splu</b> (<var>a</var>)<var><a name="index-splu-1363"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>, <var>Q</var>] = <b>splu</b> (<var><small class="dots">...</small>, thres</var>)<var><a name="index-splu-1364"></a></var><br>
+&mdash; Loadable Function: [<var>l</var>, <var>u</var>, <var>P</var>] = <b>splu</b> (<var><small class="dots">...</small>, Q</var>)<var><a name="index-splu-1365"></a></var><br>
+<blockquote><p><a name="index-LU-decomposition-1366"></a>Compute the LU decomposition of the sparse matrix <var>a</var>, using
 subroutines from UMFPACK.  The result is returned in a permuted
 form, according to the optional return values <var>P</var> and <var>Q</var>.
 
@@ -357,14 +357,14 @@ be square.
    <p><a name="doc_002dspparms"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>spparms</b> ()<var><a name="index-spparms-1319"></a></var><br>
-&mdash; Loadable Function: <var>vals</var> = <b>spparms</b> ()<var><a name="index-spparms-1320"></a></var><br>
-&mdash; Loadable Function: [<var>keys</var>, <var>vals</var>] = <b>spparms</b> ()<var><a name="index-spparms-1321"></a></var><br>
-&mdash; Loadable Function: <var>val</var> = <b>spparms</b> (<var>key</var>)<var><a name="index-spparms-1322"></a></var><br>
-&mdash; Loadable Function:  <b>spparms</b> (<var>vals</var>)<var><a name="index-spparms-1323"></a></var><br>
-&mdash; Loadable Function:  <b>spparms</b> (<var>'defaults'</var>)<var><a name="index-spparms-1324"></a></var><br>
-&mdash; Loadable Function:  <b>spparms</b> (<var>'tight'</var>)<var><a name="index-spparms-1325"></a></var><br>
-&mdash; Loadable Function:  <b>spparms</b> (<var>key, val</var>)<var><a name="index-spparms-1326"></a></var><br>
+&mdash; Loadable Function:  <b>spparms</b> ()<var><a name="index-spparms-1367"></a></var><br>
+&mdash; Loadable Function: <var>vals</var> = <b>spparms</b> ()<var><a name="index-spparms-1368"></a></var><br>
+&mdash; Loadable Function: [<var>keys</var>, <var>vals</var>] = <b>spparms</b> ()<var><a name="index-spparms-1369"></a></var><br>
+&mdash; Loadable Function: <var>val</var> = <b>spparms</b> (<var>key</var>)<var><a name="index-spparms-1370"></a></var><br>
+&mdash; Loadable Function:  <b>spparms</b> (<var>vals</var>)<var><a name="index-spparms-1371"></a></var><br>
+&mdash; Loadable Function:  <b>spparms</b> (<var>'defaults'</var>)<var><a name="index-spparms-1372"></a></var><br>
+&mdash; Loadable Function:  <b>spparms</b> (<var>'tight'</var>)<var><a name="index-spparms-1373"></a></var><br>
+&mdash; Loadable Function:  <b>spparms</b> (<var>key, val</var>)<var><a name="index-spparms-1374"></a></var><br>
 <blockquote><p>Sets or displays the parameters used by the sparse solvers and factorization
 functions. The first four calls above get information about the current
 settings, while the others change the current settings. The parameters are
@@ -411,11 +411,11 @@ time. 
    <p><a name="doc_002dspqr"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>r</var> = <b>spqr</b> (<var>a</var>)<var><a name="index-spqr-1327"></a></var><br>
-&mdash; Loadable Function: <var>r</var> = <b>spqr</b> (<var>a,0</var>)<var><a name="index-spqr-1328"></a></var><br>
-&mdash; Loadable Function: [<var>c</var>, <var>r</var>] = <b>spqr</b> (<var>a,b</var>)<var><a name="index-spqr-1329"></a></var><br>
-&mdash; Loadable Function: [<var>c</var>, <var>r</var>] = <b>spqr</b> (<var>a,b,0</var>)<var><a name="index-spqr-1330"></a></var><br>
-<blockquote><p><a name="index-QR-factorization-1331"></a>Compute the sparse QR factorization of <var>a</var>, using <span class="sc">CSparse</span>. 
+&mdash; Loadable Function: <var>r</var> = <b>spqr</b> (<var>a</var>)<var><a name="index-spqr-1375"></a></var><br>
+&mdash; Loadable Function: <var>r</var> = <b>spqr</b> (<var>a,0</var>)<var><a name="index-spqr-1376"></a></var><br>
+&mdash; Loadable Function: [<var>c</var>, <var>r</var>] = <b>spqr</b> (<var>a,b</var>)<var><a name="index-spqr-1377"></a></var><br>
+&mdash; Loadable Function: [<var>c</var>, <var>r</var>] = <b>spqr</b> (<var>a,b,0</var>)<var><a name="index-spqr-1378"></a></var><br>
+<blockquote><p><a name="index-QR-factorization-1379"></a>Compute the sparse QR factorization of <var>a</var>, using <span class="sc">CSparse</span>. 
 As the matrix <var>Q</var> is in general a full matrix, this function returns
 the <var>Q</var>-less factorization <var>r</var> of <var>a</var>, such that
 <var>r</var><code> = chol (</code><var>a</var><code>' * </code><var>a</var><code>)</code>.
@@ -441,9 +441,9 @@ as
    <p><a name="doc_002dsprank"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>p</var> = <b>sprank</b> (<var>s</var>)<var><a name="index-sprank-1332"></a></var><br>
+&mdash; Loadable Function: <var>p</var> = <b>sprank</b> (<var>s</var>)<var><a name="index-sprank-1380"></a></var><br>
 <blockquote>
-        <p><a name="index-Structural-Rank-1333"></a>Calculates the structural rank of a sparse matrix <var>s</var>. Note that
+        <p><a name="index-Structural-Rank-1381"></a>Calculates the structural rank of a sparse matrix <var>s</var>. Note that
 only the structure of the matrix is used in this calculation based on
 a Dulmage-Mendelsohn to block triangular form. As such the numerical
 rank of the matrix <var>s</var> is bounded by <code>sprank (</code><var>s</var><code>) &gt;=
@@ -458,7 +458,7 @@ rank (</code><var>s</var><code>)</code>.
    <p><a name="doc_002dsymbfact"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>count</var>, <var>h</var>, <var>parent</var>, <var>post</var>, <var>r</var>] = <b>symbfact</b> (<var>s, typ, mode</var>)<var><a name="index-symbfact-1334"></a></var><br>
+&mdash; Loadable Function: [<var>count</var>, <var>h</var>, <var>parent</var>, <var>post</var>, <var>r</var>] = <b>symbfact</b> (<var>s, typ, mode</var>)<var><a name="index-symbfact-1382"></a></var><br>
 <blockquote>
         <p>Performs a symbolic factorization analysis on the sparse matrix <var>s</var>. 
 Where
Binary files 1:3.0.1-6/doc/interpreter/HTML/spcholperm.png and 1:3.0.5-6/doc/interpreter/HTML/spcholperm.png differ
Binary files 1:3.0.1-6/doc/interpreter/HTML/spchol.png and 1:3.0.5-6/doc/interpreter/HTML/spchol.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Special-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Special-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Special-Functions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Special-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,25 +37,27 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dbesselj"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>j</var>, <var>ierr</var>] = <b>besselj</b> (<var>alpha, x, opt</var>)<var><a name="index-besselj-1098"></a></var><br>
-&mdash; Loadable Function: [<var>y</var>, <var>ierr</var>] = <b>bessely</b> (<var>alpha, x, opt</var>)<var><a name="index-bessely-1099"></a></var><br>
-&mdash; Loadable Function: [<var>i</var>, <var>ierr</var>] = <b>besseli</b> (<var>alpha, x, opt</var>)<var><a name="index-besseli-1100"></a></var><br>
-&mdash; Loadable Function: [<var>k</var>, <var>ierr</var>] = <b>besselk</b> (<var>alpha, x, opt</var>)<var><a name="index-besselk-1101"></a></var><br>
-&mdash; Loadable Function: [<var>h</var>, <var>ierr</var>] = <b>besselh</b> (<var>alpha, k, x, opt</var>)<var><a name="index-besselh-1102"></a></var><br>
+&mdash; Loadable Function: [<var>j</var>, <var>ierr</var>] = <b>besselj</b> (<var>alpha, x, opt</var>)<var><a name="index-besselj-1146"></a></var><br>
+&mdash; Loadable Function: [<var>y</var>, <var>ierr</var>] = <b>bessely</b> (<var>alpha, x, opt</var>)<var><a name="index-bessely-1147"></a></var><br>
+&mdash; Loadable Function: [<var>i</var>, <var>ierr</var>] = <b>besseli</b> (<var>alpha, x, opt</var>)<var><a name="index-besseli-1148"></a></var><br>
+&mdash; Loadable Function: [<var>k</var>, <var>ierr</var>] = <b>besselk</b> (<var>alpha, x, opt</var>)<var><a name="index-besselk-1149"></a></var><br>
+&mdash; Loadable Function: [<var>h</var>, <var>ierr</var>] = <b>besselh</b> (<var>alpha, k, x, opt</var>)<var><a name="index-besselh-1150"></a></var><br>
 <blockquote><p>Compute Bessel or Hankel functions of various kinds:
 
           <dl>
-<dt><code>besselj</code><dd>Bessel functions of the first kind. 
-<br><dt><code>bessely</code><dd>Bessel functions of the second kind. 
-<br><dt><code>besseli</code><dd>Modified Bessel functions of the first kind. 
-<br><dt><code>besselk</code><dd>Modified Bessel functions of the second kind. 
+<dt><code>besselj</code><dd>Bessel functions of the first kind. If the argument <var>opt</var> is supplied,
+the result is multiplied by <code>exp(-abs(imag(x)))</code>. 
+<br><dt><code>bessely</code><dd>Bessel functions of the second kind. If the argument <var>opt</var> is supplied,
+the result is multiplied by <code>exp(-abs(imag(x)))</code>. 
+<br><dt><code>besseli</code><dd>Modified Bessel functions of the first kind.  If the argument <var>opt</var> is supplied,
+the result is multiplied by <code>exp(-abs(real(x)))</code>. 
+<br><dt><code>besselk</code><dd>Modified Bessel functions of the second kind.  If the argument <var>opt</var> is supplied,
+the result is multiplied by <code>exp(x)</code>. 
 <br><dt><code>besselh</code><dd>Compute Hankel functions of the first (<var>k</var> = 1) or second (<var>k</var>
- = 2) kind. 
-</dl>
-
-        <p>If the argument <var>opt</var> is supplied, the result is scaled by the
+= 2) kind. If the argument <var>opt</var> is supplied, the result is multiplied by
 <code>exp (-I*</code><var>x</var><code>)</code> for <var>k</var> = 1 or <code>exp (I*</code><var>x</var><code>)</code> for
- <var>k</var> = 2.
+<var>k</var> = 2. 
+</dl>
 
         <p>If <var>alpha</var> is a scalar, the result is the same size as <var>x</var>. 
 If <var>x</var> is a scalar, the result is the same size as <var>alpha</var>. 
@@ -85,7 +87,7 @@ return <code>NaN</code>.
    <p><a name="doc_002dairy"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>a</var>, <var>ierr</var>] = <b>airy</b> (<var>k, z, opt</var>)<var><a name="index-airy-1103"></a></var><br>
+&mdash; Loadable Function: [<var>a</var>, <var>ierr</var>] = <b>airy</b> (<var>k, z, opt</var>)<var><a name="index-airy-1151"></a></var><br>
 <blockquote><p>Compute Airy functions of the first and second kind, and their
 derivatives.
 
@@ -119,7 +121,7 @@ return <code>NaN</code>.
    <p><a name="doc_002dbeta"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>beta</b> (<var>a, b</var>)<var><a name="index-beta-1104"></a></var><br>
+&mdash; Mapping Function:  <b>beta</b> (<var>a, b</var>)<var><a name="index-beta-1152"></a></var><br>
 <blockquote><p>Return the Beta function,
 
      <pre class="example">          beta (a, b) = gamma (a) * gamma (b) / gamma (a + b).
@@ -129,7 +131,7 @@ return <code>NaN</code>.
    <p><a name="doc_002dbetainc"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>betainc</b> (<var>x, a, b</var>)<var><a name="index-betainc-1105"></a></var><br>
+&mdash; Mapping Function:  <b>betainc</b> (<var>x, a, b</var>)<var><a name="index-betainc-1153"></a></var><br>
 <blockquote><p>Return the incomplete Beta function,
 
      <pre class="smallexample">                                                x
@@ -146,7 +148,7 @@ compatible dimensions. 
    <p><a name="doc_002dbetaln"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>betaln</b> (<var>a, b</var>)<var><a name="index-betaln-1106"></a></var><br>
+&mdash; Mapping Function:  <b>betaln</b> (<var>a, b</var>)<var><a name="index-betaln-1154"></a></var><br>
 <blockquote><p>Return the log of the Beta function,
 
      <pre class="example">          betaln (a, b) = gammaln (a) + gammaln (b) - gammaln (a + b)
@@ -160,7 +162,7 @@ compatible dimensions. 
    <p><a name="doc_002dbincoeff"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>bincoeff</b> (<var>n, k</var>)<var><a name="index-bincoeff-1107"></a></var><br>
+&mdash; Mapping Function:  <b>bincoeff</b> (<var>n, k</var>)<var><a name="index-bincoeff-1155"></a></var><br>
 <blockquote><p>Return the binomial coefficient of <var>n</var> and <var>k</var>, defined as
 
      <pre class="example">           /   \
@@ -179,7 +181,7 @@ compatible dimensions. 
    <p><a name="doc_002derf"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>erf</b> (<var>z</var>)<var><a name="index-erf-1108"></a></var><br>
+&mdash; Mapping Function:  <b>erf</b> (<var>z</var>)<var><a name="index-erf-1156"></a></var><br>
 <blockquote><p>Computes the error function,
 
      <pre class="smallexample">                                   z
@@ -197,7 +199,7 @@ compatible dimensions. 
    <p><a name="doc_002derfc"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>erfc</b> (<var>z</var>)<var><a name="index-erfc-1109"></a></var><br>
+&mdash; Mapping Function:  <b>erfc</b> (<var>z</var>)<var><a name="index-erfc-1157"></a></var><br>
 <blockquote><p>Computes the complementary error function,
 <code>1 - erf (</code><var>z</var><code>)</code>.
         <pre class="sp">
@@ -209,7 +211,7 @@ compatible dimensions. 
    <p><a name="doc_002derfinv"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>erfinv</b> (<var>z</var>)<var><a name="index-erfinv-1110"></a></var><br>
+&mdash; Mapping Function:  <b>erfinv</b> (<var>z</var>)<var><a name="index-erfinv-1158"></a></var><br>
 <blockquote><p>Computes the inverse of the error function.
         <pre class="sp">
      
@@ -220,7 +222,7 @@ compatible dimensions. 
    <p><a name="doc_002dgamma"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>gamma</b> (<var>z</var>)<var><a name="index-gamma-1111"></a></var><br>
+&mdash; Mapping Function:  <b>gamma</b> (<var>z</var>)<var><a name="index-gamma-1159"></a></var><br>
 <blockquote><p>Computes the Gamma function,
 
      <pre class="example">                      infinity
@@ -238,7 +240,7 @@ compatible dimensions. 
    <p><a name="doc_002dgammainc"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>gammainc</b> (<var>x, a</var>)<var><a name="index-gammainc-1112"></a></var><br>
+&mdash; Mapping Function:  <b>gammainc</b> (<var>x, a</var>)<var><a name="index-gammainc-1160"></a></var><br>
 <blockquote><p>Compute the normalized incomplete gamma function,
 
      <pre class="smallexample">                                          x
@@ -264,7 +266,7 @@ for each element of <var>x</var> and vic
    <p><a name="doc_002dlegendre"></a>
 
 <div class="defun">
-&mdash; Function File: <var>L</var> = <b>legendre</b> (<var>n, X</var>)<var><a name="index-legendre-1113"></a></var><br>
+&mdash; Function File: <var>L</var> = <b>legendre</b> (<var>n, X</var>)<var><a name="index-legendre-1161"></a></var><br>
 <blockquote>
         <p>Legendre Function of degree n and order m
 where all values for m = 0..<var>n</var> are returned. 
@@ -298,8 +300,8 @@ The return value has one dimension more 
    <p><a name="doc_002dlgamma"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>lgamma</b> (<var>x</var>)<var><a name="index-lgamma-1114"></a></var><br>
-&mdash; Mapping Function:  <b>gammaln</b> (<var>x</var>)<var><a name="index-gammaln-1115"></a></var><br>
+&mdash; Mapping Function:  <b>lgamma</b> (<var>x</var>)<var><a name="index-lgamma-1162"></a></var><br>
+&mdash; Mapping Function:  <b>gammaln</b> (<var>x</var>)<var><a name="index-gammaln-1163"></a></var><br>
 <blockquote><p>Return the natural logarithm of the absolute value of the gamma
 function of <var>x</var>.
         <pre class="sp">
@@ -311,7 +313,7 @@ function of <var>x</var>.
    <p><a name="doc_002dcross"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cross</b> (<var>x, y, dim</var>)<var><a name="index-cross-1116"></a></var><br>
+&mdash; Function File:  <b>cross</b> (<var>x, y, dim</var>)<var><a name="index-cross-1164"></a></var><br>
 <blockquote><p>Computes the vector cross product of the two 3-dimensional vectors
 <var>x</var> and <var>y</var>.
 
@@ -327,7 +329,7 @@ the dimension defined by <var>dim</var>.
    <p><a name="doc_002dcommutation_005fmatrix"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>commutation_matrix</b> (<var>m, n</var>)<var><a name="index-commutation_005fmatrix-1117"></a></var><br>
+&mdash; Function File:  <b>commutation_matrix</b> (<var>m, n</var>)<var><a name="index-commutation_005fmatrix-1165"></a></var><br>
 <blockquote><p>Return the commutation matrix
  K(m,n)
  which is the unique
@@ -350,7 +352,7 @@ applications in statistics and econometr
    <p><a name="doc_002dduplication_005fmatrix"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>duplication_matrix</b> (<var>n</var>)<var><a name="index-duplication_005fmatrix-1118"></a></var><br>
+&mdash; Function File:  <b>duplication_matrix</b> (<var>n</var>)<var><a name="index-duplication_005fmatrix-1166"></a></var><br>
 <blockquote><p>Return the duplication matrix
 Dn
  which is the unique
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Special-Utility-Matrices.html 1:3.0.5-6/doc/interpreter/HTML/Special-Utility-Matrices.html
--- 1:3.0.1-6/doc/interpreter/HTML/Special-Utility-Matrices.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Special-Utility-Matrices.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,9 +37,9 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002deye"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>eye</b> (<var>x</var>)<var><a name="index-eye-959"></a></var><br>
-&mdash; Built-in Function:  <b>eye</b> (<var>n, m</var>)<var><a name="index-eye-960"></a></var><br>
-&mdash; Built-in Function:  <b>eye</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-eye-961"></a></var><br>
+&mdash; Built-in Function:  <b>eye</b> (<var>x</var>)<var><a name="index-eye-1007"></a></var><br>
+&mdash; Built-in Function:  <b>eye</b> (<var>n, m</var>)<var><a name="index-eye-1008"></a></var><br>
+&mdash; Built-in Function:  <b>eye</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-eye-1009"></a></var><br>
 <blockquote><p>Return an identity matrix.  If invoked with a single scalar argument,
 <code>eye</code> returns a square matrix with the dimension specified.  If you
 supply two scalar arguments, <code>eye</code> takes them to be the number of
@@ -73,10 +73,10 @@ with <span class="sc">Matlab</span>. 
    <p><a name="doc_002dones"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>ones</b> (<var>x</var>)<var><a name="index-ones-962"></a></var><br>
-&mdash; Built-in Function:  <b>ones</b> (<var>n, m</var>)<var><a name="index-ones-963"></a></var><br>
-&mdash; Built-in Function:  <b>ones</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-ones-964"></a></var><br>
-&mdash; Built-in Function:  <b>ones</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-ones-965"></a></var><br>
+&mdash; Built-in Function:  <b>ones</b> (<var>x</var>)<var><a name="index-ones-1010"></a></var><br>
+&mdash; Built-in Function:  <b>ones</b> (<var>n, m</var>)<var><a name="index-ones-1011"></a></var><br>
+&mdash; Built-in Function:  <b>ones</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-ones-1012"></a></var><br>
+&mdash; Built-in Function:  <b>ones</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-ones-1013"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all 1. 
 The arguments are handled the same as the arguments for <code>eye</code>.
 
@@ -95,10 +95,10 @@ the specified type, for example
    <p><a name="doc_002dzeros"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>zeros</b> (<var>x</var>)<var><a name="index-zeros-966"></a></var><br>
-&mdash; Built-in Function:  <b>zeros</b> (<var>n, m</var>)<var><a name="index-zeros-967"></a></var><br>
-&mdash; Built-in Function:  <b>zeros</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-zeros-968"></a></var><br>
-&mdash; Built-in Function:  <b>zeros</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-zeros-969"></a></var><br>
+&mdash; Built-in Function:  <b>zeros</b> (<var>x</var>)<var><a name="index-zeros-1014"></a></var><br>
+&mdash; Built-in Function:  <b>zeros</b> (<var>n, m</var>)<var><a name="index-zeros-1015"></a></var><br>
+&mdash; Built-in Function:  <b>zeros</b> (<var>n, m, k, <small class="dots">...</small></var>)<var><a name="index-zeros-1016"></a></var><br>
+&mdash; Built-in Function:  <b>zeros</b> (<var><small class="dots">...</small>, class</var>)<var><a name="index-zeros-1017"></a></var><br>
 <blockquote><p>Return a matrix or N-dimensional array whose elements are all 0. 
 The arguments are handled the same as the arguments for <code>eye</code>.
 
@@ -112,9 +112,9 @@ the specified type, for example
    <p><a name="doc_002drepmat"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>repmat</b> (<var>A, m, n</var>)<var><a name="index-repmat-970"></a></var><br>
-&mdash; Function File:  <b>repmat</b> (<var>A, </var>[<var>m n</var>])<var><a name="index-repmat-971"></a></var><br>
-&mdash; Function File:  <b>repmat</b> (<var>A, </var>[<var>m n p ...</var>])<var><a name="index-repmat-972"></a></var><br>
+&mdash; Function File:  <b>repmat</b> (<var>A, m, n</var>)<var><a name="index-repmat-1018"></a></var><br>
+&mdash; Function File:  <b>repmat</b> (<var>A, </var>[<var>m n</var>])<var><a name="index-repmat-1019"></a></var><br>
+&mdash; Function File:  <b>repmat</b> (<var>A, </var>[<var>m n p ...</var>])<var><a name="index-repmat-1020"></a></var><br>
 <blockquote><p>Form a block matrix of size <var>m</var> by <var>n</var>, with a copy of matrix
 <var>A</var> as each element.  If <var>n</var> is not specified, form an
 <var>m</var> by <var>m</var> block matrix. 
@@ -123,10 +123,10 @@ the specified type, for example
    <p><a name="doc_002drand"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>rand</b> (<var>x</var>)<var><a name="index-rand-973"></a></var><br>
-&mdash; Loadable Function:  <b>rand</b> (<var>n, m</var>)<var><a name="index-rand-974"></a></var><br>
-&mdash; Loadable Function:  <b>rand</b> (<var>"state", x</var>)<var><a name="index-rand-975"></a></var><br>
-&mdash; Loadable Function:  <b>rand</b> (<var>"seed", x</var>)<var><a name="index-rand-976"></a></var><br>
+&mdash; Loadable Function:  <b>rand</b> (<var>x</var>)<var><a name="index-rand-1021"></a></var><br>
+&mdash; Loadable Function:  <b>rand</b> (<var>n, m</var>)<var><a name="index-rand-1022"></a></var><br>
+&mdash; Loadable Function:  <b>rand</b> (<var>"state", x</var>)<var><a name="index-rand-1023"></a></var><br>
+&mdash; Loadable Function:  <b>rand</b> (<var>"seed", x</var>)<var><a name="index-rand-1024"></a></var><br>
 <blockquote><p>Return a matrix with random elements uniformly distributed on the
 interval (0, 1).  The arguments are handled the same as the arguments
 for <code>eye</code>.
@@ -150,7 +150,7 @@ value of <var>v</var>, not <var>v</var> 
 available, otherwise from cpu time, wall clock time and the current
 fraction of a second.
 
-        <p>To compute the psuedo-random sequence, <code>rand</code> uses the Mersenne
+        <p>To compute the pseudo-random sequence, <code>rand</code> uses the Mersenne
 Twister with a period of 2^19937-1 (See M. Matsumoto and T. Nishimura,
 &ldquo;Mersenne Twister: A 623-dimensionally
 equidistributed uniform pseudorandom number generator&rdquo;, ACM Trans. on
@@ -189,12 +189,13 @@ keyword "state" should be used to reset 
    <p><a name="doc_002drandn"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>randn</b> (<var>x</var>)<var><a name="index-randn-977"></a></var><br>
-&mdash; Loadable Function:  <b>randn</b> (<var>n, m</var>)<var><a name="index-randn-978"></a></var><br>
-&mdash; Loadable Function:  <b>randn</b> (<var>"state", x</var>)<var><a name="index-randn-979"></a></var><br>
-&mdash; Loadable Function:  <b>randn</b> (<var>"seed", x</var>)<var><a name="index-randn-980"></a></var><br>
-<blockquote><p>Return a matrix with normally distributed random elements. The
-arguments are handled the same as the arguments for <code>rand</code>.
+&mdash; Loadable Function:  <b>randn</b> (<var>x</var>)<var><a name="index-randn-1025"></a></var><br>
+&mdash; Loadable Function:  <b>randn</b> (<var>n, m</var>)<var><a name="index-randn-1026"></a></var><br>
+&mdash; Loadable Function:  <b>randn</b> (<var>"state", x</var>)<var><a name="index-randn-1027"></a></var><br>
+&mdash; Loadable Function:  <b>randn</b> (<var>"seed", x</var>)<var><a name="index-randn-1028"></a></var><br>
+<blockquote><p>Return a matrix with normally distributed pseudo-random
+elements having zero mean and variance one. The arguments are
+handled the same as the arguments for <code>rand</code>.
 
         <p>By default, <code>randn</code> uses a Marsaglia and Tsang Ziggurat technique to
 transform from a uniform to a normal distribution. (G. Marsaglia and
@@ -211,10 +212,10 @@ J. Statistical Software, vol 5, 2000,
    <p><a name="doc_002drande"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>rande</b> (<var>x</var>)<var><a name="index-rande-981"></a></var><br>
-&mdash; Loadable Function:  <b>rande</b> (<var>n, m</var>)<var><a name="index-rande-982"></a></var><br>
-&mdash; Loadable Function:  <b>rande</b> (<var>"state", x</var>)<var><a name="index-rande-983"></a></var><br>
-&mdash; Loadable Function:  <b>rande</b> (<var>"seed", x</var>)<var><a name="index-rande-984"></a></var><br>
+&mdash; Loadable Function:  <b>rande</b> (<var>x</var>)<var><a name="index-rande-1029"></a></var><br>
+&mdash; Loadable Function:  <b>rande</b> (<var>n, m</var>)<var><a name="index-rande-1030"></a></var><br>
+&mdash; Loadable Function:  <b>rande</b> (<var>"state", x</var>)<var><a name="index-rande-1031"></a></var><br>
+&mdash; Loadable Function:  <b>rande</b> (<var>"seed", x</var>)<var><a name="index-rande-1032"></a></var><br>
 <blockquote><p>Return a matrix with exponentially distributed random elements. The
 arguments are handled the same as the arguments for <code>rand</code>.
 
@@ -232,10 +233,10 @@ J. Statistical Software, vol 5, 2000,
    <p><a name="doc_002drandp"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>randp</b> (<var>l, x</var>)<var><a name="index-randp-985"></a></var><br>
-&mdash; Loadable Function:  <b>randp</b> (<var>l, n, m</var>)<var><a name="index-randp-986"></a></var><br>
-&mdash; Loadable Function:  <b>randp</b> (<var>"state", x</var>)<var><a name="index-randp-987"></a></var><br>
-&mdash; Loadable Function:  <b>randp</b> (<var>"seed", x</var>)<var><a name="index-randp-988"></a></var><br>
+&mdash; Loadable Function:  <b>randp</b> (<var>l, x</var>)<var><a name="index-randp-1033"></a></var><br>
+&mdash; Loadable Function:  <b>randp</b> (<var>l, n, m</var>)<var><a name="index-randp-1034"></a></var><br>
+&mdash; Loadable Function:  <b>randp</b> (<var>"state", x</var>)<var><a name="index-randp-1035"></a></var><br>
+&mdash; Loadable Function:  <b>randp</b> (<var>"seed", x</var>)<var><a name="index-randp-1036"></a></var><br>
 <blockquote><p>Return a matrix with Poisson distributed random elements. The arguments
 are handled the same as the arguments for <code>rand</code>, except for the
 argument <var>l</var>.
@@ -249,7 +250,7 @@ and whether or not <var>l</var> is a sca
 <br><dt>For matrix <var>l</var> &lt;= 10, use inversion method.[2]<dd>Stadlober E., et al., WinRand source code, available via FTP. 
 <br><dt>For matrix <var>l</var> &gt; 10, use patchwork rejection method.<dd>Stadlober E., et al., WinRand source code, available via FTP, or
 H. Zechner, 'Efficient sampling from continuous and discrete
-unimodal distributions', Doctoral Dissertaion, 156pp., Technical
+unimodal distributions', Doctoral Dissertation, 156pp., Technical
 University Graz, Austria, 1994. 
 <br><dt>For <var>l</var> &gt; 1e8, use normal approximation.<dd>L. Montanet, et al., 'Review of Particle Properties', Physical Review
 D 50 p1284, 1994
@@ -264,10 +265,10 @@ D 50 p1284, 1994
    <p><a name="doc_002drandg"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>randg</b> (<var>a, x</var>)<var><a name="index-randg-989"></a></var><br>
-&mdash; Loadable Function:  <b>randg</b> (<var>a, n, m</var>)<var><a name="index-randg-990"></a></var><br>
-&mdash; Loadable Function:  <b>randg</b> (<var>"state", x</var>)<var><a name="index-randg-991"></a></var><br>
-&mdash; Loadable Function:  <b>randg</b> (<var>"seed", x</var>)<var><a name="index-randg-992"></a></var><br>
+&mdash; Loadable Function:  <b>randg</b> (<var>a, x</var>)<var><a name="index-randg-1037"></a></var><br>
+&mdash; Loadable Function:  <b>randg</b> (<var>a, n, m</var>)<var><a name="index-randg-1038"></a></var><br>
+&mdash; Loadable Function:  <b>randg</b> (<var>"state", x</var>)<var><a name="index-randg-1039"></a></var><br>
+&mdash; Loadable Function:  <b>randg</b> (<var>"seed", x</var>)<var><a name="index-randg-1040"></a></var><br>
 <blockquote><p>Return a matrix with <code>gamma(</code><var>a</var><code>,1)</code> distributed random elements. 
 The arguments are handled the same as the arguments for <code>rand</code>,
 except for the argument <var>a</var>.
@@ -358,7 +359,7 @@ Houston, TX 77030.
    <p><a name="doc_002drandperm"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>randperm</b> (<var>n</var>)<var><a name="index-randperm-993"></a></var><br>
+&mdash; Function File:  <b>randperm</b> (<var>n</var>)<var><a name="index-randperm-1041"></a></var><br>
 <blockquote><p>Return a row vector containing a random permutation of the
 integers from 1 to <var>n</var>. 
 </p></blockquote></div>
@@ -366,7 +367,7 @@ integers from 1 to <var>n</var>. 
    <p><a name="doc_002ddiag"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>diag</b> (<var>v, k</var>)<var><a name="index-diag-994"></a></var><br>
+&mdash; Built-in Function:  <b>diag</b> (<var>v, k</var>)<var><a name="index-diag-1042"></a></var><br>
 <blockquote><p>Return a diagonal matrix with vector <var>v</var> on diagonal <var>k</var>.  The
 second argument is optional.  If it is positive, the vector is placed on
 the <var>k</var>-th super-diagonal.  If it is negative, it is placed on the
@@ -390,7 +391,7 @@ See <a href="Ranges.html#Ranges">Ranges<
    <p><a name="doc_002dlinspace"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>linspace</b> (<var>base, limit, n</var>)<var><a name="index-linspace-995"></a></var><br>
+&mdash; Built-in Function:  <b>linspace</b> (<var>base, limit, n</var>)<var><a name="index-linspace-1043"></a></var><br>
 <blockquote><p>Return a row vector with <var>n</var> linearly spaced elements between
 <var>base</var> and <var>limit</var>.  If the number of elements is greater than one,
 then the <var>base</var> and <var>limit</var> are always included in
@@ -407,7 +408,7 @@ fewer than two values are requested. 
    <p><a name="doc_002dlogspace"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>logspace</b> (<var>base, limit, n</var>)<var><a name="index-logspace-996"></a></var><br>
+&mdash; Function File:  <b>logspace</b> (<var>base, limit, n</var>)<var><a name="index-logspace-1044"></a></var><br>
 <blockquote><p>Similar to <code>linspace</code> except that the values are logarithmically
 spaced from
 10^base to 10^limit.
Binary files 1:3.0.1-6/doc/interpreter/HTML/spmatrix.png and 1:3.0.5-6/doc/interpreter/HTML/spmatrix.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/ss2sys.html 1:3.0.5-6/doc/interpreter/HTML/ss2sys.html
--- 1:3.0.1-6/doc/interpreter/HTML/ss2sys.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/ss2sys.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dss"></a>
 
 <div class="defun">
-&mdash; Function File: <var>outsys</var> = <b>ss</b> (<var>a, b, c, d, tsam, n, nz, stname, inname, outname, outlist</var>)<var><a name="index-ss-1671"></a></var><br>
+&mdash; Function File: <var>outsys</var> = <b>ss</b> (<var>a, b, c, d, tsam, n, nz, stname, inname, outname, outlist</var>)<var><a name="index-ss-1733"></a></var><br>
 <blockquote><p>Create system structure from state-space data.   May be continuous,
 discrete, or mixed (sampled data)
 
@@ -172,7 +172,7 @@ since none were given. 
    <p><a name="doc_002dss2sys"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ss2sys</b> (<var>a, b, c, d, tsam, n, nz, stname, inname, outname, outlist</var>)<var><a name="index-ss2sys-1672"></a></var><br>
+&mdash; Function File:  <b>ss2sys</b> (<var>a, b, c, d, tsam, n, nz, stname, inname, outname, outlist</var>)<var><a name="index-ss2sys-1734"></a></var><br>
 <blockquote><p>Create system structure from state-space data.   May be continuous,
 discrete, or mixed (sampled data)
 
@@ -305,7 +305,7 @@ since none were given. 
    <p><a name="doc_002dsys2ss"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>, <var>tsam</var>, <var>n</var>, <var>nz</var>, <var>stname</var>, <var>inname</var>, <var>outname</var>, <var>yd</var>] = <b>sys2ss</b> (<var>sys</var>)<var><a name="index-sys2ss-1673"></a></var><br>
+&mdash; Function File: [<var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>, <var>tsam</var>, <var>n</var>, <var>nz</var>, <var>stname</var>, <var>inname</var>, <var>outname</var>, <var>yd</var>] = <b>sys2ss</b> (<var>sys</var>)<var><a name="index-sys2ss-1735"></a></var><br>
 <blockquote><p>Extract state space representation from system data structure.
 
         <p><strong>Input</strong>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Standalone-Programs.html 1:3.0.5-6/doc/interpreter/HTML/Standalone-Programs.html
--- 1:3.0.1-6/doc/interpreter/HTML/Standalone-Programs.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Standalone-Programs.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,8 +38,8 @@ array and matrix classes as well as to a
 following C++ program, uses class Matrix from liboctave.a or
 liboctave.so.
 
-<pre class="example">     #include &lt;iostream&gt;
-     #include &lt;octave/oct.h&gt;
+<pre class="example"><pre class="verbatim">     #include &lt;iostream>
+     #include &lt;octave/oct.h>
      int
      main (void)
      {
@@ -57,20 +57,78 @@ liboctave.so.
        return 0;
      }
 </pre>
+</pre>
    <p class="noindent">mkoctfile can then be used to build a standalone application with a
 command like
 
-<pre class="example">     $ mkoctfile --link-stand-alone hello.cc -o hello
-     $ ./hello
+<pre class="example">     $ mkoctfile --link-stand-alone standalone.cc -o standalone
+     $ ./standalone
      Hello Octave world!
        11 12
        21 22
      $
 </pre>
    <p>Note that the application <code>hello</code> will be dynamically linked
-against the octave libraries and any octave support libraries.
+against the octave libraries and any octave support libraries. The above
+allows the Octave math libraries to be used by an application. It does
+not however allow the script files, oct-files or builtin functions of
+Octave to be used by the application. To do that the Octave interpreter
+needs to be initialized first. An example of how to do this can then be
+seen in the code
+
+<pre class="example"><pre class="verbatim">     #include &lt;iostream>
+     #include &lt;octave/oct.h>
+     #include &lt;octave/octave.h>
+     #include &lt;octave/parse.h>
+     int
+     main (void)
+     {
+       string_vector argv (2);
+       argv(0) = "embedded";
+       argv(1) = "-q";
+     
+       octave_main (2, argv.c_str_vec(), 1);
+     
+       octave_idx_type n = 2;
+       Matrix a_matrix = Matrix (1, 2);
+     
+       std::cout &lt;&lt; "GCD of [";
+       for (octave_idx_type i = 0; i &lt; n; i++)
+         {
+           a_matrix (i) = 5 * (i + 1); 
+           if (i != 0)
+     	std::cout &lt;&lt; ", " &lt;&lt; 5 * (i + 2);
+           else
+     	std::cout &lt;&lt; 5 * (i + 2);
+         }
+       std::cout &lt;&lt; "] is ";
+     
+       octave_value_list in = octave_value (a_matrix);
+       octave_value_list out = feval ("gcd", in, 1);
+     
+       if (!error_state &amp;&amp; out.length () > 0)
+         {
+           a_matrix = out(0).matrix_value ();
+           if (a_matrix.numel () == 1)
+     	std::cout &lt;&lt; a_matrix(0) &lt;&lt; "\n";
+           else
+     	std::cout &lt;&lt; "invalid\n";
+         }
+       else
+         std::cout &lt;&lt; "invalid\n";
+     
+       return 0;
+     }
+</pre>
+</pre>
+   <p class="noindent">which is compiled and run as before as a standalone application with
 
-<!-- DO NOT EDIT!  Generated automatically by munge-texi. -->
+<pre class="example">     $ mkoctfile --link-stand-alone embedded.cc -o embedded
+     $ ./embedded
+     GCD of [10, 15] is 5
+     $
+</pre>
+   <!-- DO NOT EDIT!  Generated automatically by munge-texi. -->
 <!-- Copyright (C) 2005, 2007 David Bateman -->
 <!-- Copyright (C) 2002, 2003, 2004, 2005 Paul Kienzle -->
 <!-- This file is part of Octave. -->
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Statistical-Plots.html 1:3.0.5-6/doc/interpreter/HTML/Statistical-Plots.html
--- 1:3.0.1-6/doc/interpreter/HTML/Statistical-Plots.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Statistical-Plots.html	2009-04-07 11:11:40.000000000 +0100
@@ -47,7 +47,7 @@ using the <code>hist</code> function as 
    <p><a name="doc_002dqqplot"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>q</var>, <var>s</var>] = <b>qqplot</b> (<var>x, dist, params</var>)<var><a name="index-qqplot-1413"></a></var><br>
+&mdash; Function File: [<var>q</var>, <var>s</var>] = <b>qqplot</b> (<var>x, dist, params</var>)<var><a name="index-qqplot-1466"></a></var><br>
 <blockquote><p>Perform a QQ-plot (quantile plot).
 
         <p>If F is the CDF of the distribution <var>dist</var> with parameters
@@ -75,7 +75,7 @@ that calculates the inverse CDF of distr
    <p><a name="doc_002dppplot"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>p</var>, <var>y</var>] = <b>ppplot</b> (<var>x, dist, params</var>)<var><a name="index-ppplot-1414"></a></var><br>
+&mdash; Function File: [<var>p</var>, <var>y</var>] = <b>ppplot</b> (<var>x, dist, params</var>)<var><a name="index-ppplot-1467"></a></var><br>
 <blockquote><p>Perform a PP-plot (probability plot).
 
         <p>If F is the CDF of the distribution <var>dist</var> with parameters
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Status-of-Variables.html 1:3.0.5-6/doc/interpreter/HTML/Status-of-Variables.html
--- 1:3.0.1-6/doc/interpreter/HTML/Status-of-Variables.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Status-of-Variables.html	2009-04-07 11:11:39.000000000 +0100
@@ -226,7 +226,7 @@ from the symbol table.
 <br><dt><code>-global, -g</code><dd>Clears the global symbol names. 
 <br><dt><code>-variables, -v</code><dd>Clears the local variable names. 
 </dl>
-        With the execption of <code>exclusive</code>, all long options can be used
+        With the exception of <code>exclusive</code>, all long options can be used
 without the dash as well. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/structaccess.html 1:3.0.5-6/doc/interpreter/HTML/structaccess.html
--- 1:3.0.1-6/doc/interpreter/HTML/structaccess.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/structaccess.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,14 +35,14 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dsyschnames"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>syschnames</b> (<var>sys, opt, list, names</var>)<var><a name="index-syschnames-1680"></a></var><br>
+&mdash; Function File:  <b>syschnames</b> (<var>sys, opt, list, names</var>)<var><a name="index-syschnames-1742"></a></var><br>
 <blockquote><p>Superseded by <samp><span class="command">syssetsignals</span></samp>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dsyschtsam"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>syschtsam</b> (<var>sys, tsam</var>)<var><a name="index-syschtsam-1681"></a></var><br>
+&mdash; Function File:  <b>syschtsam</b> (<var>sys, tsam</var>)<var><a name="index-syschtsam-1743"></a></var><br>
 <blockquote><p>This function changes the sampling time (tsam) of the system.  Exits with
 an error if sys is purely continuous time. 
 </p></blockquote></div>
@@ -50,7 +50,7 @@ an error if sys is purely continuous tim
    <p><a name="doc_002dsysdimensions"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>n</var>, <var>nz</var>, <var>m</var>, <var>p</var>, <var>yd</var>] = <b>sysdimensions</b> (<var>sys, opt</var>)<var><a name="index-sysdimensions-1682"></a></var><br>
+&mdash; Function File: [<var>n</var>, <var>nz</var>, <var>m</var>, <var>p</var>, <var>yd</var>] = <b>sysdimensions</b> (<var>sys, opt</var>)<var><a name="index-sysdimensions-1744"></a></var><br>
 <blockquote><p>return the number of states, inputs, and/or outputs in the system
 <var>sys</var>.
 
@@ -93,9 +93,9 @@ yd(ii) = 0 if output <var>ii</var> is co
    <p><a name="doc_002dsysgetsignals"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>stname</var>, <var>inname</var>, <var>outname</var>, <var>yd</var>] = <b>sysgetsignals</b> (<var>sys</var>)<var><a name="index-sysgetsignals-1683"></a></var><br>
-&mdash; Function File: <var>siglist</var> = <b>sysgetsignals</b> (<var>sys, sigid</var>)<var><a name="index-sysgetsignals-1684"></a></var><br>
-&mdash; Function File: <var>signame</var> = <b>sysgetsignals</b> (<var>sys, sigid, signum, strflg</var>)<var><a name="index-sysgetsignals-1685"></a></var><br>
+&mdash; Function File: [<var>stname</var>, <var>inname</var>, <var>outname</var>, <var>yd</var>] = <b>sysgetsignals</b> (<var>sys</var>)<var><a name="index-sysgetsignals-1745"></a></var><br>
+&mdash; Function File: <var>siglist</var> = <b>sysgetsignals</b> (<var>sys, sigid</var>)<var><a name="index-sysgetsignals-1746"></a></var><br>
+&mdash; Function File: <var>signame</var> = <b>sysgetsignals</b> (<var>sys, sigid, signum, strflg</var>)<var><a name="index-sysgetsignals-1747"></a></var><br>
 <blockquote><p>Get signal names from a system
 
         <p><strong>Inputs</strong>
@@ -200,7 +200,7 @@ or continuous (<var>sigval</var>=0). 
    <p><a name="doc_002dsysgettype"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysgettype</b> (<var>sys</var>)<var><a name="index-sysgettype-1686"></a></var><br>
+&mdash; Function File:  <b>sysgettype</b> (<var>sys</var>)<var><a name="index-sysgettype-1748"></a></var><br>
 <blockquote><p>return the initial system type of the system
 
         <p><strong>Input</strong>
@@ -220,7 +220,7 @@ constructed. Values: <code>"ss"</code>, 
    <p><a name="doc_002dsyssetsignals"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>syssetsignals</b> (<var>sys, opt, names, sig_idx</var>)<var><a name="index-syssetsignals-1687"></a></var><br>
+&mdash; Function File:  <b>syssetsignals</b> (<var>sys, opt, names, sig_idx</var>)<var><a name="index-syssetsignals-1749"></a></var><br>
 <blockquote><p>change the names of selected inputs, outputs and states.
 
         <p><strong>Inputs</strong>
@@ -285,7 +285,7 @@ states whose respective names/values sho
    <p><a name="doc_002dsysupdate"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysupdate</b> (<var>sys, opt</var>)<var><a name="index-sysupdate-1688"></a></var><br>
+&mdash; Function File:  <b>sysupdate</b> (<var>sys, opt</var>)<var><a name="index-sysupdate-1750"></a></var><br>
 <blockquote><p>Update the internal representation of a system.
 
         <p><strong>Inputs</strong>
@@ -317,7 +317,7 @@ mixed continuous/digital.
    <p><a name="doc_002dminfo"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>systype</var>, <var>nout</var>, <var>nin</var>, <var>ncstates</var>, <var>ndstates</var>] = <b>minfo</b> (<var>inmat</var>)<var><a name="index-minfo-1689"></a></var><br>
+&mdash; Function File: [<var>systype</var>, <var>nout</var>, <var>nin</var>, <var>ncstates</var>, <var>ndstates</var>] = <b>minfo</b> (<var>inmat</var>)<var><a name="index-minfo-1751"></a></var><br>
 <blockquote><p>Determines the type of system matrix.  <var>inmat</var> can be a varying,
 a system, a constant, and an empty matrix.
 
@@ -334,7 +334,7 @@ a system, a constant, and an empty matri
    <p><a name="doc_002dsysgettsam"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysgettsam</b> (<var>sys</var>)<var><a name="index-sysgettsam-1690"></a></var><br>
+&mdash; Function File:  <b>sysgettsam</b> (<var>sys</var>)<var><a name="index-sysgettsam-1752"></a></var><br>
 <blockquote><p>Return the sampling time of the system <var>sys</var>. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Summary-of-Built_002din-Variables.html 1:3.0.5-6/doc/interpreter/HTML/Summary-of-Built_002din-Variables.html
--- 1:3.0.1-6/doc/interpreter/HTML/Summary-of-Built_002din-Variables.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Summary-of-Built_002din-Variables.html	2009-04-07 11:11:39.000000000 +0100
@@ -40,7 +40,7 @@ cross references to additional informati
 the following table <var>octave-home</var> stands for the root directory
 where all of Octave is installed (the default is <samp><span class="file">/usr/local</span></samp>,
 <var>version</var> stands for the Octave version number (for example,
-3.0.1) and <var>arch</var> stands for the type of system for which
+3.0.5) and <var>arch</var> stands for the type of system for which
 Octave was compiled (for example, <code>x86_64-unknown-linux-gnu</code>).
 
      <dl>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Sums-and-Products.html 1:3.0.5-6/doc/interpreter/HTML/Sums-and-Products.html
--- 1:3.0.1-6/doc/interpreter/HTML/Sums-and-Products.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Sums-and-Products.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,8 +37,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dsum"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>sum</b> (<var>x, dim</var>)<var><a name="index-sum-1090"></a></var><br>
-&mdash; Built-in Function:  <b>sum</b> (<var><small class="dots">...</small>, 'native'</var>)<var><a name="index-sum-1091"></a></var><br>
+&mdash; Built-in Function:  <b>sum</b> (<var>x, dim</var>)<var><a name="index-sum-1138"></a></var><br>
+&mdash; Built-in Function:  <b>sum</b> (<var><small class="dots">...</small>, 'native'</var>)<var><a name="index-sum-1139"></a></var><br>
 <blockquote><p>Sum of elements along dimension <var>dim</var>.  If <var>dim</var> is
 omitted, it defaults to 1 (column-wise sum).
 
@@ -59,7 +59,7 @@ double type. For example
    <p><a name="doc_002dprod"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>prod</b> (<var>x, dim</var>)<var><a name="index-prod-1092"></a></var><br>
+&mdash; Built-in Function:  <b>prod</b> (<var>x, dim</var>)<var><a name="index-prod-1140"></a></var><br>
 <blockquote><p>Product of elements along dimension <var>dim</var>.  If <var>dim</var> is
 omitted, it defaults to 1 (column-wise products).
 
@@ -70,7 +70,7 @@ return the product of the elements. 
    <p><a name="doc_002dcumsum"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>cumsum</b> (<var>x, dim</var>)<var><a name="index-cumsum-1093"></a></var><br>
+&mdash; Built-in Function:  <b>cumsum</b> (<var>x, dim</var>)<var><a name="index-cumsum-1141"></a></var><br>
 <blockquote><p>Cumulative sum of elements along dimension <var>dim</var>.  If <var>dim</var>
 is omitted, it defaults to 1 (column-wise cumulative sums).
 
@@ -82,7 +82,7 @@ same orientation as <var>x</var>. 
    <p><a name="doc_002dcumprod"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>cumprod</b> (<var>x, dim</var>)<var><a name="index-cumprod-1094"></a></var><br>
+&mdash; Built-in Function:  <b>cumprod</b> (<var>x, dim</var>)<var><a name="index-cumprod-1142"></a></var><br>
 <blockquote><p>Cumulative product of elements along dimension <var>dim</var>.  If
 <var>dim</var> is omitted, it defaults to 1 (column-wise cumulative
 products).
@@ -95,7 +95,7 @@ same orientation as <var>x</var>. 
    <p><a name="doc_002dsumsq"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>sumsq</b> (<var>x, dim</var>)<var><a name="index-sumsq-1095"></a></var><br>
+&mdash; Built-in Function:  <b>sumsq</b> (<var>x, dim</var>)<var><a name="index-sumsq-1143"></a></var><br>
 <blockquote><p>Sum of squares of elements along dimension <var>dim</var>.  If <var>dim</var>
 is omitted, it defaults to 1 (column-wise sum of squares).
 
@@ -111,8 +111,8 @@ return the sum of squares of the element
    <p><a name="doc_002daccumarray"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>accumarray</b> (<var>subs, vals, sz, fun, fillval, issparse</var>)<var><a name="index-accumarray-1096"></a></var><br>
-&mdash; Function File:  <b>accumarray</b> (<var>csubs, vals, <small class="dots">...</small></var>)<var><a name="index-accumarray-1097"></a></var><br>
+&mdash; Function File:  <b>accumarray</b> (<var>subs, vals, sz, fun, fillval, issparse</var>)<var><a name="index-accumarray-1144"></a></var><br>
+&mdash; Function File:  <b>accumarray</b> (<var>csubs, vals, <small class="dots">...</small></var>)<var><a name="index-accumarray-1145"></a></var><br>
 <blockquote>
         <p>Create an array by accumulating the elements of a vector into the
 positions defined by their subscripts. The subscripts are defined by
@@ -129,7 +129,7 @@ function. This should be a function or f
 column vector and returns a scalar. The result of the function should not
 depend on the order of the subscripts.
 
-        <p>The elements of the returned array that have no subscripts assoicated with
+        <p>The elements of the returned array that have no subscripts associated with
 them are set to zero. Defining <var>fillval</var> to some other value allows
 these values to be defined.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Surface-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Surface-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Surface-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Surface-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -32,6 +32,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.8 Surface Properties</h5>
 
+<p><a name="index-surface-properties-941"></a>
      <dl>
 <dt><code>xdata</code><dt><code>ydata</code><dt><code>zdata</code><dd>The data determining the surface.  The <code>xdata</code> and <code>ydata</code>
 elements are vectors and <code>zdata</code> must be a matrix.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/sysdisp.html 1:3.0.5-6/doc/interpreter/HTML/sysdisp.html
--- 1:3.0.1-6/doc/interpreter/HTML/sysdisp.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/sysdisp.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dsysout"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysout</b> (<var>sys, opt</var>)<var><a name="index-sysout-1691"></a></var><br>
+&mdash; Function File:  <b>sysout</b> (<var>sys, opt</var>)<var><a name="index-sysout-1753"></a></var><br>
 <blockquote><p>print out a system data structure in desired format
           <dl>
 <dt><var>sys</var><dd>system data structure
@@ -55,7 +55,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
    <p><a name="doc_002dtfout"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tfout</b> (<var>num, denom, x</var>)<var><a name="index-tfout-1692"></a></var><br>
+&mdash; Function File:  <b>tfout</b> (<var>num, denom, x</var>)<var><a name="index-tfout-1754"></a></var><br>
 <blockquote><p>Print formatted transfer function n(s)/d(s) to the screen. 
 <var>x</var> defaults to the string <code>"s"</code>
         <pre class="sp">
@@ -68,7 +68,7 @@ filter, polyderiv, polyinteg, polyout. 
    <p><a name="doc_002dzpout"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>zpout</b> (<var>zer, pol, k, x</var>)<var><a name="index-zpout-1693"></a></var><br>
+&mdash; Function File:  <b>zpout</b> (<var>zer, pol, k, x</var>)<var><a name="index-zpout-1755"></a></var><br>
 <blockquote><p>print formatted zero-pole form to the screen. 
 <var>x</var> defaults to the string <code>"s"</code>
         <pre class="sp">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/sysfreq.html 1:3.0.5-6/doc/interpreter/HTML/sysfreq.html
--- 1:3.0.1-6/doc/interpreter/HTML/sysfreq.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/sysfreq.html	2009-04-07 11:11:40.000000000 +0100
@@ -38,14 +38,14 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <a name="doc_002dfrdemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>frdemo</b> ()<var><a name="index-frdemo-1765"></a></var><br>
+&mdash; Function File:  <b>frdemo</b> ()<var><a name="index-frdemo-1827"></a></var><br>
 <blockquote><p>Octave Control Toolbox demo: Frequency Response demo. 
 </p></blockquote></div>
 
    <p><a name="doc_002dbode"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>mag</var>, <var>phase</var>, <var>w</var>] = <b>bode</b> (<var>sys, w, out_idx, in_idx</var>)<var><a name="index-bode-1766"></a></var><br>
+&mdash; Function File: [<var>mag</var>, <var>phase</var>, <var>w</var>] = <b>bode</b> (<var>sys, w, out_idx, in_idx</var>)<var><a name="index-bode-1828"></a></var><br>
 <blockquote><p>If no output arguments are given: produce Bode plots of a system; otherwise,
 compute the frequency response of a system data structure
 
@@ -112,7 +112,7 @@ and phase information is not computed.
    <p><a name="doc_002dbode_005fbounds"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>wmin</var>, <var>wmax</var>] = <b>bode_bounds</b> (<var>zer, pol, dflg, tsam</var>)<var><a name="index-bode_005fbounds-1767"></a></var><br>
+&mdash; Function File: [<var>wmin</var>, <var>wmax</var>] = <b>bode_bounds</b> (<var>zer, pol, dflg, tsam</var>)<var><a name="index-bode_005fbounds-1829"></a></var><br>
 <blockquote><p>Get default range of frequencies based on cutoff frequencies of system
 poles and zeros. 
 Frequency range is the interval
@@ -124,7 +124,7 @@ Frequency range is the interval
    <p><a name="doc_002dfreqchkw"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>freqchkw</b> (<var>w</var>)<var><a name="index-freqchkw-1768"></a></var><br>
+&mdash; Function File:  <b>freqchkw</b> (<var>w</var>)<var><a name="index-freqchkw-1830"></a></var><br>
 <blockquote><p>Used by <samp><span class="command">__freqresp__</span></samp> to check that input frequency vector <var>w</var>
 is valid. 
 Returns boolean value. 
@@ -133,8 +133,8 @@ Returns boolean value. 
    <p><a name="doc_002dltifr"></a>
 
 <div class="defun">
-&mdash; Function File: <var>out</var> = <b>ltifr</b> (<var>a, b, w</var>)<var><a name="index-ltifr-1769"></a></var><br>
-&mdash; Function File: <var>out</var> = <b>ltifr</b> (<var>sys, w</var>)<var><a name="index-ltifr-1770"></a></var><br>
+&mdash; Function File: <var>out</var> = <b>ltifr</b> (<var>a, b, w</var>)<var><a name="index-ltifr-1831"></a></var><br>
+&mdash; Function File: <var>out</var> = <b>ltifr</b> (<var>sys, w</var>)<var><a name="index-ltifr-1832"></a></var><br>
 <blockquote><p>Linear time invariant frequency response of single-input systems.
 
         <p><strong>Inputs</strong>
@@ -157,8 +157,8 @@ Returns boolean value. 
    <p><a name="doc_002dnyquist"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>realp</var>, <var>imagp</var>, <var>w</var>] = <b>nyquist</b> (<var>sys, w, out_idx, in_idx, atol</var>)<var><a name="index-nyquist-1771"></a></var><br>
-&mdash; Function File:  <b>nyquist</b> (<var>sys, w, out_idx, in_idx, atol</var>)<var><a name="index-nyquist-1772"></a></var><br>
+&mdash; Function File: [<var>realp</var>, <var>imagp</var>, <var>w</var>] = <b>nyquist</b> (<var>sys, w, out_idx, in_idx, atol</var>)<var><a name="index-nyquist-1833"></a></var><br>
+&mdash; Function File:  <b>nyquist</b> (<var>sys, w, out_idx, in_idx, atol</var>)<var><a name="index-nyquist-1834"></a></var><br>
 <blockquote><p>Produce Nyquist plots of a system; if no output arguments are given, Nyquist
 plot is printed to the screen.
 
@@ -211,7 +211,7 @@ only; phase information is not computed.
    <p><a name="doc_002dnichols"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>mag</var>, <var>phase</var>, <var>w</var>] = <b>nichols</b> (<var>sys, w, outputs, inputs</var>)<var><a name="index-nichols-1773"></a></var><br>
+&mdash; Function File: [<var>mag</var>, <var>phase</var>, <var>w</var>] = <b>nichols</b> (<var>sys, w, outputs, inputs</var>)<var><a name="index-nichols-1835"></a></var><br>
 <blockquote><p>Produce Nichols plot of a system.
 
         <p><strong>Inputs</strong>
@@ -257,8 +257,8 @@ and phase information is not computed. 
    <p><a name="doc_002dtzero"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>zer</var>, <var>gain</var>] = <b>tzero</b> (<var>a, b, c, d, opt</var>)<var><a name="index-tzero-1774"></a></var><br>
-&mdash; Function File: [<var>zer</var>, <var>gain</var>] = <b>tzero</b> (<var>sys, opt</var>)<var><a name="index-tzero-1775"></a></var><br>
+&mdash; Function File: [<var>zer</var>, <var>gain</var>] = <b>tzero</b> (<var>a, b, c, d, opt</var>)<var><a name="index-tzero-1836"></a></var><br>
+&mdash; Function File: [<var>zer</var>, <var>gain</var>] = <b>tzero</b> (<var>sys, opt</var>)<var><a name="index-tzero-1837"></a></var><br>
 <blockquote><p>Compute transmission zeros of a continuous system:
      <pre class="example">          .
           x = Ax + Bu
@@ -284,7 +284,7 @@ returns gain=0 if system is multivariabl
    <p><a name="doc_002dtzero2"></a>
 
 <div class="defun">
-&mdash; Function File: <var>zr</var> = <b>tzero2</b> (<var>a, b, c, d, bal</var>)<var><a name="index-tzero2-1776"></a></var><br>
+&mdash; Function File: <var>zr</var> = <b>tzero2</b> (<var>a, b, c, d, bal</var>)<var><a name="index-tzero2-1838"></a></var><br>
 <blockquote><p>Compute the transmission zeros of <var>a</var>, <var>b</var>, <var>c</var>, <var>d</var>.
 
         <p><var>bal</var> = balancing option (see balance); default is <code>"B"</code>.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/sysprop.html 1:3.0.5-6/doc/interpreter/HTML/sysprop.html
--- 1:3.0.1-6/doc/interpreter/HTML/sysprop.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/sysprop.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,14 +37,14 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002danaldemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>analdemo</b> ()<var><a name="index-analdemo-1731"></a></var><br>
+&mdash; Function File:  <b>analdemo</b> ()<var><a name="index-analdemo-1793"></a></var><br>
 <blockquote><p>Octave Controls toolbox demo: State Space analysis demo
 </p></blockquote></div>
 
    <p><a name="doc_002dabcddim"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>n</var>, <var>m</var>, <var>p</var>] = <b>abcddim</b> (<var>a, b, c, d</var>)<var><a name="index-abcddim-1732"></a></var><br>
+&mdash; Function File: [<var>n</var>, <var>m</var>, <var>p</var>] = <b>abcddim</b> (<var>a, b, c, d</var>)<var><a name="index-abcddim-1794"></a></var><br>
 <blockquote><p>Check for compatibility of the dimensions of the matrices defining
 the linear system
 [A, B, C, D] corresponding to
@@ -76,8 +76,8 @@ the linear system
    <p><a name="doc_002dctrb"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ctrb</b> (<var>sys, b</var>)<var><a name="index-ctrb-1733"></a></var><br>
-&mdash; Function File:  <b>ctrb</b> (<var>a, b</var>)<var><a name="index-ctrb-1734"></a></var><br>
+&mdash; Function File:  <b>ctrb</b> (<var>sys, b</var>)<var><a name="index-ctrb-1795"></a></var><br>
+&mdash; Function File:  <b>ctrb</b> (<var>a, b</var>)<var><a name="index-ctrb-1796"></a></var><br>
 <blockquote><p>Build controllability matrix:
      <pre class="example">                       2       n-1
           Qs = [ B AB A B ... A   B ]
@@ -92,7 +92,7 @@ are much better for controllability test
    <p><a name="doc_002dh2norm"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>h2norm</b> (<var>sys</var>)<var><a name="index-h2norm-1735"></a></var><br>
+&mdash; Function File:  <b>h2norm</b> (<var>sys</var>)<var><a name="index-h2norm-1797"></a></var><br>
 <blockquote><p>Computes the
 H-2
 norm of a system data structure (continuous time only).
@@ -106,7 +106,7 @@ Doyle, Glover, Khargonekar, Francis, <ci
    <p><a name="doc_002dhinfnorm"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>g</var>, <var>gmin</var>, <var>gmax</var>] = <b>hinfnorm</b> (<var>sys, tol, gmin, gmax, ptol</var>)<var><a name="index-hinfnorm-1736"></a></var><br>
+&mdash; Function File: [<var>g</var>, <var>gmin</var>, <var>gmax</var>] = <b>hinfnorm</b> (<var>sys, tol, gmin, gmax, ptol</var>)<var><a name="index-hinfnorm-1798"></a></var><br>
 <blockquote><p>Computes the
 H-infinity
 norm of a system data structure.
@@ -154,8 +154,8 @@ Zhou, Doyle, Glover, <cite>Robust and Op
    <p><a name="doc_002dobsv"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>obsv</b> (<var>sys, c</var>)<var><a name="index-obsv-1737"></a></var><br>
-&mdash; Function File:  <b>obsv</b> (<var>a, c</var>)<var><a name="index-obsv-1738"></a></var><br>
+&mdash; Function File:  <b>obsv</b> (<var>sys, c</var>)<var><a name="index-obsv-1799"></a></var><br>
+&mdash; Function File:  <b>obsv</b> (<var>a, c</var>)<var><a name="index-obsv-1800"></a></var><br>
 <blockquote><p>Build observability matrix:
      <pre class="example">               | C        |
                | CA       |
@@ -172,7 +172,7 @@ are much better for observability tests.
    <p><a name="doc_002dpzmap"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>zer</var>, <var>pol</var>] = <b>pzmap</b> (<var>sys</var>)<var><a name="index-pzmap-1739"></a></var><br>
+&mdash; Function File: [<var>zer</var>, <var>pol</var>] = <b>pzmap</b> (<var>sys</var>)<var><a name="index-pzmap-1801"></a></var><br>
 <blockquote><p>Plots the zeros and poles of a system in the complex plane.
 
         <p><strong>Input</strong>
@@ -191,7 +191,7 @@ system poles and zeros (see <samp><span 
    <p><a name="doc_002dis_005fabcd"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retval</var> = <b>is_abcd</b> (<var>a, b, c, d</var>)<var><a name="index-is_005fabcd-1740"></a></var><br>
+&mdash; Function File: <var>retval</var> = <b>is_abcd</b> (<var>a, b, c, d</var>)<var><a name="index-is_005fabcd-1802"></a></var><br>
 <blockquote><p> Returns <var>retval</var> = 1 if the dimensions of <var>a</var>, <var>b</var>,
 <var>c</var>, <var>d</var> are compatible, otherwise <var>retval</var> = 0 with an
  appropriate diagnostic message printed to the screen.  The matrices
@@ -205,8 +205,8 @@ system poles and zeros (see <samp><span 
    <p><a name="doc_002dis_005fcontrollable"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_controllable</b> (<var>sys, tol</var>)<var><a name="index-is_005fcontrollable-1741"></a></var><br>
-&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_controllable</b> (<var>a, b, tol</var>)<var><a name="index-is_005fcontrollable-1742"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_controllable</b> (<var>sys, tol</var>)<var><a name="index-is_005fcontrollable-1803"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_controllable</b> (<var>a, b, tol</var>)<var><a name="index-is_005fcontrollable-1804"></a></var><br>
 <blockquote><p>Logical check for system controllability.
 
         <p><strong>Inputs</strong>
@@ -243,8 +243,8 @@ is_observable, is_stabilizable, is_detec
    <p><a name="doc_002dis_005fdetectable"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retval</var> = <b>is_detectable</b> (<var>a, c, tol, dflg</var>)<var><a name="index-is_005fdetectable-1743"></a></var><br>
-&mdash; Function File: <var>retval</var> = <b>is_detectable</b> (<var>sys, tol</var>)<var><a name="index-is_005fdetectable-1744"></a></var><br>
+&mdash; Function File: <var>retval</var> = <b>is_detectable</b> (<var>a, c, tol, dflg</var>)<var><a name="index-is_005fdetectable-1805"></a></var><br>
+&mdash; Function File: <var>retval</var> = <b>is_detectable</b> (<var>sys, tol</var>)<var><a name="index-is_005fdetectable-1806"></a></var><br>
 <blockquote><p>Test for detectability (observability of unstable modes) of (<var>a</var>, <var>c</var>).
 
         <p>Returns 1 if the system <var>a</var> or the pair (<var>a</var>, <var>c</var>) is
@@ -263,7 +263,7 @@ isscalar, isvector. 
    <p><a name="doc_002dis_005fdgkf"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>retval</var>, <var>dgkf_struct</var> ] = <b>is_dgkf</b> (<var>asys, nu, ny, tol </var>)<var><a name="index-is_005fdgkf-1745"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>dgkf_struct</var> ] = <b>is_dgkf</b> (<var>asys, nu, ny, tol </var>)<var><a name="index-is_005fdgkf-1807"></a></var><br>
 <blockquote><p>Determine whether a continuous time state space system meets
 assumptions of <acronym>DGKF</acronym> algorithm. 
 Partitions system into:
@@ -323,7 +323,7 @@ discrete/continuous.
    <p><a name="doc_002dis_005fdigital"></a>
 
 <div class="defun">
-&mdash; Function File: <var>digital</var> = <b>is_digital</b> (<var>sys, eflg</var>)<var><a name="index-is_005fdigital-1746"></a></var><br>
+&mdash; Function File: <var>digital</var> = <b>is_digital</b> (<var>sys, eflg</var>)<var><a name="index-is_005fdigital-1808"></a></var><br>
 <blockquote><p>Return nonzero if system is digital.
 
         <p><strong>Inputs</strong>
@@ -347,8 +347,8 @@ and discrete. 
    <p><a name="doc_002dis_005fobservable"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_observable</b> (<var>a, c, tol</var>)<var><a name="index-is_005fobservable-1747"></a></var><br>
-&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_observable</b> (<var>sys, tol</var>)<var><a name="index-is_005fobservable-1748"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_observable</b> (<var>a, c, tol</var>)<var><a name="index-is_005fobservable-1809"></a></var><br>
+&mdash; Function File: [<var>retval</var>, <var>u</var>] = <b>is_observable</b> (<var>sys, tol</var>)<var><a name="index-is_005fobservable-1810"></a></var><br>
 <blockquote><p>Logical check for system observability.
 
         <p>Default: tol = <code>tol = 10*norm(a,'fro')*eps</code>
@@ -367,7 +367,7 @@ and default values.
    <p><a name="doc_002dis_005fsample"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_sample</b> (<var>ts</var>)<var><a name="index-is_005fsample-1749"></a></var><br>
+&mdash; Function File:  <b>is_sample</b> (<var>ts</var>)<var><a name="index-is_005fsample-1811"></a></var><br>
 <blockquote><p>Return true if <var>ts</var> is a valid sampling time
 (real, scalar, &gt; 0). 
 </p></blockquote></div>
@@ -375,7 +375,7 @@ and default values.
    <p><a name="doc_002dis_005fsiso"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_siso</b> (<var>sys</var>)<var><a name="index-is_005fsiso-1750"></a></var><br>
+&mdash; Function File:  <b>is_siso</b> (<var>sys</var>)<var><a name="index-is_005fsiso-1812"></a></var><br>
 <blockquote><p>Returns nonzero if the system data structure
 <var>sys</var> is single-input, single-output. 
 </p></blockquote></div>
@@ -383,8 +383,8 @@ and default values.
    <p><a name="doc_002dis_005fstabilizable"></a>
 
 <div class="defun">
-&mdash; Function File: <var>retval</var> = <b>is_stabilizable</b> (<var>sys, tol</var>)<var><a name="index-is_005fstabilizable-1751"></a></var><br>
-&mdash; Function File: <var>retval</var> = <b>is_stabilizable</b> (<var>a, b, tol, dflg</var>)<var><a name="index-is_005fstabilizable-1752"></a></var><br>
+&mdash; Function File: <var>retval</var> = <b>is_stabilizable</b> (<var>sys, tol</var>)<var><a name="index-is_005fstabilizable-1813"></a></var><br>
+&mdash; Function File: <var>retval</var> = <b>is_stabilizable</b> (<var>a, b, tol, dflg</var>)<var><a name="index-is_005fstabilizable-1814"></a></var><br>
 <blockquote><p>Logical check for system stabilizability (i.e., all unstable modes are controllable). 
 Returns 1 if the system is stabilizable, 0 if the system is not stabilizable, -1
 if the system has non stabilizable modes at the imaginary axis (unit circle for
@@ -403,15 +403,15 @@ is_observable, is_stabilizable, is_detec
    <p><a name="doc_002dis_005fsignal_005flist"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_signal_list</b> (<var>mylist</var>)<var><a name="index-is_005fsignal_005flist-1753"></a></var><br>
+&mdash; Function File:  <b>is_signal_list</b> (<var>mylist</var>)<var><a name="index-is_005fsignal_005flist-1815"></a></var><br>
 <blockquote><p>Return true if <var>mylist</var> is a list of individual strings. 
 </p></blockquote></div>
 
    <p><a name="doc_002dis_005fstable"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_stable</b> (<var>a, tol, dflg</var>)<var><a name="index-is_005fstable-1754"></a></var><br>
-&mdash; Function File:  <b>is_stable</b> (<var>sys, tol</var>)<var><a name="index-is_005fstable-1755"></a></var><br>
+&mdash; Function File:  <b>is_stable</b> (<var>a, tol, dflg</var>)<var><a name="index-is_005fstable-1816"></a></var><br>
+&mdash; Function File:  <b>is_stable</b> (<var>sys, tol</var>)<var><a name="index-is_005fstable-1817"></a></var><br>
 <blockquote><p>Returns 1 if the matrix <var>a</var> or the system <var>sys</var>
 is stable, or 0 if not.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/sysstruct.html 1:3.0.5-6/doc/interpreter/HTML/sysstruct.html
--- 1:3.0.1-6/doc/interpreter/HTML/sysstruct.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/sysstruct.html	2009-04-07 11:11:40.000000000 +0100
@@ -59,7 +59,7 @@ used are consistent with one another.
    <p><a name="doc_002dsysrepdemo"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sysrepdemo</b><var><a name="index-sysrepdemo-1668"></a></var><br>
+&mdash; Function File:  <b>sysrepdemo</b><var><a name="index-sysrepdemo-1730"></a></var><br>
 <blockquote><p>Tutorial for the use of the system data structure functions. 
 </p></blockquote></div>
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/System-Information.html 1:3.0.5-6/doc/interpreter/HTML/System-Information.html
--- 1:3.0.1-6/doc/interpreter/HTML/System-Information.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/System-Information.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dcomputer"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>c</var>, <var>maxsize</var>, <var>endian</var>] = <b>computer</b> ()<var><a name="index-computer-2082"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>maxsize</var>, <var>endian</var>] = <b>computer</b> ()<var><a name="index-computer-2145"></a></var><br>
 <blockquote><p>Print or return a string of the form <var>cpu</var>-<var>vendor</var>-<var>os</var>
 that identifies the kind of computer Octave is running on.  If invoked
 with an output argument, the value is returned instead of printed.  For
@@ -60,7 +60,7 @@ of the current system as a character (<c
    <p><a name="doc_002duname"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>uts</var>, <var>err</var>, <var>msg</var>] = <b>uname</b> ()<var><a name="index-uname-2083"></a></var><br>
+&mdash; Built-in Function: [<var>uts</var>, <var>err</var>, <var>msg</var>] = <b>uname</b> ()<var><a name="index-uname-2146"></a></var><br>
 <blockquote><p>Return system information in the structure.  For example,
 
      <pre class="example">          uname ()
@@ -80,7 +80,7 @@ system-dependent error message. 
    <p><a name="doc_002dispc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ispc</b> ()<var><a name="index-ispc-2084"></a></var><br>
+&mdash; Function File:  <b>ispc</b> ()<var><a name="index-ispc-2147"></a></var><br>
 <blockquote><p>Return 1 if Octave is running on a Windows system and 0 otherwise.
         <pre class="sp">
      
@@ -91,7 +91,7 @@ system-dependent error message. 
    <p><a name="doc_002disunix"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>isunix</b> ()<var><a name="index-isunix-2085"></a></var><br>
+&mdash; Function File:  <b>isunix</b> ()<var><a name="index-isunix-2148"></a></var><br>
 <blockquote><p>Return 1 if Octave is running on a Unix-like system and 0 otherwise.
         <pre class="sp">
      
@@ -102,7 +102,7 @@ system-dependent error message. 
    <p><a name="doc_002disieee"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>isieee</b> ()<var><a name="index-isieee-2086"></a></var><br>
+&mdash; Built-in Function:  <b>isieee</b> ()<var><a name="index-isieee-2149"></a></var><br>
 <blockquote><p>Return 1 if your computer claims to conform to the IEEE standard for
 floating point calculations. 
 </p></blockquote></div>
@@ -110,21 +110,21 @@ floating point calculations. 
    <p><a name="doc_002dOCTAVE_005fHOME"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>OCTAVE_HOME</b> ()<var><a name="index-OCTAVE_005fHOME-2087"></a></var><br>
+&mdash; Built-in Function:  <b>OCTAVE_HOME</b> ()<var><a name="index-OCTAVE_005fHOME-2150"></a></var><br>
 <blockquote><p>Return the name of the top-level Octave installation directory. 
 </p></blockquote></div>
 
    <p><a name="doc_002dOCTAVE_005fVERSION"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>OCTAVE_VERSION</b> ()<var><a name="index-OCTAVE_005fVERSION-2088"></a></var><br>
+&mdash; Built-in Function:  <b>OCTAVE_VERSION</b> ()<var><a name="index-OCTAVE_005fVERSION-2151"></a></var><br>
 <blockquote><p>Return the version number of Octave, as a string. 
 </p></blockquote></div>
 
    <p><a name="doc_002dversion"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>version</b> ()<var><a name="index-version-2089"></a></var><br>
+&mdash; Function File:  <b>version</b> ()<var><a name="index-version-2152"></a></var><br>
 <blockquote><p>Return Octave's version number as a string.  This is also the value of
 the built-in variable <code>OCTAVE_VERSION</code>. 
 </p></blockquote></div>
@@ -132,7 +132,7 @@ the built-in variable <code>OCTAVE_VERSI
    <p><a name="doc_002dver"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ver</b> ()<var><a name="index-ver-2090"></a></var><br>
+&mdash; Function File:  <b>ver</b> ()<var><a name="index-ver-2153"></a></var><br>
 <blockquote><p>Display a header containing the current Octave version
 number, license string and operating system.
         <pre class="sp">
@@ -144,7 +144,7 @@ number, license string and operating sys
    <p><a name="doc_002doctave_005fconfig_005finfo"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>octave_config_info</b> (<var>option</var>)<var><a name="index-octave_005fconfig_005finfo-2091"></a></var><br>
+&mdash; Built-in Function:  <b>octave_config_info</b> (<var>option</var>)<var><a name="index-octave_005fconfig_005finfo-2154"></a></var><br>
 <blockquote><p>Return a structure containing configuration and installation
 information for Octave.
 
@@ -156,7 +156,7 @@ specified option.
    <p><a name="doc_002dgetrusage"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>getrusage</b> ()<var><a name="index-getrusage-2092"></a></var><br>
+&mdash; Loadable Function:  <b>getrusage</b> ()<var><a name="index-getrusage-2155"></a></var><br>
 <blockquote><p>Return a structure containing a number of statistics about the current
 Octave process.  Not all fields are available on all systems.  If it is
 not possible to get CPU time statistics, the CPU time slots are set to
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/systime.html 1:3.0.5-6/doc/interpreter/HTML/systime.html
--- 1:3.0.1-6/doc/interpreter/HTML/systime.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/systime.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,8 +37,8 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dc2d"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>c2d</b> (<var>sys, opt, t</var>)<var><a name="index-c2d-1756"></a></var><br>
-&mdash; Function File:  <b>c2d</b> (<var>sys, t</var>)<var><a name="index-c2d-1757"></a></var><br>
+&mdash; Function File:  <b>c2d</b> (<var>sys, opt, t</var>)<var><a name="index-c2d-1818"></a></var><br>
+&mdash; Function File:  <b>c2d</b> (<var>sys, t</var>)<var><a name="index-c2d-1819"></a></var><br>
 <blockquote>
         <p>Converts the system data structure describing:
      <pre class="example">          .
@@ -86,8 +86,8 @@ to the names of the new discrete states.
    <p><a name="doc_002dd2c"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>d2c</b> (<var>sys, tol</var>)<var><a name="index-d2c-1758"></a></var><br>
-&mdash; Function File:  <b>d2c</b> (<var>sys, opt</var>)<var><a name="index-d2c-1759"></a></var><br>
+&mdash; Function File:  <b>d2c</b> (<var>sys, tol</var>)<var><a name="index-d2c-1820"></a></var><br>
+&mdash; Function File:  <b>d2c</b> (<var>sys, opt</var>)<var><a name="index-d2c-1821"></a></var><br>
 <blockquote><p>Convert a discrete (sub)system into a purely continuous one. 
 The sampling time used is <code>sysgettsam(</code><var>sys</var><code>)</code>.
 
@@ -123,7 +123,7 @@ discrete
    <p><a name="doc_002ddmr2d"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>dsys</var>, <var>fidx</var>] = <b>dmr2d</b> (<var>sys, idx, sprefix, ts2, cuflg</var>)<var><a name="index-dmr2d-1760"></a></var><br>
+&mdash; Function File: [<var>dsys</var>, <var>fidx</var>] = <b>dmr2d</b> (<var>sys, idx, sprefix, ts2, cuflg</var>)<var><a name="index-dmr2d-1822"></a></var><br>
 <blockquote><p>convert a multirate digital system to a single rate digital system
 states specified by <var>idx</var>, <var>sprefix</var> are sampled at <var>ts2</var>, all
 others are assumed sampled at <var>ts1</var> = <code>sysgettsam (</code><var>sys</var><code>)</code>.
@@ -172,7 +172,7 @@ these states are updated to the new (slo
    <p><a name="doc_002ddamp"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>damp</b> (<var>p, tsam</var>)<var><a name="index-damp-1761"></a></var><br>
+&mdash; Function File:  <b>damp</b> (<var>p, tsam</var>)<var><a name="index-damp-1823"></a></var><br>
 <blockquote><p>Displays eigenvalues, natural frequencies and damping ratios
 of the eigenvalues of a matrix <var>p</var> or the A matrix of a
 system <var>p</var>, respectively. 
@@ -188,7 +188,7 @@ of <var>p</var> are assumed to be in <va
    <p><a name="doc_002ddcgain"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>dcgain</b> (<var>sys, tol</var>)<var><a name="index-dcgain-1762"></a></var><br>
+&mdash; Function File:  <b>dcgain</b> (<var>sys, tol</var>)<var><a name="index-dcgain-1824"></a></var><br>
 <blockquote><p>Returns dc-gain matrix. If dc-gain is infinite
 an empty matrix is returned. 
 The argument <var>tol</var> is an optional tolerance for the condition
@@ -198,7 +198,7 @@ number of the A Matrix in <var>sys</var>
    <p><a name="doc_002dimpulse"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>y</var>, <var>t</var>] = <b>impulse</b> (<var>sys, inp, tstop, n</var>)<var><a name="index-impulse-1763"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>t</var>] = <b>impulse</b> (<var>sys, inp, tstop, n</var>)<var><a name="index-impulse-1825"></a></var><br>
 <blockquote><p>Impulse response for a linear system. 
 The system can be discrete or multivariable (or both). 
 If no output arguments are specified, <code>impulse</code>
@@ -230,7 +230,7 @@ computed from the eigenvalues of the A M
    <p><a name="doc_002dstep"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>y</var>, <var>t</var>] = <b>step</b> (<var>sys, inp, tstop, n</var>)<var><a name="index-step-1764"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>t</var>] = <b>step</b> (<var>sys, inp, tstop, n</var>)<var><a name="index-step-1826"></a></var><br>
 <blockquote><p>Step response for a linear system. 
 The system can be discrete or multivariable (or both). 
 If no output arguments are specified, <code>step</code>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Test-and-Demo-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Test-and-Demo-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Test-and-Demo-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Test-and-Demo-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix B Test and Demo Functions</h2>
 
-<p><a name="index-test-functions-2112"></a>
+<p><a name="index-test-functions-2175"></a>
 Octave includes a number of functions to allow the integration of testing
 and demonstration code in the source code of the functions themselves.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Test-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Test-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Test-Functions.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Test-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -35,13 +35,13 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dtest"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>test</b><var> name<a name="index-test-2113"></a></var><br>
-&mdash; Function File:  <b>test</b><var> name quiet|normal|verbose<a name="index-test-2114"></a></var><br>
-&mdash; Function File:  <b>test</b> (<var>'name', 'quiet|normal|verbose', fid</var>)<var><a name="index-test-2115"></a></var><br>
-&mdash; Function File:  <b>test</b> ([]<var>, 'explain', fid</var>)<var><a name="index-test-2116"></a></var><br>
-&mdash; Function File: <var>success</var> = <b>test</b> (<var><small class="dots">...</small></var>)<var><a name="index-test-2117"></a></var><br>
-&mdash; Function File: [<var>n</var>, <var>max</var>] = <b>test</b> (<var><small class="dots">...</small></var>)<var><a name="index-test-2118"></a></var><br>
-&mdash; Function File: [<var>code</var>, <var>idx</var>] = <b>test</b> (<var>'name','grabdemo'</var>)<var><a name="index-test-2119"></a></var><br>
+&mdash; Function File:  <b>test</b><var> name<a name="index-test-2176"></a></var><br>
+&mdash; Function File:  <b>test</b><var> name quiet|normal|verbose<a name="index-test-2177"></a></var><br>
+&mdash; Function File:  <b>test</b> (<var>'name', 'quiet|normal|verbose', fid</var>)<var><a name="index-test-2178"></a></var><br>
+&mdash; Function File:  <b>test</b> ([]<var>, 'explain', fid</var>)<var><a name="index-test-2179"></a></var><br>
+&mdash; Function File: <var>success</var> = <b>test</b> (<var><small class="dots">...</small></var>)<var><a name="index-test-2180"></a></var><br>
+&mdash; Function File: [<var>n</var>, <var>max</var>] = <b>test</b> (<var><small class="dots">...</small></var>)<var><a name="index-test-2181"></a></var><br>
+&mdash; Function File: [<var>code</var>, <var>idx</var>] = <b>test</b> (<var>'name','grabdemo'</var>)<var><a name="index-test-2182"></a></var><br>
 <blockquote>
         <p>Perform tests from the first file in the loadpath matching <var>name</var>. 
 <code>test</code> can be called as a command or as a function. Called with
@@ -271,9 +271,9 @@ them in plain files with no extension ra
    <p><a name="doc_002dassert"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>assert</b> (<var>cond</var>)<var><a name="index-assert-2120"></a></var><br>
-&mdash; Function File:  <b>assert</b> (<var>observed,expected</var>)<var><a name="index-assert-2121"></a></var><br>
-&mdash; Function File:  <b>assert</b> (<var>observed,expected,tol</var>)<var><a name="index-assert-2122"></a></var><br>
+&mdash; Function File:  <b>assert</b> (<var>cond</var>)<var><a name="index-assert-2183"></a></var><br>
+&mdash; Function File:  <b>assert</b> (<var>observed,expected</var>)<var><a name="index-assert-2184"></a></var><br>
+&mdash; Function File:  <b>assert</b> (<var>observed,expected,tol</var>)<var><a name="index-assert-2185"></a></var><br>
 <blockquote>
         <p>Produces an error if the condition is not met. <code>assert</code> can be
 called in three different ways.
@@ -287,7 +287,7 @@ observed and expected can be strings, sc
 lists or structures.
 
           <br><dt><code>assert(</code><var>observed</var><code>, </code><var>expected</var><code>, </code><var>tol</var><code>)</code><dd>Accept a tolerance when comparing numbers. 
-If <var>tol</var> is possitive use it as an absolute tolerance, will produce an error if
+If <var>tol</var> is positive use it as an absolute tolerance, will produce an error if
 <code>abs(</code><var>observed</var><code> - </code><var>expected</var><code>) &gt; abs(</code><var>tol</var><code>)</code>. 
 If <var>tol</var> is negative use it as a relative tolerance, will produce an error if
 <code>abs(</code><var>observed</var><code> - </code><var>expected</var><code>) &gt; abs(</code><var>tol</var><code> * </code><var>expected</var><code>)</code>. 
@@ -303,8 +303,8 @@ If <var>expected</var> is zero <var>tol<
    <p><a name="doc_002dfail"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>fail</b> (<var>code,pattern</var>)<var><a name="index-fail-2123"></a></var><br>
-&mdash; Function File:  <b>fail</b> (<var>code,'warning',pattern</var>)<var><a name="index-fail-2124"></a></var><br>
+&mdash; Function File:  <b>fail</b> (<var>code,pattern</var>)<var><a name="index-fail-2186"></a></var><br>
+&mdash; Function File:  <b>fail</b> (<var>code,'warning',pattern</var>)<var><a name="index-fail-2187"></a></var><br>
 <blockquote>
         <p>Return true if <var>code</var> fails with an error message matching
 <var>pattern</var>, otherwise produce an error. Note that <var>code</var>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Test-Plotting-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Test-Plotting-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Test-Plotting-Functions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Test-Plotting-Functions.html	2009-04-07 11:11:39.000000000 +0100
@@ -39,7 +39,7 @@ at the Octave prompt should display a th
    <p><a name="doc_002dsombrero"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sombrero</b> (<var>n</var>)<var><a name="index-sombrero-855"></a></var><br>
+&mdash; Function File:  <b>sombrero</b> (<var>n</var>)<var><a name="index-sombrero-866"></a></var><br>
 <blockquote><p>Produce the familiar three-dimensional sombrero plot using <var>n</var>
 grid lines.  If <var>n</var> is omitted, a value of 41 is assumed.
 
@@ -56,11 +56,11 @@ grid lines.  If <var>n</var> is omitted,
    <p><a name="doc_002dpeaks"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>peaks</b> ()<var><a name="index-peaks-856"></a></var><br>
-&mdash; Function File:  <b>peaks</b> (<var>n</var>)<var><a name="index-peaks-857"></a></var><br>
-&mdash; Function File:  <b>peaks</b> (<var>x, y</var>)<var><a name="index-peaks-858"></a></var><br>
-&mdash; Function File: <var>z</var> = <b>peaks</b> (<var><small class="dots">...</small></var>)<var><a name="index-peaks-859"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>peaks</b> (<var><small class="dots">...</small></var>)<var><a name="index-peaks-860"></a></var><br>
+&mdash; Function File:  <b>peaks</b> ()<var><a name="index-peaks-867"></a></var><br>
+&mdash; Function File:  <b>peaks</b> (<var>n</var>)<var><a name="index-peaks-868"></a></var><br>
+&mdash; Function File:  <b>peaks</b> (<var>x, y</var>)<var><a name="index-peaks-869"></a></var><br>
+&mdash; Function File: <var>z</var> = <b>peaks</b> (<var><small class="dots">...</small></var>)<var><a name="index-peaks-870"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>, <var>z</var>] = <b>peaks</b> (<var><small class="dots">...</small></var>)<var><a name="index-peaks-871"></a></var><br>
 <blockquote><p>Generate a function with lots of local maxima and minima. The function
 has the form
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Tests.html 1:3.0.5-6/doc/interpreter/HTML/Tests.html
--- 1:3.0.1-6/doc/interpreter/HTML/Tests.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Tests.html	2009-04-07 11:11:40.000000000 +0100
@@ -74,7 +74,7 @@ if the p-value exceeds 0.05.
    <p><a name="doc_002danova"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_b</var>, <var>df_w</var>] = <b>anova</b> (<var>y, g</var>)<var><a name="index-anova-1415"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_b</var>, <var>df_w</var>] = <b>anova</b> (<var>y, g</var>)<var><a name="index-anova-1468"></a></var><br>
 <blockquote><p>Perform a one-way analysis of variance (ANOVA).  The goal is to test
 whether the population means of data taken from <var>k</var> different
 groups are all equal.
@@ -101,7 +101,7 @@ printed. 
    <p><a name="doc_002dbartlett_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>bartlett_test</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-bartlett_005ftest-1416"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>bartlett_test</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-bartlett_005ftest-1469"></a></var><br>
 <blockquote><p>Perform a Bartlett test for the homogeneity of variances in the data
 vectors <var>x1</var>, <var>x2</var>, <small class="dots">...</small>, <var>xk</var>, where <var>k</var> &gt; 1.
 
@@ -118,7 +118,7 @@ returned in <var>pval</var>.
    <p><a name="doc_002dchisquare_005ftest_005fhomogeneity"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>chisquare_test_homogeneity</b> (<var>x, y, c</var>)<var><a name="index-chisquare_005ftest_005fhomogeneity-1417"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>chisquare_test_homogeneity</b> (<var>x, y, c</var>)<var><a name="index-chisquare_005ftest_005fhomogeneity-1470"></a></var><br>
 <blockquote><p>Given two samples <var>x</var> and <var>y</var>, perform a chisquare test for
 homogeneity of the null hypothesis that <var>x</var> and <var>y</var> come from
 the same distribution, based on the partition induced by the
@@ -137,7 +137,7 @@ returned in <var>pval</var>.
    <p><a name="doc_002dchisquare_005ftest_005findependence"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>chisquare_test_independence</b> (<var>x</var>)<var><a name="index-chisquare_005ftest_005findependence-1418"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>chisquare_test_independence</b> (<var>x</var>)<var><a name="index-chisquare_005ftest_005findependence-1471"></a></var><br>
 <blockquote><p>Perform a chi-square test for independence based on the contingency
 table <var>x</var>.  Under the null hypothesis of independence,
 <var>chisq</var> approximately has a chi-square distribution with
@@ -152,7 +152,7 @@ test is returned in <var>pval</var>.
    <p><a name="doc_002dcor_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cor_test</b> (<var>x, y, alt, method</var>)<var><a name="index-cor_005ftest-1419"></a></var><br>
+&mdash; Function File:  <b>cor_test</b> (<var>x, y, alt, method</var>)<var><a name="index-cor_005ftest-1472"></a></var><br>
 <blockquote><p>Test whether two samples <var>x</var> and <var>y</var> come from uncorrelated
 populations.
 
@@ -188,7 +188,7 @@ rho is used.  Only the first character i
    <p><a name="doc_002df_005ftest_005fregression"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_num</var>, <var>df_den</var>] = <b>f_test_regression</b> (<var>y, x, rr, r</var>)<var><a name="index-f_005ftest_005fregression-1420"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_num</var>, <var>df_den</var>] = <b>f_test_regression</b> (<var>y, x, rr, r</var>)<var><a name="index-f_005ftest_005fregression-1473"></a></var><br>
 <blockquote><p>Perform an F test for the null hypothesis rr * b = r in a classical
 normal regression model y = X * b + e.
 
@@ -206,7 +206,7 @@ returned in <var>pval</var>.
    <p><a name="doc_002dhotelling_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>tsq</var>] = <b>hotelling_test</b> (<var>x, m</var>)<var><a name="index-hotelling_005ftest-1421"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>tsq</var>] = <b>hotelling_test</b> (<var>x, m</var>)<var><a name="index-hotelling_005ftest-1474"></a></var><br>
 <blockquote><p>For a sample <var>x</var> from a multivariate normal distribution with unknown
 mean and covariance matrix, test the null hypothesis that <code>mean
 (</code><var>x</var><code>) == </code><var>m</var>.
@@ -224,7 +224,7 @@ numbers of samples and variables, respec
    <p><a name="doc_002dhotelling_005ftest_005f2"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>tsq</var>] = <b>hotelling_test_2</b> (<var>x, y</var>)<var><a name="index-hotelling_005ftest_005f2-1422"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>tsq</var>] = <b>hotelling_test_2</b> (<var>x, y</var>)<var><a name="index-hotelling_005ftest_005f2-1475"></a></var><br>
 <blockquote><p>For two samples <var>x</var> from multivariate normal distributions with
 the same number of variables (columns), unknown means and unknown
 equal covariance matrices, test the null hypothesis <code>mean
@@ -246,7 +246,7 @@ p is the number of variables.
    <p><a name="doc_002dkolmogorov_005fsmirnov_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>ks</var>] = <b>kolmogorov_smirnov_test</b> (<var>x, dist, params, alt</var>)<var><a name="index-kolmogorov_005fsmirnov_005ftest-1423"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>ks</var>] = <b>kolmogorov_smirnov_test</b> (<var>x, dist, params, alt</var>)<var><a name="index-kolmogorov_005fsmirnov_005ftest-1476"></a></var><br>
 <blockquote><p>Perform a Kolmogorov-Smirnov test of the null hypothesis that the
 sample <var>x</var> comes from the (continuous) distribution dist. I.e.,
 if F and G are the CDFs corresponding to the sample and dist,
@@ -279,7 +279,7 @@ distribution.  The default is the two-si
    <p><a name="doc_002dkolmogorov_005fsmirnov_005ftest_005f2"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>ks</var>, <var>d</var>] = <b>kolmogorov_smirnov_test_2</b> (<var>x, y, alt</var>)<var><a name="index-kolmogorov_005fsmirnov_005ftest_005f2-1424"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>ks</var>, <var>d</var>] = <b>kolmogorov_smirnov_test_2</b> (<var>x, y, alt</var>)<var><a name="index-kolmogorov_005fsmirnov_005ftest_005f2-1477"></a></var><br>
 <blockquote><p>Perform a 2-sample Kolmogorov-Smirnov test of the null hypothesis
 that the samples <var>x</var> and <var>y</var> come from the same (continuous)
 distribution.  I.e., if F and G are the CDFs corresponding to the
@@ -307,7 +307,7 @@ vertical distance between the two cumula
    <p><a name="doc_002dkruskal_005fwallis_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>k</var>, <var>df</var>] = <b>kruskal_wallis_test</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-kruskal_005fwallis_005ftest-1425"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>k</var>, <var>df</var>] = <b>kruskal_wallis_test</b> (<var>x1, <small class="dots">...</small></var>)<var><a name="index-kruskal_005fwallis_005ftest-1478"></a></var><br>
 <blockquote><p>Perform a Kruskal-Wallis one-factor "analysis of variance".
 
         <p>Suppose a variable is observed for <var>k</var> &gt; 1 different groups, and
@@ -339,7 +339,7 @@ returned in <var>pval</var>.
    <p><a name="doc_002dmanova"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>manova</b> (<var>y, g</var>)<var><a name="index-manova-1426"></a></var><br>
+&mdash; Function File:  <b>manova</b> (<var>y, g</var>)<var><a name="index-manova-1479"></a></var><br>
 <blockquote><p>Perform a one-way multivariate analysis of variance (MANOVA). The
 goal is to test whether the p-dimensional population means of data
 taken from <var>k</var> different groups are all equal.  All data are
@@ -357,7 +357,7 @@ computed and displayed. 
    <p><a name="doc_002dmcnemar_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>mcnemar_test</b> (<var>x</var>)<var><a name="index-mcnemar_005ftest-1427"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>chisq</var>, <var>df</var>] = <b>mcnemar_test</b> (<var>x</var>)<var><a name="index-mcnemar_005ftest-1480"></a></var><br>
 <blockquote><p>For a square contingency table <var>x</var> of data cross-classified on
 the row and column variables, McNemar's test can be used for testing
 the null hypothesis of symmetry of the classification probabilities.
@@ -374,7 +374,7 @@ returned in <var>pval</var>.
    <p><a name="doc_002dprop_005ftest_005f2"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>prop_test_2</b> (<var>x1, n1, x2, n2, alt</var>)<var><a name="index-prop_005ftest_005f2-1428"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>prop_test_2</b> (<var>x1, n1, x2, n2, alt</var>)<var><a name="index-prop_005ftest_005f2-1481"></a></var><br>
 <blockquote><p>If <var>x1</var> and <var>n1</var> are the counts of successes and trials in
 one sample, and <var>x2</var> and <var>n2</var> those in a second one, test the
 null hypothesis that the success probabilities <var>p1</var> and <var>p2</var>
@@ -397,7 +397,7 @@ The default is the two-sided case.
    <p><a name="doc_002drun_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>chisq</var>] = <b>run_test</b> (<var>x</var>)<var><a name="index-run_005ftest-1429"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>chisq</var>] = <b>run_test</b> (<var>x</var>)<var><a name="index-run_005ftest-1482"></a></var><br>
 <blockquote><p>Perform a chi-square test with 6 degrees of freedom based on the
 upward runs in the columns of <var>x</var>.  Can be used to test whether
 <var>x</var> contains independent data.
@@ -410,7 +410,7 @@ upward runs in the columns of <var>x</va
    <p><a name="doc_002dsign_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>b</var>, <var>n</var>] = <b>sign_test</b> (<var>x, y, alt</var>)<var><a name="index-sign_005ftest-1430"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>b</var>, <var>n</var>] = <b>sign_test</b> (<var>x, y, alt</var>)<var><a name="index-sign_005ftest-1483"></a></var><br>
 <blockquote><p>For two matched-pair samples <var>x</var> and <var>y</var>, perform a sign test
 of the null hypothesis PROB (<var>x</var> &gt; <var>y</var>) == PROB (<var>x</var> &lt;
 <var>y</var>) == 1/2.  Under the null, the test statistic <var>b</var> roughly
@@ -435,7 +435,7 @@ the two-sided case.
    <p><a name="doc_002dt_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test</b> (<var>x, m, alt</var>)<var><a name="index-t_005ftest-1431"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test</b> (<var>x, m, alt</var>)<var><a name="index-t_005ftest-1484"></a></var><br>
 <blockquote><p>For a sample <var>x</var> from a normal distribution with unknown mean and
 variance, perform a t-test of the null hypothesis <code>mean
 (</code><var>x</var><code>) == </code><var>m</var>.  Under the null, the test statistic <var>t</var>
@@ -459,7 +459,7 @@ case.
    <p><a name="doc_002dt_005ftest_005f2"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test_2</b> (<var>x, y, alt</var>)<var><a name="index-t_005ftest_005f2-1432"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test_2</b> (<var>x, y, alt</var>)<var><a name="index-t_005ftest_005f2-1485"></a></var><br>
 <blockquote><p>For two samples x and y from normal distributions with unknown means
 and unknown equal variances, perform a two-sample t-test of the null
 hypothesis of equal means.  Under the null, the test statistic
@@ -483,7 +483,7 @@ case.
    <p><a name="doc_002dt_005ftest_005fregression"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test_regression</b> (<var>y, x, rr, r, alt</var>)<var><a name="index-t_005ftest_005fregression-1433"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>t_test_regression</b> (<var>y, x, rr, r, alt</var>)<var><a name="index-t_005ftest_005fregression-1486"></a></var><br>
 <blockquote><p>Perform an t test for the null hypothesis <var>rr</var><code> * </code><var>b</var><code> =
 </code><var>r</var> in a classical normal regression model <var>y</var><code> =
 </code><var>x</var><code> * </code><var>b</var><code> + </code><var>e</var>.  Under the null, the test statistic <var>t</var>
@@ -507,7 +507,7 @@ Similarly for <var>"&lt;"</var>, the one
    <p><a name="doc_002du_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>u_test</b> (<var>x, y, alt</var>)<var><a name="index-u_005ftest-1434"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>u_test</b> (<var>x, y, alt</var>)<var><a name="index-u_005ftest-1487"></a></var><br>
 <blockquote><p>For two samples <var>x</var> and <var>y</var>, perform a Mann-Whitney U-test of
 the null hypothesis PROB (<var>x</var> &gt; <var>y</var>) == 1/2 == PROB (<var>x</var>
 &lt; <var>y</var>).  Under the null, the test statistic <var>z</var> approximately
@@ -530,7 +530,7 @@ Similarly for <code>"&lt;"</code>, the o
    <p><a name="doc_002dvar_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_num</var>, <var>df_den</var>] = <b>var_test</b> (<var>x, y, alt</var>)<var><a name="index-var_005ftest-1435"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>f</var>, <var>df_num</var>, <var>df_den</var>] = <b>var_test</b> (<var>x, y, alt</var>)<var><a name="index-var_005ftest-1488"></a></var><br>
 <blockquote><p>For two samples <var>x</var> and <var>y</var> from normal distributions with
 unknown means and unknown variances, perform an F-test of the null
 hypothesis of equal variances.  Under the null, the test statistic
@@ -554,7 +554,7 @@ case.
    <p><a name="doc_002dwelch_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>welch_test</b> (<var>x, y, alt</var>)<var><a name="index-welch_005ftest-1436"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>t</var>, <var>df</var>] = <b>welch_test</b> (<var>x, y, alt</var>)<var><a name="index-welch_005ftest-1489"></a></var><br>
 <blockquote><p>For two samples <var>x</var> and <var>y</var> from normal distributions with
 unknown means and unknown and not necessarily equal variances,
 perform a Welch test of the null hypothesis of equal means. 
@@ -577,7 +577,7 @@ considered.  The default is the two-side
    <p><a name="doc_002dwilcoxon_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>wilcoxon_test</b> (<var>x, y, alt</var>)<var><a name="index-wilcoxon_005ftest-1437"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>wilcoxon_test</b> (<var>x, y, alt</var>)<var><a name="index-wilcoxon_005ftest-1490"></a></var><br>
 <blockquote><p>For two matched-pair sample vectors <var>x</var> and <var>y</var>, perform a
 Wilcoxon signed-rank test of the null hypothesis PROB (<var>x</var> &gt;
 <var>y</var>) == 1/2.  Under the null, the test statistic <var>z</var>
@@ -602,7 +602,7 @@ for <code>"&lt;"</code>, the one-sided a
    <p><a name="doc_002dz_005ftest"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>z_test</b> (<var>x, m, v, alt</var>)<var><a name="index-z_005ftest-1438"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>z_test</b> (<var>x, m, v, alt</var>)<var><a name="index-z_005ftest-1491"></a></var><br>
 <blockquote><p>Perform a Z-test of the null hypothesis <code>mean (</code><var>x</var><code>) ==
 </code><var>m</var> for a sample <var>x</var> from a normal distribution with unknown
 mean and known variance <var>v</var>.  Under the null, the test statistic
@@ -626,7 +626,7 @@ along with some information. 
    <p><a name="doc_002dz_005ftest_005f2"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>z_test_2</b> (<var>x, y, v_x, v_y, alt</var>)<var><a name="index-z_005ftest_005f2-1439"></a></var><br>
+&mdash; Function File: [<var>pval</var>, <var>z</var>] = <b>z_test_2</b> (<var>x, y, v_x, v_y, alt</var>)<var><a name="index-z_005ftest_005f2-1492"></a></var><br>
 <blockquote><p>For two samples <var>x</var> and <var>y</var> from normal distributions with
 unknown means and known variances <var>v_x</var> and <var>v_y</var>, perform a
 Z-test of the hypothesis of equal means.  Under the null, the test
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Text-Properties.html 1:3.0.5-6/doc/interpreter/HTML/Text-Properties.html
--- 1:3.0.1-6/doc/interpreter/HTML/Text-Properties.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Text-Properties.html	2009-04-07 11:11:40.000000000 +0100
@@ -34,6 +34,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h5 class="subsubsection">15.2.2.5 Text Properties</h5>
 
+<p><a name="index-text-properties-938"></a>
      <dl>
 <dt><code>string</code><dd>The character string contained by the text object.
 
@@ -74,7 +75,7 @@ such as Greek or mathematical symbols wi
 characters are also inserted with a code starting with the back-slash
 (\) character, as in the table <a href="tab_003aextended.html#tab_003aextended">tab:extended</a>.
 
-   <p>In addition, the formating of the text can be changed within the string
+   <p>In addition, the formatting of the text can be changed within the string
 with the codes
 
    <p><table summary=""><tr align="left"><td valign="top" width="20%"></td><td valign="top" width="20%">\bf </td><td valign="top" width="60%">Bold font </td><td valign="top" width="20%">
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/tf2sys.html 1:3.0.5-6/doc/interpreter/HTML/tf2sys.html
--- 1:3.0.1-6/doc/interpreter/HTML/tf2sys.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/tf2sys.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dtf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tf</b> (<var>num, den, tsam, inname, outname</var>)<var><a name="index-tf-1674"></a></var><br>
+&mdash; Function File:  <b>tf</b> (<var>num, den, tsam, inname, outname</var>)<var><a name="index-tf-1736"></a></var><br>
 <blockquote><p>build system data structure from transfer function format data
 
         <p><strong>Inputs</strong>
@@ -69,7 +69,7 @@ entry. 
    <p><a name="doc_002dtf2sys"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tf2sys</b> (<var>num, den, tsam, inname, outname</var>)<var><a name="index-tf2sys-1675"></a></var><br>
+&mdash; Function File:  <b>tf2sys</b> (<var>num, den, tsam, inname, outname</var>)<var><a name="index-tf2sys-1737"></a></var><br>
 <blockquote><p>Build system data structure from transfer function format data.
 
         <p><strong>Inputs</strong>
@@ -103,7 +103,7 @@ entry. 
    <p><a name="doc_002dsys2tf"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>num</var>, <var>den</var>, <var>tsam</var>, <var>inname</var>, <var>outname</var>] = <b>sys2tf</b> (<var>sys</var>)<var><a name="index-sys2tf-1676"></a></var><br>
+&mdash; Function File: [<var>num</var>, <var>den</var>, <var>tsam</var>, <var>inname</var>, <var>outname</var>] = <b>sys2tf</b> (<var>sys</var>)<var><a name="index-sys2tf-1738"></a></var><br>
 <blockquote><p>Extract transfer function data from a system data structure.
 
         <p>See <samp><span class="command">tf</span></samp> for parameter descriptions.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/The-DESCRIPTION-File.html 1:3.0.5-6/doc/interpreter/HTML/The-DESCRIPTION-File.html
--- 1:3.0.1-6/doc/interpreter/HTML/The-DESCRIPTION-File.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/The-DESCRIPTION-File.html	2009-04-07 11:11:40.000000000 +0100
@@ -124,7 +124,7 @@ from the build dependencies, and therefo
 
 <p class="noindent">The developer is free to add additional arguments to the
 <code>DESCRIPTION</code> file for their own purposes. One further detail to
-aid the packager is that the <code>SystemRequirments</code> and
+aid the packager is that the <code>SystemRequirements</code> and
 <code>BuildRequires</code> keywords can have distribution dependent section,
 and the automatic build process will use these. An example of the
 format of this is
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Three_002dDimensional-Plotting.html 1:3.0.5-6/doc/interpreter/HTML/Three_002dDimensional-Plotting.html
--- 1:3.0.1-6/doc/interpreter/HTML/Three_002dDimensional-Plotting.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Three_002dDimensional-Plotting.html	2009-04-07 11:11:39.000000000 +0100
@@ -77,7 +77,7 @@ three-dimensional plots.
    <p><a name="doc_002dmesh"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>mesh</b> (<var>x, y, z</var>)<var><a name="index-mesh-812"></a></var><br>
+&mdash; Function File:  <b>mesh</b> (<var>x, y, z</var>)<var><a name="index-mesh-820"></a></var><br>
 <blockquote><p>Plot a mesh given matrices <var>x</var>, and <var>y</var> from <code>meshgrid</code> and
 a matrix <var>z</var> corresponding to the <var>x</var> and <var>y</var> coordinates of
 the mesh.  If <var>x</var> and <var>y</var> are vectors, then a typical vertex
@@ -93,7 +93,7 @@ to different <var>y</var> values.
    <p><a name="doc_002dmeshc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>meshc</b> (<var>x, y, z</var>)<var><a name="index-meshc-813"></a></var><br>
+&mdash; Function File:  <b>meshc</b> (<var>x, y, z</var>)<var><a name="index-meshc-821"></a></var><br>
 <blockquote><p>Plot a mesh and contour given matrices <var>x</var>, and <var>y</var> from
 <code>meshgrid</code> and a matrix <var>z</var> corresponding to the <var>x</var> and
 <var>y</var> coordinates of the mesh.  If <var>x</var> and <var>y</var> are vectors,
@@ -109,8 +109,8 @@ columns of <var>z</var> correspond to di
    <p><a name="doc_002dhidden"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>hidden</b> (<var>mode</var>)<var><a name="index-hidden-814"></a></var><br>
-&mdash; Function File:  <b>hidden</b> ()<var><a name="index-hidden-815"></a></var><br>
+&mdash; Function File:  <b>hidden</b> (<var>mode</var>)<var><a name="index-hidden-822"></a></var><br>
+&mdash; Function File:  <b>hidden</b> ()<var><a name="index-hidden-823"></a></var><br>
 <blockquote><p>Manipulation the mesh hidden line removal. Called with no argument
 the hidden line removal is toggled. The argument <var>mode</var> can be either
 'on' or 'off' and the set of the hidden line removal is set accordingly.
@@ -123,7 +123,7 @@ the hidden line removal is toggled. The 
    <p><a name="doc_002dsurf"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>surf</b> (<var>x, y, z</var>)<var><a name="index-surf-816"></a></var><br>
+&mdash; Function File:  <b>surf</b> (<var>x, y, z</var>)<var><a name="index-surf-824"></a></var><br>
 <blockquote><p>Plot a surface given matrices <var>x</var>, and <var>y</var> from <code>meshgrid</code> and
 a matrix <var>z</var> corresponding to the <var>x</var> and <var>y</var> coordinates of
 the mesh.  If <var>x</var> and <var>y</var> are vectors, then a typical vertex
@@ -139,7 +139,7 @@ to different <var>y</var> values.
    <p><a name="doc_002dsurfc"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>surfc</b> (<var>x, y, z</var>)<var><a name="index-surfc-817"></a></var><br>
+&mdash; Function File:  <b>surfc</b> (<var>x, y, z</var>)<var><a name="index-surfc-825"></a></var><br>
 <blockquote><p>Plot a surface and contour given matrices <var>x</var>, and <var>y</var> from
 <code>meshgrid</code> and a matrix <var>z</var> corresponding to the <var>x</var> and
 <var>y</var> coordinates of the mesh.  If <var>x</var> and <var>y</var> are vectors,
@@ -155,9 +155,9 @@ columns of <var>z</var> correspond to di
    <p><a name="doc_002dmeshgrid"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>xx</var>, <var>yy</var>, <var>zz</var>] = <b>meshgrid</b> (<var>x, y, z</var>)<var><a name="index-meshgrid-818"></a></var><br>
-&mdash; Function File: [<var>xx</var>, <var>yy</var>] = <b>meshgrid</b> (<var>x, y</var>)<var><a name="index-meshgrid-819"></a></var><br>
-&mdash; Function File: [<var>xx</var>, <var>yy</var>] = <b>meshgrid</b> (<var>x</var>)<var><a name="index-meshgrid-820"></a></var><br>
+&mdash; Function File: [<var>xx</var>, <var>yy</var>, <var>zz</var>] = <b>meshgrid</b> (<var>x, y, z</var>)<var><a name="index-meshgrid-826"></a></var><br>
+&mdash; Function File: [<var>xx</var>, <var>yy</var>] = <b>meshgrid</b> (<var>x, y</var>)<var><a name="index-meshgrid-827"></a></var><br>
+&mdash; Function File: [<var>xx</var>, <var>yy</var>] = <b>meshgrid</b> (<var>x</var>)<var><a name="index-meshgrid-828"></a></var><br>
 <blockquote><p>Given vectors of <var>x</var> and <var>y</var> and <var>z</var> coordinates, and
 returning 3 arguments, return three dimensional arrays corresponding
 to the <var>x</var>, <var>y</var>, and <var>z</var> coordinates of a mesh.  When
@@ -175,8 +175,8 @@ and <var>z</var> is assumed the same as 
    <p><a name="doc_002dndgrid"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>y1</var>, <var>y2</var>, <small class="dots">...</small>,  <var>y</var>n] = <b>ndgrid</b> (<var>x1, x2, <small class="dots">...</small>, xn</var>)<var><a name="index-ndgrid-821"></a></var><br>
-&mdash; Function File: [<var>y1</var>, <var>y2</var>, <small class="dots">...</small>,  <var>y</var>n] = <b>ndgrid</b> (<var>x</var>)<var><a name="index-ndgrid-822"></a></var><br>
+&mdash; Function File: [<var>y1</var>, <var>y2</var>, <small class="dots">...</small>,  <var>y</var>n] = <b>ndgrid</b> (<var>x1, x2, <small class="dots">...</small>, xn</var>)<var><a name="index-ndgrid-829"></a></var><br>
+&mdash; Function File: [<var>y1</var>, <var>y2</var>, <small class="dots">...</small>,  <var>y</var>n] = <b>ndgrid</b> (<var>x</var>)<var><a name="index-ndgrid-830"></a></var><br>
 <blockquote><p>Given n vectors <var>x1</var>, <small class="dots">...</small> <var>x</var>n, <code>ndgrid</code> returns
 n arrays of dimension n.  The elements of the ith output argument
 contains the elements of the vector <var>x</var>i repeated over all
@@ -194,7 +194,7 @@ all n input arguments equal to <var>x</v
    <p><a name="doc_002dplot3"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>plot3</b> (<var>args</var>)<var><a name="index-plot3-823"></a></var><br>
+&mdash; Function File:  <b>plot3</b> (<var>args</var>)<var><a name="index-plot3-831"></a></var><br>
 <blockquote><p>Produce three-dimensional plots.  Many different combinations of
 arguments are possible.  The simplest form is
 
@@ -248,21 +248,31 @@ with an empty format string, as
    <p><a name="doc_002dview"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>view</b> (<var>azimuth, elevation</var>)<var><a name="index-view-824"></a></var><br>
-&mdash; Function File:  <b>view</b> (<var>dims</var>)<var><a name="index-view-825"></a></var><br>
-&mdash; Function File: [<var>azimuth</var>, <var>elevation</var>] = <b>view</b> ()<var><a name="index-view-826"></a></var><br>
+&mdash; Function File:  <b>view</b> (<var>azimuth, elevation</var>)<var><a name="index-view-832"></a></var><br>
+&mdash; Function File:  <b>view</b> (<var>dims</var>)<var><a name="index-view-833"></a></var><br>
+&mdash; Function File: [<var>azimuth</var>, <var>elevation</var>] = <b>view</b> ()<var><a name="index-view-834"></a></var><br>
 <blockquote><p>Set or get the viewpoint for the current axes. 
 </p></blockquote></div>
 
    <p><a name="doc_002dshading"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>shading</b> (<var>type</var>)<var><a name="index-shading-827"></a></var><br>
-&mdash; Function File:  <b>shading</b> (<var>ax, <small class="dots">...</small></var>)<var><a name="index-shading-828"></a></var><br>
+&mdash; Function File:  <b>shading</b> (<var>type</var>)<var><a name="index-shading-835"></a></var><br>
+&mdash; Function File:  <b>shading</b> (<var>ax, <small class="dots">...</small></var>)<var><a name="index-shading-836"></a></var><br>
 <blockquote><p>Set the shading of surface or patch graphic objects. Valid arguments
-for <var>type</var> are <code>"flat"</code>, <code>"interp"</code>, or
-<code>"faceted"</code>.  If <var>ax</var> is given the shading is applied to
-axis <var>ax</var> instead of the current axis. 
+for <var>type</var> are
+
+          <dl>
+<dt><code>"flat"</code><dd>Single colored patches with invisible edges.
+
+          <br><dt><code>"faceted"</code><dd>Single colored patches with visible edges.
+
+          <br><dt><code>"interp"</code><dd>Color between patch vertices are interpolated and the patch edges are
+invisible. 
+</dl>
+
+        <p>If <var>ax</var> is given the shading is applied to axis <var>ax</var> instead
+of the current axis. 
 </p></blockquote></div>
 
    </body></html>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Timing-Utilities.html 1:3.0.5-6/doc/interpreter/HTML/Timing-Utilities.html
--- 1:3.0.1-6/doc/interpreter/HTML/Timing-Utilities.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Timing-Utilities.html	2009-04-07 11:11:40.000000000 +0100
@@ -68,7 +68,7 @@ referred to as a <var>tm_struct</var>.
    <p><a name="doc_002dtime"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>time</b> ()<var><a name="index-time-1941"></a></var><br>
+&mdash; Loadable Function:  <b>time</b> ()<var><a name="index-time-2003"></a></var><br>
 <blockquote><p>Return the current time as the number of seconds since the epoch.  The
 epoch is referenced to 00:00:00 CUT (Coordinated Universal Time) 1 Jan
 1970.  For example, on Monday February 17, 1997 at 07:15:06 CUT, the
@@ -82,7 +82,7 @@ value returned by <code>time</code> was 
    <p><a name="doc_002dnow"></a>
 
 <div class="defun">
-&mdash; Function File: t = <b>now</b> ()<var><a name="index-now-1942"></a></var><br>
+&mdash; Function File: t = <b>now</b> ()<var><a name="index-now-2004"></a></var><br>
 <blockquote><p>Returns the current local time as the number of days since Jan 1, 0000. 
 By this reckoning, Jan 1, 1970 is day number 719529.
 
@@ -102,7 +102,7 @@ time on Jan 1, 0000.
    <p><a name="doc_002dctime"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>ctime</b> (<var>t</var>)<var><a name="index-ctime-1943"></a></var><br>
+&mdash; Function File:  <b>ctime</b> (<var>t</var>)<var><a name="index-ctime-2005"></a></var><br>
 <blockquote><p>Convert a value returned from <code>time</code> (or any other nonnegative
 integer), to the local time and return a string of the same form as
 <code>asctime</code>.  The function <code>ctime (time)</code> is equivalent to
@@ -116,7 +116,7 @@ integer), to the local time and return a
    <p><a name="doc_002dgmtime"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>gmtime</b> (<var>t</var>)<var><a name="index-gmtime-1944"></a></var><br>
+&mdash; Loadable Function:  <b>gmtime</b> (<var>t</var>)<var><a name="index-gmtime-2006"></a></var><br>
 <blockquote><p>Given a value returned from time (or any nonnegative integer),
 return a time structure corresponding to CUT.  For example,
 
@@ -144,7 +144,7 @@ return a time structure corresponding to
    <p><a name="doc_002dlocaltime"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>localtime</b> (<var>t</var>)<var><a name="index-localtime-1945"></a></var><br>
+&mdash; Loadable Function:  <b>localtime</b> (<var>t</var>)<var><a name="index-localtime-2007"></a></var><br>
 <blockquote><p>Given a value returned from time (or any nonnegative integer),
 return a time structure corresponding to the local time zone.
 
@@ -172,7 +172,7 @@ return a time structure corresponding to
    <p><a name="doc_002dmktime"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>mktime</b> (<var>tm_struct</var>)<var><a name="index-mktime-1946"></a></var><br>
+&mdash; Loadable Function:  <b>mktime</b> (<var>tm_struct</var>)<var><a name="index-mktime-2008"></a></var><br>
 <blockquote><p>Convert a time structure corresponding to the local time to the number
 of seconds since the epoch.  For example,
 
@@ -188,7 +188,7 @@ of seconds since the epoch.  For example
    <p><a name="doc_002dasctime"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>asctime</b> (<var>tm_struct</var>)<var><a name="index-asctime-1947"></a></var><br>
+&mdash; Function File:  <b>asctime</b> (<var>tm_struct</var>)<var><a name="index-asctime-2009"></a></var><br>
 <blockquote><p>Convert a time structure to a string using the following five-field
 format: Thu Mar 28 08:40:14 1996.  For example,
 
@@ -201,7 +201,7 @@ format: Thu Mar 28 08:40:14 1996.  For e
    <p><a name="doc_002dstrftime"></a>
 
 <div class="defun">
-&mdash; Loadable Function:  <b>strftime</b> (<var>fmt, tm_struct</var>)<var><a name="index-strftime-1948"></a></var><br>
+&mdash; Loadable Function:  <b>strftime</b> (<var>fmt, tm_struct</var>)<var><a name="index-strftime-2010"></a></var><br>
 <blockquote><p>Format the time structure <var>tm_struct</var> in a flexible way using the
 format string <var>fmt</var> that contains &lsquo;<samp><span class="samp">%</span></samp>&rsquo; substitutions
 similar to those in <code>printf</code>.  Except where noted, substituted
@@ -315,7 +315,7 @@ field specifiers.
    <p><a name="doc_002dstrptime"></a>
 
 <div class="defun">
-&mdash; Loadable Function: [<var>tm_struct</var>, <var>nchars</var>] = <b>strptime</b> (<var>str, fmt</var>)<var><a name="index-strptime-1949"></a></var><br>
+&mdash; Loadable Function: [<var>tm_struct</var>, <var>nchars</var>] = <b>strptime</b> (<var>str, fmt</var>)<var><a name="index-strptime-2011"></a></var><br>
 <blockquote><p>Convert the string <var>str</var> to the time structure <var>tm_struct</var> under
 the control of the format string <var>fmt</var>.
 
@@ -336,7 +336,7 @@ useful.
    <p><a name="doc_002dclock"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>clock</b> ()<var><a name="index-clock-1950"></a></var><br>
+&mdash; Function File:  <b>clock</b> ()<var><a name="index-clock-2012"></a></var><br>
 <blockquote><p>Return a vector containing the current year, month (1-12), day (1-31),
 hour (0-23), minute (0-59) and second (0-61).  For example,
 
@@ -350,7 +350,7 @@ hour (0-23), minute (0-59) and second (0
    <p><a name="doc_002ddate"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>date</b> ()<var><a name="index-date-1951"></a></var><br>
+&mdash; Function File:  <b>date</b> ()<var><a name="index-date-2013"></a></var><br>
 <blockquote><p>Return the date as a character string in the form DD-MMM-YY.  For
 example,
 
@@ -362,7 +362,7 @@ example,
    <p><a name="doc_002detime"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>etime</b> (<var>t1, t2</var>)<var><a name="index-etime-1952"></a></var><br>
+&mdash; Function File:  <b>etime</b> (<var>t1, t2</var>)<var><a name="index-etime-2014"></a></var><br>
 <blockquote><p>Return the difference (in seconds) between two time values returned from
 <code>clock</code>.  For example:
 
@@ -381,7 +381,7 @@ the variable <code>t0</code> was set.
    <p><a name="doc_002dcputime"></a>
 
 <div class="defun">
-&mdash; Built-in Function: [<var>total</var>, <var>user</var>, <var>system</var>] = <b>cputime</b> ()<var>;<a name="index-cputime-1953"></a></var><br>
+&mdash; Built-in Function: [<var>total</var>, <var>user</var>, <var>system</var>] = <b>cputime</b> ()<var>;<a name="index-cputime-2015"></a></var><br>
 <blockquote><p>Return the CPU time used by your Octave session.  The first output is
 the total time spent executing your process and is equal to the sum of
 second and third outputs, which are the number of CPU seconds spent
@@ -396,7 +396,7 @@ CPU time used is nonzero. 
    <p><a name="doc_002dis_005fleap_005fyear"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>is_leap_year</b> (<var>year</var>)<var><a name="index-is_005fleap_005fyear-1954"></a></var><br>
+&mdash; Function File:  <b>is_leap_year</b> (<var>year</var>)<var><a name="index-is_005fleap_005fyear-2016"></a></var><br>
 <blockquote><p>Return 1 if the given year is a leap year and 0 otherwise.  If no
 arguments are provided, <code>is_leap_year</code> will use the current year. 
 For example,
@@ -409,8 +409,8 @@ For example,
    <p><a name="doc_002dtic"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>tic</b> ()<var><a name="index-tic-1955"></a></var><br>
-&mdash; Built-in Function:  <b>toc</b> ()<var><a name="index-toc-1956"></a></var><br>
+&mdash; Built-in Function:  <b>tic</b> ()<var><a name="index-tic-2017"></a></var><br>
+&mdash; Built-in Function:  <b>toc</b> ()<var><a name="index-toc-2018"></a></var><br>
 <blockquote><p>Set or check a wall-clock timer.  Calling <code>tic</code> without an
 output argument sets the timer.  Subsequent calls to <code>toc</code>
 return the number of seconds since the timer was set.  For example,
@@ -450,7 +450,7 @@ coarse resolution.) 
    <p><a name="doc_002dpause"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>pause</b> (<var>seconds</var>)<var><a name="index-pause-1957"></a></var><br>
+&mdash; Built-in Function:  <b>pause</b> (<var>seconds</var>)<var><a name="index-pause-2019"></a></var><br>
 <blockquote><p>Suspend the execution of the program.  If invoked without any arguments,
 Octave waits until you type a character.  With a numeric argument, it
 pauses for the given number of seconds.  For example, the following
@@ -466,14 +466,14 @@ screen.
    <p><a name="doc_002dsleep"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>sleep</b> (<var>seconds</var>)<var><a name="index-sleep-1958"></a></var><br>
+&mdash; Built-in Function:  <b>sleep</b> (<var>seconds</var>)<var><a name="index-sleep-2020"></a></var><br>
 <blockquote><p>Suspend the execution of the program for the given number of seconds. 
 </p></blockquote></div>
 
    <p><a name="doc_002dusleep"></a>
 
 <div class="defun">
-&mdash; Built-in Function:  <b>usleep</b> (<var>microseconds</var>)<var><a name="index-usleep-1959"></a></var><br>
+&mdash; Built-in Function:  <b>usleep</b> (<var>microseconds</var>)<var><a name="index-usleep-2021"></a></var><br>
 <blockquote><p>Suspend the execution of the program for the given number of
 microseconds.  On systems where it is not possible to sleep for periods
 of time less than one second, <code>usleep</code> will pause the execution for
@@ -483,7 +483,7 @@ of time less than one second, <code>usle
    <p><a name="doc_002ddatestr"></a>
 
 <div class="defun">
-&mdash; Function File: <var>str</var> = <b>datestr</b> (<var>date, </var>[<var>f, </var>[<var>p</var>]])<var><a name="index-datestr-1960"></a></var><br>
+&mdash; Function File: <var>str</var> = <b>datestr</b> (<var>date, </var>[<var>f, </var>[<var>p</var>]])<var><a name="index-datestr-2022"></a></var><br>
 <blockquote><p>Format the given date/time according to the format <code>f</code> and return
 the result in <var>str</var>. <var>date</var> is a serial date number (see
 <code>datenum</code>) or a date vector (see <code>datevec</code>).  The value of
@@ -572,11 +572,11 @@ returned.
    <p><a name="doc_002ddatevec"></a>
 
 <div class="defun">
-&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date</var>)<var><a name="index-datevec-1961"></a></var><br>
-&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, f</var>)<var><a name="index-datevec-1962"></a></var><br>
-&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, p</var>)<var><a name="index-datevec-1963"></a></var><br>
-&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, f, p</var>)<var><a name="index-datevec-1964"></a></var><br>
-&mdash; Function File: [<var>y</var>, <var>m</var>, <var>d</var>, <var>h</var>, <var>mi</var>, <var>s</var>] = <b>datevec</b> (<var><small class="dots">...</small></var>)<var><a name="index-datevec-1965"></a></var><br>
+&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date</var>)<var><a name="index-datevec-2023"></a></var><br>
+&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, f</var>)<var><a name="index-datevec-2024"></a></var><br>
+&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, p</var>)<var><a name="index-datevec-2025"></a></var><br>
+&mdash; Function File: <var>v</var> = <b>datevec</b> (<var>date, f, p</var>)<var><a name="index-datevec-2026"></a></var><br>
+&mdash; Function File: [<var>y</var>, <var>m</var>, <var>d</var>, <var>h</var>, <var>mi</var>, <var>s</var>] = <b>datevec</b> (<var><small class="dots">...</small></var>)<var><a name="index-datevec-2027"></a></var><br>
 <blockquote><p>Convert a serial date number (see <code>datenum</code>) or date string (see
 <code>datestr</code>) into a date vector.
 
@@ -598,10 +598,10 @@ year minus 50.
    <p><a name="doc_002dcalendar"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>calendar</b> (<var><small class="dots">...</small></var>)<var><a name="index-calendar-1966"></a></var><br>
-&mdash; Function File: <var>c</var> = <b>calendar</b> ()<var><a name="index-calendar-1967"></a></var><br>
-&mdash; Function File: <var>c</var> = <b>calendar</b> (<var>d</var>)<var><a name="index-calendar-1968"></a></var><br>
-&mdash; Function File: <var>c</var> = <b>calendar</b> (<var>y, m</var>)<var><a name="index-calendar-1969"></a></var><br>
+&mdash; Function File:  <b>calendar</b> (<var><small class="dots">...</small></var>)<var><a name="index-calendar-2028"></a></var><br>
+&mdash; Function File: <var>c</var> = <b>calendar</b> ()<var><a name="index-calendar-2029"></a></var><br>
+&mdash; Function File: <var>c</var> = <b>calendar</b> (<var>d</var>)<var><a name="index-calendar-2030"></a></var><br>
+&mdash; Function File: <var>c</var> = <b>calendar</b> (<var>y, m</var>)<var><a name="index-calendar-2031"></a></var><br>
 <blockquote><p>If called with no arguments, return the current monthly calendar in
 a 6x7 matrix.
 
@@ -622,7 +622,7 @@ instead of returning a matrix.
    <p><a name="doc_002dweekday"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>n</var>, <var>s</var>] = <b>weekday</b> (<var>d, </var>[<var>form</var>])<var><a name="index-weekday-1970"></a></var><br>
+&mdash; Function File: [<var>n</var>, <var>s</var>] = <b>weekday</b> (<var>d, </var>[<var>form</var>])<var><a name="index-weekday-2032"></a></var><br>
 <blockquote><p>Return the day of week as a number in <var>n</var> and a string in <var>s</var>,
 for example <code>[1, "Sun"]</code>, <code>[2, "Mon"]</code>, <small class="dots">...</small>, or
 <code>[7, "Sat"]</code>.
@@ -641,12 +641,12 @@ contain the full name of the weekday; ot
    <p><a name="doc_002deomday"></a>
 
 <div class="defun">
-&mdash; Function File: <var>e</var> = <b>eomday</b> (<var>y, m</var>)<var><a name="index-eomday-1971"></a></var><br>
+&mdash; Function File: <var>e</var> = <b>eomday</b> (<var>y, m</var>)<var><a name="index-eomday-2033"></a></var><br>
 <blockquote><p>Return the last day of the month <var>m</var> for the year <var>y</var>.
         <pre class="sp">
      
      </pre>
-     <strong>See also:</strong> datenum, datevec, weekday. 
+     <strong>See also:</strong> datenum, datevec, weekday, eomdate. 
 </p></blockquote></div>
 
    </body></html>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Tips.html 1:3.0.5-6/doc/interpreter/HTML/Tips.html
--- 1:3.0.1-6/doc/interpreter/HTML/Tips.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Tips.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix C Tips and Standards</h2>
 
-<p><a name="index-tips-2130"></a><a name="index-standards-of-coding-style-2131"></a><a name="index-coding-standards-2132"></a>
+<p><a name="index-tips-2193"></a><a name="index-standards-of-coding-style-2194"></a><a name="index-coding-standards-2195"></a>
 This chapter describes no additional features of Octave.  Instead it
 gives advice on making effective use of the features described in the
 previous chapters.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Trigonometry.html 1:3.0.5-6/doc/interpreter/HTML/Trigonometry.html
--- 1:3.0.1-6/doc/interpreter/HTML/Trigonometry.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Trigonometry.html	2009-04-07 11:11:40.000000000 +0100
@@ -42,168 +42,168 @@ specified in radians.  To convert from d
    <p><a name="doc_002dsin"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sin</b> (<var>x</var>)<var><a name="index-sin-1053"></a></var><br>
+&mdash; Mapping Function:  <b>sin</b> (<var>x</var>)<var><a name="index-sin-1101"></a></var><br>
 <blockquote><p>Compute the sine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcos"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>cos</b> (<var>x</var>)<var><a name="index-cos-1054"></a></var><br>
+&mdash; Mapping Function:  <b>cos</b> (<var>x</var>)<var><a name="index-cos-1102"></a></var><br>
 <blockquote><p>Compute the cosine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dtan"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>tan</b> (<var>z</var>)<var><a name="index-tan-1055"></a></var><br>
+&mdash; Mapping Function:  <b>tan</b> (<var>z</var>)<var><a name="index-tan-1103"></a></var><br>
 <blockquote><p>Compute tangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dsec"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sec</b> (<var>x</var>)<var><a name="index-sec-1056"></a></var><br>
+&mdash; Mapping Function:  <b>sec</b> (<var>x</var>)<var><a name="index-sec-1104"></a></var><br>
 <blockquote><p>Compute the secant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcsc"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>csc</b> (<var>x</var>)<var><a name="index-csc-1057"></a></var><br>
+&mdash; Mapping Function:  <b>csc</b> (<var>x</var>)<var><a name="index-csc-1105"></a></var><br>
 <blockquote><p>Compute the cosecant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcot"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>cot</b> (<var>x</var>)<var><a name="index-cot-1058"></a></var><br>
+&mdash; Mapping Function:  <b>cot</b> (<var>x</var>)<var><a name="index-cot-1106"></a></var><br>
 <blockquote><p>Compute the cotangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dasin"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>asin</b> (<var>x</var>)<var><a name="index-asin-1059"></a></var><br>
+&mdash; Mapping Function:  <b>asin</b> (<var>x</var>)<var><a name="index-asin-1107"></a></var><br>
 <blockquote><p>Compute the inverse sine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacos"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acos</b> (<var>x</var>)<var><a name="index-acos-1060"></a></var><br>
+&mdash; Mapping Function:  <b>acos</b> (<var>x</var>)<var><a name="index-acos-1108"></a></var><br>
 <blockquote><p>Compute the inverse cosine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002datan"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>atan</b> (<var>x</var>)<var><a name="index-atan-1061"></a></var><br>
+&mdash; Mapping Function:  <b>atan</b> (<var>x</var>)<var><a name="index-atan-1109"></a></var><br>
 <blockquote><p>Compute the inverse tangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dasec"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>asec</b> (<var>x</var>)<var><a name="index-asec-1062"></a></var><br>
+&mdash; Mapping Function:  <b>asec</b> (<var>x</var>)<var><a name="index-asec-1110"></a></var><br>
 <blockquote><p>Compute the inverse secant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacsc"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acsc</b> (<var>x</var>)<var><a name="index-acsc-1063"></a></var><br>
+&mdash; Mapping Function:  <b>acsc</b> (<var>x</var>)<var><a name="index-acsc-1111"></a></var><br>
 <blockquote><p>Compute the inverse cosecant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacot"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acot</b> (<var>x</var>)<var><a name="index-acot-1064"></a></var><br>
+&mdash; Mapping Function:  <b>acot</b> (<var>x</var>)<var><a name="index-acot-1112"></a></var><br>
 <blockquote><p>Compute the inverse cotangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dsinh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sinh</b> (<var>x</var>)<var><a name="index-sinh-1065"></a></var><br>
+&mdash; Mapping Function:  <b>sinh</b> (<var>x</var>)<var><a name="index-sinh-1113"></a></var><br>
 <blockquote><p>Compute the hyperbolic sine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcosh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>cosh</b> (<var>x</var>)<var><a name="index-cosh-1066"></a></var><br>
+&mdash; Mapping Function:  <b>cosh</b> (<var>x</var>)<var><a name="index-cosh-1114"></a></var><br>
 <blockquote><p>Compute the hyperbolic cosine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dtanh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>tanh</b> (<var>x</var>)<var><a name="index-tanh-1067"></a></var><br>
+&mdash; Mapping Function:  <b>tanh</b> (<var>x</var>)<var><a name="index-tanh-1115"></a></var><br>
 <blockquote><p>Compute hyperbolic tangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dsech"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sech</b> (<var>x</var>)<var><a name="index-sech-1068"></a></var><br>
+&mdash; Mapping Function:  <b>sech</b> (<var>x</var>)<var><a name="index-sech-1116"></a></var><br>
 <blockquote><p>Compute the hyperbolic secant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcsch"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>csch</b> (<var>x</var>)<var><a name="index-csch-1069"></a></var><br>
+&mdash; Mapping Function:  <b>csch</b> (<var>x</var>)<var><a name="index-csch-1117"></a></var><br>
 <blockquote><p>Compute the hyperbolic cosecant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dcoth"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>coth</b> (<var>x</var>)<var><a name="index-coth-1070"></a></var><br>
+&mdash; Mapping Function:  <b>coth</b> (<var>x</var>)<var><a name="index-coth-1118"></a></var><br>
 <blockquote><p>Compute the hyperbolic cotangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dasinh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>asinh</b> (<var>x</var>)<var><a name="index-asinh-1071"></a></var><br>
+&mdash; Mapping Function:  <b>asinh</b> (<var>x</var>)<var><a name="index-asinh-1119"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic sine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacosh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acosh</b> (<var>x</var>)<var><a name="index-acosh-1072"></a></var><br>
+&mdash; Mapping Function:  <b>acosh</b> (<var>x</var>)<var><a name="index-acosh-1120"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic cosine of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002datanh"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>atanh</b> (<var>x</var>)<var><a name="index-atanh-1073"></a></var><br>
+&mdash; Mapping Function:  <b>atanh</b> (<var>x</var>)<var><a name="index-atanh-1121"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic tangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dasech"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>asech</b> (<var>x</var>)<var><a name="index-asech-1074"></a></var><br>
+&mdash; Mapping Function:  <b>asech</b> (<var>x</var>)<var><a name="index-asech-1122"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic secant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacsch"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acsch</b> (<var>x</var>)<var><a name="index-acsch-1075"></a></var><br>
+&mdash; Mapping Function:  <b>acsch</b> (<var>x</var>)<var><a name="index-acsch-1123"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic cosecant of each element of <var>x</var>. 
 </p></blockquote></div>
 
    <p><a name="doc_002dacoth"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>acoth</b> (<var>x</var>)<var><a name="index-acoth-1076"></a></var><br>
+&mdash; Mapping Function:  <b>acoth</b> (<var>x</var>)<var><a name="index-acoth-1124"></a></var><br>
 <blockquote><p>Compute the inverse hyperbolic cotangent of each element of <var>x</var>. 
 </p></blockquote></div>
 
@@ -217,7 +217,7 @@ they work on an element by element basis
    <p><a name="doc_002datan2"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>atan2</b> (<var>y, x</var>)<var><a name="index-atan2-1077"></a></var><br>
+&mdash; Mapping Function:  <b>atan2</b> (<var>y, x</var>)<var><a name="index-atan2-1125"></a></var><br>
 <blockquote><p>Compute atan (<var>y</var> / <var>x</var>) for corresponding elements of <var>y</var>
 and <var>x</var>.  The result is in range -pi to pi. 
 </p></blockquote></div>
@@ -228,7 +228,7 @@ Octave also provides the following funct
    <p><a name="doc_002dsind"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>sind</b> (<var>x</var>)<var><a name="index-sind-1078"></a></var><br>
+&mdash; Function File:  <b>sind</b> (<var>x</var>)<var><a name="index-sind-1126"></a></var><br>
 <blockquote><p>Compute the sine of each element of <var>x</var>.  Returns zero in elements
 for which <var>x</var><code>/180</code> is an integer.
         <pre class="sp">
@@ -240,7 +240,7 @@ for which <var>x</var><code>/180</code> 
    <p><a name="doc_002dcosd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cosd</b> (<var>x</var>)<var><a name="index-cosd-1079"></a></var><br>
+&mdash; Function File:  <b>cosd</b> (<var>x</var>)<var><a name="index-cosd-1127"></a></var><br>
 <blockquote><p>Compute the cosine of an angle in degrees.  Returns zero in elements
 for which <code>(</code><var>x</var><code>-90)/180</code> is an integer.
         <pre class="sp">
@@ -252,7 +252,7 @@ for which <code>(</code><var>x</var><cod
    <p><a name="doc_002dtand"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>tand</b> (<var>x</var>)<var><a name="index-tand-1080"></a></var><br>
+&mdash; Function File:  <b>tand</b> (<var>x</var>)<var><a name="index-tand-1128"></a></var><br>
 <blockquote><p>Compute the tangent of an angle in degrees.  Returns zero for elements
 of for which <var>x</var><code>/180</code> is an integer and <code>Inf</code> for elements
 where <code>(</code><var>x</var><code>-90)/180</code> is an integer.
@@ -265,7 +265,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dsecd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>secd</b> (<var>x</var>)<var><a name="index-secd-1081"></a></var><br>
+&mdash; Function File:  <b>secd</b> (<var>x</var>)<var><a name="index-secd-1129"></a></var><br>
 <blockquote><p>Compute the secant of an angle in degrees.
         <pre class="sp">
      
@@ -276,7 +276,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dcscd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cscd</b> (<var>x</var>)<var><a name="index-cscd-1082"></a></var><br>
+&mdash; Function File:  <b>cscd</b> (<var>x</var>)<var><a name="index-cscd-1130"></a></var><br>
 <blockquote><p>Compute the cosecant of an angle in degrees.
         <pre class="sp">
      
@@ -287,7 +287,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dcotd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cotd</b> (<var>x</var>)<var><a name="index-cotd-1083"></a></var><br>
+&mdash; Function File:  <b>cotd</b> (<var>x</var>)<var><a name="index-cotd-1131"></a></var><br>
 <blockquote><p>Compute the cotangent of an angle in degrees.
         <pre class="sp">
      
@@ -298,7 +298,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dasind"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>asind</b> (<var>x</var>)<var><a name="index-asind-1084"></a></var><br>
+&mdash; Function File:  <b>asind</b> (<var>x</var>)<var><a name="index-asind-1132"></a></var><br>
 <blockquote><p>Compute the inverse sine of an angle in degrees.
         <pre class="sp">
      
@@ -309,7 +309,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dacosd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>acosd</b> (<var>x</var>)<var><a name="index-acosd-1085"></a></var><br>
+&mdash; Function File:  <b>acosd</b> (<var>x</var>)<var><a name="index-acosd-1133"></a></var><br>
 <blockquote><p>Compute the inverse cosine of an angle in degrees.
         <pre class="sp">
      
@@ -320,7 +320,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002datand"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>atand</b> (<var>x</var>)<var><a name="index-atand-1086"></a></var><br>
+&mdash; Function File:  <b>atand</b> (<var>x</var>)<var><a name="index-atand-1134"></a></var><br>
 <blockquote><p>Compute the inverse tangent of an angle in degrees.
         <pre class="sp">
      
@@ -331,7 +331,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dasecd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>asecd</b> (<var>x</var>)<var><a name="index-asecd-1087"></a></var><br>
+&mdash; Function File:  <b>asecd</b> (<var>x</var>)<var><a name="index-asecd-1135"></a></var><br>
 <blockquote><p>Compute inverse secant in degrees.
         <pre class="sp">
      
@@ -342,7 +342,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dacscd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>acscd</b> (<var>x</var>)<var><a name="index-acscd-1088"></a></var><br>
+&mdash; Function File:  <b>acscd</b> (<var>x</var>)<var><a name="index-acscd-1136"></a></var><br>
 <blockquote><p>Compute the inverse cosecant of an angle in degrees.
         <pre class="sp">
      
@@ -353,7 +353,7 @@ where <code>(</code><var>x</var><code>-9
    <p><a name="doc_002dacotd"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>acotd</b> (<var>x</var>)<var><a name="index-acotd-1089"></a></var><br>
+&mdash; Function File:  <b>acotd</b> (<var>x</var>)<var><a name="index-acotd-1137"></a></var><br>
 <blockquote><p>Compute the inverse cotangent of an angle in degrees.
         <pre class="sp">
      
Binary files 1:3.0.1-6/doc/interpreter/HTML/triplot.png and 1:3.0.5-6/doc/interpreter/HTML/triplot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Trouble.html 1:3.0.5-6/doc/interpreter/HTML/Trouble.html
--- 1:3.0.1-6/doc/interpreter/HTML/Trouble.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Trouble.html	2009-04-07 11:11:40.000000000 +0100
@@ -33,7 +33,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <h2 class="appendix">Appendix D Known Causes of Trouble</h2>
 
-   <p><a name="index-bugs_002c-known-2136"></a><a name="index-installation-trouble-2137"></a><a name="index-known-causes-of-trouble-2138"></a><a name="index-troubleshooting-2139"></a>
+   <p><a name="index-bugs_002c-known-2199"></a><a name="index-installation-trouble-2200"></a><a name="index-known-causes-of-trouble-2201"></a><a name="index-troubleshooting-2202"></a>
 This section describes known problems that affect users of Octave.  Most
 of these are not Octave bugs per se&mdash;if they were, we would fix them. 
 But the result for a user may be like the result of a bug.
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Two_002dDimensional-Plots.html 1:3.0.5-6/doc/interpreter/HTML/Two_002dDimensional-Plots.html
--- 1:3.0.1-6/doc/interpreter/HTML/Two_002dDimensional-Plots.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Two_002dDimensional-Plots.html	2009-04-07 11:11:39.000000000 +0100
@@ -128,8 +128,6 @@ is assumed.
 
           <br><dt>&lsquo;<samp><span class="samp">.</span></samp>&rsquo;<dd>Set dots plot style.
 
-          <br><dt>&lsquo;<samp><span class="samp">^</span></samp>&rsquo;<dd>Set impulses plot style.
-
           <br><dt>&lsquo;<samp><span class="samp">L</span></samp>&rsquo;<dd>Set steps plot style.
 
           <br><dt>&lsquo;<samp><var>n</var></samp>&rsquo;<dd>Interpreted as the plot color if <var>n</var> is an integer in the range 1 to
@@ -145,7 +143,7 @@ or <code>"w"</code> (white), it is inter
 
           <br><dt>&lsquo;<samp><span class="samp">";title;"</span></samp>&rsquo;<dd>Here <code>"title"</code> is the label for the key.
 
-          <br><dt>&lsquo;<samp><span class="samp">+</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">*</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">o</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">x</span></samp>&rsquo;<dd>Used in combination with the points or linespoints styles, set the point
+          <br><dt>&lsquo;<samp><span class="samp">+</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">*</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">o</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">x</span></samp>&rsquo;<dt>&lsquo;<samp><span class="samp">^</span></samp>&rsquo;<dd>Used in combination with the points or linespoints styles, set the point
 style. 
 </dl>
 
@@ -338,7 +336,8 @@ Properties of the patch graphics object 
 
         <p>With one vector input argument, plot a histogram of the values with
 10 bins.  The range of the histogram bins is determined by the range
-of the data.
+of the data.  With one matrix input argument, plot a hystogram where
+each bin contains a bar per input column.
 
         <p>Given a second scalar argument, use that as the number of bins.
 
@@ -452,8 +451,8 @@ row holds the marker handles).
      <strong>See also:</strong> bar, barh, plot. 
 </p></blockquote></div>
 
-   <p>The <code>contour</code> and <code>contourc</code> functions produce two-dimensional
-contour plots from three dimensional data.
+   <p>The <code>contour</code>, <code>contourf</code> and <code>contourc</code> functions
+produce two-dimensional contour plots from three dimensional data.
 
    <p><a name="doc_002dcontour"></a>
 
@@ -488,11 +487,52 @@ returned.
      <strong>See also:</strong> contourc, patch, plot. 
 </p></blockquote></div>
 
+   <p><a name="doc_002dcontourf"></a>
+
+<div class="defun">
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>x, y, z, lvl</var>)<var><a name="index-contourf-783"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>x, y, z, n</var>)<var><a name="index-contourf-784"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>x, y, z</var>)<var><a name="index-contourf-785"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>z, n</var>)<var><a name="index-contourf-786"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>z, lvl</var>)<var><a name="index-contourf-787"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>z</var>)<var><a name="index-contourf-788"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var>ax, <small class="dots">...</small></var>)<var><a name="index-contourf-789"></a></var><br>
+&mdash; Function File: [<var>c</var>, <var>h</var>] = <b>contourf</b> (<var><small class="dots">...</small>, "property", val</var>)<var><a name="index-contourf-790"></a></var><br>
+<blockquote><p>Compute and plot filled contours of the matrix <var>z</var>. 
+Parameters <var>x</var>, <var>y</var> and <var>n</var> or <var>lvl</var> are optional.
+
+        <p>The return value <var>c</var> is a 2xn matrix containing the contour lines
+as described in the help to the contourc function.
+
+        <p>The return value <var>h</var> is handle-vector to the patch objects creating
+the filled contours.
+
+        <p>If <var>x</var> and <var>y</var> are ommited they are taken as the row/column
+index of <var>z</var>.  <var>n</var> is a scalar denoting the number of lines
+to compute.  Alternatively <var>lvl</var> is a vector containing the
+contour levels. If only one value (e.g. lvl0) is wanted, set
+<var>lvl</var> to [lvl0, lvl0].  If both <var>n</var> or <var>lvl</var> are omitted
+a default value of 10 contour level is assumed.
+
+        <p>If provided, the filled contours are added to the axes object
+<var>ax</var> instead of the current axis.
+
+        <p>The following example plots filled contours of the <code>peaks</code>
+function.
+     <pre class="example">          [x, y, z] = peaks (50);
+          contourf (x, y, z, -7:9)
+</pre>
+        <pre class="sp">
+     
+     </pre>
+     <strong>See also:</strong> contour, contourc, patch. 
+</p></blockquote></div>
+
    <p><a name="doc_002dcontourc"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>c</var>, <var>lev</var>] = <b>contourc</b> (<var>x, y, z, vn</var>)<var><a name="index-contourc-783"></a></var><br>
-<blockquote><p>Compute isolines (countour lines) of the matrix <var>z</var>. 
+&mdash; Function File: [<var>c</var>, <var>lev</var>] = <b>contourc</b> (<var>x, y, z, vn</var>)<var><a name="index-contourc-791"></a></var><br>
+<blockquote><p>Compute isolines (contour lines) of the matrix <var>z</var>. 
 Parameters <var>x</var>, <var>y</var> and <var>vn</var> are optional.
 
         <p>The return value <var>lev</var> is a vector of the contour levels. 
@@ -545,7 +585,7 @@ example,
    <p><a name="doc_002derrorbar"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>errorbar</b> (<var>args</var>)<var><a name="index-errorbar-784"></a></var><br>
+&mdash; Function File:  <b>errorbar</b> (<var>args</var>)<var><a name="index-errorbar-792"></a></var><br>
 <blockquote><p>This function produces two-dimensional plots with errorbars. Many
 different combinations of arguments are possible.  The simplest form is
 
@@ -620,7 +660,7 @@ and <var>y</var> errorbars from <var>y</
    <p><a name="doc_002dsemilogxerr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>semilogxerr</b> (<var>args</var>)<var><a name="index-semilogxerr-785"></a></var><br>
+&mdash; Function File:  <b>semilogxerr</b> (<var>args</var>)<var><a name="index-semilogxerr-793"></a></var><br>
 <blockquote><p>Produce two-dimensional plots on a semilogarithm axis with errorbars. 
 Many different combinations of arguments are possible.  The most used
 form is
@@ -640,7 +680,7 @@ additional information.
    <p><a name="doc_002dsemilogyerr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>semilogyerr</b> (<var>args</var>)<var><a name="index-semilogyerr-786"></a></var><br>
+&mdash; Function File:  <b>semilogyerr</b> (<var>args</var>)<var><a name="index-semilogyerr-794"></a></var><br>
 <blockquote><p>Produce two-dimensional plots on a semilogarithm axis with errorbars. 
 Many different combinations of arguments are possible.  The most used
 form is
@@ -660,7 +700,7 @@ additional information.
    <p><a name="doc_002dloglogerr"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>loglogerr</b> (<var>args</var>)<var><a name="index-loglogerr-787"></a></var><br>
+&mdash; Function File:  <b>loglogerr</b> (<var>args</var>)<var><a name="index-loglogerr-795"></a></var><br>
 <blockquote><p>Produce two-dimensional plots on double logarithm axis with
 errorbars.  Many different combinations of arguments are possible. 
 The most used form is
@@ -693,7 +733,7 @@ and linear.  For example,
    <p><a name="doc_002dpolar"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polar</b> (<var>theta, rho, fmt</var>)<var><a name="index-polar-788"></a></var><br>
+&mdash; Function File:  <b>polar</b> (<var>theta, rho, fmt</var>)<var><a name="index-polar-796"></a></var><br>
 <blockquote><p>Make a two-dimensional plot given the polar coordinates <var>theta</var> and
 <var>rho</var>.
 
@@ -707,14 +747,14 @@ and linear.  For example,
    <p><a name="doc_002dpie"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pie</b> (<var>y</var>)<var><a name="index-pie-789"></a></var><br>
-&mdash; Function File:  <b>pie</b> (<var>y, explode</var>)<var><a name="index-pie-790"></a></var><br>
-&mdash; Function File:  <b>pie</b> (<var><small class="dots">...</small>, labels</var>)<var><a name="index-pie-791"></a></var><br>
-&mdash; Function File:  <b>pie</b> (<var>h, <small class="dots">...</small></var>)<var>;<a name="index-pie-792"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>pie</b> (<var><small class="dots">...</small></var>)<var>;<a name="index-pie-793"></a></var><br>
+&mdash; Function File:  <b>pie</b> (<var>y</var>)<var><a name="index-pie-797"></a></var><br>
+&mdash; Function File:  <b>pie</b> (<var>y, explode</var>)<var><a name="index-pie-798"></a></var><br>
+&mdash; Function File:  <b>pie</b> (<var><small class="dots">...</small>, labels</var>)<var><a name="index-pie-799"></a></var><br>
+&mdash; Function File:  <b>pie</b> (<var>h, <small class="dots">...</small></var>)<var>;<a name="index-pie-800"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>pie</b> (<var><small class="dots">...</small></var>)<var>;<a name="index-pie-801"></a></var><br>
 <blockquote><p>Produce a pie chart.
 
-        <p>Called with a single vector arrgument, produces a pie chart of the
+        <p>Called with a single vector argument, produces a pie chart of the
 elements in <var>x</var>, with the size of the slice determined by percentage
 size of the values of <var>x</var>.
 
@@ -735,13 +775,13 @@ if non zero 'explodes' the slice from th
    <p><a name="doc_002dquiver"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>quiver</b> (<var>u, v</var>)<var><a name="index-quiver-794"></a></var><br>
-&mdash; Function File:  <b>quiver</b> (<var>x, y, u, v</var>)<var><a name="index-quiver-795"></a></var><br>
-&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, s</var>)<var><a name="index-quiver-796"></a></var><br>
-&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, style</var>)<var><a name="index-quiver-797"></a></var><br>
-&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, 'filled'</var>)<var><a name="index-quiver-798"></a></var><br>
-&mdash; Function File:  <b>quiver</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-quiver-799"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>quiver</b> (<var><small class="dots">...</small></var>)<var><a name="index-quiver-800"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var>u, v</var>)<var><a name="index-quiver-802"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var>x, y, u, v</var>)<var><a name="index-quiver-803"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, s</var>)<var><a name="index-quiver-804"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, style</var>)<var><a name="index-quiver-805"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var><small class="dots">...</small>, 'filled'</var>)<var><a name="index-quiver-806"></a></var><br>
+&mdash; Function File:  <b>quiver</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-quiver-807"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>quiver</b> (<var><small class="dots">...</small></var>)<var><a name="index-quiver-808"></a></var><br>
 <blockquote>
         <p>Plot the <code>(</code><var>u</var><code>, </code><var>v</var><code>)</code> components of a vector field in
 an <code>(</code><var>x</var><code>, </code><var>y</var><code>)</code> meshgrid. If the grid is uniform, you can
@@ -776,35 +816,53 @@ the parts of the vector field (body, arr
    <p><a name="doc_002dpcolor"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>pcolor</b> (<var>x, y, c</var>)<var><a name="index-pcolor-801"></a></var><br>
-&mdash; Function File:  <b>pcolor</b> (<var>c</var>)<var><a name="index-pcolor-802"></a></var><br>
+&mdash; Function File:  <b>pcolor</b> (<var>x, y, c</var>)<var><a name="index-pcolor-809"></a></var><br>
+&mdash; Function File:  <b>pcolor</b> (<var>c</var>)<var><a name="index-pcolor-810"></a></var><br>
 <blockquote><p>Density plot for given matrices <var>x</var>, and <var>y</var> from <code>meshgrid</code> and
 a matrix <var>c</var> corresponding to the <var>x</var> and <var>y</var> coordinates of
-the mesh.  If <var>x</var> and <var>y</var> are vectors, then a typical vertex
+the mesh's vertices. If <var>x</var> and <var>y</var> are vectors, then a typical vertex
 is (<var>x</var>(j), <var>y</var>(i), <var>c</var>(i,j)).  Thus, columns of <var>c</var>
 correspond to different <var>x</var> values and rows of <var>c</var> correspond
 to different <var>y</var> values.
+
+        <p>The <code>colormap</code> is scaled to the extents of <var>c</var>. 
+Limits may be placed on the color axis by the
+command <code>caxis</code>, or by setting the <code>clim</code> property of the
+parent axis.
+
+        <p>The face color of each cell of the mesh is determined by interpolating
+the values of <var>c</var> for the cell's vertices. Contrast this with
+<code>imagesc</code> which renders one cell for each element of <var>c</var>.
+
+        <p><code>shading</code> modifies an attribute determining the manner by which the
+face color of each cell is interpolated from the values of <var>c</var>,
+and the visibility of the cells' edges. By default the attribute is
+"faceted", which renders a single color for each cell's face with the edge
+visible.
+
+        <p><var>h</var> is the handle to the surface object.
+
         <pre class="sp">
      
      </pre>
-     <strong>See also:</strong> meshgrid, contour. 
+     <strong>See also:</strong> caxis, contour, meshgrid, imagesc, shading. 
 </p></blockquote></div>
 
    <p><a name="doc_002darea"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>area</b> (<var>x, y</var>)<var><a name="index-area-803"></a></var><br>
-&mdash; Function File:  <b>area</b> (<var>x, y, lvl</var>)<var><a name="index-area-804"></a></var><br>
-&mdash; Function File:  <b>area</b> (<var><small class="dots">...</small>, prop, val, <small class="dots">...</small></var>)<var><a name="index-area-805"></a></var><br>
-&mdash; Function File:  <b>area</b> (<var>y, <small class="dots">...</small></var>)<var><a name="index-area-806"></a></var><br>
-&mdash; Function File:  <b>area</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-area-807"></a></var><br>
-&mdash; Function File: <var>h</var> = <b>area</b> (<var><small class="dots">...</small></var>)<var><a name="index-area-808"></a></var><br>
-<blockquote><p>Area plot of cummulative sum of the columns of <var>y</var>. This shows the
+&mdash; Function File:  <b>area</b> (<var>x, y</var>)<var><a name="index-area-811"></a></var><br>
+&mdash; Function File:  <b>area</b> (<var>x, y, lvl</var>)<var><a name="index-area-812"></a></var><br>
+&mdash; Function File:  <b>area</b> (<var><small class="dots">...</small>, prop, val, <small class="dots">...</small></var>)<var><a name="index-area-813"></a></var><br>
+&mdash; Function File:  <b>area</b> (<var>y, <small class="dots">...</small></var>)<var><a name="index-area-814"></a></var><br>
+&mdash; Function File:  <b>area</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-area-815"></a></var><br>
+&mdash; Function File: <var>h</var> = <b>area</b> (<var><small class="dots">...</small></var>)<var><a name="index-area-816"></a></var><br>
+<blockquote><p>Area plot of cumulative sum of the columns of <var>y</var>. This shows the
 contributions of a value to a sum, and is functionally similar to
 <code>plot (</code><var>x</var><code>, cumsum (</code><var>y</var><code>, 2))</code>, except that the area under
 the curve is shaded.
 
-        <p>If the <var>x</var> argument is ommitted it is assumed to be given by
+        <p>If the <var>x</var> argument is omitted it is assumed to be given by
 <code>1 : rows (</code><var>y</var><code>)</code>. A value <var>lvl</var> can be defined that determines
 where the base level of the shading under the curve should be defined.
 
@@ -818,12 +876,13 @@ the list of patch objects.
 </p></blockquote></div>
 
    <p>The axis function may be used to change the axis limits of an existing
-plot.
+plot and various other axis properties, such as the aspect ratio and the
+appearance of tic marks.
 
    <p><a name="doc_002daxis"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>axis</b> (<var>limits</var>)<var><a name="index-axis-809"></a></var><br>
+&mdash; Function File:  <b>axis</b> (<var>limits</var>)<var><a name="index-axis-817"></a></var><br>
 <blockquote><p>Set axis limits for plots.
 
         <p>The argument <var>limits</var> should be a 2, 4, or 6 element vector.  The
@@ -899,8 +958,8 @@ function.
    <p><a name="doc_002dcaxis"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>caxis</b> (<var>limits</var>)<var><a name="index-caxis-810"></a></var><br>
-&mdash; Function File:  <b>caxis</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-caxis-811"></a></var><br>
+&mdash; Function File:  <b>caxis</b> (<var>limits</var>)<var><a name="index-caxis-818"></a></var><br>
+&mdash; Function File:  <b>caxis</b> (<var>h, <small class="dots">...</small></var>)<var><a name="index-caxis-819"></a></var><br>
 <blockquote><p>Set color axis limits for plots.
 
         <p>The argument <var>limits</var> should be a 2 element vector specifying the
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Using-Octave-Mode.html 1:3.0.5-6/doc/interpreter/HTML/Using-Octave-Mode.html
--- 1:3.0.1-6/doc/interpreter/HTML/Using-Octave-Mode.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Using-Octave-Mode.html	2009-04-07 11:11:40.000000000 +0100
@@ -264,7 +264,7 @@ using <code>font-lock-keyword-face</code
    <p>There is also rudimentary support for Imenu (currently, function names
 can be indexed).
 
-   <p><a name="index-TAGS-2180"></a><a name="index-Emacs-TAGS-files-2181"></a><a name="index-g_t_0040code_007boctave_002dtags_007d-2182"></a>You can generate TAGS files for Emacs from Octave <samp><span class="file">.m</span></samp> files using
+   <p><a name="index-TAGS-2243"></a><a name="index-Emacs-TAGS-files-2244"></a><a name="index-g_t_0040code_007boctave_002dtags_007d-2245"></a>You can generate TAGS files for Emacs from Octave <samp><span class="file">.m</span></samp> files using
 the shell script <code>octave-tags</code> that is installed alongside your copy of
 Octave.
 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Utility-Functions.html 1:3.0.5-6/doc/interpreter/HTML/Utility-Functions.html
--- 1:3.0.1-6/doc/interpreter/HTML/Utility-Functions.html	2008-04-21 17:58:35.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Utility-Functions.html	2009-04-07 11:11:40.000000000 +0100
@@ -40,7 +40,7 @@ each element of the matrix.
    <p><a name="doc_002dceil"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>ceil</b> (<var>x</var>)<var><a name="index-ceil-1008"></a></var><br>
+&mdash; Mapping Function:  <b>ceil</b> (<var>x</var>)<var><a name="index-ceil-1056"></a></var><br>
 <blockquote><p>Return the smallest integer not less than <var>x</var>.  If <var>x</var> is
 complex, return <code>ceil (real (</code><var>x</var><code>)) + ceil (imag (</code><var>x</var><code>)) * I</code>. 
 </p></blockquote></div>
@@ -48,7 +48,7 @@ complex, return <code>ceil (real (</code
    <p><a name="doc_002dcplxpair"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>cplxpair</b> (<var>z, tol, dim</var>)<var><a name="index-cplxpair-1009"></a></var><br>
+&mdash; Function File:  <b>cplxpair</b> (<var>z, tol, dim</var>)<var><a name="index-cplxpair-1057"></a></var><br>
 <blockquote><p>Sort the numbers <var>z</var> into complex conjugate pairs ordered by
 increasing real part.  With identical real parts, order by increasing
 imaginary magnitude. Place the negative imaginary complex number
@@ -74,9 +74,9 @@ pairs with identical real parts but diff
    <p><a name="doc_002ddel2"></a>
 
 <div class="defun">
-&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m</var>)<var><a name="index-del2-1010"></a></var><br>
-&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m, h</var>)<var><a name="index-del2-1011"></a></var><br>
-&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m, dx, dy, <small class="dots">...</small></var>)<var><a name="index-del2-1012"></a></var><br>
+&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m</var>)<var><a name="index-del2-1058"></a></var><br>
+&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m, h</var>)<var><a name="index-del2-1059"></a></var><br>
+&mdash; Function File: <var>d</var> = <b>del2</b> (<var>m, dx, dy, <small class="dots">...</small></var>)<var><a name="index-del2-1060"></a></var><br>
 <blockquote>
         <p>Calculates the discrete Laplace operator. If <var>m</var> is a matrix this is
 defined as
@@ -108,7 +108,7 @@ calculated as the linear extrapolation o
    <p><a name="doc_002dexp"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>exp</b> (<var>x</var>)<var><a name="index-exp-1013"></a></var><br>
+&mdash; Mapping Function:  <b>exp</b> (<var>x</var>)<var><a name="index-exp-1061"></a></var><br>
 <blockquote><p>Compute the exponential of <var>x</var>.  To compute the matrix exponential,
 see <a href="Linear-Algebra.html#Linear-Algebra">Linear Algebra</a>. 
 </p></blockquote></div>
@@ -116,8 +116,8 @@ see <a href="Linear-Algebra.html#Linear-
    <p><a name="doc_002dfactor"></a>
 
 <div class="defun">
-&mdash; Function File: <var>p</var> = <b>factor</b> (<var>q</var>)<var><a name="index-factor-1014"></a></var><br>
-&mdash; Function File: [<var>p</var>, <var>n</var>] = <b>factor</b> (<var>q</var>)<var><a name="index-factor-1015"></a></var><br>
+&mdash; Function File: <var>p</var> = <b>factor</b> (<var>q</var>)<var><a name="index-factor-1062"></a></var><br>
+&mdash; Function File: [<var>p</var>, <var>n</var>] = <b>factor</b> (<var>q</var>)<var><a name="index-factor-1063"></a></var><br>
 <blockquote>
         <p>Return prime factorization of <var>q</var>. That is <code>prod (</code><var>p</var><code>)
 == </code><var>q</var>. If <var>q</var><code> == 1</code>, returns 1.
@@ -131,7 +131,7 @@ their multiplicities. That is <code>prod
    <p><a name="doc_002dfactorial"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>factorial</b> (<var>n</var>)<var><a name="index-factorial-1016"></a></var><br>
+&mdash; Function File:  <b>factorial</b> (<var>n</var>)<var><a name="index-factorial-1064"></a></var><br>
 <blockquote><p>Return the factorial of <var>n</var>. If <var>n</var> is scalar, this is
 equivalent to <code>prod (1:</code><var>n</var><code>)</code>.  If <var>n</var> is an array,
 the factorial of the elements of the array are returned. 
@@ -140,7 +140,7 @@ the factorial of the elements of the arr
    <p><a name="doc_002dfix"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>fix</b> (<var>x</var>)<var><a name="index-fix-1017"></a></var><br>
+&mdash; Mapping Function:  <b>fix</b> (<var>x</var>)<var><a name="index-fix-1065"></a></var><br>
 <blockquote><p>Truncate <var>x</var> toward zero.  If <var>x</var> is complex, return
 <code>fix (real (</code><var>x</var><code>)) + fix (imag (</code><var>x</var><code>)) * I</code>. 
 </p></blockquote></div>
@@ -148,7 +148,7 @@ the factorial of the elements of the arr
    <p><a name="doc_002dfloor"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>floor</b> (<var>x</var>)<var><a name="index-floor-1018"></a></var><br>
+&mdash; Mapping Function:  <b>floor</b> (<var>x</var>)<var><a name="index-floor-1066"></a></var><br>
 <blockquote><p>Return the largest integer not greater than <var>x</var>.  If <var>x</var> is
 complex, return <code>floor (real (</code><var>x</var><code>)) + floor (imag (</code><var>x</var><code>)) * I</code>. 
 </p></blockquote></div>
@@ -156,7 +156,7 @@ complex, return <code>floor (real (</cod
    <p><a name="doc_002dfmod"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>fmod</b> (<var>x, y</var>)<var><a name="index-fmod-1019"></a></var><br>
+&mdash; Mapping Function:  <b>fmod</b> (<var>x, y</var>)<var><a name="index-fmod-1067"></a></var><br>
 <blockquote><p>Compute the floating point remainder of dividing <var>x</var> by <var>y</var>
 using the C library function <code>fmod</code>.  The result has the same
 sign as <var>x</var>.  If <var>y</var> is zero, the result implementation-defined. 
@@ -165,8 +165,8 @@ sign as <var>x</var>.  If <var>y</var> i
    <p><a name="doc_002dgcd"></a>
 
 <div class="defun">
-&mdash; Loadable Function: <var>g</var> = <b>gcd</b> (<var>a1, <small class="dots">...</small></var>)<var><a name="index-gcd-1020"></a></var><br>
-&mdash; Loadable Function: [<var>g</var>, <var>v1</var>, <small class="dots">...</small>] = <b>gcd</b> (<var>a1, <small class="dots">...</small></var>)<var><a name="index-gcd-1021"></a></var><br>
+&mdash; Loadable Function: <var>g</var> = <b>gcd</b> (<var>a1, <small class="dots">...</small></var>)<var><a name="index-gcd-1068"></a></var><br>
+&mdash; Loadable Function: [<var>g</var>, <var>v1</var>, <small class="dots">...</small>] = <b>gcd</b> (<var>a1, <small class="dots">...</small></var>)<var><a name="index-gcd-1069"></a></var><br>
 <blockquote>
         <p>If a single argument is given then compute the greatest common divisor of
 the elements of this argument. Otherwise if more than one argument is
@@ -199,10 +199,10 @@ all of the values of <var>v1</var>, <sma
    <p><a name="doc_002dgradient"></a>
 
 <div class="defun">
-&mdash; Function File: <var>x</var> = <b>gradient</b> (<var>M</var>)<var><a name="index-gradient-1022"></a></var><br>
-&mdash; Function File: [<var>x</var>, <var>y</var>, <small class="dots">...</small>] = <b>gradient</b> (<var>M</var>)<var><a name="index-gradient-1023"></a></var><br>
-&mdash; Function File: [<small class="dots">...</small>] = <b>gradient</b> (<var>M, s</var>)<var><a name="index-gradient-1024"></a></var><br>
-&mdash; Function File: [<small class="dots">...</small>] = <b>gradient</b> (<var>M, dx, dy, <small class="dots">...</small></var>)<var><a name="index-gradient-1025"></a></var><br>
+&mdash; Function File: <var>x</var> = <b>gradient</b> (<var>M</var>)<var><a name="index-gradient-1070"></a></var><br>
+&mdash; Function File: [<var>x</var>, <var>y</var>, <small class="dots">...</small>] = <b>gradient</b> (<var>M</var>)<var><a name="index-gradient-1071"></a></var><br>
+&mdash; Function File: [<small class="dots">...</small>] = <b>gradient</b> (<var>M, s</var>)<var><a name="index-gradient-1072"></a></var><br>
+&mdash; Function File: [<small class="dots">...</small>] = <b>gradient</b> (<var>M, dx, dy, <small class="dots">...</small></var>)<var><a name="index-gradient-1073"></a></var><br>
 <blockquote>
         <p>Calculates the gradient. <var>x</var><code> = gradient (</code><var>M</var><code>)</code>
 calculates the one dimensional gradient if <var>M</var> is a vector. If
@@ -231,7 +231,7 @@ are calculated with the first approximat
    <p><a name="doc_002dlcm"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>lcm</b> (<var>x, <small class="dots">...</small></var>)<var><a name="index-lcm-1026"></a></var><br>
+&mdash; Mapping Function:  <b>lcm</b> (<var>x, <small class="dots">...</small></var>)<var><a name="index-lcm-1074"></a></var><br>
 <blockquote><p>Compute the least common multiple of the elements of <var>x</var>, or
 the list of all the arguments.  For example,
 
@@ -251,7 +251,7 @@ the list of all the arguments.  For exam
    <p><a name="doc_002dlog"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>log</b> (<var>x</var>)<var><a name="index-log-1027"></a></var><br>
+&mdash; Mapping Function:  <b>log</b> (<var>x</var>)<var><a name="index-log-1075"></a></var><br>
 <blockquote><p>Compute the natural logarithm for each element of <var>x</var>.  To compute the
 matrix logarithm, see <a href="Linear-Algebra.html#Linear-Algebra">Linear Algebra</a>.
         <pre class="sp">
@@ -263,7 +263,7 @@ matrix logarithm, see <a href="Linear-Al
    <p><a name="doc_002dlog10"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>log10</b> (<var>x</var>)<var><a name="index-log10-1028"></a></var><br>
+&mdash; Mapping Function:  <b>log10</b> (<var>x</var>)<var><a name="index-log10-1076"></a></var><br>
 <blockquote><p>Compute the base-10 logarithm for each element of <var>x</var>.
         <pre class="sp">
      
@@ -274,8 +274,8 @@ matrix logarithm, see <a href="Linear-Al
    <p><a name="doc_002dlog2"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>log2</b> (<var>x</var>)<var><a name="index-log2-1029"></a></var><br>
-&mdash; Mapping Function: [<var>f</var>, <var>e</var>] = <b>log2</b> (<var>x</var>)<var><a name="index-log2-1030"></a></var><br>
+&mdash; Mapping Function:  <b>log2</b> (<var>x</var>)<var><a name="index-log2-1077"></a></var><br>
+&mdash; Mapping Function: [<var>f</var>, <var>e</var>] = <b>log2</b> (<var>x</var>)<var><a name="index-log2-1078"></a></var><br>
 <blockquote><p>Compute the base-2 logarithm of <var>x</var>.  With two outputs, returns
 <var>f</var> and <var>e</var> such that
  1/2 &lt;= abs(f) &lt; 1 and x = f * 2^e.
@@ -288,9 +288,9 @@ matrix logarithm, see <a href="Linear-Al
    <p><a name="doc_002dmax"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>max</b> (<var>x, y, dim</var>)<var><a name="index-max-1031"></a></var><br>
-&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>max</b> (<var>x</var>)<var><a name="index-max-1032"></a></var><br>
-<blockquote><p><a name="index-Utility-Functions-1033"></a>For a vector argument, return the maximum value.  For a matrix
+&mdash; Mapping Function:  <b>max</b> (<var>x, y, dim</var>)<var><a name="index-max-1079"></a></var><br>
+&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>max</b> (<var>x</var>)<var><a name="index-max-1080"></a></var><br>
+<blockquote><p><a name="index-Utility-Functions-1081"></a>For a vector argument, return the maximum value.  For a matrix
 argument, return the maximum value from each column, as a row
 vector, or over the dimension <var>dim</var> if defined. For two matrices
 (or a matrix and scalar), return the pair-wise maximum. 
@@ -322,9 +322,9 @@ maximum value(s). Thus,
    <p><a name="doc_002dmin"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>min</b> (<var>x, y, dim</var>)<var><a name="index-min-1034"></a></var><br>
-&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>min</b> (<var>x</var>)<var><a name="index-min-1035"></a></var><br>
-<blockquote><p><a name="index-Utility-Functions-1036"></a>For a vector argument, return the minimum value.  For a matrix
+&mdash; Mapping Function:  <b>min</b> (<var>x, y, dim</var>)<var><a name="index-min-1082"></a></var><br>
+&mdash; Mapping Function: [<var>w</var>, <var>iw</var>] = <b>min</b> (<var>x</var>)<var><a name="index-min-1083"></a></var><br>
+<blockquote><p><a name="index-Utility-Functions-1084"></a>For a vector argument, return the minimum value.  For a matrix
 argument, return the minimum value from each column, as a row
 vector, or over the dimension <var>dim</var> if defined. For two matrices
 (or a matrix and scalar), return the pair-wise minimum. 
@@ -356,13 +356,14 @@ minimum value(s). Thus,
    <p><a name="doc_002dmod"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>mod</b> (<var>x, y</var>)<var><a name="index-mod-1037"></a></var><br>
-<blockquote><p>Compute modulo function, using
+&mdash; Mapping Function:  <b>mod</b> (<var>x, y</var>)<var><a name="index-mod-1085"></a></var><br>
+<blockquote><p>Compute modulo function. Conceptually this is given by
 
      <pre class="example">          x - y .* floor (x ./ y)
 </pre>
-        <p>Note that this handles negative numbers correctly:
-<code>mod (-1, 3)</code> is 2, not -1 as <code>rem (-1, 3)</code> returns. 
+        <p>and is written in a manner that the correct modulus is returned for
+integer types. This function handles negative values correctly. That
+is <code>mod (-1, 3)</code> is 2, not -1 as <code>rem (-1, 3)</code> returns. 
 Also, <code>mod (</code><var>x</var><code>, 0)</code> returns <var>x</var>.
 
         <p>An error message is printed if the dimensions of the arguments do not
@@ -376,7 +377,7 @@ agree, or if either of the arguments is 
    <p><a name="doc_002dnextpow2"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nextpow2</b> (<var>x</var>)<var><a name="index-nextpow2-1038"></a></var><br>
+&mdash; Function File:  <b>nextpow2</b> (<var>x</var>)<var><a name="index-nextpow2-1086"></a></var><br>
 <blockquote><p>If <var>x</var> is a scalar, returns the first integer <var>n</var> such that
  2^n &gt;= abs (x).
 
@@ -390,7 +391,7 @@ agree, or if either of the arguments is 
    <p><a name="doc_002dnthroot"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>nthroot</b> (<var>x, n</var>)<var><a name="index-nthroot-1039"></a></var><br>
+&mdash; Function File:  <b>nthroot</b> (<var>x, n</var>)<var><a name="index-nthroot-1087"></a></var><br>
 <blockquote>
         <p>Compute the nth root of <var>x</var>, returning real results for real
 components of <var>x</var>. For example
@@ -405,8 +406,8 @@ components of <var>x</var>. For example
    <p><a name="doc_002dpow2"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>pow2</b> (<var>x</var>)<var><a name="index-pow2-1040"></a></var><br>
-&mdash; Mapping Function:  <b>pow2</b> (<var>f, e</var>)<var><a name="index-pow2-1041"></a></var><br>
+&mdash; Mapping Function:  <b>pow2</b> (<var>x</var>)<var><a name="index-pow2-1088"></a></var><br>
+&mdash; Mapping Function:  <b>pow2</b> (<var>f, e</var>)<var><a name="index-pow2-1089"></a></var><br>
 <blockquote><p>With one argument, computes
  2 .^ x
 for each element of <var>x</var>.  With two arguments, returns
@@ -420,7 +421,7 @@ for each element of <var>x</var>.  With 
    <p><a name="doc_002dprimes"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>primes</b> (<var>n</var>)<var><a name="index-primes-1042"></a></var><br>
+&mdash; Function File:  <b>primes</b> (<var>n</var>)<var><a name="index-primes-1090"></a></var><br>
 <blockquote>
         <p>Return all primes up to <var>n</var>.
 
@@ -435,7 +436,7 @@ that there are about k primes less than 
    <p><a name="doc_002drem"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>rem</b> (<var>x, y</var>)<var><a name="index-rem-1043"></a></var><br>
+&mdash; Mapping Function:  <b>rem</b> (<var>x, y</var>)<var><a name="index-rem-1091"></a></var><br>
 <blockquote><p>Return the remainder of <var>x</var><code> / </code><var>y</var>, computed using the
 expression
 
@@ -452,7 +453,7 @@ agree, or if either of the arguments is 
    <p><a name="doc_002dround"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>round</b> (<var>x</var>)<var><a name="index-round-1044"></a></var><br>
+&mdash; Mapping Function:  <b>round</b> (<var>x</var>)<var><a name="index-round-1092"></a></var><br>
 <blockquote><p>Return the integer nearest to <var>x</var>.  If <var>x</var> is complex, return
 <code>round (real (</code><var>x</var><code>)) + round (imag (</code><var>x</var><code>)) * I</code>.
         <pre class="sp">
@@ -464,7 +465,7 @@ agree, or if either of the arguments is 
    <p><a name="doc_002dsign"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sign</b> (<var>x</var>)<var><a name="index-sign-1045"></a></var><br>
+&mdash; Mapping Function:  <b>sign</b> (<var>x</var>)<var><a name="index-sign-1093"></a></var><br>
 <blockquote><p>Compute the <dfn>signum</dfn> function, which is defined as
 
      <pre class="example">                     -1, x &lt; 0;
@@ -477,7 +478,7 @@ agree, or if either of the arguments is 
    <p><a name="doc_002dsqrt"></a>
 
 <div class="defun">
-&mdash; Mapping Function:  <b>sqrt</b> (<var>x</var>)<var><a name="index-sqrt-1046"></a></var><br>
+&mdash; Mapping Function:  <b>sqrt</b> (<var>x</var>)<var><a name="index-sqrt-1094"></a></var><br>
 <blockquote><p>Compute the square root of <var>x</var>.  If <var>x</var> is negative, a complex
 result is returned.  To compute the matrix square root, see
 <a href="Linear-Algebra.html#Linear-Algebra">Linear Algebra</a>. 
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Variable-Index.html 1:3.0.5-6/doc/interpreter/HTML/Variable-Index.html
--- 1:3.0.1-6/doc/interpreter/HTML/Variable-Index.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Variable-Index.html	2009-04-07 11:11:40.000000000 +0100
@@ -45,25 +45,25 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <li><a href="Defaults-from-the-Environment.html#index-EDITOR-413"><code>EDITOR</code></a>: <a href="Defaults-from-the-Environment.html#Defaults-from-the-Environment">Defaults from the Environment</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-EDITOR-382"><code>EDITOR</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-EXEC_005fPATH-383"><code>EXEC_PATH</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
-<li><a href="Controlling-Subprocesses.html#index-F_005fDUPFD-2041"><code>F_DUPFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-F_005fGETFD-2042"><code>F_GETFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-F_005fGETFL-2044"><code>F_GETFL</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-F_005fSETFD-2043"><code>F_SETFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-F_005fSETFL-2053"><code>F_SETFL</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-F_005fDUPFD-2103"><code>F_DUPFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-F_005fGETFD-2104"><code>F_GETFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-F_005fGETFL-2106"><code>F_GETFL</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-F_005fSETFD-2105"><code>F_SETFD</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-F_005fSETFL-2115"><code>F_SETFL</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-fixed_005fpoint_005fformat-393"><code>fixed_point_format</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-gnuplot_005fbinary-394"><code>gnuplot_binary</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-history_005ffile-395"><code>history_file</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-history_005fsize-396"><code>history_size</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-ignore_005ffunction_005ftime_005fstamp-397"><code>ignore_function_time_stamp</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
 <li><a href="Summary-of-Built_002din-Variables.html#index-max_005frecursion_005fdepth-398"><code>max_recursion_depth</code></a>: <a href="Summary-of-Built_002din-Variables.html#Summary-of-Built_002din-Variables">Summary of Built-in Variables</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fAPPEND-2048"><code>O_APPEND</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fASYNC-2052"><code>O_ASYNC</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fCREAT-2049"><code>O_CREAT</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fNONBLOCK-2050"><code>O_NONBLOCK</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fRDONLY-2045"><code>O_RDONLY</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fRDWR-2047"><code>O_RDWR</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fSYNC-2051"><code>O_SYNC</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
-<li><a href="Controlling-Subprocesses.html#index-O_005fWRONLY-2046"><code>O_WRONLY</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fAPPEND-2110"><code>O_APPEND</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fASYNC-2114"><code>O_ASYNC</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fCREAT-2111"><code>O_CREAT</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fNONBLOCK-2112"><code>O_NONBLOCK</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fRDONLY-2107"><code>O_RDONLY</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fRDWR-2109"><code>O_RDWR</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fSYNC-2113"><code>O_SYNC</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
+<li><a href="Controlling-Subprocesses.html#index-O_005fWRONLY-2108"><code>O_WRONLY</code></a>: <a href="Controlling-Subprocesses.html#Controlling-Subprocesses">Controlling Subprocesses</a></li>
 <li><a href="Defaults-from-the-Environment.html#index-OCTAVE_005fEXEC_005fPATH-414"><code>OCTAVE_EXEC_PATH</code></a>: <a href="Defaults-from-the-Environment.html#Defaults-from-the-Environment">Defaults from the Environment</a></li>
 <li><a href="Defaults-from-the-Environment.html#index-OCTAVE_005fHISTFILE-419"><code>OCTAVE_HISTFILE</code></a>: <a href="Defaults-from-the-Environment.html#Defaults-from-the-Environment">Defaults from the Environment</a></li>
 <li><a href="Defaults-from-the-Environment.html#index-OCTAVE_005fHISTSIZE-418"><code>OCTAVE_HISTSIZE</code></a>: <a href="Defaults-from-the-Environment.html#Defaults-from-the-Environment">Defaults from the Environment</a></li>
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/Voronoi-Diagrams.html 1:3.0.5-6/doc/interpreter/HTML/Voronoi-Diagrams.html
--- 1:3.0.1-6/doc/interpreter/HTML/Voronoi-Diagrams.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/Voronoi-Diagrams.html	2009-04-07 11:11:40.000000000 +0100
@@ -46,10 +46,10 @@ simplicies of the Delaunay tessellation.
    <p><a name="doc_002dvoronoi"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>voronoi</b> (<var>x, y</var>)<var><a name="index-voronoi-1650"></a></var><br>
-&mdash; Function File:  <b>voronoi</b> (<var>x, y, "plotstyle"</var>)<var><a name="index-voronoi-1651"></a></var><br>
-&mdash; Function File:  <b>voronoi</b> (<var>x, y, "plotstyle", options</var>)<var><a name="index-voronoi-1652"></a></var><br>
-&mdash; Function File: [<var>vx</var>, <var>vy</var>] = <b>voronoi</b> (<var><small class="dots">...</small></var>)<var><a name="index-voronoi-1653"></a></var><br>
+&mdash; Function File:  <b>voronoi</b> (<var>x, y</var>)<var><a name="index-voronoi-1712"></a></var><br>
+&mdash; Function File:  <b>voronoi</b> (<var>x, y, "plotstyle"</var>)<var><a name="index-voronoi-1713"></a></var><br>
+&mdash; Function File:  <b>voronoi</b> (<var>x, y, "plotstyle", options</var>)<var><a name="index-voronoi-1714"></a></var><br>
+&mdash; Function File: [<var>vx</var>, <var>vy</var>] = <b>voronoi</b> (<var><small class="dots">...</small></var>)<var><a name="index-voronoi-1715"></a></var><br>
 <blockquote><p>plots voronoi diagram of points <code>(</code><var>x</var><code>, </code><var>y</var><code>)</code>. 
 The voronoi facets with points at infinity are not drawn. 
 [<var>vx</var>, <var>vy</var>] = voronoi(...) returns the vertices instead plotting the
@@ -75,8 +75,8 @@ Qhull library for details.
    <p><a name="doc_002dvoronoin"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>C</var>, <var>F</var>] = <b>voronoin</b> (<var>pts</var>)<var><a name="index-voronoin-1654"></a></var><br>
-&mdash; Function File: [<var>C</var>, <var>F</var>] = <b>voronoin</b> (<var>pts, options</var>)<var><a name="index-voronoin-1655"></a></var><br>
+&mdash; Function File: [<var>C</var>, <var>F</var>] = <b>voronoin</b> (<var>pts</var>)<var><a name="index-voronoin-1716"></a></var><br>
+&mdash; Function File: [<var>C</var>, <var>F</var>] = <b>voronoin</b> (<var>pts, options</var>)<var><a name="index-voronoin-1717"></a></var><br>
 <blockquote><p>computes n- dimensional voronoi facets.  The input matrix <var>pts</var>
 of size [n, dim] contains n points of dimension dim. 
 <var>C</var> contains the points of the voronoi facets. The list <var>F</var>
@@ -109,8 +109,8 @@ with the <code>polyarea</code> and <code
    <p><a name="doc_002dpolyarea"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>polyarea</b> (<var>x, y</var>)<var><a name="index-polyarea-1656"></a></var><br>
-&mdash; Function File:  <b>polyarea</b> (<var>x, y, dim</var>)<var><a name="index-polyarea-1657"></a></var><br>
+&mdash; Function File:  <b>polyarea</b> (<var>x, y</var>)<var><a name="index-polyarea-1718"></a></var><br>
+&mdash; Function File:  <b>polyarea</b> (<var>x, y, dim</var>)<var><a name="index-polyarea-1719"></a></var><br>
 <blockquote>
         <p>Determines area of a polygon by triangle method. The variables
 <var>x</var> and <var>y</var> define the vertex pairs, and must therefore have
@@ -139,7 +139,7 @@ works along this dimension of the arrays
    <p><a name="doc_002dinpolygon"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>in</var>, <var>on</var>] = <b>inpolygon</b> (<var>x, y, xv, xy</var>)<var><a name="index-inpolygon-1658"></a></var><br>
+&mdash; Function File: [<var>in</var>, <var>on</var>] = <b>inpolygon</b> (<var>x, y, xv, xy</var>)<var><a name="index-inpolygon-1720"></a></var><br>
 <blockquote>
         <p>For a polygon defined by <code>(</code><var>xv</var><code>, </code><var>yv</var><code>)</code> points, determine
 if the points <code>(</code><var>x</var><code>, </code><var>y</var><code>)</code> are inside or outside the polygon. 
Binary files 1:3.0.1-6/doc/interpreter/HTML/voronoi.png and 1:3.0.5-6/doc/interpreter/HTML/voronoi.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/HTML/zp2sys.html 1:3.0.5-6/doc/interpreter/HTML/zp2sys.html
--- 1:3.0.1-6/doc/interpreter/HTML/zp2sys.html	2008-04-21 17:58:36.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/HTML/zp2sys.html	2009-04-07 11:11:40.000000000 +0100
@@ -37,7 +37,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 <p><a name="doc_002dzp"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>zp</b> (<var>zer, pol, k, tsam, inname, outname</var>)<var><a name="index-zp-1677"></a></var><br>
+&mdash; Function File:  <b>zp</b> (<var>zer, pol, k, tsam, inname, outname</var>)<var><a name="index-zp-1739"></a></var><br>
 <blockquote><p>Create system data structure from zero-pole data.
 
         <p><strong>Inputs</strong>
@@ -69,7 +69,7 @@ sys: system data structure
    <p><a name="doc_002dzp2sys"></a>
 
 <div class="defun">
-&mdash; Function File:  <b>zp2sys</b> (<var>zer, pol, k, tsam, inname, outname</var>)<var><a name="index-zp2sys-1678"></a></var><br>
+&mdash; Function File:  <b>zp2sys</b> (<var>zer, pol, k, tsam, inname, outname</var>)<var><a name="index-zp2sys-1740"></a></var><br>
 <blockquote><p>Create system data structure from zero-pole data.
 
         <p><strong>Inputs</strong>
@@ -103,7 +103,7 @@ sys: system data structure
    <p><a name="doc_002dsys2zp"></a>
 
 <div class="defun">
-&mdash; Function File: [<var>zer</var>, <var>pol</var>, <var>k</var>, <var>tsam</var>, <var>inname</var>, <var>outname</var>] = <b>sys2zp</b> (<var>sys</var>)<var><a name="index-sys2zp-1679"></a></var><br>
+&mdash; Function File: [<var>zer</var>, <var>pol</var>, <var>k</var>, <var>tsam</var>, <var>inname</var>, <var>outname</var>] = <b>sys2zp</b> (<var>sys</var>)<var><a name="index-sys2zp-1741"></a></var><br>
 <blockquote><p>Extract zero/pole/leading coefficient information from a system data
 structure.
 
diff -pruN 1:3.0.1-6/doc/interpreter/image.texi 1:3.0.5-6/doc/interpreter/image.texi
--- 1:3.0.1-6/doc/interpreter/image.texi	2008-04-21 17:58:25.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/image.texi	2009-04-07 11:11:32.000000000 +0100
@@ -153,7 +153,7 @@ If given, the parameter @var{string_para
 @deftypefnx {Function File} {} image (@var{x}, @var{y}, @var{img})
 Display a matrix as a color image.  The elements of @var{x} are indices
 into the current colormap, and the colormap will be scaled so that the
-extremes of @var{x} are mapped to the extremes of teh colormap.
+extremes of @var{x} are mapped to the extremes of the colormap.
 
 It first tries to use @code{gnuplot}, then @code{display} from 
 @code{ImageMagick}, then @code{xv}, and then @code{xloadimage}.
@@ -241,7 +241,7 @@ In general Octave supports four differen
 images, RGB images, binary images, and indexed images. A gray-scale
 image is represented with an M-by-N matrix in which each
 element corresponds to the intensity of a pixel. An RGB image is
-represented with an M-by-N-by3 array where each
+represented with an M-by-N-by-3 array where each
 3-vector corresponds to the red, green, and blue intensities of each
 pixel.
 
@@ -464,7 +464,7 @@ gnuplot 4.0 users, and in particular in 
 @anchor{doc-gmap40}
 @deftypefn {Function File} {} gmap40 (@var{n})
 Create a color colormap. The colormap is red, green, blue, yellow,
-magneta and cyan. These are the colors that are allowed with patch
+magenta and cyan. These are the colors that are allowed with patch
 objects using gnuplot 4.0, and so this colormap function is specially
 designed for users of gnuplot 4.0.  The argument @var{n} should be 
 a scalar.  If it is omitted, a length of 6 is assumed. Larger values
diff -pruN 1:3.0.1-6/doc/interpreter/image.txi 1:3.0.5-6/doc/interpreter/image.txi
--- 1:3.0.1-6/doc/interpreter/image.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/image.txi	2009-02-18 06:57:46.000000000 +0000
@@ -90,7 +90,7 @@ In general Octave supports four differen
 images, RGB images, binary images, and indexed images. A gray-scale
 image is represented with an M-by-N matrix in which each
 element corresponds to the intensity of a pixel. An RGB image is
-represented with an M-by-N-by3 array where each
+represented with an M-by-N-by-3 array where each
 3-vector corresponds to the red, green, and blue intensities of each
 pixel.
 
diff -pruN 1:3.0.1-6/doc/interpreter/inpolygon.eps 1:3.0.5-6/doc/interpreter/inpolygon.eps
--- 1:3.0.1-6/doc/interpreter/inpolygon.eps	2008-04-21 17:57:10.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/inpolygon.eps	2009-01-29 08:11:14.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: inpolygon.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:10 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:14 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (inpolygon.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:10 2008)
+  /CreationDate (Thu Jan 29 09:11:14 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,328 +543,335 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 280 M
+630 280 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 280 M
+0.00 0.00 0.00 C 546 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 854 M
+630 854 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 854 M
+0.00 0.00 0.00 C 546 854 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1428 M
+630 1428 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1428 M
+0.00 0.00 0.00 C 546 1428 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2002 M
+630 2002 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2002 M
+0.00 0.00 0.00 C 546 2002 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2576 M
+630 2576 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2576 M
+0.00 0.00 0.00 C 546 2576 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3150 M
+630 3149 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3150 M
+0.00 0.00 0.00 C 546 3149 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3724 M
+630 3723 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3724 M
+0.00 0.00 0.00 C 546 3723 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4298 M
+630 4297 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4298 M
+0.00 0.00 0.00 C 546 4297 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4872 M
+630 4871 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4872 M
+0.00 0.00 0.00 C 546 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 280 M
+630 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 574 140 M
+0.00 0.00 0.00 C 630 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1373 280 M
+1425 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1373 140 M
+0.00 0.00 0.00 C 1425 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2171 280 M
+2220 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2171 140 M
+0.00 0.00 0.00 C 2220 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2970 280 M
+3015 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2970 140 M
+0.00 0.00 0.00 C 3015 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3768 280 M
+3810 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3768 140 M
+0.00 0.00 0.00 C 3810 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4567 280 M
+4604 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4567 140 M
+0.00 0.00 0.00 C 4604 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5365 280 M
+5399 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5365 140 M
+0.00 0.00 0.00 C 5399 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6164 280 M
+6194 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6164 140 M
+0.00 0.00 0.00 C 6194 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 2171 2576 M
-78 -355 V
-227 -320 V
-353 -254 V
-445 -163 V
-494 -56 V
-494 56 V
-445 163 V
-353 254 V
-227 320 V
+0.00 0.00 1.00 C 2220 2575 M
+78 -354 V
+225 -320 V
+352 -254 V
+443 -163 V
+492 -56 V
+491 56 V
+443 163 V
+352 254 V
+225 320 V
 78 355 V
--78 355 V
--227 320 V
--353 254 V
--445 163 V
--494 56 V
--494 -56 V
-2829 3505 L
-2476 3251 L
-2249 2931 L
--78 -355 V
+-78 354 V
+-225 320 V
+-352 254 V
+-443 163 V
+-491 56 V
+-492 -56 V
+2875 3504 L
+2523 3250 L
+2298 2930 L
+-78 -354 V
+% End plot #1
+% Begin plot #2
 1.000 UP
 stroke
 LT1
-1.00 0.00 0.00 C 3026 2792 Pls
-4143 2610 Pls
-2677 2933 Pls
-2447 2255 Pls
-2492 2073 Pls
-3354 1585 Pls
-3449 2494 Pls
-3973 2105 Pls
-2920 3101 Pls
-2681 2407 Pls
-5025 2533 Pls
-3710 2839 Pls
-2243 2727 Pls
-5053 2740 Pls
-2618 2709 Pls
-4163 2577 Pls
-4308 3228 Pls
-4134 2095 Pls
-4308 1823 Pls
-3312 3041 Pls
-3728 3323 Pls
-4332 2211 Pls
-4313 2827 Pls
-3542 2816 Pls
-3153 2739 Pls
-3967 3626 Pls
-5176 2228 Pls
-5155 3111 Pls
-4102 2996 Pls
-3782 1768 Pls
+1.00 0.00 0.00 C 3071 2791 Pls
+4183 2609 Pls
+2723 2932 Pls
+2495 2254 Pls
+2540 2073 Pls
+3397 1585 Pls
+3492 2494 Pls
+4014 2105 Pls
+2965 3101 Pls
+2728 2407 Pls
+5061 2533 Pls
+3752 2838 Pls
+2291 2726 Pls
+5088 2739 Pls
+2665 2709 Pls
+4203 2576 Pls
+4347 3227 Pls
+4174 2095 Pls
+4347 1823 Pls
+3356 3040 Pls
+3770 3323 Pls
+4371 2211 Pls
+4352 2827 Pls
+3584 2815 Pls
+3198 2738 Pls
+4007 3625 Pls
+5211 2227 Pls
+5191 3111 Pls
+4142 2995 Pls
+3824 1768 Pls
+% End plot #2
+% Begin plot #3
 1.000 UP
 0.500 UL
 LT2
-0.00 0.00 1.00 C 1186 3820 Circle
-702 748 Circle
-4966 4402 Circle
-4130 4260 Circle
-1376 3495 Circle
-5503 2775 Circle
-1464 3045 Circle
-3182 1325 Circle
-6163 466 Circle
-3122 1198 Circle
-4026 856 Circle
-5596 3114 Circle
-4778 3482 Circle
-2756 1536 Circle
-4176 3827 Circle
-4409 4111 Circle
-5530 3509 Circle
-5975 2957 Circle
-4900 1488 Circle
-1698 1523 Circle
-5211 3409 Circle
-4908 1477 Circle
-4445 4248 Circle
-5536 3042 Circle
-1277 1412 Circle
-5657 4786 Circle
-6893 3089 Circle
-4564 3614 Circle
-6328 2644 Circle
-2270 3578 Circle
-1259 3341 Circle
-2195 2378 Circle
-5981 1594 Circle
-5502 3218 Circle
-2421 1625 Circle
-5346 1524 Circle
-4240 696 Circle
-3873 375 Circle
-5543 3022 Circle
-5053 1687 Circle
-3164 580 Circle
-1947 2388 Circle
-5709 3142 Circle
-1087 2162 Circle
-5130 3179 Circle
-5410 2620 Circle
-5783 3197 Circle
-4728 4180 Circle
-5745 3354 Circle
-2365 1558 Circle
-4166 1330 Circle
-6229 1806 Circle
-5185 3163 Circle
-1441 4785 Circle
-5090 1672 Circle
-3350 355 Circle
-5157 1210 Circle
-2696 3597 Circle
-5502 1805 Circle
-3279 869 Circle
-2838 4454 Circle
-0.500 UL
-LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+0.00 0.00 1.00 C 1239 3819 Circle
+757 748 Circle
+5002 4401 Circle
+4169 4259 Circle
+1428 3494 Circle
+5537 2774 Circle
+1516 3045 Circle
+3226 1325 Circle
+6193 466 Circle
+3167 1198 Circle
+4066 856 Circle
+5629 3113 Circle
+4815 3482 Circle
+2802 1536 Circle
+4216 3827 Circle
+4448 4110 Circle
+5564 3508 Circle
+6007 2956 Circle
+4936 1487 Circle
+1749 1523 Circle
+5246 3409 Circle
+4944 1477 Circle
+4483 4247 Circle
+5569 3041 Circle
+1329 1411 Circle
+5690 4785 Circle
+6920 3088 Circle
+4602 3613 Circle
+6358 2643 Circle
+2318 3577 Circle
+1311 3340 Circle
+2243 2377 Circle
+6012 1594 Circle
+5536 3217 Circle
+2468 1625 Circle
+5380 1523 Circle
+4280 696 Circle
+3914 375 Circle
+5576 3021 Circle
+5088 1687 Circle
+3209 580 Circle
+1997 2387 Circle
+5742 3142 Circle
+1141 2162 Circle
+5165 3178 Circle
+5444 2620 Circle
+5816 3196 Circle
+4765 4179 Circle
+5777 3353 Circle
+2413 1558 Circle
+4205 1330 Circle
+6259 1806 Circle
+5220 3162 Circle
+1493 4784 Circle
+5125 1672 Circle
+3393 355 Circle
+5192 1210 Circle
+2742 3597 Circle
+5535 1805 Circle
+3323 869 Circle
+2883 4453 Circle
+% End plot #3
+0.500 UL
+LTb
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/inpolygon.pdf and 1:3.0.5-6/doc/interpreter/inpolygon.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/inpolygon.png and 1:3.0.5-6/doc/interpreter/inpolygon.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/install.texi 1:3.0.5-6/doc/interpreter/install.texi
--- 1:3.0.1-6/doc/interpreter/install.texi	2008-04-21 17:58:25.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/install.texi	2009-04-07 11:11:32.000000000 +0100
@@ -37,7 +37,7 @@ Free Software Foundation.
 
 @strong{Note:} This file is automatically generated from
 @file{doc/interpreter/install.txi} in the Octave sources, so to make
-changes to this documenation file, change that source file.
+changes to this documentation file, change that source file.
 
 @node Installation
 @chapter Installing Octave
@@ -68,7 +68,7 @@ Look for Octave sources in the directory
 @item --enable-bounds-check
 Enable bounds checking for indexing operators in the internal array
 classes.  This option is primarily used for debugging Octave.  Building
-Octave with this option has a negative impact on performace and is not
+Octave with this option has a negative impact on performance and is not
 recommended for general use.
 
 @item --enable-64
@@ -273,7 +273,7 @@ installation of Octave.
 @itemize @bullet
 @item
 On some SCO systems, @code{info} fails to compile if
-@code{HAVE_TERMIOS_H} is defined int @file{config.h}.  Simply removing
+@code{HAVE_TERMIOS_H} is defined in @file{config.h}.  Simply removing
 the definition from @file{info/config.h} should allow it to compile.
 
 @item
diff -pruN 1:3.0.1-6/doc/interpreter/install.txi 1:3.0.5-6/doc/interpreter/install.txi
--- 1:3.0.1-6/doc/interpreter/install.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/install.txi	2009-02-18 06:57:46.000000000 +0000
@@ -35,7 +35,7 @@ Free Software Foundation.
 
 @strong{Note:} This file is automatically generated from
 @file{doc/interpreter/install.txi} in the Octave sources, so to make
-changes to this documenation file, change that source file.
+changes to this documentation file, change that source file.
 
 @node Installation
 @chapter Installing Octave
@@ -66,7 +66,7 @@ Look for Octave sources in the directory
 @item --enable-bounds-check
 Enable bounds checking for indexing operators in the internal array
 classes.  This option is primarily used for debugging Octave.  Building
-Octave with this option has a negative impact on performace and is not
+Octave with this option has a negative impact on performance and is not
 recommended for general use.
 
 @item --enable-64
@@ -271,7 +271,7 @@ installation of Octave.
 @itemize @bullet
 @item
 On some SCO systems, @code{info} fails to compile if
-@code{HAVE_TERMIOS_H} is defined int @file{config.h}.  Simply removing
+@code{HAVE_TERMIOS_H} is defined in @file{config.h}.  Simply removing
 the definition from @file{info/config.h} should allow it to compile.
 
 @item
diff -pruN 1:3.0.1-6/doc/interpreter/interpderiv1.eps 1:3.0.5-6/doc/interpreter/interpderiv1.eps
--- 1:3.0.1-6/doc/interpreter/interpderiv1.eps	2008-04-21 17:57:00.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interpderiv1.eps	2009-01-29 08:11:10.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: interpderiv1.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:00 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:10 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (interpderiv1.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:00 2008)
+  /CreationDate (Thu Jan 29 09:11:10 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,354 +543,355 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 663 M
+630 663 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 663 M
+0.00 0.00 0.00 C 546 663 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1619 M
+630 1619 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1619 M
+0.00 0.00 0.00 C 546 1619 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2576 M
+630 2576 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2576 M
+0.00 0.00 0.00 C 546 2576 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3533 M
+630 3532 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3533 M
+0.00 0.00 0.00 C 546 3532 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4489 M
+630 4488 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4489 M
+0.00 0.00 0.00 C 546 4488 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 280 M
+630 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 574 140 M
+0.00 0.00 0.00 C 630 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1373 280 M
+1425 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1373 140 M
+0.00 0.00 0.00 C 1425 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2171 280 M
+2220 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2171 140 M
+0.00 0.00 0.00 C 2220 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2970 280 M
+3015 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2970 140 M
+0.00 0.00 0.00 C 3015 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3768 280 M
+3810 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3768 140 M
+0.00 0.00 0.00 C 3810 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4567 280 M
+4604 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4567 140 M
+0.00 0.00 0.00 C 4604 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5365 280 M
+5399 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5365 140 M
+0.00 0.00 0.00 C 5399 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6164 280 M
+6194 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6164 140 M
+0.00 0.00 0.00 C 6194 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-1.00 0.00 0.00 C LTb
-6311 553 M
-[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
+1.00 0.00 0.00 C LCb setrgbcolor
+6338 553 M
+[ [(Helvetica) 140.0 0.0 true true 0 (pchip)]
 ] -46.7 MRshow
 LT0
-1.00 0.00 0.00 C 6395 553 M
+1.00 0.00 0.00 C 6422 553 M
 399 0 V
-574 663 M
+630 663 M
 40 -39 V
-40 -36 V
+39 -36 V
 40 -34 V
 40 -32 V
 40 -29 V
-40 -28 V
-39 -24 V
-40 -23 V
+39 -28 V
+40 -25 V
+40 -22 V
 40 -21 V
-40 -18 V
+39 -18 V
 40 -17 V
 40 -14 V
 40 -12 V
-40 -11 V
+39 -11 V
 40 -8 V
 40 -6 V
 40 -5 V
-40 -2 V
+39 -2 V
 40 -1 V
 40 1 V
-39 3 V
-40 4 V
+40 3 V
+39 4 V
 40 7 V
 40 8 V
 40 10 V
-40 11 V
+39 11 V
 40 13 V
 40 15 V
 40 16 V
-40 18 V
+39 18 V
 40 19 V
 40 20 V
 40 22 V
 39 24 V
 40 25 V
 40 26 V
-40 28 V
-40 28 V
+40 27 V
+39 29 V
 40 30 V
 40 32 V
-40 32 V
+39 32 V
 40 34 V
-40 35 V
-40 35 V
-40 37 V
+40 34 V
+40 36 V
+39 37 V
 40 38 V
-39 39 V
+40 39 V
 40 40 V
-40 41 V
+39 41 V
 40 42 V
 40 43 V
 40 44 V
-40 44 V
-40 46 V
-40 46 V
-40 47 V
+39 44 V
+40 45 V
 40 47 V
+40 46 V
+39 48 V
 40 48 V
 40 49 V
+40 49 V
+39 51 V
 40 50 V
-39 50 V
-40 51 V
 40 51 V
 40 52 V
-40 52 V
-40 52 V
+39 52 V
+40 53 V
 40 53 V
 40 54 V
-40 54 V
-40 54 V
-40 54 V
+39 53 V
 40 55 V
+40 54 V
 40 55 V
 39 55 V
-40 56 V
 40 55 V
-40 56 V
 40 55 V
 40 56 V
+39 55 V
 40 56 V
 40 56 V
 40 56 V
-40 55 V
+39 55 V
 40 56 V
-40 55 V
 40 56 V
 39 55 V
+40 56 V
 40 55 V
 40 55 V
+39 55 V
+40 55 V
 40 54 V
-40 54 V
-40 54 V
+40 55 V
+39 53 V
 40 54 V
 40 53 V
-40 52 V
-40 52 V
+40 53 V
+39 52 V
 40 52 V
 40 51 V
-40 51 V
 40 50 V
-39 50 V
+39 51 V
 40 49 V
-4686 3799 L
-40 47 V
-40 47 V
-40 46 V
+40 49 V
+stroke 4684 3750 M
+40 48 V
+39 48 V
 40 46 V
-40 44 V
+40 47 V
+40 45 V
+39 44 V
 40 44 V
 40 43 V
 40 42 V
-40 41 V
+39 41 V
 40 40 V
-39 39 V
+40 39 V
 40 38 V
-40 37 V
-40 35 V
-40 35 V
+39 37 V
+40 36 V
 40 34 V
-40 32 V
+40 34 V
+39 32 V
 40 32 V
 40 30 V
-40 28 V
-40 28 V
+39 29 V
+40 27 V
 40 26 V
 40 25 V
 39 24 V
 40 22 V
 40 20 V
 40 19 V
-40 18 V
+39 18 V
 40 16 V
 40 15 V
 40 13 V
-40 11 V
+39 11 V
 40 10 V
 40 8 V
 40 7 V
-40 4 V
+39 4 V
 40 3 V
-39 1 V
+40 1 V
 40 -1 V
-40 -2 V
+39 -2 V
 40 -5 V
 40 -6 V
 40 -8 V
-40 -11 V
+39 -11 V
 40 -12 V
 40 -14 V
 40 -17 V
-40 -18 V
+39 -18 V
 40 -21 V
-40 -23 V
-39 -24 V
-40 -28 V
+40 -22 V
+40 -25 V
+39 -28 V
 40 -29 V
 40 -32 V
 40 -34 V
-40 -36 V
+39 -36 V
 40 -39 V
+% End plot #1
+% Begin plot #2
 stroke
 LT1
-0.00 1.00 0.00 C LTb
-6311 413 M
-[ [(Helvetica) 140.0 0.0 true true 0 (pchip)]
+0.00 1.00 0.00 C LCb setrgbcolor
+6338 413 M
+[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
 ] -46.7 MRshow
 LT1
-0.00 1.00 0.00 C 6395 413 M
+0.00 1.00 0.00 C 6422 413 M
 399 0 V
-574 663 M
-40 0 V
-40 0 V
-40 0 V
-40 0 V
-40 0 V
+630 663 M
 40 0 V
 39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
-40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
@@ -887,12 +899,15 @@ LT1
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
@@ -900,106 +915,105 @@ LT1
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
-40 0 V
-40 2 V
+39 2 V
 40 7 V
 40 11 V
 40 16 V
-40 20 V
+39 20 V
 40 23 V
-39 28 V
-40 30 V
-40 35 V
-40 37 V
+40 27 V
+40 31 V
+39 34 V
+40 38 V
 40 40 V
 40 43 V
-40 46 V
+39 46 V
 40 48 V
 40 51 V
 40 52 V
-40 55 V
+39 55 V
 40 56 V
 40 58 V
 40 59 V
-39 61 V
-40 61 V
+39 60 V
+40 62 V
 40 62 V
 40 63 V
-40 63 V
-40 64 V
+39 63 V
 40 64 V
 40 63 V
 40 64 V
+39 64 V
 40 63 V
 40 62 V
 40 62 V
-40 61 V
-39 59 V
-40 59 V
-40 56 V
-40 56 V
+39 60 V
+40 60 V
+40 58 V
+40 57 V
+39 55 V
 40 53 V
-40 51 V
-40 49 V
+40 52 V
 40 49 V
-40 51 V
+39 48 V
+40 52 V
 40 53 V
-40 56 V
-40 56 V
-40 59 V
-39 59 V
-40 61 V
+39 55 V
+40 57 V
+40 58 V
+40 60 V
+39 60 V
 40 62 V
 40 62 V
 40 63 V
+39 64 V
 40 64 V
 40 63 V
 40 64 V
-40 64 V
-40 63 V
+39 63 V
 40 63 V
 40 62 V
-40 61 V
-40 61 V
-39 59 V
+40 62 V
+39 60 V
+40 59 V
 40 58 V
-4686 3945 L
-40 55 V
+stroke 4684 3888 M
+40 56 V
+39 55 V
 40 52 V
 40 51 V
 40 48 V
-40 46 V
+39 46 V
 40 43 V
 40 40 V
-40 37 V
-40 35 V
-40 30 V
-39 28 V
+40 38 V
+39 34 V
+40 31 V
+40 27 V
 40 23 V
-40 20 V
+39 20 V
 40 16 V
 40 11 V
 40 7 V
-40 2 V
-40 0 V
-40 0 V
-40 0 V
-40 0 V
+39 2 V
 40 0 V
 40 0 V
 39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
-40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
@@ -1007,12 +1021,15 @@ LT1
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
 40 0 V
 40 0 V
@@ -1020,20 +1037,21 @@ LT1
 40 0 V
 40 0 V
 40 0 V
+39 0 V
 40 0 V
-40 0 V
-40 0 V
+% End plot #2
 stroke
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/interpderiv1.pdf and 1:3.0.5-6/doc/interpreter/interpderiv1.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/interpderiv1.png and 1:3.0.5-6/doc/interpreter/interpderiv1.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/interpderiv2.eps 1:3.0.5-6/doc/interpreter/interpderiv2.eps
--- 1:3.0.1-6/doc/interpreter/interpderiv2.eps	2008-04-21 17:57:02.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interpderiv2.eps	2009-01-29 08:11:10.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: interpderiv2.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:02 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:10 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (interpderiv2.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:02 2008)
+  /CreationDate (Thu Jan 29 09:11:10 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,524 +543,529 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-406 810 M
+462 810 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 810 M
+0.00 0.00 0.00 C 378 810 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-3)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 1399 M
+462 1398 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 1399 M
+0.00 0.00 0.00 C 378 1398 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 1987 M
+462 1987 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 1987 M
+0.00 0.00 0.00 C 378 1987 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 2576 M
+462 2576 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 2576 M
+0.00 0.00 0.00 C 378 2576 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 3165 M
+462 3164 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 3165 M
+0.00 0.00 0.00 C 378 3164 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 3753 M
+462 3753 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 3753 M
+0.00 0.00 0.00 C 378 3753 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 4342 M
+462 4341 M
 63 0 V
-6493 0 R
+6464 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 322 4342 M
+0.00 0.00 0.00 C 378 4341 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-406 280 M
+462 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 406 140 M
+0.00 0.00 0.00 C 462 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1226 280 M
+1278 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1226 140 M
+0.00 0.00 0.00 C 1278 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2045 280 M
+2094 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2045 140 M
+0.00 0.00 0.00 C 2094 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2865 280 M
+2910 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2865 140 M
+0.00 0.00 0.00 C 2910 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3684 280 M
+3726 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3684 140 M
+0.00 0.00 0.00 C 3726 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4504 280 M
+4541 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4504 140 M
+0.00 0.00 0.00 C 4541 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5323 280 M
+5357 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5323 140 M
+0.00 0.00 0.00 C 5357 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6143 280 M
+6173 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6143 140 M
+0.00 0.00 0.00 C 6173 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-406 4872 N
-406 280 L
-6556 0 V
-0 4592 V
--6556 0 V
+462 4871 N
+462 280 L
+6527 0 V
+0 4591 V
+-6527 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UP
 0.500 UL
 LT0
-1.00 0.00 0.00 C LTb
-6311 4739 M
-[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
+1.00 0.00 0.00 C LCb setrgbcolor
+6338 4738 M
+[ [(Helvetica) 140.0 0.0 true true 0 (pchip)]
 ] -46.7 MRshow
 LT0
-1.00 0.00 0.00 C 447 3739 Star
-488 3724 Star
-529 3709 Star
-570 3695 Star
-611 3680 Star
-652 3665 Star
-693 3650 Star
-734 3636 Star
-775 3621 Star
-816 3606 Star
-857 3592 Star
-898 3577 Star
-939 3562 Star
-980 3547 Star
-1021 3533 Star
-1062 3518 Star
-1103 3503 Star
-1144 3489 Star
-1185 3474 Star
-1226 3459 Star
-1266 3444 Star
-1307 3430 Star
-1348 3415 Star
-1389 3400 Star
-1430 3385 Star
-1471 3371 Star
-1512 3356 Star
-1553 3341 Star
-1594 3327 Star
-1635 3312 Star
-1676 3297 Star
-1717 3282 Star
-1758 3268 Star
-1799 3253 Star
-1840 3238 Star
-1881 3224 Star
-1922 3209 Star
-1963 3194 Star
-2004 3179 Star
-2045 3165 Star
-2086 3150 Star
-2127 3135 Star
-2168 3121 Star
-2209 3106 Star
-2250 3091 Star
-2291 3076 Star
-2332 3062 Star
-2373 3047 Star
-2414 3032 Star
-2455 3018 Star
-2496 3003 Star
-2537 2988 Star
-2578 2973 Star
-2619 2959 Star
-2660 2944 Star
-2701 2929 Star
-2742 2915 Star
-2783 2900 Star
-2824 2885 Star
-2865 2870 Star
-2905 2856 Star
-2946 2841 Star
-2987 2826 Star
-3028 2811 Star
-3069 2797 Star
-3110 2782 Star
-3151 2767 Star
-3192 2753 Star
-3233 2738 Star
-3274 2723 Star
-3315 2708 Star
-3356 2694 Star
-3397 2679 Star
-3438 2664 Star
-3479 2650 Star
-3520 2635 Star
-3561 2620 Star
-3602 2605 Star
-3643 2591 Star
-3684 2576 Star
-3725 2561 Star
-3766 2547 Star
-3807 2532 Star
-3848 2517 Star
-3889 2502 Star
-3930 2488 Star
-3971 2473 Star
-4012 2458 Star
-4053 2444 Star
-4094 2429 Star
-4135 2414 Star
-4176 2399 Star
-4217 2385 Star
-4258 2370 Star
-4299 2355 Star
-4340 2341 Star
-4381 2326 Star
-4422 2311 Star
-4463 2296 Star
-4504 2282 Star
-4544 2267 Star
-4585 2252 Star
-4626 2237 Star
-4667 2223 Star
-4708 2208 Star
-4749 2193 Star
-4790 2179 Star
-4831 2164 Star
-4872 2149 Star
-4913 2134 Star
-4954 2120 Star
-4995 2105 Star
-5036 2090 Star
-5077 2076 Star
-5118 2061 Star
-5159 2046 Star
-5200 2031 Star
-5241 2017 Star
-5282 2002 Star
-5323 1987 Star
-5364 1973 Star
-5405 1958 Star
-5446 1943 Star
-5487 1928 Star
-5528 1914 Star
-5569 1899 Star
-5610 1884 Star
-5651 1870 Star
-5692 1855 Star
-5733 1840 Star
-5774 1825 Star
-5815 1811 Star
-5856 1796 Star
-5897 1781 Star
-5938 1767 Star
-5979 1752 Star
-6020 1737 Star
-6061 1722 Star
-6102 1708 Star
-6143 1693 Star
-6183 1678 Star
-6224 1663 Star
-6265 1649 Star
-6306 1634 Star
-6347 1619 Star
-6388 1605 Star
-6429 1590 Star
-6470 1575 Star
-6511 1560 Star
-6552 1546 Star
-6593 1531 Star
-6634 1516 Star
-6675 1502 Star
-6716 1487 Star
-6757 1472 Star
-6798 1457 Star
-6839 1443 Star
-6880 1428 Star
-6921 1413 Star
-6594 4739 Star
+1.00 0.00 0.00 C 503 3738 Star
+544 3723 Star
+584 3709 Star
+625 3694 Star
+666 3679 Star
+707 3664 Star
+748 3650 Star
+788 3635 Star
+829 3620 Star
+870 3606 Star
+911 3591 Star
+952 3576 Star
+992 3561 Star
+1033 3547 Star
+1074 3532 Star
+1115 3517 Star
+1155 3503 Star
+1196 3488 Star
+1237 3473 Star
+1278 3458 Star
+1319 3444 Star
+1359 3429 Star
+1400 3414 Star
+1441 3400 Star
+1482 3385 Star
+1523 3370 Star
+1563 3355 Star
+1604 3341 Star
+1645 3326 Star
+1686 3311 Star
+1727 3297 Star
+1767 3282 Star
+1808 3267 Star
+1849 3252 Star
+1890 3238 Star
+1931 3223 Star
+1971 3208 Star
+2012 3194 Star
+2053 3179 Star
+2094 3164 Star
+2135 3149 Star
+2175 3135 Star
+2216 3120 Star
+2257 3105 Star
+2298 3091 Star
+2339 3076 Star
+2379 3061 Star
+2420 3046 Star
+2461 3032 Star
+2502 3017 Star
+2542 3002 Star
+2583 2988 Star
+2624 2973 Star
+2665 2958 Star
+2706 2943 Star
+2746 2929 Star
+2787 2914 Star
+2828 2899 Star
+2869 2885 Star
+2910 2870 Star
+2950 2855 Star
+2991 2840 Star
+3032 2826 Star
+3073 2811 Star
+3114 2796 Star
+3154 2782 Star
+3195 2767 Star
+3236 2752 Star
+3277 2737 Star
+3318 2723 Star
+3358 2708 Star
+3399 2693 Star
+3440 2679 Star
+3481 2664 Star
+3522 2649 Star
+3562 2634 Star
+3603 2620 Star
+3644 2605 Star
+3685 2590 Star
+3726 2576 Star
+3766 2561 Star
+3807 2546 Star
+3848 2531 Star
+3889 2517 Star
+3929 2502 Star
+3970 2487 Star
+4011 2472 Star
+4052 2458 Star
+4093 2443 Star
+4133 2428 Star
+4174 2414 Star
+4215 2399 Star
+4256 2384 Star
+4297 2369 Star
+4337 2355 Star
+4378 2340 Star
+4419 2325 Star
+4460 2311 Star
+4501 2296 Star
+4541 2281 Star
+4582 2266 Star
+4623 2252 Star
+4664 2237 Star
+4705 2222 Star
+4745 2208 Star
+4786 2193 Star
+4827 2178 Star
+4868 2163 Star
+4909 2149 Star
+4949 2134 Star
+4990 2119 Star
+5031 2105 Star
+5072 2090 Star
+5112 2075 Star
+5153 2060 Star
+5194 2046 Star
+5235 2031 Star
+5276 2016 Star
+5316 2002 Star
+5357 1987 Star
+5398 1972 Star
+5439 1957 Star
+5480 1943 Star
+5520 1928 Star
+5561 1913 Star
+5602 1899 Star
+5643 1884 Star
+5684 1869 Star
+5724 1854 Star
+5765 1840 Star
+5806 1825 Star
+5847 1810 Star
+5888 1796 Star
+5928 1781 Star
+5969 1766 Star
+6010 1751 Star
+6051 1737 Star
+6092 1722 Star
+6132 1707 Star
+6173 1693 Star
+6214 1678 Star
+6255 1663 Star
+6296 1648 Star
+6336 1634 Star
+6377 1619 Star
+6418 1604 Star
+6459 1590 Star
+6499 1575 Star
+6540 1560 Star
+6581 1545 Star
+6622 1531 Star
+6663 1516 Star
+6703 1501 Star
+6744 1487 Star
+6785 1472 Star
+6826 1457 Star
+6867 1442 Star
+6907 1428 Star
+6948 1413 Star
+6621 4738 Star
+% End plot #1
+% Begin plot #2
 1.000 UP
 0.500 UL
 LT1
-0.00 1.00 0.00 C LTb
-6311 4599 M
-[ [(Helvetica) 140.0 0.0 true true 0 (pchip)]
+0.00 1.00 0.00 C LCb setrgbcolor
+6338 4598 M
+[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
 ] -46.7 MRshow
 LT1
-0.00 1.00 0.00 C 447 2576 Pls
-488 2576 Pls
-529 2576 Pls
-570 2576 Pls
-611 2576 Pls
-652 2576 Pls
-693 2576 Pls
-734 2576 Pls
-775 2576 Pls
-816 2576 Pls
-857 2576 Pls
-898 2576 Pls
-939 2576 Pls
-980 2576 Pls
-1021 2576 Pls
-1062 2576 Pls
-1103 2576 Pls
-1144 2576 Pls
-1185 2576 Pls
-1226 2576 Pls
-1266 2576 Pls
-1307 2576 Pls
-1348 2576 Pls
-1389 2576 Pls
-1430 2576 Pls
-1471 2576 Pls
-1512 2576 Pls
-1553 2576 Pls
-1594 2576 Pls
-1635 2576 Pls
-1676 2576 Pls
-1717 2576 Pls
-1758 2576 Pls
-1799 2576 Pls
-1840 2576 Pls
-1881 2576 Pls
-1922 2576 Pls
-1963 2576 Pls
-2004 2576 Pls
-2045 3739 Pls
-2086 4843 Pls
-2127 4754 Pls
-2168 4666 Pls
-2209 4578 Pls
-2250 4489 Pls
-2291 4401 Pls
-2332 4313 Pls
-2373 4224 Pls
-2414 4136 Pls
-2455 4048 Pls
-2496 3959 Pls
-2537 3871 Pls
-2578 3783 Pls
-2619 3695 Pls
-2660 3606 Pls
-2701 3518 Pls
-2742 3430 Pls
-2783 3341 Pls
-2824 3253 Pls
-2865 3165 Pls
-2905 3076 Pls
-2946 2988 Pls
-2987 2900 Pls
-3028 2811 Pls
-3069 2723 Pls
-3110 2635 Pls
-3151 2547 Pls
-3192 2458 Pls
-3233 2370 Pls
-3274 2282 Pls
-3315 2193 Pls
-3356 2105 Pls
-3397 2017 Pls
-3438 1928 Pls
-3479 1840 Pls
-3520 1752 Pls
-3561 1663 Pls
-3602 1575 Pls
-3643 1487 Pls
-3684 2576 Pls
-3725 3665 Pls
-3766 3577 Pls
-3807 3489 Pls
-3848 3400 Pls
-3889 3312 Pls
-3930 3224 Pls
-3971 3135 Pls
-4012 3047 Pls
-4053 2959 Pls
-4094 2870 Pls
-4135 2782 Pls
-4176 2694 Pls
-4217 2605 Pls
-4258 2517 Pls
-4299 2429 Pls
-4340 2341 Pls
-4381 2252 Pls
-4422 2164 Pls
-4463 2076 Pls
-4504 1987 Pls
-4544 1899 Pls
-4585 1811 Pls
-4626 1722 Pls
-4667 1634 Pls
-4708 1546 Pls
-4749 1457 Pls
-4790 1369 Pls
-4831 1281 Pls
-4872 1193 Pls
-4913 1104 Pls
-4954 1016 Pls
-4995 928 Pls
-5036 839 Pls
-5077 751 Pls
-5118 663 Pls
-5159 574 Pls
-5200 486 Pls
-5241 398 Pls
-5282 309 Pls
-5323 1413 Pls
-5364 2576 Pls
-5405 2576 Pls
-5446 2576 Pls
-5487 2576 Pls
-5528 2576 Pls
-5569 2576 Pls
-5610 2576 Pls
-5651 2576 Pls
-5692 2576 Pls
-5733 2576 Pls
-5774 2576 Pls
-5815 2576 Pls
-5856 2576 Pls
-5897 2576 Pls
-5938 2576 Pls
-5979 2576 Pls
-6020 2576 Pls
-6061 2576 Pls
-6102 2576 Pls
-6143 2576 Pls
-6183 2576 Pls
-6224 2576 Pls
-6265 2576 Pls
-6306 2576 Pls
-6347 2576 Pls
-6388 2576 Pls
-6429 2576 Pls
-6470 2576 Pls
-6511 2576 Pls
-6552 2576 Pls
-6593 2576 Pls
-6634 2576 Pls
-6675 2576 Pls
-6716 2576 Pls
-6757 2576 Pls
-6798 2576 Pls
-6839 2576 Pls
-6880 2576 Pls
-6921 2576 Pls
-6594 4599 Pls
-0.500 UL
-LTb
-406 4872 N
-406 280 L
-6556 0 V
-0 4592 V
--6556 0 V
+0.00 1.00 0.00 C 503 2576 Pls
+544 2576 Pls
+584 2576 Pls
+625 2576 Pls
+666 2576 Pls
+707 2576 Pls
+748 2576 Pls
+788 2576 Pls
+829 2576 Pls
+870 2576 Pls
+911 2576 Pls
+952 2576 Pls
+992 2576 Pls
+1033 2576 Pls
+1074 2576 Pls
+1115 2576 Pls
+1155 2576 Pls
+1196 2576 Pls
+1237 2576 Pls
+1278 2576 Pls
+1319 2576 Pls
+1359 2576 Pls
+1400 2576 Pls
+1441 2576 Pls
+1482 2576 Pls
+1523 2576 Pls
+1563 2576 Pls
+1604 2576 Pls
+1645 2576 Pls
+1686 2576 Pls
+1727 2576 Pls
+1767 2576 Pls
+1808 2576 Pls
+1849 2576 Pls
+1890 2576 Pls
+1931 2576 Pls
+1971 2576 Pls
+2012 2576 Pls
+2053 2576 Pls
+2094 3738 Pls
+2135 4842 Pls
+2175 4753 Pls
+2216 4665 Pls
+2257 4577 Pls
+2298 4488 Pls
+2339 4400 Pls
+2379 4312 Pls
+2420 4224 Pls
+2461 4135 Pls
+2502 4047 Pls
+2542 3959 Pls
+2583 3870 Pls
+2624 3782 Pls
+2665 3694 Pls
+2706 3606 Pls
+2746 3517 Pls
+2787 3429 Pls
+2828 3341 Pls
+2869 3252 Pls
+2910 3164 Pls
+2950 3076 Pls
+2991 2988 Pls
+3032 2899 Pls
+3073 2811 Pls
+3114 2723 Pls
+3154 2634 Pls
+3195 2546 Pls
+3236 2458 Pls
+3277 2369 Pls
+3318 2281 Pls
+3358 2193 Pls
+3399 2105 Pls
+3440 2016 Pls
+3481 1928 Pls
+3522 1840 Pls
+3562 1751 Pls
+3603 1663 Pls
+3644 1575 Pls
+3685 1487 Pls
+3726 2575 Pls
+3766 3664 Pls
+3807 3576 Pls
+3848 3488 Pls
+3889 3400 Pls
+3929 3311 Pls
+3970 3223 Pls
+4011 3135 Pls
+4052 3046 Pls
+4093 2958 Pls
+4133 2870 Pls
+4174 2782 Pls
+4215 2693 Pls
+4256 2605 Pls
+4297 2517 Pls
+4337 2428 Pls
+4378 2340 Pls
+4419 2252 Pls
+4460 2163 Pls
+4501 2075 Pls
+4541 1987 Pls
+4582 1899 Pls
+4623 1810 Pls
+4664 1722 Pls
+4705 1634 Pls
+4745 1545 Pls
+4786 1457 Pls
+4827 1369 Pls
+4868 1281 Pls
+4909 1192 Pls
+4949 1104 Pls
+4990 1016 Pls
+5031 927 Pls
+5072 839 Pls
+5112 751 Pls
+5153 663 Pls
+5194 574 Pls
+5235 486 Pls
+5276 398 Pls
+5316 309 Pls
+5357 1413 Pls
+5398 2576 Pls
+5439 2576 Pls
+5480 2576 Pls
+5520 2576 Pls
+5561 2576 Pls
+5602 2576 Pls
+5643 2576 Pls
+5684 2576 Pls
+5724 2576 Pls
+5765 2576 Pls
+5806 2576 Pls
+5847 2576 Pls
+5888 2576 Pls
+5928 2576 Pls
+5969 2576 Pls
+6010 2576 Pls
+6051 2576 Pls
+6092 2576 Pls
+6132 2576 Pls
+6173 2576 Pls
+6214 2576 Pls
+6255 2576 Pls
+6296 2576 Pls
+6336 2576 Pls
+6377 2576 Pls
+6418 2576 Pls
+6459 2576 Pls
+6499 2576 Pls
+6540 2576 Pls
+6581 2576 Pls
+6622 2576 Pls
+6663 2576 Pls
+6703 2576 Pls
+6744 2576 Pls
+6785 2576 Pls
+6826 2576 Pls
+6867 2576 Pls
+6907 2576 Pls
+6948 2576 Pls
+6621 4598 Pls
+% End plot #2
+0.500 UL
+LTb
+462 4871 N
+462 280 L
+6527 0 V
+0 4591 V
+-6527 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/interpderiv2.pdf and 1:3.0.5-6/doc/interpreter/interpderiv2.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/interpderiv2.png and 1:3.0.5-6/doc/interpreter/interpderiv2.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/interpft.eps 1:3.0.5-6/doc/interpreter/interpft.eps
--- 1:3.0.1-6/doc/interpreter/interpft.eps	2008-04-21 17:56:58.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interpft.eps	2009-01-29 08:11:08.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: interpft.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:58 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:08 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (interpft.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:58 2008)
+  /CreationDate (Thu Jan 29 09:11:08 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,526 +543,535 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 535 M
+630 535 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 535 M
+0.00 0.00 0.00 C 546 535 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1045 M
+630 1045 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1045 M
+0.00 0.00 0.00 C 546 1045 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1556 M
+630 1555 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1556 M
+0.00 0.00 0.00 C 546 1555 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2066 M
+630 2065 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2066 M
+0.00 0.00 0.00 C 546 2065 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2576 M
+630 2575 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2576 M
+0.00 0.00 0.00 C 546 2575 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3086 M
+630 3086 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3086 M
+0.00 0.00 0.00 C 546 3086 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3596 M
+630 3596 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3596 M
+0.00 0.00 0.00 C 546 3596 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4107 M
+630 4106 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4107 M
+0.00 0.00 0.00 C 546 4106 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4617 M
+630 4616 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4617 M
+0.00 0.00 0.00 C 546 4616 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 280 M
+630 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 574 140 M
+0.00 0.00 0.00 C 630 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1542 280 M
+1593 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1542 140 M
+0.00 0.00 0.00 C 1593 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2510 280 M
+2557 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2510 140 M
+0.00 0.00 0.00 C 2557 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3478 280 M
+3520 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3478 140 M
+0.00 0.00 0.00 C 3520 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4446 280 M
+4484 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4446 140 M
+0.00 0.00 0.00 C 4484 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5413 280 M
+5447 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5413 140 M
+0.00 0.00 0.00 C 5447 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (2.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6381 280 M
+6411 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6381 140 M
+0.00 0.00 0.00 C 6411 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 1.00 0.00 C LTb
-6311 4739 M
-[ [(Helvetica) 140.0 0.0 true true 0 (sin\(4t+0.3\)cos\(3t-0.1)]
+0.00 1.00 0.00 C LCb setrgbcolor
+6338 4738 M
+[ [(Helvetica) 140.0 0.0 true true 0 (data)]
 ] -46.7 MRshow
 LT0
-0.00 1.00 0.00 C 6395 4739 M
+0.00 1.00 0.00 C 6422 4738 M
 399 0 V
-574 2816 M
+630 2815 M
 64 318 V
-64 289 V
+63 289 V
 64 247 V
-64 193 V
-63 132 V
+63 193 V
+64 132 V
 64 64 V
-64 -4 V
-64 -70 V
-64 -132 V
-64 -183 V
-64 -225 V
+63 -3 V
+64 -71 V
+63 -131 V
+64 -184 V
+63 -225 V
 64 -252 V
-63 -265 V
-64 -262 V
+64 -265 V
+63 -261 V
 64 -243 V
-64 -210 V
+63 -210 V
 64 -165 V
-64 -109 V
-64 -48 V
+64 -110 V
+63 -47 V
 64 19 V
 63 85 V
 64 148 V
-64 204 V
-64 249 V
+64 203 V
+63 249 V
 64 283 V
-64 302 V
+63 302 V
 64 306 V
 64 295 V
-64 267 V
-63 227 V
-64 175 V
+63 267 V
+64 227 V
+63 175 V
 64 114 V
-64 47 V
+63 47 V
 64 -22 V
 64 -90 V
-64 -153 V
+63 -153 V
 64 -207 V
 63 -252 V
 64 -282 V
 64 -298 V
-64 -299 V
-64 -283 V
-64 -253 V
+63 -298 V
+64 -284 V
+63 -253 V
 64 -211 V
-64 -158 V
+64 -157 V
 63 -96 V
 64 -31 V
-64 36 V
+63 35 V
 64 99 V
-64 156 V
-64 205 V
+64 157 V
+63 204 V
 64 241 V
-64 263 V
-64 270 V
+63 263 V
+64 271 V
 63 262 V
-64 239 V
+64 238 V
 64 201 V
-64 151 V
-64 91 V
-64 27 V
+63 151 V
+64 92 V
+63 26 V
 64 -42 V
-64 -111 V
-63 -173 V
+64 -110 V
+63 -174 V
 64 -230 V
-64 -276 V
+63 -276 V
 64 -308 V
 64 -327 V
-64 -330 V
+63 -329 V
 64 -317 V
-64 -289 V
-63 -248 V
-64 -196 V
+63 -289 V
+64 -248 V
+63 -196 V
 64 -135 V
 64 -69 V
-64 -2 V
+63 -2 V
 64 63 V
-64 123 V
+63 123 V
 64 174 V
-64 215 V
-63 240 V
-64 252 V
-64 247 V
+64 214 V
+63 241 V
+64 251 V
+63 247 V
 64 228 V
 64 194 V
-64 147 V
+63 148 V
 64 91 V
-64 28 V
-63 -39 V
-64 -107 V
-64 -170 V
+63 27 V
+64 -39 V
+64 -106 V
+63 -170 V
 64 -227 V
-64 -273 V
-64 -309 V
-64 -328 V
+63 -274 V
+64 -308 V
+63 -328 V
 64 -333 V
-63 -322 V
-64 -296 V
+64 -322 V
+63 -296 V
 64 -256 V
-64 -205 V
+63 -205 V
+% End plot #1
+% Begin plot #2
 stroke
 LT1
-0.00 0.00 1.00 C LTb
-6311 4599 M
-[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
+0.00 0.00 1.00 C LCb setrgbcolor
+6338 4598 M
+[ [(Helvetica) 140.0 0.0 true true 0 (interpft)]
 ] -46.7 MRshow
 LT1
-0.00 0.00 1.00 C 6395 4599 M
+0.00 0.00 1.00 C 6422 4598 M
 399 0 V
-574 2816 M
+630 2815 M
 64 546 V
-64 409 V
+63 409 V
 64 285 V
-64 174 V
-63 74 V
+63 174 V
+64 74 V
 64 -13 V
-64 -86 V
+63 -86 V
 64 -149 V
-64 -197 V
-64 -235 V
-64 -258 V
+63 -197 V
+64 -234 V
+63 -259 V
 64 -270 V
-63 -269 V
-64 -256 V
+64 -269 V
+63 -255 V
 64 -230 V
-64 -191 V
+63 -192 V
 64 -141 V
 64 -77 V
-64 -4 V
+63 -3 V
 64 66 V
-63 125 V
-64 172 V
+63 124 V
+64 173 V
 64 210 V
-64 237 V
+63 237 V
 64 253 V
-64 259 V
+63 258 V
 64 253 V
 64 237 V
-64 214 V
-63 186 V
-64 151 V
+63 214 V
+64 186 V
+63 151 V
 64 111 V
-64 66 V
+63 66 V
 64 14 V
 64 -43 V
-64 -106 V
-64 -174 V
-63 -232 V
+63 -106 V
+64 -173 V
+63 -233 V
 64 -275 V
 64 -299 V
-64 -306 V
+63 -306 V
 64 -296 V
-64 -268 V
-64 -223 V
+63 -268 V
+64 -222 V
 64 -160 V
 63 -81 V
 64 0 V
-64 70 V
-64 126 V
+63 69 V
+64 127 V
 64 171 V
-64 204 V
+63 203 V
 64 224 V
-64 232 V
+63 232 V
 64 228 V
 63 212 V
 64 187 V
-64 156 V
-64 122 V
+64 157 V
+63 121 V
 64 82 V
-64 37 V
-64 -12 V
+63 38 V
+64 -13 V
 64 -67 V
 63 -126 V
-64 -191 V
-64 -250 V
+64 -190 V
+63 -251 V
 64 -295 V
-64 -323 V
-64 -333 V
+64 -322 V
+63 -333 V
 64 -327 V
-64 -304 V
-63 -263 V
-64 -207 V
-64 -133 V
-64 -52 V
-64 20 V
+63 -304 V
+64 -264 V
+63 -206 V
+64 -134 V
+64 -51 V
+63 20 V
 64 82 V
-64 134 V
+63 133 V
 64 173 V
-64 202 V
-63 222 V
-64 229 V
-64 226 V
+64 203 V
+63 221 V
+64 230 V
+63 226 V
 64 213 V
 64 189 V
-64 154 V
+63 153 V
 64 108 V
-64 51 V
-63 -15 V
+63 52 V
+64 -16 V
 64 -94 V
-64 -182 V
+63 -182 V
+% End plot #2
+% Begin plot #3
 stroke
 LT2
-0.00 1.00 1.00 C LTb
-6311 4459 M
-[ [(Helvetica) 140.0 0.0 true true 0 (interpft)]
+0.00 1.00 1.00 C LCb setrgbcolor
+6338 4458 M
+[ [(Helvetica) 140.0 0.0 true true 0 (spline)]
 ] -46.7 MRshow
 LT2
-0.00 1.00 1.00 C 6395 4459 M
+0.00 1.00 1.00 C 6422 4458 M
 399 0 V
-574 2816 M
+630 2815 M
 64 174 V
-64 188 V
-64 191 V
-64 179 V
-63 155 V
+63 189 V
+64 190 V
+63 180 V
+64 154 V
 64 117 V
-64 67 V
-64 11 V
-64 -52 V
-64 -112 V
-64 -170 V
+63 68 V
+64 10 V
+63 -51 V
+64 -113 V
+63 -170 V
 64 -217 V
-63 -251 V
-64 -269 V
-64 -268 V
-64 -248 V
-64 -209 V
+64 -251 V
+63 -269 V
+64 -267 V
+63 -248 V
+64 -210 V
 64 -155 V
-64 -89 V
+63 -88 V
 64 -13 V
 63 64 V
 64 140 V
-64 208 V
-64 263 V
+64 207 V
+63 264 V
 64 304 V
-64 327 V
+63 326 V
 64 330 V
 64 315 V
-64 283 V
-63 236 V
-64 176 V
+63 283 V
+64 236 V
+63 176 V
 64 110 V
-64 39 V
+63 39 V
 64 -31 V
 64 -100 V
-64 -160 V
-64 -212 V
+63 -160 V
+64 -211 V
 63 -252 V
-64 -279 V
+64 -280 V
 64 -293 V
-64 -294 V
-64 -279 V
-64 -253 V
+63 -293 V
+64 -280 V
+63 -252 V
 64 -214 V
-64 -164 V
+64 -165 V
 63 -107 V
 64 -44 V
-64 22 V
-64 88 V
-64 149 V
-64 204 V
+63 23 V
+64 87 V
+64 150 V
+63 203 V
 64 247 V
-64 276 V
-64 291 V
+63 277 V
+64 290 V
 63 286 V
 64 264 V
 64 224 V
-64 169 V
+63 169 V
 64 102 V
-64 26 V
+63 26 V
 64 -54 V
 64 -133 V
-63 -205 V
-64 -266 V
-64 -313 V
+63 -204 V
+64 -267 V
+63 -313 V
 64 -342 V
 64 -353 V
-64 -344 V
+63 -343 V
 64 -316 V
-64 -273 V
-63 -218 V
-64 -153 V
+63 -273 V
+64 -218 V
+63 -153 V
 64 -86 V
 64 -18 V
-64 46 V
+63 46 V
 64 100 V
-64 145 V
+63 145 V
 64 177 V
-64 196 V
-63 200 V
-64 194 V
-64 175 V
-64 149 V
+64 195 V
+63 201 V
+64 193 V
+63 176 V
+64 148 V
 64 116 V
-64 80 V
+63 80 V
 64 43 V
-64 7 V
-63 -25 V
-64 -49 V
-64 -69 V
-64 -77 V
+63 7 V
+64 -24 V
+64 -50 V
+63 -68 V
 64 -78 V
+63 -78 V
 64 -69 V
-64 -51 V
+63 -50 V
 64 -25 V
-63 7 V
-64 44 V
+64 7 V
+63 43 V
 64 81 V
-64 117 V
+63 118 V
+% End plot #3
+% Begin plot #4
 1.000 UP
 stroke
 LT3
-1.00 0.00 0.00 C LTb
-6311 4319 M
-[ [(Helvetica) 140.0 0.0 true true 0 (data)]
+1.00 0.00 0.00 C LCb setrgbcolor
+6338 4318 M
+[ [(Helvetica) 140.0 0.0 true true 0 (sin\(4t+0.3\)cos\(3t-0.1)]
 ] -46.7 MRshow
 LT3
-1.00 0.00 0.00 C 574 2816 Pls
-1155 3839 Pls
-1735 1925 Pls
-2316 3569 Pls
-2897 4278 Pls
-3478 2053 Pls
-4058 3392 Pls
-4639 3751 Pls
-5220 1267 Pls
-5801 2435 Pls
-6381 2647 Pls
-6594 4319 Pls
-0.500 UL
-LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+1.00 0.00 0.00 C 630 2815 Pls
+1208 3838 Pls
+1786 1925 Pls
+2364 3569 Pls
+2942 4277 Pls
+3520 2052 Pls
+4099 3392 Pls
+4677 3750 Pls
+5255 1267 Pls
+5833 2434 Pls
+6411 2646 Pls
+6621 4318 Pls
+% End plot #4
+0.500 UL
+LTb
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/interpft.pdf and 1:3.0.5-6/doc/interpreter/interpft.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/interpft.png and 1:3.0.5-6/doc/interpreter/interpft.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/interpn.eps 1:3.0.5-6/doc/interpreter/interpn.eps
--- 1:3.0.1-6/doc/interpreter/interpn.eps	2008-04-21 17:56:59.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interpn.eps	2009-01-29 08:11:09.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: interpn.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:59 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:09 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (interpn.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:59 2008)
+  /CreationDate (Thu Jan 29 09:11:09 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,13 +461,12 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
 newpath
 (Helvetica) findfont 140 scalefont setfont
-0.500 UL
-LTb
 gsave % colour palette begin
 /maxcolors 64 def
 /HSV2RGB {  exch dup 0.0 eq {pop exch pop dup dup} % achromatic gray
@@ -519,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,3098 +541,2996 @@ Color true and { % COLOUR vs. GRAY map
 }{
   /g {stroke pm3dround pm3dGamma exp setgray} bind def
 } ifelse
+0.500 UL
+LTb
 1.000 UP
 1.000 UL
 LT0
-.0117 g .4675 g 4072 3301 M
+.4675 g 4072 3301 M
 -117 185 V
 stroke
 LT0
-.0117 g .5325 g 3802 3581 M
+.5325 g 3802 3581 M
 153 -95 V
 stroke
 LT0
-.0117 g .4031 g 4189 3119 M
+.4031 g 4189 3119 M
 -117 182 V
 stroke
 LT0
-.0117 g .4675 g 3919 3396 M
+.4675 g 3919 3396 M
 153 -95 V
 stroke
 LT0
-.0117 g .3438 g 4293 2961 M
+.3438 g 4293 2961 M
 -104 158 V
 stroke
 LT0
-.0117 g .4036 g 4036 3214 M
+.4036 g 4036 3214 M
 153 -95 V
 stroke
 LT0
-.0117 g .2501 g 4424 2768 M
--1 0 V
-stroke
-LT0
-.0117 g .3467 g 4154 3035 M
+.3467 g 4154 3035 M
 128 -80 V
 stroke
 LT0
-.0117 g .2502 g 4423 2768 M
-1 0 V
-stroke
-LT0
-.0117 g .1626 g 4622 2402 M
-12 -7 V
-stroke
-LT0
-.0117 g .5325 g 3919 3396 M
+.5325 g 3919 3396 M
 -117 185 V
 stroke
 LT0
-.0117 g .5969 g 3649 3674 M
+.5969 g 3649 3674 M
 153 -93 V
 stroke
 LT0
-.0117 g .468 g 4036 3214 M
+.468 g 4036 3214 M
 -117 182 V
 stroke
 LT0
-.0117 g .532 g 3767 3489 M
+.532 g 3767 3489 M
 152 -93 V
 stroke
 LT0
-.0117 g .405 g 4154 3035 M
+.405 g 4154 3035 M
 -118 179 V
 stroke
 LT0
-.0117 g .468 g 3884 3307 M
+.468 g 3884 3307 M
 152 -93 V
 stroke
 LT0
-.0117 g .3551 g 4229 2925 M
+.3551 g 4229 2925 M
 -75 110 V
 stroke
 LT0
-.0117 g .406 g 4001 3128 M
+.406 g 4001 3128 M
 153 -93 V
 stroke
 LT0
-.0117 g .3621 g 4118 2956 M
+.3621 g 4118 2956 M
 80 -49 V
 stroke
 LT0
-.0117 g .0283 g 5037 2045 M
--6 4 V
-stroke
-LT0
-.0117 g .2734 g 4353 2637 M
-0 -1 V
-stroke
-LT0
-.0117 g .1644 g 4626 2398 M
--4 4 V
-stroke
-LT0
-.0117 g .5964 g 3767 3489 M
+.5964 g 3767 3489 M
 -118 185 V
 stroke
 LT0
-.0117 g .6599 g 3498 3763 M
+.6599 g 3498 3763 M
 151 -89 V
 stroke
 LT0
-.0117 g .532 g 3884 3307 M
+.532 g 3884 3307 M
 -117 182 V
 stroke
 LT0
-.0117 g .595 g 3614 3578 M
+.595 g 3614 3578 M
 153 -89 V
 stroke
 LT0
-.0117 g .469 g 4001 3128 M
+.469 g 4001 3128 M
 -117 179 V
 stroke
 LT0
-.0117 g .531 g 3731 3396 M
+.531 g 3731 3396 M
 153 -89 V
 stroke
 LT0
-.0117 g .4084 g 4118 2956 M
+.4084 g 4118 2956 M
 -117 172 V
 stroke
 LT0
-.0117 g .469 g 3848 3217 M
+.469 g 3848 3217 M
 153 -89 V
 stroke
 LT0
-.0117 g .3676 g 4166 2888 M
+.3676 g 4166 2888 M
 -48 68 V
 stroke
 LT0
-.0117 g .4099 g 3965 3045 M
+.4099 g 3965 3045 M
 153 -89 V
 stroke
 LT0
-.0117 g .3775 g 4083 2880 M
+.3775 g 4083 2880 M
 40 -23 V
 stroke
-LT0
-.0117 g .0002 g 5361 1847 M
+LT1
+.0002 g 5361 1847 M
 -117 52 V
 stroke
-LT0
-.0117 g .033 g 5091 1994 M
+LT1
+.033 g 5091 1994 M
 153 -95 V
 stroke
 LT0
-.0117 g .089 g 4906 2122 M
--2 2 V
-stroke
-LT0
-.0117 g .2734 g 4353 2636 M
-0 1 V
-stroke
-LT0
-.0117 g .6584 g 3614 3578 M
+.6584 g 3614 3578 M
 -116 185 V
 stroke
 LT0
-.0117 g .7205 g 3345 3846 M
+.7205 g 3345 3846 M
 153 -83 V
 stroke
 LT0
-.0117 g .594 g 3731 3396 M
+.594 g 3731 3396 M
 -117 182 V
 stroke
 LT0
-.0117 g .6555 g 3462 3661 M
+.6555 g 3462 3661 M
 152 -83 V
 stroke
 LT0
-.0117 g .531 g 3848 3217 M
+.531 g 3848 3217 M
 -117 179 V
 stroke
 LT0
-.0117 g .5916 g 3579 3479 M
+.5916 g 3579 3479 M
 152 -83 V
 stroke
-LT0
-.0117 g .0056 g 5478 1820 M
+LT1
+.0056 g 5478 1820 M
 -117 27 V
 stroke
-LT0
-.0117 g .0325 g 5208 1942 M
+LT1
+.0325 g 5208 1942 M
 153 -95 V
 stroke
 LT0
-.0117 g .4705 g 3965 3045 M
+.4705 g 3965 3045 M
 -117 172 V
 stroke
 LT0
-.0117 g .5295 g 3696 3300 M
+.5295 g 3696 3300 M
 152 -83 V
 stroke
 LT0
-.0117 g .1632 g 4699 2260 M
--2 2 V
-stroke
-LT0
-.0117 g .4133 g 4083 2880 M
+.4133 g 4083 2880 M
 -118 165 V
 stroke
 LT0
-.0117 g .4705 g 3813 3127 M
+.4705 g 3813 3127 M
 152 -82 V
 stroke
 LT0
-.0117 g .3801 g 4109 2846 M
+.3801 g 4109 2846 M
 -26 34 V
 stroke
 LT0
-.0117 g .4153 g 3930 2963 M
+.4153 g 3930 2963 M
 153 -83 V
 stroke
-LT0
-.0117 g .0652 g 5208 1942 M
+LT1
+.0652 g 5208 1942 M
 -117 52 V
 stroke
-LT0
-.0117 g .0974 g 4938 2087 M
+LT1
+.0974 g 4938 2087 M
 153 -93 V
 stroke
 LT0
-.0117 g .1693 g 4679 2269 M
-12 -7 V
-stroke
-LT0
-.0117 g .2234 g 4551 2344 M
-2 -1 V
-stroke
-LT0
-.0117 g .3931 g 4047 2809 M
+.3931 g 4047 2809 M
 8 -5 V
 stroke
-LT0
-.0117 g .0232 g 5595 1818 M
+LT1
+.0232 g 5595 1818 M
 -117 2 V
 stroke
-LT0
-.0117 g .0437 g 5326 1915 M
+LT1
+.0437 g 5326 1915 M
 152 -95 V
 stroke
 LT0
-.0117 g .7175 g 3462 3661 M
+.7175 g 3462 3661 M
 -117 185 V
 stroke
 LT0
-.0117 g .7776 g 3192 3921 M
+.7776 g 3192 3921 M
 153 -75 V
 stroke
 LT0
-.0117 g .6531 g 3579 3479 M
+.6531 g 3579 3479 M
 -117 182 V
 stroke
 LT0
-.0117 g .7126 g 3309 3736 M
+.7126 g 3309 3736 M
 153 -75 V
 stroke
 LT0
-.0117 g .1888 g 4698 2233 M
-10 -6 V
-stroke
-LT0
-.0117 g .5901 g 3696 3300 M
+.5901 g 3696 3300 M
 -117 179 V
 stroke
 LT0
-.0117 g .6487 g 3427 3554 M
+.6487 g 3427 3554 M
 152 -75 V
 stroke
 LT0
-.0117 g .5295 g 3813 3127 M
+.5295 g 3813 3127 M
 -117 173 V
 stroke
 LT0
-.0117 g .5867 g 3544 3375 M
+.5867 g 3544 3375 M
 152 -75 V
 stroke
-LT0
-.0117 g .0706 g 5326 1915 M
+LT1
+.0706 g 5326 1915 M
 -118 27 V
 stroke
-LT0
-.0117 g .0969 g 5056 2035 M
+LT1
+.0969 g 5056 2035 M
 152 -93 V
 stroke
 LT0
-.0117 g .4724 g 3930 2963 M
+.4724 g 3930 2963 M
 -117 164 V
 stroke
 LT0
-.0117 g .5276 g 3660 3202 M
+.5276 g 3660 3202 M
 153 -75 V
 stroke
 LT0
-.0117 g .4197 g 4047 2809 M
+.4197 g 4047 2809 M
 -117 154 V
 stroke
 LT0
-.0117 g .4724 g 3777 3038 M
+.4724 g 3777 3038 M
 153 -75 V
 stroke
-LT0
-.0117 g .1292 g 5056 2035 M
+LT1
+.1292 g 5056 2035 M
 -118 52 V
 stroke
-LT0
-.0117 g .1604 g 4786 2176 M
+LT1
+.1604 g 4786 2176 M
 152 -89 V
 stroke
 LT0
-.0117 g .2236 g 4552 2343 M
--1 1 V
-stroke
-LT0
-.0117 g .3936 g 4052 2802 M
+.3936 g 4052 2802 M
 -5 7 V
 stroke
 LT0
-.0117 g .4221 g 3894 2883 M
+.4221 g 3894 2883 M
 153 -74 V
 stroke
-LT0
-.0117 g .054 g 5713 1845 M
+LT1
+.054 g 5713 1845 M
 -118 -27 V
 stroke
-LT0
-.0117 g .0676 g 5443 1913 M
+LT1
+.0676 g 5443 1913 M
 152 -95 V
 stroke
 LT0
-.0117 g .7727 g 3309 3736 M
+.7727 g 3309 3736 M
 -117 185 V
 stroke
 LT0
-.0117 g .8303 g 3040 3986 M
+.8303 g 3040 3986 M
 152 -65 V
 stroke
-LT0
-.0117 g .0881 g 5443 1913 M
+LT1
+.0881 g 5443 1913 M
 -117 2 V
 stroke
-LT0
-.0117 g .1082 g 5173 2008 M
+LT1
+.1082 g 5173 2008 M
 153 -93 V
 stroke
 LT0
-.0117 g .7083 g 3427 3554 M
+.7083 g 3427 3554 M
 -118 182 V
 stroke
 LT0
-.0117 g .7654 g 3157 3801 M
+.7654 g 3157 3801 M
 152 -65 V
 stroke
 LT0
-.0117 g .6453 g 3544 3375 M
+.6453 g 3544 3375 M
 -117 179 V
 stroke
 LT0
-.0117 g .7014 g 3274 3618 M
+.7014 g 3274 3618 M
 153 -64 V
 stroke
 LT0
-.0117 g .2004 g 4696 2232 M
--8 6 V
-stroke
-LT0
-.0117 g .5847 g 3660 3202 M
+.5847 g 3660 3202 M
 -116 173 V
 stroke
 LT0
-.0117 g .6394 g 3391 3440 M
+.6394 g 3391 3440 M
 153 -65 V
 stroke
-LT0
-.0117 g .1345 g 5173 2008 M
+LT1
+.1345 g 5173 2008 M
 -117 27 V
 stroke
-LT0
-.0117 g .1599 g 4903 2124 M
+LT1
+.1599 g 4903 2124 M
 153 -89 V
 stroke
 LT0
-.0117 g .5276 g 3777 3038 M
+.5276 g 3777 3038 M
 -117 164 V
 stroke
 LT0
-.0117 g .5803 g 3508 3267 M
+.5803 g 3508 3267 M
 152 -65 V
 stroke
 LT0
-.0117 g .4749 g 3894 2883 M
+.4749 g 3894 2883 M
 -117 155 V
 stroke
 LT0
-.0117 g .5251 g 3624 3103 M
+.5251 g 3624 3103 M
 153 -65 V
 stroke
-LT0
-.0117 g .1912 g 4903 2124 M
+LT1
+.1912 g 4903 2124 M
 -117 52 V
 stroke
-LT0
-.0117 g .2209 g 4633 2259 M
+LT1
+.2209 g 4633 2259 M
 153 -83 V
 stroke
 LT0
-.0117 g .4302 g 3997 2758 M
+.4302 g 3997 2758 M
 -103 125 V
 stroke
 LT0
-.0117 g .4749 g 3742 2948 M
+.4749 g 3742 2948 M
 152 -65 V
 stroke
-LT0
-.0117 g .0989 g 5830 1902 M
+LT1
+.0989 g 5830 1902 M
 -117 -57 V
 stroke
-LT0
-.0117 g .1052 g 5560 1940 M
+LT1
+.1052 g 5560 1940 M
 153 -95 V
 stroke
-LT0
-.0117 g .1189 g 5560 1940 M
+LT1
+.1189 g 5560 1940 M
 -117 -27 V
 stroke
-LT0
-.0117 g .1321 g 5290 2006 M
+LT1
+.1321 g 5290 2006 M
 153 -93 V
 stroke
 LT0
-.0117 g .823 g 3157 3801 M
+.823 g 3157 3801 M
 -117 185 V
 stroke
 LT0
-.0117 g .8777 g 2887 4038 M
+.8777 g 2887 4038 M
 153 -52 V
 stroke
 LT0
-.0117 g .7585 g 3274 3618 M
+.7585 g 3274 3618 M
 -117 183 V
 stroke
 LT0
-.0117 g .8127 g 3004 3854 M
+.8127 g 3004 3854 M
 153 -53 V
 stroke
 LT0
-.0117 g .4341 g 3859 2806 M
+.4341 g 3859 2806 M
 130 -55 V
 stroke
-LT0
-.0117 g .1521 g 5290 2006 M
+LT1
+.1521 g 5290 2006 M
 -117 2 V
 stroke
-LT0
-.0117 g .1711 g 5020 2097 M
+LT1
+.1711 g 5020 2097 M
 153 -89 V
 stroke
 LT0
-.0117 g .6956 g 3391 3440 M
+.6956 g 3391 3440 M
 -117 178 V
 stroke
 LT0
-.0117 g .7488 g 3121 3671 M
+.7488 g 3121 3671 M
 153 -53 V
 stroke
 LT0
-.0117 g .635 g 3508 3267 M
+.635 g 3508 3267 M
 -117 173 V
 stroke
 LT0
-.0117 g .6868 g 3238 3492 M
+.6868 g 3238 3492 M
 153 -52 V
 stroke
 LT0
-.0117 g .5779 g 3624 3103 M
+.5779 g 3624 3103 M
 -116 164 V
 stroke
 LT0
-.0117 g .6277 g 3356 3320 M
+.6277 g 3356 3320 M
 152 -53 V
 stroke
-LT0
-.0117 g .1965 g 5020 2097 M
+LT1
+.1965 g 5020 2097 M
 -117 27 V
 stroke
-LT0
-.0117 g .2205 g 4750 2207 M
+LT1
+.2205 g 4750 2207 M
 153 -83 V
 stroke
 LT0
-.0117 g .5251 g 3742 2948 M
+.5251 g 3742 2948 M
 -118 155 V
 stroke
 LT0
-.0117 g .5725 g 3473 3155 M
+.5725 g 3473 3155 M
 151 -52 V
 stroke
 LT0
-.0117 g .4778 g 3859 2806 M
+.4778 g 3859 2806 M
 -117 142 V
 stroke
 LT0
-.0117 g .5222 g 3590 3001 M
+.5222 g 3590 3001 M
 152 -53 V
 stroke
-LT0
-.0117 g .3804 g 4116 2557 M
-2 -1 V
-stroke
-LT0
-.0117 g .2502 g 4750 2207 M
+LT1
+.2502 g 4750 2207 M
 -117 52 V
 stroke
-LT0
-.0117 g .2725 g 4511 2319 M
+LT1
+.2725 g 4511 2319 M
 122 -60 V
 stroke
 LT0
-.0117 g .8674 g 3004 3854 M
+.8674 g 3004 3854 M
 -117 184 V
 stroke
 LT0
-.0117 g .9187 g 2734 4077 M
+.9187 g 2734 4077 M
 153 -39 V
 stroke
-LT0
-.0117 g .1638 g 5677 1997 M
+LT1
+.1638 g 5677 1997 M
 -117 -57 V
 stroke
-LT0
-.0117 g .1697 g 5407 2033 M
+LT1
+.1697 g 5407 2033 M
 153 -93 V
 stroke
 LT0
-.0117 g .803 g 3121 3671 M
+.803 g 3121 3671 M
 -117 183 V
 stroke
 LT0
-.0117 g .8538 g 2851 3892 M
+.8538 g 2851 3892 M
 153 -38 V
 stroke
-LT0
-.0117 g .1589 g 5947 1991 M
+LT1
+.1589 g 5947 1991 M
 -117 -89 V
 stroke
-LT0
-.0117 g .1575 g 5677 1997 M
+LT1
+.1575 g 5677 1997 M
 153 -95 V
 stroke
-LT0
-.0117 g .1829 g 5407 2033 M
+LT1
+.1829 g 5407 2033 M
 -117 -27 V
 stroke
-LT0
-.0117 g .1951 g 5137 2095 M
+LT1
+.1951 g 5137 2095 M
 153 -89 V
 stroke
 LT0
-.0117 g .4415 g 3947 2710 M
+.4415 g 3947 2710 M
 -88 96 V
 stroke
 LT0
-.0117 g .4778 g 3706 2858 M
+.4778 g 3706 2858 M
 153 -52 V
 stroke
 LT0
-.0117 g .74 g 3238 3492 M
+.74 g 3238 3492 M
 -117 179 V
 stroke
 LT0
-.0117 g .7898 g 2968 3710 M
+.7898 g 2968 3710 M
 153 -39 V
 stroke
 LT0
-.0117 g .6794 g 3356 3320 M
+.6794 g 3356 3320 M
 -118 172 V
 stroke
 LT0
-.0117 g .7278 g 3086 3531 M
+.7278 g 3086 3531 M
 152 -39 V
 stroke
-LT0
-.0117 g .2141 g 5137 2095 M
+LT1
+.2141 g 5137 2095 M
 -117 2 V
 stroke
-LT0
-.0117 g .2317 g 4867 2179 M
+LT1
+.2317 g 4867 2179 M
 153 -82 V
 stroke
 LT0
-.0117 g .3064 g 4477 2336 M
--9 5 V
-stroke
-LT0
-.0117 g .3108 g 4432 2364 M
--12 8 V
-stroke
-LT0
-.0117 g .6223 g 3473 3155 M
+.6223 g 3473 3155 M
 -117 165 V
 stroke
 LT0
-.0117 g .6687 g 3203 3358 M
+.6687 g 3203 3358 M
 153 -38 V
 stroke
 LT0
-.0117 g .4469 g 3823 2730 M
+.4469 g 3823 2730 M
 107 -36 V
 stroke
 LT0
-.0117 g .5696 g 3590 3001 M
+.5696 g 3590 3001 M
 -117 154 V
 stroke
 LT0
-.0117 g .6135 g 3320 3194 M
+.6135 g 3320 3194 M
 153 -39 V
 stroke
-LT0
-.0117 g .2556 g 4867 2179 M
+LT1
+.2556 g 4867 2179 M
 -117 28 V
 stroke
-LT0
-.0117 g .2776 g 4597 2282 M
+LT1
+.2776 g 4597 2282 M
 153 -75 V
 stroke
 LT0
-.0117 g .5222 g 3706 2858 M
+.5222 g 3706 2858 M
 -116 143 V
 stroke
 LT0
-.0117 g .5632 g 3437 3039 M
+.5632 g 3437 3039 M
 153 -38 V
 stroke
 LT0
-.0117 g .905 g 2851 3892 M
+.905 g 2851 3892 M
 -117 185 V
 stroke
 LT0
-.0117 g .9524 g 2581 4099 M
+.9524 g 2581 4099 M
 153 -22 V
 stroke
 LT0
-.0117 g .8406 g 2968 3710 M
+.8406 g 2968 3710 M
 -117 182 V
 stroke
 LT0
-.0117 g .8875 g 2699 3915 M
+.8875 g 2699 3915 M
 152 -23 V
 stroke
 LT0
-.0117 g .3097 g 4456 2344 M
-24 -10 V
-stroke
-LT0
-.0117 g .7776 g 3086 3531 M
+.7776 g 3086 3531 M
 -118 179 V
 stroke
 LT0
-.0117 g .8235 g 2816 3732 M
+.8235 g 2816 3732 M
 152 -22 V
 stroke
 LT0
-.0117 g .4812 g 3823 2730 M
+.4812 g 3823 2730 M
 -117 128 V
 stroke
 LT0
-.0117 g .5188 g 3554 2897 M
+.5188 g 3554 2897 M
 152 -39 V
 stroke
 LT0
-.0117 g .717 g 3203 3358 M
+.717 g 3203 3358 M
 -117 173 V
 stroke
 LT0
-.0117 g .7615 g 2933 3554 M
+.7615 g 2933 3554 M
 153 -23 V
 stroke
-LT0
-.0117 g .2278 g 5524 2090 M
+LT1
+.2278 g 5524 2090 M
 -117 -57 V
 stroke
-LT0
-.0117 g .2327 g 5254 2122 M
+LT1
+.2327 g 5254 2122 M
 153 -89 V
 stroke
-LT0
-.0117 g .2239 g 5794 2086 M
+LT1
+.2239 g 5794 2086 M
 -117 -89 V
 stroke
-LT0
-.0117 g .2219 g 5524 2090 M
+LT1
+.2219 g 5524 2090 M
 153 -93 V
 stroke
-LT0
-.0117 g .2449 g 5254 2122 M
+LT1
+.2449 g 5254 2122 M
 -117 -27 V
 stroke
-LT0
-.0117 g .2556 g 4985 2178 M
+LT1
+.2556 g 4985 2178 M
 152 -83 V
 stroke
 LT0
-.0117 g .6599 g 3320 3194 M
+.6599 g 3320 3194 M
 -117 164 V
 stroke
 LT0
-.0117 g .7024 g 3050 3381 M
+.7024 g 3050 3381 M
 153 -23 V
 stroke
-LT0
-.0117 g .4114 g 4058 2525 M
-1 -1 V
-stroke
-LT0
-.0117 g .2732 g 4985 2178 M
+LT1
+.2732 g 4985 2178 M
 -118 1 V
 stroke
-LT0
-.0117 g .2888 g 4715 2254 M
+LT1
+.2888 g 4715 2254 M
 152 -75 V
 stroke
-LT0
-.0117 g .2351 g 6064 2115 M
+LT1
+.2351 g 6064 2115 M
 5947 1991 L
 stroke
-LT0
-.0117 g .2253 g 5794 2086 M
+LT1
+.2253 g 5794 2086 M
 153 -95 V
 stroke
 LT0
-.0117 g .4532 g 3896 2661 M
+.4532 g 3896 2661 M
 -73 69 V
 stroke
 LT0
-.0117 g .4812 g 3671 2769 M
+.4812 g 3671 2769 M
 152 -39 V
 stroke
 LT0
-.0117 g .6072 g 3437 3039 M
+.6072 g 3437 3039 M
 -117 155 V
 stroke
 LT0
-.0117 g .6472 g 3167 3216 M
+.6472 g 3167 3216 M
 153 -22 V
 stroke
-LT0
-.0117 g .3108 g 4715 2254 M
+LT1
+.3108 g 4715 2254 M
 -118 28 V
 stroke
-LT0
-.0117 g .3303 g 4445 2347 M
+LT1
+.3303 g 4445 2347 M
 152 -65 V
 stroke
 LT0
-.0117 g .9348 g 2699 3915 M
+.9348 g 2699 3915 M
 -118 184 V
 stroke
 LT0
-.0117 g .9778 g 2429 4104 M
+.9778 g 2429 4104 M
 152 -5 V
 stroke
 LT0
-.0117 g .5598 g 3554 2897 M
+.5598 g 3554 2897 M
 -117 142 V
 stroke
 LT0
-.0117 g .5969 g 3284 3062 M
+.5969 g 3284 3062 M
 153 -23 V
 stroke
 LT0
-.0117 g .8704 g 2816 3732 M
+.8704 g 2816 3732 M
 -117 183 V
 stroke
 LT0
-.0117 g .9128 g 2546 3919 M
+.9128 g 2546 3919 M
 153 -4 V
 stroke
 LT0
-.0117 g .4601 g 3788 2657 M
+.4601 g 3788 2657 M
 82 -21 V
 stroke
 LT0
-.0117 g .8074 g 2933 3554 M
+.8074 g 2933 3554 M
 -117 178 V
 stroke
 LT0
-.0117 g .8489 g 2663 3736 M
+.8489 g 2663 3736 M
 153 -4 V
 stroke
 LT0
-.0117 g .5188 g 3671 2769 M
+.5188 g 3671 2769 M
 -117 128 V
 stroke
 LT0
-.0117 g .5525 g 3402 2920 M
+.5525 g 3402 2920 M
 152 -23 V
 stroke
 LT0
-.0117 g .7468 g 3050 3381 M
+.7468 g 3050 3381 M
 -117 173 V
 stroke
 LT0
-.0117 g .7869 g 2780 3558 M
+.7869 g 2780 3558 M
 153 -4 V
 stroke
 LT0
-.0117 g .6897 g 3167 3216 M
+.6897 g 3167 3216 M
 -117 165 V
 stroke
 LT0
-.0117 g .7278 g 2897 3385 M
+.7278 g 2897 3385 M
 153 -4 V
 stroke
-LT0
-.0117 g .2898 g 5372 2179 M
+LT1
+.2898 g 5372 2179 M
 -118 -57 V
 stroke
-LT0
-.0117 g .2932 g 5102 2205 M
+LT1
+.2932 g 5102 2205 M
 152 -83 V
 stroke
 LT0
-.0117 g .637 g 3284 3062 M
+.637 g 3284 3062 M
 -117 154 V
 stroke
 LT0
-.0117 g .6726 g 3015 3221 M
+.6726 g 3015 3221 M
 152 -5 V
 stroke
 LT0
-.0117 g .4851 g 3788 2657 M
+.4851 g 3788 2657 M
 -117 112 V
 stroke
 LT0
-.0117 g .5149 g 3519 2791 M
+.5149 g 3519 2791 M
 152 -22 V
 stroke
-LT0
-.0117 g .304 g 5102 2205 M
+LT1
+.304 g 5102 2205 M
 -117 -27 V
 stroke
-LT0
-.0117 g .3127 g 4832 2253 M
+LT1
+.3127 g 4832 2253 M
 153 -75 V
 stroke
-LT0
-.0117 g .4116 g 4059 2524 M
--1 1 V
-stroke
-LT0
-.0117 g .2878 g 5642 2179 M
+LT1
+.2878 g 5642 2179 M
 -118 -89 V
 stroke
-LT0
-.0117 g .2849 g 5372 2179 M
+LT1
+.2849 g 5372 2179 M
 152 -89 V
 stroke
 LT0
-.0117 g .9558 g 2546 3919 M
+.9558 g 2546 3919 M
 -117 185 V
 stroke
 LT0
-.0117 g .9939 g 2276 4088 M
+.9939 g 2276 4088 M
 153 16 V
 stroke
-LT0
-.0117 g .3284 g 4832 2253 M
+LT1
+.3284 g 4832 2253 M
 -117 1 V
 stroke
-LT0
-.0117 g .3416 g 4562 2319 M
+LT1
+.3416 g 4562 2319 M
 153 -65 V
 stroke
 LT0
-.0117 g .8914 g 2663 3736 M
+.8914 g 2663 3736 M
 -117 183 V
 stroke
 LT0
-.0117 g .929 g 2393 3903 M
+.929 g 2393 3903 M
 153 16 V
 stroke
 LT0
-.0117 g .5896 g 3402 2920 M
+.5896 g 3402 2920 M
 -118 142 V
 stroke
 LT0
-.0117 g .6223 g 3132 3066 M
+.6223 g 3132 3066 M
 152 -4 V
 stroke
-LT0
-.0117 g .3 g 5911 2210 M
+LT1
+.3 g 5911 2210 M
 5794 2086 L
 stroke
-LT0
-.0117 g .2898 g 5642 2179 M
+LT1
+.2898 g 5642 2179 M
 152 -93 V
 stroke
 LT0
-.0117 g .8284 g 2780 3558 M
+.8284 g 2780 3558 M
 -117 178 V
 stroke
 LT0
-.0117 g .865 g 2510 3721 M
+.865 g 2510 3721 M
 153 15 V
 stroke
-LT0
-.0117 g .3611 g 4562 2319 M
+LT1
+.3611 g 4562 2319 M
 -117 28 V
 stroke
-LT0
-.0117 g .3777 g 4292 2399 M
+LT1
+.3777 g 4292 2399 M
 153 -52 V
 stroke
 LT0
-.0117 g .7678 g 2897 3385 M
+.7678 g 2897 3385 M
 -117 173 V
 stroke
 LT0
-.0117 g .803 g 2627 3542 M
+.803 g 2627 3542 M
 153 16 V
 stroke
 LT0
-.0117 g .4596 g 3847 2609 M
--1 1 V
-stroke
-LT0
-.0117 g .4651 g 3845 2610 M
+.4651 g 3845 2610 M
 -57 47 V
 stroke
 LT0
-.0117 g .4851 g 3635 2679 M
+.4851 g 3635 2679 M
 153 -22 V
 stroke
 LT0
-.0117 g .5486 g 3519 2791 M
+.5486 g 3519 2791 M
 -117 129 V
 stroke
 LT0
-.0117 g .5779 g 3249 2924 M
+.5779 g 3249 2924 M
 153 -4 V
 stroke
 LT0
-.0117 g .7107 g 3015 3221 M
+.7107 g 3015 3221 M
 -118 164 V
 stroke
 LT0
-.0117 g .7439 g 2745 3370 M
+.7439 g 2745 3370 M
 152 15 V
 stroke
-LT0
-.0117 g .3284 g 6181 2274 M
+LT1
+.3284 g 6181 2274 M
 6064 2115 L
 stroke
-LT0
-.0117 g .3098 g 5911 2210 M
+LT1
+.3098 g 5911 2210 M
 153 -95 V
 stroke
 LT0
-.0117 g .658 g 3132 3066 M
+.658 g 3132 3066 M
 -117 155 V
 stroke
 LT0
-.0117 g .6887 g 2862 3205 M
+.6887 g 2862 3205 M
 153 16 V
 stroke
 LT0
-.0117 g .967 g 2393 3903 M
+.967 g 2393 3903 M
 -117 185 V
 stroke
 LT0
-.0117 g .9998 g 2123 4050 M
+.9998 g 2123 4050 M
 153 38 V
 stroke
 LT0
-.0117 g .5149 g 3635 2679 M
+.5149 g 3635 2679 M
 -116 112 V
 stroke
 LT0
-.0117 g .5403 g 3366 2796 M
+.5403 g 3366 2796 M
 153 -5 V
 stroke
 LT0
-.0117 g .9026 g 2510 3721 M
+.9026 g 2510 3721 M
 -117 182 V
 stroke
 LT0
-.0117 g .9348 g 2240 3865 M
+.9348 g 2240 3865 M
 153 38 V
 stroke
 LT0
-.0117 g .4675 g 1019 2524 M
+.4675 g 1019 2524 M
 901 2708 L
 stroke
 LT0
-.0117 g .5603 g 1054 2995 M
+.5603 g 1054 2995 M
 901 2708 L
 stroke
 LT0
-.0117 g .4728 g 3752 2586 M
+.4728 g 3752 2586 M
 64 -9 V
 stroke
 LT0
-.0117 g .8396 g 2627 3542 M
+.8396 g 2627 3542 M
 -117 179 V
 stroke
 LT0
-.0117 g .8708 g 2358 3683 M
+.8708 g 2358 3683 M
 152 38 V
 stroke
 LT0
-.0117 g .4031 g 1136 2341 M
+.4031 g 1136 2341 M
 -117 183 V
 stroke
 LT0
-.0117 g .4954 g 1171 2811 M
+.4954 g 1171 2811 M
 1019 2524 L
 stroke
 LT0
-.0117 g .6106 g 3249 2924 M
+.6106 g 3249 2924 M
 -117 142 V
 stroke
 LT0
-.0117 g .6384 g 2979 3051 M
+.6384 g 2979 3051 M
 153 15 V
 stroke
 LT0
-.0117 g .3401 g 1253 2163 M
+.3401 g 1253 2163 M
 -117 178 V
 stroke
 LT0
-.0117 g .4314 g 1289 2628 M
+.4314 g 1289 2628 M
 1136 2341 L
 stroke
 LT0
-.0117 g .7791 g 2745 3370 M
+.7791 g 2745 3370 M
 -118 172 V
 stroke
 LT0
-.0117 g .8088 g 2475 3504 M
+.8088 g 2475 3504 M
 152 38 V
 stroke
-LT0
-.0117 g .3489 g 5219 2262 M
+LT1
+.3489 g 5219 2262 M
 -117 -57 V
 stroke
-LT0
-.0117 g .3503 g 4949 2280 M
+LT1
+.3503 g 4949 2280 M
 153 -75 V
 stroke
-LT0
-.0117 g .3591 g 4949 2280 M
+LT1
+.3591 g 4949 2280 M
 -117 -27 V
 stroke
-LT0
-.0117 g .3655 g 4679 2318 M
+LT1
+.3655 g 4679 2318 M
 153 -65 V
 stroke
 LT0
-.0117 g .2795 g 1370 1990 M
+.2795 g 1370 1990 M
 -117 173 V
 stroke
 LT0
-.0117 g .3694 g 1406 2450 M
+.3694 g 1406 2450 M
 1253 2163 L
 stroke
-LT0
-.0117 g .3787 g 4679 2318 M
+LT1
+.3787 g 4679 2318 M
 -117 1 V
 stroke
-LT0
-.0117 g .3889 g 4409 2372 M
+LT1
+.3889 g 4409 2372 M
 153 -53 V
 stroke
-LT0
-.0117 g .3499 g 5489 2268 M
+LT1
+.3499 g 5489 2268 M
 -117 -89 V
 stroke
-LT0
-.0117 g .3455 g 5219 2262 M
+LT1
+.3455 g 5219 2262 M
 153 -83 V
 stroke
 LT0
-.0117 g .7219 g 2862 3205 M
+.7219 g 2862 3205 M
 -117 165 V
 stroke
 LT0
-.0117 g .7498 g 2592 3332 M
+.7498 g 2592 3332 M
 153 38 V
 stroke
 LT0
-.0117 g .5696 g 3366 2796 M
+.5696 g 3366 2796 M
 -117 128 V
 stroke
 LT0
-.0117 g .594 g 3096 2908 M
+.594 g 3096 2908 M
 153 16 V
 stroke
 LT0
-.0117 g .4895 g 3752 2586 M
+.4895 g 3752 2586 M
 -117 93 V
 stroke
 LT0
-.0117 g .5105 g 3483 2684 M
+.5105 g 3483 2684 M
 152 -5 V
 stroke
 LT0
-.0117 g .2224 g 1487 1826 M
+.2224 g 1487 1826 M
 -117 164 V
 stroke
 LT0
-.0117 g .3103 g 1523 2278 M
+.3103 g 1523 2278 M
 1370 1990 L
 stroke
 LT0
-.0117 g .9675 g 2240 3865 M
+.9675 g 2240 3865 M
 -117 185 V
 stroke
 LT0
-.0117 g .9944 g 1970 3988 M
+.9944 g 1970 3988 M
 153 62 V
 stroke
-LT0
-.0117 g .4055 g 4409 2372 M
+LT1
+.4055 g 4409 2372 M
 -117 27 V
 stroke
-LT0
-.0117 g .4067 g 4237 2413 M
+LT1
+.4067 g 4237 2413 M
 55 -14 V
 stroke
 LT0
-.0117 g .6692 g 2979 3051 M
+.6692 g 2979 3051 M
 -117 154 V
 stroke
 LT0
-.0117 g .6946 g 2709 3167 M
+.6946 g 2709 3167 M
 153 38 V
 stroke
 LT0
-.0117 g .9031 g 2358 3683 M
+.9031 g 2358 3683 M
 -118 182 V
 stroke
 LT0
-.0117 g .9294 g 2088 3803 M
+.9294 g 2088 3803 M
 152 62 V
 stroke
-LT0
-.0117 g .364 g 5759 2303 M
+LT1
+.364 g 5759 2303 M
 5642 2179 L
 stroke
-LT0
-.0117 g .3528 g 5489 2268 M
+LT1
+.3528 g 5489 2268 M
 153 -89 V
 stroke
 LT0
-.0117 g .1697 g 1605 1671 M
+.1697 g 1605 1671 M
 -118 155 V
 stroke
 LT0
-.0117 g .2551 g 1640 2113 M
+.2551 g 1640 2113 M
 1487 1826 L
 stroke
 LT0
-.0117 g .5881 g 1171 2811 M
+.5881 g 1171 2811 M
 -117 184 V
 stroke
 LT0
-.0117 g .6716 g 1207 3245 M
+.6716 g 1207 3245 M
 1054 2995 L
 stroke
 LT0
-.0117 g .8401 g 2475 3504 M
+.8401 g 2475 3504 M
 -117 179 V
 stroke
 LT0
-.0117 g .8655 g 2205 3621 M
+.8655 g 2205 3621 M
 153 62 V
 stroke
 LT0
-.0117 g .5237 g 1289 2628 M
+.5237 g 1289 2628 M
 -118 183 V
 stroke
 LT0
-.0117 g .6067 g 1324 3060 M
+.6067 g 1324 3060 M
 1171 2811 L
 stroke
 LT0
-.0117 g .5359 g 3483 2684 M
+.5359 g 3483 2684 M
 -117 112 V
 stroke
 LT0
-.0117 g .5564 g 3213 2780 M
+.5564 g 3213 2780 M
 153 16 V
 stroke
 LT0
-.0117 g .6218 g 3096 2908 M
+.6218 g 3096 2908 M
 -117 143 V
 stroke
 LT0
-.0117 g .6443 g 2826 3013 M
+.6443 g 2826 3013 M
 153 38 V
 stroke
 LT0
-.0117 g .7795 g 2592 3332 M
+.7795 g 2592 3332 M
 -117 172 V
 stroke
 LT0
-.0117 g .8035 g 2322 3442 M
+.8035 g 2322 3442 M
 153 62 V
 stroke
 LT0
-.0117 g .4607 g 1406 2450 M
+.4607 g 1406 2450 M
 -117 178 V
 stroke
 LT0
-.0117 g .5427 g 1441 2877 M
+.5427 g 1441 2877 M
 1289 2628 L
 stroke
 LT0
-.0117 g .1223 g 1722 1529 M
+.1223 g 1722 1529 M
 -117 142 V
 stroke
 LT0
-.0117 g .2048 g 1757 1959 M
+.2048 g 1757 1959 M
 1605 1671 L
 stroke
 LT0
-.0117 g .7224 g 2709 3167 M
+.7224 g 2709 3167 M
 -117 165 V
 stroke
 LT0
-.0117 g .7444 g 2439 3270 M
+.7444 g 2439 3270 M
 153 62 V
 stroke
 LT0
-.0117 g .9563 g 2088 3803 M
+.9563 g 2088 3803 M
 -118 185 V
 stroke
 LT0
-.0117 g .9768 g 1818 3900 M
+.9768 g 1818 3900 M
 152 88 V
 stroke
 LT0
-.0117 g .4768 g 3799 2557 M
+.4768 g 3799 2557 M
 -47 29 V
 stroke
 LT0
-.0117 g .4895 g 3600 2590 M
+.4895 g 3600 2590 M
 152 -4 V
 stroke
 LT0
-.0117 g .4001 g 1523 2278 M
+.4001 g 1523 2278 M
 -117 172 V
 stroke
 LT0
-.0117 g .4807 g 1558 2699 M
+.4807 g 1558 2699 M
 1406 2450 L
 stroke
-LT0
-.0117 g .3933 g 6029 2369 M
+LT1
+.3933 g 6029 2369 M
 5911 2210 L
 stroke
-LT0
-.0117 g .3743 g 5759 2303 M
+LT1
+.3743 g 5759 2303 M
 152 -93 V
 stroke
 LT0
-.0117 g .8918 g 2205 3621 M
+.8918 g 2205 3621 M
 -117 182 V
 stroke
 LT0
-.0117 g .9119 g 1935 3715 M
+.9119 g 1935 3715 M
 153 88 V
 stroke
 LT0
-.0117 g .5808 g 3213 2780 M
+.5808 g 3213 2780 M
 -117 128 V
 stroke
 LT0
-.0117 g .5999 g 2943 2870 M
+.5999 g 2943 2870 M
 153 38 V
 stroke
 LT0
-.0117 g .343 g 1640 2113 M
+.343 g 1640 2113 M
 -117 165 V
 stroke
 LT0
-.0117 g .4216 g 1676 2527 M
+.4216 g 1676 2527 M
 1523 2278 L
 stroke
 LT0
-.0117 g .6902 g 1324 3060 M
+.6902 g 1324 3060 M
 -117 185 V
 stroke
 LT0
-.0117 g .7649 g 1360 3458 M
+.7649 g 1360 3458 M
 1207 3245 L
 stroke
 LT0
-.0117 g .6697 g 2826 3013 M
+.6697 g 2826 3013 M
 -117 154 V
 stroke
 LT0
-.0117 g .6892 g 2556 3105 M
+.6892 g 2556 3105 M
 153 62 V
 stroke
 LT0
-.0117 g .8289 g 2322 3442 M
+.8289 g 2322 3442 M
 -117 179 V
 stroke
 LT0
-.0117 g .8479 g 2052 3532 M
+.8479 g 2052 3532 M
 153 89 V
 stroke
 LT0
-.0117 g .0813 g 1839 1400 M
+.0813 g 1839 1400 M
 -117 129 V
 stroke
 LT0
-.0117 g .1604 g 1874 1816 M
+.1604 g 1874 1816 M
 1722 1529 L
 stroke
 LT0
-.0117 g .6257 g 1441 2877 M
+.6257 g 1441 2877 M
 -117 183 V
 stroke
 LT0
-.0117 g .7 g 1477 3273 M
+.7 g 1477 3273 M
 1324 3060 L
 stroke
 LT0
-.0117 g .5105 g 3600 2590 M
+.5105 g 3600 2590 M
 -117 94 V
 stroke
 LT0
-.0117 g .5266 g 3331 2668 M
+.5266 g 3331 2668 M
 152 16 V
 stroke
 LT0
-.0117 g .7683 g 2439 3270 M
+.7683 g 2439 3270 M
 -117 172 V
 stroke
 LT0
-.0117 g .7859 g 2169 3354 M
+.7859 g 2169 3354 M
 153 88 V
 stroke
 LT0
-.0117 g .9324 g 1935 3715 M
+.9324 g 1935 3715 M
 -117 185 V
 stroke
 LT0
-.0117 g .946 g 1665 3783 M
+.946 g 1665 3783 M
 153 117 V
 stroke
 LT0
-.0117 g .2903 g 1757 1959 M
+.2903 g 1757 1959 M
 -117 154 V
 stroke
 LT0
-.0117 g .3665 g 1793 2363 M
+.3665 g 1793 2363 M
 1640 2113 L
 stroke
 LT0
-.0117 g .5627 g 1558 2699 M
+.5627 g 1558 2699 M
 -117 178 V
 stroke
 LT0
-.0117 g .636 g 1594 3090 M
+.636 g 1594 3090 M
 1441 2877 L
 stroke
-LT0
-.0117 g .4094 g 4796 2345 M
+LT1
+.4094 g 4796 2345 M
 -117 -27 V
 stroke
-LT0
-.0117 g .4128 g 4526 2370 M
+LT1
+.4128 g 4526 2370 M
 153 -52 V
 stroke
 LT0
-.0117 g .8679 g 2052 3532 M
+.8679 g 2052 3532 M
 -117 183 V
 stroke
 LT0
-.0117 g .8811 g 1782 3599 M
+.8811 g 1782 3599 M
 153 116 V
 stroke
 LT0
-.0117 g .6223 g 2943 2870 M
+.6223 g 2943 2870 M
 -117 143 V
 stroke
 LT0
-.0117 g .6389 g 2674 2951 M
+.6389 g 2674 2951 M
 152 62 V
 stroke
-LT0
-.0117 g .4231 g 4526 2370 M
+LT1
+.4231 g 4526 2370 M
 -117 2 V
 stroke
-LT0
-.0117 g .4299 g 4257 2410 M
+LT1
+.4299 g 4257 2410 M
 152 -38 V
 stroke
-LT0
-.0117 g .4041 g 5066 2337 M
+LT1
+.4041 g 5066 2337 M
 -117 -57 V
 stroke
-LT0
-.0117 g .4031 g 4796 2345 M
+LT1
+.4031 g 4796 2345 M
 153 -65 V
 stroke
 LT0
-.0117 g .7747 g 1477 3273 M
+.7747 g 1477 3273 M
 -117 185 V
 stroke
 LT0
-.0117 g .8411 g 1512 3637 M
+.8411 g 1512 3637 M
 1360 3458 L
 stroke
 LT0
-.0117 g .7112 g 2556 3105 M
+.7112 g 2556 3105 M
 -117 165 V
 stroke
 LT0
-.0117 g .7268 g 2286 3181 M
+.7268 g 2286 3181 M
 153 89 V
 stroke
 LT0
-.0117 g .5022 g 1676 2527 M
+.5022 g 1676 2527 M
 -118 172 V
 stroke
 LT0
-.0117 g .574 g 1711 2912 M
+.574 g 1711 2912 M
 1558 2699 L
 stroke
 LT0
-.0117 g .5471 g 3331 2668 M
+.5471 g 3331 2668 M
 -118 112 V
 stroke
 LT0
-.0117 g .5623 g 3061 2742 M
+.5623 g 3061 2742 M
 152 38 V
 stroke
 LT0
-.0117 g .8049 g 2169 3354 M
+.8049 g 2169 3354 M
 -117 178 V
 stroke
 LT0
-.0117 g .8171 g 1899 3416 M
+.8171 g 1899 3416 M
 153 116 V
 stroke
 LT0
-.0117 g .8948 g 1782 3599 M
+.8948 g 1782 3599 M
 -117 184 V
 stroke
 LT0
-.0117 g .9011 g 1512 3637 M
+.9011 g 1512 3637 M
 153 146 V
 stroke
 LT0
-.0117 g .7102 g 1594 3090 M
+.7102 g 1594 3090 M
 -117 183 V
 stroke
 LT0
-.0117 g .7761 g 1629 3452 M
+.7761 g 1629 3452 M
 1477 3273 L
 stroke
 LT0
-.0117 g .8425 g 1629 3452 M
+.8425 g 1629 3452 M
 -117 185 V
 stroke
-LT0
-.0117 g .4397 g 6299 2472 M
+LT1
+.4397 g 6299 2472 M
 6181 2274 L
 stroke
-LT0
-.0117 g .4119 g 6029 2369 M
+LT1
+.4119 g 6029 2369 M
 152 -95 V
 stroke
-LT0
-.0117 g .4089 g 5336 2351 M
+LT1
+.4089 g 5336 2351 M
 -117 -89 V
 stroke
-LT0
-.0117 g .4026 g 5066 2337 M
+LT1
+.4026 g 5066 2337 M
 153 -75 V
 stroke
 LT0
-.0117 g .2429 g 1874 1816 M
+.2429 g 1874 1816 M
 -117 143 V
 stroke
 LT0
-.0117 g .3162 g 1910 2208 M
+.3162 g 1910 2208 M
 1757 1959 L
 stroke
 LT0
-.0117 g .8303 g 1899 3416 M
+.8303 g 1899 3416 M
 -117 183 V
 stroke
 LT0
-.0117 g .8362 g 1629 3452 M
+.8362 g 1629 3452 M
 153 147 V
 stroke
 LT0
-.0117 g .0476 g 1956 1288 M
+.0476 g 1956 1288 M
 -117 112 V
 stroke
 LT0
-.0117 g .1228 g 1992 1688 M
+.1228 g 1992 1688 M
 1839 1400 L
 stroke
 LT0
-.0117 g .4451 g 1793 2363 M
+.4451 g 1793 2363 M
 -117 164 V
 stroke
 LT0
-.0117 g .5149 g 1828 2739 M
+.5149 g 1828 2739 M
 1676 2527 L
 stroke
 LT0
-.0117 g .7444 g 2286 3181 M
+.7444 g 2286 3181 M
 -117 173 V
 stroke
 LT0
-.0117 g .7551 g 2017 3237 M
+.7551 g 2017 3237 M
 152 117 V
 stroke
 LT0
-.0117 g .6472 g 1711 2912 M
+.6472 g 1711 2912 M
 -117 178 V
 stroke
 LT0
-.0117 g .7122 g 1747 3269 M
+.7122 g 1747 3269 M
 1594 3090 L
 stroke
 LT0
-.0117 g .6584 g 2674 2951 M
+.6584 g 2674 2951 M
 -118 154 V
 stroke
 LT0
-.0117 g .6716 g 2404 3017 M
+.6716 g 2404 3017 M
 152 88 V
 stroke
 LT0
-.0117 g .4856 g 3717 2517 M
+.4856 g 3717 2517 M
 46 -2 V
 stroke
 LT0
-.0117 g .7781 g 1747 3269 M
+.7781 g 1747 3269 M
 -118 183 V
 stroke
 LT0
-.0117 g .7673 g 2017 3237 M
+.7673 g 2017 3237 M
 -118 179 V
 stroke
 LT0
-.0117 g .7722 g 1747 3269 M
+.7722 g 1747 3269 M
 152 147 V
 stroke
 LT0
-.0117 g .5813 g 3061 2742 M
+.5813 g 3061 2742 M
 -118 128 V
 stroke
 LT0
-.0117 g .5945 g 2791 2808 M
+.5945 g 2791 2808 M
 152 62 V
 stroke
 LT0
-.0117 g .7151 g 1864 3091 M
+.7151 g 1864 3091 M
 -117 178 V
 stroke
 LT0
-.0117 g .5867 g 1828 2739 M
+.5867 g 1828 2739 M
 -117 173 V
 stroke
 LT0
-.0117 g .6501 g 1864 3091 M
+.6501 g 1864 3091 M
 1711 2912 L
 stroke
 LT0
-.0117 g .6873 g 2404 3017 M
+.6873 g 2404 3017 M
 -118 164 V
 stroke
 LT0
-.0117 g .696 g 2134 3065 M
+.696 g 2134 3065 M
 152 116 V
 stroke
 LT0
-.0117 g .4944 g 3717 2517 M
+.4944 g 3717 2517 M
 -117 73 V
 stroke
 LT0
-.0117 g .5056 g 3448 2575 M
+.5056 g 3448 2575 M
 152 15 V
 stroke
 LT0
-.0117 g .3923 g 1910 2208 M
+.3923 g 1910 2208 M
 -117 155 V
 stroke
 LT0
-.0117 g .4597 g 1946 2576 M
+.4597 g 1946 2576 M
 1793 2363 L
 stroke
 LT0
-.0117 g .7068 g 2134 3065 M
+.7068 g 2134 3065 M
 -117 172 V
 stroke
 LT0
-.0117 g .7102 g 1864 3091 M
+.7102 g 1864 3091 M
 153 146 V
 stroke
-LT0
-.0117 g .426 g 5606 2392 M
+LT1
+.426 g 5606 2392 M
 5489 2268 L
 stroke
-LT0
-.0117 g .4133 g 5336 2351 M
+LT1
+.4133 g 5336 2351 M
 153 -83 V
 stroke
 LT0
-.0117 g .6545 g 1981 2918 M
+.6545 g 1981 2918 M
 -117 173 V
 stroke
 LT0
-.0117 g .6111 g 2791 2808 M
+.6111 g 2791 2808 M
 -117 143 V
 stroke
 LT0
-.0117 g .6213 g 2521 2862 M
+.6213 g 2521 2862 M
 153 89 V
 stroke
 LT0
-.0117 g .2019 g 1992 1688 M
+.2019 g 1992 1688 M
 -118 128 V
 stroke
 LT0
-.0117 g .2717 g 2027 2066 M
+.2717 g 2027 2066 M
 1874 1816 L
 stroke
 LT0
-.0117 g .5295 g 1946 2576 M
+.5295 g 1946 2576 M
 -118 163 V
 stroke
 LT0
-.0117 g .5911 g 1981 2918 M
+.5911 g 1981 2918 M
 1828 2739 L
 stroke
 LT0
-.0117 g .5217 g 3448 2575 M
+.5217 g 3448 2575 M
 -117 93 V
 stroke
 LT0
-.0117 g .5325 g 3178 2630 M
+.5325 g 3178 2630 M
 153 38 V
 stroke
 LT0
-.0117 g .6345 g 2521 2862 M
+.6345 g 2521 2862 M
 -117 155 V
 stroke
 LT0
-.0117 g .6409 g 2251 2900 M
+.6409 g 2251 2900 M
 153 117 V
 stroke
 LT0
-.0117 g .6497 g 2251 2900 M
+.6497 g 2251 2900 M
 -117 165 V
 stroke
 LT0
-.0117 g .6511 g 1981 2918 M
+.6511 g 1981 2918 M
 153 147 V
 stroke
 LT0
-.0117 g .5974 g 2098 2754 M
+.5974 g 2098 2754 M
 -117 164 V
 stroke
 LT0
-.0117 g .345 g 2027 2066 M
+.345 g 2027 2066 M
 -117 142 V
 stroke
 LT0
-.0117 g .4094 g 2063 2421 M
+.4094 g 2063 2421 M
 1910 2208 L
 stroke
 LT0
-.0117 g .0222 g 2073 1194 M
+.0222 g 2073 1194 M
 -117 94 V
 stroke
 LT0
-.0117 g .093 g 2109 1576 M
+.093 g 2109 1576 M
 1956 1288 L
 stroke
 LT0
-.0117 g .5476 g 3178 2630 M
+.5476 g 3178 2630 M
 -117 112 V
 stroke
 LT0
-.0117 g .5569 g 2908 2680 M
+.5569 g 2908 2680 M
 153 62 V
 stroke
 LT0
-.0117 g .4768 g 2063 2421 M
+.4768 g 2063 2421 M
 -117 155 V
 stroke
 LT0
-.0117 g .5359 g 2098 2754 M
+.5359 g 2098 2754 M
 1946 2576 L
 stroke
 LT0
-.0117 g .5969 g 2368 2746 M
+.5969 g 2368 2746 M
 -117 154 V
 stroke
 LT0
-.0117 g .5959 g 2098 2754 M
+.5959 g 2098 2754 M
 153 146 V
 stroke
 LT0
-.0117 g .5701 g 2908 2680 M
+.5701 g 2908 2680 M
 -117 128 V
 stroke
 LT0
-.0117 g .5769 g 2638 2720 M
+.5769 g 2638 2720 M
 153 88 V
 stroke
 LT0
-.0117 g .5447 g 2215 2599 M
+.5447 g 2215 2599 M
 -117 155 V
 stroke
 LT0
-.0117 g .5872 g 2638 2720 M
+.5872 g 2638 2720 M
 -117 142 V
 stroke
 LT0
-.0117 g .5906 g 2368 2746 M
+.5906 g 2368 2746 M
 153 116 V
 stroke
-LT0
-.0117 g .4573 g 5876 2462 M
+LT1
+.4573 g 5876 2462 M
 5759 2303 L
 stroke
-LT0
-.0117 g .4373 g 5606 2392 M
+LT1
+.4373 g 5606 2392 M
 153 -89 V
 stroke
 LT0
-.0117 g .1682 g 2109 1576 M
+.1682 g 2109 1576 M
 -117 112 V
 stroke
 LT0
-.0117 g .2341 g 2144 1937 M
+.2341 g 2144 1937 M
 1992 1688 L
 stroke
 LT0
-.0117 g .4294 g 2180 2279 M
+.4294 g 2180 2279 M
 -117 142 V
 stroke
 LT0
-.0117 g .4856 g 2215 2599 M
+.4856 g 2215 2599 M
 2063 2421 L
 stroke
 LT0
-.0117 g .304 g 2144 1937 M
+.304 g 2144 1937 M
 -117 129 V
 stroke
 LT0
-.0117 g .365 g 2180 2279 M
+.365 g 2180 2279 M
 2027 2066 L
 stroke
-LT0
-.0117 g .4607 g 4374 2409 M
+LT1
+.4607 g 4374 2409 M
 -117 1 V
 stroke
-LT0
-.0117 g .4636 g 4104 2433 M
+LT1
+.4636 g 4104 2433 M
 153 -23 V
 stroke
 LT0
-.0117 g .5496 g 2485 2603 M
+.5496 g 2485 2603 M
 -117 143 V
 stroke
 LT0
-.0117 g .5457 g 2215 2599 M
+.5457 g 2215 2599 M
 153 147 V
 stroke
-LT0
-.0117 g .4539 g 4644 2397 M
+LT1
+.4539 g 4644 2397 M
 -118 -27 V
 stroke
-LT0
-.0117 g .4539 g 4374 2409 M
+LT1
+.4539 g 4374 2409 M
 152 -39 V
 stroke
 LT0
-.0117 g .4887 g 3751 2501 M
+.4887 g 3751 2501 M
 -34 16 V
 stroke
 LT0
-.0117 g .4944 g 3565 2501 M
+.4944 g 3565 2501 M
 152 16 V
 stroke
 LT0
-.0117 g .4973 g 2333 2458 M
+.4973 g 2333 2458 M
 -118 141 V
 stroke
 LT0
-.0117 g .5056 g 3565 2501 M
+.5056 g 3565 2501 M
 -117 74 V
 stroke
 LT0
-.0117 g .5115 g 3295 2537 M
+.5115 g 3295 2537 M
 153 38 V
 stroke
 LT0
-.0117 g .5461 g 2755 2592 M
+.5461 g 2755 2592 M
 -117 128 V
 stroke
 LT0
-.0117 g .5461 g 2485 2603 M
+.5461 g 2485 2603 M
 153 117 V
 stroke
-LT0
-.0117 g .4543 g 4914 2402 M
+LT1
+.4543 g 4914 2402 M
 -118 -57 V
 stroke
-LT0
-.0117 g .4504 g 4644 2397 M
+LT1
+.4504 g 4644 2397 M
 152 -52 V
 stroke
 LT0
-.0117 g .5222 g 3295 2537 M
+.5222 g 3295 2537 M
 -117 93 V
 stroke
 LT0
-.0117 g .5271 g 3025 2569 M
+.5271 g 3025 2569 M
 153 61 V
 stroke
 LT0
-.0117 g .5364 g 3025 2569 M
+.5364 g 3025 2569 M
 -117 111 V
 stroke
 LT0
-.0117 g .5393 g 2755 2592 M
+.5393 g 2755 2592 M
 153 88 V
 stroke
 LT0
-.0117 g .0061 g 2190 1120 M
+.0061 g 2190 1120 M
 -117 74 V
 stroke
 LT0
-.0117 g .072 g 2226 1482 M
+.072 g 2226 1482 M
 2073 1194 L
 stroke
 LT0
-.0117 g .3884 g 2297 2151 M
+.3884 g 2297 2151 M
 -117 128 V
 stroke
 LT0
-.0117 g .4412 g 2333 2458 M
+.4412 g 2333 2458 M
 2180 2279 L
 stroke
 LT0
-.0117 g .5085 g 2603 2476 M
+.5085 g 2603 2476 M
 -118 127 V
 stroke
 LT0
-.0117 g .5012 g 2333 2458 M
+.5012 g 2333 2458 M
 152 145 V
 stroke
 LT0
-.0117 g .1428 g 2226 1482 M
+.1428 g 2226 1482 M
 -117 94 V
 stroke
 LT0
-.0117 g .2043 g 2262 1825 M
+.2043 g 2262 1825 M
 2109 1576 L
 stroke
-LT0
-.0117 g .4641 g 5183 2426 M
+LT1
+.4641 g 5183 2426 M
 -117 -89 V
 stroke
-LT0
-.0117 g .4553 g 4914 2402 M
+LT1
+.4553 g 4914 2402 M
 152 -65 V
 stroke
 LT0
-.0117 g .2703 g 2262 1825 M
+.2703 g 2262 1825 M
 -118 112 V
 stroke
 LT0
-.0117 g .3274 g 2297 2151 M
+.3274 g 2297 2151 M
 2144 1937 L
 stroke
 LT0
-.0117 g .4563 g 2450 2329 M
+.4563 g 2450 2329 M
 -117 129 V
 stroke
-LT0
-.0117 g .5046 g 6146 2567 M
+LT1
+.5046 g 6146 2567 M
 6029 2369 L
 stroke
-LT0
-.0117 g .4763 g 5876 2462 M
+LT1
+.4763 g 5876 2462 M
 153 -93 V
 stroke
 LT0
-.0117 g .5125 g 2872 2480 M
+.5125 g 2872 2480 M
 -117 112 V
 stroke
 LT0
-.0117 g .5085 g 2603 2476 M
+.5085 g 2603 2476 M
 152 116 V
 stroke
 LT0
-.0117 g .511 g 3142 2475 M
+.511 g 3142 2475 M
 -117 94 V
 stroke
 LT0
-.0117 g .5095 g 2872 2480 M
+.5095 g 2872 2480 M
 153 89 V
 stroke
 LT0
-.0117 g .3547 g 2414 2038 M
+.3547 g 2414 2038 M
 -117 113 V
 stroke
 LT0
-.0117 g .4036 g 2450 2329 M
+.4036 g 2450 2329 M
 2297 2151 L
 stroke
-LT0
-.0117 g .4851 g 5453 2475 M
+LT1
+.4851 g 5453 2475 M
 5336 2351 L
 stroke
-LT0
-.0117 g .4705 g 5183 2426 M
+LT1
+.4705 g 5183 2426 M
 153 -75 V
 stroke
 LT0
-.0117 g .5061 g 3412 2463 M
+.5061 g 3412 2463 M
 -117 74 V
 stroke
 LT0
-.0117 g .5061 g 3142 2475 M
+.5061 g 3142 2475 M
 153 62 V
 stroke
 LT0
-.0117 g .4749 g 2720 2364 M
+.4749 g 2720 2364 M
 -117 112 V
 stroke
 LT0
-.0117 g .4636 g 2450 2329 M
+.4636 g 2450 2329 M
 153 147 V
 stroke
 LT0
-.0117 g .4226 g 2567 2217 M
+.4226 g 2567 2217 M
 -117 112 V
 stroke
 LT0
-.0117 g .4998 g 3681 2449 M
+.4998 g 3681 2449 M
 -116 52 V
 stroke
 LT0
-.0117 g .5002 g 3412 2463 M
+.5002 g 3412 2463 M
 153 38 V
 stroke
 LT0
-.0117 g .2449 g 2379 1731 M
+.2449 g 2379 1731 M
 -117 94 V
 stroke
 LT0
-.0117 g .2976 g 2414 2038 M
+.2976 g 2414 2038 M
 2262 1825 L
 stroke
 LT0
-.0117 g .4985 g 3681 2449 M
+.4985 g 3681 2449 M
 28 3 V
 stroke
 LT0
-.0117 g .0002 g 2308 1069 M
+.0002 g 2308 1069 M
 -118 51 V
 stroke
 LT0
-.0117 g .0608 g 2343 1408 M
+.0608 g 2343 1408 M
 2190 1120 L
 stroke
 LT0
-.0117 g .1267 g 2343 1408 M
+.1267 g 2343 1408 M
 -117 74 V
 stroke
 LT0
-.0117 g .1833 g 2379 1731 M
+.1833 g 2379 1731 M
 2226 1482 L
 stroke
-LT0
-.0117 g .4905 g 4221 2432 M
+LT1
+.4905 g 4221 2432 M
 -117 1 V
 stroke
-LT0
-.0117 g .482 g 4053 2434 M
+LT1
+.482 g 4053 2434 M
 51 -1 V
 stroke
 LT0
-.0117 g .4871 g 2990 2386 M
+.4871 g 2990 2386 M
 -118 94 V
 stroke
 LT0
-.0117 g .4788 g 2720 2364 M
+.4788 g 2720 2364 M
 152 116 V
 stroke
-LT0
-.0117 g .4915 g 4491 2436 M
+LT1
+.4915 g 4491 2436 M
 -117 -27 V
 stroke
-LT0
-.0117 g .4875 g 4221 2432 M
+LT1
+.4875 g 4221 2432 M
 153 -23 V
 stroke
-LT0
-.0117 g .5193 g 5723 2551 M
+LT1
+.5193 g 5723 2551 M
 5606 2392 L
 stroke
-LT0
-.0117 g .4978 g 5453 2475 M
+LT1
+.4978 g 5453 2475 M
 153 -83 V
 stroke
 LT0
-.0117 g .3293 g 2531 1944 M
+.3293 g 2531 1944 M
 -117 94 V
 stroke
 LT0
-.0117 g .3738 g 2567 2217 M
+.3738 g 2567 2217 M
 2414 2038 L
 stroke
 LT0
-.0117 g .4495 g 2837 2270 M
+.4495 g 2837 2270 M
 -117 94 V
 stroke
 LT0
-.0117 g .4338 g 2567 2217 M
+.4338 g 2567 2217 M
 153 147 V
 stroke
 LT0
-.0117 g .4949 g 3260 2401 M
+.4949 g 3260 2401 M
 -118 74 V
 stroke
 LT0
-.0117 g .4885 g 2990 2386 M
+.4885 g 2990 2386 M
 152 89 V
 stroke
-LT0
-.0117 g .5325 g 6146 2567 M
+LT1
+.5325 g 6146 2567 M
 153 -95 V
 stroke
-LT0
-.0117 g .4988 g 4761 2454 M
+LT1
+.4988 g 4761 2454 M
 -117 -57 V
 stroke
-LT0
-.0117 g .4915 g 4491 2436 M
+LT1
+.4915 g 4491 2436 M
 153 -39 V
 stroke
 LT0
-.0117 g .3972 g 2684 2123 M
+.3972 g 2684 2123 M
 -117 94 V
 stroke
 LT0
-.0117 g .2288 g 2496 1657 M
+.2288 g 2496 1657 M
 -117 74 V
 stroke
 LT0
-.0117 g .2766 g 2531 1944 M
+.2766 g 2531 1944 M
 2379 1731 L
 stroke
 LT0
-.0117 g .5002 g 3529 2411 M
+.5002 g 3529 2411 M
 -117 52 V
 stroke
 LT0
-.0117 g .4949 g 3260 2401 M
+.4949 g 3260 2401 M
 152 62 V
 stroke
-LT0
-.0117 g .5144 g 5031 2491 M
+LT1
+.5144 g 5031 2491 M
 -117 -89 V
 stroke
-LT0
-.0117 g .5027 g 4761 2454 M
+LT1
+.5027 g 4761 2454 M
 153 -52 V
 stroke
 LT0
-.0117 g .4709 g 3107 2313 M
+.4709 g 3107 2313 M
 -117 73 V
 stroke
 LT0
-.0117 g .4578 g 2837 2270 M
+.4578 g 2837 2270 M
 153 116 V
 stroke
 LT0
-.0117 g .5005 g 3702 2444 M
+.5005 g 3702 2444 M
 -21 5 V
 stroke
 LT0
-.0117 g .4998 g 3529 2411 M
+.4998 g 3529 2411 M
 152 38 V
 stroke
 LT0
-.0117 g .1208 g 2460 1356 M
+.1208 g 2460 1356 M
 -117 52 V
 stroke
 LT0
-.0117 g .1721 g 2496 1657 M
+.1721 g 2496 1657 M
 2343 1408 L
 stroke
 LT0
-.0117 g .0056 g 2425 1041 M
+.0056 g 2425 1041 M
 -117 28 V
 stroke
 LT0
-.0117 g .0603 g 2460 1356 M
+.0603 g 2460 1356 M
 2308 1069 L
 stroke
 LT0
-.0117 g .3132 g 2649 1871 M
+.3132 g 2649 1871 M
 -118 73 V
 stroke
 LT0
-.0117 g .3528 g 2684 2123 M
+.3528 g 2684 2123 M
 2531 1944 L
 stroke
-LT0
-.0117 g .5686 g 5993 2659 M
+LT1
+.5686 g 5993 2659 M
 5876 2462 L
 stroke
-LT0
-.0117 g .5393 g 5723 2551 M
+LT1
+.5393 g 5723 2551 M
 153 -89 V
 stroke
 LT0
-.0117 g .4333 g 2954 2196 M
+.4333 g 2954 2196 M
 -117 74 V
 stroke
 LT0
-.0117 g .4128 g 2684 2123 M
+.4128 g 2684 2123 M
 153 147 V
 stroke
 LT0
-.0117 g .3811 g 2801 2049 M
+.3811 g 2801 2049 M
 -117 74 V
 stroke
-LT0
-.0117 g .5403 g 5301 2549 M
+LT1
+.5403 g 5301 2549 M
 5183 2426 L
 stroke
-LT0
-.0117 g .5232 g 5031 2491 M
+LT1
+.5232 g 5031 2491 M
 152 -65 V
 stroke
 LT0
-.0117 g .489 g 3377 2349 M
+.489 g 3377 2349 M
 -117 52 V
 stroke
 LT0
-.0117 g .4773 g 3107 2313 M
+.4773 g 3107 2313 M
 153 88 V
 stroke
-LT0
-.0117 g .5212 g 4338 2458 M
+LT1
+.5212 g 4338 2458 M
 -117 -26 V
 stroke
-LT0
-.0117 g .5129 g 4068 2436 M
+LT1
+.5129 g 4068 2436 M
 153 -4 V
 stroke
 LT0
-.0117 g .2229 g 2613 1606 M
+.2229 g 2613 1606 M
 -117 51 V
 stroke
 LT0
-.0117 g .2654 g 2649 1871 M
+.2654 g 2649 1871 M
 2496 1657 L
 stroke
 LT0
-.0117 g .5056 g 3646 2384 M
+.5056 g 3646 2384 M
 -117 27 V
 stroke
 LT0
-.0117 g .4944 g 3377 2349 M
+.4944 g 3377 2349 M
 152 62 V
 stroke
 LT0
-.0117 g .4651 g 3224 2261 M
+.4651 g 3224 2261 M
 -117 52 V
 stroke
 LT0
-.0117 g .4465 g 2954 2196 M
+.4465 g 2954 2196 M
 153 117 V
 stroke
-LT0
-.0117 g .5364 g 4608 2493 M
+LT1
+.5364 g 4608 2493 M
 -117 -57 V
 stroke
-LT0
-.0117 g .5251 g 4338 2458 M
+LT1
+.5251 g 4338 2458 M
 153 -22 V
 stroke
 LT0
-.0117 g .3074 g 2766 1819 M
+.3074 g 2766 1819 M
 -117 52 V
 stroke
 LT0
-.0117 g .3416 g 2801 2049 M
+.3416 g 2801 2049 M
 2649 1871 L
 stroke
 LT0
-.0117 g .1262 g 2578 1329 M
+.1262 g 2578 1329 M
 -118 27 V
 stroke
 LT0
-.0117 g .1716 g 2613 1606 M
+.1716 g 2613 1606 M
 2460 1356 L
 stroke
-LT0
-.0117 g .5784 g 5571 2633 M
+LT1
+.5784 g 5571 2633 M
 5453 2475 L
 stroke
-LT0
-.0117 g .5549 g 5301 2549 M
+LT1
+.5549 g 5301 2549 M
 152 -74 V
 stroke
 LT0
-.0117 g .4275 g 3071 2144 M
+.4275 g 3071 2144 M
 -117 52 V
 stroke
 LT0
-.0117 g .4016 g 2801 2049 M
+.4016 g 2801 2049 M
 153 147 V
 stroke
 LT0
-.0117 g .511 g 3720 2402 M
-1 0 V
-stroke
-LT0
-.0117 g .5112 g 3646 2384 M
+.5112 g 3646 2384 M
 16 4 V
 stroke
 LT0
-.0117 g .3752 g 2919 1998 M
+.3752 g 2919 1998 M
 -118 51 V
 stroke
-LT0
-.0117 g .5969 g 5993 2659 M
+LT1
+.5969 g 5993 2659 M
 153 -92 V
 stroke
-LT0
-.0117 g .5588 g 4878 2543 M
+LT1
+.5588 g 4878 2543 M
 -117 -89 V
 stroke
-LT0
-.0117 g .5437 g 4608 2493 M
+LT1
+.5437 g 4608 2493 M
 153 -39 V
 stroke
 LT0
-.0117 g .0232 g 2542 1040 M
+.0232 g 2542 1040 M
 -117 1 V
 stroke
 LT0
-.0117 g .0715 g 2578 1329 M
+.0715 g 2578 1329 M
 2425 1041 L
 stroke
 LT0
-.0117 g .4944 g 3494 2322 M
+.4944 g 3494 2322 M
 -117 27 V
 stroke
 LT0
-.0117 g .4768 g 3224 2261 M
+.4768 g 3224 2261 M
 153 88 V
 stroke
-LT0
-.0117 g .5422 g 4185 2463 M
+LT1
+.5422 g 4185 2463 M
 -117 -27 V
 stroke
-LT0
-.0117 g .5285 g 3931 2422 M
+LT1
+.5285 g 3931 2422 M
 137 14 V
 stroke
 LT0
-.0117 g .2283 g 2730 1578 M
+.2283 g 2730 1578 M
 -117 28 V
 stroke
 LT0
-.0117 g .2649 g 2766 1819 M
+.2649 g 2766 1819 M
 2613 1606 L
 stroke
-LT0
-.0117 g .6306 g 5840 2748 M
+LT1
+.6306 g 5840 2748 M
 5723 2551 L
 stroke
-LT0
-.0117 g .5999 g 5571 2633 M
+LT1
+.5999 g 5571 2633 M
 152 -82 V
 stroke
-LT0
-.0117 g .5906 g 5148 2613 M
+LT1
+.5906 g 5148 2613 M
 5031 2491 L
 stroke
-LT0
-.0117 g .5706 g 4878 2543 M
+LT1
+.5706 g 4878 2543 M
 153 -52 V
 stroke
 LT0
-.0117 g .4705 g 3341 2233 M
+.4705 g 3341 2233 M
 -117 28 V
 stroke
 LT0
-.0117 g .446 g 3071 2144 M
+.446 g 3071 2144 M
 153 117 V
 stroke
 LT0
-.0117 g .5126 g 3659 2383 M
+.5126 g 3659 2383 M
 -13 1 V
 stroke
 LT0
-.0117 g .5056 g 3494 2322 M
+.5056 g 3494 2322 M
 152 62 V
 stroke
 LT0
-.0117 g .3127 g 2883 1791 M
+.3127 g 2883 1791 M
 -117 28 V
 stroke
 LT0
-.0117 g .3411 g 2919 1998 M
+.3411 g 2919 1998 M
 2766 1819 L
 stroke
-LT0
-.0117 g .5662 g 4455 2515 M
+LT1
+.5662 g 4455 2515 M
 -117 -57 V
 stroke
-LT0
-.0117 g .5505 g 4185 2463 M
+LT1
+.5505 g 4185 2463 M
 153 -5 V
 stroke
 LT0
-.0117 g .4329 g 3188 2117 M
+.4329 g 3188 2117 M
 -117 27 V
 stroke
 LT0
-.0117 g .4011 g 2919 1998 M
+.4011 g 2919 1998 M
 152 146 V
 stroke
 LT0
-.0117 g .3806 g 3036 1970 M
+.3806 g 3036 1970 M
 -117 28 V
 stroke
 LT0
-.0117 g .1438 g 2695 1327 M
+.1438 g 2695 1327 M
 -117 2 V
 stroke
 LT0
-.0117 g .1829 g 2730 1578 M
+.1829 g 2730 1578 M
 2578 1329 L
 stroke
-LT0
-.0117 g .6335 g 5418 2708 M
+LT1
+.6335 g 5418 2708 M
 5301 2549 L
 stroke
-LT0
-.0117 g .6077 g 5148 2613 M
+LT1
+.6077 g 5148 2613 M
 153 -64 V
 stroke
 LT0
-.0117 g .512 g 3610 2320 M
+.512 g 3610 2320 M
 -116 2 V
 stroke
 LT0
-.0117 g .488 g 3341 2233 M
+.488 g 3341 2233 M
 153 89 V
 stroke
-LT0
-.0117 g .5964 g 4725 2582 M
+LT1
+.5964 g 4725 2582 M
 -117 -89 V
 stroke
-LT0
-.0117 g .5774 g 4455 2515 M
+LT1
+.5774 g 4455 2515 M
 153 -22 V
 stroke
 LT0
-.0117 g .054 g 2659 1066 M
+.054 g 2659 1066 M
 -117 -26 V
 stroke
 LT0
-.0117 g .0955 g 2695 1327 M
+.0955 g 2695 1327 M
 2542 1040 L
 stroke
 LT0
-.0117 g .2458 g 2847 1577 M
+.2458 g 2847 1577 M
 -117 1 V
 stroke
 LT0
-.0117 g .2761 g 2883 1791 M
+.2761 g 2883 1791 M
 2730 1578 L
 stroke
-LT0
-.0117 g .6599 g 5840 2748 M
+LT1
+.6599 g 5840 2748 M
 153 -89 V
 stroke
 LT0
-.0117 g .488 g 3458 2232 M
+.488 g 3458 2232 M
 -117 1 V
 stroke
 LT0
-.0117 g .4573 g 3188 2117 M
+.4573 g 3188 2117 M
 153 116 V
 stroke
-LT0
-.0117 g .5872 g 4303 2520 M
+LT1
+.5872 g 4303 2520 M
 -118 -57 V
 stroke
-LT0
-.0117 g .5667 g 4033 2447 M
+LT1
+.5667 g 4033 2447 M
 152 16 V
 stroke
 LT0
-.0117 g .3303 g 3000 1790 M
+.3303 g 3000 1790 M
 -117 1 V
 stroke
 LT0
-.0117 g .3523 g 3036 1970 M
+.3523 g 3036 1970 M
 2883 1791 L
 stroke
-LT0
-.0117 g .635 g 4995 2666 M
+LT1
+.635 g 4995 2666 M
 4878 2543 L
 stroke
-LT0
-.0117 g .6116 g 4725 2582 M
+LT1
+.6116 g 4725 2582 M
 153 -39 V
 stroke
 LT0
-.0117 g .4504 g 3306 2115 M
+.4504 g 3306 2115 M
 -118 2 V
 stroke
 LT0
-.0117 g .4124 g 3036 1970 M
+.4124 g 3036 1970 M
 152 147 V
 stroke
 LT0
-.0117 g .5241 g 3610 2320 M
+.5241 g 3610 2320 M
 5 2 V
 stroke
 LT0
-.0117 g .3982 g 3153 1969 M
+.3982 g 3153 1969 M
 -117 1 V
 stroke
-LT0
-.0117 g .6897 g 5688 2831 M
+LT1
+.6897 g 5688 2831 M
 5571 2633 L
 stroke
-LT0
-.0117 g .657 g 5418 2708 M
+LT1
+.657 g 5418 2708 M
 153 -75 V
 stroke
 LT0
-.0117 g .1746 g 2812 1354 M
+.1746 g 2812 1354 M
 -117 -27 V
 stroke
 LT0
-.0117 g .2068 g 2847 1577 M
+.2068 g 2847 1577 M
 2695 1327 L
 stroke
-LT0
-.0117 g .6262 g 4573 2604 M
+LT1
+.6262 g 4573 2604 M
 -118 -89 V
 stroke
-LT0
-.0117 g .6028 g 4303 2520 M
+LT1
+.6028 g 4303 2520 M
 152 -5 V
 stroke
 LT0
-.0117 g .5246 g 3614 2321 M
+.5246 g 3614 2321 M
 -4 -1 V
 stroke
 LT0
-.0117 g .512 g 3458 2232 M
+.512 g 3458 2232 M
 152 88 V
 stroke
-LT0
-.0117 g .6838 g 5265 2773 M
+LT1
+.6838 g 5265 2773 M
 5148 2613 L
 stroke
-LT0
-.0117 g .655 g 4995 2666 M
+LT1
+.655 g 4995 2666 M
 153 -53 V
 stroke
-LT0
-.0117 g .5984 g 4150 2504 M
+LT1
+.5984 g 4150 2504 M
 -117 -57 V
 stroke
-LT0
-.0117 g .5725 g 3880 2409 M
+LT1
+.5725 g 3880 2409 M
 153 38 V
 stroke
 LT0
-.0117 g .2766 g 2965 1603 M
+.2766 g 2965 1603 M
 -118 -26 V
 stroke
 LT0
-.0117 g .3 g 3000 1790 M
+.3 g 3000 1790 M
 2847 1577 L
 stroke
 LT0
-.0117 g .0989 g 2776 1123 M
+.0989 g 2776 1123 M
 -117 -57 V
 stroke
 LT0
-.0117 g .1331 g 2812 1354 M
+.1331 g 2812 1354 M
 2659 1066 L
 stroke
 LT0
-.0117 g .5178 g 3570 2257 M
+.5178 g 3570 2257 M
 -112 -25 V
 stroke
 LT0
-.0117 g .4812 g 3306 2115 M
+.4812 g 3306 2115 M
 152 117 V
 stroke
-LT0
-.0117 g .7205 g 5688 2831 M
+LT1
+.7205 g 5688 2831 M
 152 -83 V
 stroke
-LT0
-.0117 g .6726 g 4842 2705 M
+LT1
+.6726 g 4842 2705 M
 4725 2582 L
 stroke
-LT0
-.0117 g .6453 g 4573 2604 M
+LT1
+.6453 g 4573 2604 M
 152 -22 V
 stroke
 LT0
-.0117 g .3611 g 3117 1817 M
+.3611 g 3117 1817 M
 -117 -27 V
 stroke
 LT0
-.0117 g .3762 g 3153 1969 M
+.3762 g 3153 1969 M
 3000 1790 L
 stroke
 LT0
-.0117 g .4812 g 3423 2142 M
+.4812 g 3423 2142 M
 -117 -27 V
 stroke
 LT0
-.0117 g .4363 g 3153 1969 M
+.4363 g 3153 1969 M
 153 146 V
 stroke
 LT0
-.0117 g .429 g 3270 1995 M
+.429 g 3270 1995 M
 -117 -26 V
 stroke
-LT0
-.0117 g .5989 g 3997 2466 M
+LT1
+.5989 g 3997 2466 M
 -117 -57 V
 stroke
-LT0
-.0117 g .5694 g 3790 2372 M
+LT1
+.5694 g 3790 2372 M
 90 37 V
 stroke
-LT0
-.0117 g .6472 g 4420 2608 M
+LT1
+.6472 g 4420 2608 M
 -117 -88 V
 stroke
-LT0
-.0117 g .6189 g 4150 2504 M
+LT1
+.6189 g 4150 2504 M
 153 16 V
 stroke
-LT0
-.0117 g .7449 g 5535 2906 M
+LT1
+.7449 g 5535 2906 M
 5418 2708 L
 stroke
-LT0
-.0117 g .7097 g 5265 2773 M
+LT1
+.7097 g 5265 2773 M
 153 -65 V
 stroke
 LT0
-.0117 g .2195 g 2929 1411 M
+.2195 g 2929 1411 M
 -117 -57 V
 stroke
 LT0
-.0117 g .2444 g 2965 1603 M
+.2444 g 2965 1603 M
 2812 1354 L
 stroke
-LT0
-.0117 g .7283 g 5112 2826 M
+LT1
+.7283 g 5112 2826 M
 4995 2666 L
 stroke
-LT0
-.0117 g .696 g 4842 2705 M
+LT1
+.696 g 4842 2705 M
 153 -39 V
 stroke
 LT0
-.0117 g .3215 g 3082 1660 M
+.3215 g 3082 1660 M
 -117 -57 V
 stroke
 LT0
-.0117 g .3376 g 3117 1817 M
+.3376 g 3117 1817 M
 2965 1603 L
 stroke
-LT0
-.0117 g .7024 g 4690 2727 M
+LT1
+.7024 g 4690 2727 M
 4573 2604 L
 stroke
-LT0
-.0117 g .6707 g 4420 2608 M
+LT1
+.6707 g 4420 2608 M
 153 -4 V
 stroke
-LT0
-.0117 g .6584 g 4267 2592 M
+LT1
+.6584 g 4267 2592 M
 -117 -88 V
 stroke
-LT0
-.0117 g .6248 g 3997 2466 M
+LT1
+.6248 g 3997 2466 M
 153 38 V
 stroke
 LT0
-.0117 g .5834 g 3681 2310 M
--7 -3 V
+.5344 g 3561 2247 M
+3 3 V
 stroke
 LT0
-.0117 g .5174 g 3423 2142 M
-141 108 V
+.5169 g 3423 2142 M
+137 105 V
 stroke
 LT0
-.0117 g .1589 g 2894 1213 M
+.1589 g 2894 1213 M
 -118 -90 V
 stroke
 LT0
-.0117 g .1853 g 2929 1411 M
+.1853 g 2929 1411 M
 2776 1123 L
 stroke
 LT0
-.0117 g .406 g 3235 1874 M
+.406 g 3235 1874 M
 -118 -57 V
 stroke
 LT0
-.0117 g .4138 g 3270 1995 M
+.4138 g 3270 1995 M
 3117 1817 L
 stroke
-LT0
-.0117 g .7776 g 5535 2906 M
+LT1
+.7776 g 5535 2906 M
 153 -75 V
 stroke
 LT0
-.0117 g .5233 g 3527 2193 M
+.5233 g 3527 2193 M
 -104 -51 V
 stroke
 LT0
-.0117 g .4739 g 3270 1995 M
+.4739 g 3270 1995 M
 153 147 V
 stroke
 LT0
-.0117 g .4739 g 3387 2053 M
+.4739 g 3387 2053 M
 -117 -58 V
 stroke
-LT0
-.0117 g .7952 g 5382 2971 M
+LT1
+.7952 g 5382 2971 M
 5265 2773 L
 stroke
-LT0
-.0117 g .7571 g 5112 2826 M
+LT1
+.7571 g 5112 2826 M
 153 -53 V
 stroke
-LT0
-.0117 g .6589 g 4114 2555 M
+LT1
+.6589 g 4114 2555 M
 -117 -89 V
 stroke
-LT0
-.0117 g .6194 g 3844 2404 M
+LT1
+.6194 g 3844 2404 M
 153 62 V
 stroke
-LT0
-.0117 g .7659 g 4960 2864 M
+LT1
+.7659 g 4960 2864 M
 4842 2705 L
 stroke
-LT0
-.0117 g .7297 g 4690 2727 M
+LT1
+.7297 g 4690 2727 M
 152 -22 V
 stroke
-LT0
-.0117 g .7234 g 4537 2731 M
+LT1
+.7234 g 4537 2731 M
 4420 2608 L
 stroke
-LT0
-.0117 g .6868 g 4267 2592 M
+LT1
+.6868 g 4267 2592 M
 153 16 V
 stroke
 LT0
-.0117 g .2795 g 3046 1500 M
+.2795 g 3046 1500 M
 -117 -89 V
 stroke
 LT0
-.0117 g .2966 g 3082 1660 M
+.2966 g 3082 1660 M
 2929 1411 L
 stroke
-LT0
-.0117 g .6477 g 3962 2493 M
+LT1
+.6477 g 3962 2493 M
 -118 -89 V
 stroke
-LT0
-.0117 g .6018 g 3692 2316 M
-152 88 V
+LT1
+.6019 g 3693 2316 M
+151 88 V
 stroke
 LT0
-.0117 g .3816 g 3199 1750 M
+.3816 g 3199 1750 M
 -117 -90 V
 stroke
 LT0
-.0117 g .3899 g 3235 1874 M
+.3899 g 3235 1874 M
 3082 1660 L
 stroke
-LT0
-.0117 g .6238 g 3809 2405 M
--117 -89 V
-stroke
-LT0
-.0117 g .5855 g 3657 2289 M
-35 27 V
-stroke
-LT0
-.0117 g .8303 g 5382 2971 M
+LT1
+.8303 g 5382 2971 M
 153 -65 V
 stroke
-LT0
-.0117 g .7346 g 4384 2716 M
+LT1
+.7346 g 4384 2716 M
 4267 2592 L
 stroke
-LT0
-.0117 g .6926 g 4114 2555 M
+LT1
+.6926 g 4114 2555 M
 153 37 V
 stroke
 LT0
-.0117 g .4661 g 3352 1963 M
+.4661 g 3352 1963 M
 -117 -89 V
 stroke
 LT0
-.0117 g .4661 g 3387 2053 M
+.4661 g 3387 2053 M
 3235 1874 L
 stroke
-LT0
-.0117 g .8396 g 5230 3024 M
+LT1
+.8396 g 5230 3024 M
 5112 2826 L
 stroke
-LT0
-.0117 g .7981 g 4960 2864 M
+LT1
+.7981 g 4960 2864 M
 152 -38 V
 stroke
 LT0
-.0117 g .2351 g 3011 1336 M
+.2351 g 3011 1336 M
 2894 1213 L
 stroke
 LT0
-.0117 g .2532 g 3046 1500 M
+.2532 g 3046 1500 M
 2894 1213 L
 stroke
 LT0
-.0117 g .5225 g 3387 2053 M
+.5225 g 3387 2053 M
 132 126 V
 stroke
-LT0
-.0117 g .7957 g 4807 2887 M
+LT1
+.7957 g 4807 2887 M
 4690 2727 L
 stroke
-LT0
-.0117 g .7551 g 4537 2731 M
+LT1
+.7551 g 4537 2731 M
 153 -4 V
 stroke
 LT0
-.0117 g .5293 g 3489 2130 M
+.5293 g 3489 2130 M
 -102 -77 V
 stroke
-LT0
-.0117 g .7351 g 4232 2678 M
+LT1
+.7351 g 4232 2678 M
 4114 2555 L
 stroke
-LT0
-.0117 g .6873 g 3962 2493 M
+LT1
+.6873 g 3962 2493 M
 152 62 V
 stroke
 LT0
-.0117 g .3557 g 3164 1624 M
+.3557 g 3164 1624 M
 3046 1500 L
 stroke
 LT0
-.0117 g .3645 g 3199 1750 M
+.3645 g 3199 1750 M
 3046 1500 L
 stroke
-LT0
-.0117 g .8167 g 4654 2891 M
+LT1
+.8167 g 4654 2891 M
 4537 2731 L
 stroke
-LT0
-.0117 g .7712 g 4384 2716 M
+LT1
+.7712 g 4384 2716 M
 153 15 V
 stroke
-LT0
-.0117 g .8777 g 5230 3024 M
+LT1
+.8777 g 5230 3024 M
 152 -53 V
 stroke
-LT0
-.0117 g .8772 g 5077 3062 M
+LT1
+.8772 g 5077 3062 M
 4960 2864 L
 stroke
-LT0
-.0117 g .8318 g 4807 2887 M
+LT1
+.8318 g 4807 2887 M
 153 -23 V
 stroke
-LT0
-.0117 g .7239 g 4079 2616 M
+LT1
+.7239 g 4079 2616 M
 3962 2493 L
 stroke
-LT0
-.0117 g .6697 g 3809 2405 M
-153 88 V
+LT1
+.6698 g 3810 2405 M
+152 88 V
 stroke
 LT0
-.0117 g .4578 g 3316 1873 M
+.4578 g 3316 1873 M
 3199 1750 L
 stroke
 LT0
-.0117 g .4578 g 3352 1963 M
+.4578 g 3352 1963 M
 3199 1750 L
 stroke
-LT0
-.0117 g .7 g 3926 2528 M
+LT1
+.7 g 3926 2528 M
 3809 2405 L
 stroke
-LT0
-.0117 g .6389 g 3656 2288 M
+LT1
+.6389 g 3656 2288 M
 153 117 V
 stroke
 LT0
-.0117 g .5839 g 3469 2086 M
--2 -1 V
-stroke
-LT0
-.0117 g .5352 g 3450 2066 M
+.5352 g 3450 2066 M
 -98 -103 V
 stroke
 LT0
-.0117 g .5273 g 3475 2107 M
+.5273 g 3475 2107 M
 3352 1963 L
 stroke
-LT0
-.0117 g .6624 g 3773 2412 M
+LT1
+.6624 g 3773 2412 M
 3656 2288 L
 stroke
-LT0
-.0117 g .6052 g 3570 2205 M
+LT1
+.6052 g 3570 2205 M
 86 83 V
 stroke
-LT0
-.0117 g .8279 g 4501 2875 M
+LT1
+.8279 g 4501 2875 M
 4384 2716 L
 stroke
-LT0
-.0117 g .7771 g 4232 2678 M
+LT1
+.7771 g 4232 2678 M
 152 38 V
 stroke
 LT0
-.0117 g .3284 g 3128 1496 M
+.3284 g 3128 1496 M
 3011 1336 L
 stroke
 LT0
-.0117 g .3376 g 3164 1624 M
+.3376 g 3164 1624 M
 3011 1336 L
 stroke
-LT0
-.0117 g .907 g 4924 3085 M
+LT1
+.907 g 4924 3085 M
 4807 2887 L
 stroke
-LT0
-.0117 g .8572 g 4654 2891 M
+LT1
+.8572 g 4654 2891 M
 153 -4 V
 stroke
-LT0
-.0117 g .9187 g 5077 3062 M
+LT1
+.9187 g 5077 3062 M
 153 -38 V
 stroke
-LT0
-.0117 g .8284 g 4349 2837 M
+LT1
+.8284 g 4349 2837 M
 4232 2678 L
 stroke
-LT0
-.0117 g .7717 g 4079 2616 M
+LT1
+.7717 g 4079 2616 M
 153 62 V
 stroke
 LT0
-.0117 g .449 g 3281 1784 M
+.449 g 3281 1784 M
 3164 1624 L
 stroke
 LT0
-.0117 g .449 g 3316 1873 M
+.449 g 3316 1873 M
 3164 1624 L
 stroke
-LT0
-.0117 g .8171 g 4196 2775 M
+LT1
+.8171 g 4196 2775 M
 4079 2616 L
 stroke
-LT0
-.0117 g .7542 g 3926 2528 M
+LT1
+.7542 g 3926 2528 M
 153 88 V
 stroke
-LT0
-.0117 g .928 g 4771 3089 M
+LT1
+.928 g 4771 3089 M
 4654 2891 L
 stroke
-LT0
-.0117 g .8733 g 4501 2875 M
+LT1
+.8733 g 4501 2875 M
 153 16 V
 stroke
 LT0
-.0117 g .5403 g 3409 1999 M
--93 -126 V
+.5395 g 3407 1997 M
+-91 -124 V
 stroke
 LT0
-.0117 g .5782 g 3469 2086 M
--23 -31 V
-stroke
-LT0
-.0117 g .5291 g 3422 2020 M
+.5291 g 3422 2020 M
 3316 1873 L
 stroke
-LT0
-.0117 g .7932 g 4043 2687 M
+LT1
+.7932 g 4043 2687 M
 3926 2528 L
 stroke
-LT0
-.0117 g .7234 g 3773 2412 M
+LT1
+.7234 g 3773 2412 M
 153 116 V
 stroke
-LT0
-.0117 g .9524 g 4924 3085 M
+LT1
+.9524 g 4924 3085 M
 153 -23 V
 stroke
-LT0
-.0117 g .6222 g 3621 2265 M
+LT1
+.6222 g 3621 2265 M
 3486 2106 L
 stroke
-LT0
-.0117 g .7556 g 3891 2572 M
+LT1
+.7556 g 3891 2572 M
 3773 2412 L
 stroke
-LT0
-.0117 g .6785 g 3621 2265 M
+LT1
+.6785 g 3621 2265 M
 152 147 V
 stroke
-LT0
-.0117 g .7034 g 3738 2425 M
+LT1
+.7034 g 3738 2425 M
 3621 2265 L
 stroke
-LT0
-.0117 g .9392 g 4619 3073 M
+LT1
+.9392 g 4619 3073 M
 4501 2875 L
 stroke
-LT0
-.0117 g .8792 g 4349 2837 M
+LT1
+.8792 g 4349 2837 M
 152 38 V
 stroke
 LT0
-.0117 g .4397 g 3245 1694 M
+.4397 g 3245 1694 M
 3128 1496 L
 stroke
 LT0
-.0117 g .4397 g 3281 1784 M
+.4397 g 3281 1784 M
 3128 1496 L
 stroke
-LT0
-.0117 g .9778 g 4771 3089 M
+LT1
+.9778 g 4771 3089 M
 153 -4 V
 stroke
-LT0
-.0117 g .9397 g 4466 3035 M
+LT1
+.9397 g 4466 3035 M
 4349 2837 L
 stroke
-LT0
-.0117 g .8738 g 4196 2775 M
+LT1
+.8738 g 4196 2775 M
 153 62 V
 stroke
 LT0
-.0117 g .5603 g 3398 1981 M
+.5603 g 3398 1981 M
 3281 1784 L
 stroke
-LT0
-.0117 g .5813 g 3433 2033 M
+LT1
+.5813 g 3433 2033 M
 -62 -101 V
 stroke
-LT0
-.0117 g .9285 g 4313 2973 M
+LT1
+.9285 g 4313 2973 M
 4196 2775 L
 stroke
-LT0
-.0117 g .8562 g 4043 2687 M
+LT1
+.8562 g 4043 2687 M
 153 88 V
 stroke
-LT0
-.0117 g .6624 g 3551 2231 M
+LT1
+.6624 g 3551 2231 M
 3433 2033 L
 stroke
-LT0
-.0117 g .6443 g 3586 2246 M
+LT1
+.6443 g 3586 2246 M
 3433 2033 L
 stroke
-LT0
-.0117 g .9939 g 4619 3073 M
+LT1
+.9939 g 4619 3073 M
 152 16 V
 stroke
-LT0
-.0117 g .9045 g 4160 2885 M
+LT1
+.9045 g 4160 2885 M
 4043 2687 L
 stroke
-LT0
-.0117 g .8254 g 3891 2572 M
+LT1
+.8254 g 3891 2572 M
 152 115 V
 stroke
-LT0
-.0117 g .7468 g 3702 2444 M
+LT1
+.7468 g 3702 2444 M
 3586 2246 L
 stroke
-LT0
-.0117 g .7205 g 3738 2425 M
+LT1
+.7205 g 3738 2425 M
 3586 2246 L
 stroke
-LT0
-.0117 g .8669 g 4008 2769 M
+LT1
+.8669 g 4008 2769 M
 3891 2572 L
 stroke
-LT0
-.0117 g .7805 g 3738 2425 M
+LT1
+.7805 g 3738 2425 M
 153 147 V
 stroke
-LT0
-.0117 g .8147 g 3855 2622 M
+LT1
+.8147 g 3855 2622 M
 3738 2425 L
 stroke
-LT0
-.0117 g .9998 g 4466 3035 M
+LT1
+.9998 g 4466 3035 M
 153 38 V
 stroke
 LT0
-.0117 g .5603 g 3398 1981 M
+.5603 g 3398 1981 M
 3245 1694 L
 stroke
-LT0
-.0117 g .9944 g 4313 2973 M
+LT1
+.9944 g 4313 2973 M
 153 62 V
 stroke
-LT0
-.0117 g .6716 g 3551 2231 M
+LT1
+.6716 g 3551 2231 M
 3398 1981 L
 stroke
-LT0
-.0117 g .9768 g 4160 2885 M
+LT1
+.9768 g 4160 2885 M
 153 88 V
 stroke
-LT0
-.0117 g .7649 g 3702 2444 M
+LT1
+.7649 g 3702 2444 M
 3551 2231 L
 stroke
-LT0
-.0117 g .946 g 4008 2769 M
+LT1
+.946 g 4008 2769 M
 152 116 V
 stroke
-LT0
-.0117 g .8411 g 3855 2622 M
+LT1
+.8411 g 3855 2622 M
 3702 2444 L
 stroke
-LT0
-.0117 g .9011 g 3855 2622 M
+LT1
+.9011 g 3855 2622 M
 153 147 V
+% Begin plot #1
 stroke
 LT0
-.0117 g 0.500 UL
+.0117 g % End plot #1
+0.500 UL
 LTb
 3245 586 M
 3054 779 V
 3245 586 M
 901 1601 L
-2784 710 R
-270 69 V
+2785 710 R
+269 69 V
 901 1601 M
 634 161 V
 6299 1365 M
 3955 2380 L
 901 3815 M
 0 -2214 V
-3955 4594 M
-0 -1108 V
-0 -431 R
-0 -5 V
-0 -626 R
+3054 823 R
 0 -44 V
-6299 3579 M
+0 2214 R
+0 -1108 V
+2344 93 R
 0 -2214 V
 3245 1694 M
 0 -1108 V
Binary files 1:3.0.1-6/doc/interpreter/interpn.pdf and 1:3.0.5-6/doc/interpreter/interpn.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/interpn.png and 1:3.0.5-6/doc/interpreter/interpn.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/interp.texi 1:3.0.5-6/doc/interpreter/interp.texi
--- 1:3.0.1-6/doc/interpreter/interp.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interp.texi	2009-04-07 11:11:32.000000000 +0100
@@ -140,7 +140,7 @@ step function}
 
 @float Figure,fig:interpderiv2
 @image{interpderiv2,8cm}
-@caption{Comparison of the second derivate of the 'phcip' and 'spline' 
+@caption{Comparison of the second derivative of the 'phcip' and 'spline' 
 interpolation methods for a step function}
 @end float
 @end ifnotinfo
@@ -442,9 +442,9 @@ throughout the curve.
 
 The default method is 'linear'.
 
-If @var{extrap} is the string 'extrap', then extrapolate values beyond
-the endpoints.  If @var{extrap} is a number, replace values beyond the
-endpoints with that number.  If @var{extrap} is missing, assume NA.
+If @var{extrapval} is the scalar value, use it to replace the values
+beyond the endpoints with that number. If @var{extrapval} is missing,
+assume NA.
 @seealso{interp1, interp2, spline, ndgrid}
 @end deftypefn
 
diff -pruN 1:3.0.1-6/doc/interpreter/interp.txi 1:3.0.5-6/doc/interpreter/interp.txi
--- 1:3.0.1-6/doc/interpreter/interp.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/interp.txi	2009-02-18 06:57:46.000000000 +0000
@@ -77,7 +77,7 @@ step function}
 
 @float Figure,fig:interpderiv2
 @image{interpderiv2,8cm}
-@caption{Comparison of the second derivate of the 'phcip' and 'spline' 
+@caption{Comparison of the second derivative of the 'phcip' and 'spline' 
 interpolation methods for a step function}
 @end float
 @end ifnotinfo
diff -pruN 1:3.0.1-6/doc/interpreter/linalg.texi 1:3.0.5-6/doc/interpreter/linalg.texi
--- 1:3.0.1-6/doc/interpreter/linalg.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/linalg.texi	2009-04-07 11:11:32.000000000 +0100
@@ -279,7 +279,7 @@ and so it is entirely the responsibility
 matrix type.
 
 Also the test for positive definiteness is a low cost test for a hermitian
-matrix with a real positive diagonal. This does not guarentee that the matrix
+matrix with a real positive diagonal. This does not guarantee that the matrix
 is positive definite, but only that it is a probable candidate. When such a
 matrix is factorized, a Cholesky factorization is first attempted, and if
 that fails the matrix is then treated with an LU factorization. Once the
diff -pruN 1:3.0.1-6/doc/interpreter/matrix.texi 1:3.0.5-6/doc/interpreter/matrix.texi
--- 1:3.0.1-6/doc/interpreter/matrix.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/matrix.texi	2009-04-07 11:11:32.000000000 +0100
@@ -499,6 +499,23 @@ by an empty argument.
 @end deftypefn
 
 
+@anchor{doc-resize}
+@deftypefn {Built-in Function} {} resize (@var{x}, @var{m})
+@deftypefnx {Built-in Function} {} resize (@var{x}, @var{m}, @var{n})
+Destructively resize @var{x}.
+
+@strong{Values in @var{x} are not preserved as they are with
+@code{reshape}.}
+
+If only @var{m} is supplied and it is a scalar, the dimension of the
+result is @var{m}-by-@var{m}.  If @var{m} is a vector, then the
+dimensions of the result are given by the elements of @var{m}.
+If both @var{m} and @var{n} are scalars, then the dimensions of
+the result are @var{m}-by-@var{n}.
+@seealso{reshape, postpad}
+@end deftypefn
+
+
 @anchor{doc-circshift}
 @deftypefn {Function File} {@var{y} =} circshift (@var{x}, @var{n})
 Circularly shifts the values of the array @var{x}. @var{n} must be
@@ -629,7 +646,7 @@ ordered lists.
 Sort the rows of the matrix @var{a} according to the order of the
 columns specified in @var{c}.  If @var{c} is omitted, a
 lexicographical sort is used. By default ascending order is used 
-however if elements of @var{c} are negative then the corrosponding 
+however if elements of @var{c} are negative then the corresponding  
 column is sorted in descending order.
 @end deftypefn
 
@@ -759,6 +776,7 @@ If @var{x} is a matrix, elements are pre
 
 If the optional @var{dim} argument is given, then operate along this
 dimension.
+@seealso{postpad}
 @end deftypefn
 
 
@@ -936,7 +954,7 @@ By default, the generator is initialized
 available, otherwise from cpu time, wall clock time and the current
 fraction of a second.
 
-To compute the psuedo-random sequence, @code{rand} uses the Mersenne
+To compute the pseudo-random sequence, @code{rand} uses the Mersenne
 Twister with a period of 2^19937-1 (See M. Matsumoto and T. Nishimura,
 ``Mersenne Twister: A 623-dimensionally
 equidistributed uniform pseudorandom number generator'', ACM Trans. on
@@ -979,8 +997,9 @@ keyword "state" should be used to reset 
 @deftypefnx {Loadable Function} {} randn (@var{n}, @var{m})
 @deftypefnx {Loadable Function} {} randn ("state", @var{x})
 @deftypefnx {Loadable Function} {} randn ("seed", @var{x})
-Return a matrix with normally distributed random elements. The
-arguments are handled the same as the arguments for @code{rand}.
+Return a matrix with normally distributed pseudo-random
+elements having zero mean and variance one. The arguments are
+handled the same as the arguments for @code{rand}.
 
 By default, @code{randn} uses a Marsaglia and Tsang Ziggurat technique to
 transform from a uniform to a normal distribution. (G. Marsaglia and
@@ -1031,7 +1050,7 @@ Stadlober E., et al., WinRand source cod
 @item For matrix @var{l} > 10, use patchwork rejection method.
 Stadlober E., et al., WinRand source code, available via FTP, or
 H. Zechner, 'Efficient sampling from continuous and discrete
-unimodal distributions', Doctoral Dissertaion, 156pp., Technical
+unimodal distributions', Doctoral Dissertation, 156pp., Technical
 University Graz, Austria, 1994.
 @item For @var{l} > 1e8, use normal approximation.
 L. Montanet, et al., 'Review of Particle Properties', Physical Review
diff -pruN 1:3.0.1-6/doc/interpreter/matrix.txi 1:3.0.5-6/doc/interpreter/matrix.txi
--- 1:3.0.1-6/doc/interpreter/matrix.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/matrix.txi	2009-02-18 06:57:46.000000000 +0000
@@ -106,6 +106,8 @@ Note that in conditional contexts (like 
 
 @DOCSTRING(reshape)
 
+@DOCSTRING(resize)
+
 @DOCSTRING(circshift)
 
 @DOCSTRING(shiftdim)
diff -pruN 1:3.0.1-6/doc/interpreter/mesh.eps 1:3.0.5-6/doc/interpreter/mesh.eps
--- 1:3.0.1-6/doc/interpreter/mesh.eps	2008-04-21 17:57:17.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/mesh.eps	2009-01-29 08:11:17.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: mesh.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:17 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:17 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (mesh.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:17 2008)
+  /CreationDate (Thu Jan 29 09:11:17 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,13 +461,12 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
 newpath
 (Helvetica) findfont 140 scalefont setfont
-0.500 UL
-LTb
 gsave % colour palette begin
 /maxcolors 64 def
 /HSV2RGB {  exch dup 0.0 eq {pop exch pop dup dup} % achromatic gray
@@ -519,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,8960 +541,8051 @@ Color true and { % COLOUR vs. GRAY map
 }{
   /g {stroke pm3dround pm3dGamma exp setgray} bind def
 } ifelse
+0.500 UL
+LTb
 1.000 UP
 1.000 UL
 LT0
-.1784 g .1392 g 4225 2679 M
-10 -4 V
-stroke
-LT0
-.1784 g .157 g 3633 2723 M
--1 -1 V
-stroke
-LT0
-.1784 g .1663 g 4365 2691 M
--14 -2 V
-stroke
-LT0
-.1784 g .1695 g 4359 2694 M
-6 -3 V
-stroke
-LT0
-.1784 g .2 g 4301 2736 M
--10 -3 V
-stroke
-LT0
-.1784 g .1984 g 4284 2735 M
-5 -3 V
-stroke
-LT0
-.1784 g .2429 g 4042 2804 M
-stroke
-LT0
-.1784 g .2298 g 4230 2776 M
--13 -3 V
-stroke
-LT0
-.1784 g .2267 g 4210 2774 M
-2 -2 V
-stroke
-LT0
-.1784 g .2443 g 4375 2771 M
-2 0 V
-stroke
-LT0
-.1784 g .2683 g 3098 2822 M
-37 0 V
-stroke
-LT0
-.1784 g .2654 g 3140 2822 M
-2 0 V
-stroke
-LT0
-.1784 g .2756 g 4118 2820 M
--54 5 V
-stroke
-LT0
-.1784 g .2706 g 4060 2825 M
-stroke
-LT0
-.1784 g .2557 g 4502 2764 M
--14 0 V
-stroke
-LT0
-.1784 g .2501 g 4460 2765 M
-4 -1 V
-stroke
-LT0
-.1784 g .2743 g 3135 2822 M
+.2743 g 3135 2822 M
 -37 0 V
 stroke
 LT0
-.1784 g .2794 g 3142 2822 M
--2 0 V
-stroke
-LT0
-.1784 g .2716 g 3136 2825 M
+.2716 g 3136 2825 M
 -38 -3 V
 stroke
 LT0
-.1784 g .2737 g 3022 2815 M
+.2737 g 3022 2815 M
 76 7 V
 stroke
 LT0
-.1784 g .2682 g 4253 2807 M
-76 -16 V
-stroke
-LT0
-.1784 g .2727 g 3022 2815 M
--94 -13 V
-stroke
-LT0
-.1784 g .2804 g 3080 2805 M
--58 10 V
+.2806 g 3080 2805 M
+-55 10 V
 stroke
 LT0
-.1784 g .2788 g 2945 2804 M
+.2788 g 2945 2804 M
 77 11 V
 stroke
 LT0
-.1784 g .2819 g 4177 2802 M
+.2819 g 4177 2802 M
 -59 18 V
 stroke
 LT0
-.1784 g .2784 g 4253 2807 M
+.2784 g 4253 2807 M
 -135 13 V
 stroke
 LT0
-.1784 g .2813 g 4068 2812 M
+.2813 g 4068 2812 M
 50 8 V
 stroke
 LT0
-.1784 g .255 g 4717 2723 M
--27 3 V
-stroke
-LT0
-.1784 g .2797 g 4312 2794 M
+.2797 g 4312 2794 M
 -59 13 V
 stroke
 LT0
-.1784 g .2739 g 4388 2789 M
+.2739 g 4388 2789 M
 -135 18 V
 stroke
 LT0
-.1784 g .2803 g 4177 2802 M
+.2803 g 4177 2802 M
 76 5 V
 stroke
 LT0
-.1784 g .2767 g 2869 2789 M
+.2767 g 2869 2789 M
 -59 0 V
 stroke
 LT0
-.1784 g .2757 g 2945 2804 M
+.2757 g 2945 2804 M
 -135 -15 V
 stroke
 LT0
-.1784 g .2725 g 2734 2778 M
+.2725 g 2734 2778 M
 76 11 V
 stroke
 LT0
-.1784 g .2835 g 3080 2805 M
+.2835 g 3080 2805 M
 53 11 V
 stroke
 LT0
-.1784 g .2829 g 3139 2818 M
-1 0 V
-stroke
-LT0
-.1784 g .2748 g 4447 2779 M
+.2748 g 4447 2779 M
 -59 10 V
 stroke
 LT0
-.1784 g .2767 g 4312 2794 M
+.2767 g 4312 2794 M
 76 -5 V
 stroke
 LT0
-.1784 g .2819 g 3004 2783 M
+.2819 g 3004 2783 M
 -59 21 V
 stroke
 LT0
-.1784 g .2819 g 2869 2789 M
+.2819 g 2869 2789 M
 76 15 V
 stroke
 LT0
-.1784 g .2804 g 4100 2774 M
+.2804 g 4100 2774 M
 -24 14 V
 stroke
 LT0
-.1784 g .2814 g 3120 2777 M
+.2814 g 3120 2777 M
 -40 28 V
 stroke
 LT0
-.1784 g .2834 g 3004 2783 M
+.2834 g 3004 2783 M
 76 22 V
 stroke
 LT0
-.1784 g .2792 g 2793 2771 M
+.2792 g 2793 2771 M
 -59 7 V
 stroke
 LT0
-.1784 g .2758 g 2658 2764 M
+.2758 g 2658 2764 M
 76 14 V
 stroke
 LT0
-.1784 g .283 g 4235 2773 M
+.283 g 4235 2773 M
 -58 29 V
 stroke
 LT0
-.1784 g .2817 g 4100 2774 M
+.2817 g 4100 2774 M
 77 28 V
 stroke
 LT0
-.1784 g .2832 g 4370 2771 M
+.2832 g 4370 2771 M
 -58 23 V
 stroke
 LT0
-.1784 g .2824 g 4235 2773 M
+.2824 g 4235 2773 M
 77 21 V
 stroke
 LT0
-.1784 g .261 g 4775 2714 M
--58 9 V
-stroke
-LT0
-.1784 g .267 g 4640 2745 M
-77 -22 V
-stroke
-LT0
-.1784 g .2806 g 4505 2763 M
+.2806 g 4505 2763 M
 -58 16 V
 stroke
 LT0
-.1784 g .2745 g 4582 2757 M
+.2745 g 4582 2757 M
 -135 22 V
 stroke
 LT0
-.1784 g .2812 g 4370 2771 M
+.2812 g 4370 2771 M
 77 8 V
 stroke
 LT0
-.1784 g .2737 g 4640 2745 M
+.2737 g 4640 2745 M
 -58 12 V
 stroke
 LT0
-.1784 g .2766 g 4505 2763 M
+.2766 g 4505 2763 M
 77 -6 V
 stroke
 LT0
-.1784 g .2817 g 2928 2759 M
+.2817 g 2928 2759 M
 -59 30 V
 stroke
 LT0
-.1784 g .2834 g 2793 2771 M
+.2834 g 2793 2771 M
 76 18 V
 stroke
 LT0
-.1784 g .2123 g 3601 2590 M
--1 -3 V
-stroke
-LT0
-.1784 g .2763 g 3063 2730 M
+.2763 g 3063 2730 M
 -59 53 V
 stroke
 LT0
-.1784 g .2817 g 2928 2759 M
+.2817 g 2928 2759 M
 76 24 V
 stroke
 LT0
-.1784 g .2746 g 4159 2728 M
+.2746 g 4159 2728 M
 -59 46 V
 stroke
 LT0
-.1784 g .2779 g 4084 2763 M
+.2779 g 4084 2763 M
 16 11 V
 stroke
 LT0
-.1784 g .2718 g 3063 2730 M
+.2718 g 3063 2730 M
 49 22 V
 stroke
 LT0
-.1784 g .2005 g 3391 2549 M
-6 5 V
-stroke
-LT0
-.1784 g .2805 g 2716 2752 M
+.2805 g 2716 2752 M
 -58 12 V
 stroke
 LT0
-.1784 g .278 g 2581 2748 M
+.278 g 2581 2748 M
 77 16 V
 stroke
 LT0
-.1784 g .2791 g 4294 2735 M
+.2791 g 4294 2735 M
 -59 38 V
 stroke
 LT0
-.1784 g .2759 g 4159 2728 M
+.2759 g 4159 2728 M
 76 45 V
 stroke
 LT0
-.1784 g .2806 g 2851 2733 M
+.2806 g 2851 2733 M
 -58 38 V
 stroke
 LT0
-.1784 g .2838 g 2716 2752 M
+.2838 g 2716 2752 M
 77 19 V
 stroke
 LT0
-.1784 g .2827 g 4429 2741 M
+.2827 g 4429 2741 M
 -59 30 V
 stroke
 LT0
-.1784 g .2799 g 4294 2735 M
+.2799 g 4294 2735 M
 76 36 V
 stroke
 LT0
-.1784 g .2416 g 3121 2646 M
-0 1 V
-stroke
-LT0
-.1784 g .2627 g 3091 2689 M
+.2627 g 3091 2689 M
 -28 41 V
 stroke
 LT0
-.1784 g .2658 g 2986 2695 M
+.2658 g 2986 2695 M
 77 35 V
 stroke
 LT0
-.1784 g .2712 g 2986 2695 M
+.2712 g 2986 2695 M
 -58 64 V
 stroke
 LT0
-.1784 g .2789 g 2851 2733 M
+.2789 g 2851 2733 M
 77 26 V
 stroke
 LT0
-.1784 g .2625 g 4218 2673 M
+.2625 g 4218 2673 M
 -59 55 V
 stroke
 LT0
-.1784 g .262 g 4110 2684 M
+.262 g 4110 2684 M
 49 44 V
 stroke
 LT0
-.1784 g .2677 g 4834 2700 M
+.2677 g 4834 2700 M
 -59 14 V
 stroke
 LT0
-.1784 g .2728 g 4699 2727 M
+.2728 g 4699 2727 M
 76 -13 V
 stroke
 LT0
-.1784 g .2708 g 4640 2745 M
+.2708 g 4640 2745 M
 135 -31 V
 stroke
 LT0
-.1784 g .2833 g 4564 2740 M
+.2833 g 4564 2740 M
 -59 23 V
 stroke
 LT0
-.1784 g .2821 g 4429 2741 M
+.2821 g 4429 2741 M
 76 22 V
 stroke
 LT0
-.1784 g .2788 g 4699 2727 M
+.2788 g 4699 2727 M
 -59 18 V
 stroke
 LT0
-.1784 g .2804 g 4564 2740 M
+.2804 g 4564 2740 M
 76 5 V
 stroke
 LT0
-.1784 g .2414 g 3120 2646 M
-1 0 V
-stroke
-LT0
-.1784 g .2304 g 3045 2600 M
+.2304 g 3045 2600 M
 21 13 V
 stroke
 LT0
-.1784 g .2812 g 2640 2732 M
+.2812 g 2640 2732 M
 -59 16 V
 stroke
 LT0
-.1784 g .2793 g 2505 2730 M
+.2793 g 2505 2730 M
 76 18 V
 stroke
 LT0
-.1784 g .2248 g 3045 2600 M
+.2248 g 3045 2600 M
 10 -19 V
 stroke
 LT0
-.1784 g .1934 g 4200 2513 M
+.1934 g 4200 2513 M
 -21 -31 V
 stroke
 LT0
-.1784 g .2712 g 4353 2690 M
+.2712 g 4353 2690 M
 -59 45 V
 stroke
 LT0
-.1784 g .2657 g 4218 2673 M
+.2657 g 4218 2673 M
 76 62 V
 stroke
 LT0
-.1784 g .2453 g 3045 2600 M
+.2453 g 3045 2600 M
 -59 95 V
 stroke
 LT0
-.1784 g .2582 g 2910 2660 M
+.2582 g 2910 2660 M
 76 35 V
 stroke
 LT0
-.1784 g .2112 g 4200 2513 M
+.2111 g 4200 2513 M
 -57 73 V
 stroke
 LT0
-.1784 g .2396 g 4218 2673 M
+.2396 g 4218 2673 M
 -76 -84 V
 stroke
 LT0
-.1784 g .2227 g 2968 2558 M
+.2227 g 2968 2558 M
 77 42 V
 stroke
 LT0
-.1784 g .279 g 2775 2707 M
+.279 g 2775 2707 M
 -59 45 V
 stroke
 LT0
-.1784 g .2837 g 2640 2732 M
+.2837 g 2640 2732 M
 76 20 V
 stroke
 LT0
-.1784 g .2467 g 4276 2612 M
+.2467 g 4276 2612 M
 -58 61 V
 stroke
 LT0
-.1784 g .2659 g 2910 2660 M
+.2659 g 2910 2660 M
 -59 73 V
 stroke
 LT0
-.1784 g .2757 g 2775 2707 M
+.2757 g 2775 2707 M
 76 26 V
 stroke
 LT0
-.1784 g .1624 g 4258 2438 M
+.1624 g 4258 2438 M
 -41 -65 V
 stroke
 LT0
-.1784 g .1461 g 4212 2366 M
-0 -1 V
-stroke
-LT0
-.1784 g .1471 g 2951 2387 M
+.1471 g 2951 2387 M
 20 -47 V
 stroke
 LT0
-.1784 g .1984 g 2968 2558 M
+.1984 g 2968 2558 M
 45 -97 V
 stroke
 LT0
-.1784 g .1602 g 2951 2387 M
+.1602 g 2951 2387 M
 46 28 V
 stroke
 LT0
-.1784 g .1654 g 3006 2420 M
-1 1 V
-stroke
-LT0
-.1784 g .279 g 4487 2705 M
+.279 g 4487 2705 M
 -58 36 V
 stroke
 LT0
-.1784 g .2739 g 4353 2690 M
+.2739 g 4353 2690 M
 76 51 V
 stroke
 LT0
-.1784 g .1875 g 4258 2438 M
+.1875 g 4258 2438 M
 -58 75 V
 stroke
 LT0
-.1784 g .2188 g 4276 2612 M
+.2188 g 4276 2612 M
 -76 -99 V
 stroke
 LT0
-.1784 g .0848 g 4299 2174 M
+.0848 g 4299 2174 M
 -15 18 V
 stroke
 LT0
-.1784 g .1024 g 4242 2240 M
--1 2 V
-stroke
-LT0
-.1784 g .1325 g 4317 2366 M
+.1325 g 4317 2366 M
 -62 -101 V
 stroke
 LT0
-.1784 g .1029 g 4241 2243 M
-0 -1 V
-stroke
-LT0
-.1784 g .2356 g 2910 2660 M
+.2356 g 2910 2660 M
 58 -102 V
 stroke
 LT0
-.1784 g .2119 g 2892 2518 M
+.2119 g 2892 2518 M
 76 40 V
 stroke
 LT0
-.1784 g .0807 g 4299 2174 M
+.0807 g 4299 2174 M
 -5 -7 V
 stroke
 LT0
-.1784 g .2815 g 2564 2712 M
+.2815 g 2564 2712 M
 -59 18 V
 stroke
 LT0
-.1784 g .2799 g 2429 2711 M
+.2799 g 2429 2711 M
 76 19 V
 stroke
 LT0
-.1784 g .2511 g 2833 2626 M
+.2511 g 2833 2626 M
 77 34 V
 stroke
 LT0
-.1784 g .2834 g 4622 2712 M
+.2834 g 4622 2712 M
 -58 28 V
 stroke
 LT0
-.1784 g .2802 g 4487 2705 M
+.2802 g 4487 2705 M
 77 35 V
 stroke
 LT0
-.1784 g .1817 g 2892 2518 M
+.1817 g 2892 2518 M
 59 -131 V
 stroke
 LT0
-.1784 g .152 g 2874 2349 M
+.152 g 2874 2349 M
 77 38 V
 stroke
 LT0
-.1784 g .2289 g 4335 2549 M
+.2289 g 4335 2549 M
 -59 63 V
 stroke
 LT0
-.1784 g .2522 g 4353 2690 M
+.2522 g 4353 2690 M
 -77 -78 V
 stroke
 LT0
-.1784 g .2604 g 4411 2640 M
+.2604 g 4411 2640 M
 -58 50 V
 stroke
 LT0
-.1784 g .1221 g 2874 2349 M
+.1221 g 2874 2349 M
 55 -129 V
 stroke
 LT0
-.1784 g .0902 g 2857 2180 M
+.0902 g 2857 2180 M
 67 28 V
 stroke
 LT0
-.1784 g .2725 g 4892 2683 M
+.2725 g 4892 2683 M
 -58 17 V
 stroke
 LT0
-.1784 g .2767 g 4757 2707 M
+.2767 g 4757 2707 M
 77 -7 V
 stroke
 LT0
-.1784 g .1642 g 4317 2366 M
+.1642 g 4317 2366 M
 -59 72 V
 stroke
 LT0
-.1784 g .1975 g 4335 2549 M
+.1975 g 4335 2549 M
 -77 -111 V
 stroke
 LT0
-.1784 g .2819 g 4757 2707 M
+.2819 g 4757 2707 M
 -58 20 V
 stroke
 LT0
-.1784 g .2819 g 4622 2712 M
+.2819 g 4622 2712 M
 77 15 V
 stroke
 LT0
-.1784 g .2609 g 2833 2626 M
+.2609 g 2833 2626 M
 -58 81 V
 stroke
 LT0
-.1784 g .2728 g 2699 2681 M
+.2728 g 2699 2681 M
 76 26 V
 stroke
 LT0
-.1784 g .2775 g 2699 2681 M
+.2775 g 2699 2681 M
 -59 51 V
 stroke
 LT0
-.1784 g .2834 g 2564 2712 M
+.2834 g 2564 2712 M
 76 20 V
 stroke
 LT0
-.1784 g .0739 g 4358 2115 M
+.0739 g 4358 2115 M
 -59 59 V
 stroke
 LT0
-.1784 g .1074 g 4376 2299 M
+.1074 g 4376 2299 M
 -77 -125 V
 stroke
 LT0
-.1784 g .0759 g 2857 2180 M
+.0759 g 2857 2180 M
 29 -61 V
 stroke
 LT0
-.1784 g .039 g 2839 2034 M
+.039 g 2839 2034 M
 11 4 V
 stroke
 LT0
-.1784 g .2274 g 2833 2626 M
+.2274 g 2833 2626 M
 59 -108 V
 stroke
 LT0
-.1784 g .2033 g 2816 2483 M
+.2033 g 2816 2483 M
 76 35 V
 stroke
 LT0
-.1784 g .1428 g 4376 2299 M
+.1428 g 4376 2299 M
 -59 67 V
 stroke
 LT0
-.1784 g .177 g 4393 2485 M
+.177 g 4393 2485 M
 -76 -119 V
 stroke
 LT0
-.1784 g .2451 g 2757 2596 M
+.2451 g 2757 2596 M
 76 30 V
 stroke
 LT0
-.1784 g .005 g 3186 1950 M
--9 -1 V
-stroke
-LT0
-.1784 g .2103 g 4393 2485 M
+.2103 g 4393 2485 M
 -58 64 V
 stroke
 LT0
-.1784 g .237 g 4411 2640 M
+.237 g 4411 2640 M
 -76 -91 V
 stroke
 LT0
-.1784 g .1735 g 2816 2483 M
+.1735 g 2816 2483 M
 58 -134 V
 stroke
 LT0
-.1784 g .1447 g 2798 2319 M
+.1447 g 2798 2319 M
 76 30 V
 stroke
 LT0
-.1784 g .273 g 4546 2665 M
+.273 g 4546 2665 M
 -59 40 V
 stroke
 LT0
-.1784 g .2654 g 4411 2640 M
+.2654 g 4411 2640 M
 76 65 V
 stroke
 LT0
-.1784 g .0585 g 4358 2115 M
+.0585 g 4358 2115 M
 -28 -37 V
 stroke
 LT0
-.1784 g .1148 g 2798 2319 M
+.1148 g 2798 2319 M
 59 -139 V
 stroke
 LT0
-.1784 g .0868 g 2780 2157 M
+.0868 g 2780 2157 M
 77 23 V
 stroke
 LT0
-.1784 g .2815 g 2487 2692 M
+.2815 g 2487 2692 M
 -58 19 V
 stroke
 LT0
-.1784 g .2799 g 2352 2691 M
+.2799 g 2352 2691 M
 77 20 V
 stroke
 LT0
-.1784 g .2479 g 4470 2588 M
+.2479 g 4470 2588 M
 -59 52 V
 stroke
 LT0
-.1784 g .0596 g 4416 2064 M
+.0596 g 4416 2064 M
 -58 51 V
 stroke
 LT0
-.1784 g .0908 g 4434 2238 M
+.0908 g 4434 2238 M
 -76 -123 V
 stroke
 LT0
-.1784 g .257 g 2757 2596 M
+.257 g 2757 2596 M
 -58 85 V
 stroke
 LT0
-.1784 g .2705 g 2622 2658 M
+.2705 g 2622 2658 M
 77 23 V
 stroke
 LT0
-.1784 g .1243 g 4434 2238 M
+.1243 g 4434 2238 M
 -58 61 V
 stroke
 LT0
-.1784 g .1583 g 4452 2424 M
+.1583 g 4452 2424 M
 -76 -125 V
 stroke
 LT0
-.1784 g .2817 g 4681 2682 M
+.2817 g 4681 2682 M
 -59 30 V
 stroke
 LT0
-.1784 g .2763 g 4546 2665 M
+.2763 g 4546 2665 M
 76 47 V
 stroke
 LT0
-.1784 g .2211 g 2757 2596 M
+.2211 g 2757 2596 M
 59 -113 V
 stroke
 LT0
-.1784 g .1973 g 2739 2454 M
+.1973 g 2739 2454 M
 77 29 V
 stroke
 LT0
-.1784 g .2764 g 2622 2658 M
+.2764 g 2622 2658 M
 -58 54 V
 stroke
 LT0
-.1784 g .2831 g 2487 2692 M
+.2831 g 2487 2692 M
 77 20 V
 stroke
 LT0
-.1784 g .1924 g 4452 2424 M
+.1924 g 4452 2424 M
 -59 61 V
 stroke
 LT0
-.1784 g .2213 g 4470 2588 M
+.2213 g 4470 2588 M
 -77 -103 V
 stroke
 LT0
-.1784 g .0373 g 2845 2026 M
+.0373 g 2845 2026 M
 -6 8 V
 stroke
 LT0
-.1784 g .0623 g 2780 2157 M
+.0623 g 2780 2157 M
 59 -123 V
 stroke
 LT0
-.1784 g .0396 g 2762 2018 M
+.0396 g 2762 2018 M
 77 16 V
 stroke
 LT0
-.1784 g .2409 g 2681 2571 M
+.2409 g 2681 2571 M
 76 25 V
 stroke
 LT0
-.1784 g .1685 g 2739 2454 M
+.1685 g 2739 2454 M
 59 -135 V
 stroke
 LT0
-.1784 g .1411 g 2722 2295 M
+.1411 g 2722 2295 M
 76 24 V
 stroke
 LT0
-.1784 g .2834 g 4816 2683 M
+.2834 g 4816 2683 M
 -59 24 V
 stroke
 LT0
-.1784 g .2817 g 4681 2682 M
+.2817 g 4681 2682 M
 76 25 V
 stroke
 LT0
-.1784 g .2758 g 4951 2663 M
+.2758 g 4951 2663 M
 -59 20 V
 stroke
 LT0
-.1784 g .2792 g 4816 2683 M
+.2792 g 4816 2683 M
 76 0 V
 stroke
 LT0
-.1784 g .0086 g 2837 1931 M
-1 0 V
-stroke
-LT0
-.1784 g .0129 g 4385 1941 M
--2 1 V
-stroke
-LT0
-.1784 g .0413 g 4416 2064 M
+.0413 g 4416 2064 M
 -51 -64 V
 stroke
 LT0
-.1784 g .2658 g 4605 2624 M
+.2658 g 4605 2624 M
 -59 41 V
 stroke
 LT0
-.1784 g .235 g 4528 2536 M
+.235 g 4528 2536 M
 -58 52 V
 stroke
 LT0
-.1784 g .2555 g 4546 2665 M
+.2555 g 4546 2665 M
 -76 -77 V
 stroke
 LT0
-.1784 g .113 g 2722 2295 M
+.113 g 2722 2295 M
 58 -138 V
 stroke
 LT0
-.1784 g .0868 g 2704 2142 M
+.0868 g 2704 2142 M
 76 15 V
 stroke
 LT0
-.1784 g .2815 g 2411 2673 M
+.2815 g 2411 2673 M
 -59 18 V
 stroke
 LT0
-.1784 g .2793 g 2276 2670 M
+.2793 g 2276 2670 M
 76 21 V
 stroke
 LT0
-.1784 g .1093 g 4493 2186 M
+.1093 g 4493 2186 M
 -59 52 V
 stroke
 LT0
-.1784 g .1423 g 4511 2367 M
+.1423 g 4511 2367 M
 -77 -129 V
 stroke
 LT0
-.1784 g .0494 g 4475 2022 M
+.0494 g 4475 2022 M
 -59 42 V
 stroke
 LT0
-.1784 g .0781 g 4493 2186 M
+.0781 g 4493 2186 M
 -77 -122 V
 stroke
 LT0
-.1784 g .0495 g 3917 2010 M
--1 -1 V
-stroke
-LT0
-.1784 g .1763 g 4511 2367 M
+.1763 g 4511 2367 M
 -59 57 V
 stroke
 LT0
-.1784 g .2062 g 4528 2536 M
+.2062 g 4528 2536 M
 -76 -112 V
 stroke
 LT0
-.1784 g .2171 g 2681 2571 M
+.2171 g 2681 2571 M
 58 -117 V
 stroke
 LT0
-.1784 g .1942 g 2663 2431 M
+.1942 g 2663 2431 M
 76 23 V
 stroke
 LT0
-.1784 g .2544 g 2681 2571 M
+.2544 g 2681 2571 M
 -59 87 V
 stroke
 LT0
-.1784 g .2693 g 2546 2638 M
+.2693 g 2546 2638 M
 76 20 V
 stroke
 LT0
-.1784 g .276 g 2546 2638 M
+.276 g 2546 2638 M
 -59 54 V
 stroke
 LT0
-.1784 g .2831 g 2411 2673 M
+.2831 g 2411 2673 M
 76 19 V
 stroke
 LT0
-.1784 g .2387 g 2604 2549 M
+.2387 g 2604 2549 M
 77 22 V
 stroke
 LT0
-.1784 g .1668 g 2663 2431 M
+.1668 g 2663 2431 M
 59 -136 V
 stroke
 LT0
-.1784 g .1411 g 2645 2280 M
+.1411 g 2645 2280 M
 77 15 V
 stroke
 LT0
-.1784 g .2789 g 4740 2650 M
+.2789 g 4740 2650 M
 -59 32 V
 stroke
 LT0
-.1784 g .2712 g 4605 2624 M
+.2712 g 4605 2624 M
 76 58 V
 stroke
 LT0
-.1784 g .0285 g 2807 1949 M
+.0285 g 2807 1949 M
 -45 69 V
 stroke
 LT0
-.1784 g .064 g 2704 2142 M
+.064 g 2704 2142 M
 58 -124 V
 stroke
 LT0
-.1784 g .0428 g 2686 2009 M
+.0428 g 2686 2009 M
 76 9 V
 stroke
 LT0
-.1784 g .2227 g 4587 2487 M
+.2227 g 4587 2487 M
 -59 49 V
 stroke
 LT0
-.1784 g .2453 g 4605 2624 M
+.2453 g 4605 2624 M
 -77 -88 V
 stroke
 LT0
-.1784 g .0107 g 2745 1914 M
+.0107 g 2745 1914 M
 46 8 V
 stroke
 LT0
-.1784 g .098 g 4551 2141 M
+.098 g 4551 2141 M
 -58 45 V
 stroke
 LT0
-.1784 g .1296 g 4569 2317 M
+.1296 g 4569 2317 M
 -76 -131 V
 stroke
 LT0
-.1784 g .1626 g 4569 2317 M
+.1626 g 4569 2317 M
 -58 50 V
 stroke
 LT0
-.1784 g .1928 g 4587 2487 M
+.1928 g 4587 2487 M
 -76 -120 V
 stroke
 LT0
-.1784 g .2582 g 4663 2584 M
+.2582 g 4663 2584 M
 -58 40 V
 stroke
 LT0
-.1784 g .0101 g 4457 1901 M
+.0101 g 4457 1901 M
 -56 30 V
 stroke
 LT0
-.1784 g .0287 g 4475 2022 M
+.0287 g 4475 2022 M
 -75 -88 V
 stroke
 LT0
-.1784 g .2812 g 2335 2654 M
+.2812 g 2335 2654 M
 -59 16 V
 stroke
 LT0
-.1784 g .278 g 2200 2647 M
+.278 g 2200 2647 M
 76 23 V
 stroke
 LT0
-.1784 g .2838 g 4875 2658 M
+.2838 g 4875 2658 M
 -59 25 V
 stroke
 LT0
-.1784 g .2806 g 4740 2650 M
+.2806 g 4740 2650 M
 76 33 V
 stroke
 LT0
-.1784 g .1148 g 2645 2280 M
+.1148 g 2645 2280 M
 59 -138 V
 stroke
 LT0
-.1784 g .0905 g 2627 2134 M
+.0905 g 2627 2134 M
 77 8 V
 stroke
 LT0
-.1784 g .278 g 5010 2641 M
+.278 g 5010 2641 M
 -59 22 V
 stroke
 LT0
-.1784 g .2805 g 4875 2658 M
+.2805 g 4875 2658 M
 76 5 V
 stroke
 LT0
-.1784 g .0428 g 4534 1986 M
+.0428 g 4534 1986 M
 -59 36 V
 stroke
 LT0
-.1784 g .0693 g 4551 2141 M
+.0693 g 4551 2141 M
 -76 -119 V
 stroke
 LT0
-.1784 g .2158 g 2604 2549 M
+.2158 g 2604 2549 M
 59 -118 V
 stroke
 LT0
-.1784 g .1942 g 2587 2415 M
+.1942 g 2587 2415 M
 76 16 V
 stroke
 LT0
-.1784 g .2536 g 2604 2549 M
+.2536 g 2604 2549 M
 -58 89 V
 stroke
 LT0
-.1784 g .2693 g 2469 2619 M
+.2693 g 2469 2619 M
 77 19 V
 stroke
 LT0
-.1784 g .2764 g 2469 2619 M
+.2764 g 2469 2619 M
 -58 54 V
 stroke
 LT0
-.1784 g .2834 g 2335 2654 M
+.2834 g 2335 2654 M
 76 19 V
 stroke
 LT0
-.1784 g .2387 g 2528 2532 M
+.2387 g 2528 2532 M
 76 17 V
 stroke
 LT0
-.1784 g .2119 g 4645 2441 M
+.2119 g 4645 2441 M
 -58 46 V
 stroke
 LT0
-.1784 g .2356 g 4663 2584 M
+.2356 g 4663 2584 M
 -76 -97 V
 stroke
 LT0
-.1784 g .1685 g 2587 2415 M
+.1685 g 2587 2415 M
 58 -135 V
 stroke
 LT0
-.1784 g .1447 g 2569 2271 M
+.1447 g 2569 2271 M
 76 9 V
 stroke
 LT0
-.1784 g .2757 g 4798 2618 M
+.2757 g 4798 2618 M
 -58 32 V
 stroke
 LT0
-.1784 g .2659 g 4663 2584 M
+.2659 g 4663 2584 M
 77 66 V
 stroke
 LT0
-.1784 g .152 g 4628 2273 M
+.152 g 4628 2273 M
 -59 44 V
 stroke
 LT0
-.1784 g .1817 g 4645 2441 M
+.1817 g 4645 2441 M
 -76 -124 V
 stroke
 LT0
-.1784 g .0284 g 2745 1914 M
+.0284 g 2745 1914 M
 -59 95 V
 stroke
 LT0
-.1784 g .0693 g 2627 2134 M
+.0693 g 2627 2134 M
 59 -125 V
 stroke
 LT0
-.1784 g .0494 g 2610 2006 M
+.0494 g 2610 2006 M
 76 3 V
 stroke
 LT0
-.1784 g .0905 g 4610 2104 M
+.0905 g 4610 2104 M
 -59 37 V
 stroke
 LT0
-.1784 g .1204 g 4628 2273 M
+.1204 g 4628 2273 M
 -77 -132 V
 stroke
 LT0
-.1784 g .0087 g 2773 1889 M
+.0087 g 2773 1889 M
 -28 25 V
 stroke
 LT0
-.1784 g .0143 g 2668 1905 M
+.0143 g 2668 1905 M
 77 9 V
 stroke
 LT0
-.1784 g .2805 g 2258 2635 M
+.2805 g 2258 2635 M
 -58 12 V
 stroke
 LT0
-.1784 g .2758 g 2123 2622 M
+.2758 g 2123 2622 M
 77 25 V
 stroke
 LT0
-.1784 g .0468 g 4111 1972 M
--1 0 V
-stroke
-LT0
-.1784 g .2511 g 4722 2545 M
+.2511 g 4722 2545 M
 -59 39 V
 stroke
 LT0
-.1784 g .0084 g 4516 1874 M
+.0084 g 4516 1874 M
 -59 27 V
 stroke
 LT0
-.1784 g .0246 g 4534 1986 M
+.0246 g 4534 1986 M
 -77 -85 V
 stroke
 LT0
-.1784 g .0071 g 4427 1886 M
+.0071 g 4427 1886 M
 30 15 V
 stroke
 LT0
-.1784 g .1204 g 2569 2271 M
+.1204 g 2569 2271 M
 58 -137 V
 stroke
 LT0
-.1784 g .098 g 2551 2134 M
+.098 g 2551 2134 M
 76 0 V
 stroke
 LT0
-.1784 g .2171 g 2528 2532 M
+.2171 g 2528 2532 M
 59 -117 V
 stroke
 LT0
-.1784 g .1973 g 2510 2405 M
+.1973 g 2510 2405 M
 77 10 V
 stroke
 LT0
-.1784 g .2544 g 2528 2532 M
+.2544 g 2528 2532 M
 -59 87 V
 stroke
 LT0
-.1784 g .2705 g 2393 2604 M
+.2705 g 2393 2604 M
 76 15 V
 stroke
 LT0
-.1784 g .0396 g 4592 1958 M
+.0396 g 4592 1958 M
 -58 28 V
 stroke
 LT0
-.1784 g .064 g 4610 2104 M
+.064 g 4610 2104 M
 -76 -118 V
 stroke
 LT0
-.1784 g .2837 g 4933 2632 M
+.2837 g 4933 2632 M
 -58 26 V
 stroke
 LT0
-.1784 g .279 g 4798 2618 M
+.279 g 4798 2618 M
 77 40 V
 stroke
 LT0
-.1784 g .055 g 3904 2028 M
-13 -18 V
-stroke
-LT0
-.1784 g .2793 g 5068 2618 M
+.2793 g 5068 2618 M
 -58 23 V
 stroke
 LT0
-.1784 g .2812 g 4933 2632 M
+.2812 g 4933 2632 M
 77 9 V
 stroke
 LT0
-.1784 g .2775 g 2393 2604 M
+.2775 g 2393 2604 M
 -58 50 V
 stroke
 LT0
-.1784 g .2837 g 2258 2635 M
+.2837 g 2258 2635 M
 77 19 V
 stroke
 LT0
-.1784 g .2409 g 2452 2519 M
+.2409 g 2452 2519 M
 76 13 V
 stroke
 LT0
-.1784 g .2033 g 4704 2400 M
+.2033 g 4704 2400 M
 -59 41 V
 stroke
 LT0
-.1784 g .2274 g 4722 2545 M
+.2274 g 4722 2545 M
 -77 -104 V
 stroke
 LT0
-.1784 g .1447 g 4686 2236 M
+.1447 g 4686 2236 M
 -58 37 V
 stroke
 LT0
-.1784 g .1735 g 4704 2400 M
+.1735 g 4704 2400 M
 -76 -127 V
 stroke
 LT0
-.1784 g .0003 g 2727 1845 M
+.0003 g 2727 1845 M
 20 5 V
 stroke
 LT0
-.1784 g .2792 g 2182 2616 M
+.2792 g 2182 2616 M
 -59 6 V
 stroke
 LT0
-.1784 g .2725 g 2047 2594 M
+.2725 g 2047 2594 M
 76 28 V
 stroke
 LT0
-.1784 g .1735 g 2510 2405 M
+.1735 g 2510 2405 M
 59 -134 V
 stroke
 LT0
-.1784 g .152 g 2493 2271 M
+.152 g 2493 2271 M
 76 0 V
 stroke
 LT0
-.1784 g .0868 g 4669 2074 M
+.0868 g 4669 2074 M
 -59 30 V
 stroke
 LT0
-.1784 g .1148 g 4686 2236 M
+.1148 g 4686 2236 M
 -76 -132 V
 stroke
 LT0
-.1784 g .2728 g 4857 2588 M
+.2728 g 4857 2588 M
 -59 30 V
 stroke
 LT0
-.1784 g .2609 g 4722 2545 M
+.2609 g 4722 2545 M
 76 73 V
 stroke
 LT0
-.1784 g .2451 g 4780 2509 M
+.2451 g 4780 2509 M
 -58 36 V
 stroke
 LT0
-.1784 g .0352 g 2668 1905 M
+.0352 g 2668 1905 M
 -58 101 V
 stroke
 LT0
-.1784 g .0781 g 2551 2134 M
+.0781 g 2551 2134 M
 59 -128 V
 stroke
 LT0
-.1784 g .0596 g 2533 2012 M
+.0596 g 2533 2012 M
 77 -6 V
 stroke
 LT0
-.1784 g .0087 g 2727 1845 M
+.0087 g 2727 1845 M
 -59 60 V
 stroke
 LT0
-.1784 g .0214 g 2592 1904 M
+.0214 g 2592 1904 M
 76 1 V
 stroke
 LT0
-.1784 g .257 g 2452 2519 M
+.257 g 2452 2519 M
 -59 85 V
 stroke
 LT0
-.1784 g .2728 g 2317 2590 M
+.2728 g 2317 2590 M
 76 14 V
 stroke
 LT0
-.1784 g .2211 g 2452 2519 M
+.2211 g 2452 2519 M
 58 -114 V
 stroke
 LT0
-.1784 g .2033 g 2434 2401 M
+.2033 g 2434 2401 M
 76 4 V
 stroke
 LT0
-.1784 g .0084 g 4574 1850 M
+.0084 g 4574 1850 M
 -58 24 V
 stroke
 LT0
-.1784 g .0234 g 4592 1958 M
+.0234 g 4592 1958 M
 -76 -84 V
 stroke
 LT0
-.1784 g .0051 g 4455 1847 M
+.0051 g 4455 1847 M
 61 27 V
 stroke
 LT0
-.1784 g .279 g 2317 2590 M
+.279 g 2317 2590 M
 -59 45 V
 stroke
 LT0
-.1784 g .2838 g 2182 2616 M
+.2838 g 2182 2616 M
 76 19 V
 stroke
 LT0
-.1784 g .0396 g 4651 1935 M
+.0396 g 4651 1935 M
 -59 23 V
 stroke
 LT0
-.1784 g .0623 g 4669 2074 M
+.0623 g 4669 2074 M
 -77 -116 V
 stroke
 LT0
-.1784 g .1296 g 2493 2271 M
+.1296 g 2493 2271 M
 58 -137 V
 stroke
 LT0
-.1784 g .1093 g 2475 2142 M
+.1093 g 2475 2142 M
 76 -8 V
 stroke
 LT0
-.1784 g .2451 g 2375 2511 M
+.2451 g 2375 2511 M
 77 8 V
 stroke
 LT0
-.1784 g .2834 g 4992 2606 M
+.2834 g 4992 2606 M
 -59 26 V
 stroke
 LT0
-.1784 g .2775 g 4857 2588 M
+.2775 g 4857 2588 M
 76 44 V
 stroke
 LT0
-.1784 g .1973 g 4763 2365 M
+.1973 g 4763 2365 M
 -59 35 V
 stroke
 LT0
-.1784 g .2211 g 4780 2509 M
+.2211 g 4780 2509 M
 -76 -109 V
 stroke
 LT0
-.1784 g .2767 g 2105 2595 M
+.2767 g 2105 2595 M
 -58 -1 V
 stroke
 LT0
-.1784 g .2677 g 1970 2564 M
+.2677 g 1970 2564 M
 77 30 V
 stroke
 LT0
-.1784 g .2799 g 5127 2593 M
+.2799 g 5127 2593 M
 -59 25 V
 stroke
 LT0
-.1784 g .2815 g 4992 2606 M
+.2815 g 4992 2606 M
 76 12 V
 stroke
 LT0
-.1784 g .0015 g 2742 1844 M
+.0015 g 2742 1844 M
 -15 1 V
 stroke
 LT0
-.1784 g .0017 g 2651 1831 M
+.0017 g 2651 1831 M
 76 14 V
 stroke
 LT0
-.1784 g .1411 g 4745 2207 M
+.1411 g 4745 2207 M
 -59 29 V
 stroke
 LT0
-.1784 g .1685 g 4763 2365 M
+.1685 g 4763 2365 M
 -77 -129 V
 stroke
 LT0
-.1784 g .0623 g 4170 1980 M
--3 0 V
-stroke
-LT0
-.1784 g .2409 g 4839 2477 M
+.2409 g 4839 2477 M
 -59 32 V
 stroke
 LT0
-.1784 g .257 g 4857 2588 M
+.257 g 4857 2588 M
 -77 -79 V
 stroke
 LT0
-.1784 g .1817 g 2434 2401 M
+.1817 g 2434 2401 M
 59 -130 V
 stroke
 LT0
-.1784 g .1626 g 2416 2277 M
+.1626 g 2416 2277 M
 77 -6 V
 stroke
 LT0
-.1784 g .0005 g 4498 1814 M
+.0005 g 4498 1814 M
 -28 12 V
 stroke
 LT0
-.1784 g .2705 g 4915 2559 M
+.2705 g 4915 2559 M
 -58 29 V
 stroke
 LT0
-.1784 g .0868 g 4727 2053 M
+.0868 g 4727 2053 M
 -58 21 V
 stroke
 LT0
-.1784 g .113 g 4745 2207 M
+.113 g 4745 2207 M
 -76 -133 V
 stroke
 LT0
-.1784 g .0144 g 2651 1831 M
+.0144 g 2651 1831 M
 -59 73 V
 stroke
 LT0
-.1784 g .0457 g 2533 2012 M
+.0457 g 2533 2012 M
 59 -108 V
 stroke
 LT0
-.1784 g .0323 g 2516 1912 M
+.0323 g 2516 1912 M
 76 -8 V
 stroke
 LT0
-.1784 g .2609 g 2375 2511 M
+.2609 g 2375 2511 M
 -58 79 V
 stroke
 LT0
-.1784 g .2757 g 2240 2578 M
+.2757 g 2240 2578 M
 77 12 V
 stroke
 LT0
-.1784 g .2806 g 2240 2578 M
+.2806 g 2240 2578 M
 -58 38 V
 stroke
 LT0
-.1784 g .2834 g 2105 2595 M
+.2834 g 2105 2595 M
 77 21 V
 stroke
 LT0
-.1784 g .2728 g 2029 2572 M
+.2728 g 2029 2572 M
 -59 -8 V
 stroke
 LT0
-.1784 g .261 g 1894 2529 M
+.261 g 1894 2529 M
 76 35 V
 stroke
 LT0
-.1784 g .0908 g 2475 2142 M
+.0908 g 2475 2142 M
 58 -130 V
 stroke
 LT0
-.1784 g .0739 g 2457 2027 M
+.0739 g 2457 2027 M
 76 -15 V
 stroke
 LT0
-.1784 g .0211 g 4305 1888 M
-stroke
-LT0
-.1784 g .2274 g 2375 2511 M
+.2274 g 2375 2511 M
 59 -110 V
 stroke
 LT0
-.1784 g .2119 g 2358 2402 M
+.2119 g 2358 2402 M
 76 -1 V
 stroke
 LT0
-.1784 g .0102 g 4633 1831 M
+.0102 g 4633 1831 M
 -59 19 V
 stroke
 LT0
-.1784 g .0246 g 4651 1935 M
+.0246 g 4651 1935 M
 -77 -85 V
 stroke
 LT0
-.1784 g .0046 g 4498 1814 M
+.0046 g 4498 1814 M
 76 36 V
 stroke
 LT0
-.1784 g .1942 g 4821 2337 M
+.1942 g 4821 2337 M
 -58 28 V
 stroke
 LT0
-.1784 g .2171 g 4839 2477 M
+.2171 g 4839 2477 M
 -76 -112 V
 stroke
 LT0
-.1784 g .2511 g 2299 2505 M
+.2511 g 2299 2505 M
 76 6 V
 stroke
 LT0
-.1784 g .1416 g 3609 2208 M
--23 -54 V
-stroke
-LT0
-.1784 g .0428 g 4709 1920 M
+.0428 g 4709 1920 M
 -58 15 V
 stroke
 LT0
-.1784 g .064 g 4727 2053 M
+.064 g 4727 2053 M
 -76 -118 V
 stroke
 LT0
-.1784 g .2831 g 5050 2581 M
+.2831 g 5050 2581 M
 -58 25 V
 stroke
 LT0
-.1784 g .2764 g 4915 2559 M
+.2764 g 4915 2559 M
 77 47 V
 stroke
 LT0
-.1784 g .0031 g 2703 1809 M
+.0031 g 2703 1809 M
 -52 22 V
 stroke
 LT0
-.1784 g .0064 g 2574 1826 M
+.0064 g 2574 1826 M
 77 5 V
 stroke
 LT0
-.1784 g .1423 g 2416 2277 M
+.1423 g 2416 2277 M
 59 -135 V
 stroke
 LT0
-.1784 g .1243 g 2398 2157 M
+.1243 g 2398 2157 M
 77 -15 V
 stroke
 LT0
-.1784 g .0749 g 3122 2020 M
-5 1 V
-stroke
-LT0
-.1784 g .2799 g 5185 2568 M
+.2799 g 5185 2568 M
 -58 25 V
 stroke
 LT0
-.1784 g .2815 g 5050 2581 M
+.2815 g 5050 2581 M
 77 12 V
 stroke
 LT0
-.1784 g .1411 g 4803 2185 M
+.1411 g 4803 2185 M
 -58 22 V
 stroke
 LT0
-.1784 g .1668 g 4821 2337 M
+.1668 g 4821 2337 M
 -76 -130 V
 stroke
 LT0
-.1784 g .267 g 1953 2544 M
+.267 g 1953 2544 M
 -59 -15 V
 stroke
 LT0
-.1784 g .2523 g 1818 2489 M
+.2523 g 1818 2489 M
 76 40 V
 stroke
 LT0
-.1784 g .2387 g 4898 2449 M
+.2387 g 4898 2449 M
 -59 28 V
 stroke
 LT0
-.1784 g .2544 g 4915 2559 M
+.2544 g 4915 2559 M
 -76 -82 V
 stroke
 LT0
-.1784 g .2693 g 4974 2532 M
+.2693 g 4974 2532 M
 -59 27 V
 stroke
 LT0
-.1784 g .2817 g 2164 2565 M
+.2817 g 2164 2565 M
 -59 30 V
 stroke
 LT0
-.1784 g .2819 g 2029 2572 M
+.2819 g 2029 2572 M
 76 23 V
 stroke
 LT0
-.1784 g .0002 g 4557 1787 M
+.0002 g 4557 1787 M
 -59 27 V
 stroke
 LT0
-.1784 g .0038 g 4474 1821 M
+.0038 g 4474 1821 M
 24 -7 V
 stroke
 LT0
-.1784 g .1514 g 3795 2194 M
-4 -8 V
-stroke
-LT0
-.1784 g .2659 g 2299 2505 M
+.2659 g 2299 2505 M
 -59 73 V
 stroke
 LT0
-.1784 g .2789 g 2164 2565 M
+.2789 g 2164 2565 M
 76 13 V
 stroke
 LT0
-.1784 g .0905 g 4786 2039 M
+.0905 g 4786 2039 M
 -59 14 V
 stroke
 LT0
-.1784 g .1148 g 4803 2185 M
+.1148 g 4803 2185 M
 -76 -132 V
 stroke
 LT0
-.1784 g .1928 g 2358 2402 M
+.1928 g 2358 2402 M
 58 -125 V
 stroke
 LT0
-.1784 g .1763 g 2340 2288 M
+.1763 g 2340 2288 M
 76 -11 V
 stroke
 LT0
-.1784 g .0745 g 4155 2007 M
-6 -11 V
-stroke
-LT0
-.1784 g .2589 g 1876 2511 M
+.2589 g 1876 2511 M
 -58 -22 V
 stroke
 LT0
-.1784 g .2413 g 1741 2444 M
+.2413 g 1741 2444 M
 77 45 V
 stroke
 LT0
-.1784 g .0243 g 2574 1826 M
+.0243 g 2574 1826 M
 -58 86 V
 stroke
 LT0
-.1784 g .0605 g 2457 2027 M
+.0605 g 2457 2027 M
 59 -115 V
 stroke
 LT0
-.1784 g .0479 g 2439 1930 M
+.0479 g 2439 1930 M
 77 -18 V
 stroke
 LT0
-.1784 g .0218 g 4405 1846 M
--6 2 V
-stroke
-LT0
-.1784 g .2356 g 2299 2505 M
+.2356 g 2299 2505 M
 59 -103 V
 stroke
 LT0
-.1784 g .2227 g 2281 2407 M
+.2227 g 2281 2407 M
 77 -5 V
 stroke
 LT0
-.1784 g .1942 g 4880 2314 M
+.1942 g 4880 2314 M
 -59 23 V
 stroke
 LT0
-.1784 g .2158 g 4898 2449 M
+.2158 g 4898 2449 M
 -77 -112 V
 stroke
 LT0
-.1784 g .2582 g 2223 2501 M
+.2582 g 2223 2501 M
 76 4 V
 stroke
 LT0
-.1784 g .1074 g 2398 2157 M
+.1074 g 2398 2157 M
 59 -130 V
 stroke
 LT0
-.1784 g .0924 g 2381 2050 M
+.0924 g 2381 2050 M
 76 -23 V
 stroke
 LT0
-.1784 g .0048 g 2633 1780 M
+.0048 g 2633 1780 M
 -59 46 V
 stroke
 LT0
-.1784 g .0157 g 2498 1831 M
+.0157 g 2498 1831 M
 76 -5 V
 stroke
 LT0
-.1784 g .0143 g 4692 1817 M
+.0143 g 4692 1817 M
 -59 14 V
 stroke
 LT0
-.1784 g .0284 g 4709 1920 M
+.0284 g 4709 1920 M
 -76 -89 V
 stroke
 LT0
-.1784 g .0058 g 4557 1787 M
+.0058 g 4557 1787 M
 76 44 V
 stroke
 LT0
-.1784 g .2831 g 5109 2556 M
+.2831 g 5109 2556 M
 -59 25 V
 stroke
 LT0
-.1784 g .276 g 4974 2532 M
+.276 g 4974 2532 M
 76 49 V
 stroke
 LT0
-.1784 g .0494 g 4768 1912 M
+.0494 g 4768 1912 M
 -59 8 V
 stroke
 LT0
-.1784 g .0693 g 4786 2039 M
+.0693 g 4786 2039 M
 -77 -119 V
 stroke
 LT0
-.1784 g .2819 g 2088 2551 M
+.2819 g 2088 2551 M
 -59 21 V
 stroke
 LT0
-.1784 g .2788 g 1953 2544 M
+.2788 g 1953 2544 M
 76 28 V
 stroke
 LT0
-.1784 g .2793 g 5244 2541 M
+.2793 g 5244 2541 M
 -59 27 V
 stroke
 LT0
-.1784 g .2815 g 5109 2556 M
+.2815 g 5109 2556 M
 76 12 V
 stroke
 LT0
-.1784 g .2483 g 1800 2473 M
+.2483 g 1800 2473 M
 -59 -29 V
 stroke
 LT0
-.1784 g .2281 g 1665 2395 M
-76 49 V
+.2278 g 1665 2395 M
+73 47 V
 stroke
 LT0
-.1784 g .1447 g 4862 2171 M
+.1447 g 4862 2171 M
 -59 14 V
 stroke
 LT0
-.1784 g .1685 g 4880 2314 M
+.1685 g 4880 2314 M
 -77 -129 V
 stroke
 LT0
-.1784 g .2387 g 4956 2426 M
+.2387 g 4956 2426 M
 -58 23 V
 stroke
 LT0
-.1784 g .2536 g 4974 2532 M
+.2536 g 4974 2532 M
 -76 -83 V
 stroke
 LT0
-.1784 g .1583 g 2340 2288 M
+.1583 g 2340 2288 M
 58 -131 V
 stroke
 LT0
-.1784 g .1428 g 2322 2179 M
+.1428 g 2322 2179 M
 76 -22 V
 stroke
 LT0
-.1784 g .2712 g 2223 2501 M
+.2712 g 2223 2501 M
 -59 64 V
 stroke
 LT0
-.1784 g .2817 g 2088 2551 M
+.2817 g 2088 2551 M
 76 14 V
 stroke
 LT0
-.1784 g .2693 g 5033 2508 M
+.2693 g 5033 2508 M
 -59 24 V
 stroke
 LT0
-.1784 g .0002 g 4615 1763 M
+.0002 g 4615 1763 M
 -58 24 V
 stroke
 LT0
-.1784 g .0063 g 4497 1798 M
+.0063 g 4497 1798 M
 60 -11 V
 stroke
 LT0
-.1784 g .2352 g 1724 2429 M
+.2352 g 1724 2429 M
 -59 -34 V
 stroke
 LT0
-.1784 g .2127 g 1589 2342 M
-76 53 V
+.2125 g 1589 2342 M
+74 52 V
 stroke
 LT0
-.1784 g .098 g 4844 2033 M
+.098 g 4844 2033 M
 -58 6 V
 stroke
 LT0
-.1784 g .1204 g 4862 2171 M
+.1204 g 4862 2171 M
 -76 -132 V
 stroke
 LT0
-.1784 g .0047 g 2675 1782 M
+.0047 g 2675 1782 M
 -42 -2 V
 stroke
 LT0
-.1784 g .0093 g 2719 1815 M
+.0093 g 2719 1815 M
 -86 -35 V
 stroke
 LT0
-.1784 g .0013 g 2556 1766 M
+.0013 g 2556 1766 M
 77 14 V
 stroke
 LT0
-.1784 g .2062 g 2281 2407 M
+.2062 g 2281 2407 M
 59 -119 V
 stroke
 LT0
-.1784 g .1924 g 2263 2305 M
+.1924 g 2263 2305 M
 77 -17 V
 stroke
 LT0
-.1784 g .0391 g 4394 1870 M
-3 -5 V
-stroke
-LT0
-.1784 g .2804 g 2011 2533 M
+.2804 g 2011 2533 M
 -58 11 V
 stroke
 LT0
-.1784 g .2737 g 1876 2511 M
-77 33 V
+.274 g 1885 2515 M
+68 29 V
 stroke
 LT0
-.1784 g .2453 g 2281 2407 M
+.2453 g 2281 2407 M
 -58 94 V
 stroke
 LT0
-.1784 g .2658 g 2146 2498 M
+.2658 g 2146 2498 M
 77 3 V
 stroke
 LT0
-.1784 g .2195 g 1647 2378 M
+.2195 g 1647 2378 M
 -58 -36 V
 stroke
 LT0
-.1784 g .1957 g 1512 2285 M
+.1957 g 1512 2285 M
 77 57 V
 stroke
 LT0
-.1784 g .1973 g 4938 2299 M
+.1973 g 4938 2299 M
 -58 15 V
 stroke
 LT0
-.1784 g .2171 g 4956 2426 M
+.2171 g 4956 2426 M
 -76 -112 V
 stroke
 LT0
-.1784 g .235 g 2205 2414 M
+.235 g 2205 2414 M
 76 -7 V
 stroke
 LT0
-.1784 g .2834 g 5168 2531 M
+.2834 g 5168 2531 M
 -59 25 V
 stroke
 LT0
-.1784 g .2764 g 5033 2508 M
+.2764 g 5033 2508 M
 76 48 V
 stroke
 LT0
-.1784 g .0394 g 2498 1831 M
+.0394 g 2498 1831 M
 -59 99 V
 stroke
 LT0
-.1784 g .0798 g 2381 2050 M
+.0798 g 2381 2050 M
 58 -120 V
 stroke
 LT0
-.1784 g .0686 g 2363 1959 M
+.0686 g 2363 1959 M
 76 -29 V
 stroke
 LT0
-.1784 g .0122 g 2556 1766 M
+.0122 g 2556 1766 M
 -58 65 V
 stroke
 LT0
-.1784 g .0311 g 2421 1851 M
+.0311 g 2421 1851 M
 77 -20 V
 stroke
 LT0
-.1784 g .278 g 5302 2512 M
+.278 g 5302 2512 M
 -58 29 V
 stroke
 LT0
-.1784 g .2812 g 5168 2531 M
+.2812 g 5168 2531 M
 76 10 V
 stroke
 LT0
-.1784 g .0214 g 4750 1809 M
+.0214 g 4750 1809 M
 -58 8 V
 stroke
 LT0
-.1784 g .0352 g 4768 1912 M
+.0352 g 4768 1912 M
 -76 -95 V
 stroke
 LT0
-.1784 g .0087 g 4615 1763 M
+.0087 g 4615 1763 M
 77 54 V
 stroke
 LT0
-.1784 g .2019 g 1571 2323 M
+.2019 g 1571 2323 M
 -59 -38 V
 stroke
 LT0
-.1784 g .1776 g 1436 2228 M
+.1776 g 1436 2228 M
 76 57 V
 stroke
 LT0
-.1784 g .2763 g 2146 2498 M
+.2763 g 2146 2498 M
 -58 53 V
 stroke
 LT0
-.1784 g .2834 g 2011 2533 M
+.2834 g 2011 2533 M
 77 18 V
 stroke
 LT0
-.1784 g .1278 g 2322 2179 M
+.1278 g 2322 2179 M
 59 -129 V
 stroke
 LT0
-.1784 g .1149 g 2304 2081 M
+.1149 g 2304 2081 M
 77 -31 V
 stroke
 LT0
-.1784 g .2409 g 5015 2407 M
+.2409 g 5015 2407 M
 -59 19 V
 stroke
 LT0
-.1784 g .2544 g 5033 2508 M
+.2544 g 5033 2508 M
 -77 -82 V
 stroke
 LT0
-.1784 g .0596 g 4827 1912 M
+.0596 g 4827 1912 M
 -59 0 V
 stroke
 LT0
-.1784 g .0781 g 4844 2033 M
+.0781 g 4844 2033 M
 -76 -121 V
 stroke
 LT0
-.1784 g .152 g 4921 2164 M
+.152 g 4921 2164 M
 -59 7 V
 stroke
 LT0
-.1784 g .1735 g 4938 2299 M
+.1735 g 4938 2299 M
 -76 -128 V
 stroke
 LT0
-.1784 g .2766 g 1935 2511 M
--59 0 V
+.2767 g 1935 2511 M
+-57 0 V
 stroke
 LT0
-.1784 g .266 g 1800 2473 M
-76 38 V
+.2662 g 1803 2475 M
+73 36 V
 stroke
 LT0
-.1784 g .2705 g 5091 2487 M
+.2705 g 5091 2487 M
 -58 21 V
 stroke
 LT0
-.1784 g .183 g 1495 2263 M
+.183 g 1495 2263 M
 -59 -35 V
 stroke
 LT0
-.1784 g .1594 g 1360 2171 M
+.1594 g 1360 2171 M
 76 57 V
 stroke
 LT0
-.1784 g .0017 g 4674 1743 M
+.0017 g 4674 1743 M
 -59 20 V
 stroke
 LT0
-.1784 g .0045 g 4544 1762 M
+.0045 g 4544 1762 M
 71 1 V
 stroke
 LT0
-.1784 g .0025 g 2615 1741 M
+.0025 g 2615 1741 M
 -59 25 V
 stroke
 LT0
-.1784 g .0076 g 2480 1768 M
+.0076 g 2480 1768 M
 76 -2 V
 stroke
 LT0
-.1784 g .177 g 2263 2305 M
+.177 g 2263 2305 M
 59 -126 V
 stroke
 LT0
-.1784 g .1642 g 2246 2207 M
+.1642 g 2246 2207 M
 76 -28 V
 stroke
 LT0
-.1784 g .1637 g 1418 2201 M
+.1637 g 1418 2201 M
 -58 -30 V
 stroke
 LT0
-.1784 g .142 g 1283 2117 M
+.142 g 1283 2117 M
 77 54 V
 stroke
 LT0
-.1784 g .2555 g 2205 2414 M
+.2555 g 2205 2414 M
 -59 84 V
 stroke
 LT0
-.1784 g .273 g 2070 2492 M
+.273 g 2070 2492 M
 76 6 V
 stroke
 LT0
-.1784 g .27 g 1859 2483 M
--59 -10 V
+.2701 g 1859 2483 M
+-58 -10 V
 stroke
 LT0
-.1784 g .2554 g 1724 2429 M
+.2554 g 1724 2429 M
 76 44 V
 stroke
 LT0
-.1784 g .1093 g 4903 2035 M
+.1093 g 4903 2035 M
 -59 -2 V
 stroke
 LT0
-.1784 g .1296 g 4921 2164 M
+.1296 g 4921 2164 M
 -77 -131 V
 stroke
 LT0
-.1784 g .2213 g 2205 2414 M
+.2213 g 2205 2414 M
 58 -109 V
 stroke
 LT0
-.1784 g .2103 g 2187 2324 M
+.2103 g 2187 2324 M
 76 -19 V
 stroke
 LT0
-.1784 g .2802 g 2070 2492 M
+.2802 g 2070 2492 M
 -59 41 V
 stroke
 LT0
-.1784 g .2833 g 1935 2511 M
+.2833 g 1935 2511 M
 76 22 V
 stroke
 LT0
-.1784 g .2837 g 5226 2506 M
+.2837 g 5226 2506 M
 -58 25 V
 stroke
 LT0
-.1784 g .2775 g 5091 2487 M
+.2775 g 5091 2487 M
 77 44 V
 stroke
 LT0
-.1784 g .2228 g 3663 2339 M
--12 -31 V
-stroke
-LT0
-.1784 g .1453 g 1342 2139 M
+.1453 g 1342 2139 M
 -59 -22 V
 stroke
 LT0
-.1784 g .1268 g 1207 2068 M
+.1268 g 1207 2068 M
 76 49 V
 stroke
 LT0
-.1784 g .2033 g 4997 2289 M
+.2033 g 4997 2289 M
 -59 10 V
 stroke
 LT0
-.1784 g .2211 g 5015 2407 M
+.2211 g 5015 2407 M
 -77 -108 V
 stroke
 LT0
-.1784 g .2479 g 2128 2421 M
+.2479 g 2128 2421 M
 77 -7 V
 stroke
 LT0
-.1784 g .0736 g 4345 1926 M
--1 1 V
-stroke
-LT0
-.1784 g .2758 g 5361 2481 M
+.2758 g 5361 2481 M
 -59 31 V
 stroke
 LT0
-.1784 g .2805 g 5226 2506 M
+.2805 g 5226 2506 M
 76 6 V
 stroke
 LT0
-.1784 g .2602 g 1782 2448 M
+.2602 g 1782 2448 M
 -58 -19 V
 stroke
 LT0
-.1784 g .242 g 1647 2378 M
+.242 g 1647 2378 M
 77 51 V
 stroke
 LT0
-.1784 g .0265 g 2480 1768 M
+.0265 g 2480 1768 M
 -59 83 V
 stroke
 LT0
-.1784 g .0603 g 2363 1959 M
+.0603 g 2363 1959 M
 58 -108 V
 stroke
 LT0
-.1784 g .0531 g 2345 1884 M
+.0531 g 2345 1884 M
 76 -33 V
 stroke
 LT0
-.1784 g .0323 g 4809 1811 M
+.0323 g 4809 1811 M
 -59 -2 V
 stroke
 LT0
-.1784 g .0457 g 4827 1912 M
+.0457 g 4827 1912 M
 -77 -103 V
 stroke
 LT0
-.1784 g .0144 g 4674 1743 M
+.0144 g 4674 1743 M
 76 66 V
 stroke
 LT0
-.1784 g .1289 g 1265 2081 M
+.1289 g 1265 2081 M
 -58 -13 V
 stroke
 LT0
-.1784 g .1147 g 1131 2028 M
+.1147 g 1131 2028 M
 76 40 V
 stroke
 LT0
-.1784 g .1037 g 2304 2081 M
+.1037 g 2304 2081 M
 59 -122 V
 stroke
 LT0
-.1784 g .0943 g 2286 1997 M
+.0943 g 2286 1997 M
 77 -38 V
 stroke
 LT0
-.1784 g .2451 g 5073 2393 M
+.2451 g 5073 2393 M
 -58 14 V
 stroke
 LT0
-.1784 g .257 g 5091 2487 M
+.257 g 5091 2487 M
 -76 -80 V
 stroke
 LT0
-.1784 g .0259 g 4480 1813 M
+.0259 g 4480 1813 M
 34 -29 V
 stroke
 LT0
-.1784 g .2728 g 5150 2467 M
+.2728 g 5150 2467 M
 -59 20 V
 stroke
 LT0
-.1784 g .0045 g 4700 1738 M
+.0045 g 4700 1738 M
 -26 5 V
 stroke
 LT0
-.1784 g .0031 g 4597 1724 M
+.0031 g 4597 1724 M
 77 19 V
 stroke
 LT0
-.1784 g .0102 g 2659 1754 M
--44 -13 V
-stroke
-LT0
-.1784 g .0197 g 2713 1808 M
+.0197 g 2713 1808 M
 -98 -67 V
 stroke
 LT0
-.1784 g .0016 g 2553 1721 M
-62 20 V
-stroke
-LT0
-.1784 g .0007 g 2539 1717 M
--4 3 V
-stroke
-LT0
-.1784 g .008 g 2524 1730 M
+.008 g 2524 1730 M
 -44 38 V
 stroke
 LT0
-.1784 g .022 g 2404 1787 M
+.022 g 2404 1787 M
 76 -19 V
 stroke
 LT0
-.1784 g .1626 g 4979 2164 M
+.1626 g 4979 2164 M
 -58 0 V
 stroke
 LT0
-.1784 g .1817 g 4997 2289 M
+.1817 g 4997 2289 M
 -76 -125 V
 stroke
 LT0
-.1784 g .0739 g 4885 1920 M
+.0739 g 4885 1920 M
 -58 -8 V
 stroke
 LT0
-.1784 g .0908 g 4903 2035 M
+.0908 g 4903 2035 M
 -76 -123 V
 stroke
 LT0
-.1784 g .2471 g 1706 2405 M
+.2471 g 1706 2405 M
 -59 -27 V
 stroke
 LT0
-.1784 g .2258 g 1571 2323 M
+.2258 g 1571 2323 M
 76 55 V
 stroke
 LT0
-.1784 g .1514 g 2246 2207 M
+.1514 g 2246 2207 M
 58 -126 V
 stroke
 LT0
-.1784 g .1409 g 2228 2119 M
+.1409 g 2228 2119 M
 76 -38 V
 stroke
 LT0
-.1784 g .2821 g 1994 2483 M
+.2821 g 1994 2483 M
 -59 28 V
 stroke
 LT0
-.1784 g .2806 g 1859 2483 M
+.2806 g 1859 2483 M
 76 28 V
 stroke
 LT0
-.1784 g .2654 g 2128 2421 M
+.2654 g 2128 2421 M
 -58 71 V
 stroke
 LT0
-.1784 g .279 g 1994 2483 M
+.279 g 1994 2483 M
 76 9 V
 stroke
 LT0
-.1784 g .1159 g 1189 2028 M
+.1159 g 1189 2028 M
 -58 0 V
 stroke
 LT0
-.1784 g .1069 g 1054 1997 M
+.1069 g 1054 1997 M
 77 31 V
 stroke
 LT0
-.1784 g .0907 g 4329 1960 M
-2 -4 V
-stroke
-LT0
-.1784 g .2308 g 1629 2354 M
+.2308 g 1629 2354 M
 -58 -31 V
 stroke
 LT0
-.1784 g .2073 g 1495 2263 M
+.2073 g 1495 2263 M
 76 60 V
 stroke
 LT0
-.1784 g .2725 g 5420 2447 M
+.2725 g 5420 2447 M
 -59 34 V
 stroke
 LT0
-.1784 g .2792 g 5285 2481 M
+.2792 g 5285 2481 M
 76 0 V
 stroke
 LT0
-.1784 g .1975 g 2187 2324 M
+.1975 g 2187 2324 M
 59 -117 V
 stroke
 LT0
-.1784 g .1875 g 2169 2237 M
+.1875 g 2169 2237 M
 77 -30 V
 stroke
 LT0
-.1784 g .2838 g 5285 2481 M
+.2838 g 5285 2481 M
 -59 25 V
 stroke
 LT0
-.1784 g .279 g 5150 2467 M
+.279 g 5150 2467 M
 76 39 V
 stroke
 LT0
-.1784 g .237 g 2187 2324 M
+.237 g 2187 2324 M
 -59 97 V
 stroke
 LT0
-.1784 g .2604 g 2052 2427 M
+.2604 g 2052 2427 M
 76 -6 V
 stroke
 LT0
-.1784 g .2289 g 2111 2343 M
+.2289 g 2111 2343 M
 76 -19 V
 stroke
 LT0
-.1784 g .2119 g 1553 2297 M
+.2119 g 1553 2297 M
 -58 -34 V
 stroke
 LT0
-.1784 g .1873 g 1418 2201 M
+.1873 g 1418 2201 M
 77 62 V
 stroke
 LT0
-.1784 g .2119 g 5056 2284 M
+.2119 g 5056 2284 M
 -59 5 V
 stroke
 LT0
-.1784 g .2274 g 5073 2393 M
+.2274 g 5073 2393 M
 -76 -104 V
 stroke
 LT0
-.1784 g .0027 g 4613 1715 M
+.0027 g 4613 1715 M
 -16 9 V
 stroke
 LT0
-.1784 g .0147 g 4530 1754 M
+.0147 g 4530 1754 M
 67 -30 V
 stroke
 LT0
-.1784 g .0208 g 4488 1802 M
+.0208 g 4488 1802 M
 109 -78 V
 stroke
 LT0
-.1784 g .1243 g 4962 2045 M
+.1243 g 4962 2045 M
 -59 -10 V
 stroke
 LT0
-.1784 g .1423 g 4979 2164 M
+.1423 g 4979 2164 M
 -76 -129 V
 stroke
 LT0
-.1784 g .2812 g 1917 2469 M
+.2812 g 1917 2469 M
 -58 14 V
 stroke
 LT0
-.1784 g .2748 g 1782 2448 M
+.2748 g 1782 2448 M
 77 35 V
 stroke
 LT0
-.1784 g .1912 g 1477 2234 M
+.1912 g 1477 2234 M
 -59 -33 V
 stroke
 LT0
-.1784 g .1669 g 1342 2139 M
+.1669 g 1342 2139 M
 76 62 V
 stroke
 LT0
-.1784 g .1074 g 1113 1985 M
+.1074 g 1113 1985 M
 -59 12 V
 stroke
 LT0
-.1784 g .1041 g 978 1977 M
+.1041 g 978 1977 M
 76 20 V
 stroke
 LT0
-.1784 g .2757 g 5208 2448 M
+.2757 g 5208 2448 M
 -58 19 V
 stroke
 LT0
-.1784 g .2609 g 5073 2393 M
+.2609 g 5073 2393 M
 77 74 V
 stroke
 LT0
-.1784 g .2511 g 5132 2381 M
+.2511 g 5132 2381 M
 -59 12 V
 stroke
 LT0
-.1784 g .1699 g 1400 2168 M
+.1699 g 1400 2168 M
 -58 -29 V
 stroke
 LT0
-.1784 g .1474 g 1265 2081 M
+.1474 g 1265 2081 M
 77 58 V
 stroke
 LT0
-.1784 g .2739 g 2052 2427 M
+.2739 g 2052 2427 M
 -58 56 V
 stroke
 LT0
-.1784 g .2827 g 1917 2469 M
+.2827 g 1917 2469 M
 77 14 V
 stroke
 LT0
-.1784 g .0282 g 4809 1811 M
+.0282 g 4809 1811 M
 -56 -58 V
 stroke
 LT0
-.1784 g .0089 g 4720 1725 M
-12 6 V
-stroke
-LT0
-.1784 g .0479 g 4867 1823 M
+.0479 g 4867 1823 M
 -58 -12 V
 stroke
 LT0
-.1784 g .0605 g 4885 1920 M
+.0605 g 4885 1920 M
 -76 -109 V
 stroke
 LT0
-.1784 g .0485 g 2404 1787 M
+.0485 g 2404 1787 M
 -59 97 V
 stroke
 LT0
-.1784 g .087 g 2286 1997 M
+.087 g 2286 1997 M
 59 -113 V
 stroke
 LT0
-.1784 g .0814 g 2269 1929 M
+.0814 g 2269 1929 M
 76 -45 V
 stroke
 LT0
-.1784 g .0267 g 2428 1757 M
--24 30 V
+.0272 g 2425 1760 M
+-21 27 V
 stroke
 LT0
-.1784 g .045 g 2327 1824 M
+.045 g 2327 1824 M
 77 -37 V
 stroke
 LT0
-.1784 g .2677 g 5478 2410 M
+.2677 g 5478 2410 M
 -58 37 V
 stroke
 LT0
-.1784 g .2767 g 5343 2454 M
+.2767 g 5343 2454 M
 77 -7 V
 stroke
 LT0
-.1784 g .1494 g 1324 2103 M
+.1494 g 1324 2103 M
 -59 -22 V
 stroke
 LT0
-.1784 g .1301 g 1189 2028 M
+.1301 g 1189 2028 M
 76 53 V
 stroke
 LT0
-.1784 g .2767 g 1841 2447 M
+.2767 g 1841 2447 M
 -59 1 V
 stroke
 LT0
-.1784 g .2653 g 1706 2405 M
+.2653 g 1706 2405 M
 76 43 V
 stroke
 LT0
-.1784 g .1763 g 5038 2170 M
+.1763 g 5038 2170 M
 -59 -6 V
 stroke
 LT0
-.1784 g .1928 g 5056 2284 M
+.1928 g 5056 2284 M
 -77 -120 V
 stroke
 LT0
-.1784 g .1315 g 2228 2119 M
+.1315 g 2228 2119 M
 58 -122 V
 stroke
 LT0
-.1784 g .1243 g 2210 2044 M
+.1243 g 2210 2044 M
 76 -47 V
 stroke
 LT0
-.1784 g .2834 g 5343 2454 M
+.2834 g 5343 2454 M
 -58 27 V
 stroke
 LT0
-.1784 g .2806 g 5208 2448 M
+.2806 g 5208 2448 M
 77 33 V
 stroke
 LT0
-.1784 g .0669 g 2792 1880 M
--2 -3 V
-stroke
-LT0
-.1784 g .0572 g 2764 1871 M
+.0572 g 2764 1871 M
 -72 -90 V
 stroke
 LT0
-.1784 g .0924 g 4944 1938 M
+.0924 g 4944 1938 M
 -59 -18 V
 stroke
 LT0
-.1784 g .1074 g 4962 2045 M
+.1074 g 4962 2045 M
 -77 -125 V
 stroke
 LT0
-.1784 g .0861 g 2838 1931 M
--1 -2 V
-stroke
-LT0
-.1784 g .1302 g 2951 2050 M
-2 2 V
-stroke
-LT0
-.1784 g .1771 g 2169 2237 M
+.1771 g 2169 2237 M
 59 -118 V
 stroke
 LT0
-.1784 g .1692 g 2152 2160 M
+.1692 g 2152 2160 M
 76 -41 V
 stroke
 LT0
-.1784 g .1312 g 1248 2041 M
+.1312 g 1248 2041 M
 -59 -13 V
 stroke
 LT0
-.1784 g .1164 g 1113 1985 M
+.1164 g 1113 1985 M
 76 43 V
 stroke
 LT0
-.1784 g .2522 g 2111 2343 M
+.2522 g 2111 2343 M
 -59 84 V
 stroke
 LT0
-.1784 g .2712 g 1976 2427 M
+.2712 g 1976 2427 M
 76 0 V
 stroke
 LT0
-.1784 g .1042 g 1036 1953 M
+.1042 g 1036 1953 M
 -58 24 V
 stroke
 LT0
-.1784 g .1067 g 901 1969 M
+.1067 g 901 1969 M
 77 8 V
 stroke
 LT0
-.1784 g .0197 g 2656 1721 M
+.0197 g 2656 1721 M
 -40 -13 V
 stroke
 LT0
-.1784 g .032 g 2713 1799 M
+.032 g 2713 1799 M
 -106 -89 V
 stroke
 LT0
-.1784 g .0012 g 2535 1677 M
-4 2 V
-stroke
-LT0
-.1784 g .2682 g 1764 2415 M
+.2682 g 1764 2415 M
 -58 -10 V
 stroke
 LT0
-.1784 g .2521 g 1629 2354 M
+.2521 g 1629 2354 M
 77 51 V
 stroke
 LT0
-.1784 g .2188 g 2111 2343 M
+.2188 g 2111 2343 M
 58 -106 V
 stroke
 LT0
-.1784 g .2115 g 2093 2268 M
+.2115 g 2093 2268 M
 76 -31 V
 stroke
 LT0
-.1784 g .2467 g 2034 2359 M
+.2467 g 2034 2359 M
 77 -16 V
 stroke
 LT0
-.1784 g .2227 g 5114 2283 M
+.2227 g 5114 2283 M
 -58 1 V
 stroke
 LT0
-.1784 g .2356 g 5132 2381 M
+.2356 g 5132 2381 M
 -76 -97 V
 stroke
 LT0
-.1784 g .2799 g 1976 2427 M
+.2799 g 1976 2427 M
 -59 42 V
 stroke
 LT0
-.1784 g .2832 g 1841 2447 M
+.2832 g 1841 2447 M
 76 22 V
 stroke
 LT0
-.1784 g .2789 g 5267 2429 M
+.2789 g 5267 2429 M
 -59 19 V
 stroke
 LT0
-.1784 g .2659 g 5132 2381 M
+.2659 g 5132 2381 M
 76 67 V
 stroke
 LT0
-.1784 g .1168 g 1171 1985 M
+.1168 g 1171 1985 M
 -58 0 V
 stroke
 LT0
-.1784 g .1075 g 1036 1953 M
+.1075 g 1036 1953 M
 77 32 V
 stroke
 LT0
-.1784 g .261 g 5537 2369 M
+.261 g 5537 2369 M
 -59 41 V
 stroke
 LT0
-.1784 g .2728 g 5402 2424 M
+.2728 g 5402 2424 M
 76 -14 V
 stroke
 LT0
-.1784 g .2555 g 1688 2374 M
+.2555 g 1688 2374 M
 -59 -20 V
 stroke
 LT0
-.1784 g .2354 g 1553 2297 M
+.2354 g 1553 2297 M
 76 57 V
 stroke
 LT0
-.1784 g .1428 g 5020 2061 M
+.1428 g 5020 2061 M
 -58 -16 V
 stroke
 LT0
-.1784 g .1583 g 5038 2170 M
+.1583 g 5038 2170 M
 -76 -125 V
 stroke
 LT0
-.1784 g .0637 g 4433 1876 M
+.0637 g 4433 1876 M
 65 -87 V
 stroke
 LT0
-.1784 g .2582 g 5191 2371 M
+.2582 g 5191 2371 M
 -59 10 V
 stroke
 LT0
-.1784 g .2819 g 5402 2424 M
+.2819 g 5402 2424 M
 -59 30 V
 stroke
 LT0
-.1784 g .2817 g 5267 2429 M
+.2817 g 5267 2429 M
 76 25 V
 stroke
 LT0
-.1784 g .2388 g 1612 2324 M
+.2388 g 1612 2324 M
 -59 -27 V
 stroke
 LT0
-.1784 g .2158 g 1477 2234 M
+.2158 g 1477 2234 M
 76 63 V
 stroke
 LT0
-.1784 g .048 g 4867 1823 M
+.048 g 4867 1823 M
 -39 -47 V
 stroke
 LT0
-.1784 g .1593 g 4251 2092 M
--3 2 V
-stroke
-LT0
-.1784 g .1067 g 960 1932 M
+.1067 g 960 1932 M
 -59 37 V
 stroke
 LT0
-.1784 g .2188 g 1535 2265 M
+.2188 g 1535 2265 M
 -58 -31 V
 stroke
 LT0
-.1784 g .1942 g 1400 2168 M
+.1942 g 1400 2168 M
 77 66 V
 stroke
 LT0
-.1784 g .0686 g 4926 1846 M
+.0686 g 4926 1846 M
 -59 -23 V
 stroke
 LT0
-.1784 g .0798 g 4944 1938 M
+.0798 g 4944 1938 M
 -77 -115 V
 stroke
 LT0
-.1784 g .2824 g 1899 2421 M
+.2824 g 1899 2421 M
 -58 26 V
 stroke
 LT0
-.1784 g .2797 g 1764 2415 M
+.2797 g 1764 2415 M
 77 32 V
 stroke
 LT0
-.1784 g .1075 g 1095 1940 M
+.1075 g 1095 1940 M
 -59 13 V
 stroke
 LT0
-.1784 g .1042 g 960 1932 M
+.1042 g 960 1932 M
 76 21 V
 stroke
 LT0
-.1784 g .2657 g 2034 2359 M
+.2657 g 2034 2359 M
 -58 68 V
 stroke
 LT0
-.1784 g .2791 g 1899 2421 M
+.2791 g 1899 2421 M
 77 6 V
 stroke
 LT0
-.1784 g .0333 g 4503 1756 M
-69 -51 V
+.0338 g 4503 1756 M
+67 -49 V
 stroke
 LT0
-.1784 g .0452 g 4459 1832 M
-115 -126 V
+.0455 g 4459 1832 M
+114 -125 V
 stroke
 LT0
-.1784 g .1965 g 1459 2199 M
+.1965 g 1459 2199 M
 -59 -31 V
 stroke
 LT0
-.1784 g .1719 g 1324 2103 M
+.1719 g 1324 2103 M
 76 65 V
 stroke
 LT0
-.1784 g .1924 g 5096 2181 M
+.1924 g 5096 2181 M
 -58 -11 V
 stroke
 LT0
-.1784 g .2062 g 5114 2283 M
+.2062 g 5114 2283 M
 -76 -113 V
 stroke
 LT0
-.1784 g .0512 g 2356 1780 M
--29 44 V
+.0514 g 2356 1782 M
+-29 42 V
 stroke
 LT0
-.1784 g .0779 g 2269 1929 M
+.0779 g 2269 1929 M
 58 -105 V
 stroke
 LT0
-.1784 g .076 g 2251 1877 M
+.076 g 2251 1877 M
 76 -53 V
 stroke
 LT0
-.1784 g .1186 g 2210 2044 M
+.1186 g 2210 2044 M
 59 -115 V
 stroke
 LT0
-.1784 g .1149 g 2192 1984 M
+.1149 g 2192 1984 M
 77 -55 V
 stroke
 LT0
-.1784 g .1734 g 1383 2130 M
+.1734 g 1383 2130 M
 -59 -27 V
 stroke
 LT0
-.1784 g .1505 g 1248 2041 M
+.1505 g 1248 2041 M
 76 62 V
 stroke
 LT0
-.1784 g .2523 g 5595 2323 M
+.2523 g 5595 2323 M
 -58 46 V
 stroke
 LT0
-.1784 g .267 g 5460 2390 M
+.267 g 5460 2390 M
 77 -21 V
 stroke
 LT0
-.1784 g .162 g 2152 2160 M
+.162 g 2152 2160 M
 58 -116 V
 stroke
 LT0
-.1784 g .157 g 2134 2094 M
+.157 g 2134 2094 M
 76 -50 V
 stroke
 LT0
-.1784 g .1149 g 5002 1963 M
+.1149 g 5002 1963 M
 -58 -25 V
 stroke
 LT0
-.1784 g .1278 g 5020 2061 M
+.1278 g 5020 2061 M
 -76 -123 V
 stroke
 LT0
-.1784 g .2817 g 5326 2409 M
+.2817 g 5326 2409 M
 -59 20 V
 stroke
 LT0
-.1784 g .2712 g 5191 2371 M
+.2712 g 5191 2371 M
 76 58 V
 stroke
 LT0
-.1784 g .2394 g 2093 2268 M
+.2394 g 2093 2268 M
 -59 91 V
 stroke
 LT0
-.1784 g .2625 g 1958 2369 M
+.2625 g 1958 2369 M
 76 -10 V
 stroke
 LT0
-.1784 g .1512 g 1306 2061 M
+.1512 g 1306 2061 M
 -58 -20 V
 stroke
 LT0
-.1784 g .1316 g 1171 1985 M
+.1316 g 1171 1985 M
 77 56 V
 stroke
 LT0
-.1784 g .2037 g 2093 2268 M
+.2037 g 2093 2268 M
 59 -108 V
 stroke
 LT0
-.1784 g .1983 g 2075 2200 M
+.1983 g 2075 2200 M
 77 -40 V
 stroke
 LT0
-.1784 g .235 g 5173 2284 M
+.235 g 5173 2284 M
 -59 -1 V
 stroke
 LT0
-.1784 g .2453 g 5191 2371 M
+.2453 g 5191 2371 M
 -77 -88 V
 stroke
 LT0
-.1784 g .2803 g 1823 2404 M
+.2803 g 1823 2404 M
 -59 11 V
 stroke
 LT0
-.1784 g .2716 g 1688 2374 M
+.2716 g 1688 2374 M
 76 41 V
 stroke
 LT0
-.1784 g .2346 g 2017 2294 M
+.2346 g 2017 2294 M
 76 -26 V
 stroke
 LT0
-.1784 g .2788 g 5460 2390 M
+.2788 g 5460 2390 M
 -58 34 V
 stroke
 LT0
-.1784 g .2819 g 5326 2409 M
+.2819 g 5326 2409 M
 76 15 V
 stroke
 LT0
-.1784 g .2658 g 5249 2362 M
+.2658 g 5249 2362 M
 -58 9 V
 stroke
 LT0
-.1784 g .0448 g 2714 1770 M
--58 -49 V
-stroke
-LT0
-.1784 g .0696 g 2782 1893 M
+.0696 g 2782 1893 M
 2656 1721 L
 stroke
 LT0
-.1784 g .0102 g 2595 1670 M
-3 2 V
-stroke
-LT0
-.1784 g .0241 g 2635 1704 M
-21 17 V
-stroke
-LT0
-.1784 g .1316 g 1230 1996 M
+.1316 g 1230 1996 M
 -59 -11 V
 stroke
 LT0
-.1784 g .1168 g 1095 1940 M
+.1168 g 1095 1940 M
 76 45 V
 stroke
 LT0
-.1784 g .1041 g 1019 1907 M
+.1041 g 1019 1907 M
 -59 25 V
 stroke
 LT0
-.1784 g .2463 g 4027 2319 M
--4 -2 V
-stroke
-LT0
-.1784 g .1148 g 2827 1986 M
+.1148 g 2827 1986 M
 -73 -132 V
 stroke
 LT0
-.1784 g .2759 g 1958 2369 M
+.2759 g 1958 2369 M
 -59 52 V
 stroke
 LT0
-.1784 g .283 g 1823 2404 M
+.283 g 1823 2404 M
 76 17 V
 stroke
 LT0
-.1784 g .2413 g 5654 2273 M
+.2413 g 5654 2273 M
 -59 50 V
 stroke
 LT0
-.1784 g .2589 g 5519 2352 M
+.2589 g 5519 2352 M
 76 -29 V
 stroke
 LT0
-.1784 g .1642 g 5079 2083 M
+.1642 g 5079 2083 M
 -59 -22 V
 stroke
 LT0
-.1784 g .177 g 5096 2181 M
+.177 g 5096 2181 M
 -76 -120 V
 stroke
 LT0
-.1784 g .2732 g 1747 2377 M
+.2732 g 1747 2377 M
 -59 -3 V
 stroke
 LT0
-.1784 g .2589 g 1612 2324 M
+.2589 g 1612 2324 M
 76 50 V
 stroke
 LT0
-.1784 g .1164 g 1154 1939 M
+.1164 g 1154 1939 M
 -59 1 V
 stroke
 LT0
-.1784 g .1074 g 1019 1907 M
+.1074 g 1019 1907 M
 76 33 V
 stroke
 LT0
-.1784 g .0704 g 4926 1846 M
--38 -50 V
-stroke
-LT0
-.1784 g .2205 g 4265 2178 M
-5 -14 V
-stroke
-LT0
-.1784 g .0018 g 4697 1622 M
-18 11 V
+.0707 g 4926 1846 M
+-37 -49 V
 stroke
 LT0
-.1784 g .261 g 1670 2338 M
+.261 g 1670 2338 M
 -58 -14 V
 stroke
 LT0
-.1784 g .2419 g 1535 2265 M
+.2419 g 1535 2265 M
 77 59 V
 stroke
 LT0
-.1784 g .2834 g 5384 2386 M
+.2834 g 5384 2386 M
 -58 23 V
 stroke
 LT0
-.1784 g .2763 g 5249 2362 M
+.2763 g 5249 2362 M
 77 47 V
 stroke
 LT0
-.1784 g .0094 g 2445 1632 M
-3 -1 V
-stroke
-LT0
-.1784 g .2023 g 4310 2107 M
-3 -6 V
-stroke
-LT0
-.1784 g .2737 g 5519 2352 M
+.2737 g 5519 2352 M
 -59 38 V
 stroke
 LT0
-.1784 g .2804 g 5384 2386 M
+.2804 g 5384 2386 M
 76 4 V
 stroke
 LT0
-.1784 g .2103 g 5155 2194 M
+.2103 g 5155 2194 M
 -59 -13 V
 stroke
 LT0
-.1784 g .2213 g 5173 2284 M
+.2213 g 5173 2284 M
 -77 -103 V
 stroke
 LT0
-.1784 g .0943 g 4985 1879 M
+.0943 g 4985 1879 M
 -59 -33 V
 stroke
 LT0
-.1784 g .1037 g 5002 1963 M
+.1037 g 5002 1963 M
 -76 -117 V
 stroke
 LT0
-.1784 g .2577 g 2017 2294 M
+.2577 g 2017 2294 M
 -59 75 V
 stroke
 LT0
-.1784 g .2746 g 1882 2370 M
+.2746 g 1882 2370 M
 76 -1 V
 stroke
 LT0
-.1784 g .2281 g 5713 2218 M
+.2281 g 5713 2218 M
 -59 55 V
 stroke
 LT0
-.1784 g .2483 g 5578 2308 M
+.2483 g 5578 2308 M
 76 -35 V
 stroke
 LT0
-.1784 g .2438 g 1594 2287 M
+.2438 g 1594 2287 M
 -59 -22 V
 stroke
 LT0
-.1784 g .2212 g 1459 2199 M
+.2212 g 1459 2199 M
 76 66 V
 stroke
 LT0
-.1784 g .1408 g 4350 2030 M
+.1406 g 4350 2030 M
 59 -114 V
 stroke
 LT0
-.1784 g .2032 g 4310 2107 M
-2 -3 V
-stroke
-LT0
-.1784 g .0009 g 4704 1621 M
--7 1 V
-stroke
-LT0
-.1784 g .2817 g 1882 2370 M
+.2817 g 1882 2370 M
 -59 34 V
 stroke
 LT0
-.1784 g .2819 g 1747 2377 M
+.2819 g 1747 2377 M
 76 27 V
 stroke
 LT0
-.1784 g .1069 g 1077 1893 M
+.1069 g 1077 1893 M
 -58 14 V
 stroke
 LT0
-.1784 g .0801 g 2296 1802 M
--45 75 V
+.0803 g 2295 1804 M
+-44 73 V
 stroke
 LT0
-.1784 g .113 g 2192 1984 M
+.113 g 2192 1984 M
 59 -107 V
 stroke
 LT0
-.1784 g .113 g 2175 1939 M
+.113 g 2175 1939 M
 76 -62 V
 stroke
 LT0
-.1784 g .0405 g 4544 1700 M
+.0405 g 4544 1700 M
 -41 56 V
 stroke
 LT0
-.1784 g .0789 g 4427 1857 M
+.0789 g 4427 1857 M
 76 -101 V
 stroke
 LT0
-.1784 g .1008 g 4375 1973 M
+.1008 g 4375 1973 M
 128 -217 V
 stroke
 LT0
-.1784 g .2226 g 1518 2226 M
+.2226 g 1518 2226 M
 -59 -27 V
 stroke
 LT0
-.1784 g .198 g 1383 2130 M
+.198 g 1383 2130 M
 76 69 V
 stroke
 LT0
-.1784 g .0898 g 2233 1839 M
+.0898 g 2233 1839 M
 29 -22 V
 stroke
 LT0
-.1784 g .1533 g 2134 2094 M
+.1533 g 2134 2094 M
 58 -110 V
 stroke
 LT0
-.1784 g .1516 g 2116 2042 M
+.1516 g 2116 2042 M
 76 -58 V
 stroke
 LT0
-.1784 g .273 g 5308 2351 M
+.273 g 5308 2351 M
 -59 11 V
 stroke
 LT0
-.1784 g .2479 g 5231 2286 M
+.2479 g 5231 2286 M
 -58 -2 V
 stroke
 LT0
-.1784 g .2555 g 5249 2362 M
+.2555 g 5249 2362 M
 -76 -78 V
 stroke
 LT0
-.1784 g .1988 g 1441 2157 M
+.1988 g 1441 2157 M
 -58 -27 V
 stroke
 LT0
-.1784 g .1741 g 1306 2061 M
+.1741 g 1306 2061 M
 77 69 V
 stroke
 LT0
-.1784 g .2292 g 2075 2200 M
+.2292 g 2075 2200 M
 -58 94 V
 stroke
 LT0
-.1784 g .255 g 1940 2313 M
+.255 g 1940 2313 M
 77 -19 V
 stroke
 LT0
-.1784 g .1933 g 2075 2200 M
+.1933 g 2075 2200 M
 59 -106 V
 stroke
 LT0
-.1784 g .1904 g 2057 2144 M
+.1904 g 2057 2144 M
 77 -50 V
 stroke
 LT0
-.1784 g .1741 g 1365 2085 M
+.1741 g 1365 2085 M
 -59 -24 V
 stroke
 LT0
-.1784 g .1512 g 1230 1996 M
+.1512 g 1230 1996 M
 76 65 V
 stroke
 LT0
-.1784 g .226 g 1999 2236 M
+.226 g 1999 2236 M
 76 -36 V
 stroke
 LT0
-.1784 g .0501 g 4486 1738 M
+.0501 g 4486 1738 M
 48 -40 V
 stroke
 LT0
-.1784 g .1409 g 5061 1995 M
+.1409 g 5061 1995 M
 -59 -32 V
 stroke
 LT0
-.1784 g .1514 g 5079 2083 M
+.1514 g 5079 2083 M
 -77 -120 V
 stroke
 LT0
-.1784 g .1505 g 1289 2013 M
+.1505 g 1289 2013 M
 -59 -17 V
 stroke
 LT0
-.1784 g .1312 g 1154 1939 M
+.1312 g 1154 1939 M
 76 57 V
 stroke
 LT0
-.1784 g .2127 g 5771 2159 M
+.2127 g 5771 2159 M
 -58 59 V
 stroke
 LT0
-.1784 g .2352 g 5636 2258 M
+.2352 g 5636 2258 M
 77 -40 V
 stroke
 LT0
-.1784 g .0477 g 2697 1698 M
+.0477 g 2697 1698 M
 -9 -4 V
 stroke
 LT0
-.1784 g .0487 g 2714 1770 M
--53 -72 V
+.0489 g 2714 1770 M
+-53 -71 V
 stroke
 LT0
-.1784 g .266 g 5578 2308 M
+.266 g 5578 2308 M
 -59 44 V
 stroke
 LT0
-.1784 g .2766 g 5443 2358 M
+.2766 g 5443 2358 M
 76 -6 V
 stroke
 LT0
-.1784 g .2819 g 1805 2360 M
+.2819 g 1805 2360 M
 -58 17 V
 stroke
 LT0
-.1784 g .2753 g 1670 2338 M
+.2753 g 1670 2338 M
 77 39 V
 stroke
 LT0
-.1784 g .1301 g 1212 1946 M
+.1301 g 1212 1946 M
 -58 -7 V
 stroke
 LT0
-.1784 g .1159 g 1077 1893 M
+.1159 g 1077 1893 M
 77 46 V
 stroke
 LT0
-.1784 g .2833 g 5443 2358 M
+.2833 g 5443 2358 M
 -59 28 V
 stroke
 LT0
-.1784 g .2802 g 5308 2351 M
+.2802 g 5308 2351 M
 76 35 V
 stroke
 LT0
-.1784 g .0399 g 2350 1671 M
-3 -1 V
-stroke
-LT0
-.1784 g .0164 g 2406 1644 M
-21 -11 V
-stroke
-LT0
-.1784 g .1875 g 5137 2107 M
+.1875 g 5137 2107 M
 -58 -24 V
 stroke
 LT0
-.1784 g .1975 g 5155 2194 M
+.1975 g 5155 2194 M
 -76 -111 V
 stroke
 LT0
-.1784 g .2719 g 1940 2313 M
+.2719 g 1940 2313 M
 -58 57 V
 stroke
 LT0
-.1784 g .2817 g 1805 2360 M
+.2817 g 1805 2360 M
 77 10 V
 stroke
 LT0
-.1784 g .0854 g 2773 1839 M
+.0854 g 2773 1839 M
 -59 -69 V
 stroke
 LT0
-.1784 g .1229 g 2849 2014 M
+.1229 g 2849 2014 M
 2714 1770 L
 stroke
 LT0
-.1784 g .1957 g 5830 2096 M
+.1957 g 5830 2096 M
 -59 63 V
 stroke
 LT0
-.1784 g .2195 g 5695 2201 M
+.2195 g 5695 2201 M
 76 -42 V
 stroke
 LT0
-.1784 g .1147 g 1136 1889 M
+.1147 g 1136 1889 M
 -59 4 V
 stroke
 LT0
-.1784 g .276 g 1729 2335 M
+.276 g 1729 2335 M
 -59 3 V
 stroke
 LT0
-.1784 g .2629 g 1594 2287 M
+.2629 g 1594 2287 M
 76 51 V
 stroke
 LT0
-.1784 g .0959 g 4985 1879 M
+.0959 g 4985 1879 M
 -45 -63 V
 stroke
 LT0
-.1784 g .2289 g 5214 2207 M
+.2289 g 5214 2207 M
 -59 -13 V
 stroke
 LT0
-.1784 g .237 g 5231 2286 M
+.237 g 5231 2286 M
 -76 -92 V
 stroke
 LT0
-.1784 g .279 g 5366 2336 M
+.279 g 5366 2336 M
 -58 15 V
 stroke
 LT0
-.1784 g .2654 g 5231 2286 M
+.2654 g 5231 2286 M
 77 65 V
 stroke
 LT0
-.1784 g .2554 g 5636 2258 M
+.2554 g 5636 2258 M
 -58 50 V
 stroke
 LT0
-.1784 g .27 g 5501 2324 M
+.27 g 5501 2324 M
 77 -16 V
 stroke
 LT0
-.1784 g .2517 g 1999 2236 M
+.2517 g 1999 2236 M
 -59 77 V
 stroke
 LT0
-.1784 g .2708 g 1864 2321 M
+.2708 g 1864 2321 M
 76 -8 V
 stroke
 LT0
-.1784 g .2604 g 5290 2285 M
+.2604 g 5290 2285 M
 -59 1 V
 stroke
 LT0
-.1784 g .2638 g 1653 2297 M
+.2638 g 1653 2297 M
 -59 -10 V
 stroke
 LT0
-.1784 g .2453 g 1518 2226 M
+.2453 g 1518 2226 M
 76 61 V
 stroke
 LT0
-.1784 g .1776 g 5888 2033 M
+.1776 g 5888 2033 M
 -58 63 V
 stroke
 LT0
-.1784 g .2019 g 5753 2140 M
+.2019 g 5753 2140 M
 77 -44 V
 stroke
 LT0
-.1784 g .1243 g 5043 1920 M
+.1243 g 5043 1920 M
 -58 -41 V
 stroke
 LT0
-.1784 g .1315 g 5061 1995 M
+.1315 g 5061 1995 M
 -76 -116 V
 stroke
 LT0
-.1784 g .1939 g 2919 2194 M
+.1939 g 2919 2194 M
 2799 1923 L
 stroke
 LT0
-.1784 g .2806 g 5501 2324 M
+.2806 g 5501 2324 M
 -58 34 V
 stroke
 LT0
-.1784 g .2821 g 5366 2336 M
+.2821 g 5366 2336 M
 77 22 V
 stroke
 LT0
-.1784 g .2459 g 1576 2245 M
+.2459 g 1576 2245 M
 -58 -19 V
 stroke
 LT0
-.1784 g .2234 g 1441 2157 M
+.2234 g 1441 2157 M
 77 69 V
 stroke
 LT0
-.1784 g .2806 g 1864 2321 M
+.2806 g 1864 2321 M
 -59 39 V
 stroke
 LT0
-.1784 g .2827 g 1729 2335 M
+.2827 g 1729 2335 M
 76 25 V
 stroke
 LT0
-.1784 g .2231 g 2057 2144 M
+.2231 g 2057 2144 M
 -58 92 V
 stroke
 LT0
-.1784 g .2502 g 1922 2262 M
+.2502 g 1922 2262 M
 77 -26 V
 stroke
 LT0
-.1784 g .2234 g 1500 2181 M
+.2234 g 1500 2181 M
 -59 -24 V
 stroke
 LT0
-.1784 g .1988 g 1365 2085 M
+.1988 g 1365 2085 M
 76 72 V
 stroke
 LT0
-.1784 g .1149 g 2233 1839 M
+.1149 g 2233 1839 M
 -58 100 V
 stroke
 LT0
-.1784 g .1516 g 2116 2042 M
+.1516 g 2116 2042 M
 59 -103 V
 stroke
 LT0
-.1784 g .1533 g 2098 2005 M
+.1533 g 2098 2005 M
 77 -66 V
 stroke
 LT0
-.1784 g .1887 g 2116 2042 M
+.1887 g 2116 2042 M
 -59 102 V
 stroke
 LT0
-.1784 g .222 g 1981 2186 M
+.222 g 1981 2186 M
 76 -42 V
 stroke
 LT0
-.1784 g .0941 g 2244 1822 M
--11 17 V
+.0945 g 2243 1825 M
+-10 14 V
 stroke
 LT0
-.1784 g .1186 g 2157 1909 M
+.1186 g 2157 1909 M
 76 -70 V
 stroke
 LT0
-.1784 g .1887 g 2040 2099 M
+.1887 g 2040 2099 M
 76 -57 V
 stroke
 LT0
-.1784 g .198 g 1423 2109 M
+.198 g 1423 2109 M
 -58 -24 V
 stroke
 LT0
-.1784 g .1734 g 1289 2013 M
+.1734 g 1289 2013 M
 76 72 V
 stroke
 LT0
-.1784 g .1719 g 1347 2034 M
+.1719 g 1347 2034 M
 -58 -21 V
 stroke
 LT0
-.1784 g .1494 g 1212 1946 M
+.1494 g 1212 1946 M
 77 67 V
 stroke
 LT0
-.1784 g .242 g 5695 2201 M
+.242 g 5695 2201 M
 -59 57 V
 stroke
 LT0
-.1784 g .2602 g 5560 2283 M
+.2602 g 5560 2283 M
 76 -25 V
 stroke
 LT0
-.1784 g .1692 g 5120 2030 M
+.1692 g 5120 2030 M
 -59 -35 V
 stroke
 LT0
-.1784 g .1771 g 5137 2107 M
+.1771 g 5137 2107 M
 -76 -112 V
 stroke
 LT0
-.1784 g .1594 g 5947 1970 M
+.1594 g 5947 1970 M
 -59 63 V
 stroke
 LT0
-.1784 g .183 g 5812 2074 M
+.183 g 5812 2074 M
 76 -41 V
 stroke
 LT0
-.1784 g .0487 g 2697 1698 M
+.0487 g 2697 1698 M
 -5 -5 V
 stroke
 LT0
-.1784 g .0547 g 4512 1694 M
+.0547 g 4512 1694 M
 -26 44 V
 stroke
 LT0
-.1784 g .0854 g 4427 1857 M
+.0854 g 4427 1857 M
 59 -119 V
 stroke
 LT0
-.1784 g .0903 g 4409 1833 M
+.0903 g 4409 1833 M
 77 -95 V
 stroke
 LT0
-.1784 g .1474 g 1271 1960 M
+.1474 g 1271 1960 M
 -59 -14 V
 stroke
 LT0
-.1784 g .1289 g 1136 1889 M
+.1289 g 1136 1889 M
 76 57 V
 stroke
 LT0
-.1784 g .0606 g 4468 1693 M
+.0606 g 4468 1693 M
 9 -6 V
 stroke
 LT0
-.1784 g .0656 g 2755 1739 M
+.0656 g 2755 1739 M
 -58 -41 V
 stroke
 LT0
-.1784 g .0789 g 2773 1839 M
+.0789 g 2773 1839 M
 -76 -141 V
 stroke
 LT0
-.1784 g .0376 g 2368 1652 M
--18 19 V
-stroke
-LT0
-.1784 g .1455 g 4351 1994 M
+.1455 g 4351 1994 M
 76 -137 V
 stroke
 LT0
-.1784 g .1794 g 4292 2160 M
+.1794 g 4292 2160 M
 135 -303 V
 stroke
 LT0
-.1784 g .1268 g 1194 1893 M
+.1268 g 1194 1893 M
 -58 -4 V
 stroke
 LT0
-.1784 g .2827 g 5425 2315 M
+.2827 g 5425 2315 M
 -59 21 V
 stroke
 LT0
-.1784 g .2739 g 5290 2285 M
+.2739 g 5290 2285 M
 76 51 V
 stroke
 LT0
-.1784 g .2825 g 1788 2314 M
+.2825 g 1788 2314 M
 -59 21 V
 stroke
 LT0
-.1784 g .2769 g 1653 2297 M
+.2769 g 1653 2297 M
 76 38 V
 stroke
 LT0
-.1784 g .2115 g 5196 2132 M
+.2115 g 5196 2132 M
 -59 -25 V
 stroke
 LT0
-.1784 g .2188 g 5214 2207 M
+.2188 g 5214 2207 M
 -77 -100 V
 stroke
 LT0
-.1784 g .142 g 6006 1910 M
+.142 g 6006 1910 M
 -59 60 V
 stroke
 LT0
-.1784 g .1637 g 5871 2006 M
+.1637 g 5871 2006 M
 76 -36 V
 stroke
 LT0
-.1784 g .2693 g 1922 2262 M
+.2693 g 1922 2262 M
 -58 59 V
 stroke
 LT0
-.1784 g .2804 g 1788 2314 M
+.2804 g 1788 2314 M
 76 7 V
 stroke
 LT0
-.1784 g .2748 g 5560 2283 M
+.2748 g 5560 2283 M
 -59 41 V
 stroke
 LT0
-.1784 g .2812 g 5425 2315 M
+.2812 g 5425 2315 M
 76 9 V
 stroke
 LT0
-.1784 g .2258 g 5753 2140 M
+.2258 g 5753 2140 M
 -58 61 V
 stroke
 LT0
-.1784 g .2471 g 5619 2234 M
+.2471 g 5619 2234 M
 76 -33 V
 stroke
 LT0
-.1784 g .296 g 2990 2375 M
--67 -173 V
-stroke
-LT0
-.1784 g .2031 g 4310 2107 M
-2 -5 V
-stroke
-LT0
-.1784 g .2301 g 4261 2249 M
+.2301 g 4261 2249 M
 90 -221 V
 stroke
 LT0
-.1784 g .2467 g 5272 2217 M
+.2467 g 5272 2217 M
 -58 -10 V
 stroke
 LT0
-.1784 g .2522 g 5290 2285 M
+.2522 g 5290 2285 M
 -76 -78 V
 stroke
 LT0
-.1784 g .2712 g 5349 2280 M
+.2712 g 5349 2280 M
 -59 5 V
 stroke
 LT0
-.1784 g .0507 g 2345 1652 M
-3 -2 V
-stroke
-LT0
-.1784 g .0286 g 2389 1621 M
-10 -7 V
-stroke
-LT0
-.1784 g .2771 g 1711 2291 M
+.2771 g 1711 2291 M
 -58 6 V
 stroke
 LT0
-.1784 g .2645 g 1576 2245 M
+.2645 g 1576 2245 M
 77 52 V
 stroke
 LT0
-.1784 g .1293 g 5025 1860 M
+.1293 g 5025 1860 M
 -11 -10 V
 stroke
 LT0
-.1784 g .1237 g 5043 1920 M
+.1237 g 5043 1920 M
 -58 -83 V
 stroke
 LT0
-.1784 g .1268 g 6064 1856 M
+.1268 g 6064 1856 M
 -58 54 V
 stroke
 LT0
-.1784 g .1453 g 5929 1938 M
+.1453 g 5929 1938 M
 77 -28 V
 stroke
 LT0
-.1784 g .1326 g 2832 1915 M
+.1326 g 2832 1915 M
 -59 -76 V
 stroke
 LT0
-.1784 g .1455 g 2849 2014 M
+.1455 g 2849 2014 M
 -76 -175 V
 stroke
 LT0
-.1784 g .2491 g 1981 2186 M
+.2491 g 1981 2186 M
 -59 76 V
 stroke
 LT0
-.1784 g .2688 g 1846 2274 M
+.2688 g 1846 2274 M
 76 -12 V
 stroke
 LT0
-.1784 g .2073 g 5812 2074 M
+.2073 g 5812 2074 M
 -59 66 V
 stroke
 LT0
-.1784 g .2308 g 5677 2177 M
+.2308 g 5677 2177 M
 76 -37 V
 stroke
 LT0
-.1784 g .2645 g 1635 2252 M
+.2645 g 1635 2252 M
 -59 -7 V
 stroke
 LT0
-.1784 g .2459 g 1500 2181 M
+.2459 g 1500 2181 M
 76 64 V
 stroke
 LT0
-.1784 g .2653 g 5619 2234 M
+.2653 g 5619 2234 M
 -59 49 V
 stroke
 LT0
-.1784 g .2767 g 5484 2287 M
+.2767 g 5484 2287 M
 76 -4 V
 stroke
 LT0
-.1784 g .157 g 5102 1964 M
+.157 g 5102 1964 M
 -59 -44 V
 stroke
 LT0
-.1784 g .162 g 5120 2030 M
+.162 g 5120 2030 M
 -77 -110 V
 stroke
 LT0
-.1784 g .0024 g 4585 1518 M
-7 1 V
-stroke
-LT0
-.1784 g .222 g 2040 2099 M
+.222 g 2040 2099 M
 -59 87 V
 stroke
 LT0
-.1784 g .2491 g 1905 2217 M
+.2491 g 1905 2217 M
 76 -31 V
 stroke
 LT0
-.1784 g .2453 g 1558 2197 M
+.2453 g 1558 2197 M
 -58 -16 V
 stroke
 LT0
-.1784 g .2226 g 1423 2109 M
+.2226 g 1423 2109 M
 77 72 V
 stroke
 LT0
-.1784 g .2832 g 5484 2287 M
+.2832 g 5484 2287 M
 -59 28 V
 stroke
 LT0
-.1784 g .2799 g 5349 2280 M
+.2799 g 5349 2280 M
 76 35 V
 stroke
 LT0
-.1784 g .0708 g 2755 1739 M
+.0708 g 2755 1739 M
 -31 -52 V
 stroke
 LT0
-.1784 g .28 g 1846 2274 M
+.28 g 1846 2274 M
 -58 40 V
 stroke
 LT0
-.1784 g .2827 g 1711 2291 M
+.2827 g 1711 2291 M
 77 23 V
 stroke
 LT0
-.1784 g .2212 g 1482 2130 M
+.2212 g 1482 2130 M
 -59 -21 V
 stroke
 LT0
-.1784 g .1965 g 1347 2034 M
+.1965 g 1347 2034 M
 76 75 V
 stroke
 LT0
-.1784 g .1942 g 1406 2055 M
+.1942 g 1406 2055 M
 -59 -21 V
 stroke
 LT0
-.1784 g .1699 g 1271 1960 M
+.1699 g 1271 1960 M
 76 74 V
 stroke
 LT0
-.1784 g .1873 g 5871 2006 M
+.1873 g 5871 2006 M
 -59 68 V
 stroke
 LT0
-.1784 g .2119 g 5736 2114 M
+.2119 g 5736 2114 M
 76 -40 V
 stroke
 LT0
-.1784 g .1904 g 2098 2005 M
+.1904 g 2098 2005 M
 -58 94 V
 stroke
 LT0
-.1784 g .2231 g 1963 2146 M
+.2231 g 1963 2146 M
 77 -47 V
 stroke
 LT0
-.1784 g .1669 g 1329 1977 M
+.1669 g 1329 1977 M
 -58 -17 V
 stroke
 LT0
-.1784 g .1453 g 1194 1893 M
+.1453 g 1194 1893 M
 77 67 V
 stroke
 LT0
-.1784 g .3514 g 3002 2408 M
--3 -11 V
-stroke
-LT0
-.1784 g .1147 g 6123 1809 M
+.1147 g 6123 1809 M
 -59 47 V
 stroke
 LT0
-.1784 g .1289 g 5988 1874 M
+.1289 g 5988 1874 M
 76 -18 V
 stroke
 LT0
-.1784 g .157 g 2157 1909 M
+.157 g 2157 1909 M
 -59 96 V
 stroke
 LT0
-.1784 g .1933 g 2022 2066 M
+.1933 g 2022 2066 M
 76 -61 V
 stroke
 LT0
-.1784 g .142 g 1253 1902 M
+.142 g 1253 1902 M
 -59 -9 V
 stroke
 LT0
-.1784 g .0614 g 4468 1693 M
+.0614 g 4468 1693 M
 4 -7 V
 stroke
 LT0
-.1784 g .1288 g 2199 1844 M
+.1288 g 2199 1844 M
 -42 65 V
 stroke
 LT0
-.1784 g .162 g 2080 1980 M
+.162 g 2080 1980 M
 77 -71 V
 stroke
 LT0
-.1784 g .1983 g 5178 2065 M
+.1983 g 5178 2065 M
 -58 -35 V
 stroke
 LT0
-.1784 g .2037 g 5196 2132 M
+.2037 g 5196 2132 M
 -76 -102 V
 stroke
 LT0
-.1784 g .4059 g 3269 2624 M
-10 -1 V
-stroke
-LT0
-.1784 g .0903 g 4409 1833 M
+.0903 g 4409 1833 M
 59 -140 V
 stroke
 LT0
-.1784 g .0854 g 4391 1768 M
+.0854 g 4391 1768 M
 77 -75 V
 stroke
 LT0
-.1784 g .1232 g 2190 1844 M
-2 -2 V
-stroke
-LT0
-.1784 g .1409 g 2139 1895 M
-45 -46 V
+.1416 g 2139 1895 M
+43 -43 V
 stroke
 LT0
-.1784 g .2791 g 5407 2267 M
+.2791 g 5407 2267 M
 -58 13 V
 stroke
 LT0
-.1784 g .2657 g 5272 2217 M
+.2657 g 5272 2217 M
 77 63 V
 stroke
 LT0
-.1784 g .1669 g 5929 1938 M
+.1669 g 5929 1938 M
 -58 68 V
 stroke
 LT0
-.1784 g .1912 g 5794 2045 M
+.1912 g 5794 2045 M
 77 -39 V
 stroke
 LT0
-.1784 g .2521 g 5677 2177 M
+.2521 g 5677 2177 M
 -58 57 V
 stroke
 LT0
-.1784 g .2682 g 5542 2250 M
+.2682 g 5542 2250 M
 77 -16 V
 stroke
 LT0
-.1784 g .2346 g 5254 2152 M
+.2346 g 5254 2152 M
 -58 -20 V
 stroke
 LT0
-.1784 g .2394 g 5272 2217 M
+.2394 g 5272 2217 M
 -76 -85 V
 stroke
 LT0
-.1784 g .0972 g 2814 1779 M
+.0972 g 2814 1779 M
 -59 -40 V
 stroke
 LT0
-.1784 g .1193 g 2832 1915 M
+.1193 g 2832 1915 M
 -77 -176 V
 stroke
 LT0
-.1784 g .2827 g 1770 2269 M
+.2827 g 1770 2269 M
 -59 22 V
 stroke
 LT0
-.1784 g .2771 g 1635 2252 M
+.2771 g 1635 2252 M
 76 39 V
 stroke
 LT0
-.1784 g .2625 g 5331 2222 M
+.2625 g 5331 2222 M
 -59 -5 V
 stroke
 LT0
-.1784 g .0025 g 4589 1516 M
--4 2 V
-stroke
-LT0
-.1784 g .2688 g 1905 2217 M
+.2688 g 1905 2217 M
 -59 57 V
 stroke
 LT0
-.1784 g .28 g 1770 2269 M
+.28 g 1770 2269 M
 76 5 V
 stroke
 LT0
-.1784 g .0208 g 2464 1540 M
-5 -2 V
-stroke
-LT0
-.1784 g .0035 g 2523 1519 M
-3 -1 V
-stroke
-LT0
-.1784 g .217 g 2908 2129 M
+.217 g 2908 2129 M
 -59 -115 V
 stroke
 LT0
-.1784 g .2687 g 2984 2363 M
+.2687 g 2984 2363 M
 2849 2014 L
 stroke
 LT0
-.1784 g .1505 g 4351 1994 M
+.1505 g 4351 1994 M
 58 -161 V
 stroke
 LT0
-.1784 g .1505 g 4333 1949 M
+.1505 g 4333 1949 M
 76 -116 V
 stroke
 LT0
-.1784 g .1069 g 6181 1773 M
+.1069 g 6181 1773 M
 -58 36 V
 stroke
 LT0
-.1784 g .1159 g 6046 1816 M
+.1159 g 6046 1816 M
 77 -7 V
 stroke
 LT0
-.1784 g .2797 g 5542 2250 M
+.2797 g 5542 2250 M
 -58 37 V
 stroke
 LT0
-.1784 g .2824 g 5407 2267 M
+.2824 g 5407 2267 M
 77 20 V
 stroke
 LT0
-.1784 g .1474 g 5988 1874 M
+.1474 g 5988 1874 M
 -59 64 V
 stroke
 LT0
-.1784 g .1699 g 5853 1973 M
+.1699 g 5853 1973 M
 76 -35 V
 stroke
 LT0
-.1784 g .0143 g 4723 1535 M
-8 6 V
-stroke
-LT0
-.1784 g .0896 g 2272 1720 M
-12 -11 V
-stroke
-LT0
-.1784 g .2354 g 5736 2114 M
+.2354 g 5736 2114 M
 -59 63 V
 stroke
 LT0
-.1784 g .2555 g 5601 2203 M
+.2555 g 5601 2203 M
 76 -26 V
 stroke
 LT0
-.1784 g .1315 g 5025 1860 M
+.1315 g 5025 1860 M
 -4 -7 V
 stroke
 LT0
-.1784 g .2769 g 1693 2246 M
+.2769 g 1693 2246 M
 -58 6 V
 stroke
 LT0
-.1784 g .2638 g 1558 2197 M
+.2638 g 1558 2197 M
 77 55 V
 stroke
 LT0
-.1784 g .0155 g 4731 1542 M
--8 -7 V
-stroke
-LT0
-.1784 g .2502 g 1963 2146 M
+.2502 g 1963 2146 M
 -58 71 V
 stroke
 LT0
-.1784 g .2693 g 1828 2231 M
+.2693 g 1828 2231 M
 77 -14 V
 stroke
 LT0
-.1784 g .1516 g 5084 1913 M
+.1516 g 5084 1913 M
 -59 -53 V
 stroke
 LT0
-.1784 g .1533 g 5102 1964 M
+.1533 g 5102 1964 M
 -77 -104 V
 stroke
 LT0
-.1784 g .1301 g 6046 1816 M
+.1301 g 6046 1816 M
 -58 58 V
 stroke
 LT0
-.1784 g .1494 g 5911 1902 M
+.1494 g 5911 1902 M
 77 -28 V
 stroke
 LT0
-.1784 g .0676 g 2762 1672 M
--1 -2 V
-stroke
-LT0
-.1784 g .0918 g 2814 1779 M
+.0918 g 2814 1779 M
 -49 -101 V
 stroke
 LT0
-.1784 g .2629 g 1617 2203 M
+.2629 g 1617 2203 M
 -59 -6 V
 stroke
 LT0
-.1784 g .2438 g 1482 2130 M
+.2438 g 1482 2130 M
 76 67 V
 stroke
 LT0
-.1784 g .4059 g 4040 2590 M
--4 0 V
-stroke
-LT0
-.1784 g .0342 g 2422 1570 M
--20 18 V
-stroke
-LT0
-.1784 g .2158 g 5794 2045 M
+.2158 g 5794 2045 M
 -58 69 V
 stroke
 LT0
-.1784 g .2388 g 5659 2147 M
+.2388 g 5659 2147 M
 77 -33 V
 stroke
 LT0
-.1784 g .2419 g 1541 2144 M
+.2419 g 1541 2144 M
 -59 -14 V
 stroke
 LT0
-.1784 g .2188 g 1406 2055 M
+.2188 g 1406 2055 M
 76 75 V
 stroke
 LT0
-.1784 g .217 g 4292 2160 M
+.217 g 4292 2160 M
 59 -166 V
 stroke
 LT0
-.1784 g .2255 g 4274 2150 M
+.2255 g 4274 2150 M
 77 -156 V
 stroke
 LT0
-.1784 g .1873 g 1388 1994 M
+.1873 g 1388 1994 M
 -59 -17 V
 stroke
 LT0
-.1784 g .1912 g 1406 2055 M
+.1912 g 1406 2055 M
 -77 -78 V
 stroke
 LT0
-.1784 g .1637 g 1253 1902 M
+.1637 g 1253 1902 M
 76 75 V
 stroke
 LT0
-.1784 g .2158 g 1464 2073 M
+.2158 g 1464 2073 M
 -58 -18 V
 stroke
 LT0
-.1784 g .283 g 5466 2245 M
+.283 g 5466 2245 M
 -59 22 V
 stroke
 LT0
-.1784 g .2759 g 5331 2222 M
+.2759 g 5331 2222 M
 76 45 V
 stroke
 LT0
-.1784 g .4747 g 3681 2783 M
-0 -1 V
-stroke
-LT0
-.1784 g .4588 g 3669 2755 M
-2 -3 V
-stroke
-LT0
-.1784 g .1594 g 1312 1914 M
+.1594 g 1312 1914 M
 -59 -12 V
 stroke
 LT0
-.1784 g .0121 g 2529 1498 M
-4 -1 V
-stroke
-LT0
-.1784 g .004 g 4653 1495 M
--9 -3 V
-stroke
-LT0
-.1784 g .0046 g 4658 1500 M
--14 -8 V
-stroke
-LT0
-.1784 g .2804 g 1828 2231 M
+.2804 g 1828 2231 M
 -58 38 V
 stroke
 LT0
-.1784 g .2825 g 1693 2246 M
+.2825 g 1693 2246 M
 77 23 V
 stroke
 LT0
-.1784 g .1041 g 6240 1747 M
+.1041 g 6240 1747 M
 -59 26 V
 stroke
 LT0
-.1784 g .1074 g 6105 1767 M
+.1074 g 6105 1767 M
 76 6 V
 stroke
 LT0
-.1784 g .226 g 2022 2066 M
+.226 g 2022 2066 M
 -59 80 V
 stroke
 LT0
-.1784 g .2517 g 1887 2179 M
+.2517 g 1887 2179 M
 76 -33 V
 stroke
 LT0
-.1784 g .2716 g 5601 2203 M
+.2716 g 5601 2203 M
 -59 47 V
 stroke
 LT0
-.1784 g .2803 g 5466 2245 M
+.2803 g 5466 2245 M
 76 5 V
 stroke
 LT0
-.1784 g .0901 g 4391 1768 M
-36 -90 V
+.0903 g 4391 1768 M
+36 -89 V
 stroke
 LT0
-.1784 g .1904 g 5160 2008 M
+.1904 g 5160 2008 M
 -58 -44 V
 stroke
 LT0
-.1784 g .1933 g 5178 2065 M
+.1933 g 5178 2065 M
 -76 -101 V
 stroke
 LT0
-.1784 g .1807 g 2890 1987 M
+.1807 g 2890 1987 M
 -58 -72 V
 stroke
 LT0
-.1784 g .2041 g 2908 2129 M
+.2041 g 2908 2129 M
 -76 -214 V
 stroke
 LT0
-.1784 g .1164 g 6105 1767 M
+.1164 g 6105 1767 M
 -59 49 V
 stroke
 LT0
-.1784 g .1312 g 5970 1834 M
+.1312 g 5970 1834 M
 76 -18 V
 stroke
 LT0
-.1784 g .1983 g 2080 1980 M
+.1983 g 2080 1980 M
 -58 86 V
 stroke
 LT0
-.1784 g .2292 g 1946 2115 M
+.2292 g 1946 2115 M
 76 -49 V
 stroke
 LT0
-.1784 g .1942 g 5853 1973 M
+.1942 g 5853 1973 M
 -59 72 V
 stroke
 LT0
-.1784 g .2188 g 5718 2082 M
+.2188 g 5718 2082 M
 76 -37 V
 stroke
 LT0
-.1784 g .226 g 5237 2094 M
+.226 g 5237 2094 M
 -59 -29 V
 stroke
 LT0
-.1784 g .2292 g 5254 2152 M
+.2292 g 5254 2152 M
 -76 -87 V
 stroke
 LT0
-.1784 g .2746 g 5389 2217 M
+.2746 g 5389 2217 M
 -58 5 V
 stroke
 LT0
-.1784 g .2577 g 5254 2152 M
+.2577 g 5254 2152 M
 77 70 V
 stroke
 LT0
-.1784 g .0214 g 2508 1502 M
--58 43 V
-stroke
-LT0
-.1784 g .0716 g 2337 1648 M
-6 -6 V
-stroke
-LT0
-.1784 g .0449 g 2395 1595 M
-17 -16 V
-stroke
-LT0
-.1784 g .255 g 5313 2165 M
+.255 g 5313 2165 M
 -59 -13 V
 stroke
 LT0
-.1784 g .1692 g 2139 1895 M
+.1692 g 2139 1895 M
 -59 85 V
 stroke
 LT0
-.1784 g .2037 g 2004 2043 M
+.2037 g 2004 2043 M
 76 -63 V
 stroke
 LT0
-.1784 g .1455 g 4333 1949 M
+.1455 g 4333 1949 M
 58 -181 V
 stroke
 LT0
-.1784 g .1326 g 4315 1850 M
+.1326 g 4315 1850 M
 76 -82 V
 stroke
 LT0
-.1784 g .0113 g 2696 1497 M
-3 2 V
-stroke
-LT0
-.1784 g .3358 g 2990 2377 M
--9 -23 V
-stroke
-LT0
-.1784 g .3682 g 3061 2597 M
+.3682 g 3061 2597 M
 2933 2231 L
 stroke
 LT0
-.1784 g .0042 g 4593 1465 M
--1 0 V
-stroke
-LT0
-.1784 g .1719 g 5911 1902 M
+.1719 g 5911 1902 M
 -58 71 V
 stroke
 LT0
-.1784 g .1965 g 5777 2010 M
+.1965 g 5777 2010 M
 76 -37 V
 stroke
 LT0
-.1784 g .2827 g 1752 2225 M
+.2827 g 1752 2225 M
 -59 21 V
 stroke
 LT0
-.1784 g .276 g 1617 2203 M
+.276 g 1617 2203 M
 76 43 V
 stroke
 LT0
-.1784 g .1489 g 2164 1860 M
--25 35 V
+.149 g 2163 1861 M
+-24 34 V
 stroke
 LT0
-.1784 g .1771 g 2063 1968 M
+.1771 g 2063 1968 M
 76 -73 V
 stroke
 LT0
-.1784 g .1262 g 2872 1808 M
+.1262 g 2872 1808 M
 -58 -29 V
 stroke
 LT0
-.1784 g .1585 g 2890 1987 M
+.1585 g 2890 1987 M
 -76 -208 V
 stroke
 LT0
-.1784 g .2589 g 5659 2147 M
+.2589 g 5659 2147 M
 -58 56 V
 stroke
 LT0
-.1784 g .2732 g 5524 2212 M
+.2732 g 5524 2212 M
 77 -9 V
 stroke
 LT0
-.1784 g .3026 g 4216 2355 M
+.3026 g 4216 2355 M
 76 -195 V
 stroke
 LT0
-.1784 g .3421 g 4157 2544 M
+.3421 g 4157 2544 M
 135 -384 V
 stroke
 LT0
-.1784 g .2708 g 1887 2179 M
+.2708 g 1887 2179 M
 -59 52 V
 stroke
 LT0
-.1784 g .2806 g 1752 2225 M
+.2806 g 1752 2225 M
 76 6 V
 stroke
 LT0
-.1784 g .1075 g 6164 1728 M
+.1075 g 6164 1728 M
 -59 39 V
 stroke
 LT0
-.1784 g .1168 g 6029 1773 M
+.1168 g 6029 1773 M
 76 -6 V
 stroke
 LT0
-.1784 g .0074 g 2593 1464 M
-3 -1 V
-stroke
-LT0
-.1784 g .1706 g 2121 1893 M
-16 -16 V
+.1715 g 2121 1893 M
+13 -13 V
 stroke
 LT0
-.1784 g .2819 g 5524 2212 M
+.2819 g 5524 2212 M
 -58 33 V
 stroke
 LT0
-.1784 g .2817 g 5389 2217 M
+.2817 g 5389 2217 M
 77 28 V
 stroke
 LT0
-.1784 g .1067 g 6299 1733 M
+.1067 g 6299 1733 M
 -59 14 V
 stroke
 LT0
-.1784 g .1042 g 6164 1728 M
+.1042 g 6164 1728 M
 76 19 V
 stroke
 LT0
-.1784 g .1505 g 5970 1834 M
+.1505 g 5970 1834 M
 -59 68 V
 stroke
 LT0
-.1784 g .1734 g 5835 1935 M
+.1734 g 5835 1935 M
 76 -33 V
 stroke
 LT0
-.1784 g .1096 g 2872 1808 M
+.1096 g 2872 1808 M
 -59 -139 V
 stroke
 LT0
-.1784 g .2753 g 1676 2198 M
+.2753 g 1676 2198 M
 -59 5 V
 stroke
 LT0
-.1784 g .261 g 1541 2144 M
+.261 g 1541 2144 M
 76 59 V
 stroke
-LT0
-.1784 g .087 g 4914 1700 M
+LT1
+.087 g 4914 1700 M
 -59 -63 V
 stroke
-LT0
-.1784 g .0901 g 4931 1721 M
--34 -37 V
-stroke
-LT0
-.1784 g .0531 g 4779 1565 M
-76 72 V
+LT1
+.0583 g 4810 1595 M
+45 42 V
 stroke
-LT0
-.1784 g .0143 g 2567 1465 M
+LT1
+.0143 g 2567 1465 M
 -59 37 V
 stroke
-LT0
-.1784 g .0352 g 2432 1558 M
-76 -56 V
-stroke
-LT0
-.1784 g .0508 g 2412 1578 M
-5 -4 V
+LT1
+.0204 g 2494 1512 M
+14 -10 V
 stroke
-LT0
-.1784 g .0603 g 4837 1622 M
+LT1
+.0603 g 4837 1622 M
 -58 -57 V
 stroke
-LT0
-.1784 g .0907 g 4914 1700 M
--71 -70 V
-stroke
-LT0
-.1784 g .0311 g 4702 1507 M
+LT1
+.0311 g 4702 1507 M
 77 58 V
 stroke
 LT0
-.1784 g .1003 g 4945 1738 M
--14 -17 V
-stroke
-LT0
-.1784 g .1303 g 5005 1811 M
--5 -5 V
-stroke
-LT0
-.1784 g .0978 g 2274 1716 M
--8 8 V
-stroke
-LT0
-.1784 g .2419 g 5718 2082 M
+.2419 g 5718 2082 M
 -59 65 V
 stroke
 LT0
-.1784 g .261 g 5583 2167 M
+.261 g 5583 2167 M
 76 -20 V
 stroke
 LT0
-.1784 g .2589 g 1599 2150 M
+.2589 g 1599 2150 M
 -58 -6 V
 stroke
 LT0
-.1784 g .2388 g 1464 2073 M
+.2388 g 1464 2073 M
 77 71 V
 stroke
 LT0
-.1784 g .1776 g 1370 1927 M
+.1776 g 1370 1927 M
 -58 -13 V
 stroke
 LT0
-.1784 g .183 g 1388 1994 M
+.183 g 1388 1994 M
 -76 -80 V
 stroke
 LT0
-.1784 g .255 g 1946 2115 M
+.255 g 1946 2115 M
 -59 64 V
 stroke
 LT0
-.1784 g .2719 g 1811 2191 M
+.2719 g 1811 2191 M
 76 -12 V
 stroke
 LT0
-.1784 g .162 g 5084 1913 M
--34 -44 V
+.155 g 5055 1876 M
+-5 -7 V
+stroke
+LT0
+.1635 g 5084 1913 M
+-28 -36 V
 stroke
 LT0
-.1784 g .2073 g 1447 2009 M
+.2073 g 1447 2009 M
 -59 -15 V
 stroke
 LT0
-.1784 g .2119 g 1464 2073 M
+.2119 g 1464 2073 M
 -76 -79 V
 stroke
 LT0
-.1784 g .2354 g 1523 2085 M
+.2354 g 1523 2085 M
 -59 -12 V
 stroke
-LT0
-.1784 g .0394 g 4761 1554 M
+LT1
+.0394 g 4761 1554 M
 -59 -47 V
 stroke
 LT0
-.1784 g .047 g 4775 1569 M
--29 -25 V
-stroke
-LT0
-.1784 g .0157 g 4626 1462 M
-76 45 V
-stroke
-LT0
-.1784 g .1316 g 6029 1773 M
+.1316 g 6029 1773 M
 -59 61 V
 stroke
 LT0
-.1784 g .1512 g 5894 1860 M
+.1512 g 5894 1860 M
 76 -26 V
 stroke
 LT0
-.1784 g .0085 g 4421 1449 M
-6 0 V
-stroke
-LT0
-.1784 g .2817 g 5448 2200 M
+.2817 g 5448 2200 M
 -59 17 V
 stroke
 LT0
-.1784 g .2719 g 5313 2165 M
+.2719 g 5313 2165 M
 76 52 V
 stroke
 LT0
-.1784 g .1193 g 4315 1850 M
-59 -182 V
+.1195 g 4315 1850 M
+58 -181 V
 stroke
 LT0
-.1784 g .0972 g 4297 1714 M
-77 -46 V
+.0975 g 4297 1714 M
+75 -45 V
 stroke
 LT0
-.1784 g .2255 g 4274 2150 M
+.2255 g 4274 2150 M
 59 -201 V
 stroke
 LT0
-.1784 g .217 g 4257 2070 M
+.217 g 4257 2070 M
 76 -121 V
 stroke
 LT0
-.1784 g .1887 g 5143 1963 M
+.1887 g 5143 1963 M
 -59 -50 V
 stroke
 LT0
-.1784 g .1887 g 5160 2008 M
+.1887 g 5160 2008 M
 -76 -95 V
 stroke
-LT0
-.1784 g .0739 g 2373 1609 M
+LT1
+.0739 g 2373 1609 M
 -58 59 V
 stroke
-LT0
-.1784 g .0993 g 2263 1726 M
+LT1
+.0993 g 2263 1726 M
 52 -58 V
 stroke
 LT0
-.1784 g .2817 g 1811 2191 M
+.2817 g 1811 2191 M
 -59 34 V
 stroke
 LT0
-.1784 g .2819 g 1676 2198 M
+.2819 g 1676 2198 M
 76 27 V
 stroke
 LT0
-.1784 g .3654 g 4175 2447 M
--2 2 V
-stroke
-LT0
-.1784 g .0006 g 2702 1436 M
-1 1 V
-stroke
-LT0
-.1784 g .1042 g 6222 1702 M
+.1042 g 6222 1702 M
 -58 26 V
 stroke
 LT0
-.1784 g .1075 g 6087 1722 M
+.1075 g 6087 1722 M
 77 6 V
 stroke
 LT0
-.1784 g .2212 g 5777 2010 M
+.2212 g 5777 2010 M
 -59 72 V
 stroke
 LT0
-.1784 g .2438 g 5642 2110 M
+.2438 g 5642 2110 M
 76 -28 V
 stroke
 LT0
-.1784 g .4911 g 4098 2700 M
-7 -22 V
-stroke
-LT0
-.1784 g .2753 g 5583 2167 M
+.2753 g 5583 2167 M
 -59 45 V
 stroke
 LT0
-.1784 g .2819 g 5448 2200 M
+.2819 g 5448 2200 M
 76 12 V
 stroke
 LT0
-.1784 g .0243 g 4684 1497 M
--58 -35 V
-stroke
-LT0
-.1784 g .222 g 5219 2045 M
+.222 g 5219 2045 M
 -59 -37 V
 stroke
 LT0
-.1784 g .2231 g 5237 2094 M
+.2231 g 5237 2094 M
 -77 -86 V
 stroke
 LT0
-.1784 g .2346 g 2004 2043 M
+.2346 g 2004 2043 M
 -58 72 V
 stroke
 LT0
-.1784 g .2577 g 1869 2145 M
+.2577 g 1869 2145 M
 77 -30 V
 stroke
 LT0
-.1784 g .2824 g 2967 2234 M
+.2824 g 2967 2234 M
 -59 -105 V
 stroke
 LT0
-.1784 g .3026 g 2984 2363 M
+.3026 g 2984 2363 M
 -76 -234 V
 stroke
 LT0
-.1784 g .005 g 2659 1435 M
-2 0 V
-stroke
-LT0
-.1784 g .2708 g 5372 2167 M
+.2708 g 5372 2167 M
 -59 -2 V
 stroke
 LT0
-.1784 g .2517 g 5237 2094 M
+.2517 g 5237 2094 M
 76 71 V
 stroke
-LT0
-.1784 g .0102 g 2626 1434 M
+LT1
+.0102 g 2626 1434 M
 -59 31 V
 stroke
-LT0
-.1784 g .0284 g 2491 1515 M
+LT1
+.0284 g 2491 1515 M
 76 -50 V
 stroke
 LT0
-.1784 g .0326 g 2481 1524 M
-37 -25 V
-stroke
-LT0
-.1784 g .1168 g 6087 1722 M
+.1168 g 6087 1722 M
 -58 51 V
 stroke
 LT0
-.1784 g .1316 g 5952 1789 M
+.1316 g 5952 1789 M
 77 -16 V
 stroke
 LT0
-.1784 g .2502 g 5295 2114 M
+.2502 g 5295 2114 M
 -58 -20 V
 stroke
 LT0
-.1784 g .1067 g 6222 1702 M
+.1067 g 6222 1702 M
 77 31 V
 stroke
 LT0
-.1784 g .198 g 5835 1935 M
+.198 g 5835 1935 M
 -58 75 V
 stroke
 LT0
-.1784 g .2226 g 5700 2043 M
+.2226 g 5700 2043 M
 77 -33 V
 stroke
-LT0
-.1784 g .4029 g 3051 2526 M
--4 -10 V
-stroke
-LT0
-.1784 g .0596 g 2432 1558 M
+LT1
+.0596 g 2432 1558 M
 -59 51 V
 stroke
-LT0
-.1784 g .0908 g 2297 1693 M
+LT1
+.0908 g 2297 1693 M
 76 -84 V
 stroke
 LT0
-.1784 g .2115 g 2063 1968 M
+.2115 g 2063 1968 M
 -59 75 V
 stroke
 LT0
-.1784 g .2394 g 1928 2090 M
+.2394 g 1928 2090 M
 76 -47 V
 stroke
 LT0
-.1784 g .2819 g 1734 2180 M
+.2819 g 1734 2180 M
 -58 18 V
 stroke
 LT0
-.1784 g .2732 g 1599 2150 M
+.2732 g 1599 2150 M
 77 48 V
 stroke
 LT0
-.1784 g .123 g 2931 1820 M
+.123 g 2931 1820 M
 -63 -158 V
 stroke
 LT0
-.1784 g .2234 g 2949 2042 M
+.2234 g 2949 2042 M
 -59 -55 V
 stroke
 LT0
-.1784 g .259 g 2967 2234 M
+.259 g 2967 2234 M
 -77 -247 V
 stroke
 LT0
-.1784 g .1484 g 2931 1820 M
+.1484 g 2931 1820 M
 -59 -12 V
 stroke
 LT0
-.1784 g .1911 g 2949 2042 M
+.1911 g 2949 2042 M
 -77 -234 V
 stroke
 LT0
-.1784 g .0088 g 4418 1445 M
--1 1 V
-stroke
-LT0
-.1784 g .1017 g 4297 1714 M
+.1019 g 4297 1714 M
 20 -55 V
 stroke
 LT0
-.1784 g .0065 g 4567 1438 M
--9 -4 V
-stroke
-LT0
-.1784 g .1741 g 5894 1860 M
+.1741 g 5894 1860 M
 -59 75 V
 stroke
 LT0
-.1784 g .1988 g 5759 1968 M
+.1988 g 5759 1968 M
 76 -33 V
 stroke
 LT0
-.1784 g .2629 g 5642 2110 M
+.2629 g 5642 2110 M
 -59 57 V
 stroke
 LT0
-.1784 g .276 g 5507 2170 M
+.276 g 5507 2170 M
 76 -3 V
 stroke
 LT0
-.1784 g .2746 g 1869 2145 M
+.2746 g 1869 2145 M
 -58 46 V
 stroke
 LT0
-.1784 g .2817 g 1734 2180 M
+.2817 g 1734 2180 M
 77 11 V
 stroke
 LT0
-.1784 g .1875 g 2121 1893 M
+.1875 g 2121 1893 M
 -58 75 V
 stroke
 LT0
-.1784 g .2188 g 1986 2029 M
+.2188 g 1986 2029 M
 77 -61 V
 stroke
 LT0
-.1784 g .1074 g 6146 1683 M
+.1074 g 6146 1683 M
 -59 39 V
 stroke
 LT0
-.1784 g .1164 g 6011 1726 M
+.1164 g 6011 1726 M
 76 -4 V
 stroke
 LT0
-.1784 g .2041 g 4257 2070 M
+.2041 g 4257 2070 M
 58 -220 V
 stroke
 LT0
-.1784 g .1807 g 4239 1928 M
+.1807 g 4239 1928 M
 76 -78 V
 stroke
 LT0
-.1784 g .2827 g 5507 2170 M
+.2827 g 5507 2170 M
 -59 30 V
 stroke
 LT0
-.1784 g .2806 g 5372 2167 M
+.2806 g 5372 2167 M
 76 33 V
 stroke
 LT0
-.1784 g .1041 g 6146 1683 M
+.1041 g 6146 1683 M
 76 19 V
 stroke
 LT0
-.1784 g .0031 g 2767 1417 M
-4 3 V
-stroke
-LT0
-.1784 g .2716 g 1658 2146 M
+.2716 g 1658 2146 M
 -59 4 V
 stroke
 LT0
-.1784 g .2555 g 1523 2085 M
+.2555 g 1523 2085 M
 76 65 V
 stroke
 LT0
-.1784 g .1512 g 5952 1789 M
+.1512 g 5952 1789 M
 -58 71 V
 stroke
 LT0
-.1784 g .1741 g 5817 1890 M
+.1741 g 5817 1890 M
 77 -30 V
 stroke
-LT0
-.1784 g .0494 g 2491 1515 M
--59 43 V
+LT1
+.0494 g 2490 1516 M
+-58 42 V
 stroke
-LT0
-.1784 g .0781 g 2356 1641 M
+LT1
+.0781 g 2356 1641 M
 76 -83 V
 stroke
 LT0
-.1784 g .1957 g 1429 1938 M
+.1957 g 1429 1938 M
 -59 -11 V
 stroke
 LT0
-.1784 g .2019 g 1447 2009 M
+.2019 g 1447 2009 M
 -77 -82 V
 stroke
-LT0
-.1784 g .0084 g 2684 1407 M
+LT1
+.0084 g 2684 1407 M
 -58 27 V
 stroke
-LT0
-.1784 g .0246 g 2549 1480 M
+LT1
+.0246 g 2549 1480 M
 77 -46 V
 stroke
 LT0
-.1784 g .3111 g 4216 2355 M
+.3111 g 4216 2355 M
 58 -205 V
 stroke
 LT0
-.1784 g .3111 g 4198 2310 M
+.3111 g 4198 2310 M
 76 -160 V
 stroke
 LT0
-.1784 g .2521 g 1581 2091 M
+.2521 g 1581 2091 M
 -58 -6 V
 stroke
 LT0
-.1784 g .2308 g 1447 2009 M
+.2308 g 1447 2009 M
 76 76 V
 stroke
 LT0
-.1784 g .2258 g 1505 2020 M
+.2258 g 1505 2020 M
 -58 -11 V
 stroke
 LT0
-.1784 g .1734 g 2132 1880 M
--11 13 V
+.1736 g 2131 1881 M
+-10 12 V
 stroke
 LT0
-.1784 g .1975 g 2045 1965 M
+.1975 g 2045 1965 M
 76 -72 V
 stroke
 LT0
-.1784 g .2453 g 5700 2043 M
+.2453 g 5700 2043 M
 -58 67 V
 stroke
 LT0
-.1784 g .2638 g 5565 2126 M
+.2638 g 5565 2126 M
 77 -16 V
 stroke
 LT0
-.1784 g .0001 g 4397 1384 M
-34 9 V
-stroke
-LT0
-.1784 g .1585 g 4239 1928 M
+.1585 g 4239 1928 M
 58 -214 V
 stroke
 LT0
-.1784 g .1262 g 4221 1749 M
+.1262 g 4221 1749 M
 76 -35 V
 stroke
 LT0
-.1784 g .1312 g 6011 1726 M
+.1312 g 6011 1726 M
 -59 63 V
 stroke
 LT0
-.1784 g .1505 g 5876 1812 M
+.1505 g 5876 1812 M
 76 -23 V
 stroke
-LT0
-.1784 g .1209 g 4945 1738 M
+LT1
+.1209 g 4945 1738 M
 -31 -38 V
 stroke
-LT0
-.1784 g .1156 g 4948 1739 M
--34 -39 V
-stroke
-LT0
-.1784 g .1181 g 4948 1739 M
+LT1
+.1181 g 4948 1739 M
 -34 -39 V
 stroke
-LT0
-.1784 g .0943 g 4837 1622 M
+LT1
+.0943 g 4837 1622 M
 77 78 V
 stroke
 LT0
-.1784 g .2804 g 5430 2155 M
+.2804 g 5430 2155 M
 -58 12 V
 stroke
 LT0
-.1784 g .2693 g 5295 2114 M
+.2693 g 5295 2114 M
 77 53 V
 stroke
-LT0
-.1784 g .1037 g 4896 1694 M
+LT1
+.1037 g 4896 1694 M
 -59 -72 V
 stroke
-LT0
-.1784 g .0686 g 4761 1554 M
+LT1
+.0686 g 4761 1554 M
 76 68 V
 stroke
 LT0
-.1784 g .2625 g 1928 2090 M
+.2625 g 1928 2090 M
 -59 55 V
 stroke
 LT0
-.1784 g .2759 g 1793 2152 M
+.2759 g 1793 2152 M
 76 -7 V
 stroke
-LT0
-.1784 g .0136 g 4348 1432 M
--2 3 V
-stroke
-LT0
-.1784 g .1988 g 2104 1901 M
-7 -7 V
-stroke
-LT0
-.1784 g .0798 g 4819 1624 M
+LT1
+.0798 g 4819 1624 M
 -58 -70 V
 stroke
-LT0
-.1784 g .0479 g 4684 1497 M
+LT1
+.0479 g 4684 1497 M
 77 57 V
 stroke
 LT0
-.1784 g .283 g 1793 2152 M
+.283 g 1793 2152 M
 -59 28 V
 stroke
 LT0
-.1784 g .2803 g 1658 2146 M
+.2803 g 1658 2146 M
 76 34 V
 stroke
 LT0
-.1784 g .13 g 2990 1807 M
+.13 g 2990 1807 M
 -60 -154 V
 stroke
 LT0
-.1784 g .1069 g 6069 1675 M
+.1069 g 6069 1675 M
 77 8 V
 stroke
 LT0
-.1784 g .1971 g 5125 1930 M
--47 -44 V
+.1838 g 5085 1892 M
+-7 -6 V
 stroke
 LT0
-.1784 g .192 g 5143 1963 M
--69 -80 V
+.1977 g 5118 1923 M
+-31 -29 V
 stroke
 LT0
-.1784 g .5484 g 3137 2811 M
--3 -13 V
+.1967 g 5143 1963 M
+-48 -55 V
 stroke
 LT0
-.1784 g .2234 g 5759 1968 M
+.2234 g 5759 1968 M
 -59 75 V
 stroke
 LT0
-.1784 g .2459 g 5624 2068 M
+.2459 g 5624 2068 M
 76 -25 V
 stroke
 LT0
-.1784 g .2688 g 5354 2121 M
+.2688 g 5354 2121 M
 -59 -7 V
 stroke
 LT0
-.1784 g .2491 g 5219 2045 M
+.2491 g 5219 2045 M
 76 69 V
 stroke
 LT0
-.1784 g .2769 g 5565 2126 M
+.2769 g 5565 2126 M
 -58 44 V
 stroke
 LT0
-.1784 g .2825 g 5430 2155 M
+.2825 g 5430 2155 M
 77 15 V
 stroke
 LT0
-.1784 g .1187 g 4221 1749 M
+.1187 g 4221 1749 M
 32 -100 V
 stroke
 LT0
-.1784 g .2231 g 5201 2005 M
+.2231 g 5201 2005 M
 -58 -42 V
 stroke
 LT0
-.1784 g .222 g 5219 2045 M
+.222 g 5219 2045 M
 -76 -82 V
 stroke
-LT0
-.1784 g .0428 g 2549 1480 M
+LT1
+.0428 g 2549 1480 M
 -58 35 V
 stroke
-LT0
-.1784 g .0693 g 2414 1596 M
-77 -81 V
+LT1
+.0693 g 2414 1596 M
+76 -80 V
 stroke
-LT0
-.1784 g .0605 g 4743 1562 M
+LT1
+.0605 g 4743 1562 M
 -59 -65 V
 stroke
-LT0
-.1784 g .0323 g 4608 1451 M
+LT1
+.0323 g 4608 1451 M
 76 46 V
 stroke
 LT0
-.1784 g .2491 g 5278 2070 M
+.2491 g 5278 2070 M
 -59 -25 V
 stroke
 LT0
-.1784 g .1159 g 6069 1675 M
+.1159 g 6069 1675 M
 -58 51 V
 stroke
 LT0
-.1784 g .1301 g 5935 1740 M
+.1301 g 5935 1740 M
 76 -14 V
 stroke
-LT0
-.1784 g .1202 g 2297 1693 M
+LT1
+.1202 g 2297 1693 M
 -29 31 V
 stroke
 LT0
-.1784 g .1603 g 2990 1807 M
+.1603 g 2990 1807 M
 -59 13 V
 stroke
 LT0
-.1784 g .2126 g 3007 2069 M
+.2126 g 3007 2069 M
 -76 -249 V
 stroke
-LT0
-.1784 g .008 g 2696 1402 M
+LT1
+.008 g 2696 1402 M
 -12 5 V
 stroke
-LT0
-.1784 g .0234 g 2608 1452 M
+LT1
+.0234 g 2608 1452 M
 76 -45 V
 stroke
 LT0
-.1784 g .0003 g 4320 1365 M
-50 12 V
-stroke
-LT0
-.1784 g .2467 g 1986 2029 M
+.2467 g 1986 2029 M
 -58 61 V
 stroke
 LT0
-.1784 g .2657 g 1851 2113 M
+.2657 g 1851 2113 M
 77 -23 V
 stroke
 LT0
-.1784 g .1988 g 5817 1890 M
+.1988 g 5817 1890 M
 -58 78 V
 stroke
 LT0
-.1784 g .2234 g 5682 1998 M
+.2234 g 5682 1998 M
 77 -30 V
 stroke
 LT0
-.1784 g .3938 g 3043 2502 M
+.3938 g 3043 2502 M
 -59 -139 V
 stroke
 LT0
-.1784 g .4062 g 3061 2597 M
+.4062 g 3061 2597 M
 -77 -234 V
 stroke
 LT0
-.1784 g .2797 g 1716 2133 M
+.2797 g 1716 2133 M
 -58 13 V
 stroke
 LT0
-.1784 g .2682 g 1581 2091 M
+.2682 g 1581 2091 M
 77 55 V
 stroke
-LT0
-.1784 g .0457 g 4667 1508 M
+LT1
+.0457 g 4667 1508 M
 -59 -57 V
 stroke
-LT0
-.1784 g .0214 g 4532 1413 M
+LT1
+.0214 g 4532 1413 M
 76 38 V
 stroke
 LT0
-.1784 g .3026 g 4198 2310 M
+.3026 g 4198 2310 M
 59 -240 V
 stroke
 LT0
-.1784 g .2824 g 4180 2181 M
+.2824 g 4180 2181 M
 77 -111 V
 stroke
 LT0
-.1784 g .1734 g 5876 1812 M
+.1734 g 5876 1812 M
 -59 78 V
 stroke
 LT0
-.1784 g .198 g 5741 1920 M
+.198 g 5741 1920 M
 76 -30 V
 stroke
 LT0
-.1784 g .0184 g 4270 1424 M
--1 2 V
-stroke
-LT0
-.1784 g .3938 g 4157 2544 M
+.3938 g 4157 2544 M
 59 -189 V
 stroke
 LT0
-.1784 g .4062 g 4139 2550 M
+.4062 g 4139 2550 M
 77 -195 V
 stroke
 LT0
-.1784 g .2653 g 1640 2089 M
+.2653 g 1640 2089 M
 -59 2 V
 stroke
 LT0
-.1784 g .2471 g 1505 2020 M
+.2471 g 1505 2020 M
 76 71 V
 stroke
-LT0
-.1784 g .1093 g 2356 1641 M
+LT1
+.1093 g 2356 1641 M
 -59 52 V
 stroke
-LT0
-.1784 g .1238 g 2274 1720 M
+LT1
+.1238 g 2274 1720 M
 23 -27 V
 stroke
 LT0
-.1784 g .0729 g 2980 1570 M
--8 6 V
-stroke
-LT0
-.1784 g .13 g 3048 1769 M
+.13 g 3048 1769 M
 -49 -125 V
 stroke
 LT0
-.1784 g .2645 g 5624 2068 M
+.2645 g 5624 2068 M
 -59 58 V
 stroke
 LT0
-.1784 g .2771 g 5489 2126 M
+.2771 g 5489 2126 M
 76 0 V
 stroke
 LT0
-.1784 g .2127 g 1487 1947 M
+.2127 g 1487 1947 M
 -58 -9 V
 stroke
 LT0
-.1784 g .2195 g 1505 2020 M
+.2195 g 1505 2020 M
 -76 -82 V
 stroke
 LT0
-.1784 g .1147 g 5993 1677 M
+.1147 g 5993 1677 M
 76 -2 V
 stroke
 LT0
-.1784 g .2791 g 1851 2113 M
+.2791 g 1851 2113 M
 -58 39 V
 stroke
 LT0
-.1784 g .2824 g 1716 2133 M
+.2824 g 1716 2133 M
 77 19 V
 stroke
 LT0
-.1784 g .242 g 1564 2025 M
+.242 g 1564 2025 M
 -59 -5 V
 stroke
 LT0
-.1784 g .2553 g 3007 2069 M
+.2553 g 3007 2069 M
 -58 -27 V
 stroke
 LT0
-.1784 g .3038 g 3025 2315 M
+.3038 g 3025 2315 M
 -76 -273 V
 stroke
 LT0
-.1784 g .2827 g 5489 2126 M
+.2827 g 5489 2126 M
 -59 29 V
 stroke
 LT0
-.1784 g .28 g 5354 2121 M
+.28 g 5354 2121 M
 76 34 V
 stroke
 LT0
-.1784 g .2289 g 2045 1965 M
+.2289 g 2045 1965 M
 -59 64 V
 stroke
 LT0
-.1784 g .2522 g 1910 2068 M
+.2522 g 1910 2068 M
 76 -39 V
 stroke
-LT0
-.1784 g .0396 g 2608 1452 M
+LT1
+.0396 g 2608 1452 M
 -59 28 V
 stroke
-LT0
-.1784 g .064 g 2473 1559 M
+LT1
+.064 g 2473 1559 M
 76 -79 V
 stroke
 LT0
-.1784 g .1494 g 5935 1740 M
+.1494 g 5935 1740 M
 -59 72 V
 stroke
 LT0
-.1784 g .1719 g 5800 1839 M
+.1719 g 5800 1839 M
 76 -27 V
 stroke
 LT0
-.1784 g .3394 g 3025 2315 M
+.3394 g 3025 2315 M
 -58 -81 V
 stroke
 LT0
-.1784 g .3736 g 3043 2502 M
+.3736 g 3043 2502 M
 -76 -268 V
 stroke
-LT0
-.1784 g .0352 g 4590 1464 M
+LT1
+.0352 g 4590 1464 M
 -58 -51 V
 stroke
-LT0
-.1784 g .0143 g 4455 1383 M
+LT1
+.0143 g 4455 1383 M
 77 30 V
 stroke
 LT0
-.1784 g .1307 g 4145 1767 M
+.1307 g 4145 1767 M
 37 -126 V
 stroke
 LT0
-.1784 g .0006 g 4272 1353 M
-8 2 V
-stroke
-LT0
-.1784 g .259 g 4180 2181 M
+.259 g 4180 2181 M
 59 -253 V
 stroke
 LT0
-.1784 g .2234 g 4162 1989 M
+.2234 g 4162 1989 M
 77 -61 V
 stroke
 LT0
-.1784 g .1911 g 4162 1989 M
+.1911 g 4162 1989 M
 59 -240 V
 stroke
 LT0
-.1784 g .1484 g 4145 1767 M
+.1484 g 4145 1767 M
 76 -18 V
 stroke
-LT0
-.1784 g .0391 g 2666 1429 M
+LT1
+.0391 g 2666 1429 M
 7 -3 V
 stroke
 LT0
-.1784 g .1289 g 5993 1677 M
+.1289 g 5993 1677 M
 -58 63 V
 stroke
 LT0
-.1784 g .1474 g 5858 1759 M
+.1474 g 5858 1759 M
 77 -19 V
 stroke
 LT0
-.1784 g .2459 g 5682 1998 M
+.2459 g 5682 1998 M
 -58 70 V
 stroke
 LT0
-.1784 g .2645 g 5547 2081 M
+.2645 g 5547 2081 M
 77 -13 V
 stroke
 LT0
-.1784 g .2103 g 2104 1901 M
--59 64 V
+.2106 g 2102 1903 M
+-57 62 V
 stroke
 LT0
-.1784 g .237 g 1969 2018 M
+.237 g 1969 2018 M
 76 -53 V
 stroke
-LT0
-.1784 g .098 g 2414 1596 M
+LT1
+.098 g 2414 1596 M
 -58 45 V
 stroke
-LT0
-.1784 g .1217 g 2302 1706 M
+LT1
+.1217 g 2302 1706 M
 54 -65 V
 stroke
 LT0
-.1784 g .28 g 5412 2110 M
+.28 g 5412 2110 M
 -58 11 V
 stroke
 LT0
-.1784 g .2688 g 5278 2070 M
+.2688 g 5278 2070 M
 76 51 V
 stroke
 LT0
-.1784 g .1603 g 3048 1769 M
+.1603 g 3048 1769 M
 -58 38 V
 stroke
 LT0
-.1784 g .2201 g 3066 2062 M
+.2201 g 3066 2062 M
 -76 -255 V
 stroke
 LT0
-.1784 g .124 g 3107 1707 M
+.124 g 3107 1707 M
 -31 -72 V
 stroke
 LT0
-.1784 g .2832 g 1775 2110 M
+.2832 g 1775 2110 M
 -59 23 V
 stroke
 LT0
-.1784 g .2767 g 1640 2089 M
+.2767 g 1640 2089 M
 76 44 V
 stroke
-LT0
-.1784 g .0284 g 4514 1427 M
+LT1
+.0284 g 4514 1427 M
 -59 -44 V
 stroke
-LT0
-.1784 g .0102 g 4379 1357 M
+LT1
+.0102 g 4379 1357 M
 76 26 V
 stroke
 LT0
-.1784 g .2712 g 1910 2068 M
+.2712 g 1910 2068 M
 -59 45 V
 stroke
 LT0
-.1784 g .2799 g 1775 2110 M
+.2799 g 1775 2110 M
 76 3 V
 stroke
 LT0
-.1784 g .2226 g 5741 1920 M
+.2226 g 5741 1920 M
 -59 78 V
 stroke
 LT0
-.1784 g .2453 g 5606 2020 M
+.2453 g 5606 2020 M
 76 -22 V
 stroke
 LT0
-.1784 g .2693 g 5336 2078 M
+.2693 g 5336 2078 M
 -58 -8 V
 stroke
 LT0
-.1784 g .2502 g 5201 2005 M
+.2502 g 5201 2005 M
 77 65 V
 stroke
 LT0
-.1784 g .0069 g 3039 1355 M
--7 5 V
-stroke
-LT0
-.1784 g .0005 g 2936 1335 M
-2 0 V
-stroke
-LT0
-.1784 g .2771 g 5547 2081 M
+.2771 g 5547 2081 M
 -58 45 V
 stroke
 LT0
-.1784 g .2827 g 5412 2110 M
+.2827 g 5412 2110 M
 77 16 V
 stroke
 LT0
-.1784 g .4954 g 4098 2700 M
-3 -7 V
-stroke
-LT0
-.1784 g .4927 g 4081 2770 M
+.4927 g 4081 2770 M
 76 -226 V
 stroke
 LT0
-.1784 g .5301 g 4022 2950 M
+.5301 g 4022 2950 M
 135 -406 V
 stroke
 LT0
-.1784 g .1268 g 5917 1686 M
+.1268 g 5917 1686 M
 76 -9 V
 stroke
 LT0
-.1784 g .2 g 2111 1894 M
+.2 g 2111 1894 M
 -7 7 V
 stroke
 LT0
-.1784 g .2213 g 2027 1966 M
-77 -65 V
+.212 g 2066 1933 M
+34 -28 V
 stroke
-LT0
-.1784 g .0396 g 2666 1429 M
+LT1
+.0396 g 2666 1429 M
 -58 23 V
 stroke
-LT0
-.1784 g .0623 g 2531 1529 M
+LT1
+.0623 g 2531 1529 M
 77 -77 V
 stroke
-LT0
-.1784 g .1777 g 5003 1807 M
--2 -3 V
-stroke
-LT0
-.1784 g .1727 g 5008 1807 M
--2 -1 V
-stroke
-LT0
-.1784 g .1349 g 4896 1694 M
+LT1
+.1349 g 4896 1694 M
 42 43 V
 stroke
 LT0
-.1784 g .2517 g 5260 2031 M
+.2517 g 5260 2031 M
 -59 -26 V
 stroke
 LT0
-.1784 g .226 g 5125 1930 M
+.226 g 5125 1930 M
 76 75 V
 stroke
-LT0
-.1784 g .1402 g 4927 1735 M
+LT1
+.1402 g 4927 1735 M
 -31 -41 V
 stroke
-LT0
-.1784 g .1149 g 4819 1624 M
+LT1
+.1149 g 4819 1624 M
 77 70 V
 stroke
 LT0
-.1784 g .206 g 5125 1930 M
--36 -37 V
+.2005 g 5096 1900 M
+-7 -7 V
 stroke
 LT0
-.1784 g .1366 g 4068 1760 M
-37 -127 V
+.2065 g 5120 1925 M
+-23 -24 V
 stroke
 LT0
-.1784 g .2292 g 5183 1973 M
--58 -43 V
+.1368 g 4068 1760 M
+37 -126 V
 stroke
 LT0
-.1784 g .1278 g 4878 1703 M
+.2292 g 5183 1973 M
+-58 -43 V
+stroke
+LT1
+.1278 g 4878 1703 M
 -59 -79 V
 stroke
-LT0
-.1784 g .0924 g 4743 1562 M
+LT1
+.0924 g 4743 1562 M
 76 62 V
 stroke
 LT0
-.1784 g .2748 g 1699 2080 M
+.2748 g 1699 2080 M
 -59 9 V
 stroke
 LT0
-.1784 g .2602 g 1564 2025 M
+.2602 g 1564 2025 M
 76 64 V
 stroke
 LT0
-.1784 g .5513 g 3987 2860 M
--6 5 V
-stroke
-LT0
-.1784 g .1965 g 5800 1839 M
+.1965 g 5800 1839 M
 -59 81 V
 stroke
 LT0
-.1784 g .2212 g 5665 1947 M
+.2212 g 5665 1947 M
 76 -27 V
 stroke
-LT0
-.1784 g .0905 g 2473 1559 M
+LT1
+.0905 g 2473 1559 M
 -59 37 V
 stroke
-LT0
-.1784 g .1185 g 2343 1682 M
+LT1
+.1185 g 2343 1682 M
 71 -86 V
 stroke
 LT0
-.1784 g .2281 g 1546 1951 M
+.2281 g 1546 1951 M
 -59 -4 V
 stroke
 LT0
-.1784 g .2352 g 1564 2025 M
+.2352 g 1564 2025 M
 -77 -78 V
 stroke
 LT0
-.1784 g .2554 g 1622 2025 M
+.2554 g 1622 2025 M
 -58 0 V
 stroke
-LT0
-.1784 g .1074 g 4802 1642 M
+LT1
+.1074 g 4802 1642 M
 -59 -80 V
 stroke
-LT0
-.1784 g .0739 g 4667 1508 M
+LT1
+.0739 g 4667 1508 M
 76 54 V
 stroke
 LT0
-.1784 g .1484 g 3107 1707 M
+.1484 g 3107 1707 M
 -59 62 V
 stroke
 LT0
-.1784 g .2126 g 3125 2018 M
+.2126 g 3125 2018 M
 -77 -249 V
 stroke
-LT0
-.1784 g .0246 g 4438 1397 M
+LT1
+.0246 g 4438 1397 M
 -59 -40 V
 stroke
-LT0
-.1784 g .0084 g 4303 1336 M
+LT1
+.0084 g 4303 1336 M
 76 21 V
 stroke
 LT0
-.1784 g .1699 g 5858 1759 M
+.1699 g 5858 1759 M
 -58 80 V
 stroke
 LT0
-.1784 g .1942 g 5723 1866 M
+.1942 g 5723 1866 M
 77 -27 V
 stroke
 LT0
-.1784 g .2126 g 4086 2022 M
+.2126 g 4086 2022 M
 59 -255 V
 stroke
 LT0
-.1784 g .1603 g 4068 1760 M
+.1603 g 4068 1760 M
 77 7 V
 stroke
 LT0
-.1784 g .2604 g 1969 2018 M
+.2604 g 1969 2018 M
 -59 50 V
 stroke
 LT0
-.1784 g .2739 g 1834 2080 M
+.2739 g 1834 2080 M
 76 -12 V
 stroke
 LT0
-.1784 g .505 g 3119 2766 M
+.505 g 3119 2766 M
 -58 -169 V
 stroke
 LT0
-.1784 g .5584 g 3196 3007 M
+.5584 g 3196 3007 M
 3061 2597 L
 stroke
 LT0
-.1784 g .4062 g 4139 2550 M
+.4062 g 4139 2550 M
 59 -240 V
 stroke
 LT0
-.1784 g .3938 g 4122 2454 M
+.3938 g 4122 2454 M
 76 -144 V
 stroke
 LT0
-.1784 g .2723 g 3066 2062 M
+.2723 g 3066 2062 M
 -59 7 V
 stroke
 LT0
-.1784 g .333 g 3084 2358 M
+.333 g 3084 2358 M
 -77 -289 V
 stroke
 LT0
-.1784 g .2638 g 5606 2020 M
+.2638 g 5606 2020 M
 -59 61 V
 stroke
 LT0
-.1784 g .2769 g 5471 2080 M
+.2769 g 5471 2080 M
 76 1 V
 stroke
-LT0
-.1784 g .0315 g 3151 1414 M
-0 -1 V
-stroke
-LT0
-.1784 g .0812 g 3224 1536 M
--1 -1 V
-stroke
-LT0
-.1784 g .0908 g 4725 1587 M
+LT1
+.0908 g 4725 1587 M
 -58 -79 V
 stroke
-LT0
-.1784 g .0596 g 4590 1464 M
+LT1
+.0596 g 4590 1464 M
 77 44 V
 stroke
 LT0
-.1784 g .2825 g 5471 2080 M
+.2825 g 5471 2080 M
 -59 30 V
 stroke
 LT0
-.1784 g .2804 g 5336 2078 M
+.2804 g 5336 2078 M
 76 32 V
 stroke
 LT0
-.1784 g .1453 g 5917 1686 M
+.1453 g 5917 1686 M
 -59 73 V
 stroke
 LT0
-.1784 g .1669 g 5782 1782 M
+.1669 g 5782 1782 M
 76 -23 V
 stroke
 LT0
-.1784 g .1357 g 3992 1728 M
+.1357 g 3992 1728 M
 30 -102 V
 stroke
 LT0
-.1784 g .0629 g 3974 1487 M
-3 1 V
-stroke
-LT0
-.1784 g .2827 g 1834 2080 M
+.2827 g 1834 2080 M
 -59 30 V
 stroke
 LT0
-.1784 g .2812 g 1699 2080 M
+.2812 g 1699 2080 M
 76 30 V
 stroke
 LT0
-.1784 g .1264 g 3164 1628 M
+.1264 g 3164 1628 M
 -57 79 V
 stroke
 LT0
-.1784 g .1911 g 3183 1940 M
+.1911 g 3183 1940 M
 -76 -233 V
 stroke
-LT0
-.1784 g .0625 g 3974 1487 M
-1 -1 V
-stroke
-LT0
-.1784 g .0405 g 2670 1429 M
+LT1
+.0405 g 2670 1429 M
 -4 0 V
 stroke
-LT0
-.1784 g .08 g 2602 1496 M
-1 -1 V
-stroke
-LT0
-.1784 g .0511 g 2632 1465 M
+LT1
+.0511 g 2632 1465 M
 34 -36 V
 stroke
 LT0
-.1784 g .3038 g 4104 2268 M
+.3038 g 4104 2268 M
 58 -279 V
 stroke
 LT0
-.1784 g .2553 g 4086 2022 M
+.2553 g 4086 2022 M
 76 -33 V
 stroke
-LT0
-.1784 g .1568 g 2279 1733 M
--3 2 V
-stroke
-LT0
-.1784 g .2159 g 2144 1864 M
-4 -4 V
-stroke
-LT0
-.1784 g .0868 g 2531 1529 M
+LT1
+.0868 g 2531 1529 M
 -58 30 V
 stroke
-LT0
-.1784 g .1135 g 2400 1647 M
+LT1
+.1135 g 2400 1647 M
 73 -88 V
 stroke
 LT0
-.1784 g .142 g 5840 1701 M
+.142 g 5840 1701 M
 77 -15 V
 stroke
-LT0
-.1784 g .0781 g 4649 1540 M
+LT1
+.0781 g 4649 1540 M
 -59 -76 V
 stroke
-LT0
-.1784 g .0494 g 4514 1427 M
+LT1
+.0494 g 4514 1427 M
 76 37 V
 stroke
 LT0
-.1784 g .2479 g 2027 1966 M
+.2479 g 2027 1966 M
 -58 52 V
 stroke
 LT0
-.1784 g .2654 g 1892 2044 M
+.2654 g 1892 2044 M
 77 -26 V
 stroke
 LT0
-.1784 g .2438 g 5665 1947 M
+.2438 g 5665 1947 M
 -59 73 V
 stroke
 LT0
-.1784 g .2629 g 5530 2032 M
+.2629 g 5530 2032 M
 76 -12 V
 stroke
-LT0
-.1784 g .0234 g 4361 1375 M
+LT1
+.0234 g 4361 1375 M
 -58 -39 V
 stroke
-LT0
-.1784 g .0084 g 4226 1318 M
+LT1
+.0084 g 4226 1318 M
 77 18 V
 stroke
 LT0
-.1784 g .1588 g 3242 1835 M
+.1588 g 3242 1835 M
 -76 -207 V
 stroke
 LT0
-.1784 g .1286 g 3916 1671 M
+.1286 g 3916 1671 M
 16 -52 V
 stroke
 LT0
-.1784 g .3736 g 4122 2454 M
+.3736 g 4122 2454 M
 58 -273 V
 stroke
 LT0
-.1784 g .3394 g 4104 2268 M
+.3394 g 4104 2268 M
 76 -87 V
 stroke
 LT0
-.1784 g .0053 g 3158 1320 M
-5 3 V
-stroke
-LT0
-.1784 g .2806 g 5395 2066 M
+.2806 g 5395 2066 M
 -59 12 V
 stroke
 LT0
-.1784 g .2708 g 5260 2031 M
+.2708 g 5260 2031 M
 76 47 V
 stroke
 LT0
-.1784 g .1376 g 3300 1712 M
+.1376 g 3300 1712 M
 -39 -91 V
 stroke
 LT0
-.1784 g .2806 g 1757 2063 M
+.2806 g 1757 2063 M
 -58 17 V
 stroke
 LT0
-.1784 g .27 g 1622 2025 M
+.27 g 1622 2025 M
 77 55 V
 stroke
 LT0
-.1784 g .2201 g 4010 2020 M
+.2201 g 4010 2020 M
 58 -260 V
 stroke
 LT0
-.1784 g .1603 g 3992 1728 M
+.1603 g 3992 1728 M
 76 32 V
 stroke
 LT0
-.1784 g .0112 g 2913 1336 M
-5 -1 V
-stroke
-LT0
-.1784 g .0007 g 4098 1306 M
--7 0 V
-stroke
-LT0
-.1784 g .3815 g 3084 2358 M
+.3815 g 3084 2358 M
 -59 -43 V
 stroke
 LT0
-.1784 g .4309 g 3102 2607 M
+.4309 g 3102 2607 M
 -77 -292 V
 stroke
 LT0
-.1784 g .2188 g 5723 1866 M
+.2188 g 5723 1866 M
 -58 81 V
 stroke
 LT0
-.1784 g .2419 g 5588 1967 M
+.2419 g 5588 1967 M
 77 -20 V
 stroke
 LT0
-.1784 g .4651 g 3102 2607 M
+.4651 g 3102 2607 M
 -59 -105 V
 stroke
 LT0
-.1784 g .4927 g 3119 2766 M
+.4927 g 3119 2766 M
 -76 -264 V
 stroke
 LT0
-.1784 g .276 g 5530 2032 M
+.276 g 5530 2032 M
 -59 48 V
 stroke
 LT0
-.1784 g .2827 g 5395 2066 M
+.2827 g 5395 2066 M
 76 14 V
 stroke
-LT0
-.1784 g .0693 g 4573 1501 M
+LT1
+.0693 g 4573 1501 M
 -59 -74 V
 stroke
-LT0
-.1784 g .0428 g 4438 1397 M
+LT1
+.0428 g 4438 1397 M
 76 30 V
 stroke
 LT0
-.1784 g .266 g 1681 2018 M
+.266 g 1681 2018 M
 -59 7 V
 stroke
 LT0
-.1784 g .2483 g 1546 1951 M
+.2483 g 1546 1951 M
 76 74 V
 stroke
 LT0
-.1784 g .279 g 1892 2044 M
+.279 g 1892 2044 M
 -58 36 V
 stroke
 LT0
-.1784 g .2821 g 1757 2063 M
+.2821 g 1757 2063 M
 77 17 V
 stroke
 LT0
-.1784 g .2413 g 1605 1951 M
+.2413 g 1605 1951 M
 -59 0 V
 stroke
 LT0
-.1784 g .2719 g 5318 2037 M
+.2719 g 5318 2037 M
 -58 -6 V
 stroke
 LT0
-.1784 g .255 g 5183 1973 M
+.255 g 5183 1973 M
 77 58 V
 stroke
 LT0
-.1784 g .1572 g 2277 1735 M
-2 -2 V
-stroke
-LT0
-.1784 g .1912 g 5782 1782 M
+.1912 g 5782 1782 M
 -59 84 V
 stroke
 LT0
-.1784 g .2158 g 5647 1890 M
+.2158 g 5647 1890 M
 76 -24 V
 stroke
 LT0
-.1784 g .235 g 2086 1914 M
+.235 g 2086 1914 M
 -59 52 V
 stroke
 LT0
-.1784 g .2555 g 1951 2005 M
+.2555 g 1951 2005 M
 76 -39 V
 stroke
 LT0
-.1784 g .2723 g 3125 2018 M
+.2723 g 3125 2018 M
 -59 44 V
 stroke
 LT0
-.1784 g .3432 g 3142 2357 M
+.3432 g 3142 2357 M
 -76 -295 V
 stroke
-LT0
-.1784 g .0246 g 4285 1359 M
+LT1
+.0246 g 4285 1359 M
 -59 -41 V
 stroke
-LT0
-.1784 g .0102 g 4150 1305 M
+LT1
+.0102 g 4150 1305 M
 76 13 V
 stroke
 LT0
-.1784 g .2577 g 5242 1997 M
+.2577 g 5242 1997 M
 -59 -24 V
 stroke
 LT0
-.1784 g .2346 g 5107 1908 M
+.2346 g 5107 1908 M
 76 65 V
 stroke
 LT0
-.1784 g .2126 g 3933 1983 M
+.2126 g 3933 1983 M
 59 -255 V
 stroke
 LT0
-.1784 g .1484 g 3916 1671 M
+.1484 g 3916 1671 M
 76 57 V
 stroke
-LT0
-.1784 g .0866 g 2581 1511 M
+LT1
+.0866 g 2581 1511 M
 -50 18 V
 stroke
-LT0
-.1784 g .1046 g 2479 1594 M
+LT1
+.1046 g 2479 1594 M
 52 -65 V
 stroke
 LT0
-.1784 g .1637 g 5840 1701 M
+.1637 g 5840 1701 M
 -58 81 V
 stroke
 LT0
-.1784 g .1873 g 5705 1805 M
+.1873 g 5705 1805 M
 77 -23 V
 stroke
 LT0
-.1784 g .2394 g 5166 1948 M
+.2394 g 5166 1948 M
 -59 -40 V
 stroke
 LT0
-.1784 g .2221 g 5098 1899 M
+.2221 g 5098 1899 M
 9 9 V
 stroke
 LT0
-.1784 g .1394 g 3704 1695 M
+.1394 g 3704 1695 M
 28 -86 V
 stroke
-LT0
-.1784 g .2055 g 5041 1848 M
--3 -2 V
-stroke
-LT0
-.1784 g .2039 g 5043 1849 M
--4 -4 V
-stroke
-LT0
-.1784 g .1875 g 4990 1801 M
-5 5 V
-stroke
-LT0
-.1784 g .0069 g 4150 1305 M
+LT1
+.0069 g 4150 1305 M
 -113 -15 V
 stroke
 LT0
-.1784 g .1518 g 3435 1760 M
--63 -146 V
+.1519 g 3435 1760 M
+-63 -145 V
 stroke
 LT0
-.1784 g .1386 g 3300 1712 M
+.1386 g 3300 1712 M
 45 -96 V
 stroke
-LT0
-.1784 g .064 g 4496 1470 M
+LT1
+.064 g 4496 1470 M
 -58 -73 V
 stroke
-LT0
-.1784 g .0396 g 4361 1375 M
+LT1
+.0396 g 4361 1375 M
 77 22 V
 stroke
 LT0
-.1784 g .1911 g 3857 1911 M
+.1911 g 3857 1911 M
 59 -240 V
 stroke
 LT0
-.1784 g .1295 g 3858 1615 M
-58 56 V
+.1296 g 3859 1616 M
+57 55 V
 stroke
 LT0
-.1784 g .1594 g 5764 1719 M
+.1594 g 5764 1719 M
 76 -18 V
 stroke
 LT0
-.1784 g .1623 g 3781 1811 M
+.1623 g 3781 1811 M
 53 -196 V
 stroke
 LT0
-.1784 g .261 g 5588 1967 M
+.261 g 5588 1967 M
 -58 65 V
 stroke
 LT0
-.1784 g .2753 g 5453 2033 M
+.2753 g 5453 2033 M
 77 -1 V
 stroke
-LT0
-.1784 g .1577 g 4878 1703 M
+LT1
+.1577 g 4878 1703 M
 32 28 V
 stroke
 LT0
-.1784 g .505 g 4081 2770 M
+.505 g 4081 2770 M
 58 -220 V
 stroke
 LT0
-.1784 g .505 g 4063 2725 M
+.505 g 4063 2725 M
 76 -175 V
 stroke
 LT0
-.1784 g .2268 g 2104 1898 M
+.2268 g 2104 1898 M
 -18 16 V
 stroke
 LT0
-.1784 g .2453 g 2009 1963 M
-77 -49 V
+.236 g 2052 1936 M
+34 -22 V
 stroke
 LT0
-.1784 g .2833 g 1816 2040 M
+.2833 g 1816 2040 M
 -59 23 V
 stroke
 LT0
-.1784 g .2766 g 1681 2018 M
+.2766 g 1681 2018 M
 76 45 V
 stroke
 LT0
-.1784 g .2819 g 5453 2033 M
+.2819 g 5453 2033 M
 -58 33 V
 stroke
 LT0
-.1784 g .2817 g 5318 2037 M
+.2817 g 5318 2037 M
 77 29 V
 stroke
 LT0
-.1784 g .1433 g 2397 1652 M
--29 18 V
-stroke
-LT0
-.1784 g .333 g 4027 2317 M
+.333 g 4027 2317 M
 59 -295 V
 stroke
 LT0
-.1784 g .2723 g 4010 2020 M
+.2723 g 4010 2020 M
 76 2 V
 stroke
-LT0
-.1784 g .161 g 4898 1728 M
+LT1
+.161 g 4898 1728 M
 -20 -25 V
 stroke
-LT0
-.1784 g .1428 g 4802 1642 M
+LT1
+.1428 g 4802 1642 M
 76 61 V
 stroke
 LT0
-.1784 g .273 g 1951 2005 M
--59 39 V
-stroke
-LT0
-.1784 g .2802 g 1816 2040 M
+.2802 g 1816 2040 M
 76 4 V
 stroke
 LT0
-.1784 g .2041 g 3377 1926 M
+.2041 g 3377 1926 M
 -77 -214 V
 stroke
 LT0
-.1784 g .1807 g 3242 1835 M
+.1807 g 3242 1835 M
 58 -123 V
 stroke
 LT0
-.1784 g .2553 g 3183 1940 M
+.2553 g 3183 1940 M
 -58 78 V
 stroke
 LT0
-.1784 g .333 g 3201 2308 M
+.333 g 3201 2308 M
 -76 -290 V
 stroke
 LT0
-.1784 g .0124 g 3247 1278 M
--2 0 V
-stroke
-LT0
-.1784 g .0016 g 3249 1278 M
--4 0 V
-stroke
-LT0
-.1784 g .1399 g 3704 1695 M
+.1399 g 3704 1695 M
 -54 -86 V
 stroke
 LT0
-.1784 g .153 g 3570 1754 M
+.153 g 3570 1754 M
 46 -145 V
 stroke
-LT0
-.1784 g .1572 g 4858 1719 M
+LT1
+.1572 g 4858 1719 M
 -56 -77 V
 stroke
-LT0
-.1784 g .1243 g 4725 1587 M
+LT1
+.1243 g 4725 1587 M
 77 55 V
 stroke
 LT0
-.1784 g .1528 g 3570 1754 M
+.1529 g 3570 1754 M
 -71 -143 V
 stroke
 LT0
-.1784 g .1528 g 3435 1760 M
+.1528 g 3435 1760 M
 55 -149 V
 stroke
-LT0
-.1784 g .0089 g 3862 1268 M
--10 1 V
-stroke
-LT0
-.1784 g .0284 g 4208 1349 M
+LT1
+.0284 g 4208 1349 M
 -58 -44 V
 stroke
-LT0
-.1784 g .0143 g 4074 1296 M
+LT1
+.0143 g 4074 1296 M
 76 9 V
 stroke
 LT0
-.1784 g .2388 g 5647 1890 M
+.2388 g 5647 1890 M
 -59 77 V
 stroke
 LT0
-.1784 g .2589 g 5512 1979 M
+.2589 g 5512 1979 M
 76 -12 V
 stroke
 LT0
-.1784 g .259 g 3318 2082 M
+.259 g 3318 2082 M
 -76 -247 V
 stroke
 LT0
-.1784 g .2234 g 3183 1940 M
+.2234 g 3183 1940 M
 59 -105 V
 stroke
 LT0
-.1784 g .2737 g 1740 2006 M
+.2737 g 1740 2006 M
 -59 12 V
 stroke
 LT0
-.1784 g .2589 g 1605 1951 M
+.2589 g 1605 1951 M
 76 67 V
 stroke
 LT0
-.1784 g .3038 g 3260 2213 M
+.3038 g 3260 2213 M
 -77 -273 V
 stroke
-LT0
-.1784 g .0623 g 4420 1447 M
+LT1
+.0623 g 4420 1447 M
 -59 -72 V
 stroke
-LT0
-.1784 g .0396 g 4285 1359 M
+LT1
+.0396 g 4285 1359 M
 76 16 V
 stroke
 LT0
-.1784 g .2523 g 1663 1946 M
+.2523 g 1663 1946 M
 -58 5 V
 stroke
-LT0
-.1784 g .1423 g 4784 1671 M
+LT1
+.1423 g 4784 1671 M
 -59 -84 V
 stroke
-LT0
-.1784 g .1093 g 4649 1540 M
+LT1
+.1093 g 4649 1540 M
 76 47 V
 stroke
-LT0
-.1784 g .0144 g 3997 1295 M
+LT1
+.0144 g 3997 1295 M
 -58 -22 V
 stroke
-LT0
-.1784 g .01 g 4074 1296 M
+LT1
+.01 g 4074 1296 M
 -135 -23 V
 stroke
-LT0
-.1784 g .0064 g 3862 1268 M
+LT1
+.0064 g 3862 1268 M
 77 5 V
 stroke
 LT0
-.1784 g .2817 g 5377 2021 M
+.2817 g 5377 2021 M
 -59 16 V
 stroke
 LT0
-.1784 g .2746 g 5242 1997 M
+.2746 g 5242 1997 M
 76 40 V
 stroke
 LT0
-.1784 g .2165 g 2149 1860 M
--5 4 V
-stroke
-LT0
-.1784 g .2119 g 5705 1805 M
+.2119 g 5705 1805 M
 -58 85 V
 stroke
 LT0
-.1784 g .2354 g 5571 1908 M
+.2354 g 5571 1908 M
 76 -18 V
 stroke
 LT0
-.1784 g .1807 g 3781 1811 M
+.1807 g 3781 1811 M
 -77 -116 V
 stroke
 LT0
-.1784 g .2041 g 3646 1914 M
+.2041 g 3646 1914 M
 58 -219 V
 stroke
 LT0
-.1784 g .0009 g 3628 1260 M
--2 0 V
-stroke
-LT0
-.1784 g .2658 g 2009 1963 M
+.2658 g 2009 1963 M
 -58 42 V
 stroke
 LT0
-.1784 g .2763 g 1874 2013 M
+.2763 g 1874 2013 M
 77 -8 V
 stroke
 LT0
-.1784 g .183 g 5764 1719 M
+.183 g 5764 1719 M
 -59 86 V
 stroke
 LT0
-.1784 g .2073 g 5629 1826 M
+.2073 g 5629 1826 M
 76 -21 V
 stroke
 LT0
-.1784 g .4309 g 4045 2566 M
+.4309 g 4045 2566 M
 59 -298 V
 stroke
 LT0
-.1784 g .3815 g 4027 2317 M
+.3815 g 4027 2317 M
 77 -49 V
 stroke
 LT0
-.1784 g .2732 g 5512 1979 M
+.2732 g 5512 1979 M
 -59 54 V
 stroke
 LT0
-.1784 g .2819 g 5377 2021 M
+.2819 g 5377 2021 M
 76 12 V
 stroke
 LT0
-.1784 g .4039 g 3142 2357 M
+.4039 g 3142 2357 M
 -58 1 V
 stroke
 LT0
-.1784 g .468 g 3160 2666 M
+.468 g 3160 2666 M
 -76 -308 V
 stroke
-LT0
-.1784 g .1296 g 4707 1626 M
+LT1
+.1296 g 4707 1626 M
 -58 -86 V
 stroke
-LT0
-.1784 g .098 g 4573 1501 M
+LT1
+.098 g 4573 1501 M
 76 39 V
 stroke
 LT0
-.1784 g .4927 g 4063 2725 M
+.4927 g 4063 2725 M
 59 -271 V
 stroke
 LT0
-.1784 g .4651 g 4045 2566 M
+.4651 g 4045 2566 M
 77 -112 V
 stroke
 LT0
-.1784 g .3432 g 3951 2321 M
+.3432 g 3951 2321 M
 59 -301 V
 stroke
 LT0
-.1784 g .2723 g 3933 1983 M
+.2723 g 3933 1983 M
 77 37 V
 stroke
 LT0
-.1784 g .2834 g 1874 2013 M
+.2834 g 1874 2013 M
 -58 27 V
 stroke
 LT0
-.1784 g .2804 g 1740 2006 M
+.2804 g 1740 2006 M
 76 34 V
 stroke
 LT0
-.1784 g .2255 g 3512 1956 M
+.2255 g 3512 1956 M
 -77 -196 V
 stroke
 LT0
-.1784 g .217 g 3377 1926 M
+.217 g 3377 1926 M
 58 -166 V
 stroke
 LT0
-.1784 g .1776 g 5688 1738 M
+.1776 g 5688 1738 M
 76 -19 V
 stroke
-LT0
-.1784 g .7404 g 3272 3202 M
--3 -11 V
-stroke
-LT0
-.1784 g .0094 g 3862 1268 M
+LT1
+.0094 g 3862 1268 M
 -12 -1 V
 stroke
 LT0
-.1784 g .2759 g 5301 1998 M
+.2759 g 5301 1998 M
 -59 -1 V
 stroke
 LT0
-.1784 g .2625 g 5166 1948 M
+.2625 g 5166 1948 M
 76 49 V
 stroke
-LT0
-.1784 g .0352 g 4132 1347 M
+LT1
+.0352 g 4132 1347 M
 -58 -51 V
 stroke
-LT0
-.1784 g .0214 g 3997 1295 M
+LT1
+.0214 g 3997 1295 M
 77 1 V
 stroke
 LT0
-.1784 g .217 g 3646 1914 M
+.217 g 3646 1914 M
 -76 -160 V
 stroke
 LT0
-.1784 g .2255 g 3512 1956 M
+.2255 g 3512 1956 M
 58 -202 V
 stroke
 LT0
-.1784 g .2234 g 3857 1911 M
+.2234 g 3857 1911 M
 -76 -100 V
 stroke
 LT0
-.1784 g .259 g 3722 2064 M
+.259 g 3722 2064 M
 59 -253 V
 stroke
-LT0
-.1784 g .064 g 4343 1431 M
+LT1
+.064 g 4343 1431 M
 -58 -72 V
 stroke
-LT0
-.1784 g .0428 g 4208 1349 M
+LT1
+.0428 g 4208 1349 M
 77 10 V
 stroke
 LT0
-.1784 g .234 g 2151 1863 M
-3 -3 V
-stroke
-LT0
-.1784 g .2272 g 2143 1865 M
-5 -5 V
-stroke
-LT0
-.1784 g .5894 g 4022 2950 M
+.5894 g 4022 2950 M
 59 -180 V
 stroke
 LT0
-.1784 g .6053 g 4004 2972 M
+.6053 g 4004 2972 M
 77 -202 V
 stroke
-LT0
-.1784 g .1204 g 4631 1588 M
+LT1
+.1204 g 4631 1588 M
 -58 -87 V
 stroke
-LT0
-.1784 g .0905 g 4496 1470 M
+LT1
+.0905 g 4496 1470 M
 77 31 V
 stroke
 LT0
-.1784 g .0089 g 3382 1264 M
--10 1 V
-stroke
-LT0
-.1784 g .0129 g 3246 1279 M
-1 -1 V
-stroke
-LT0
-.1784 g .2657 g 5224 1966 M
+.2657 g 5224 1966 M
 -58 -18 V
 stroke
 LT0
-.1784 g .2467 g 5089 1893 M
+.2467 g 5089 1893 M
 77 55 V
 stroke
 LT0
-.1784 g .2555 g 5571 1908 M
+.2555 g 5571 1908 M
 -59 71 V
 stroke
 LT0
-.1784 g .2716 g 5436 1981 M
+.2716 g 5436 1981 M
 76 -2 V
 stroke
 LT0
-.1784 g .333 g 3875 2278 M
+.333 g 3875 2278 M
 58 -295 V
 stroke
 LT0
-.1784 g .2553 g 3857 1911 M
+.2553 g 3857 1911 M
 76 72 V
 stroke
-LT0
-.1784 g .0243 g 3921 1303 M
+LT1
+.0243 g 3921 1303 M
 -59 -35 V
 stroke
-LT0
-.1784 g .0105 g 3852 1268 M
+LT1
+.0105 g 3852 1268 M
 10 0 V
 stroke
 LT0
-.1784 g .5894 g 3178 2896 M
+.5894 g 3178 2896 M
 -59 -130 V
 stroke
 LT0
-.1784 g .6053 g 3196 3007 M
+.6053 g 3196 3007 M
 -77 -241 V
 stroke
 LT0
-.1784 g .2788 g 1798 1989 M
+.2788 g 1798 1989 M
 -58 17 V
 stroke
 LT0
-.1784 g .267 g 1663 1946 M
+.267 g 1663 1946 M
 77 60 V
 stroke
 LT0
-.1784 g .01 g 3389 1266 M
--7 -2 V
-stroke
-LT0
-.1784 g .0088 g 3517 1258 M
--3 0 V
-stroke
-LT0
-.1784 g .0111 g 3373 1267 M
-2 -1 V
-stroke
-LT0
-.1784 g .3038 g 3798 2190 M
+.3038 g 3798 2190 M
 59 -279 V
 stroke
 LT0
-.1784 g .2582 g 2068 1922 M
+.2582 g 2068 1922 M
 -59 41 V
 stroke
 LT0
-.1784 g .2712 g 1933 1982 M
+.2712 g 1933 1982 M
 76 -19 V
 stroke
 LT0
-.1784 g .2803 g 5436 1981 M
+.2803 g 5436 1981 M
 -59 40 V
 stroke
 LT0
-.1784 g .283 g 5301 1998 M
+.283 g 5301 1998 M
 76 23 V
 stroke
 LT0
-.1784 g .2522 g 5148 1926 M
--59 -33 V
-stroke
-LT0
-.1784 g .261 g 1722 1936 M
+.261 g 1722 1936 M
 -59 10 V
 stroke
 LT0
-.1784 g .5173 g 3160 2666 M
+.5173 g 3160 2666 M
 -58 -59 V
 stroke
 LT0
-.1784 g .5618 g 3178 2896 M
+.5618 g 3178 2896 M
 -76 -289 V
 stroke
 LT0
-.1784 g .0091 g 3514 1259 M
-3 -1 V
-stroke
-LT0
-.1784 g .3026 g 3453 2160 M
+.3026 g 3453 2160 M
 -76 -234 V
 stroke
 LT0
-.1784 g .2824 g 3318 2082 M
+.2824 g 3318 2082 M
 59 -156 V
 stroke
 LT0
-.1784 g .2308 g 5629 1826 M
+.2308 g 5629 1826 M
 -58 82 V
 stroke
 LT0
-.1784 g .2521 g 5494 1920 M
+.2521 g 5494 1920 M
 77 -12 V
 stroke
 LT0
-.1784 g .2817 g 1933 1982 M
+.2817 g 1933 1982 M
 -59 31 V
 stroke
 LT0
-.1784 g .2819 g 1798 1989 M
+.2819 g 1798 1989 M
 76 24 V
 stroke
-LT0
-.1784 g .225 g 5024 1844 M
--4 -3 V
-stroke
-LT0
-.1784 g .1148 g 4555 1557 M
+LT1
+.1148 g 4555 1557 M
 -59 -87 V
 stroke
-LT0
-.1784 g .0868 g 4420 1447 M
+LT1
+.0868 g 4420 1447 M
 76 23 V
 stroke
 LT0
-.1784 g .2019 g 5688 1738 M
+.2019 g 5688 1738 M
 -59 88 V
 stroke
 LT0
-.1784 g .2258 g 5553 1843 M
+.2258 g 5553 1843 M
 76 -17 V
 stroke
-LT0
-.1784 g .0693 g 4267 1423 M
+LT1
+.0693 g 4267 1423 M
 -59 -74 V
 stroke
-LT0
-.1784 g .0494 g 4132 1347 M
+LT1
+.0494 g 4132 1347 M
 76 2 V
 stroke
 LT0
-.1784 g .0663 g 2847 1406 M
--5 0 V
-stroke
-LT0
-.1784 g .1073 g 2766 1490 M
-26 -29 V
-stroke
-LT0
-.1784 g .4039 g 3201 2308 M
+.4039 g 3201 2308 M
 -59 49 V
 stroke
 LT0
-.1784 g .4808 g 3219 2671 M
+.4808 g 3219 2671 M
 -77 -314 V
 stroke
-LT0
-.1784 g .0457 g 4056 1353 M
+LT1
+.0457 g 4056 1353 M
 -59 -58 V
 stroke
-LT0
-.1784 g .0323 g 3921 1303 M
+LT1
+.0323 g 3921 1303 M
 76 -8 V
 stroke
 LT0
-.1784 g .208 g 4947 1788 M
--1 -1 V
-stroke
-LT0
-.1784 g .1957 g 5611 1755 M
+.1957 g 5611 1755 M
 77 -17 V
 stroke
 LT0
-.1784 g .2824 g 3722 2064 M
+.2824 g 3722 2064 M
 -76 -150 V
 stroke
 LT0
-.1784 g .3026 g 3588 2154 M
+.3026 g 3588 2154 M
 58 -240 V
 stroke
 LT0
-.1784 g .2511 g 2127 1883 M
+.2511 g 2127 1883 M
 -59 39 V
 stroke
 LT0
-.1784 g .2659 g 1992 1950 M
+.2659 g 1992 1950 M
 76 -28 V
 stroke
 LT0
-.1784 g .6851 g 3946 3173 M
+.6851 g 3946 3173 M
 76 -223 V
 stroke
 LT0
-.1784 g .2824 g 5359 1973 M
+.2824 g 5359 1973 M
 -58 25 V
 stroke
 LT0
-.1784 g .2791 g 5224 1966 M
+.2791 g 5224 1966 M
 77 32 V
 stroke
 LT0
-.1784 g .468 g 3969 2631 M
+.468 g 3969 2631 M
 58 -314 V
 stroke
 LT0
-.1784 g .4039 g 3951 2321 M
+.4039 g 3951 2321 M
 76 -4 V
 stroke
 LT0
-.1784 g .2682 g 5494 1920 M
+.2682 g 5494 1920 M
 -58 61 V
 stroke
 LT0
-.1784 g .2797 g 5359 1973 M
+.2797 g 5359 1973 M
 77 8 V
 stroke
 LT0
-.1784 g .3111 g 3588 2154 M
+.3111 g 3588 2154 M
 -76 -198 V
 stroke
 LT0
-.1784 g .3111 g 3453 2160 M
+.3111 g 3453 2160 M
 59 -204 V
 stroke
 LT0
-.1784 g .3736 g 3394 2349 M
+.3736 g 3394 2349 M
 -76 -267 V
 stroke
 LT0
-.1784 g .3394 g 3260 2213 M
+.3394 g 3260 2213 M
 58 -131 V
 stroke
-LT0
-.1784 g .1756 g 4784 1671 M
+LT1
+.1756 g 4784 1671 M
 70 47 V
 stroke
 LT0
-.1784 g .0401 g 3710 1293 M
-2 -1 V
-stroke
-LT0
-.1784 g .2819 g 1857 1968 M
+.2819 g 1857 1968 M
 -59 21 V
 stroke
 LT0
-.1784 g .2728 g 1722 1936 M
+.2728 g 1722 1936 M
 76 53 V
 stroke
-LT0
-.1784 g .113 g 4478 1534 M
+LT1
+.113 g 4478 1534 M
 -58 -87 V
 stroke
-LT0
-.1784 g .0868 g 4343 1431 M
+LT1
+.0868 g 4343 1431 M
 77 16 V
 stroke
 LT0
-.1784 g .3815 g 3260 2213 M
+.3815 g 3260 2213 M
 -59 95 V
 stroke
 LT0
-.1784 g .468 g 3277 2616 M
+.468 g 3277 2616 M
 -76 -308 V
 stroke
 LT0
-.1784 g .2789 g 1992 1950 M
+.2789 g 1992 1950 M
 -59 32 V
 stroke
 LT0
-.1784 g .2817 g 1857 1968 M
+.2817 g 1857 1968 M
 76 14 V
 stroke
-LT0
-.1784 g .1805 g 4812 1708 M
+LT1
+.1805 g 4812 1708 M
 -28 -37 V
 stroke
-LT0
-.1784 g .1626 g 4707 1626 M
+LT1
+.1626 g 4707 1626 M
 77 45 V
 stroke
 LT0
-.1784 g .4309 g 3336 2506 M
+.4309 g 3336 2506 M
 -76 -293 V
 stroke
 LT0
-.1784 g .2677 g 1780 1923 M
+.2677 g 1780 1923 M
 -58 13 V
 stroke
 LT0
-.1784 g .2384 g 2244 1815 M
-3 -3 V
-stroke
-LT0
-.1784 g .2799 g 5283 1957 M
+.2799 g 5283 1957 M
 -59 9 V
 stroke
 LT0
-.1784 g .2712 g 5148 1926 M
+.2712 g 5148 1926 M
 76 40 V
 stroke
 LT0
-.1784 g .2471 g 5553 1843 M
+.2471 g 5553 1843 M
 -59 77 V
 stroke
 LT0
-.1784 g .2653 g 5418 1924 M
+.2653 g 5418 1924 M
 76 -4 V
 stroke
 LT0
-.1784 g .6053 g 4004 2972 M
+.6053 g 4004 2972 M
 59 -247 V
 stroke
 LT0
-.1784 g .5894 g 3987 2861 M
+.5894 g 3987 2861 M
 76 -136 V
 stroke
-LT0
-.1784 g .0781 g 4191 1423 M
+LT1
+.0781 g 4191 1423 M
 -59 -76 V
 stroke
-LT0
-.1784 g .0596 g 4056 1353 M
+LT1
+.0596 g 4056 1353 M
 76 -6 V
 stroke
 LT0
-.1784 g .246 g 2167 1858 M
--40 25 V
+.2463 g 2160 1863 M
+-33 20 V
 stroke
 LT0
-.1784 g .2609 g 2050 1918 M
-77 -35 V
+.2578 g 2068 1910 M
+59 -27 V
 stroke
 LT0
-.1784 g .3394 g 3798 2190 M
+.3394 g 3798 2190 M
 -76 -126 V
 stroke
 LT0
-.1784 g .3736 g 3663 2338 M
+.3736 g 3663 2338 M
 59 -274 V
 stroke
-LT0
-.1784 g .0542 g 3962 1348 M
+LT1
+.0542 g 3962 1348 M
 -41 -45 V
 stroke
-LT0
-.1784 g .0408 g 3904 1307 M
+LT1
+.0408 g 3904 1307 M
 17 -4 V
 stroke
 LT0
-.1784 g .2195 g 5611 1755 M
+.2195 g 5611 1755 M
 -58 88 V
 stroke
 LT0
-.1784 g .242 g 5476 1854 M
+.242 g 5476 1854 M
 77 -11 V
 stroke
-LT0
-.1784 g .1779 g 4757 1694 M
+LT1
+.1779 g 4757 1694 M
 -50 -68 V
 stroke
-LT0
-.1784 g .152 g 4631 1588 M
+LT1
+.152 g 4631 1588 M
 76 38 V
 stroke
 LT0
-.1784 g .5618 g 3987 2861 M
+.5618 g 3987 2861 M
 58 -295 V
 stroke
 LT0
-.1784 g .5173 g 3969 2631 M
+.5173 g 3969 2631 M
 76 -65 V
 stroke
 LT0
-.1784 g .2767 g 5418 1924 M
+.2767 g 5418 1924 M
 -59 49 V
 stroke
 LT0
-.1784 g .2832 g 5283 1957 M
+.2832 g 5283 1957 M
 76 16 V
 stroke
 LT0
-.1784 g .2739 g 5206 1932 M
+.2739 g 5206 1932 M
 -58 -6 V
 stroke
 LT0
-.1784 g .2604 g 5072 1882 M
+.2604 g 5072 1882 M
 76 44 V
 stroke
 LT0
-.1784 g .2127 g 5535 1769 M
+.2127 g 5535 1769 M
 76 -14 V
 stroke
-LT0
-.1784 g .1148 g 4402 1519 M
+LT1
+.1148 g 4402 1519 M
 -59 -88 V
 stroke
-LT0
-.1784 g .0905 g 4267 1423 M
+LT1
+.0905 g 4267 1423 M
 76 8 V
 stroke
 LT0
-.1784 g .4808 g 3892 2641 M
+.4808 g 3892 2641 M
 59 -320 V
 stroke
 LT0
-.1784 g .4039 g 3875 2278 M
+.4039 g 3875 2278 M
 76 43 V
 stroke
 LT0
-.1784 g .701 g 3254 3157 M
+.701 g 3254 3157 M
 -58 -150 V
 stroke
 LT0
-.1784 g .6923 g 3256 3162 M
--60 -155 V
-stroke
-LT0
-.1784 g .7472 g 3331 3368 M
+.7472 g 3331 3368 M
 3196 3007 L
 stroke
 LT0
-.1784 g .2834 g 1915 1944 M
+.2834 g 1915 1944 M
 -58 24 V
 stroke
 LT0
-.1784 g .2767 g 1780 1923 M
+.2767 g 1780 1923 M
 77 45 V
 stroke
 LT0
-.1784 g .2757 g 2050 1918 M
--58 32 V
-stroke
-LT0
-.1784 g .2806 g 1915 1944 M
+.2806 g 1915 1944 M
 77 6 V
 stroke
 LT0
-.1784 g .0434 g 3718 1301 M
--8 -8 V
-stroke
-LT0
-.1784 g .3815 g 3875 2278 M
+.3815 g 3875 2278 M
 -77 -88 V
 stroke
 LT0
-.1784 g .4309 g 3740 2489 M
+.4309 g 3740 2489 M
 58 -299 V
 stroke
-LT0
-.1784 g .1735 g 4690 1671 M
+LT1
+.1735 g 4690 1671 M
 -59 -83 V
 stroke
-LT0
-.1784 g .1447 g 4555 1557 M
+LT1
+.1447 g 4555 1557 M
 76 31 V
 stroke
 LT0
-.1784 g .4062 g 3529 2395 M
+.4062 g 3529 2395 M
 -76 -235 V
 stroke
 LT0
-.1784 g .3938 g 3394 2349 M
+.3938 g 3394 2349 M
 59 -189 V
 stroke
 LT0
-.1784 g .5449 g 3219 2671 M
+.5449 g 3219 2671 M
 -59 -5 V
 stroke
 LT0
-.1784 g .6064 g 3236 2971 M
+.6064 g 3236 2971 M
 -76 -305 V
 stroke
 LT0
-.1784 g .2654 g 5130 1902 M
+.2654 g 5130 1902 M
 -58 -20 V
 stroke
 LT0
-.1784 g .2514 g 5036 1861 M
-36 21 V
-stroke
-LT0
-.1784 g .468 g 3816 2592 M
-59 -314 V
+.2525 g 5049 1869 M
+23 13 V
 stroke
 LT0
-.1784 g .2414 g 2209 1834 M
--8 4 V
+.2494 g 5036 1861 M
+12 7 V
 stroke
 LT0
-.1784 g .2673 g 2050 1918 M
-59 -31 V
+.468 g 3816 2592 M
+59 -314 V
 stroke
 LT0
-.1784 g .2602 g 5476 1854 M
+.2602 g 5476 1854 M
 -58 70 V
 stroke
 LT0
-.1784 g .2748 g 5341 1920 M
+.2748 g 5341 1920 M
 77 4 V
 stroke
 LT0
-.1784 g .2725 g 1839 1906 M
+.2725 g 1839 1906 M
 -59 17 V
 stroke
 LT0
-.1784 g .3938 g 3663 2338 M
+.3938 g 3663 2338 M
 -75 -184 V
 stroke
 LT0
-.1784 g .4062 g 3529 2395 M
+.4062 g 3529 2395 M
 59 -241 V
 stroke
 LT0
-.1784 g .2812 g 5341 1920 M
+.2812 g 5341 1920 M
 -58 37 V
 stroke
 LT0
-.1784 g .2827 g 5206 1932 M
+.2827 g 5206 1932 M
 77 25 V
 stroke
-LT0
-.1784 g .0908 g 4114 1431 M
+LT1
+.0908 g 4114 1431 M
 -58 -78 V
 stroke
-LT0
-.1784 g .0731 g 3987 1366 M
+LT1
+.0731 g 3987 1366 M
 69 -13 V
 stroke
-LT0
-.1784 g .1204 g 4326 1510 M
+LT1
+.1204 g 4326 1510 M
 -59 -87 V
 stroke
-LT0
-.1784 g .098 g 4191 1423 M
+LT1
+.098 g 4191 1423 M
 76 0 V
 stroke
-LT0
-.1784 g .1685 g 4613 1642 M
+LT1
+.1685 g 4613 1642 M
 -58 -85 V
 stroke
-LT0
-.1784 g .1411 g 4478 1534 M
+LT1
+.1411 g 4478 1534 M
 77 23 V
 stroke
 LT0
-.1784 g .2352 g 5535 1769 M
+.2352 g 5535 1769 M
 -59 85 V
 stroke
 LT0
-.1784 g .2554 g 5400 1859 M
+.2554 g 5400 1859 M
 76 -5 V
 stroke
 LT0
-.1784 g .6509 g 3236 2971 M
+.6509 g 3236 2971 M
 -58 -75 V
 stroke
 LT0
-.1784 g .6851 g 3254 3157 M
+.6851 g 3254 3157 M
 -76 -261 V
 stroke
 LT0
-.1784 g .2728 g 2109 1887 M
--59 31 V
-stroke
-LT0
-.1784 g .279 g 1974 1919 M
+.279 g 1974 1919 M
 76 -1 V
 stroke
 LT0
-.1784 g .2838 g 1974 1919 M
+.2838 g 1974 1919 M
 -59 25 V
 stroke
 LT0
-.1784 g .2792 g 1839 1906 M
+.2792 g 1839 1906 M
 76 38 V
 stroke
 LT0
-.1784 g .2281 g 5459 1780 M
+.2281 g 5459 1780 M
 76 -11 V
 stroke
 LT0
-.1784 g .2821 g 5265 1909 M
+.2821 g 5265 1909 M
 -59 23 V
 stroke
 LT0
-.1784 g .279 g 5130 1902 M
+.279 g 5130 1902 M
 76 30 V
 stroke
 LT0
-.1784 g .2392 g 2251 1811 M
--7 4 V
-stroke
-LT0
-.1784 g .2537 g 2204 1837 M
-7 -4 V
-stroke
-LT0
-.1784 g .2488 g 2200 1838 M
-8 -4 V
-stroke
-LT0
-.1784 g .1994 g 2496 1676 M
--5 1 V
-stroke
-LT0
-.1784 g .4927 g 3471 2614 M
+.4927 g 3471 2614 M
 -77 -265 V
 stroke
 LT0
-.1784 g .4651 g 3336 2506 M
+.4651 g 3336 2506 M
 58 -157 V
 stroke
 LT0
-.1784 g .701 g 3946 3173 M
+.701 g 3946 3173 M
 58 -201 V
 stroke
 LT0
-.1784 g .701 g 3928 3128 M
+.701 g 3928 3128 M
 76 -156 V
 stroke
 LT0
-.1784 g .27 g 5400 1859 M
+.27 g 5400 1859 M
 -59 61 V
 stroke
 LT0
-.1784 g .2806 g 5265 1909 M
+.2806 g 5265 1909 M
 76 11 V
 stroke
-LT0
-.1784 g .1668 g 4537 1619 M
+LT1
+.1668 g 4537 1619 M
 -59 -85 V
 stroke
-LT0
-.1784 g .1411 g 4402 1519 M
+LT1
+.1411 g 4402 1519 M
 76 15 V
 stroke
 LT0
-.1784 g .2758 g 1898 1886 M
+.2758 g 1898 1886 M
 -59 20 V
 stroke
 LT0
-.1784 g .2335 g 4870 1770 M
--3 -2 V
-stroke
-LT0
-.1784 g .5449 g 3277 2616 M
+.5449 g 3277 2616 M
 -58 55 V
 stroke
 LT0
-.1784 g .6218 g 3295 2980 M
+.6218 g 3295 2980 M
 -76 -309 V
 stroke
 LT0
-.1784 g .6064 g 3910 2941 M
+.6064 g 3910 2941 M
 59 -310 V
 stroke
 LT0
-.1784 g .5449 g 3892 2641 M
+.5449 g 3892 2641 M
 77 -10 V
 stroke
-LT0
-.1784 g .1296 g 4249 1510 M
+LT1
+.1296 g 4249 1510 M
 -58 -87 V
 stroke
-LT0
-.1784 g .1093 g 4114 1431 M
+LT1
+.1093 g 4114 1431 M
 77 -8 V
 stroke
 LT0
-.1784 g .4651 g 3740 2489 M
+.4651 g 3740 2489 M
 -77 -151 V
 stroke
 LT0
-.1784 g .4927 g 3605 2608 M
+.4927 g 3605 2608 M
 58 -270 V
 stroke
 LT0
-.1784 g .2802 g 5189 1892 M
+.2802 g 5189 1892 M
 -59 10 V
 stroke
 LT0
-.1784 g .273 g 5054 1869 M
+.273 g 5054 1869 M
 76 33 V
 stroke
 LT0
-.1784 g .2705 g 2167 1858 M
+.2705 g 2167 1858 M
 -58 29 V
 stroke
 LT0
-.1784 g .2775 g 2032 1893 M
+.2775 g 2032 1893 M
 77 -6 V
 stroke
 LT0
-.1784 g .2483 g 5459 1780 M
+.2483 g 5459 1780 M
 -59 79 V
 stroke
 LT0
-.1784 g .266 g 5324 1859 M
+.266 g 5324 1859 M
 76 0 V
 stroke
 LT0
-.1784 g .2837 g 2032 1893 M
+.2837 g 2032 1893 M
 -58 26 V
 stroke
 LT0
-.1784 g .2805 g 1898 1886 M
+.2805 g 1898 1886 M
 76 33 V
 stroke
-LT0
-.1784 g .2008 g 4690 1671 M
+LT1
+.2008 g 4690 1671 M
 26 12 V
 stroke
 LT0
-.1784 g .5618 g 3412 2795 M
+.5618 g 3412 2795 M
 -76 -289 V
 stroke
 LT0
-.1784 g .5173 g 3277 2616 M
+.5173 g 3277 2616 M
 59 -110 V
 stroke
 LT0
-.1784 g .6064 g 3354 2920 M
+.6064 g 3354 2920 M
 -77 -304 V
 stroke
 LT0
-.1784 g .2413 g 5382 1785 M
+.2413 g 5382 1785 M
 77 -5 V
 stroke
 LT0
-.1784 g .8746 g 3397 3481 M
--5 -15 V
-stroke
-LT0
-.1784 g .2392 g 2361 1764 M
--7 3 V
-stroke
-LT0
-.1784 g .2558 g 2254 1815 M
-9 -5 V
-stroke
-LT0
-.1784 g .6851 g 3928 3128 M
+.6851 g 3928 3128 M
 59 -267 V
 stroke
 LT0
-.1784 g .6509 g 3910 2941 M
+.6509 g 3910 2941 M
 77 -80 V
 stroke
 LT0
-.1784 g .505 g 3605 2608 M
+.505 g 3605 2608 M
 -76 -213 V
 stroke
 LT0
-.1784 g .505 g 3471 2614 M
+.505 g 3471 2614 M
 58 -219 V
 stroke
 LT0
-.1784 g .2766 g 5324 1859 M
+.2766 g 5324 1859 M
 -59 50 V
 stroke
 LT0
-.1784 g .2833 g 5189 1892 M
+.2833 g 5189 1892 M
 76 17 V
 stroke
-LT0
-.1784 g .1685 g 4461 1603 M
+LT1
+.1685 g 4461 1603 M
 -59 -84 V
 stroke
-LT0
-.1784 g .1447 g 4326 1510 M
+LT1
+.1447 g 4326 1510 M
 76 9 V
 stroke
 LT0
-.1784 g .2763 g 5112 1871 M
+.2763 g 5112 1871 M
 -58 -2 V
 stroke
 LT0
-.1784 g .2658 g 4977 1833 M
+.2658 g 4977 1833 M
 77 36 V
 stroke
 LT0
-.1784 g .278 g 1956 1864 M
+.278 g 1956 1864 M
 -58 22 V
 stroke
-LT0
-.1784 g .2018 g 4696 1678 M
--6 -7 V
+LT1
+.2017 g 4695 1677 M
+-5 -6 V
 stroke
-LT0
-.1784 g .1973 g 4613 1642 M
+LT1
+.1973 g 4613 1642 M
 77 29 V
 stroke
 LT0
-.1784 g .7706 g 3887 3311 M
-59 -138 V
-stroke
-LT0
-.1784 g .7895 g 3869 3344 M
+.7895 g 3869 3344 M
 77 -171 V
 stroke
 LT0
-.1784 g .8191 g 3811 3492 M
+.8191 g 3811 3492 M
 135 -319 V
 stroke
 LT0
-.1784 g .6218 g 3834 2956 M
+.6218 g 3834 2956 M
 58 -315 V
 stroke
 LT0
-.1784 g .5449 g 3816 2592 M
+.5449 g 3816 2592 M
 76 49 V
 stroke
 LT0
-.1784 g .5173 g 3816 2592 M
+.5173 g 3816 2592 M
 -76 -103 V
 stroke
 LT0
-.1784 g .5618 g 3681 2783 M
+.5618 g 3681 2783 M
 59 -294 V
 stroke
 LT0
-.1784 g .2693 g 2226 1832 M
+.2693 g 2226 1832 M
 -59 26 V
 stroke
 LT0
-.1784 g .2764 g 2091 1867 M
+.2764 g 2091 1867 M
 76 -9 V
 stroke
-LT0
-.1784 g .1242 g 4133 1458 M
+LT1
+.1242 g 4133 1458 M
 -19 -27 V
 stroke
-LT0
-.1784 g .1181 g 4094 1435 M
+LT1
+.1181 g 4094 1435 M
 20 -4 V
 stroke
 LT0
-.1784 g .2589 g 5382 1785 M
+.2589 g 5382 1785 M
 -58 74 V
 stroke
 LT0
-.1784 g .2737 g 5247 1852 M
+.2737 g 5247 1852 M
 77 7 V
 stroke
 LT0
-.1784 g .2712 g 5036 1846 M
+.2712 g 5036 1846 M
 -59 -13 V
 stroke
 LT0
-.1784 g .2591 g 4919 1806 M
-58 27 V
+.2591 g 4919 1807 M
+58 26 V
 stroke
 LT0
-.1784 g .2834 g 2091 1867 M
+.2834 g 2091 1867 M
 -59 26 V
 stroke
 LT0
-.1784 g .2812 g 1956 1864 M
+.2812 g 1956 1864 M
 76 29 V
 stroke
 LT0
-.1784 g .2804 g 5247 1852 M
+.2804 g 5247 1852 M
 -58 40 V
 stroke
 LT0
-.1784 g .2834 g 5112 1871 M
+.2834 g 5112 1871 M
 77 21 V
 stroke
 LT0
-.1784 g .6064 g 3758 2902 M
+.6064 g 3758 2902 M
 58 -310 V
 stroke
 LT0
-.1784 g .8463 g 3811 3492 M
-76 -181 V
-stroke
-LT0
-.1784 g .1484 g 3069 1485 M
--12 -7 V
-stroke
-LT0
-.1784 g .6834 g 3295 2980 M
+.6834 g 3295 2980 M
 -59 -9 V
 stroke
 LT0
-.1784 g .7364 g 3313 3245 M
+.7364 g 3313 3245 M
 -77 -274 V
 stroke
-LT0
-.1784 g .2006 g 4628 1659 M
+LT1
+.2006 g 4628 1659 M
 -15 -17 V
 stroke
-LT0
-.1784 g .1942 g 4537 1619 M
+LT1
+.1942 g 4537 1619 M
 76 23 V
 stroke
-LT0
-.1784 g .1948 g 4381 1588 M
--4 -5 V
-stroke
-LT0
-.1784 g .1669 g 4369 1572 M
+LT1
+.1669 g 4369 1572 M
 -43 -62 V
 stroke
-LT0
-.1784 g .152 g 4249 1510 M
+LT1
+.152 g 4249 1510 M
 77 0 V
 stroke
 LT0
-.1784 g .7706 g 3313 3245 M
+.7706 g 3313 3245 M
 -59 -88 V
 stroke
 LT0
-.1784 g .7895 g 3331 3368 M
+.7895 g 3331 3368 M
 -77 -211 V
 stroke
 LT0
-.1784 g .2401 g 2357 1766 M
-4 -2 V
-stroke
-LT0
-.1784 g .2523 g 5306 1786 M
+.2523 g 5306 1786 M
 76 -1 V
 stroke
 LT0
-.1784 g .2639 g 4964 1821 M
--27 -10 V
-stroke
-LT0
-.1784 g .1536 g 2887 1518 M
--4 -2 V
-stroke
-LT0
-.1784 g .1933 g 2818 1585 M
-2 -3 V
-stroke
-LT0
-.1784 g .1623 g 2867 1533 M
-2 -2 V
-stroke
-LT0
-.1784 g .2793 g 2015 1840 M
+.2793 g 2015 1840 M
 -59 24 V
 stroke
 LT0
-.1784 g .1412 g 3736 1442 M
--5 -6 V
-stroke
-LT0
-.1784 g .2819 g 5171 1841 M
+.2819 g 5171 1841 M
 -59 30 V
 stroke
 LT0
-.1784 g .2817 g 5036 1846 M
+.2817 g 5036 1846 M
 76 25 V
 stroke
 LT0
-.1784 g .6053 g 3547 2855 M
+.6053 g 3547 2855 M
 -76 -241 V
 stroke
 LT0
-.1784 g .5894 g 3412 2795 M
+.5894 g 3412 2795 M
 59 -181 V
 stroke
 LT0
-.1784 g .2693 g 2285 1807 M
+.2693 g 2285 1807 M
 -59 25 V
 stroke
 LT0
-.1784 g .276 g 2150 1841 M
+.276 g 2150 1841 M
 76 -9 V
 stroke
 LT0
-.1784 g .267 g 5306 1786 M
+.267 g 5306 1786 M
 -59 66 V
 stroke
 LT0
-.1784 g .2788 g 5171 1841 M
+.2788 g 5171 1841 M
 76 11 V
 stroke
-LT0
-.1784 g .1989 g 4552 1636 M
+LT1
+.1989 g 4552 1636 M
 -15 -17 V
 stroke
-LT0
-.1784 g .1942 g 4461 1603 M
+LT1
+.1942 g 4461 1603 M
 76 16 V
 stroke
 LT0
-.1784 g .2831 g 2150 1841 M
+.2831 g 2150 1841 M
 -59 26 V
 stroke
 LT0
-.1784 g .2815 g 2015 1840 M
+.2815 g 2015 1840 M
 76 27 V
 stroke
 LT0
-.1784 g .5894 g 3681 2783 M
+.5894 g 3681 2783 M
 -76 -175 V
 stroke
 LT0
-.1784 g .6053 g 3547 2855 M
+.6053 g 3547 2855 M
 58 -247 V
 stroke
-LT0
-.1784 g .1613 g 4261 1525 M
+LT1
+.1613 g 4261 1525 M
 -12 -15 V
 stroke
-LT0
-.1784 g .1579 g 4231 1511 M
+LT1
+.1579 g 4231 1511 M
 18 -1 V
 stroke
 LT0
-.1784 g .7364 g 3852 3221 M
+.7364 g 3852 3221 M
 58 -280 V
 stroke
 LT0
-.1784 g .6834 g 3834 2956 M
+.6834 g 3834 2956 M
 76 -15 V
 stroke
 LT0
-.1784 g .261 g 5230 1783 M
+.261 g 5230 1783 M
 76 3 V
 stroke
 LT0
-.1784 g .2473 g 2478 1731 M
--10 2 V
-stroke
-LT0
-.1784 g .7895 g 3869 3344 M
+.7895 g 3869 3344 M
 59 -216 V
 stroke
 LT0
-.1784 g .7706 g 3852 3221 M
+.7706 g 3852 3221 M
 76 -93 V
 stroke
 LT0
-.1784 g .2817 g 5095 1826 M
+.2817 g 5095 1826 M
 -59 20 V
 stroke
 LT0
-.1784 g .2789 g 4960 1820 M
+.2789 g 4960 1820 M
 76 26 V
 stroke
 LT0
-.1784 g .1277 g 3828 1423 M
--1 -1 V
-stroke
-LT0
-.1784 g .1283 g 3821 1425 M
-6 -3 V
-stroke
-LT0
-.1784 g .6834 g 3354 2920 M
+.6834 g 3354 2920 M
 -59 60 V
 stroke
 LT0
-.1784 g .7541 g 3371 3258 M
+.7541 g 3371 3258 M
 -76 -278 V
 stroke
 LT0
-.1784 g .2799 g 2073 1816 M
+.2799 g 2073 1816 M
 -58 24 V
 stroke
 LT0
-.1784 g .2728 g 5230 1783 M
+.2728 g 5230 1783 M
 -59 58 V
 stroke
 LT0
-.1784 g .2819 g 5095 1826 M
+.2819 g 5095 1826 M
 76 15 V
 stroke
-LT0
-.1784 g .1968 g 4465 1608 M
+LT1
+.1965 g 4465 1608 M
 -4 -5 V
 stroke
-LT0
-.1784 g .1954 g 4447 1601 M
+LT1
+.1954 g 4447 1601 M
 14 2 V
 stroke
 LT0
-.1784 g .6851 g 3489 3056 M
+.6851 g 3489 3056 M
 -77 -261 V
 stroke
 LT0
-.1784 g .6509 g 3354 2920 M
+.6509 g 3354 2920 M
 58 -125 V
 stroke
 LT0
-.1784 g .2705 g 2343 1786 M
+.2705 g 2343 1786 M
 -58 21 V
 stroke
 LT0
-.1784 g .2764 g 2208 1816 M
+.2764 g 2208 1816 M
 77 -9 V
 stroke
 LT0
-.1784 g .1556 g 3073 1492 M
-4 -3 V
-stroke
-LT0
-.1784 g .2831 g 2208 1816 M
+.2831 g 2208 1816 M
 -58 25 V
 stroke
 LT0
-.1784 g .2815 g 2073 1816 M
+.2815 g 2073 1816 M
 77 25 V
 stroke
 LT0
-.1784 g .8652 g 3389 3465 M
+.8652 g 3389 3465 M
 -58 -97 V
 stroke
 LT0
-.1784 g .8652 g 3407 3510 M
+.8652 g 3407 3510 M
 -76 -142 V
 stroke
 LT0
-.1784 g .7364 g 3430 3194 M
+.7364 g 3430 3194 M
 -76 -274 V
 stroke
 LT0
-.1784 g .2806 g 5018 1809 M
+.2806 g 5018 1809 M
 -58 11 V
 stroke
 LT0
-.1784 g .2757 g 4883 1794 M
+.2757 g 4883 1794 M
 77 26 V
 stroke
 LT0
-.1784 g .2677 g 5153 1775 M
+.2677 g 5153 1775 M
 77 8 V
 stroke
 LT0
-.1784 g .6509 g 3758 2902 M
+.6509 g 3758 2902 M
 -77 -119 V
 stroke
 LT0
-.1784 g .6851 g 3623 3050 M
+.6851 g 3623 3050 M
 58 -267 V
 stroke
 LT0
-.1784 g .2381 g 4596 1687 M
-2 0 V
-stroke
-LT0
-.1784 g .2485 g 2474 1733 M
-4 -2 V
-stroke
-LT0
-.1784 g .7541 g 3775 3241 M
+.7541 g 3775 3241 M
 59 -285 V
 stroke
 LT0
-.1784 g .6834 g 3758 2902 M
+.6834 g 3758 2902 M
 76 54 V
 stroke
 LT0
-.1784 g .2767 g 5153 1775 M
+.2767 g 5153 1775 M
 -58 51 V
 stroke
 LT0
-.1784 g .2834 g 5018 1809 M
+.2834 g 5018 1809 M
 77 17 V
 stroke
 LT0
-.1784 g .2799 g 2132 1790 M
+.2799 g 2132 1790 M
 -59 26 V
 stroke
 LT0
-.1784 g .2185 g 2865 1610 M
--7 -2 V
-stroke
-LT0
-.1784 g .8072 g 3371 3258 M
+.8072 g 3371 3258 M
 -58 -13 V
 stroke
 LT0
-.1784 g .8463 g 3389 3465 M
+.8463 g 3389 3465 M
 -76 -220 V
 stroke
 LT0
-.1784 g .9258 g 3466 3614 M
+.9258 g 3466 3614 M
 -59 -104 V
 stroke
 LT0
-.1784 g .7364 g 3699 3182 M
+.7364 g 3699 3182 M
 59 -280 V
 stroke
 LT0
-.1784 g .279 g 4942 1789 M
+.279 g 4942 1789 M
 -59 5 V
 stroke
 LT0
-.1784 g .2728 g 4807 1769 M
+.2728 g 4807 1769 M
 76 25 V
 stroke
 LT0
-.1784 g .2728 g 2402 1766 M
--59 20 V
-stroke
-LT0
-.1784 g .2775 g 2267 1791 M
+.2775 g 2267 1791 M
 76 -5 V
 stroke
 LT0
-.1784 g .8652 g 3811 3492 M
+.8652 g 3811 3492 M
 58 -148 V
 stroke
 LT0
-.1784 g .8652 g 3793 3448 M
+.8652 g 3793 3448 M
 76 -104 V
 stroke
 LT0
-.1784 g .701 g 3623 3050 M
+.701 g 3623 3050 M
 -76 -195 V
 stroke
 LT0
-.1784 g .701 g 3489 3056 M
+.701 g 3489 3056 M
 58 -201 V
 stroke
 LT0
-.1784 g .2834 g 2267 1791 M
+.2834 g 2267 1791 M
 -59 25 V
 stroke
 LT0
-.1784 g .2815 g 2132 1790 M
+.2815 g 2132 1790 M
 76 26 V
 stroke
 LT0
-.1784 g .2384 g 4597 1687 M
--1 0 V
-stroke
-LT0
-.1784 g .2461 g 2629 1688 M
-5 -4 V
-stroke
-LT0
-.1784 g .2725 g 5077 1764 M
+.2725 g 5077 1764 M
 76 11 V
 stroke
 LT0
-.1784 g .2792 g 5077 1764 M
+.2792 g 5077 1764 M
 -59 45 V
 stroke
 LT0
-.1784 g .2838 g 4942 1789 M
+.2838 g 4942 1789 M
 76 20 V
 stroke
 LT0
-.1784 g .9258 g 3734 3602 M
+.9258 g 3734 3602 M
 77 -110 V
 stroke
 LT0
-.1784 g .2775 g 4865 1769 M
+.2775 g 4865 1769 M
 -58 0 V
 stroke
 LT0
-.1784 g .2705 g 4731 1746 M
+.2705 g 4731 1746 M
 76 23 V
 stroke
 LT0
-.1784 g .2793 g 2190 1762 M
+.2793 g 2190 1762 M
 -58 28 V
 stroke
 LT0
-.1784 g .8463 g 3793 3448 M
+.8463 g 3793 3448 M
 59 -227 V
 stroke
 LT0
-.1784 g .8072 g 3775 3241 M
+.8072 g 3775 3241 M
 77 -20 V
 stroke
 LT0
-.1784 g .262 g 2509 1729 M
-5 -1 V
-stroke
-LT0
-.1784 g .2177 g 3944 1563 M
--5 -6 V
-stroke
-LT0
-.1784 g .2757 g 2460 1747 M
+.2757 g 2460 1747 M
 -58 19 V
 stroke
 LT0
-.1784 g .279 g 2325 1767 M
+.279 g 2325 1767 M
 77 -1 V
 stroke
 LT0
-.1784 g .2837 g 2325 1767 M
+.2837 g 2325 1767 M
 -58 24 V
 stroke
 LT0
-.1784 g .2812 g 2190 1762 M
+.2812 g 2190 1762 M
 77 29 V
 stroke
 LT0
-.1784 g .2758 g 5000 1750 M
+.2758 g 5000 1750 M
 77 14 V
 stroke
 LT0
-.1784 g .2805 g 5000 1750 M
+.2805 g 5000 1750 M
 -58 39 V
 stroke
 LT0
-.1784 g .2837 g 4865 1769 M
+.2837 g 4865 1769 M
 77 20 V
 stroke
 LT0
-.1784 g .22 g 2863 1611 M
-2 -1 V
-stroke
-LT0
-.1784 g .8072 g 3430 3194 M
+.8072 g 3430 3194 M
 -59 64 V
 stroke
 LT0
-.1784 g .8658 g 3448 3482 M
+.8658 g 3448 3482 M
 -77 -224 V
 stroke
 LT0
-.1784 g .7895 g 3565 3267 M
+.7895 g 3565 3267 M
 -76 -211 V
 stroke
 LT0
-.1784 g .7706 g 3430 3194 M
+.7706 g 3430 3194 M
 59 -138 V
 stroke
 LT0
-.1784 g .2764 g 4789 1749 M
+.2764 g 4789 1749 M
 -58 -3 V
 stroke
 LT0
-.1784 g .2693 g 4654 1725 M
+.2693 g 4654 1725 M
 77 21 V
 stroke
 LT0
-.1784 g .7706 g 3699 3182 M
+.7706 g 3699 3182 M
 -76 -132 V
 stroke
 LT0
-.1784 g .7895 g 3565 3267 M
+.7895 g 3565 3267 M
 58 -217 V
 stroke
 LT0
-.1784 g .1903 g 3685 1511 M
--3 -3 V
-stroke
-LT0
-.1784 g .1851 g 3667 1504 M
-7 -4 V
-stroke
-LT0
-.1784 g .9049 g 3448 3482 M
+.9049 g 3448 3482 M
 -59 -17 V
 stroke
 LT0
-.1784 g .9258 g 3466 3614 M
+.9258 g 3466 3614 M
 -77 -149 V
 stroke
 LT0
-.1784 g .278 g 2249 1734 M
+.278 g 2249 1734 M
 -59 28 V
 stroke
 LT0
-.1784 g .2291 g 4252 1609 M
--3 -3 V
-stroke
-LT0
-.1784 g .8463 g 3506 3415 M
+.8463 g 3506 3415 M
 -76 -221 V
 stroke
 LT0
-.1784 g .219 g 3944 1563 M
-5 -2 V
-stroke
-LT0
-.1784 g .272 g 2460 1747 M
+.272 g 2460 1747 M
 94 -26 V
 stroke
 LT0
-.1784 g .2812 g 4924 1734 M
+.2812 g 4924 1734 M
 -59 35 V
 stroke
 LT0
-.1784 g .2834 g 4789 1749 M
+.2834 g 4789 1749 M
 76 20 V
 stroke
 LT0
-.1784 g .278 g 4924 1734 M
+.278 g 4924 1734 M
 76 16 V
 stroke
 LT0
-.1784 g .8658 g 3717 3470 M
+.8658 g 3717 3470 M
 58 -229 V
 stroke
 LT0
-.1784 g .8072 g 3699 3182 M
+.8072 g 3699 3182 M
 76 59 V
 stroke
 LT0
-.1784 g .2838 g 2384 1741 M
+.2838 g 2384 1741 M
 -59 26 V
 stroke
 LT0
-.1784 g .2805 g 2249 1734 M
+.2805 g 2249 1734 M
 76 33 V
 stroke
 LT0
-.1784 g .276 g 4713 1729 M
+.276 g 4713 1729 M
 -59 -4 V
 stroke
 LT0
-.1784 g .2693 g 4578 1707 M
+.2693 g 4578 1707 M
 76 18 V
 stroke
 LT0
-.1784 g .2789 g 2519 1729 M
+.2789 g 2519 1729 M
 -59 18 V
 stroke
 LT0
-.1784 g .2806 g 2384 1741 M
+.2806 g 2384 1741 M
 76 6 V
 stroke
 LT0
-.1784 g .8463 g 3640 3409 M
+.8463 g 3640 3409 M
 59 -227 V
 stroke
 LT0
-.1784 g .2377 g 3868 1582 M
--2 -2 V
-stroke
-LT0
-.1784 g .2159 g 3751 1550 M
-12 -5 V
-stroke
-LT0
-.1784 g .9258 g 3734 3602 M
+.9258 g 3734 3602 M
 59 -154 V
 stroke
 LT0
-.1784 g .9049 g 3717 3470 M
+.9049 g 3717 3470 M
 76 -22 V
 stroke
 LT0
-.1784 g .9891 g 3600 3697 M
+.9891 g 3600 3697 M
 -58 -20 V
 stroke
 LT0
-.1784 g .9676 g 3466 3614 M
+.9676 g 3466 3614 M
 76 63 V
 stroke
 LT0
-.1784 g .2379 g 3252 1588 M
--6 -3 V
-stroke
-LT0
-.1784 g .2242 g 3055 1589 M
-4 -2 V
-stroke
-LT0
-.1784 g .9676 g 3524 3633 M
+.9676 g 3524 3633 M
 -58 -19 V
 stroke
 LT0
-.1784 g .9676 g 3734 3602 M
+.9676 g 3734 3602 M
 -58 70 V
 stroke
 LT0
-.1784 g .9891 g 3600 3697 M
+.9891 g 3600 3697 M
 76 -25 V
 stroke
 LT0
-.1784 g .2758 g 2308 1703 M
+.2758 g 2308 1703 M
 -59 31 V
 stroke
 LT0
-.1784 g .2815 g 4848 1716 M
+.2815 g 4848 1716 M
 -59 33 V
 stroke
 LT0
-.1784 g .2831 g 4713 1729 M
+.2831 g 4713 1729 M
 76 20 V
 stroke
 LT0
-.1784 g .2393 g 2932 1624 M
--8 -1 V
-stroke
-LT0
-.1784 g .2387 g 2921 1625 M
-3 -2 V
-stroke
-LT0
-.1784 g .2541 g 4290 1643 M
-8 0 V
-stroke
-LT0
-.1784 g .2793 g 4848 1716 M
+.2793 g 4848 1716 M
 76 18 V
 stroke
 LT0
-.1784 g .2764 g 4636 1710 M
+.2764 g 4636 1710 M
 -58 -3 V
 stroke
 LT0
-.1784 g .2705 g 4501 1691 M
+.2705 g 4501 1691 M
 77 16 V
 stroke
 LT0
-.1784 g .8652 g 3640 3409 M
+.8652 g 3640 3409 M
 -75 -142 V
 stroke
 LT0
-.1784 g .8652 g 3506 3415 M
+.8652 g 3506 3415 M
 59 -148 V
 stroke
 LT0
-.1784 g .9676 g 3658 3627 M
+.9676 g 3658 3627 M
 76 -25 V
 stroke
 LT0
-.1784 g .2834 g 2443 1714 M
+.2834 g 2443 1714 M
 -59 27 V
 stroke
 LT0
-.1784 g .2792 g 2308 1703 M
+.2792 g 2308 1703 M
 76 38 V
 stroke
 LT0
-.1784 g .2273 g 3959 1575 M
--4 -4 V
-stroke
-LT0
-.1784 g .237 g 3868 1582 M
-9 -3 V
-stroke
-LT0
-.1784 g .273 g 2713 1689 M
+.273 g 2713 1689 M
 -59 11 V
 stroke
 LT0
-.1784 g .2763 g 2578 1708 M
+.2763 g 2578 1708 M
 76 -8 V
 stroke
 LT0
-.1784 g .275 g 2519 1729 M
+.275 g 2519 1729 M
 135 -29 V
 stroke
 LT0
-.1784 g .2817 g 2578 1708 M
+.2817 g 2578 1708 M
 -59 21 V
 stroke
 LT0
-.1784 g .2817 g 2443 1714 M
+.2817 g 2443 1714 M
 76 15 V
 stroke
 LT0
-.1784 g .2296 g 3630 1564 M
--5 -3 V
-stroke
-LT0
-.1784 g .9049 g 3506 3415 M
+.9049 g 3506 3415 M
 -58 67 V
 stroke
 LT0
-.1784 g .9467 g 3524 3633 M
+.9467 g 3524 3633 M
 -76 -151 V
 stroke
 LT0
-.1784 g .2815 g 4771 1697 M
+.2815 g 4771 1697 M
 -58 32 V
 stroke
 LT0
-.1784 g .2831 g 4636 1710 M
+.2831 g 4636 1710 M
 77 19 V
 stroke
 LT0
-.1784 g .2725 g 2366 1669 M
+.2725 g 2366 1669 M
 -58 34 V
 stroke
 LT0
-.1784 g .2799 g 4771 1697 M
+.2799 g 4771 1697 M
 77 19 V
 stroke
 LT0
-.1784 g .9258 g 3583 3563 M
+.9258 g 3583 3563 M
 -77 -148 V
 stroke
 LT0
-.1784 g .2775 g 4560 1691 M
+.2775 g 4560 1691 M
 -59 0 V
 stroke
 LT0
-.1784 g .2728 g 4425 1678 M
+.2728 g 4425 1678 M
 76 13 V
 stroke
 LT0
-.1784 g .9467 g 3658 3627 M
+.9467 g 3658 3627 M
 59 -157 V
 stroke
 LT0
-.1784 g .9049 g 3640 3409 M
+.9049 g 3640 3409 M
 77 61 V
 stroke
 LT0
-.1784 g .9258 g 3583 3563 M
+.9258 g 3583 3563 M
 57 -154 V
 stroke
 LT0
-.1784 g .9891 g 3658 3627 M
+.9891 g 3658 3627 M
 -58 70 V
 stroke
 LT0
-.1784 g .9891 g 3524 3633 M
+.9891 g 3524 3633 M
 76 64 V
 stroke
 LT0
-.1784 g .2819 g 2501 1684 M
+.2819 g 2501 1684 M
 -58 30 V
 stroke
 LT0
-.1784 g .2767 g 2366 1669 M
+.2767 g 2366 1669 M
 77 45 V
 stroke
 LT0
-.1784 g .9676 g 3583 3563 M
+.9676 g 3583 3563 M
 -59 70 V
 stroke
 LT0
-.1784 g .2815 g 4695 1677 M
+.2815 g 4695 1677 M
 -59 33 V
 stroke
 LT0
-.1784 g .2834 g 4560 1691 M
+.2834 g 4560 1691 M
 76 19 V
 stroke
 LT0
-.1784 g .2834 g 2636 1685 M
+.2834 g 2636 1685 M
 -58 23 V
 stroke
 LT0
-.1784 g .2819 g 2501 1684 M
+.2819 g 2501 1684 M
 77 24 V
 stroke
 LT0
-.1784 g .2726 g 2713 1689 M
+.2726 g 2713 1689 M
 103 -21 V
 stroke
 LT0
-.1784 g .279 g 2771 1674 M
+.279 g 2771 1674 M
 -58 15 V
 stroke
 LT0
-.1784 g .2802 g 2636 1685 M
+.2802 g 2636 1685 M
 77 4 V
 stroke
 LT0
-.1784 g .2591 g 3912 1607 M
--2 -1 V
-stroke
-LT0
-.1784 g .2799 g 4695 1677 M
+.2799 g 4695 1677 M
 76 20 V
 stroke
 LT0
-.1784 g .9676 g 3583 3563 M
+.9676 g 3583 3563 M
 75 64 V
 stroke
 LT0
-.1784 g .2378 g 3391 1579 M
--4 -1 V
-stroke
-LT0
-.1784 g .2677 g 2425 1632 M
+.2677 g 2425 1632 M
 -59 37 V
 stroke
 LT0
-.1784 g .279 g 4484 1672 M
+.279 g 4484 1672 M
 -59 6 V
 stroke
 LT0
-.1784 g .2757 g 4349 1665 M
+.2757 g 4349 1665 M
 76 13 V
 stroke
 LT0
-.1784 g .2665 g 4137 1635 M
-63 3 V
-stroke
-LT0
-.1784 g .2788 g 2560 1651 M
+.2788 g 2560 1651 M
 -59 33 V
 stroke
 LT0
-.1784 g .2728 g 2425 1632 M
+.2728 g 2425 1632 M
 76 52 V
 stroke
 LT0
-.1784 g .2812 g 4619 1656 M
+.2812 g 4619 1656 M
 -59 35 V
 stroke
 LT0
-.1784 g .2837 g 4484 1672 M
+.2837 g 4484 1672 M
 76 19 V
 stroke
 LT0
-.1784 g .2793 g 4619 1656 M
+.2793 g 4619 1656 M
 76 21 V
 stroke
 LT0
-.1784 g .2833 g 2695 1657 M
+.2833 g 2695 1657 M
 -59 28 V
 stroke
 LT0
-.1784 g .2804 g 2560 1651 M
+.2804 g 2560 1651 M
 76 34 V
 stroke
 LT0
-.1784 g .261 g 2483 1591 M
+.261 g 2483 1591 M
 -58 41 V
 stroke
 LT0
-.1784 g .2806 g 4407 1653 M
+.2806 g 4407 1653 M
 -58 12 V
 stroke
 LT0
-.1784 g .2789 g 4272 1652 M
+.2789 g 4272 1652 M
 77 13 V
 stroke
 LT0
-.1784 g .2827 g 2830 1654 M
+.2827 g 2830 1654 M
 -59 20 V
 stroke
 LT0
-.1784 g .2788 g 2906 1657 M
+.2788 g 2906 1657 M
 -135 17 V
 stroke
 LT0
-.1784 g .2821 g 2695 1657 M
+.2821 g 2695 1657 M
 76 17 V
 stroke
 LT0
-.1784 g .2791 g 2965 1644 M
+.2791 g 2965 1644 M
 -59 13 V
 stroke
 LT0
-.1784 g .2728 g 3041 1638 M
--135 19 V
+.2729 g 3038 1638 M
+-132 19 V
 stroke
 LT0
-.1784 g .2799 g 2830 1654 M
+.2799 g 2830 1654 M
 76 3 V
 stroke
 LT0
-.1784 g .2746 g 3100 1633 M
--59 5 V
-stroke
-LT0
-.1784 g .2759 g 2965 1644 M
-76 -6 V
-stroke
-LT0
-.1784 g .2763 g 4196 1637 M
+.2763 g 4196 1637 M
 -59 -2 V
 stroke
 LT0
-.1784 g .275 g 4272 1652 M
+.275 g 4272 1652 M
 -135 -17 V
 stroke
 LT0
-.1784 g .273 g 4061 1630 M
-76 5 V
+.2718 g 4088 1632 M
+49 3 V
 stroke
 LT0
-.1784 g .2805 g 4542 1633 M
+.2805 g 4542 1633 M
 -58 39 V
 stroke
 LT0
-.1784 g .2838 g 4407 1653 M
+.2838 g 4407 1653 M
 77 19 V
 stroke
 LT0
-.1784 g .2618 g 3316 1609 M
--5 -1 V
-stroke
-LT0
-.1784 g .2629 g 3300 1610 M
-6 -1 V
-stroke
-LT0
-.1784 g .2737 g 2618 1612 M
+.2737 g 2618 1612 M
 -58 39 V
 stroke
 LT0
-.1784 g .267 g 2483 1591 M
+.267 g 2483 1591 M
 77 60 V
 stroke
 LT0
-.1784 g .278 g 4542 1633 M
+.278 g 4542 1633 M
 77 23 V
 stroke
 LT0
-.1784 g .2618 g 3450 1603 M
--4 -1 V
-stroke
-LT0
-.1784 g .2523 g 2542 1545 M
+.2523 g 2542 1545 M
 -59 46 V
 stroke
 LT0
-.1784 g .2734 g 4061 1630 M
--82 -9 V
-stroke
-LT0
-.1784 g .2817 g 4331 1632 M
+.2817 g 4331 1632 M
 -59 20 V
 stroke
 LT0
-.1784 g .2817 g 4196 1637 M
+.2817 g 4196 1637 M
 76 15 V
 stroke
 LT0
-.1784 g .2806 g 2753 1623 M
+.2806 g 2753 1623 M
 -58 34 V
 stroke
 LT0
-.1784 g .2766 g 2618 1612 M
+.2766 g 2618 1612 M
 77 45 V
 stroke
 LT0
-.1784 g .2832 g 2888 1625 M
+.2832 g 2888 1625 M
 -58 29 V
 stroke
 LT0
-.1784 g .2812 g 2753 1623 M
+.2812 g 2753 1623 M
 77 31 V
 stroke
 LT0
-.1784 g .2792 g 4466 1608 M
+.2792 g 4466 1608 M
 -59 45 V
 stroke
 LT0
-.1784 g .2834 g 4331 1632 M
+.2834 g 4331 1632 M
 76 21 V
 stroke
 LT0
-.1784 g .2758 g 4466 1608 M
+.2758 g 4466 1608 M
 76 25 V
 stroke
 LT0
-.1784 g .2802 g 4120 1620 M
--59 10 V
+.2804 g 4120 1620 M
+-55 9 V
 stroke
 LT0
-.1784 g .279 g 3985 1621 M
+.279 g 3985 1621 M
 76 9 V
 stroke
 LT0
-.1784 g .266 g 2677 1568 M
+.266 g 2677 1568 M
 -59 44 V
 stroke
 LT0
-.1784 g .2589 g 2542 1545 M
+.2589 g 2542 1545 M
 76 67 V
 stroke
 LT0
-.1784 g .283 g 3023 1622 M
+.283 g 3023 1622 M
 -58 22 V
 stroke
 LT0
-.1784 g .2809 g 3100 1633 M
+.2809 g 3100 1633 M
 -135 11 V
 stroke
 LT0
-.1784 g .2824 g 2888 1625 M
+.2824 g 2888 1625 M
 77 19 V
 stroke
 LT0
-.1784 g .2732 g 3850 1615 M
+.2732 g 3850 1615 M
 -119 -6 V
 stroke
 LT0
-.1784 g .2413 g 2601 1494 M
+.2413 g 2601 1494 M
 -59 51 V
 stroke
 LT0
-.1784 g .2817 g 3158 1616 M
+.2817 g 3158 1616 M
 -58 17 V
 stroke
 LT0
-.1784 g .2784 g 3235 1622 M
+.2784 g 3235 1622 M
 -135 11 V
 stroke
 LT0
-.1784 g .2817 g 3023 1622 M
+.2817 g 3023 1622 M
 77 11 V
 stroke
 LT0
-.1784 g .2804 g 3293 1610 M
+.2804 g 3293 1610 M
 -58 12 V
 stroke
 LT0
-.1784 g .2769 g 3370 1615 M
+.2769 g 3370 1615 M
 -135 7 V
 stroke
 LT0
-.1784 g .2806 g 3158 1616 M
+.2806 g 3158 1616 M
 77 6 V
 stroke
 LT0
-.1784 g .2819 g 4255 1608 M
+.2819 g 4255 1608 M
 -59 29 V
 stroke
 LT0
-.1784 g .2834 g 4120 1620 M
+.2834 g 4120 1620 M
 76 17 V
 stroke
 LT0
-.1784 g .2748 g 2812 1582 M
+.2748 g 2812 1582 M
 -59 41 V
 stroke
 LT0
-.1784 g .27 g 2677 1568 M
+.27 g 2677 1568 M
 76 55 V
 stroke
 LT0
-.1784 g .2799 g 3908 1606 M
+.2799 g 3908 1606 M
 -58 9 V
 stroke
 LT0
-.1784 g .2788 g 3985 1621 M
+.2788 g 3985 1621 M
 -135 -6 V
 stroke
 LT0
-.1784 g .2791 g 3773 1609 M
+.2791 g 3773 1609 M
 77 6 V
 stroke
 LT0
-.1784 g .28 g 3428 1604 M
+.28 g 3428 1604 M
 -58 11 V
 stroke
 LT0
-.1784 g .2769 g 3504 1610 M
+.2769 g 3504 1610 M
 -134 5 V
 stroke
 LT0
-.1784 g .28 g 3293 1610 M
+.28 g 3293 1610 M
 77 5 V
 stroke
 LT0
-.1784 g .2767 g 4390 1580 M
+.2767 g 4390 1580 M
 -59 52 V
 stroke
 LT0
-.1784 g .2819 g 4255 1608 M
+.2819 g 4255 1608 M
 76 24 V
 stroke
 LT0
-.1784 g .2725 g 4390 1580 M
+.2725 g 4390 1580 M
 76 28 V
 stroke
 LT0
-.1784 g .2554 g 2736 1518 M
+.2554 g 2736 1518 M
 -59 50 V
 stroke
 LT0
-.1784 g .2483 g 2601 1494 M
+.2483 g 2601 1494 M
 76 74 V
 stroke
 LT0
-.1784 g .2797 g 2947 1588 M
+.2797 g 2947 1588 M
 -59 37 V
 stroke
 LT0
-.1784 g .2767 g 2812 1582 M
+.2767 g 2812 1582 M
 76 43 V
 stroke
 LT0
-.1784 g .2281 g 2659 1439 M
+.2281 g 2659 1439 M
 -58 55 V
 stroke
 LT0
-.1784 g .2806 g 3563 1599 M
+.2806 g 3563 1599 M
 -59 11 V
 stroke
 LT0
-.1784 g .2784 g 3638 1609 M
+.2784 g 3638 1609 M
 -134 1 V
 stroke
 LT0
-.1784 g .2804 g 3428 1604 M
+.2804 g 3428 1604 M
 76 6 V
 stroke
 LT0
-.1784 g .2821 g 4043 1598 M
+.2821 g 4043 1598 M
 -58 23 V
 stroke
 LT0
-.1784 g .2827 g 3908 1606 M
+.2827 g 3908 1606 M
 77 15 V
 stroke
 LT0
-.1784 g .2819 g 3082 1589 M
+.2819 g 3082 1589 M
 -59 33 V
 stroke
 LT0
-.1784 g .2803 g 2947 1588 M
+.2803 g 2947 1588 M
 76 34 V
 stroke
 LT0
-.1784 g .2817 g 3697 1593 M
+.2817 g 3697 1593 M
 -59 16 V
 stroke
 LT0
-.1784 g .2809 g 3773 1609 M
+.2809 g 3773 1609 M
 -135 0 V
 stroke
 LT0
-.1784 g .2817 g 3563 1599 M
+.2817 g 3563 1599 M
 75 10 V
 stroke
 LT0
-.1784 g .2804 g 4178 1580 M
+.2804 g 4178 1580 M
 -58 40 V
 stroke
 LT0
-.1784 g .2833 g 4043 1598 M
+.2833 g 4043 1598 M
 77 22 V
 stroke
 LT0
-.1784 g .2653 g 2871 1533 M
+.2653 g 2871 1533 M
 -59 49 V
 stroke
 LT0
-.1784 g .2602 g 2736 1518 M
+.2602 g 2736 1518 M
 76 64 V
 stroke
 LT0
-.1784 g .2677 g 4313 1549 M
+.2677 g 4313 1549 M
 77 31 V
 stroke
 LT0
-.1784 g .2827 g 3217 1586 M
+.2827 g 3217 1586 M
 -59 30 V
 stroke
 LT0
-.1784 g .2819 g 3082 1589 M
+.2819 g 3082 1589 M
 76 27 V
 stroke
 LT0
-.1784 g .2728 g 4313 1549 M
+.2728 g 4313 1549 M
 -58 59 V
 stroke
 LT0
-.1784 g .2788 g 4178 1580 M
+.2788 g 4178 1580 M
 77 28 V
 stroke
 LT0
-.1784 g .2824 g 3832 1584 M
+.2824 g 3832 1584 M
 -59 25 V
 stroke
 LT0
-.1784 g .283 g 3697 1593 M
+.283 g 3697 1593 M
 76 16 V
 stroke
 LT0
-.1784 g .2127 g 2718 1380 M
+.2127 g 2718 1380 M
 -59 59 V
 stroke
 LT0
-.1784 g .2352 g 2736 1518 M
+.2352 g 2736 1518 M
 -77 -79 V
 stroke
 LT0
-.1784 g .242 g 2794 1462 M
+.242 g 2794 1462 M
 -58 56 V
 stroke
 LT0
-.1784 g .2827 g 3352 1581 M
+.2827 g 3352 1581 M
 -59 29 V
 stroke
 LT0
-.1784 g .2825 g 3217 1586 M
+.2825 g 3217 1586 M
 76 24 V
 stroke
 LT0
-.1784 g .2716 g 3005 1541 M
+.2716 g 3005 1541 M
 -58 47 V
 stroke
 LT0
-.1784 g .2682 g 2871 1533 M
+.2682 g 2871 1533 M
 76 55 V
 stroke
 LT0
-.1784 g .2812 g 3967 1570 M
+.2812 g 3967 1570 M
 -59 36 V
 stroke
 LT0
-.1784 g .2832 g 3832 1584 M
+.2832 g 3832 1584 M
 76 22 V
 stroke
 LT0
-.1784 g .2825 g 3487 1574 M
+.2825 g 3487 1574 M
 -59 30 V
 stroke
 LT0
-.1784 g .2827 g 3352 1581 M
+.2827 g 3352 1581 M
 76 23 V
 stroke
 LT0
-.1784 g .261 g 4237 1514 M
+.261 g 4237 1514 M
 76 35 V
 stroke
 LT0
-.1784 g .2766 g 4102 1547 M
+.2766 g 4102 1547 M
 -59 51 V
 stroke
 LT0
-.1784 g .2806 g 3967 1570 M
+.2806 g 3967 1570 M
 76 28 V
 stroke
 LT0
-.1784 g .2521 g 2929 1477 M
+.2521 g 2929 1477 M
 -58 56 V
 stroke
 LT0
-.1784 g .2471 g 2794 1462 M
+.2471 g 2794 1462 M
 77 71 V
 stroke
 LT0
-.1784 g .2753 g 3140 1544 M
+.2753 g 3140 1544 M
 -58 45 V
 stroke
 LT0
-.1784 g .2732 g 3005 1541 M
+.2732 g 3005 1541 M
 77 48 V
 stroke
 LT0
-.1784 g .267 g 4237 1514 M
+.267 g 4237 1514 M
 -59 66 V
 stroke
 LT0
-.1784 g .2737 g 4102 1547 M
+.2737 g 4102 1547 M
 76 33 V
 stroke
 LT0
-.1784 g .1957 g 2776 1318 M
+.1957 g 2776 1318 M
 -58 62 V
 stroke
 LT0
-.1784 g .2195 g 2794 1462 M
+.2195 g 2794 1462 M
 -76 -82 V
 stroke
 LT0
-.1784 g .2819 g 3621 1565 M
+.2819 g 3621 1565 M
 -58 34 V
 stroke
 LT0
-.1784 g .2827 g 3487 1574 M
+.2827 g 3487 1574 M
 76 25 V
 stroke
 LT0
-.1784 g .2258 g 2853 1400 M
+.2258 g 2853 1400 M
 -59 62 V
 stroke
 LT0
-.1784 g .2803 g 3756 1553 M
+.2803 g 3756 1553 M
 -59 40 V
 stroke
 LT0
-.1784 g .2819 g 3621 1565 M
+.2819 g 3621 1565 M
 76 28 V
 stroke
 LT0
-.1784 g .2769 g 3275 1542 M
+.2769 g 3275 1542 M
 -58 44 V
 stroke
 LT0
-.1784 g .276 g 3140 1544 M
+.276 g 3140 1544 M
 77 42 V
 stroke
 LT0
-.1784 g .2589 g 3064 1485 M
+.2589 g 3064 1485 M
 -59 56 V
 stroke
 LT0
-.1784 g .2555 g 2929 1477 M
+.2555 g 2929 1477 M
 76 64 V
 stroke
 LT0
-.1784 g .2767 g 3891 1535 M
+.2767 g 3891 1535 M
 -59 49 V
 stroke
 LT0
-.1784 g .2797 g 3756 1553 M
+.2797 g 3756 1553 M
 76 31 V
 stroke
 LT0
-.1784 g .2523 g 4160 1474 M
+.2523 g 4160 1474 M
 77 40 V
 stroke
 LT0
-.1784 g .2771 g 3410 1536 M
+.2771 g 3410 1536 M
 -58 45 V
 stroke
 LT0
-.1784 g .2771 g 3275 1542 M
+.2771 g 3275 1542 M
 77 39 V
 stroke
 LT0
-.1784 g .1776 g 2835 1254 M
+.1776 g 2835 1254 M
 -59 64 V
 stroke
 LT0
-.1784 g .2019 g 2853 1400 M
+.2019 g 2853 1400 M
 -77 -82 V
 stroke
 LT0
-.1784 g .2354 g 2988 1413 M
+.2354 g 2988 1413 M
 -59 64 V
 stroke
 LT0
-.1784 g .2308 g 2853 1400 M
+.2308 g 2853 1400 M
 76 77 V
 stroke
 LT0
-.1784 g .2073 g 2911 1334 M
+.2073 g 2911 1334 M
 -58 66 V
 stroke
 LT0
-.1784 g .27 g 4026 1509 M
+.27 g 4026 1509 M
 -59 61 V
 stroke
 LT0
-.1784 g .2748 g 3891 1535 M
+.2748 g 3891 1535 M
 76 35 V
 stroke
 LT0
-.1784 g .2589 g 4160 1474 M
+.2589 g 4160 1474 M
 -58 73 V
 stroke
 LT0
-.1784 g .266 g 4026 1509 M
+.266 g 4026 1509 M
 76 38 V
 stroke
 LT0
-.1784 g .276 g 3545 1526 M
+.276 g 3545 1526 M
 -58 48 V
 stroke
 LT0
-.1784 g .2769 g 3410 1536 M
+.2769 g 3410 1536 M
 77 38 V
 stroke
 LT0
-.1784 g .2629 g 3199 1487 M
+.2629 g 3199 1487 M
 -59 57 V
 stroke
 LT0
-.1784 g .261 g 3064 1485 M
+.261 g 3064 1485 M
 76 59 V
 stroke
 LT0
-.1784 g .2732 g 3679 1512 M
+.2732 g 3679 1512 M
 -58 53 V
 stroke
 LT0
-.1784 g .2753 g 3545 1526 M
+.2753 g 3545 1526 M
 76 39 V
 stroke
 LT0
-.1784 g .2413 g 4084 1429 M
+.2413 g 4084 1429 M
 76 45 V
 stroke
 LT0
-.1784 g .2419 g 3123 1420 M
+.2419 g 3123 1420 M
 -59 65 V
 stroke
 LT0
-.1784 g .2388 g 2988 1413 M
+.2388 g 2988 1413 M
 76 72 V
 stroke
 LT0
-.1784 g .2645 g 3334 1484 M
+.2645 g 3334 1484 M
 -59 58 V
 stroke
 LT0
-.1784 g .2638 g 3199 1487 M
+.2638 g 3199 1487 M
 76 55 V
 stroke
 LT0
-.1784 g .1594 g 2894 1191 M
+.1594 g 2894 1191 M
 -59 63 V
 stroke
 LT0
-.1784 g .183 g 2911 1334 M
+.183 g 2911 1334 M
 -76 -80 V
 stroke
 LT0
-.1784 g .1873 g 2970 1266 M
+.1873 g 2970 1266 M
 -59 68 V
 stroke
 LT0
-.1784 g .2119 g 2988 1413 M
+.2119 g 2988 1413 M
 -77 -79 V
 stroke
 LT0
-.1784 g .2158 g 3046 1344 M
+.2158 g 3046 1344 M
 -58 69 V
 stroke
 LT0
-.1784 g .2682 g 3814 1492 M
+.2682 g 3814 1492 M
 -58 61 V
 stroke
 LT0
-.1784 g .2716 g 3679 1512 M
+.2716 g 3679 1512 M
 77 41 V
 stroke
 LT0
-.1784 g .2483 g 4084 1429 M
+.2483 g 4084 1429 M
 -58 80 V
 stroke
 LT0
-.1784 g .2554 g 3949 1465 M
+.2554 g 3949 1465 M
 77 44 V
 stroke
 LT0
-.1784 g .2602 g 3949 1465 M
+.2602 g 3949 1465 M
 -58 70 V
 stroke
 LT0
-.1784 g .2653 g 3814 1492 M
+.2653 g 3814 1492 M
 77 43 V
 stroke
 LT0
-.1784 g .2638 g 3469 1475 M
+.2638 g 3469 1475 M
 -59 61 V
 stroke
 LT0
-.1784 g .2645 g 3334 1484 M
+.2645 g 3334 1484 M
 76 52 V
 stroke
 LT0
-.1784 g .2453 g 3258 1420 M
+.2453 g 3258 1420 M
 -59 67 V
 stroke
 LT0
-.1784 g .2438 g 3123 1420 M
+.2438 g 3123 1420 M
 76 67 V
 stroke
 LT0
-.1784 g .2281 g 4008 1380 M
+.2281 g 4008 1380 M
 76 49 V
 stroke
 LT0
-.1784 g .261 g 3603 1461 M
+.261 g 3603 1461 M
 -58 65 V
 stroke
 LT0
-.1784 g .2629 g 3469 1475 M
+.2629 g 3469 1475 M
 76 51 V
 stroke
 LT0
-.1784 g .2212 g 3181 1348 M
+.2212 g 3181 1348 M
 -58 72 V
 stroke
 LT0
-.1784 g .2188 g 3046 1344 M
+.2188 g 3046 1344 M
 77 76 V
 stroke
 LT0
-.1784 g .1669 g 3029 1199 M
+.1669 g 3029 1199 M
 -59 67 V
 stroke
 LT0
-.1784 g .1912 g 3046 1344 M
+.1912 g 3046 1344 M
 -76 -78 V
 stroke
 LT0
-.1784 g .1637 g 2894 1191 M
+.1637 g 2894 1191 M
 76 75 V
 stroke
 LT0
-.1784 g .1942 g 3105 1273 M
+.1942 g 3105 1273 M
 -59 71 V
 stroke
 LT0
-.1784 g .142 g 2952 1132 M
+.142 g 2952 1132 M
 -58 59 V
 stroke
 LT0
-.1784 g .2555 g 3738 1441 M
+.2555 g 3738 1441 M
 -59 71 V
 stroke
 LT0
-.1784 g .2589 g 3603 1461 M
+.2589 g 3603 1461 M
 76 51 V
 stroke
 LT0
-.1784 g .2352 g 4008 1380 M
+.2352 g 4008 1380 M
 -59 85 V
 stroke
 LT0
-.1784 g .242 g 3873 1414 M
+.242 g 3873 1414 M
 76 51 V
 stroke
 LT0
-.1784 g .2459 g 3393 1414 M
+.2459 g 3393 1414 M
 -59 70 V
 stroke
 LT0
-.1784 g .2459 g 3258 1420 M
+.2459 g 3258 1420 M
 76 64 V
 stroke
 LT0
-.1784 g .2471 g 3873 1414 M
+.2471 g 3873 1414 M
 -59 78 V
 stroke
 LT0
-.1784 g .2521 g 3738 1441 M
+.2521 g 3738 1441 M
 76 51 V
 stroke
 LT0
-.1784 g .2234 g 3316 1346 M
+.2234 g 3316 1346 M
 -58 74 V
 stroke
 LT0
-.1784 g .2226 g 3181 1348 M
+.2226 g 3181 1348 M
 77 72 V
 stroke
 LT0
-.1784 g .2127 g 3931 1327 M
+.2127 g 3931 1327 M
 77 53 V
 stroke
 LT0
-.1784 g .2438 g 3528 1402 M
+.2438 g 3528 1402 M
 -59 73 V
 stroke
 LT0
-.1784 g .2453 g 3393 1414 M
+.2453 g 3393 1414 M
 76 61 V
 stroke
 LT0
-.1784 g .198 g 3240 1273 M
+.198 g 3240 1273 M
 -59 75 V
 stroke
 LT0
-.1784 g .1965 g 3105 1273 M
+.1965 g 3105 1273 M
 76 75 V
 stroke
 LT0
-.1784 g .1719 g 3164 1201 M
+.1719 g 3164 1201 M
 -59 72 V
 stroke
 LT0
-.1784 g .1699 g 3029 1199 M
+.1699 g 3029 1199 M
 76 74 V
 stroke
 LT0
-.1784 g .2388 g 3661 1384 M
+.2388 g 3661 1384 M
 -58 77 V
 stroke
 LT0
-.1784 g .2419 g 3528 1402 M
+.2419 g 3528 1402 M
 75 59 V
 stroke
 LT0
-.1784 g .2195 g 3931 1327 M
+.2195 g 3931 1327 M
 -58 87 V
 stroke
 LT0
-.1784 g .2258 g 3796 1359 M
+.2258 g 3796 1359 M
 77 55 V
 stroke
 LT0
-.1784 g .1474 g 3087 1134 M
+.1474 g 3087 1134 M
 -58 65 V
 stroke
 LT0
-.1784 g .1453 g 2952 1132 M
+.1453 g 2952 1132 M
 77 67 V
 stroke
 LT0
-.1784 g .2308 g 3796 1359 M
+.2308 g 3796 1359 M
 -58 82 V
 stroke
 LT0
-.1784 g .2354 g 3661 1384 M
+.2354 g 3661 1384 M
 77 57 V
 stroke
 LT0
-.1784 g .2226 g 3451 1336 M
+.2226 g 3451 1336 M
 -58 78 V
 stroke
 LT0
-.1784 g .2234 g 3316 1346 M
+.2234 g 3316 1346 M
 77 68 V
 stroke
 LT0
-.1784 g .1268 g 3011 1077 M
+.1268 g 3011 1077 M
 -59 55 V
 stroke
 LT0
-.1784 g .1957 g 3855 1271 M
+.1957 g 3855 1271 M
 76 56 V
 stroke
 LT0
-.1784 g .1988 g 3375 1267 M
+.1988 g 3375 1267 M
 -59 79 V
 stroke
 LT0
-.1784 g .1988 g 3240 1273 M
+.1988 g 3240 1273 M
 76 73 V
 stroke
 LT0
-.1784 g .2188 g 3586 1321 M
+.2188 g 3586 1321 M
 -58 81 V
 stroke
 LT0
-.1784 g .2212 g 3451 1336 M
+.2212 g 3451 1336 M
 77 66 V
 stroke
 LT0
-.1784 g .1741 g 3298 1198 M
+.1741 g 3298 1198 M
 -58 75 V
 stroke
 LT0
-.1784 g .1734 g 3164 1201 M
+.1734 g 3164 1201 M
 76 72 V
 stroke
 LT0
-.1784 g .2019 g 3855 1271 M
+.2019 g 3855 1271 M
 -59 88 V
 stroke
 LT0
-.1784 g .2073 g 3720 1299 M
+.2073 g 3720 1299 M
 76 60 V
 stroke
 LT0
-.1784 g .2119 g 3720 1299 M
+.2119 g 3720 1299 M
 -59 85 V
 stroke
 LT0
-.1784 g .2158 g 3586 1321 M
+.2158 g 3586 1321 M
 75 63 V
 stroke
 LT0
-.1784 g .1505 g 3222 1133 M
+.1505 g 3222 1133 M
 -58 68 V
 stroke
 LT0
-.1784 g .1494 g 3087 1134 M
+.1494 g 3087 1134 M
 77 67 V
 stroke
 LT0
-.1784 g .1965 g 3510 1255 M
+.1965 g 3510 1255 M
 -59 81 V
 stroke
 LT0
-.1784 g .198 g 3375 1267 M
+.198 g 3375 1267 M
 76 69 V
 stroke
 LT0
-.1784 g .1776 g 3779 1213 M
+.1776 g 3779 1213 M
 76 58 V
 stroke
 LT0
-.1784 g .1912 g 3644 1237 M
+.1912 g 3644 1237 M
 -58 84 V
 stroke
 LT0
-.1784 g .1942 g 3510 1255 M
+.1942 g 3510 1255 M
 76 66 V
 stroke
 LT0
-.1784 g .1301 g 3146 1076 M
+.1301 g 3146 1076 M
 -59 58 V
 stroke
 LT0
-.1784 g .1289 g 3011 1077 M
+.1289 g 3011 1077 M
 76 57 V
 stroke
 LT0
-.1784 g .1734 g 3433 1189 M
+.1734 g 3433 1189 M
 -58 78 V
 stroke
 LT0
-.1784 g .1741 g 3298 1198 M
+.1741 g 3298 1198 M
 77 69 V
 stroke
 LT0
-.1784 g .183 g 3779 1213 M
+.183 g 3779 1213 M
 -59 86 V
 stroke
 LT0
-.1784 g .1873 g 3644 1237 M
+.1873 g 3644 1237 M
 76 62 V
 stroke
 LT0
-.1784 g .1512 g 3357 1127 M
+.1512 g 3357 1127 M
 -59 71 V
 stroke
 LT0
-.1784 g .1512 g 3222 1133 M
+.1512 g 3222 1133 M
 76 65 V
 stroke
 LT0
-.1784 g .1699 g 3568 1175 M
+.1699 g 3568 1175 M
 -58 80 V
 stroke
 LT0
-.1784 g .1719 g 3433 1189 M
+.1719 g 3433 1189 M
 77 66 V
 stroke
 LT0
-.1784 g .1594 g 3702 1156 M
+.1594 g 3702 1156 M
 77 57 V
 stroke
 LT0
-.1784 g .1637 g 3702 1156 M
+.1637 g 3702 1156 M
 -58 81 V
 stroke
 LT0
-.1784 g .1669 g 3568 1175 M
+.1669 g 3568 1175 M
 76 62 V
 stroke
 LT0
-.1784 g .1147 g 3069 1031 M
+.1147 g 3069 1031 M
 -58 46 V
 stroke
 LT0
-.1784 g .1316 g 3281 1072 M
+.1316 g 3281 1072 M
 -59 61 V
 stroke
 LT0
-.1784 g .1312 g 3146 1076 M
+.1312 g 3146 1076 M
 76 57 V
 stroke
 LT0
-.1784 g .1494 g 3492 1117 M
+.1494 g 3492 1117 M
 -59 72 V
 stroke
 LT0
-.1784 g .1505 g 3357 1127 M
+.1505 g 3357 1127 M
 76 62 V
 stroke
 LT0
-.1784 g .1453 g 3626 1102 M
+.1453 g 3626 1102 M
 -58 73 V
 stroke
 LT0
-.1784 g .1474 g 3492 1117 M
+.1474 g 3492 1117 M
 76 58 V
 stroke
 LT0
-.1784 g .142 g 3626 1102 M
+.142 g 3626 1102 M
 76 54 V
 stroke
 LT0
-.1784 g .1312 g 3416 1064 M
+.1312 g 3416 1064 M
 -59 63 V
 stroke
 LT0
-.1784 g .1316 g 3281 1072 M
+.1316 g 3281 1072 M
 76 55 V
 stroke
 LT0
-.1784 g .1164 g 3204 1027 M
+.1164 g 3204 1027 M
 -58 49 V
 stroke
 LT0
-.1784 g .1159 g 3069 1031 M
+.1159 g 3069 1031 M
 77 45 V
 stroke
 LT0
-.1784 g .1289 g 3551 1054 M
+.1289 g 3551 1054 M
 -59 63 V
 stroke
 LT0
-.1784 g .1301 g 3416 1064 M
+.1301 g 3416 1064 M
 76 53 V
 stroke
 LT0
-.1784 g .1268 g 3551 1054 M
+.1268 g 3551 1054 M
 75 48 V
 stroke
 LT0
-.1784 g .1168 g 3339 1021 M
+.1168 g 3339 1021 M
 -58 51 V
 stroke
 LT0
-.1784 g .1168 g 3204 1027 M
+.1168 g 3204 1027 M
 77 45 V
 stroke
 LT0
-.1784 g .1069 g 3128 994 M
+.1069 g 3128 994 M
 -59 37 V
 stroke
 LT0
-.1784 g .1159 g 3474 1013 M
+.1159 g 3474 1013 M
 -58 51 V
 stroke
 LT0
-.1784 g .1164 g 3339 1021 M
+.1164 g 3339 1021 M
 77 43 V
 stroke
 LT0
-.1784 g .1147 g 3474 1013 M
+.1147 g 3474 1013 M
 77 41 V
 stroke
 LT0
-.1784 g .1075 g 3263 989 M
+.1075 g 3263 989 M
 -59 38 V
 stroke
 LT0
-.1784 g .1074 g 3128 994 M
+.1074 g 3128 994 M
 76 33 V
 stroke
 LT0
-.1784 g .1074 g 3398 982 M
+.1074 g 3398 982 M
 -59 39 V
 stroke
 LT0
-.1784 g .1075 g 3263 989 M
+.1075 g 3263 989 M
 76 32 V
 stroke
 LT0
-.1784 g .1069 g 3398 982 M
+.1069 g 3398 982 M
 76 31 V
 stroke
 LT0
-.1784 g .1041 g 3187 968 M
+.1041 g 3187 968 M
 -59 26 V
 stroke
 LT0
-.1784 g .1042 g 3322 963 M
+.1042 g 3322 963 M
 -59 26 V
 stroke
 LT0
-.1784 g .1042 g 3187 968 M
+.1042 g 3187 968 M
 76 21 V
 stroke
 LT0
-.1784 g .1041 g 3322 963 M
+.1041 g 3322 963 M
 76 19 V
 stroke
 LT0
-.1784 g .1067 g 3245 954 M
+.1067 g 3245 954 M
 -58 14 V
 stroke
 LT0
-.1784 g .1067 g 3245 954 M
+.1067 g 3245 954 M
 77 9 V
+% Begin plot #1
 stroke
 LT0
-.1784 g 0.500 UL
+.1784 g % End plot #1
+0.500 UL
 LTb
 3245 586 M
 3054 779 V
 3245 586 M
 901 1601 L
-1622 413 R
-8 2 V
--178 -45 R
-4 1 V
--102 -26 R
-5 1 V
--176 -45 R
-3 1 V
-901 1601 M
 1046 266 V
-3006 80 R
--3 2 V
 6299 1365 M
 -974 421 V
 901 3815 M
 0 -2214 V
-3955 2747 M
-0 1847 R
-0 -1449 V
-2344 434 R
+3955 4594 M
+0 -1448 V
+2344 433 R
 0 -2214 V
 3245 954 M
 0 -368 V
@@ -9647,8 +8747,6 @@ stroke
 LTb
 0.500 UL
 LTb
-5077 1859 M
-39 10 V
 1780 1220 M
 50 13 V
 stroke
Binary files 1:3.0.1-6/doc/interpreter/mesh.pdf and 1:3.0.5-6/doc/interpreter/mesh.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/mesh.png and 1:3.0.5-6/doc/interpreter/mesh.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/nonlin.texi 1:3.0.5-6/doc/interpreter/nonlin.texi
--- 1:3.0.1-6/doc/interpreter/nonlin.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/nonlin.texi	2009-04-07 11:11:32.000000000 +0100
@@ -42,7 +42,7 @@ F (x) = 0
 using the function @code{fsolve}, which is based on the @sc{Minpack}
 subroutine @code{hybrd}.  This is an iterative technique so a starting
 point will have to be provided.  This also has the consequence that
-convergence is not guarantied even if a solution exists.
+convergence is not guaranteed even if a solution exists.
 
 @anchor{doc-fsolve}
 @deftypefn {Loadable Function} {[@var{x}, @var{fval}, @var{info}] =} fsolve (@var{fcn}, @var{x0})
diff -pruN 1:3.0.1-6/doc/interpreter/nonlin.txi 1:3.0.5-6/doc/interpreter/nonlin.txi
--- 1:3.0.1-6/doc/interpreter/nonlin.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/nonlin.txi	2009-02-18 06:57:46.000000000 +0000
@@ -40,7 +40,7 @@ F (x) = 0
 using the function @code{fsolve}, which is based on the @sc{Minpack}
 subroutine @code{hybrd}.  This is an iterative technique so a starting
 point will have to be provided.  This also has the consequence that
-convergence is not guarantied even if a solution exists.
+convergence is not guaranteed even if a solution exists.
 
 @DOCSTRING(fsolve)
 
diff -pruN 1:3.0.1-6/doc/interpreter/numbers.texi 1:3.0.5-6/doc/interpreter/numbers.texi
--- 1:3.0.1-6/doc/interpreter/numbers.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/numbers.texi	2009-04-07 11:11:32.000000000 +0100
@@ -537,7 +537,7 @@ when converted.
 @deftypefn {Built-in Function} {} isinteger (@var{x})
 Return true if @var{x} is an integer object (int8, uint8, int16, etc.).
 Note that @code{isinteger (14)} is false because numeric constants in
-are double precision floating point values.
+Octave are double precision floating point values.
 @seealso{isreal, isnumeric, class, isa}
 @end deftypefn
 
@@ -747,7 +747,7 @@ the function @code{bitmax}.
 @anchor{doc-bitmax}
 @deftypefn {Built-in Function} {} bitmax ()
 Return the largest integer that can be represented as a floating point
-value.  On IEEE-754 compatiable systems, @code{bitmax} is @code{2^53 - 1}.
+value.  On IEEE-754 compatible systems, @code{bitmax} is @code{2^53 - 1}.
 @end deftypefn
 
 
@@ -781,7 +781,7 @@ Return the bitwise XOR of nonnegative in
 @end deftypefn
 
 
-The bitwise 'not' operator is unary operator that performs a logial
+The bitwise 'not' operator is unary operator that performs a logical
 negation of each of the bits of the value. For this to make sense, the
 mask against which the value is negated must be defined. Octave's
 bitwise 'not' operator is @code{bitcmp}.
diff -pruN 1:3.0.1-6/doc/interpreter/numbers.txi 1:3.0.5-6/doc/interpreter/numbers.txi
--- 1:3.0.1-6/doc/interpreter/numbers.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/numbers.txi	2009-02-18 06:57:46.000000000 +0000
@@ -535,7 +535,7 @@ operators.
 
 @DOCSTRING(bitxor)
 
-The bitwise 'not' operator is unary operator that performs a logial
+The bitwise 'not' operator is unary operator that performs a logical
 negation of each of the bits of the value. For this to make sense, the
 mask against which the value is negated must be defined. Octave's
 bitwise 'not' operator is @code{bitcmp}.
Binary files 1:3.0.1-6/doc/interpreter/octave-a4.pdf and 1:3.0.5-6/doc/interpreter/octave-a4.pdf differ
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info 1:3.0.5-6/doc/interpreter/octave.info
--- 1:3.0.1-6/doc/interpreter/octave.info	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info	2009-04-07 11:11:34.000000000 +0100
@@ -23,10 +23,10 @@ versions.
 
 Indirect:
 octave.info-1: 838
-octave.info-2: 302578
-octave.info-3: 602602
-octave.info-4: 905925
-octave.info-5: 1197487
+octave.info-2: 299664
+octave.info-3: 608125
+octave.info-4: 910627
+octave.info-5: 1207085
 
 Tag Table:
 (Indirect)
@@ -103,1510 +103,1515 @@ Ref: doc-class80764
 Ref: doc-isa80861
 Ref: doc-cast80952
 Ref: doc-typecast81115
-Ref: doc-swapbytes81637
-Node: Numeric Objects82013
-Node: Missing Data82892
-Ref: doc-NA83329
-Ref: doc-isna83613
-Node: String Objects83816
-Node: Data Structure Objects84299
-Node: Cell Array Objects84763
-Node: User-defined Data Types85057
-Node: Object Sizes85516
-Ref: doc-ndims85975
-Ref: doc-columns86187
-Ref: doc-rows86348
-Ref: doc-numel86502
-Ref: doc-length86614
-Ref: doc-size86850
-Ref: doc-isempty87605
-Ref: doc-sizeof87780
-Ref: doc-size_equal87855
-Ref: doc-squeeze88042
-Node: Numeric Data Types88275
-Ref: doc-double89733
-Ref: doc-single89810
-Ref: doc-complex90070
-Node: Matrices90318
-Ref: doc-output_max_field_width93194
-Ref: doc-output_precision93465
-Ref: doc-split_long_rows93993
-Ref: doc-fixed_point_format95322
-Node: Empty Matrices96110
-Ref: doc-print_empty_dimensions97109
-Node: Ranges97844
-Node: Integer Data Types99540
-Ref: doc-isinteger100556
-Ref: doc-int8100834
-Ref: doc-uint8100906
-Ref: doc-int16100988
-Ref: doc-uint16101062
-Ref: doc-int32101146
-Ref: doc-uint32101220
-Ref: doc-int64101304
-Ref: doc-uint64101378
-Ref: doc-intmax101462
-Ref: doc-intmin102058
-Node: Integer Arithmetic102688
-Node: Bit Manipulations104238
-Ref: doc-bitset104601
-Ref: doc-bitget104950
-Ref: doc-bitmax106252
-Ref: doc-bitand106612
-Ref: doc-bitor106824
-Ref: doc-bitxor107034
-Ref: doc-bitcmp107491
-Ref: doc-bitshift107926
-Node: Logical Values108900
-Ref: doc-logical110361
-Ref: doc-true110529
-Ref: doc-false110795
-Node: Predicates for Numeric Objects111064
-Ref: doc-isnumeric111904
-Ref: doc-isreal111989
-Ref: doc-iscomplex112080
-Ref: doc-ismatrix112177
-Ref: doc-isvector112269
-Ref: doc-isscalar112424
-Ref: doc-issquare112579
-Ref: doc-issymmetric112783
-Ref: doc-isdefinite113216
-Ref: doc-islogical113537
-Ref: doc-isprime113619
-Node: Strings114002
-Node: Creating Strings116443
-Ref: doc-blanks116886
-Ref: doc-char118224
-Ref: doc-strcat119010
-Ref: doc-strvcat119249
-Ref: doc-strtrunc119541
-Ref: doc-string_fill_char119824
-Ref: doc-str2mat120303
-Ref: doc-ischar120664
-Ref: doc-mat2str120754
-Ref: doc-num2str121808
-Ref: doc-int2str122121
-Node: Comparing Strings122354
-Ref: doc-strcmp122952
-Ref: doc-strcmpi123661
-Ref: doc-strncmp124388
-Ref: doc-strncmpi125261
-Node: Manipulating Strings126014
-Ref: doc-deblank126768
-Ref: doc-findstr127010
-Ref: doc-index127464
-Ref: doc-rindex128061
-Ref: doc-strfind128421
-Ref: doc-strmatch128977
-Ref: doc-strtok129349
-Ref: doc-split129698
-Ref: doc-strrep130186
-Ref: doc-substr130423
-Ref: doc-regexp130935
-Ref: doc-regexpi134968
-Ref: doc-regexprep135296
-Node: String Conversions136548
-Ref: doc-bin2dec136949
-Ref: doc-dec2bin137331
-Ref: doc-dec2hex137838
-Ref: doc-hex2dec138318
-Ref: doc-dec2base138741
-Ref: doc-base2dec139418
-Ref: doc-str2double140075
-Ref: doc-strjust142086
-Ref: doc-str2num142409
-Ref: doc-toascii142481
-Ref: doc-tolower142653
-Ref: doc-toupper142944
-Ref: doc-do_string_escapes143237
-Ref: doc-undo_string_escapes143355
-Node: Character Class Functions144125
-Ref: doc-isalnum144685
-Ref: doc-isalpha144824
-Ref: doc-isascii144992
-Ref: doc-iscntrl145110
-Ref: doc-isdigit145184
-Ref: doc-isgraph145274
-Ref: doc-isletter145380
-Ref: doc-islower145493
-Ref: doc-isprint145587
-Ref: doc-ispunct145695
-Ref: doc-isspace145773
-Ref: doc-isupper145922
-Ref: doc-isxdigit145996
-Node: Data Containers146091
-Node: Data Structures146556
-Ref: doc-struct_levels_to_print148384
-Node: Structure Arrays149955
-Node: Creating Structures151872
-Ref: doc-struct153146
-Ref: doc-isstruct153612
-Ref: doc-rmfield153808
-Ref: doc-setfield154033
-Ref: doc-orderfields154511
-Node: Manipulating Structures155015
-Ref: doc-fieldnames155297
-Ref: doc-isfield155512
-Ref: doc-getfield155735
-Ref: doc-substruct156220
-Node: Processing Data in Structures156378
-Ref: doc-structfun156817
-Ref: doc-struct2cell158747
-Node: Cell Arrays159055
-Ref: doc-celldisp160765
-Node: Creating Cell Arrays161144
-Ref: doc-cell162792
-Ref: doc-iscell163251
-Ref: doc-num2cell163359
-Ref: doc-mat2cell163638
-Node: Indexing Cell Arrays164619
-Node: Cell Arrays of Strings166414
-Ref: doc-cellstr167998
-Ref: doc-iscellstr168127
-Ref: doc-cellidx168253
-Node: Processing Data in Cell Arrays168878
-Ref: doc-cellfun169411
-Ref: doc-cell2mat172567
-Ref: doc-cell2struct172861
-Node: Comma Separated Lists173389
-Node: Variables176757
-Ref: doc-isvarname178725
-Node: Global Variables178965
-Ref: doc-isglobal180689
-Node: Persistent Variables180879
-Node: Status of Variables184409
-Ref: doc-who184987
-Ref: doc-whos186199
-Ref: doc-whos_line_format186252
-Ref: doc-exist188172
-Ref: doc-clear189812
-Ref: doc-document191957
-Ref: doc-type192060
-Ref: doc-which192288
-Node: Summary of Built-in Variables192478
-Node: Defaults from the Environment195573
-Node: Expressions196869
-Node: Index Expressions197728
-Ref: doc-subsref200664
-Ref: doc-sub2ind201537
-Ref: doc-ind2sub201904
-Node: Calling Functions202226
-Node: Call by Value204738
-Node: Recursion206748
-Ref: doc-max_recursion_depth207687
-Ref: Recursion-Footnote-1208040
-Ref: Recursion-Footnote-2208429
-Node: Arithmetic Ops208590
-Node: Comparison Ops211875
-Ref: doc-isequal213023
-Ref: doc-isequalwithequalnans213156
-Node: Boolean Expressions213311
-Node: Element-by-element Boolean Operators213560
-Node: Short-circuit Boolean Operators216028
-Node: Assignment Ops218945
-Ref: doc-subsasgn223803
-Node: Increment Ops224598
-Node: Operator Precedence226219
-Node: Evaluation228275
-Ref: doc-eval228704
-Node: Calling a Function by its Name229542
-Ref: doc-feval231247
-Ref: doc-run232050
-Node: Evaluation in a Different Context232405
-Ref: doc-evalin234801
-Ref: doc-assignin234988
-Node: Statements235146
-Node: The if Statement236662
-Node: The switch Statement240190
-Node: Notes for the C programmer243000
-Node: The while Statement244099
-Node: The do-until Statement246301
-Node: The for Statement247709
-Node: Looping Over Structure Elements250861
-Node: The break Statement252130
-Node: The continue Statement253643
-Node: The unwind_protect Statement254931
-Node: The try Statement256310
-Node: Continuation Lines257342
-Node: Functions and Scripts259025
-Node: Defining Functions259752
-Ref: doc-nargin264987
-Ref: doc-inputname265477
-Ref: doc-silent_functions265570
-Node: Multiple Return Values265965
-Ref: doc-nargout268314
-Ref: doc-nargchk268956
-Node: Variable-length Argument Lists269321
-Ref: doc-parseparams271381
-Node: Variable-length Return Lists272049
-Ref: doc-deal272997
-Node: Returning From a Function273501
-Node: Default Arguments275088
-Node: Function Files276376
-Ref: doc-mfilename278984
-Ref: doc-ignore_function_time_stamp279443
-Ref: Function Files-Footnote-1280467
-Node: Manipulating the load path280533
-Ref: doc-addpath281348
-Ref: doc-genpath281802
-Ref: doc-rmpath281908
-Ref: doc-savepath282084
-Ref: doc-path282333
-Ref: doc-pathdef282907
-Ref: doc-pathsep283105
-Ref: doc-rehash283265
-Ref: doc-file_in_loadpath283354
-Node: Subfunctions284037
-Node: Overloading and Autoloading284843
-Ref: doc-dispatch285699
-Ref: doc-builtin286181
-Ref: doc-autoload287146
-Node: Function Locking288157
-Ref: doc-mlock290064
-Ref: doc-munlock290259
-Ref: doc-mislocked290442
-Node: Script Files290661
-Ref: doc-source294471
-Node: Function Handles Inline Functions and Anonymous Functions294680
-Node: Function Handles295264
-Ref: doc-functions296187
-Ref: doc-func2str296322
-Ref: doc-str2func296477
-Node: Anonymous Functions296590
-Node: Inline Functions297677
-Ref: doc-inline298121
-Ref: doc-argnames299019
-Ref: doc-formula299222
-Ref: doc-vectorize299439
-Node: Commands299615
-Ref: doc-mark_as_command300836
-Ref: doc-unmark_command300972
-Ref: doc-iscommand301109
-Ref: doc-mark_as_rawcommand301369
-Ref: doc-unmark_rawcommand302022
-Ref: doc-israwcommand302294
-Node: Organization of Functions302578
-Node: Errors and Warnings304693
-Node: Handling Errors305298
-Node: Raising Errors306028
-Ref: doc-error306647
-Ref: doc-print_usage309668
-Ref: doc-usage309894
-Ref: doc-beep310746
-Ref: doc-beep_on_error310878
-Node: Catching Errors311130
-Ref: doc-lasterror312273
-Ref: doc-lasterr313756
-Ref: doc-rethrow314641
-Ref: doc-errno315022
-Ref: doc-errno_list315374
-Node: Handling Warnings315483
-Node: Issuing Warnings316062
-Ref: doc-warning317305
-Ref: doc-lastwarn318530
-Node: Enabling and Disabling Warnings318778
-Ref: doc-warning_ids319732
-Node: Debugging327090
-Node: Entering Debug Mode328225
-Ref: doc-debug_on_interrupt328708
-Ref: doc-debug_on_warning329124
-Ref: doc-debug_on_error329370
-Node: Breakpoints329735
-Ref: doc-dbstop329951
-Ref: doc-dbstatus331052
-Ref: doc-dbclear331482
-Ref: doc-keyboard332338
-Node: Debug Mode333163
-Ref: doc-dbwhere333507
-Ref: doc-dbtype333623
-Node: Input and Output334147
-Node: Basic Input and Output334676
-Node: Terminal Output334935
-Ref: doc-ans335673
-Ref: doc-disp335905
-Ref: doc-format336301
-Ref: doc-print_answer_id_name341557
-Node: Paging Screen Output341866
-Ref: doc-more343010
-Ref: doc-PAGER343240
-Ref: doc-PAGER_FLAGS343689
-Ref: doc-page_screen_output343908
-Ref: doc-page_output_immediately344355
-Ref: doc-fflush344727
-Node: Terminal Input345142
-Ref: doc-input345553
-Ref: doc-menu346678
-Ref: doc-kbhit347410
-Node: Simple File I/O347833
-Ref: doc-save348658
-Ref: doc-load351769
-Ref: doc-default_save_options355271
-Ref: doc-save_precision355643
-Ref: doc-save_header_format_string355871
-Ref: doc-native_float_format356573
-Ref: doc-fdisp357159
-Node: Saving Data on Unexpected Exits357531
-Ref: doc-crash_dumps_octave_core358046
-Ref: doc-sighup_dumps_octave_core358472
-Ref: doc-sigterm_dumps_octave_core358771
-Ref: doc-octave_core_file_options359075
-Ref: doc-octave_core_file_limit359592
-Ref: doc-octave_core_file_name360367
-Node: Rational Approximations360776
-Ref: doc-rat360945
-Ref: doc-rats361406
-Node: C-Style I/O Functions361804
-Ref: doc-stdin362617
-Ref: doc-stdout362866
-Ref: doc-stderr363096
-Node: Opening and Closing Files363893
-Ref: doc-fopen364628
-Ref: doc-fclose367862
-Node: Simple Output368038
-Ref: doc-fputs368583
-Ref: doc-puts368923
-Node: Line-Oriented Input369089
-Ref: doc-fgetl369671
-Ref: doc-fgets370087
-Node: Formatted Output370503
-Ref: doc-printf371018
-Ref: doc-fprintf371267
-Ref: doc-sprintf371506
-Node: Output Conversion for Matrices373961
-Node: Output Conversion Syntax375051
-Node: Table of Output Conversions378019
-Node: Integer Conversions380203
-Node: Floating-Point Conversions382259
-Node: Other Output Conversions385095
-Node: Formatted Input386204
-Ref: doc-fscanf386617
-Ref: doc-sscanf388100
-Node: Input Conversion Syntax389733
-Node: Table of Input Conversions392223
-Node: Numeric Input Conversions394062
-Node: String Input Conversions395102
-Node: Binary I/O396133
-Ref: doc-fread396595
-Ref: doc-fwrite400990
-Node: Temporary Files401635
-Ref: doc-mkstemp402070
-Ref: doc-tmpfile403050
-Ref: doc-tmpnam403531
-Node: EOF and Errors404102
-Ref: doc-feof404983
-Ref: doc-ferror405329
-Ref: doc-freport405609
-Node: File Positioning406010
-Ref: doc-ftell406268
-Ref: doc-fseek406459
-Ref: doc-SEEK_SET407057
-Ref: doc-frewind407465
-Node: Plotting408010
-Node: Plotting Basics408188
-Node: Two-Dimensional Plots408708
-Ref: fig:plot409147
-Ref: doc-plot409686
-Ref: doc-fplot414016
-Ref: doc-semilogx414890
-Ref: doc-semilogy415143
-Ref: doc-loglog415396
-Ref: fig:hist415887
-Ref: doc-bar416057
-Ref: doc-barh417104
-Ref: doc-hist418167
-Ref: doc-stairs418963
-Ref: doc-stem419553
-Ref: doc-contour421585
-Ref: doc-contourc422607
-Ref: fig:errorbar424007
-Ref: doc-errorbar424185
-Ref: doc-semilogxerr426346
-Ref: doc-semilogyerr426846
-Ref: doc-loglogerr427347
-Ref: fig:polar428109
-Ref: doc-polar428281
-Ref: doc-pie428490
-Ref: doc-quiver429229
-Ref: doc-pcolor430516
-Ref: doc-area430946
-Ref: doc-axis431871
-Ref: doc-caxis434378
-Node: Three-Dimensional Plotting435079
-Ref: fig:mesh435776
-Ref: fig:plot3436372
-Ref: doc-mesh436642
-Ref: doc-meshc437034
-Ref: doc-hidden437445
-Ref: doc-surf437775
-Ref: doc-surfc438166
-Ref: doc-meshgrid438580
-Ref: doc-ndgrid439214
-Ref: doc-plot3439761
-Ref: doc-view441298
-Ref: doc-shading441479
-Node: Plot Annotations441772
-Ref: doc-title442404
-Ref: doc-legend442493
-Ref: doc-text443941
-Ref: doc-xlabel444324
-Ref: doc-box444698
-Ref: doc-grid444950
-Node: Multiple Plots on One Page445417
-Ref: doc-subplot446293
-Node: Multiple Plot Windows447056
-Ref: doc-figure447552
-Node: Printing Plots447874
-Ref: doc-print448237
-Ref: doc-orient451446
-Node: Test Plotting Functions451676
-Ref: doc-sombrero452023
-Ref: doc-peaks452314
-Node: Advanced Plotting453199
-Node: Graphics Objects453500
-Ref: doc-ishandle454544
-Ref: doc-isfigure454646
-Ref: doc-gcf454993
-Ref: doc-gca455551
-Ref: doc-get457396
-Ref: doc-set457659
-Ref: doc-ancestor457796
-Ref: doc-axes458561
-Ref: doc-line458721
-Ref: doc-patch459122
-Ref: doc-surface459701
-Ref: doc-drawnow460666
-Ref: doc-newplot461450
-Ref: doc-hold461631
-Ref: doc-ishold462157
-Ref: doc-clf462580
-Ref: doc-shg462672
-Ref: doc-delete462818
-Ref: doc-close462929
-Ref: doc-closereq463228
-Node: Graphics Object Properties463381
-Node: Root Figure Properties463775
-Node: Figure Properties464023
-Node: Axes Properties464713
-Node: Line Properties468360
-Node: Text Properties469188
-Ref: tab:extended472202
-Node: Image Properties475032
-Node: Patch Properties475660
-Node: Surface Properties476287
-Node: Managing Default Properties476787
-Node: Colors479286
-Node: Line Styles479645
-Node: Marker Styles480148
-Node: Interaction with gnuplot480942
-Ref: doc-gnuplot_binary481111
-Ref: doc-gnuplot_use_title_option481347
-Node: Matrix Manipulation481745
-Node: Finding Elements and Checking Conditions482451
-Ref: doc-any482904
-Ref: doc-all483440
-Ref: doc-xor484161
-Ref: doc-is_duplicate_entry484384
-Ref: doc-diff484500
-Ref: doc-isinf485391
-Ref: doc-isnan485584
-Ref: doc-finite485822
-Ref: doc-find486022
-Ref: doc-common_size487272
-Node: Rearranging Matrices487905
-Ref: doc-fliplr488123
-Ref: doc-flipud488464
-Ref: doc-flipdim488873
-Ref: doc-rot90489111
-Ref: doc-rotdim489969
-Ref: doc-cat490972
-Ref: doc-horzcat491797
-Ref: doc-vertcat492007
-Ref: doc-permute492215
-Ref: doc-ipermute492485
-Ref: doc-reshape492698
-Ref: doc-circshift493327
-Ref: doc-shiftdim494116
-Ref: doc-shift495016
-Ref: doc-sort495307
-Ref: doc-sortrows496769
-Ref: doc-swap497629
-Ref: doc-swapcols497714
-Ref: doc-swaprows497830
-Ref: doc-tril497943
-Ref: doc-vec498958
-Ref: doc-vech499085
-Ref: doc-prepad499274
-Ref: doc-blkdiag499830
-Ref: Rearranging Matrices-Footnote-1500096
-Node: Applying a Function to an Array500269
-Ref: doc-arrayfun500493
-Ref: doc-bsxfun501029
-Node: Special Utility Matrices501512
-Ref: doc-eye501717
-Ref: doc-ones502771
-Ref: doc-zeros503359
-Ref: doc-repmat503804
-Ref: doc-rand504064
-Ref: doc-randn506559
-Ref: doc-rande507197
-Ref: doc-randp507844
-Ref: doc-randg509212
-Ref: doc-randperm511968
-Ref: doc-diag512093
-Ref: doc-linspace512865
-Ref: doc-logspace513434
-Node: Famous Matrices513891
-Ref: doc-hadamard514091
-Ref: doc-hankel514709
-Ref: doc-hilb515307
-Ref: doc-invhilb515547
-Ref: doc-magic516607
-Ref: doc-pascal516754
-Ref: doc-rosser517321
-Ref: doc-sylvester_matrix517584
-Ref: doc-toeplitz517736
-Ref: doc-vander518477
-Ref: doc-wilkinson518934
-Node: Arithmetic519140
-Node: Utility Functions519575
-Ref: doc-ceil519954
-Ref: doc-cplxpair520108
-Ref: doc-del2521094
-Ref: doc-exp522219
-Ref: doc-factor522355
-Ref: doc-factorial522644
-Ref: doc-fix522849
-Ref: doc-floor522979
-Ref: doc-fmod523138
-Ref: doc-gcd523368
-Ref: doc-gradient524288
-Ref: doc-lcm525489
-Ref: doc-log525820
-Ref: doc-log10526023
-Ref: doc-log2526159
-Ref: doc-max526403
-Ref: doc-min527316
-Ref: doc-mod528230
-Ref: doc-nextpow2528647
-Ref: doc-nthroot528844
-Ref: doc-pow2529079
-Ref: doc-primes529289
-Ref: doc-rem529685
-Ref: doc-round529981
-Ref: doc-sign530149
-Ref: doc-sqrt530395
-Node: Complex Arithmetic530586
-Ref: doc-abs531026
-Ref: doc-arg531191
-Ref: doc-conj531408
-Ref: doc-imag531543
-Ref: doc-real531660
-Node: Trigonometry531755
-Ref: doc-sin532111
-Ref: doc-cos532187
-Ref: doc-tan532265
-Ref: doc-sec532340
-Ref: doc-csc532418
-Ref: doc-cot532498
-Ref: doc-asin532579
-Ref: doc-acos532664
-Ref: doc-atan532751
-Ref: doc-asec532839
-Ref: doc-acsc532926
-Ref: doc-acot533015
-Ref: doc-sinh533105
-Ref: doc-cosh533193
-Ref: doc-tanh533283
-Ref: doc-sech533370
-Ref: doc-csch533460
-Ref: doc-coth533552
-Ref: doc-asinh533645
-Ref: doc-acosh533742
-Ref: doc-atanh533841
-Ref: doc-asech533941
-Ref: doc-acsch534040
-Ref: doc-acoth534141
-Ref: doc-atan2534466
-Ref: doc-sind534749
-Ref: doc-cosd534943
-Ref: doc-tand535146
-Ref: doc-secd535410
-Ref: doc-cscd535529
-Ref: doc-cotd535650
-Ref: doc-asind535760
-Ref: doc-acosd535882
-Ref: doc-atand536006
-Ref: doc-asecd536124
-Ref: doc-acscd536232
-Ref: doc-acotd536358
-Node: Sums and Products536478
-Ref: doc-sum536636
-Ref: doc-prod537207
-Ref: doc-cumsum537461
-Ref: doc-cumprod537786
-Ref: doc-sumsq538124
-Ref: doc-accumarray538561
-Node: Special Functions540036
-Ref: doc-besselj540208
-Ref: doc-airy541975
-Ref: doc-beta543094
-Ref: doc-betainc543225
-Ref: doc-betaln543714
-Ref: doc-bincoeff543906
-Ref: doc-erf544229
-Ref: doc-erfc544521
-Ref: doc-erfinv544648
-Ref: doc-gamma544761
-Ref: doc-gammainc545012
-Ref: doc-legendre545730
-Ref: doc-lgamma546667
-Ref: doc-cross546859
-Ref: doc-commutation_matrix547278
-Ref: doc-duplication_matrix547665
-Node: Coordinate Transformations547997
-Ref: doc-cart2pol548192
-Ref: doc-pol2cart548551
-Ref: doc-cart2sph548914
-Ref: doc-sph2cart549262
-Node: Mathematical Constants549606
-Ref: doc-I549767
-Ref: doc-Inf550140
-Ref: doc-NaN550545
-Ref: doc-pi551269
-Ref: doc-e551615
-Ref: doc-eps551934
-Ref: doc-realmax552478
-Ref: doc-realmin552969
-Node: Linear Algebra553473
-Node: Techniques used for Linear Algebra553981
-Node: Basic Matrix Functions555918
-Ref: doc-balance556121
-Ref: doc-cond557672
-Ref: doc-det558062
-Ref: doc-dmult558230
-Ref: doc-dot558373
-Ref: doc-eig558650
-Ref: doc-givens559125
-Ref: doc-inv559448
-Ref: doc-matrix_type559760
-Ref: doc-norm562878
-Ref: doc-null563662
-Ref: doc-orth563970
-Ref: doc-pinv564276
-Ref: doc-rank564579
-Ref: doc-trace565007
-Ref: doc-rref565085
-Node: Matrix Factorizations565396
-Ref: doc-chol565584
-Ref: doc-cholinv565772
-Ref: doc-chol2inv565952
-Ref: doc-hess566296
-Ref: doc-lu566875
-Ref: doc-qr567429
-Ref: doc-qz568731
-Ref: doc-qzhess570605
-Ref: doc-schur571323
-Ref: doc-svd572772
-Ref: doc-housh573819
-Ref: doc-krylov574417
-Node: Functions of a Matrix575603
-Ref: doc-expm575760
-Ref: doc-logm576648
-Ref: doc-sqrtm576867
-Ref: doc-kron577208
-Ref: doc-syl577499
-Node: Nonlinear Equations577780
-Ref: doc-fsolve578258
-Ref: doc-fsolve_options579435
-Node: Sparse Matrices581469
-Node: Basics581894
-Node: Storage583326
-Ref: Storage-Footnote-1587489
-Node: Creation587637
-Ref: doc-spatan2589536
-Ref: doc-spcumprod589695
-Ref: doc-spcumsum589903
-Ref: doc-spdiag590103
-Ref: doc-spdiags590806
-Ref: doc-speye591882
-Ref: doc-spfun592374
-Ref: doc-spmax592616
-Ref: doc-spmin593533
-Ref: doc-spones594451
-Ref: doc-spprod594600
-Ref: doc-sprand594789
-Ref: doc-sprandn595353
-Ref: doc-sprandsym595939
-Ref: doc-spsum596579
-Ref: doc-spsumsq596759
-Ref: doc-full599166
-Ref: doc-spalloc599284
-Ref: doc-sparse600009
-Ref: doc-spconvert601269
-Ref: doc-spfind601702
-Node: Information602602
-Ref: doc-issparse603651
-Ref: doc-nnz603762
-Ref: doc-nonzeros603880
-Ref: doc-nzmax603983
-Ref: doc-spstats604412
-Ref: fig:spmatrix606498
-Ref: doc-spy608456
-Ref: doc-etree608867
-Ref: doc-etreeplot609437
-Ref: doc-gplot609738
-Ref: doc-treeplot610332
-Node: Operators and Functions610719
-Node: Functions611069
-Node: ReturnType613133
-Ref: doc-sparse_auto_mutate615559
-Node: MathConsiderations616184
-Ref: fig:simplematrix619286
-Ref: fig:simplechol621055
-Ref: fig:simplecholperm621847
-Ref: doc-ccolamd623013
-Ref: doc-colamd626882
-Ref: doc-colperm630440
-Ref: doc-csymamd630757
-Ref: doc-dmperm633495
-Ref: doc-symamd634251
-Ref: doc-symrcm637666
-Node: Sparse Linear Algebra638646
-Ref: doc-normest642839
-Ref: doc-condest643290
-Ref: doc-spchol644940
-Ref: doc-spcholinv645655
-Ref: doc-spchol2inv645848
-Ref: doc-spdet646205
-Ref: doc-spinv646390
-Ref: doc-spkron647018
-Ref: doc-splchol647544
-Ref: doc-splu648323
-Ref: doc-spparms649783
-Ref: doc-spqr651878
-Ref: doc-sprank652703
-Ref: doc-symbfact653113
-Ref: Sparse Linear Algebra-Footnote-1654357
-Node: Iterative Techniques654496
-Ref: doc-pcg655018
-Ref: doc-pcr661109
-Ref: doc-luinc665760
-Node: Real Life Example668084
-Node: Numerical Integration673508
-Node: Functions of One Variable673941
-Ref: doc-quad674609
-Ref: doc-quad_options676053
-Ref: doc-quadl677762
-Ref: doc-trapz678869
-Ref: doc-cumtrapz679282
-Node: Orthogonal Collocation679752
-Ref: doc-colloc679929
-Node: Functions of Multiple Variables680941
-Node: Differential Equations683129
-Node: Ordinary Differential Equations683559
-Ref: doc-lsode683898
-Ref: doc-lsode_options686529
-Node: Differential-Algebraic Equations689621
-Ref: doc-daspk690048
-Ref: doc-daspk_options692580
-Ref: doc-dasrt699084
-Ref: doc-dasrt_options703221
-Node: Optimization705194
-Node: Linear Programming705665
-Ref: doc-glpk706047
-Node: Quadratic Programming718600
-Ref: doc-qp718961
-Node: Nonlinear Programming720063
-Ref: doc-sqp720352
-Node: Linear Least Squares723910
-Ref: doc-ols724470
-Ref: doc-gls725250
-Node: Statistics725852
-Node: Descriptive Statistics726854
-Ref: doc-mean727090
-Ref: doc-median727791
-Ref: doc-meansq728298
-Ref: doc-std728625
-Ref: doc-var729449
-Ref: doc-mode730038
-Ref: doc-cov730559
-Ref: doc-cor730874
-Ref: doc-corrcoef731371
-Ref: doc-kurtosis731760
-Ref: doc-skewness732121
-Ref: doc-statistics732468
-Ref: doc-moment732754
-Node: Basic Statistical Functions733297
-Ref: doc-mahalanobis733556
-Ref: doc-center733808
-Ref: doc-studentize734066
-Ref: doc-nchoosek734352
-Ref: doc-perms734968
-Ref: doc-values735326
-Ref: doc-table735526
-Ref: doc-spearman735783
-Ref: doc-run_count736409
-Ref: doc-ranks736653
-Ref: doc-range736938
-Ref: doc-probit737260
-Ref: doc-logit737402
-Ref: doc-cloglog737533
-Ref: doc-kendall737672
-Ref: doc-iqr738563
-Ref: doc-cut738894
-Node: Statistical Plots739441
-Ref: doc-qqplot739924
-Ref: doc-ppplot740864
-Node: Tests741728
-Ref: doc-anova743306
-Ref: doc-bartlett_test744310
-Ref: doc-chisquare_test_homogeneity744799
-Ref: doc-chisquare_test_independence745418
-Ref: doc-cor_test745877
-Ref: doc-f_test_regression747281
-Ref: doc-hotelling_test747795
-Ref: doc-hotelling_test_2748363
-Ref: doc-kolmogorov_smirnov_test749047
-Ref: doc-kolmogorov_smirnov_test_2750415
-Ref: doc-kruskal_wallis_test751587
-Ref: doc-manova752721
-Ref: doc-mcnemar_test753367
-Ref: doc-prop_test_2753919
-Ref: doc-run_test754787
-Ref: doc-sign_test755122
-Ref: doc-t_test756080
-Ref: doc-t_test_2756932
-Ref: doc-t_test_regression757818
-Ref: doc-u_test758675
-Ref: doc-var_test759569
-Ref: doc-welch_test760457
-Ref: doc-wilcoxon_test761357
-Ref: doc-z_test762313
-Ref: doc-z_test_2763164
-Node: Models764048
-Ref: doc-logistic_regression764162
-Node: Distributions765842
-Ref: doc-betacdf768430
-Ref: doc-betainv768609
-Ref: doc-betapdf768784
-Ref: doc-binocdf768927
-Ref: doc-binoinv769074
-Ref: doc-binopdf769226
-Ref: doc-cauchy_cdf769404
-Ref: doc-cauchy_inv769682
-Ref: doc-cauchy_pdf769955
-Ref: doc-chi2cdf770233
-Ref: doc-chi2inv770420
-Ref: doc-chi2pdf770597
-Ref: doc-discrete_cdf770781
-Ref: doc-discrete_inv771009
-Ref: doc-discrete_pdf771227
-Ref: doc-empirical_cdf771451
-Ref: doc-empirical_inv771662
-Ref: doc-empirical_pdf771868
-Ref: doc-expcdf772075
-Ref: doc-expinv772312
-Ref: doc-exppdf772486
-Ref: doc-fcdf772656
-Ref: doc-finv772829
-Ref: doc-fpdf772998
-Ref: doc-gamcdf773174
-Ref: doc-gaminv773425
-Ref: doc-gampdf773668
-Ref: doc-geocdf773909
-Ref: doc-geoinv774046
-Ref: doc-geopdf774188
-Ref: doc-hygecdf774356
-Ref: doc-hygeinv774826
-Ref: doc-hygepdf775085
-Ref: doc-kolmogorov_smirnov_cdf775496
-Ref: doc-laplace_cdf775864
-Ref: doc-laplace_inv776019
-Ref: doc-laplace_pdf776169
-Ref: doc-logistic_cdf776320
-Ref: doc-logistic_inv776444
-Ref: doc-logistic_pdf776598
-Ref: doc-logncdf776722
-Ref: doc-logninv777104
-Ref: doc-lognpdf777479
-Ref: doc-nbincdf777857
-Ref: doc-nbininv778160
-Ref: doc-nbinpdf778468
-Ref: doc-normcdf778807
-Ref: doc-norminv779044
-Ref: doc-normpdf779276
-Ref: doc-poisscdf779509
-Ref: doc-poissinv779696
-Ref: doc-poisspdf779875
-Ref: doc-tcdf780053
-Ref: doc-tinv780223
-Ref: doc-tpdf780392
-Ref: doc-unidcdf780574
-Ref: doc-unidinv780796
-Ref: doc-unidpdf781016
-Ref: doc-unifcdf781234
-Ref: doc-unifinv781415
-Ref: doc-unifpdf781616
-Ref: doc-wblcdf781787
-Ref: doc-wblinv782049
-Ref: doc-wblpdf782238
-Node: Random Number Generation782542
-Ref: doc-betarnd784016
-Ref: doc-binornd784366
-Ref: doc-cauchy_rnd784722
-Ref: doc-chi2rnd785113
-Ref: doc-discrete_rnd785444
-Ref: doc-empirical_rnd785882
-Ref: doc-exprnd786266
-Ref: doc-frnd786638
-Ref: doc-gamrnd787042
-Ref: doc-geornd787460
-Ref: doc-hygernd787807
-Ref: doc-laplace_rnd788298
-Ref: doc-logistic_rnd788505
-Ref: doc-lognrnd788713
-Ref: doc-nbinrnd789132
-Ref: doc-normrnd789543
-Ref: doc-poissrnd789919
-Ref: doc-trnd790204
-Ref: doc-unidrnd790562
-Ref: doc-unifrnd791041
-Ref: doc-wblrnd791381
-Ref: doc-wienrnd791788
-Node: Financial Functions792242
-Ref: doc-fv792380
-Ref: doc-fvl792931
-Ref: doc-irr793185
-Ref: doc-nper793453
-Ref: doc-npv794034
-Ref: doc-pmt794564
-Ref: doc-pv795017
-Ref: doc-pvl795599
-Ref: doc-rate795862
-Ref: doc-vol796350
-Node: Sets796808
-Ref: doc-create_set797111
-Ref: doc-unique797378
-Node: Set Operations797899
-Ref: doc-ismember798412
-Ref: doc-union799481
-Ref: doc-intersect799737
-Ref: doc-complement800125
-Ref: doc-setdiff800351
-Ref: doc-setxor800799
-Node: Polynomial Manipulations801071
-Node: Evaluating Polynomials801627
-Ref: doc-polyval802535
-Ref: doc-polyvalm802881
-Node: Finding Roots803301
-Ref: doc-roots803673
-Ref: doc-compan804144
-Node: Products of Polynomials805078
-Ref: doc-conv805277
-Ref: doc-deconv805629
-Ref: doc-conv2806039
-Ref: doc-polygcd806622
-Ref: doc-residue807370
-Node: Derivatives and Integrals809712
-Ref: doc-polyderiv810308
-Ref: doc-polyder810828
-Ref: doc-polyint810964
-Node: Polynomial Interpolation811318
-Ref: doc-polyfit812026
-Ref: doc-ppval813429
-Ref: doc-mkpp813713
-Ref: doc-unmkpp814524
-Node: Miscellaneous Functions815418
-Ref: doc-poly815594
-Ref: doc-polyout816450
-Ref: doc-polyreduce816803
-Node: Interpolation817062
-Node: One-dimensional Interpolation817280
-Ref: doc-interp1817688
-Ref: doc-interpft820957
-Ref: doc-spline822409
-Ref: doc-lookup823899
-Node: Multi-dimensional Interpolation824749
-Ref: doc-interp2825135
-Ref: doc-interp3826970
-Ref: doc-interpn828706
-Ref: doc-bicubic831597
-Node: Geometry831949
-Ref: Geometry-Footnote-1832433
-Node: Delaunay Triangulation832619
-Ref: doc-delaunay833341
-Ref: doc-delaunay3834621
-Ref: doc-delaunayn835126
-Node: Plotting the Triangulation836800
-Ref: doc-triplot837117
-Ref: doc-trimesh837568
-Node: Identifying points in Triangulation838388
-Ref: doc-tsearch840658
-Ref: doc-tsearchn840947
-Ref: doc-dsearch842127
-Ref: doc-dsearchn842435
-Node: Voronoi Diagrams843335
-Ref: doc-voronoi843982
-Ref: doc-voronoin844883
-Ref: doc-polyarea845910
-Ref: doc-inpolygon846765
-Node: Convex Hull847395
-Ref: doc-convhull847780
-Ref: doc-convhulln848224
-Node: Interpolation on Scattered Data848955
-Ref: doc-griddata849627
-Ref: doc-griddata3850146
-Ref: doc-griddatan850552
-Node: Control Theory851232
-Ref: doc-DEMOcontrol852044
-Node: sysstruct852909
-Ref: doc-sysrepdemo854063
-Node: sysstructvars854161
-Node: sysstructtf856134
-Node: sysstructzp856383
-Node: sysstructss856648
-Node: sysinterface857157
-Node: fir2sys857794
-Ref: doc-fir2sys857982
-Ref: doc-sys2fir859026
-Node: ss2sys859211
-Ref: doc-ss859390
-Ref: doc-ss2sys863315
-Ref: doc-sys2ss867220
-Node: tf2sys868320
-Ref: doc-tf868510
-Ref: doc-tf2sys869307
-Ref: doc-sys2tf870127
-Node: zp2sys870497
-Ref: doc-zp870677
-Ref: doc-zp2sys871421
-Ref: doc-sys2zp872191
-Node: structaccess872612
-Ref: doc-syschnames872767
-Ref: doc-syschtsam872859
-Ref: doc-sysdimensions873028
-Ref: doc-sysgetsignals874103
-Ref: doc-sysgettype877311
-Ref: doc-syssetsignals877652
-Ref: doc-sysupdate879470
-Ref: doc-minfo880194
-Ref: doc-sysgettsam880740
-Node: sysdisp880827
-Ref: doc-sysout880985
-Ref: doc-tfout881415
-Ref: doc-zpout881676
-Node: blockdiag881925
-Ref: doc-bddemo882190
-Ref: doc-buildssic882296
-Ref: doc-jet707886093
-Ref: doc-ord2886506
-Ref: doc-sysadd887342
-Ref: doc-sysappend887935
-Ref: doc-sysconnect889386
-Ref: doc-syscont890915
-Ref: doc-sysdisc891386
-Ref: doc-sysdup891773
-Ref: doc-sysgroup892731
-Ref: doc-sysmult893577
-Ref: doc-sysprune894047
-Ref: doc-sysreorder894894
-Ref: doc-sysscale895262
-Ref: doc-syssub896268
-Ref: doc-ugain896839
-Ref: doc-wgt1o897182
-Ref: doc-parallel897728
-Ref: doc-sysmin898230
-Node: numerical899004
-Ref: doc-are899149
-Ref: doc-dare899938
-Ref: doc-dre900962
-Ref: doc-dgram902054
-Ref: doc-dlyap902355
-Ref: doc-gram903308
-Ref: doc-lyap903474
-Ref: doc-qzval904169
-Ref: doc-zgfmul904369
-Ref: doc-zgfslv904575
-Ref: doc-zginit904671
-Ref: doc-zgreduce904866
-Ref: doc-zgrownorm905007
-Ref: doc-zgscal905204
-Ref: doc-zgsgiv905410
-Ref: doc-zgshsr905597
-Node: sysprop905925
-Ref: doc-analdemo906082
-Ref: doc-abcddim906176
-Ref: doc-ctrb906802
-Ref: doc-h2norm907172
-Ref: doc-hinfnorm907452
-Ref: doc-obsv908883
-Ref: doc-pzmap909271
-Ref: doc-is_abcd909671
-Ref: doc-is_controllable909955
-Ref: doc-is_detectable911093
-Ref: doc-is_dgkf911671
-Ref: doc-is_digital913937
-Ref: doc-is_observable914670
-Ref: doc-is_sample915139
-Ref: doc-is_siso915244
-Ref: doc-is_stabilizable915370
-Ref: doc-is_signal_list916045
-Ref: doc-is_stable916150
-Node: systime916788
-Ref: doc-c2d916945
-Ref: doc-d2c918485
-Ref: doc-dmr2d919812
-Ref: doc-damp921811
-Ref: doc-dcgain922170
-Ref: doc-impulse922415
-Ref: doc-step923218
-Node: sysfreq924074
-Ref: doc-frdemo924271
-Ref: doc-bode924362
-Ref: doc-bode_bounds926682
-Ref: doc-freqchkw926967
-Ref: doc-ltifr927107
-Ref: doc-nyquist927599
-Ref: doc-nichols930012
-Ref: doc-tzero931968
-Ref: doc-tzero2932650
-Node: cacsd932910
-Ref: doc-dgkfdemo933042
-Ref: doc-hinfdemo933140
-Ref: doc-dlqe937309
-Ref: doc-dlqr938170
-Ref: doc-dkalman938715
-Ref: doc-h2syn939658
-Ref: doc-hinf_ctr940730
-Ref: doc-hinfsyn941163
-Ref: doc-hinfsyn_chk942987
-Ref: doc-hinfsyn_ric943813
-Ref: doc-lqe944419
-Ref: doc-lqg945211
-Ref: doc-lqr946547
-Ref: doc-lsim947474
-Ref: doc-place948163
-Node: misc948506
-Ref: doc-axis2dlim948708
-Ref: doc-moddemo949093
-Ref: doc-prompt949191
-Ref: doc-rldemo949374
-Ref: doc-rlocus949462
-Ref: doc-sortcom950268
-Ref: doc-ss2tf950811
-Ref: doc-ss2zp951234
-Ref: doc-starp951474
-Ref: doc-tf2ss952439
-Ref: doc-tf2zp953102
-Ref: doc-zp2ss953347
-Ref: doc-zp2tf953971
-Node: Signal Processing954297
-Ref: doc-detrend954445
-Ref: doc-fft954813
-Ref: doc-fftw955662
-Ref: doc-ifft958549
-Ref: doc-fft2959452
-Ref: doc-ifft2959907
-Ref: doc-fftn960371
-Ref: doc-ifftn960885
-Ref: doc-fftconv961417
-Ref: doc-fftfilt961864
-Ref: doc-filter962176
-Ref: doc-filter2963751
-Ref: doc-freqz964309
-Ref: doc-freqz_plot965552
-Ref: doc-sinc965651
-Ref: doc-unwrap965712
-Ref: doc-arch_fit966072
-Ref: doc-arch_rnd966964
-Ref: doc-arch_test967343
-Ref: doc-arma_rnd968310
-Ref: doc-autocor968890
-Ref: doc-autocov969120
-Ref: doc-autoreg_matrix969347
-Ref: doc-bartlett969702
-Ref: doc-blackman969953
-Ref: doc-diffpara970187
-Ref: doc-durbinlevinson970923
-Ref: doc-fftshift971326
-Ref: doc-ifftshift971993
-Ref: doc-fractdiff972205
-Ref: doc-hamming972357
-Ref: doc-hanning972587
-Ref: doc-hurst972815
-Ref: doc-pchip973007
-Ref: doc-periodogram974130
-Ref: doc-rectangle_lw974246
-Ref: doc-rectangle_sw974371
-Ref: doc-sinetone974502
-Ref: doc-sinewave974796
-Ref: doc-spectral_adf974999
-Ref: doc-spectral_xdf975389
-Ref: doc-spencer975765
-Ref: doc-stft975878
-Ref: doc-synthesis976865
-Ref: doc-triangle_lw977130
-Ref: doc-triangle_sw977253
-Ref: doc-yulewalker977382
-Node: Image Processing977620
-Node: Loading and Saving Images978447
-Ref: doc-loadimage979035
-Ref: doc-saveimage979260
-Ref: doc-IMAGE_PATH980207
-Node: Displaying Images980439
-Ref: doc-imshow981065
-Ref: doc-image982162
-Ref: doc-imagesc982861
-Ref: doc-image_viewer983586
-Node: Representing Images985384
-Ref: doc-gray2ind986673
-Ref: doc-ind2gray986788
-Ref: doc-rgb2ind987040
-Ref: doc-ind2rgb987225
-Ref: doc-colormap987620
-Ref: doc-autumn988225
-Ref: doc-bone988478
-Ref: doc-cool988738
-Ref: doc-copper988974
-Ref: doc-gray989227
-Ref: doc-hot989457
-Ref: doc-hsv989734
-Ref: doc-jet990008
-Ref: doc-ocean990294
-Ref: doc-pink990466
-Ref: doc-prism990730
-Ref: doc-rainbow991011
-Ref: doc-spring991289
-Ref: doc-summer991531
-Ref: doc-white991771
-Ref: doc-winter992012
-Ref: doc-gmap40992618
-Node: Plotting on top of Images993090
-Node: Color Conversion994156
-Ref: doc-rgb2hsv994390
-Ref: doc-hsv2rgb994867
-Ref: doc-rgb2ntsc995005
-Ref: doc-ntsc2rgb995071
-Node: Audio Processing995137
-Ref: doc-lin2mu996405
-Ref: doc-mu2lin996818
-Ref: doc-loadaudio997184
-Ref: doc-saveaudio997713
-Ref: doc-playaudio998524
-Ref: doc-record998759
-Ref: doc-setaudio999123
-Ref: doc-wavread999232
-Ref: doc-wavwrite1000022
-Node: Quaternions1000431
-Ref: doc-quaternion1000904
-Ref: doc-qconj1001192
-Ref: doc-qderiv1001346
-Ref: doc-qderivmat1001811
-Ref: doc-qinv1002280
-Ref: doc-qmult1002447
-Ref: doc-qtrans1002730
-Ref: doc-qtransv1002855
-Ref: doc-qtransvmat1003137
-Ref: doc-qcoordinate_plot1003345
-Node: System Utilities1003732
-Node: Timing Utilities1004534
-Ref: doc-time1005504
-Ref: doc-now1005941
-Ref: doc-ctime1006398
-Ref: doc-gmtime1006750
-Ref: doc-localtime1007455
-Ref: doc-mktime1008165
-Ref: doc-asctime1008533
-Ref: doc-strftime1008830
-Ref: doc-strptime1011779
-Ref: doc-clock1012514
-Ref: doc-date1012841
-Ref: doc-etime1012999
-Ref: doc-cputime1013402
-Ref: doc-is_leap_year1014093
-Ref: doc-tic1014340
-Ref: doc-pause1015760
-Ref: doc-sleep1016202
-Ref: doc-usleep1016323
-Ref: doc-datestr1016629
-Ref: doc-datevec1020717
-Ref: doc-calendar1021482
-Ref: doc-weekday1022080
-Ref: doc-eomday1022549
-Node: Filesystem Utilities1022688
-Ref: doc-rename1023046
-Ref: doc-link1023310
-Ref: doc-symlink1023603
-Ref: doc-readlink1023897
-Ref: doc-unlink1024249
-Ref: doc-readdir1024474
-Ref: doc-mkdir1024845
-Ref: doc-rmdir1025238
-Ref: doc-confirm_recursive_rmdir1025778
-Ref: doc-mkfifo1026053
-Ref: doc-umask1026314
-Ref: doc-stat1026635
-Ref: doc-lstat1029128
-Ref: doc-fileattrib1029199
-Ref: doc-isdir1030421
-Ref: doc-glob1030490
-Ref: doc-fnmatch1030935
-Ref: doc-file_in_path1031250
-Ref: doc-tilde_expand1032084
-Ref: doc-canonicalize_file_name1032777
-Ref: doc-movefile1032907
-Ref: doc-copyfile1033376
-Ref: doc-fileparts1033946
-Ref: doc-filesep1034124
-Ref: doc-fullfile1034278
-Ref: doc-tempdir1034442
-Ref: doc-tempname1034547
-Ref: doc-P_tmpdir1034636
-Node: File Archiving Utilities1034809
-Ref: doc-bunzip21035005
-Ref: doc-gzip1035246
-Ref: doc-gunzip1035674
-Ref: doc-tar1036025
-Ref: doc-untar1036458
-Ref: doc-zip1036700
-Ref: doc-unzip1037070
-Ref: doc-pack1037312
-Ref: doc-unpack1037445
-Node: Networking Utilities1038032
-Ref: doc-urlread1038224
-Ref: doc-urlwrite1039460
-Node: Controlling Subprocesses1040845
-Ref: doc-system1041506
-Ref: doc-unix1042905
-Ref: doc-dos1043393
-Ref: doc-popen1043892
-Ref: doc-pclose1044780
-Ref: doc-popen21044929
-Ref: doc-EXEC_PATH1046008
-Ref: doc-fork1046957
-Ref: doc-exec1047642
-Ref: doc-pipe1048145
-Ref: doc-dup21048466
-Ref: doc-waitpid1048718
-Ref: doc-fcntl1050206
-Ref: doc-kill1051542
-Ref: doc-SIG1052125
-Node: Process ID Information1052241
-Ref: doc-getpgrp1052448
-Ref: doc-getpid1052547
-Ref: doc-getppid1052638
-Ref: doc-geteuid1052729
-Ref: doc-getuid1052829
-Ref: doc-getegid1052922
-Ref: doc-getgid1053023
-Node: Environment Variables1053117
-Ref: doc-getenv1053311
-Ref: doc-putenv1053503
-Node: Current Working Directory1053609
-Ref: doc-cd1053816
-Ref: doc-ls1054249
-Ref: doc-ls_command1054719
-Ref: doc-dir1054966
-Ref: doc-pwd1055869
-Node: Password Database Functions1055971
-Ref: doc-getpwent1056631
-Ref: doc-getpwuid1056852
-Ref: doc-getpwnam1057085
-Ref: doc-setpwent1057324
-Ref: doc-endpwent1057442
-Node: Group Database Functions1057513
-Ref: doc-getgrent1058069
-Ref: doc-getgrgid1058259
-Ref: doc-getgrnam1058468
-Ref: doc-setgrent1058683
-Ref: doc-endgrent1058793
-Node: System Information1058861
-Ref: doc-computer1059042
-Ref: doc-uname1059717
-Ref: doc-ispc1060269
-Ref: doc-isunix1060403
-Ref: doc-isieee1060544
-Ref: doc-OCTAVE_HOME1060687
-Ref: doc-OCTAVE_VERSION1060796
-Ref: doc-version1060894
-Ref: doc-ver1061047
-Ref: doc-octave_config_info1061221
-Ref: doc-getrusage1061467
-Node: Hashing Functions1062934
-Ref: doc-md5sum1063893
-Node: Packages1064124
-Node: Installing and Removing Packages1064941
-Node: Using Packages1067395
-Node: Administrating Packages1068008
-Node: Creating Packages1069482
-Node: The DESCRIPTION File1073333
-Node: The INDEX file1077310
-Node: PKG_ADD and PKG_DEL directives1078207
-Node: Dynamically Linked Functions1079332
-Node: Oct-Files1081385
-Node: Getting Started with Oct-Files1082011
-Ref: doc-mkoctfile1082320
-Node: Matrices and Arrays in Oct-Files1088637
-Node: Character Strings in Oct-Files1096244
-Node: Cell Arrays in Oct-Files1099477
-Node: Structures in Oct-Files1101552
-Node: Sparse Matrices in Oct-Files1104762
-Node: Array and Sparse Differences1106208
-Node: Creating Sparse Matrices in Oct-Files1109266
-Node: Using Sparse Matrices in Oct-Files1116180
-Node: Accessing Global Variables in Oct-Files1117127
-Node: Calling Octave Functions from Oct-Files1119454
-Node: Calling External Code from Oct-Files1123401
-Node: Allocating Local Memory in Oct-Files1129416
-Node: Input Parameter Checking in Oct-Files1130091
-Node: Exception and Error Handling in Oct-Files1133554
-Node: Documentation and Test of Oct-Files1137758
-Node: Mex-Files1140004
-Node: Getting Started with Mex-Files1141147
-Ref: doc-mex1141628
-Ref: doc-mexext1141833
-Node: Working with Matrices and Arrays in Mex-Files1146570
-Node: Character Strings in Mex-Files1151107
-Node: Cell Arrays with Mex-Files1153617
-Node: Structures with Mex-Files1155921
-Node: Sparse Matrices with Mex-Files1160357
-Node: Calling Other Functions in Mex-Files1166317
-Node: Standalone Programs1168420
-Node: Test and Demo Functions1169644
-Node: Test Functions1170031
-Ref: doc-test1170176
-Ref: doc-assert1178577
-Ref: doc-fail1179648
-Node: Demonstration Functions1180380
-Ref: doc-demo1180543
-Ref: doc-example1182565
-Ref: doc-speed1183042
-Node: Tips1188038
-Node: Style Tips1188685
-Node: Coding Tips1190422
-Node: Comment Tips1191947
-Node: Function Headers1193099
-Node: Documentation Tips1197487
-Node: Trouble1205953
-Node: Actual Bugs1206667
-Node: Reporting Bugs1207490
-Ref: doc-bug_report1208636
-Node: Bug Criteria1209065
-Node: Bug Lists1210290
-Node: Bug Reporting1211304
-Node: Sending Patches1216767
-Node: Service1219591
-Node: Installation1220310
-Node: Installation Problems1229062
-Node: Emacs1236174
-Node: Installing EOS1237384
-Node: Using Octave Mode1238104
-Node: Running Octave From Within Emacs1248966
-Node: Using the Emacs Info Reader for Octave1253217
-Node: Copying1254348
-Node: Concept Index1291909
-Node: Variable Index1324026
-Node: Function Index1331726
-Node: Operator Index1452552
+Ref: doc-swapbytes81636
+Node: Numeric Objects82012
+Node: Missing Data82891
+Ref: doc-NA83328
+Ref: doc-isna83612
+Node: String Objects83815
+Node: Data Structure Objects84298
+Node: Cell Array Objects84762
+Node: User-defined Data Types85056
+Node: Object Sizes85515
+Ref: doc-ndims85974
+Ref: doc-columns86186
+Ref: doc-rows86347
+Ref: doc-numel86501
+Ref: doc-length86613
+Ref: doc-size86849
+Ref: doc-isempty87604
+Ref: doc-sizeof87779
+Ref: doc-size_equal87854
+Ref: doc-squeeze88041
+Node: Numeric Data Types88274
+Ref: doc-double89732
+Ref: doc-single89809
+Ref: doc-complex90069
+Node: Matrices90317
+Ref: doc-output_max_field_width93193
+Ref: doc-output_precision93464
+Ref: doc-split_long_rows93992
+Ref: doc-fixed_point_format95321
+Node: Empty Matrices96109
+Ref: doc-print_empty_dimensions97108
+Node: Ranges97843
+Node: Integer Data Types99539
+Ref: doc-isinteger100555
+Ref: doc-int8100840
+Ref: doc-uint8100912
+Ref: doc-int16100994
+Ref: doc-uint16101068
+Ref: doc-int32101152
+Ref: doc-uint32101226
+Ref: doc-int64101310
+Ref: doc-uint64101384
+Ref: doc-intmax101468
+Ref: doc-intmin102064
+Node: Integer Arithmetic102694
+Node: Bit Manipulations104244
+Ref: doc-bitset104607
+Ref: doc-bitget104956
+Ref: doc-bitmax106258
+Ref: doc-bitand106617
+Ref: doc-bitor106829
+Ref: doc-bitxor107039
+Ref: doc-bitcmp107497
+Ref: doc-bitshift107932
+Node: Logical Values108906
+Ref: doc-logical110367
+Ref: doc-true110535
+Ref: doc-false110801
+Node: Predicates for Numeric Objects111070
+Ref: doc-isnumeric111910
+Ref: doc-isreal111995
+Ref: doc-iscomplex112086
+Ref: doc-ismatrix112183
+Ref: doc-isvector112275
+Ref: doc-isscalar112430
+Ref: doc-issquare112585
+Ref: doc-issymmetric112789
+Ref: doc-isdefinite113222
+Ref: doc-islogical113543
+Ref: doc-isprime113625
+Node: Strings114008
+Node: Creating Strings116449
+Ref: doc-blanks116892
+Ref: doc-char118230
+Ref: doc-strcat119016
+Ref: doc-strvcat119255
+Ref: doc-strtrunc119547
+Ref: doc-string_fill_char119830
+Ref: doc-str2mat120309
+Ref: doc-ischar120670
+Ref: doc-mat2str120760
+Ref: doc-num2str121814
+Ref: doc-int2str122127
+Node: Comparing Strings122360
+Ref: doc-strcmp122958
+Ref: doc-strcmpi123667
+Ref: doc-strncmp124394
+Ref: doc-strncmpi125267
+Node: Manipulating Strings126020
+Ref: doc-deblank126774
+Ref: doc-findstr127016
+Ref: doc-index127470
+Ref: doc-rindex128067
+Ref: doc-strfind128427
+Ref: doc-strmatch128983
+Ref: doc-strtok129355
+Ref: doc-split129704
+Ref: doc-strrep130192
+Ref: doc-substr130452
+Ref: doc-regexp130964
+Ref: doc-regexpi134997
+Ref: doc-regexprep135325
+Node: String Conversions136577
+Ref: doc-bin2dec136978
+Ref: doc-dec2bin137360
+Ref: doc-dec2hex137867
+Ref: doc-hex2dec138347
+Ref: doc-dec2base138770
+Ref: doc-base2dec139447
+Ref: doc-str2double140104
+Ref: doc-strjust142115
+Ref: doc-str2num142438
+Ref: doc-toascii142510
+Ref: doc-tolower142682
+Ref: doc-toupper142973
+Ref: doc-do_string_escapes143266
+Ref: doc-undo_string_escapes143384
+Node: Character Class Functions144154
+Ref: doc-isalnum144714
+Ref: doc-isalpha144853
+Ref: doc-isascii145021
+Ref: doc-iscntrl145139
+Ref: doc-isdigit145213
+Ref: doc-isgraph145303
+Ref: doc-isletter145409
+Ref: doc-islower145522
+Ref: doc-isprint145616
+Ref: doc-ispunct145724
+Ref: doc-isspace145802
+Ref: doc-isupper145951
+Ref: doc-isxdigit146025
+Node: Data Containers146120
+Node: Data Structures146585
+Ref: doc-struct_levels_to_print148413
+Node: Structure Arrays149998
+Node: Creating Structures151915
+Ref: doc-struct153189
+Ref: doc-isstruct153655
+Ref: doc-rmfield153851
+Ref: doc-setfield154076
+Ref: doc-orderfields154554
+Node: Manipulating Structures155058
+Ref: doc-fieldnames155340
+Ref: doc-isfield155555
+Ref: doc-getfield155778
+Ref: doc-substruct156263
+Node: Processing Data in Structures156421
+Ref: doc-structfun156859
+Ref: doc-struct2cell158789
+Node: Cell Arrays159097
+Ref: doc-celldisp160807
+Node: Creating Cell Arrays161186
+Ref: doc-cell162834
+Ref: doc-iscell163293
+Ref: doc-num2cell163401
+Ref: doc-mat2cell163686
+Node: Indexing Cell Arrays164667
+Node: Cell Arrays of Strings166462
+Ref: doc-cellstr168046
+Ref: doc-iscellstr168175
+Ref: doc-cellidx168301
+Node: Processing Data in Cell Arrays168926
+Ref: doc-cellfun169459
+Ref: doc-cell2mat172615
+Ref: doc-cell2struct172909
+Node: Comma Separated Lists173437
+Node: Variables176805
+Ref: doc-isvarname178773
+Node: Global Variables179013
+Ref: doc-isglobal180737
+Node: Persistent Variables180927
+Node: Status of Variables184457
+Ref: doc-who185035
+Ref: doc-whos186247
+Ref: doc-whos_line_format186300
+Ref: doc-exist188220
+Ref: doc-clear189860
+Ref: doc-document192005
+Ref: doc-type192108
+Ref: doc-which192336
+Node: Summary of Built-in Variables192526
+Node: Defaults from the Environment195621
+Node: Expressions196917
+Node: Index Expressions197776
+Ref: doc-subsref200712
+Ref: doc-sub2ind201585
+Ref: doc-ind2sub201952
+Node: Calling Functions202274
+Node: Call by Value204786
+Node: Recursion206796
+Ref: doc-max_recursion_depth207735
+Ref: Recursion-Footnote-1208088
+Ref: Recursion-Footnote-2208477
+Node: Arithmetic Ops208638
+Node: Comparison Ops211923
+Ref: doc-isequal213071
+Ref: doc-isequalwithequalnans213204
+Node: Boolean Expressions213359
+Node: Element-by-element Boolean Operators213608
+Node: Short-circuit Boolean Operators216076
+Node: Assignment Ops218993
+Ref: doc-subsasgn223851
+Node: Increment Ops224646
+Node: Operator Precedence226267
+Node: Evaluation228323
+Ref: doc-eval228752
+Node: Calling a Function by its Name229590
+Ref: doc-feval231295
+Ref: doc-run232098
+Node: Evaluation in a Different Context232453
+Ref: doc-evalin234849
+Ref: doc-assignin235036
+Node: Statements235194
+Node: The if Statement236710
+Node: The switch Statement240238
+Node: Notes for the C programmer243048
+Node: The while Statement244147
+Node: The do-until Statement246349
+Node: The for Statement247757
+Node: Looping Over Structure Elements250909
+Node: The break Statement252178
+Node: The continue Statement253691
+Node: The unwind_protect Statement254979
+Node: The try Statement256358
+Node: Continuation Lines257390
+Node: Functions and Scripts259073
+Node: Defining Functions259800
+Ref: doc-nargin265035
+Ref: doc-inputname265525
+Ref: doc-silent_functions265618
+Node: Multiple Return Values266013
+Ref: doc-nargout268362
+Ref: doc-nargchk269004
+Node: Variable-length Argument Lists269369
+Ref: doc-parseparams271429
+Node: Variable-length Return Lists272097
+Ref: doc-deal273045
+Node: Returning From a Function273549
+Node: Default Arguments275136
+Node: Function Files276424
+Ref: doc-mfilename279032
+Ref: doc-ignore_function_time_stamp279491
+Ref: Function Files-Footnote-1280515
+Node: Manipulating the load path280581
+Ref: doc-addpath281396
+Ref: doc-genpath281850
+Ref: doc-rmpath281957
+Ref: doc-savepath282133
+Ref: doc-path282382
+Ref: doc-pathdef282956
+Ref: doc-pathsep283154
+Ref: doc-rehash283314
+Ref: doc-file_in_loadpath283403
+Node: Subfunctions284086
+Node: Overloading and Autoloading284892
+Ref: doc-dispatch285748
+Ref: doc-builtin286230
+Ref: doc-autoload287195
+Node: Function Locking288206
+Ref: doc-mlock290113
+Ref: doc-munlock290308
+Ref: doc-mislocked290491
+Node: Script Files290710
+Ref: doc-source294520
+Node: Function Handles Inline Functions and Anonymous Functions294729
+Node: Function Handles295313
+Ref: doc-functions296236
+Ref: doc-func2str296371
+Ref: doc-str2func296526
+Node: Anonymous Functions296639
+Node: Inline Functions297726
+Ref: doc-inline298170
+Ref: doc-argnames299068
+Ref: doc-formula299271
+Ref: doc-vectorize299488
+Node: Commands299664
+Ref: doc-mark_as_command300885
+Ref: doc-unmark_command301021
+Ref: doc-iscommand301158
+Ref: doc-mark_as_rawcommand301418
+Ref: doc-unmark_rawcommand302071
+Ref: doc-israwcommand302343
+Node: Organization of Functions302627
+Node: Errors and Warnings304743
+Node: Handling Errors305348
+Node: Raising Errors306078
+Ref: doc-error306697
+Ref: doc-print_usage309718
+Ref: doc-usage309944
+Ref: doc-beep310796
+Ref: doc-beep_on_error310928
+Node: Catching Errors311180
+Ref: doc-lasterror312323
+Ref: doc-lasterr313806
+Ref: doc-rethrow314691
+Ref: doc-errno315072
+Ref: doc-errno_list315424
+Node: Handling Warnings315533
+Node: Issuing Warnings316112
+Ref: doc-warning317355
+Ref: doc-lastwarn318580
+Node: Enabling and Disabling Warnings318828
+Ref: doc-warning_ids319782
+Node: Debugging327140
+Node: Entering Debug Mode328275
+Ref: doc-debug_on_interrupt328758
+Ref: doc-debug_on_warning329174
+Ref: doc-debug_on_error329420
+Node: Breakpoints329785
+Ref: doc-dbstop330001
+Ref: doc-dbstatus331102
+Ref: doc-dbclear331532
+Ref: doc-keyboard332388
+Node: Debug Mode333213
+Ref: doc-dbwhere333557
+Ref: doc-dbtype333673
+Node: Input and Output334197
+Node: Basic Input and Output334726
+Node: Terminal Output334985
+Ref: doc-ans335723
+Ref: doc-disp335955
+Ref: doc-format336351
+Ref: doc-print_answer_id_name341607
+Node: Paging Screen Output341916
+Ref: doc-more343060
+Ref: doc-PAGER343290
+Ref: doc-PAGER_FLAGS343739
+Ref: doc-page_screen_output343958
+Ref: doc-page_output_immediately344405
+Ref: doc-fflush344777
+Node: Terminal Input345192
+Ref: doc-input345603
+Ref: doc-menu346728
+Ref: doc-kbhit347460
+Node: Simple File I/O347883
+Ref: doc-save348708
+Ref: doc-load351819
+Ref: doc-default_save_options355321
+Ref: doc-save_precision355693
+Ref: doc-save_header_format_string355921
+Ref: doc-native_float_format356623
+Ref: doc-fdisp357209
+Node: Saving Data on Unexpected Exits357581
+Ref: doc-crash_dumps_octave_core358096
+Ref: doc-sighup_dumps_octave_core358522
+Ref: doc-sigterm_dumps_octave_core358821
+Ref: doc-octave_core_file_options359125
+Ref: doc-octave_core_file_limit359642
+Ref: doc-octave_core_file_name360417
+Node: Rational Approximations360826
+Ref: doc-rat360995
+Ref: doc-rats361456
+Node: C-Style I/O Functions361854
+Ref: doc-stdin362667
+Ref: doc-stdout362916
+Ref: doc-stderr363146
+Node: Opening and Closing Files363943
+Ref: doc-fopen364678
+Ref: doc-fclose367912
+Node: Simple Output368088
+Ref: doc-fputs368633
+Ref: doc-puts368973
+Node: Line-Oriented Input369139
+Ref: doc-fgetl369721
+Ref: doc-fgets370137
+Node: Formatted Output370553
+Ref: doc-printf371068
+Ref: doc-fprintf371317
+Ref: doc-sprintf371556
+Node: Output Conversion for Matrices374011
+Node: Output Conversion Syntax375101
+Node: Table of Output Conversions378069
+Node: Integer Conversions380253
+Node: Floating-Point Conversions382309
+Node: Other Output Conversions385145
+Node: Formatted Input386254
+Ref: doc-fscanf386667
+Ref: doc-sscanf388150
+Node: Input Conversion Syntax389783
+Node: Table of Input Conversions392273
+Node: Numeric Input Conversions394112
+Node: String Input Conversions395152
+Node: Binary I/O396183
+Ref: doc-fread396645
+Ref: doc-fwrite401040
+Node: Temporary Files401685
+Ref: doc-mkstemp402120
+Ref: doc-tmpfile403100
+Ref: doc-tmpnam403581
+Node: EOF and Errors404152
+Ref: doc-feof405033
+Ref: doc-ferror405379
+Ref: doc-freport405659
+Node: File Positioning406060
+Ref: doc-ftell406318
+Ref: doc-fseek406509
+Ref: doc-SEEK_SET407107
+Ref: doc-frewind407515
+Node: Plotting408060
+Node: Plotting Basics408238
+Node: Two-Dimensional Plots408758
+Ref: fig:plot409197
+Ref: doc-plot409736
+Ref: doc-fplot414030
+Ref: doc-semilogx414904
+Ref: doc-semilogy415157
+Ref: doc-loglog415410
+Ref: fig:hist415901
+Ref: doc-bar416071
+Ref: doc-barh417118
+Ref: doc-hist418181
+Ref: doc-stairs419080
+Ref: doc-stem419670
+Ref: doc-contour421714
+Ref: doc-contourf422736
+Ref: doc-contourc424111
+Ref: fig:errorbar425510
+Ref: doc-errorbar425688
+Ref: doc-semilogxerr427849
+Ref: doc-semilogyerr428349
+Ref: doc-loglogerr428850
+Ref: fig:polar429612
+Ref: doc-polar429784
+Ref: doc-pie429993
+Ref: doc-quiver430731
+Ref: doc-pcolor432018
+Ref: doc-area433220
+Ref: doc-axis434235
+Ref: doc-caxis436742
+Node: Three-Dimensional Plotting437443
+Ref: fig:mesh438140
+Ref: fig:plot3438736
+Ref: doc-mesh439006
+Ref: doc-meshc439398
+Ref: doc-hidden439809
+Ref: doc-surf440139
+Ref: doc-surfc440530
+Ref: doc-meshgrid440944
+Ref: doc-ndgrid441578
+Ref: doc-plot3442125
+Ref: doc-view443662
+Ref: doc-shading443843
+Node: Plot Annotations444354
+Ref: doc-title444986
+Ref: doc-legend445075
+Ref: doc-text446523
+Ref: doc-xlabel446975
+Ref: doc-box447349
+Ref: doc-grid447601
+Ref: doc-colorbar448200
+Node: Multiple Plots on One Page449144
+Ref: doc-subplot450020
+Node: Multiple Plot Windows450783
+Ref: doc-figure451279
+Node: Printing Plots451601
+Ref: doc-print451964
+Ref: doc-orient455173
+Node: Test Plotting Functions455403
+Ref: doc-sombrero455750
+Ref: doc-peaks456041
+Node: Advanced Plotting456926
+Node: Graphics Objects457227
+Ref: doc-ishandle458271
+Ref: doc-isfigure458373
+Ref: doc-gcf458720
+Ref: doc-gca459278
+Ref: doc-get461123
+Ref: doc-set461386
+Ref: doc-ancestor461523
+Ref: doc-axes462288
+Ref: doc-line462448
+Ref: doc-patch462849
+Ref: doc-surface463428
+Ref: doc-drawnow464393
+Ref: doc-newplot465177
+Ref: doc-hold465358
+Ref: doc-ishold465884
+Ref: doc-clf466307
+Ref: doc-shg466806
+Ref: doc-delete466952
+Ref: doc-close467063
+Ref: doc-closereq467362
+Node: Graphics Object Properties467515
+Node: Root Figure Properties467909
+Node: Figure Properties468157
+Node: Axes Properties468847
+Node: Line Properties472845
+Node: Text Properties473674
+Ref: tab:extended476689
+Node: Image Properties479519
+Node: Patch Properties480147
+Node: Surface Properties480774
+Node: Managing Default Properties481274
+Node: Colors483773
+Node: Line Styles484132
+Node: Marker Styles484635
+Node: Interaction with gnuplot485429
+Ref: doc-gnuplot_binary485598
+Ref: doc-gnuplot_use_title_option485834
+Node: Matrix Manipulation486232
+Node: Finding Elements and Checking Conditions486938
+Ref: doc-any487391
+Ref: doc-all487927
+Ref: doc-xor488648
+Ref: doc-is_duplicate_entry488871
+Ref: doc-diff488987
+Ref: doc-isinf489878
+Ref: doc-isnan490071
+Ref: doc-finite490309
+Ref: doc-find490509
+Ref: doc-common_size491759
+Node: Rearranging Matrices492392
+Ref: doc-fliplr492610
+Ref: doc-flipud492951
+Ref: doc-flipdim493360
+Ref: doc-rot90493598
+Ref: doc-rotdim494456
+Ref: doc-cat495459
+Ref: doc-horzcat496284
+Ref: doc-vertcat496494
+Ref: doc-permute496702
+Ref: doc-ipermute496972
+Ref: doc-reshape497185
+Ref: doc-resize497814
+Ref: doc-circshift498288
+Ref: doc-shiftdim499077
+Ref: doc-shift499977
+Ref: doc-sort500268
+Ref: doc-sortrows501730
+Ref: doc-swap502590
+Ref: doc-swapcols502675
+Ref: doc-swaprows502791
+Ref: doc-tril502904
+Ref: doc-vec503919
+Ref: doc-vech504046
+Ref: doc-prepad504235
+Ref: doc-blkdiag504818
+Ref: Rearranging Matrices-Footnote-1505084
+Node: Applying a Function to an Array505257
+Ref: doc-arrayfun505481
+Ref: doc-bsxfun506017
+Node: Special Utility Matrices506500
+Ref: doc-eye506705
+Ref: doc-ones507759
+Ref: doc-zeros508347
+Ref: doc-repmat508792
+Ref: doc-rand509052
+Ref: doc-randn511547
+Ref: doc-rande512231
+Ref: doc-randp512878
+Ref: doc-randg514247
+Ref: doc-randperm517003
+Ref: doc-diag517128
+Ref: doc-linspace517900
+Ref: doc-logspace518469
+Node: Famous Matrices518926
+Ref: doc-hadamard519126
+Ref: doc-hankel519744
+Ref: doc-hilb520342
+Ref: doc-invhilb520582
+Ref: doc-magic521642
+Ref: doc-pascal521789
+Ref: doc-rosser522356
+Ref: doc-sylvester_matrix522619
+Ref: doc-toeplitz522771
+Ref: doc-vander523512
+Ref: doc-wilkinson523969
+Node: Arithmetic524175
+Node: Utility Functions524610
+Ref: doc-ceil524989
+Ref: doc-cplxpair525143
+Ref: doc-del2526129
+Ref: doc-exp527254
+Ref: doc-factor527390
+Ref: doc-factorial527679
+Ref: doc-fix527884
+Ref: doc-floor528014
+Ref: doc-fmod528173
+Ref: doc-gcd528403
+Ref: doc-gradient529323
+Ref: doc-lcm530524
+Ref: doc-log530855
+Ref: doc-log10531058
+Ref: doc-log2531194
+Ref: doc-max531438
+Ref: doc-min532351
+Ref: doc-mod533265
+Ref: doc-nextpow2533799
+Ref: doc-nthroot533996
+Ref: doc-pow2534231
+Ref: doc-primes534441
+Ref: doc-rem534837
+Ref: doc-round535133
+Ref: doc-sign535301
+Ref: doc-sqrt535547
+Node: Complex Arithmetic535738
+Ref: doc-abs536178
+Ref: doc-arg536343
+Ref: doc-conj536560
+Ref: doc-imag536695
+Ref: doc-real536812
+Node: Trigonometry536907
+Ref: doc-sin537263
+Ref: doc-cos537339
+Ref: doc-tan537417
+Ref: doc-sec537492
+Ref: doc-csc537570
+Ref: doc-cot537650
+Ref: doc-asin537731
+Ref: doc-acos537816
+Ref: doc-atan537903
+Ref: doc-asec537991
+Ref: doc-acsc538078
+Ref: doc-acot538167
+Ref: doc-sinh538257
+Ref: doc-cosh538345
+Ref: doc-tanh538435
+Ref: doc-sech538522
+Ref: doc-csch538612
+Ref: doc-coth538704
+Ref: doc-asinh538797
+Ref: doc-acosh538894
+Ref: doc-atanh538993
+Ref: doc-asech539093
+Ref: doc-acsch539192
+Ref: doc-acoth539293
+Ref: doc-atan2539618
+Ref: doc-sind539901
+Ref: doc-cosd540095
+Ref: doc-tand540298
+Ref: doc-secd540562
+Ref: doc-cscd540681
+Ref: doc-cotd540802
+Ref: doc-asind540912
+Ref: doc-acosd541034
+Ref: doc-atand541158
+Ref: doc-asecd541276
+Ref: doc-acscd541384
+Ref: doc-acotd541510
+Node: Sums and Products541630
+Ref: doc-sum541788
+Ref: doc-prod542359
+Ref: doc-cumsum542613
+Ref: doc-cumprod542938
+Ref: doc-sumsq543276
+Ref: doc-accumarray543713
+Node: Special Functions545188
+Ref: doc-besselj545360
+Ref: doc-airy547506
+Ref: doc-beta548625
+Ref: doc-betainc548756
+Ref: doc-betaln549245
+Ref: doc-bincoeff549437
+Ref: doc-erf549760
+Ref: doc-erfc550052
+Ref: doc-erfinv550179
+Ref: doc-gamma550292
+Ref: doc-gammainc550543
+Ref: doc-legendre551261
+Ref: doc-lgamma552198
+Ref: doc-cross552390
+Ref: doc-commutation_matrix552809
+Ref: doc-duplication_matrix553196
+Node: Coordinate Transformations553528
+Ref: doc-cart2pol553723
+Ref: doc-pol2cart554082
+Ref: doc-cart2sph554445
+Ref: doc-sph2cart554793
+Node: Mathematical Constants555137
+Ref: doc-I555298
+Ref: doc-Inf555671
+Ref: doc-NaN556076
+Ref: doc-pi556800
+Ref: doc-e557146
+Ref: doc-eps557465
+Ref: doc-realmax558009
+Ref: doc-realmin558500
+Node: Linear Algebra559004
+Node: Techniques used for Linear Algebra559512
+Node: Basic Matrix Functions561449
+Ref: doc-balance561652
+Ref: doc-cond563203
+Ref: doc-det563593
+Ref: doc-dmult563761
+Ref: doc-dot563904
+Ref: doc-eig564181
+Ref: doc-givens564656
+Ref: doc-inv564979
+Ref: doc-matrix_type565291
+Ref: doc-norm568409
+Ref: doc-null569193
+Ref: doc-orth569501
+Ref: doc-pinv569807
+Ref: doc-rank570110
+Ref: doc-trace570538
+Ref: doc-rref570616
+Node: Matrix Factorizations570927
+Ref: doc-chol571115
+Ref: doc-cholinv571303
+Ref: doc-chol2inv571483
+Ref: doc-hess571827
+Ref: doc-lu572406
+Ref: doc-qr572960
+Ref: doc-qz574262
+Ref: doc-qzhess576136
+Ref: doc-schur576854
+Ref: doc-svd578303
+Ref: doc-housh579350
+Ref: doc-krylov579948
+Node: Functions of a Matrix581134
+Ref: doc-expm581291
+Ref: doc-logm582179
+Ref: doc-sqrtm582398
+Ref: doc-kron582739
+Ref: doc-syl583030
+Node: Nonlinear Equations583311
+Ref: doc-fsolve583789
+Ref: doc-fsolve_options584966
+Node: Sparse Matrices587000
+Node: Basics587425
+Node: Storage588857
+Ref: Storage-Footnote-1593020
+Node: Creation593168
+Ref: doc-spatan2595067
+Ref: doc-spcumprod595226
+Ref: doc-spcumsum595434
+Ref: doc-spdiag595634
+Ref: doc-spdiags596337
+Ref: doc-speye597405
+Ref: doc-spfun597897
+Ref: doc-spmax598139
+Ref: doc-spmin599056
+Ref: doc-spones599974
+Ref: doc-spprod600123
+Ref: doc-sprand600312
+Ref: doc-sprandn600876
+Ref: doc-sprandsym601462
+Ref: doc-spsum602102
+Ref: doc-spsumsq602282
+Ref: doc-full604689
+Ref: doc-spalloc604807
+Ref: doc-sparse605532
+Ref: doc-spconvert606792
+Ref: doc-spfind607225
+Node: Information608125
+Ref: doc-issparse609174
+Ref: doc-nnz609285
+Ref: doc-nonzeros609403
+Ref: doc-nzmax609506
+Ref: doc-spstats609935
+Ref: fig:spmatrix612021
+Ref: doc-spy613979
+Ref: doc-etree614390
+Ref: doc-etreeplot614960
+Ref: doc-gplot615261
+Ref: doc-treeplot615855
+Node: Operators and Functions616242
+Node: Functions616592
+Node: ReturnType618656
+Ref: doc-sparse_auto_mutate621082
+Node: MathConsiderations621707
+Ref: fig:simplematrix624809
+Ref: fig:simplechol626578
+Ref: fig:simplecholperm627370
+Ref: doc-ccolamd628536
+Ref: doc-colamd632405
+Ref: doc-colperm635963
+Ref: doc-csymamd636280
+Ref: doc-dmperm639018
+Ref: doc-symamd639774
+Ref: doc-symrcm643189
+Node: Sparse Linear Algebra644169
+Ref: doc-normest648362
+Ref: doc-condest648813
+Ref: doc-spchol650463
+Ref: doc-spcholinv651178
+Ref: doc-spchol2inv651371
+Ref: doc-spdet651728
+Ref: doc-spinv651913
+Ref: doc-spkron652541
+Ref: doc-splchol653067
+Ref: doc-splu653846
+Ref: doc-spparms655306
+Ref: doc-spqr657401
+Ref: doc-sprank658226
+Ref: doc-symbfact658636
+Ref: Sparse Linear Algebra-Footnote-1659880
+Node: Iterative Techniques660019
+Ref: doc-pcg660541
+Ref: doc-pcr666632
+Ref: doc-luinc671283
+Node: Real Life Example673607
+Node: Numerical Integration679031
+Node: Functions of One Variable679464
+Ref: doc-quad680132
+Ref: doc-quad_options681576
+Ref: doc-quadl683285
+Ref: doc-trapz684392
+Ref: doc-cumtrapz684805
+Node: Orthogonal Collocation685275
+Ref: doc-colloc685452
+Node: Functions of Multiple Variables686464
+Node: Differential Equations688652
+Node: Ordinary Differential Equations689082
+Ref: doc-lsode689421
+Ref: doc-lsode_options692052
+Node: Differential-Algebraic Equations695144
+Ref: doc-daspk695571
+Ref: doc-daspk_options698103
+Ref: doc-dasrt704607
+Ref: doc-dasrt_options708744
+Node: Optimization710717
+Node: Linear Programming711188
+Ref: doc-glpk711570
+Node: Quadratic Programming724123
+Ref: doc-qp724484
+Node: Nonlinear Programming725586
+Ref: doc-sqp725875
+Node: Linear Least Squares729991
+Ref: doc-ols730551
+Ref: doc-gls731331
+Node: Statistics731933
+Node: Descriptive Statistics732935
+Ref: doc-mean733171
+Ref: doc-median733872
+Ref: doc-quantile734379
+Ref: doc-prctile737094
+Ref: doc-meansq737858
+Ref: doc-std738185
+Ref: doc-var739009
+Ref: doc-mode739598
+Ref: doc-cov740119
+Ref: doc-cor740434
+Ref: doc-corrcoef740931
+Ref: doc-kurtosis741320
+Ref: doc-skewness741681
+Ref: doc-statistics742028
+Ref: doc-moment742358
+Node: Basic Statistical Functions742901
+Ref: doc-mahalanobis743160
+Ref: doc-center743412
+Ref: doc-studentize743670
+Ref: doc-nchoosek743956
+Ref: doc-perms744572
+Ref: doc-values744930
+Ref: doc-table745130
+Ref: doc-spearman745387
+Ref: doc-run_count746013
+Ref: doc-ranks746257
+Ref: doc-range746456
+Ref: doc-probit746778
+Ref: doc-logit746920
+Ref: doc-cloglog747051
+Ref: doc-kendall747190
+Ref: doc-iqr748081
+Ref: doc-cut748412
+Node: Statistical Plots748959
+Ref: doc-qqplot749442
+Ref: doc-ppplot750382
+Node: Tests751246
+Ref: doc-anova752824
+Ref: doc-bartlett_test753828
+Ref: doc-chisquare_test_homogeneity754317
+Ref: doc-chisquare_test_independence754936
+Ref: doc-cor_test755395
+Ref: doc-f_test_regression756799
+Ref: doc-hotelling_test757313
+Ref: doc-hotelling_test_2757881
+Ref: doc-kolmogorov_smirnov_test758565
+Ref: doc-kolmogorov_smirnov_test_2759933
+Ref: doc-kruskal_wallis_test761105
+Ref: doc-manova762239
+Ref: doc-mcnemar_test762885
+Ref: doc-prop_test_2763437
+Ref: doc-run_test764305
+Ref: doc-sign_test764640
+Ref: doc-t_test765598
+Ref: doc-t_test_2766450
+Ref: doc-t_test_regression767336
+Ref: doc-u_test768193
+Ref: doc-var_test769087
+Ref: doc-welch_test769975
+Ref: doc-wilcoxon_test770875
+Ref: doc-z_test771831
+Ref: doc-z_test_2772682
+Node: Models773566
+Ref: doc-logistic_regression773680
+Node: Distributions775360
+Ref: doc-betacdf777948
+Ref: doc-betainv778127
+Ref: doc-betapdf778302
+Ref: doc-binocdf778445
+Ref: doc-binoinv778592
+Ref: doc-binopdf778744
+Ref: doc-cauchy_cdf778922
+Ref: doc-cauchy_inv779200
+Ref: doc-cauchy_pdf779473
+Ref: doc-chi2cdf779751
+Ref: doc-chi2inv779938
+Ref: doc-chi2pdf780115
+Ref: doc-discrete_cdf780299
+Ref: doc-discrete_inv780527
+Ref: doc-discrete_pdf780745
+Ref: doc-empirical_cdf780969
+Ref: doc-empirical_inv781180
+Ref: doc-empirical_pdf781386
+Ref: doc-expcdf781593
+Ref: doc-expinv781830
+Ref: doc-exppdf782004
+Ref: doc-fcdf782174
+Ref: doc-finv782347
+Ref: doc-fpdf782516
+Ref: doc-gamcdf782692
+Ref: doc-gaminv782943
+Ref: doc-gampdf783186
+Ref: doc-geocdf783427
+Ref: doc-geoinv783564
+Ref: doc-geopdf783706
+Ref: doc-hygecdf783874
+Ref: doc-hygeinv784344
+Ref: doc-hygepdf784603
+Ref: doc-kolmogorov_smirnov_cdf785014
+Ref: doc-laplace_cdf785382
+Ref: doc-laplace_inv785537
+Ref: doc-laplace_pdf785687
+Ref: doc-logistic_cdf785838
+Ref: doc-logistic_inv785962
+Ref: doc-logistic_pdf786116
+Ref: doc-logncdf786240
+Ref: doc-logninv786622
+Ref: doc-lognpdf786997
+Ref: doc-nbincdf787375
+Ref: doc-nbininv787678
+Ref: doc-nbinpdf787986
+Ref: doc-normcdf788325
+Ref: doc-norminv788562
+Ref: doc-normpdf788794
+Ref: doc-poisscdf789027
+Ref: doc-poissinv789214
+Ref: doc-poisspdf789393
+Ref: doc-tcdf789571
+Ref: doc-tinv789781
+Ref: doc-tpdf790097
+Ref: doc-unidcdf790279
+Ref: doc-unidinv790501
+Ref: doc-unidpdf790721
+Ref: doc-unifcdf790939
+Ref: doc-unifinv791120
+Ref: doc-unifpdf791321
+Ref: doc-wblcdf791492
+Ref: doc-wblinv791754
+Ref: doc-wblpdf791943
+Node: Random Number Generation792247
+Ref: doc-betarnd793721
+Ref: doc-binornd794071
+Ref: doc-cauchy_rnd794427
+Ref: doc-chi2rnd794818
+Ref: doc-discrete_rnd795149
+Ref: doc-empirical_rnd795587
+Ref: doc-exprnd795971
+Ref: doc-frnd796343
+Ref: doc-gamrnd796747
+Ref: doc-geornd797165
+Ref: doc-hygernd797512
+Ref: doc-laplace_rnd798003
+Ref: doc-logistic_rnd798210
+Ref: doc-lognrnd798418
+Ref: doc-nbinrnd798837
+Ref: doc-normrnd799248
+Ref: doc-poissrnd799624
+Ref: doc-trnd799909
+Ref: doc-unidrnd800267
+Ref: doc-unifrnd800746
+Ref: doc-wblrnd801086
+Ref: doc-wienrnd801493
+Node: Financial Functions801947
+Ref: doc-fv802085
+Ref: doc-fvl802636
+Ref: doc-irr802890
+Ref: doc-nper803158
+Ref: doc-npv803739
+Ref: doc-pmt804269
+Ref: doc-pv804722
+Ref: doc-pvl805304
+Ref: doc-rate805567
+Ref: doc-vol806055
+Node: Sets806513
+Ref: doc-create_set806816
+Ref: doc-unique807410
+Node: Set Operations808127
+Ref: doc-ismember808640
+Ref: doc-union809709
+Ref: doc-intersect810391
+Ref: doc-complement810779
+Ref: doc-setdiff811005
+Ref: doc-setxor811548
+Node: Polynomial Manipulations811983
+Node: Evaluating Polynomials812539
+Ref: doc-polyval813447
+Ref: doc-polyvalm814263
+Node: Finding Roots814683
+Ref: doc-roots815055
+Ref: doc-compan815526
+Node: Products of Polynomials816460
+Ref: doc-conv816659
+Ref: doc-deconv817011
+Ref: doc-conv2817421
+Ref: doc-polygcd818004
+Ref: doc-residue818752
+Node: Derivatives and Integrals821094
+Ref: doc-polyderiv821690
+Ref: doc-polyder822210
+Ref: doc-polyint822346
+Node: Polynomial Interpolation822700
+Ref: doc-polyfit823408
+Ref: doc-ppval825110
+Ref: doc-mkpp825394
+Ref: doc-unmkpp826205
+Node: Miscellaneous Functions827099
+Ref: doc-poly827275
+Ref: doc-polyout828131
+Ref: doc-polyreduce828484
+Node: Interpolation828743
+Node: One-dimensional Interpolation828961
+Ref: doc-interp1829369
+Ref: doc-interpft832638
+Ref: doc-spline834090
+Ref: doc-lookup835580
+Node: Multi-dimensional Interpolation836430
+Ref: doc-interp2836816
+Ref: doc-interp3838651
+Ref: doc-interpn840387
+Ref: doc-bicubic843224
+Node: Geometry843576
+Ref: Geometry-Footnote-1844060
+Node: Delaunay Triangulation844246
+Ref: doc-delaunay844964
+Ref: doc-delaunay3846244
+Ref: doc-delaunayn846749
+Node: Plotting the Triangulation848423
+Ref: doc-triplot848740
+Ref: doc-trimesh849191
+Node: Identifying points in Triangulation850011
+Ref: doc-tsearch852281
+Ref: doc-tsearchn852570
+Ref: doc-dsearch853750
+Ref: doc-dsearchn854058
+Node: Voronoi Diagrams854958
+Ref: doc-voronoi855605
+Ref: doc-voronoin856506
+Ref: doc-polyarea857533
+Ref: doc-inpolygon858388
+Node: Convex Hull859018
+Ref: doc-convhull859403
+Ref: doc-convhulln859847
+Node: Interpolation on Scattered Data860578
+Ref: doc-griddata861250
+Ref: doc-griddata3861769
+Ref: doc-griddatan862175
+Node: Control Theory862855
+Ref: doc-DEMOcontrol863667
+Node: sysstruct864532
+Ref: doc-sysrepdemo865686
+Node: sysstructvars865784
+Node: sysstructtf867757
+Node: sysstructzp868006
+Node: sysstructss868271
+Node: sysinterface868780
+Node: fir2sys869417
+Ref: doc-fir2sys869605
+Ref: doc-sys2fir870649
+Node: ss2sys870834
+Ref: doc-ss871013
+Ref: doc-ss2sys874938
+Ref: doc-sys2ss878843
+Node: tf2sys879943
+Ref: doc-tf880133
+Ref: doc-tf2sys880930
+Ref: doc-sys2tf881750
+Node: zp2sys882120
+Ref: doc-zp882300
+Ref: doc-zp2sys883044
+Ref: doc-sys2zp883814
+Node: structaccess884235
+Ref: doc-syschnames884390
+Ref: doc-syschtsam884482
+Ref: doc-sysdimensions884651
+Ref: doc-sysgetsignals885726
+Ref: doc-sysgettype888934
+Ref: doc-syssetsignals889275
+Ref: doc-sysupdate891093
+Ref: doc-minfo891817
+Ref: doc-sysgettsam892363
+Node: sysdisp892450
+Ref: doc-sysout892608
+Ref: doc-tfout893038
+Ref: doc-zpout893299
+Node: blockdiag893548
+Ref: doc-bddemo893813
+Ref: doc-buildssic893919
+Ref: doc-jet707897716
+Ref: doc-ord2898129
+Ref: doc-sysadd898965
+Ref: doc-sysappend899558
+Ref: doc-sysconnect901009
+Ref: doc-syscont902538
+Ref: doc-sysdisc903009
+Ref: doc-sysdup903396
+Ref: doc-sysgroup904354
+Ref: doc-sysmult905200
+Ref: doc-sysprune905670
+Ref: doc-sysreorder906517
+Ref: doc-sysscale906885
+Ref: doc-syssub907891
+Ref: doc-ugain908462
+Ref: doc-wgt1o908805
+Ref: doc-parallel909351
+Ref: doc-sysmin909853
+Node: numerical910627
+Ref: doc-are910772
+Ref: doc-dare911561
+Ref: doc-dre912585
+Ref: doc-dgram913677
+Ref: doc-dlyap913978
+Ref: doc-gram914931
+Ref: doc-lyap915097
+Ref: doc-qzval915792
+Ref: doc-zgfmul915992
+Ref: doc-zgfslv916198
+Ref: doc-zginit916294
+Ref: doc-zgreduce916489
+Ref: doc-zgrownorm916630
+Ref: doc-zgscal916827
+Ref: doc-zgsgiv917033
+Ref: doc-zgshsr917220
+Node: sysprop917548
+Ref: doc-analdemo917705
+Ref: doc-abcddim917799
+Ref: doc-ctrb918425
+Ref: doc-h2norm918795
+Ref: doc-hinfnorm919075
+Ref: doc-obsv920506
+Ref: doc-pzmap920894
+Ref: doc-is_abcd921294
+Ref: doc-is_controllable921578
+Ref: doc-is_detectable922716
+Ref: doc-is_dgkf923294
+Ref: doc-is_digital925560
+Ref: doc-is_observable926293
+Ref: doc-is_sample926762
+Ref: doc-is_siso926867
+Ref: doc-is_stabilizable926993
+Ref: doc-is_signal_list927668
+Ref: doc-is_stable927773
+Node: systime928411
+Ref: doc-c2d928568
+Ref: doc-d2c930108
+Ref: doc-dmr2d931435
+Ref: doc-damp933434
+Ref: doc-dcgain933793
+Ref: doc-impulse934038
+Ref: doc-step934841
+Node: sysfreq935697
+Ref: doc-frdemo935894
+Ref: doc-bode935985
+Ref: doc-bode_bounds938305
+Ref: doc-freqchkw938590
+Ref: doc-ltifr938730
+Ref: doc-nyquist939222
+Ref: doc-nichols941635
+Ref: doc-tzero943591
+Ref: doc-tzero2944273
+Node: cacsd944533
+Ref: doc-dgkfdemo944665
+Ref: doc-hinfdemo944763
+Ref: doc-dlqe948932
+Ref: doc-dlqr949793
+Ref: doc-dkalman950338
+Ref: doc-h2syn951281
+Ref: doc-hinf_ctr952353
+Ref: doc-hinfsyn952786
+Ref: doc-hinfsyn_chk954610
+Ref: doc-hinfsyn_ric955436
+Ref: doc-lqe956042
+Ref: doc-lqg956834
+Ref: doc-lqr958170
+Ref: doc-lsim959097
+Ref: doc-place959786
+Node: misc960129
+Ref: doc-axis2dlim960331
+Ref: doc-moddemo960716
+Ref: doc-prompt960814
+Ref: doc-rldemo960997
+Ref: doc-rlocus961085
+Ref: doc-sortcom961891
+Ref: doc-ss2tf962434
+Ref: doc-ss2zp962857
+Ref: doc-starp963097
+Ref: doc-tf2ss964062
+Ref: doc-tf2zp964725
+Ref: doc-zp2ss964970
+Ref: doc-zp2tf965594
+Node: Signal Processing965920
+Ref: doc-detrend966068
+Ref: doc-fft966436
+Ref: doc-fftw967925
+Ref: doc-ifft970917
+Ref: doc-fft2971820
+Ref: doc-ifft2972275
+Ref: doc-fftn972739
+Ref: doc-ifftn973253
+Ref: doc-fftconv973785
+Ref: doc-fftfilt974232
+Ref: doc-filter974544
+Ref: doc-filter2976119
+Ref: doc-freqz976677
+Ref: doc-freqz_plot977920
+Ref: doc-sinc978019
+Ref: doc-unwrap978080
+Ref: doc-arch_fit978440
+Ref: doc-arch_rnd979332
+Ref: doc-arch_test979711
+Ref: doc-arma_rnd980678
+Ref: doc-autocor981258
+Ref: doc-autocov981488
+Ref: doc-autoreg_matrix981715
+Ref: doc-bartlett982070
+Ref: doc-blackman982321
+Ref: doc-diffpara982555
+Ref: doc-durbinlevinson983291
+Ref: doc-fftshift983694
+Ref: doc-ifftshift984361
+Ref: doc-fractdiff984573
+Ref: doc-hamming984725
+Ref: doc-hanning984955
+Ref: doc-hurst985183
+Ref: doc-pchip985375
+Ref: doc-periodogram986498
+Ref: doc-rectangle_lw986614
+Ref: doc-rectangle_sw986739
+Ref: doc-sinetone986870
+Ref: doc-sinewave987164
+Ref: doc-spectral_adf987367
+Ref: doc-spectral_xdf987757
+Ref: doc-spencer988133
+Ref: doc-stft988246
+Ref: doc-synthesis989233
+Ref: doc-triangle_lw989498
+Ref: doc-triangle_sw989621
+Ref: doc-yulewalker989750
+Node: Image Processing989988
+Node: Loading and Saving Images990815
+Ref: doc-loadimage991403
+Ref: doc-saveimage991628
+Ref: doc-IMAGE_PATH992575
+Node: Displaying Images992807
+Ref: doc-imshow993433
+Ref: doc-image994530
+Ref: doc-imagesc995229
+Ref: doc-image_viewer995954
+Node: Representing Images997752
+Ref: doc-gray2ind999042
+Ref: doc-ind2gray999157
+Ref: doc-rgb2ind999409
+Ref: doc-ind2rgb999594
+Ref: doc-colormap999989
+Ref: doc-autumn1000594
+Ref: doc-bone1000847
+Ref: doc-cool1001107
+Ref: doc-copper1001343
+Ref: doc-gray1001596
+Ref: doc-hot1001826
+Ref: doc-hsv1002103
+Ref: doc-jet1002377
+Ref: doc-ocean1002663
+Ref: doc-pink1002835
+Ref: doc-prism1003099
+Ref: doc-rainbow1003380
+Ref: doc-spring1003658
+Ref: doc-summer1003900
+Ref: doc-white1004140
+Ref: doc-winter1004381
+Ref: doc-gmap401004987
+Node: Plotting on top of Images1005459
+Node: Color Conversion1006525
+Ref: doc-rgb2hsv1006759
+Ref: doc-hsv2rgb1007236
+Ref: doc-rgb2ntsc1007374
+Ref: doc-ntsc2rgb1007440
+Node: Audio Processing1007506
+Ref: doc-lin2mu1008774
+Ref: doc-mu2lin1009187
+Ref: doc-loadaudio1009553
+Ref: doc-saveaudio1010082
+Ref: doc-playaudio1010893
+Ref: doc-record1011128
+Ref: doc-setaudio1011492
+Ref: doc-wavread1011601
+Ref: doc-wavwrite1012391
+Node: Quaternions1012800
+Ref: doc-quaternion1013273
+Ref: doc-qconj1013561
+Ref: doc-qderiv1013715
+Ref: doc-qderivmat1014180
+Ref: doc-qinv1014649
+Ref: doc-qmult1014816
+Ref: doc-qtrans1015099
+Ref: doc-qtransv1015224
+Ref: doc-qtransvmat1015506
+Ref: doc-qcoordinate_plot1015714
+Node: System Utilities1016101
+Node: Timing Utilities1016903
+Ref: doc-time1017873
+Ref: doc-now1018310
+Ref: doc-ctime1018767
+Ref: doc-gmtime1019119
+Ref: doc-localtime1019824
+Ref: doc-mktime1020534
+Ref: doc-asctime1020902
+Ref: doc-strftime1021199
+Ref: doc-strptime1024148
+Ref: doc-clock1024883
+Ref: doc-date1025210
+Ref: doc-etime1025368
+Ref: doc-cputime1025771
+Ref: doc-is_leap_year1026462
+Ref: doc-tic1026709
+Ref: doc-pause1028129
+Ref: doc-sleep1028571
+Ref: doc-usleep1028692
+Ref: doc-datestr1028998
+Ref: doc-datevec1033086
+Ref: doc-calendar1033851
+Ref: doc-weekday1034449
+Ref: doc-eomday1034918
+Node: Filesystem Utilities1035066
+Ref: doc-rename1035424
+Ref: doc-link1035688
+Ref: doc-symlink1035981
+Ref: doc-readlink1036275
+Ref: doc-unlink1036627
+Ref: doc-readdir1036852
+Ref: doc-mkdir1037223
+Ref: doc-rmdir1037616
+Ref: doc-confirm_recursive_rmdir1038156
+Ref: doc-mkfifo1038431
+Ref: doc-umask1038692
+Ref: doc-stat1039013
+Ref: doc-lstat1041506
+Ref: doc-fileattrib1041577
+Ref: doc-isdir1042799
+Ref: doc-glob1042868
+Ref: doc-fnmatch1043313
+Ref: doc-file_in_path1043628
+Ref: doc-tilde_expand1044462
+Ref: doc-canonicalize_file_name1045155
+Ref: doc-movefile1045285
+Ref: doc-copyfile1045754
+Ref: doc-fileparts1046324
+Ref: doc-filesep1046502
+Ref: doc-fullfile1046656
+Ref: doc-tempdir1046820
+Ref: doc-tempname1046925
+Ref: doc-P_tmpdir1047014
+Node: File Archiving Utilities1047187
+Ref: doc-bunzip21047383
+Ref: doc-gzip1047624
+Ref: doc-gunzip1048052
+Ref: doc-tar1048403
+Ref: doc-untar1048836
+Ref: doc-zip1049078
+Ref: doc-unzip1049448
+Ref: doc-pack1049690
+Ref: doc-unpack1049823
+Node: Networking Utilities1050410
+Ref: doc-urlread1050602
+Ref: doc-urlwrite1051838
+Node: Controlling Subprocesses1053223
+Ref: doc-system1053884
+Ref: doc-unix1055283
+Ref: doc-dos1055771
+Ref: doc-popen1056270
+Ref: doc-pclose1057158
+Ref: doc-popen21057307
+Ref: doc-EXEC_PATH1058386
+Ref: doc-fork1059335
+Ref: doc-exec1060020
+Ref: doc-pipe1060523
+Ref: doc-dup21060844
+Ref: doc-waitpid1061096
+Ref: doc-fcntl1062584
+Ref: doc-kill1063920
+Ref: doc-SIG1064503
+Node: Process ID Information1064619
+Ref: doc-getpgrp1064826
+Ref: doc-getpid1064925
+Ref: doc-getppid1065016
+Ref: doc-geteuid1065107
+Ref: doc-getuid1065207
+Ref: doc-getegid1065300
+Ref: doc-getgid1065401
+Node: Environment Variables1065495
+Ref: doc-getenv1065689
+Ref: doc-putenv1065881
+Node: Current Working Directory1066031
+Ref: doc-cd1066238
+Ref: doc-ls1066671
+Ref: doc-ls_command1067141
+Ref: doc-dir1067388
+Ref: doc-pwd1068291
+Node: Password Database Functions1068393
+Ref: doc-getpwent1069053
+Ref: doc-getpwuid1069274
+Ref: doc-getpwnam1069507
+Ref: doc-setpwent1069746
+Ref: doc-endpwent1069864
+Node: Group Database Functions1069935
+Ref: doc-getgrent1070491
+Ref: doc-getgrgid1070681
+Ref: doc-getgrnam1070890
+Ref: doc-setgrent1071105
+Ref: doc-endgrent1071215
+Node: System Information1071283
+Ref: doc-computer1071464
+Ref: doc-uname1072139
+Ref: doc-ispc1072691
+Ref: doc-isunix1072825
+Ref: doc-isieee1072966
+Ref: doc-OCTAVE_HOME1073109
+Ref: doc-OCTAVE_VERSION1073218
+Ref: doc-version1073316
+Ref: doc-ver1073469
+Ref: doc-octave_config_info1073643
+Ref: doc-getrusage1073889
+Node: Hashing Functions1075356
+Ref: doc-md5sum1076315
+Node: Packages1076546
+Node: Installing and Removing Packages1077363
+Node: Using Packages1079817
+Node: Administrating Packages1080430
+Node: Creating Packages1081904
+Node: The DESCRIPTION File1085755
+Node: The INDEX file1089733
+Node: PKG_ADD and PKG_DEL directives1090630
+Node: Dynamically Linked Functions1091755
+Node: Oct-Files1093808
+Node: Getting Started with Oct-Files1094434
+Ref: doc-mkoctfile1094743
+Node: Matrices and Arrays in Oct-Files1101060
+Node: Character Strings in Oct-Files1108667
+Node: Cell Arrays in Oct-Files1111900
+Node: Structures in Oct-Files1113975
+Node: Sparse Matrices in Oct-Files1117185
+Node: Array and Sparse Differences1118631
+Node: Creating Sparse Matrices in Oct-Files1121689
+Node: Using Sparse Matrices in Oct-Files1128603
+Node: Accessing Global Variables in Oct-Files1129550
+Node: Calling Octave Functions from Oct-Files1131877
+Node: Calling External Code from Oct-Files1135824
+Node: Allocating Local Memory in Oct-Files1141839
+Node: Input Parameter Checking in Oct-Files1142514
+Node: Exception and Error Handling in Oct-Files1145977
+Node: Documentation and Test of Oct-Files1150181
+Node: Mex-Files1152427
+Node: Getting Started with Mex-Files1153570
+Ref: doc-mex1154051
+Ref: doc-mexext1154256
+Node: Working with Matrices and Arrays in Mex-Files1158993
+Node: Character Strings in Mex-Files1163530
+Node: Cell Arrays with Mex-Files1166040
+Node: Structures with Mex-Files1168344
+Node: Sparse Matrices with Mex-Files1172780
+Node: Calling Other Functions in Mex-Files1178740
+Node: Standalone Programs1180843
+Node: Test and Demo Functions1183631
+Node: Test Functions1184018
+Ref: doc-test1184163
+Ref: doc-assert1192564
+Ref: doc-fail1193634
+Node: Demonstration Functions1194366
+Ref: doc-demo1194529
+Ref: doc-example1196551
+Ref: doc-speed1197028
+Node: Tips1202024
+Node: Style Tips1202671
+Node: Coding Tips1204408
+Node: Comment Tips1205933
+Node: Function Headers1207085
+Node: Documentation Tips1211473
+Node: Trouble1219939
+Node: Actual Bugs1220653
+Node: Reporting Bugs1221476
+Ref: doc-bug_report1222622
+Node: Bug Criteria1223051
+Node: Bug Lists1224276
+Node: Bug Reporting1225290
+Node: Sending Patches1230753
+Node: Service1233577
+Node: Installation1234296
+Node: Installation Problems1243049
+Node: Emacs1250160
+Node: Installing EOS1251370
+Node: Using Octave Mode1252090
+Node: Running Octave From Within Emacs1262952
+Node: Using the Emacs Info Reader for Octave1267203
+Node: Copying1268334
+Node: Concept Index1305895
+Node: Variable Index1340415
+Node: Function Index1348115
+Node: Operator Index1469700
 
 End Tag Table
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info-1 1:3.0.5-6/doc/interpreter/octave.info-1
--- 1:3.0.1-6/doc/interpreter/octave.info-1	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info-1	2009-04-07 11:11:34.000000000 +0100
@@ -28,7 +28,7 @@ GNU Octave
 
 This manual documents how to run, install and port GNU Octave, as well
 as its new features and incompatibilities, and how to report bugs.  It
-corresponds to GNU Octave version 3.0.1.
+corresponds to GNU Octave version 3.0.5.
 
 * Menu:
 
@@ -597,13 +597,13 @@ Julius Smith             Shan G. Smith  
 Quentin H. Spencer       Christoph Spiel          Richard Stallman
 Russell Standish         Doug Stewart             Thomas Stuart
 John Swensen             Ariel Tankus             Georg Thimm
-Duncan Temple Lang       Olaf Till                Thomas Treichl
-Utkarsh Upadhyay         Stefan van der Walt      Peter Van Wieren
-James R. Van Zandt       Gregory Vanuxem          Ivana Varekova
-Thomas Walter            Olaf Weber               Thomas Weber
-Bob Weigel               Andreas Weingessel       Michael Weitzel
-Fook Fah Yap             Michael Zeising          Federico Zenith
-Alex Zvoleff                                      
+Duncan Temple Lang       Kris Thielemans          Olaf Till
+Thomas Treichl           Utkarsh Upadhyay         Stefan van der Walt
+Peter Van Wieren         James R. Van Zandt       Gregory Vanuxem
+Ivana Varekova           Thomas Walter            Olaf Weber
+Thomas Weber             Bob Weigel               Andreas Weingessel
+Michael Weitzel          Fook Fah Yap             Michael Zeising
+Federico Zenith          Alex Zvoleff             
 
    Special thanks to the following people and organizations for
 supporting the development of Octave:
@@ -723,7 +723,7 @@ redistribute it and/or modify it under t
 Public License as published by the Free Software Foundation.  The GPL is
 included in this manual in *note Copying::.
 
-   This document corresponds to Octave version 3.0.1.
+   This document corresponds to Octave version 3.0.5.
 
 * Menu:
 
@@ -2406,7 +2406,7 @@ use of the following functions.
      uint64, double.
 
  -- Loadable Function:  typecast (X, TYPE)
-     Converts from one datatype to another without changing the
+     Convert from one datatype to another without changing the
      underlying data. The argument TYPE defines the type of the return
      argument and must be one of 'uint8', 'uint16', 'uint32', 'uint64',
      'int8', 'int16', 'int32', 'int64', 'single' or 'double'.
@@ -2990,7 +2990,7 @@ when converted.
  -- Built-in Function:  isinteger (X)
      Return true if X is an integer object (int8, uint8, int16, etc.).
      Note that `isinteger (14)' is false because numeric constants in
-     are double precision floating point values.
+     Octave are double precision floating point values.
 
      *See also:* isreal, isnumeric, class, isa.
 
@@ -3177,7 +3177,7 @@ supplies the function `bitmax'.
 
  -- Built-in Function:  bitmax ()
      Return the largest integer that can be represented as a floating
-     point value.  On IEEE-754 compatiable systems, `bitmax' is `2^53 -
+     point value.  On IEEE-754 compatible systems, `bitmax' is `2^53 -
      1'.
 
    This is the double precision version of the functions `intmax',
@@ -3207,7 +3207,7 @@ operators.
      *See also:* bitand, bitor, bitset, bitget, bitcmp, bitshift,
      bitmax.
 
-   The bitwise 'not' operator is unary operator that performs a logial
+   The bitwise 'not' operator is unary operator that performs a logical
 negation of each of the bits of the value. For this to make sense, the
 mask against which the value is negated must be defined. Octave's
 bitwise 'not' operator is `bitcmp'.
@@ -3859,7 +3859,7 @@ general regular expressions, the followi
 
  -- Function File:  strrep (S, X, Y)
      Replaces all occurrences of the substring X of the string S with
-     the string Y.  For example,
+     the string Y and returns the result.  For example,
 
           strrep ("This is a test string", "is", "&%$")
           => "Th&%$ &%$ a test string"
@@ -4511,8 +4511,8 @@ indexed like any other variable.  For ex
        -0.81742  -0.57605
 
    It is also possible to cycle through all the elements of a structure
-in a loop, using a special form of the `for' statement (*note The for
-Statement::)
+in a loop, using a special form of the `for' statement (*note Looping
+Over Structure Elements::)
 
 * Menu:
 
@@ -4766,7 +4766,7 @@ File: octave.info,  Node: Processing Dat
 -----------------------------------
 
 The simplest way to process data in a structure is within a `for' loop
-or othe means of iterating over the fields. A similar effect can be
+(*note Looping Over Structure Elements::). A similar effect can be
 achieved with the `structfun' function, where a user defined function
 is applied to each field of the structure.
 
@@ -4952,17 +4952,17 @@ it is possible to convert numerical arra
      Return true if X is a cell array object.  Otherwise, return false.
 
  -- Loadable Function: C = num2cell (M)
- -- Loadable Function: C = num2cell (M, D)
-     Convert to matrix M into a cell array. If D is defined the value C
-     is of dimension 1 in this dimension and the elements of M are
-     placed in slices in C.
+ -- Loadable Function: C = num2cell (M, DIM)
+     Convert the matrix M into a cell array. If DIM is defined, the
+     value C is of dimension 1 in this dimension and the elements of M
+     are placed in slices in C.
 
      *See also:* mat2cell.
 
  -- Loadable Function: B = mat2cell (A, M, N)
  -- Loadable Function: B = mat2cell (A, D1, D2, ...)
  -- Loadable Function: B = mat2cell (A, R)
-     Converts the matrix A to a cell array If A is 2-D, then it is
+     Convert the matrix A to a cell array. If A is 2-D, then it is
      required that `sum (M) == size (A, 1)' and `sum (N) == size (A,
      2)'. Similarly, if A is a multi-dimensional and the number of
      dimensional arguments is equal to the dimensions of A, then it is
@@ -5246,7 +5246,7 @@ both the right and left hand side of an 
 
 where `I, J' is equally a comma separated list. Comma separated lists
 can not be directly manipulated by the user. However, both structures
-are cell arrays can be converted into comma separated lists, which
+and cell arrays can be converted into comma separated lists, which
 makes them useful to keep the input arguments and return values of
 functions organized. Another example of where a comma separated list
 can be used is in the creation of a new array. If all the accessed
@@ -5765,7 +5765,7 @@ function allows this.
 
     `-variables, -v'
           Clears the local variable names.
-     With the execption of `exclusive', all long options can be used
+     With the exception of `exclusive', all long options can be used
      without the dash as well.
 
    Information about a function or variable such as it's location in the
@@ -5797,7 +5797,7 @@ Here is a summary of all of Octave's bui
 cross references to additional information and their default values.  In
 the following table OCTAVE-HOME stands for the root directory where all
 of Octave is installed (the default is `/usr/local', VERSION stands for
-the Octave version number (for example, 3.0.1) and ARCH stands for the
+the Octave version number (for example, 3.0.5) and ARCH stands for the
 type of system for which Octave was compiled (for example,
 `x86_64-unknown-linux-gnu').
 
@@ -8478,7 +8478,7 @@ After this the directory `~/Octave' will
      *See also:* path, rmpath, genpath, pathdef, savepath, pathsep.
 
  -- Built-in Function:  genpath (DIR)
-     Return a path constructed from DIR and all its subdiretories.
+     Return a path constructed from DIR and all its subdirectories.
 
  -- Built-in Function:  rmpath (DIR1, ...)
      Remove DIR1, ... from the current function search path.
@@ -8975,85 +8975,3 @@ After this it is possible to evaluate f 
      Create a vectorized version of the inline function FUN by
      replacing all occurrences of `*', `/', etc., with `.*', `./', etc.
 
-
-File: octave.info,  Node: Commands,  Next: Organization of Functions,  Prev: Function Handles Inline Functions and Anonymous Functions,  Up: Functions and Scripts
-
-11.10 Commands
-==============
-
-Commands are a special class of functions that only accept string input
-arguments. A command can be called as an ordinary function, but it can
-also be called without the parentheses like the following example shows
-
-     my_command hello world
-
-which is the same as
-
-     my_command("hello", "world")
-
-   The general form of a command call is
-
-     NAME ARG1 ARG2 ...
-
-which translates directly to
-
-     NAME ("ARG1", "ARG2", ...)
-
-   A function can be used as a command if it accepts string input
-arguments.  To do this, the function must be marked as a command, which
-can be done with the `mark_as_command' command like this
-
-     mark_as_command name
-
-where `name' is the function to be marked as a command.
-
-   One difficulty of commands occurs when one of the string input
-arguments are stored in a variable. Since Octave can't tell the
-difference between a variable name, and an ordinary string, it is not
-possible to pass a variable as input to a command. In such a situation
-a command must be called as a function.
-
- -- Built-in Function:  mark_as_command (NAME)
-     Enter NAME into the list of commands.
-
-     *See also:* unmark_command, iscommand.
-
- -- Built-in Function:  unmark_command (NAME)
-     Remove NAME from the list of commands.
-
-     *See also:* mark_as_command, iscommand.
-
- -- Built-in Function:  iscommand (NAME)
-     Return true if NAME is a command style function.  If NAME is
-     omitted, return a list of identifiers which are marked as commands
-     with `mark_as_command'.
-
-     *See also:* mark_as_command, unmark_command.
-
- -- Built-in Function:  mark_as_rawcommand (NAME)
-     Enter NAME into the list of raw input commands and to the list of
-     command style functions.  Raw input commands are like normal
-     command style functions, but they receive their input unprocessed
-     (ie. strings still contain the quotes and escapes they had when
-     input). However, comments and continuations are handled as usual,
-     you cannot pass a token starting with a comment character ('#' or
-     '%') to your function, and the last token cannot be a continuation
-     token ('\' or '...').
-
-     *See also:* unmark_rawcommand, israwcommand, iscommand,
-     mark_as_command.
-
- -- Built-in Function:  unmark_rawcommand (NAME)
-     Remove NAME from the list of raw input commands.  Note that this
-     does not remove NAME from the list of command style functions.
-
-     *See also:* mark_as_rawcommand, israwcommand, iscommand,
-     unmark_command.
-
- -- Built-in Function:  israwcommand (NAME)
-     Return true if NAME is a raw input command function.  If NAME is
-     omitted, return a list of identifiers which are marked as raw
-     input commands with mark_as_rawcommand.
-
-     *See also:* mark_as_rawcommand, unmark_rawcommand.
-
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info-2 1:3.0.5-6/doc/interpreter/octave.info-2
--- 1:3.0.1-6/doc/interpreter/octave.info-2	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info-2	2009-04-07 11:11:34.000000000 +0100
@@ -21,6 +21,88 @@ manual into another language, under the 
 versions.
 
 
+File: octave.info,  Node: Commands,  Next: Organization of Functions,  Prev: Function Handles Inline Functions and Anonymous Functions,  Up: Functions and Scripts
+
+11.10 Commands
+==============
+
+Commands are a special class of functions that only accept string input
+arguments. A command can be called as an ordinary function, but it can
+also be called without the parentheses like the following example shows
+
+     my_command hello world
+
+which is the same as
+
+     my_command("hello", "world")
+
+   The general form of a command call is
+
+     NAME ARG1 ARG2 ...
+
+which translates directly to
+
+     NAME ("ARG1", "ARG2", ...)
+
+   A function can be used as a command if it accepts string input
+arguments.  To do this, the function must be marked as a command, which
+can be done with the `mark_as_command' command like this
+
+     mark_as_command name
+
+where `name' is the function to be marked as a command.
+
+   One difficulty of commands occurs when one of the string input
+arguments are stored in a variable. Since Octave can't tell the
+difference between a variable name, and an ordinary string, it is not
+possible to pass a variable as input to a command. In such a situation
+a command must be called as a function.
+
+ -- Built-in Function:  mark_as_command (NAME)
+     Enter NAME into the list of commands.
+
+     *See also:* unmark_command, iscommand.
+
+ -- Built-in Function:  unmark_command (NAME)
+     Remove NAME from the list of commands.
+
+     *See also:* mark_as_command, iscommand.
+
+ -- Built-in Function:  iscommand (NAME)
+     Return true if NAME is a command style function.  If NAME is
+     omitted, return a list of identifiers which are marked as commands
+     with `mark_as_command'.
+
+     *See also:* mark_as_command, unmark_command.
+
+ -- Built-in Function:  mark_as_rawcommand (NAME)
+     Enter NAME into the list of raw input commands and to the list of
+     command style functions.  Raw input commands are like normal
+     command style functions, but they receive their input unprocessed
+     (ie. strings still contain the quotes and escapes they had when
+     input). However, comments and continuations are handled as usual,
+     you cannot pass a token starting with a comment character ('#' or
+     '%') to your function, and the last token cannot be a continuation
+     token ('\' or '...').
+
+     *See also:* unmark_rawcommand, israwcommand, iscommand,
+     mark_as_command.
+
+ -- Built-in Function:  unmark_rawcommand (NAME)
+     Remove NAME from the list of raw input commands.  Note that this
+     does not remove NAME from the list of command style functions.
+
+     *See also:* mark_as_rawcommand, israwcommand, iscommand,
+     unmark_command.
+
+ -- Built-in Function:  israwcommand (NAME)
+     Return true if NAME is a raw input command function.  If NAME is
+     omitted, return a list of identifiers which are marked as raw
+     input commands with mark_as_rawcommand.
+
+     *See also:* mark_as_rawcommand, unmark_rawcommand.
+
+
 File: octave.info,  Node: Organization of Functions,  Prev: Commands,  Up: Functions and Scripts
 
 11.11 Organization of Functions Distributed with Octave
@@ -56,7 +138,7 @@ the types of functions you will find the
      System.
 
 `io'
-     Input-ouput functions.
+     Input-output functions.
 
 `linear-algebra'
      Functions for linear algebra.
@@ -677,7 +759,7 @@ warnings.
      automatically in literal matrices.
 
 `Octave:single-quote-string'
-     Print warning if a signle quote character is used to introduce a
+     Print warning if a single quote character is used to introduce a
      string constant.
 
 `Octave:str-to-num'
@@ -2988,9 +3070,6 @@ legend displaying the name of the plotte
     `.'
           Set dots plot style.
 
-    `^'
-          Set impulses plot style.
-
     `L'
           Set steps plot style.
 
@@ -3015,6 +3094,7 @@ legend displaying the name of the plotte
     `*'
     `o'
     `x'
+    `^'
           Used in combination with the points or linespoints styles,
           set the point style.
 
@@ -3167,7 +3247,8 @@ Figure 15.2: Histogram.
 
      With one vector input argument, plot a histogram of the values with
      10 bins.  The range of the histogram bins is determined by the
-     range of the data.
+     range of the data.  With one matrix input argument, plot a
+     hystogram where each bin contains a bar per input column.
 
      Given a second scalar argument, use that as the number of bins.
 
@@ -3257,8 +3338,8 @@ Figure 15.2: Histogram.
 
      *See also:* bar, barh, plot.
 
-   The `contour' and `contourc' functions produce two-dimensional
-contour plots from three dimensional data.
+   The `contour', `contourf' and `contourc' functions produce
+two-dimensional contour plots from three dimensional data.
 
  -- Function File:  contour (Z)
  -- Function File:  contour (Z, VN)
@@ -3287,9 +3368,44 @@ contour plots from three dimensional dat
 
      *See also:* contourc, patch, plot.
 
+ -- Function File: [C, H] = contourf (X, Y, Z, LVL)
+ -- Function File: [C, H] = contourf (X, Y, Z, N)
+ -- Function File: [C, H] = contourf (X, Y, Z)
+ -- Function File: [C, H] = contourf (Z, N)
+ -- Function File: [C, H] = contourf (Z, LVL)
+ -- Function File: [C, H] = contourf (Z)
+ -- Function File: [C, H] = contourf (AX, ...)
+ -- Function File: [C, H] = contourf (..., "PROPERTY", VAL)
+     Compute and plot filled contours of the matrix Z.  Parameters X, Y
+     and N or LVL are optional.
+
+     The return value C is a 2xn matrix containing the contour lines as
+     described in the help to the contourc function.
+
+     The return value H is handle-vector to the patch objects creating
+     the filled contours.
+
+     If X and Y are ommited they are taken as the row/column index of
+     Z.  N is a scalar denoting the number of lines to compute.
+     Alternatively LVL is a vector containing the contour levels. If
+     only one value (e.g. lvl0) is wanted, set LVL to [lvl0, lvl0].  If
+     both N or LVL are omitted a default value of 10 contour level is
+     assumed.
+
+     If provided, the filled contours are added to the axes object AX
+     instead of the current axis.
+
+     The following example plots filled contours of the `peaks'
+     function.
+          [x, y, z] = peaks (50);
+          contourf (x, y, z, -7:9)
+
+
+     *See also:* contour, contourc, patch.
+
  -- Function File: [C, LEV] = contourc (X, Y, Z, VN)
-     Compute isolines (countour lines) of the matrix Z.  Parameters X,
-     Y and VN are optional.
+     Compute isolines (contour lines) of the matrix Z.  Parameters X, Y
+     and VN are optional.
 
      The return value LEV is a vector of the contour levels.  The
      return value C is a 2 by N matrix containing the contour lines in
@@ -3479,7 +3595,7 @@ Figure 15.4: Polar plot.
  -- Function File: H = pie (...);
      Produce a pie chart.
 
-     Called with a single vector arrgument, produces a pie chart of the
+     Called with a single vector argument, produces a pie chart of the
      elements in X, with the size of the slice determined by percentage
      size of the values of X.
 
@@ -3530,12 +3646,29 @@ Figure 15.4: Polar plot.
  -- Function File:  pcolor (X, Y, C)
  -- Function File:  pcolor (C)
      Density plot for given matrices X, and Y from `meshgrid' and a
-     matrix C corresponding to the X and Y coordinates of the mesh.  If
-     X and Y are vectors, then a typical vertex is (X(j), Y(i),
-     C(i,j)).  Thus, columns of C correspond to different X values and
-     rows of C correspond to different Y values.
+     matrix C corresponding to the X and Y coordinates of the mesh's
+     vertices. If X and Y are vectors, then a typical vertex is (X(j),
+     Y(i), C(i,j)).  Thus, columns of C correspond to different X
+     values and rows of C correspond to different Y values.
 
-     *See also:* meshgrid, contour.
+     The `colormap' is scaled to the extents of C.  Limits may be
+     placed on the color axis by the command `caxis', or by setting the
+     `clim' property of the parent axis.
+
+     The face color of each cell of the mesh is determined by
+     interpolating the values of C for the cell's vertices. Contrast
+     this with `imagesc' which renders one cell for each element of C.
+
+     `shading' modifies an attribute determining the manner by which the
+     face color of each cell is interpolated from the values of C, and
+     the visibility of the cells' edges. By default the attribute is
+     "faceted", which renders a single color for each cell's face with
+     the edge visible.
+
+     H is the handle to the surface object.
+
+
+     *See also:* caxis, contour, meshgrid, imagesc, shading.
 
  -- Function File:  area (X, Y)
  -- Function File:  area (X, Y, LVL)
@@ -3543,12 +3676,12 @@ Figure 15.4: Polar plot.
  -- Function File:  area (Y, ...)
  -- Function File:  area (H, ...)
  -- Function File: H = area (...)
-     Area plot of cummulative sum of the columns of Y. This shows the
+     Area plot of cumulative sum of the columns of Y. This shows the
      contributions of a value to a sum, and is functionally similar to
      `plot (X, cumsum (Y, 2))', except that the area under the curve is
      shaded.
 
-     If the X argument is ommitted it is assumed to be given by `1 :
+     If the X argument is omitted it is assumed to be given by `1 :
      rows (Y)'. A value LVL can be defined that determines where the
      base level of the shading under the curve should be defined.
 
@@ -3559,7 +3692,8 @@ Figure 15.4: Polar plot.
      *See also:* plot, patch.
 
    The axis function may be used to change the axis limits of an
-existing plot.
+existing plot and various other axis properties, such as the aspect
+ratio and the appearance of tic marks.
 
  -- Function File:  axis (LIMITS)
      Set axis limits for plots.
@@ -3843,8 +3977,19 @@ three-dimensional plots.
  -- Function File:  shading (TYPE)
  -- Function File:  shading (AX, ...)
      Set the shading of surface or patch graphic objects. Valid
-     arguments for TYPE are `"flat"', `"interp"', or `"faceted"'.  If
-     AX is given the shading is applied to axis AX instead of the
+     arguments for TYPE are
+
+    `"flat"'
+          Single colored patches with invisible edges.
+
+    `"faceted"'
+          Single colored patches with visible edges.
+
+    `"interp"'
+          Color between patch vertices are interpolated and the patch
+          edges are invisible.
+
+     If AX is given the shading is applied to axis AX instead of the
      current axis.
 
 
@@ -3927,6 +4072,8 @@ lines are on.
      current axes.  Property-value pairs following LABEL may be used to
      specify the appearance of the text.
 
+   See *note Text Properties:: for the properties that you can set.
+
  -- Function File:  xlabel (STRING)
  -- Function File:  ylabel (STRING)
  -- Function File:  zlabel (STRING)
@@ -3947,16 +4094,55 @@ lines are on.
 
  -- Function File:  grid (ARG)
  -- Function File:  grid ("minor", ARG2)
+ -- Function File:  grid (HAX, ...)
      Force the display of a grid on the plot.  The argument may be
-     either `"on"' or `"off"'.  If it is omitted, the current grid
+     either `"on"', or `"off"'.  If it is omitted, the current grid
      state is toggled.
 
      If ARG is `"minor"' then the minor grid is toggled.  When using a
      minor grid a second argument ARG2 is allowed, which can be either
      `"on"' or `"off"' to explicitly set the state of the minor grid.
 
+     If the first argument is an axis handle, HAX, operate on the
+     specified axis object.
+
      *See also:* plot.
 
+ -- Function File:  colorbar (S)
+ -- Function File:  colorbar ('peer', H, ...)
+     Adds a colorbar to the current axes. Valid values for S are
+
+    'EastOutside'
+          Place the colorbar outside the plot to the right. This is the
+          default.
+
+    'East'
+          Place the colorbar inside the plot to the right.
+
+    'WestOutside'
+          Place the colorbar outside the plot to the left.
+
+    'West'
+          Place the colorbar inside the plot to the left.
+
+    'NorthOutside'
+          Place the colorbar above the plot.
+
+    'North'
+          Place the colorbar at the top of the plot.
+
+    'SouthOutside'
+          Place the colorbar under the plot.
+
+    'South'
+          Place the colorbar at the bottom of the plot.
+
+    'Off', 'None'
+          Remove any existing colorbar from the plot.
+
+     If the argument 'peer' is given, then the following argument is
+     treated as the axes handle on which to add the colorbar.
+
 
 File: octave.info,  Node: Multiple Plots on One Page,  Next: Multiple Plot Windows,  Prev: Plot Annotations,  Up: Plotting Basics
 
@@ -4480,9 +4666,17 @@ graphics object, call `delete' on its in
 window, call the `close' function.
 
  -- Function File:  clf ()
-     Clear the current figure.
+ -- Function File:  clf ("reset")
+ -- Function File:  clf (HFIG)
+ -- Function File:  clf (HFIG, "reset")
+ -- Function File: HFIG = clf (...)
+     Delete the children of the current figure with visible handles.
+     If HFIG is specified and is an figure object handle, operate on it
+     instead of the current figure.  If the optional argument `"reset"'
+     is specified, also delete the figure's children with hidden
+     handles.
 
-     *See also:* close, delete.
+     *See also:* cla, close, delete.
 
  -- Function File:  shg
      Show the graph window.  Currently, this is the same as executing
@@ -4576,11 +4770,13 @@ File: octave.info,  Node: Axes Propertie
 ........................
 
 `position'
-     A four-element vector specifying the coordinates of the lower left
-     corner and width and height of the plot, in normalized units.  For
-     example, `[0.2, 0.3, 0.4, 0.5]' sets the lower left corner of the
-     axes at (0.2, 0.3) and the width and height to be 0.4 and 0.5
-     respectively.
+     A vector specifying the position of the plot, excluding titles,
+     axes and legend.  The four elements of the vector are the
+     coordinates of the lower left corner and width and height of the
+     plot, in units normalized to the width and height of the plot
+     window.  For example, `[0.2, 0.3, 0.4, 0.5]' sets the lower left
+     corner of the axes at (0.2, 0.3) and the width and height to be
+     0.4 and 0.5 respectively.  See also the `outerposition' property.
 
 `title'
      Index of text object for the axes title.
@@ -4701,11 +4897,13 @@ File: octave.info,  Node: Axes Propertie
     `"replacechildren"'
 
 `outerposition'
-     A four-element vector specifying the coordinates of the lower left
-     corner and width and height of the plot, in normalized units.  For
-     example, `[0.2, 0.3, 0.4, 0.5]' sets the lower left corner of the
-     axes at (0.2, 0.3) and the width and height to be 0.4 and 0.5
-     respectively.
+     A vector specifying the position of the plot, including titles,
+     axes and legend.  The four elements of the vector are the
+     coordinates of the lower left corner and width and height of the
+     plot, in units normalized to the width and height of the plot
+     window.  For example, `[0.2, 0.3, 0.4, 0.5]' sets the lower left
+     corner of the axes at (0.2, 0.3) and the width and height to be
+     0.4 and 0.5 respectively.  See also the `position' property.
 
 
 File: octave.info,  Node: Line Properties,  Next: Text Properties,  Prev: Axes Properties,  Up: Graphics Object Properties
@@ -4721,7 +4919,7 @@ File: octave.info,  Node: Line Propertie
 `xldata'
 `xudata'
      The data to be plotted.  The `ldata' and `udata' elements are for
-     errobars in the y direction, and the `xldata' and `xudata'
+     errorbars in the y direction, and the `xldata' and `xudata'
      elements are for errorbars in the x direction.
 
 `color'
@@ -4800,7 +4998,7 @@ such as Greek or mathematical symbols wi
 characters are also inserted with a code starting with the back-slash
 (\) character, as in the table *note tab:extended::.
 
-   In addition, the formating of the text can be changed within the
+   In addition, the formatting of the text can be changed within the
 string with the codes
 
                \bf            Bold font                                   
@@ -5432,6 +5630,19 @@ File: octave.info,  Node: Rearranging Ma
      A single dimension of the return matrix can be unknown and is
      flagged by an empty argument.
 
+ -- Built-in Function:  resize (X, M)
+ -- Built-in Function:  resize (X, M, N)
+     Destructively resize X.
+
+     *Values in X are not preserved as they are with `reshape'.*
+
+     If only M is supplied and it is a scalar, the dimension of the
+     result is M-by-M.  If M is a vector, then the dimensions of the
+     result are given by the elements of M.  If both M and N are
+     scalars, then the dimensions of the result are M-by-N.
+
+     *See also:* reshape, postpad.
+
  -- Function File: Y = circshift (X, N)
      Circularly shifts the values of the array X. N must be a vector of
      integers no longer than the number of dimensions in X. The values
@@ -5536,7 +5747,7 @@ File: octave.info,  Node: Rearranging Ma
      Sort the rows of the matrix A according to the order of the
      columns specified in C.  If C is omitted, a lexicographical sort
      is used. By default ascending order is used however if elements of
-     C are negative then the corrosponding column is sorted in
+     C are negative then the corresponding column is sorted in
      descending order.
 
    Since the `sort' function does not allow sort keys to be specified,
@@ -5623,6 +5834,8 @@ matrix based on the values in the second
      If the optional DIM argument is given, then operate along this
      dimension.
 
+     *See also:* postpad.
+
  -- Function File:  blkdiag (A, B, C, ...)
      Build a block diagonal matrix from A, B, C, ....  All the
      arguments must be numeric and are two-dimensional matrices or
@@ -5767,7 +5980,7 @@ File: octave.info,  Node: Special Utilit
      is available, otherwise from cpu time, wall clock time and the
      current fraction of a second.
 
-     To compute the psuedo-random sequence, `rand' uses the Mersenne
+     To compute the pseudo-random sequence, `rand' uses the Mersenne
      Twister with a period of 2^19937-1 (See M. Matsumoto and T.
      Nishimura, "Mersenne Twister: A 623-dimensionally equidistributed
      uniform pseudorandom number generator", ACM Trans. on Modeling and
@@ -5803,8 +6016,9 @@ File: octave.info,  Node: Special Utilit
  -- Loadable Function:  randn (N, M)
  -- Loadable Function:  randn ("state", X)
  -- Loadable Function:  randn ("seed", X)
-     Return a matrix with normally distributed random elements. The
-     arguments are handled the same as the arguments for `rand'.
+     Return a matrix with normally distributed pseudo-random elements
+     having zero mean and variance one. The arguments are handled the
+     same as the arguments for `rand'.
 
      By default, `randn' uses a Marsaglia and Tsang Ziggurat technique
      to transform from a uniform to a normal distribution. (G.
@@ -5855,7 +6069,7 @@ File: octave.info,  Node: Special Utilit
     For matrix L > 10, use patchwork rejection method.
           Stadlober E., et al., WinRand source code, available via FTP,
           or H. Zechner, 'Efficient sampling from continuous and
-          discrete unimodal distributions', Doctoral Dissertaion,
+          discrete unimodal distributions', Doctoral Dissertation,
           156pp., Technical University Graz, Austria, 1994.
 
     For L > 1e8, use normal approximation.
@@ -6401,13 +6615,14 @@ each element of the matrix.
                   ix = 3
 
  -- Mapping Function:  mod (X, Y)
-     Compute modulo function, using
+     Compute modulo function. Conceptually this is given by
 
           x - y .* floor (x ./ y)
 
-     Note that this handles negative numbers correctly: `mod (-1, 3)'
-     is 2, not -1 as `rem (-1, 3)' returns.  Also, `mod (X, 0)' returns
-     X.
+     and is written in a manner that the correct modulus is returned for
+     integer types. This function handles negative values correctly.
+     That is `mod (-1, 3)' is 2, not -1 as `rem (-1, 3)' returns.
+     Also, `mod (X, 0)' returns X.
 
      An error message is printed if the dimensions of the arguments do
      not agree, or if either of the arguments is complex.
@@ -6759,7 +6974,7 @@ File: octave.info,  Node: Sums and Produ
      function should not depend on the order of the subscripts.
 
      The elements of the returned array that have no subscripts
-     assoicated with them are set to zero. Defining FILLVAL to some
+     associated with them are set to zero. Defining FILLVAL to some
      other value allows these values to be defined.
 
      By default `accumarray' returns a full matrix. If ISSPARSE is
@@ -6785,23 +7000,27 @@ File: octave.info,  Node: Special Functi
      Compute Bessel or Hankel functions of various kinds:
 
     `besselj'
-          Bessel functions of the first kind.
+          Bessel functions of the first kind. If the argument OPT is
+          supplied, the result is multiplied by `exp(-abs(imag(x)))'.
 
     `bessely'
-          Bessel functions of the second kind.
+          Bessel functions of the second kind. If the argument OPT is
+          supplied, the result is multiplied by `exp(-abs(imag(x)))'.
 
     `besseli'
-          Modified Bessel functions of the first kind.
+          Modified Bessel functions of the first kind.  If the argument
+          OPT is supplied, the result is multiplied by
+          `exp(-abs(real(x)))'.
 
     `besselk'
-          Modified Bessel functions of the second kind.
+          Modified Bessel functions of the second kind.  If the
+          argument OPT is supplied, the result is multiplied by
+          `exp(x)'.
 
     `besselh'
-          Compute Hankel functions of the first (K = 1) or second (K  =
-          2) kind.
-
-     If the argument OPT is supplied, the result is scaled by the `exp
-     (-I*X)' for K = 1 or `exp (I*X)' for  K = 2.
+          Compute Hankel functions of the first (K = 1) or second (K =
+          2) kind. If the argument OPT is supplied, the result is
+          multiplied by `exp (-I*X)' for K = 1 or `exp (I*X)' for K = 2.
 
      If ALPHA is a scalar, the result is the same size as X.  If X is a
      scalar, the result is the same size as ALPHA.  If ALPHA is a row
@@ -7367,7 +7586,7 @@ File: octave.info,  Node: Basic Matrix F
 
      Also the test for positive definiteness is a low cost test for a
      hermitian matrix with a real positive diagonal. This does not
-     guarentee that the matrix is positive definite, but only that it
+     guarantee that the matrix is positive definite, but only that it
      is a probable candidate. When such a matrix is factorized, a
      Cholesky factorization is first attempted, and if that fails the
      matrix is then treated with an LU factorization. Once the matrix
@@ -7859,7 +8078,7 @@ Octave can solve sets of nonlinear equat
 using the function `fsolve', which is based on the MINPACK subroutine
 `hybrd'.  This is an iterative technique so a starting point will have
 to be provided.  This also has the consequence that convergence is not
-guarantied even if a solution exists.
+guaranteed even if a solution exists.
 
  -- Loadable Function: [X, FVAL, INFO] = fsolve (FCN, X0)
      Given FCN, the name of a function of the form `f (X)' and an
@@ -8207,9 +8426,8 @@ defined.
      defined then the diagonals of this matrix are replaced.  Otherwise
      a matrix of M by N is created with the diagonals given by V.
 
-     Negative values of C representive diagonals below the main
-     diagonal, and positive values of C diagonals above the main
-     diagonal.
+     Negative values of C represent diagonals below the main diagonal,
+     and positive values of C diagonals above the main diagonal.
 
      For example
 
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info-3 1:3.0.5-6/doc/interpreter/octave.info-3
--- 1:3.0.1-6/doc/interpreter/octave.info-3	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info-3	2009-04-07 11:11:34.000000000 +0100
@@ -3005,7 +3005,8 @@ File: octave.info,  Node: Nonlinear Prog
 Octave can also perform general nonlinear minimization using a
 successive quadratic programming solver.
 
- -- Function File: [X, OBJ, INFO, ITER, NF, LAMBDA] = sqp (X, PHI, G, H)
+ -- Function File: [X, OBJ, INFO, ITER, NF, LAMBDA] = sqp (X, PHI, G,
+          H, LB, UB, MAXITER, TOLERANCE)
      Solve the nonlinear program
 
                min phi (x)
@@ -3015,6 +3016,7 @@ successive quadratic programming solver.
 
                g(x)  = 0
                h(x) >= 0
+               lb <= x <= ub
 
      using a successive quadratic programming method.
 
@@ -3071,6 +3073,17 @@ successive quadratic programming solver.
               transpose ( [ ------   -----   ...   ------ ] )
                           [  dx_1     dx_2          dx_N  ]
 
+     The fifth and sixth arguments are vectors containing lower and
+     upper bounds on X. These must be consistent with equality and
+     inequality constraints G and H. If the bounds are not specified,
+     or are empty, they are set to -REALMAX and REALMAX by default.
+
+     The seventh argument is max. number of iterations. If not
+     specified, the default value is 100.
+
+     The eighth argument is tolerance for stopping criteria. If not
+     specified, the default value is EPS.
+
      Here is an example of calling `sqp':
 
           function r = g (x)
@@ -3258,6 +3271,91 @@ Octave can compute various statistics su
 
      *See also:* std, mean.
 
+ -- Function File: Q = quantile (X, P)
+ -- Function File: Q = quantile (X, P, DIM)
+ -- Function File: Q = quantile (X, P, DIM, METHOD )
+     For a sample, X, calculate the quantiles, Q, corresponding to the
+     cumulative probability values in P. All non-numeric values (NaNs)
+     of X are ignored.
+
+     If X is a matrix, compute the quantiles for each column and return
+     them in a matrix, such that the i-th row of Q contains the P(i)th
+     quantiles of each column of X.
+
+     The optional argument DIM determines the dimension along which the
+     percentiles are calculated. If DIM is omitted, and X is a vector
+     or matrix, it defaults to 1 (column wise quantiles). In the
+     instance that X is a N-d array, DIM defaults to the first
+     dimension whose size greater than unity.
+
+     The methods available to calculate sample quantiles are the nine
+     methods used by R (http://www.r-project.org/). The default value
+     is METHOD = 5.
+
+     Discontinuous sample quantile methods 1, 2, and 3
+
+       1. Method 1: Inverse of empirical distribution function.
+
+       2. Method 2: Similar to method 1 but with averaging at
+          discontinuities.
+
+       3. Method 3: SAS definition: nearest even order statistic.
+
+     Continuous sample quantile methods 4 through 9, where p(k) is the
+     linear interpolation function respecting each methods'
+     representative cdf.
+
+       4. Method 4: p(k) = k / n. That is, linear interpolation of the
+          empirical cdf.
+
+       5. Method 5: p(k) = (k - 0.5) / n. That is a piecewise linear
+          function where the knots are the values midway through the
+          steps of the empirical cdf.
+
+       6. Method 6: p(k) = k / (n + 1).
+
+       7. Method 7: p(k) = (k - 1) / (n - 1).
+
+       8. Method 8: p(k) = (k - 1/3) / (n + 1/3). The resulting
+          quantile estimates are approximately median-unbiased
+          regardless of the distribution of X.
+
+       9. Method 9: p(k) = (k - 3/8) / (n + 1/4). The resulting
+          quantile estimates are approximately unbiased for the
+          expected order statistics if X is normally distributed.
+
+     Hyndman and Fan (1996) recommend method 8.  Maxima, S, and R
+     (versions prior to 2.0.0) use 7 as their default.  Minitab and SPSS
+     use method 6.  Matlab uses method 5.
+
+     References:
+
+        * Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New
+          S Language. Wadsworth & Brooks/Cole.
+
+        * Hyndman, R. J. and Fan, Y. (1996) Sample quantiles in
+          statistical packages, American Statistician, 50, 361-365.
+
+        * R: A Language and Environment for Statistical Computing;
+          `http://cran.r-project.org/doc/manuals/fullrefman.pdf'.
+
+ -- Function File: Y = prctile (X, P)
+ -- Function File: Q = prctile (X, P, DIM)
+     For a sample X, compute the the quantiles, Y, corresponding to the
+     cumulative probability values, P, in percent. All non-numeric
+     values (NaNs) of X are ignored.
+
+     If X is a matrix, compute the the percentiles for each column and
+     return them in a matrix, such that the i-th row of Y contains the
+     P(i)th percentiles of each column of X.
+
+     The optional argument DIM determines the dimension along which the
+     percentiles are calculated. If DIM is omitted, and X is a vector
+     or matrix, it defaults to 1 (column wise quantiles). In the
+     instance that X is a N-d array, DIM defaults to the first
+     dimension whose size greater than unity.
+
+
  -- Function File:  meansq (X)
  -- Function File:  meansq (X, DIM)
      For vector arguments, return the mean square of the values.  For
@@ -3378,9 +3476,11 @@ Octave can compute various statistics su
  -- Function File:  statistics (X)
      If X is a matrix, return a matrix with the minimum, first
      quartile, median, third quartile, maximum, mean, standard
-     deviation, skewness and kurtosis of the columns of X as its rows.
+     deviation, skewness and kurtosis of the columns of X as its
+     columns.
 
-     If X is a vector, treat it as a column vector.
+     If X is a vector, calculate the statistics along the non-singleton
+     dimension.
 
  -- Function File:  moment (X, P, OPT, DIM)
      If X is a vector, compute the P-th moment of X.
@@ -3492,12 +3592,9 @@ Octave also supports various helpful sta
      optional argument DIM is given operate along this dimension
 
  -- Function File:  ranks (X, DIM)
-     If X is a vector, return the (column) vector of ranks of X
-     adjusted for ties.
-
-     If X is a matrix, do the above for along the first non-singleton
-     dimension. If the optional argument DIM is given, operate along
-     this dimension.
+     Return the ranks of X along the first non-singleton dimension
+     adjust for ties. If the optional argument DIM is given, operate
+     along this dimension.
 
  -- Function File:  range (X)
  -- Function File:  range (X, DIM)
@@ -4525,12 +4622,16 @@ Weibull Distribution   `wblpdf'         
      (PDF) at X of the poisson distribution with parameter LAMBDA.
 
  -- Function File:  tcdf (X, N)
-     For each element of X, compute the CDF at X of the t (Student)
-     distribution with N degrees of freedom, i.e., PROB (t(N) <= X).
+     For each element of X, compute the cumulative distribution
+     function (CDF) at X of the t (Student) distribution with N degrees
+     of freedom, i.e., PROB (t(N) <= X).
 
  -- Function File:  tinv (X, N)
-     For each component of X, compute the quantile (the inverse of the
-     CDF) at X of the t (Student) distribution with parameter N.
+     For each probability value X, compute the the inverse of the
+     cumulative distribution function (CDF) of the t (Student)
+     distribution with degrees of freedom N.  This function is
+     analagous to looking in a table for the t-value of a single-tailed
+     distribution.
 
  -- Function File:  tpdf (X, N)
      For each element of X, compute the probability density function
@@ -4967,14 +5068,23 @@ set is defined as a collection of unique
 represented as a vector of numbers.
 
  -- Function File:  create_set (X)
+ -- Function File:  create_set (X, "rows")
      Return a row vector containing the unique values in X, sorted in
      ascending order.  For example,
 
-          create_set ([ 1, 2; 3, 4; 4, 2 ])
+          create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ])
           => [ 1, 2, 3, 4 ]
 
+     If the optional second input argument is the string "rows" each
+     row of the matrix X will be considered an element of set.  For
+     example,
+          create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ], "rows")
+          =>  1   2
+              3   4
+              4   2
+
 
-     *See also:* union, intersection, complement.
+     *See also:* union, intersection, complement, unique.
 
  -- Function File:  unique (X)
      Return the unique elements of X, sorted in ascending order.  If X
@@ -4987,6 +5097,10 @@ represented as a vector of numbers.
  -- Function File: [Y, I, J] =  unique (X)
      Return index vectors I and J such that `x(i)==y' and `y(j)==x'.
 
+     Additionally, one of 'first' or 'last' can be given as an argument.
+     'last' (default) specifies that the highest possible indices are
+     returned in I, while 'first' means the lowest.
+
      *See also:* union, intersect, setdiff, setxor, ismember.
 
 * Menu:
@@ -5043,12 +5157,24 @@ computes the union of the two sets.
 
      *See also:* unique, union, intersection, setxor, setdiff.
 
- -- Function File:  union (X, Y)
-     Return the set of elements that are in either of the sets X and Y.
+ -- Function File:  union (A, B)
+ -- Function File:  union (A, B, "rows")
+     Return the set of elements that are in either of the sets A and B.
+     For example,
+
+          union ([1, 2, 4], [2, 3, 5])
+          => [1, 2, 3, 4, 5]
+
+     If the optional third input argument is the string "rows" each row
+     of the matrices A and B will be considered an element of sets.
      For example,
+          union([1, 2; 2, 3], [1, 2; 3, 4], "rows")
+          =>  1   2
+              2   3
+              3   4
 
-          union ([ 1, 2, 4 ], [ 2, 3, 5 ])
-          => [ 1, 2, 3, 4, 5 ]
+ -- Function File: [C, IA, IB] = union (A, B)
+     Return index vectors IA and IB such that `a==c(ia)' and `b==c(ib)'.
 
 
      *See also:* create_set, intersection, complement.
@@ -5076,6 +5202,7 @@ computes the union of the two sets.
 
  -- Function File:  setdiff (A, B)
  -- Function File:  setdiff (A, B, "rows")
+ -- Function File: [C, I] =  setdiff (A, B)
      Return the elements in A that are not in B, sorted in ascending
      order.  If A and B are both column vectors return a column vector,
      otherwise return a row vector.
@@ -5083,13 +5210,19 @@ computes the union of the two sets.
      Given the optional third argument `"rows"', return the rows in A
      that are not in B, sorted in ascending order by rows.
 
+     If requested, return I such that `c = a(i)'.
+
      *See also:* unique, union, intersect, setxor, ismember.
 
  -- Function File:  setxor (A, B)
+ -- Function File:  setxor (A, B, 'rows')
      Return the elements exclusive to A or B, sorted in ascending
      order. If A and B are both column vectors return a column vector,
      otherwise return a row vector.
 
+ -- Function File: [C, IA, IB] = setxor (A, B)
+     Return index vectors IA and IB such that `a==c(ia)' and `b==c(ib)'.
+
 
      *See also:* unique, union, intersect, setdiff, ismember.
 
@@ -5137,17 +5270,23 @@ is easily expressed in Octave, but also 
 algorithms perform better.  The `polyvalm' function provides such an
 algorithm.
 
- -- Function File:  polyval (C, X)
-     Evaluate a polynomial.
-
-     `polyval (C, X)' will evaluate the polynomial at the specified
-     value of X.
+ -- Function File: Y= polyval (P, X)
+ -- Function File: Y= polyval (P, X, [], MU)
+     Evaluate the polynomial at of the specified values for X. When MU
+     is present evaluate the polynomial for (X-MU(1))/MU(2).  If X is a
+     vector or matrix, the polynomial is evaluated for each of the
+     elements of X.
+
+ -- Function File: [Y, DY] = polyval (P, X, S)
+ -- Function File: [Y, DY] = polyval (P, X, S, MU)
+     In addition to evaluating the polynomial, the second output
+     represents the prediction interval, Y +/- DY, which contains at
+     least 50% of the future predictions. To calculate the prediction
+     interval, the structured variable S, originating form `polyfit',
+     must be present.
 
-     If X is a vector or matrix, the polynomial is evaluated at each of
-     the elements of X.
-
-     *See also:* polyvalm, poly, roots, conv, deconv, residue, filter,
-     polyderiv, polyinteg.
+     *See also:* polyfit, polyvalm, poly, roots, conv, deconv, residue,
+     filter, polyderiv, polyinteg.
 
  -- Function File:  polyvalm (C, X)
      Evaluate a polynomial in the matrix sense.
@@ -5403,19 +5542,16 @@ polynomial to data.  This usually means 
 polynomial in a least-squares sense, which is what the `polyfit'
 function does.
 
- -- Function File: [P, S] = polyfit (X, Y, N)
+ -- Function File: [P, S, MU] = polyfit (X, Y, N)
      Return the coefficients of a polynomial P(X) of degree N that
-     minimizes `sumsq (p(x(i)) - y(i))',  to best fit the data in the
-     least squares sense.
+     minimizes the least-squares-error of the fit.
 
      The polynomial coefficients are returned in a row vector.
 
-     If two output arguments are requested, the second is a structure
-     containing the following fields:
+     The second output is a structure containing the following fields:
 
     `R'
-          The Cholesky factor of the Vandermonde matrix used to compute
-          the polynomial coefficients.
+          Triangular factor R from the QR decomposition.
 
     `X'
           The Vandermonde matrix used to compute the polynomial
@@ -5430,6 +5566,16 @@ function does.
     `yf'
           The values of the polynomial for each value of X.
 
+     The second output may be used by `polyval' to calculate the
+     statistical error limits of the predicted values.
+
+     When the third output, MU, is present the coefficients, P, are
+     associated with a polynomial in XHAT = (X-MU(1))/MU(2).  Where
+     MU(1) = mean (X), and MU(2) = std (X).  This linear transformation
+     of X improves the numerical stability of the fit.
+
+     *See also:* polyval, polyconf, residue.
+
    In situations where a single polynomial isn't good enough, a solution
 is to use several polynomials pieced together.  The function `mkpp'
 creates a piece-wise polynomial, `ppval' evaluates the function created
@@ -5885,9 +6031,9 @@ described in *note Interpolation on Scat
 
      The default method is 'linear'.
 
-     If EXTRAP is the string 'extrap', then extrapolate values beyond
-     the endpoints.  If EXTRAP is a number, replace values beyond the
-     endpoints with that number.  If EXTRAP is missing, assume NA.
+     If EXTRAPVAL is the scalar value, use it to replace the values
+     beyond the endpoints with that number. If EXTRAPVAL is missing,
+     assume NA.
 
      *See also:* interp1, interp2, spline, ndgrid.
 
@@ -5964,9 +6110,9 @@ circum-circle. None of the points in the
 of the circum-circles.
 
    In general there are only three points on the circumference of any
-circum-circle. However, in the some cases, and in particular for the
-case of a regular grid, 4 or more points can be on a single
-circum-circle. In this case the Delaunay triangulation is not unique.
+circum-circle. However, in some cases, and in particular for the case
+of a regular grid, 4 or more points can be on a single circum-circle.
+In this case the Delaunay triangulation is not unique.
 
  -- Function File: TRI= delaunay (X, Y)
  -- Function File: TRI= delaunay (X, Y, OPT)
@@ -8088,241 +8234,3 @@ data structures.
     OFLG
           `is_observable(retsys)'.
 
-
-File: octave.info,  Node: numerical,  Next: sysprop,  Prev: blockdiag,  Up: Control Theory
-
-30.5 Numerical Functions
-========================
-
- -- Function File: X = are (A, B, C, OPT)
-     Solve the Algebraic Riccati Equation
-          a' * x + x * a - x * b * x + c = 0
-
-     *Inputs* for identically dimensioned square matrices
-    A
-          N by N matrix;
-
-    B
-          N by N matrix or N by M matrix; in the latter case B is
-          replaced by b:=b*b';
-
-    C
-          N by N matrix or P by M matrix; in the latter case C is
-          replaced by c:=c'*c;
-
-    OPT
-          (optional argument; default = `"B"'): String option passed to
-          `balance' prior to ordered Schur decomposition.
-
-     *Output*
-    X
-          solution of the ARE.
-
-     *Method* Laub's Schur method (IEEE Transactions on Automatic
-     Control, 1979) is applied to the appropriate Hamiltonian matrix.
-
-     *See also:* balance, dare.
-
- -- Function File: X = dare (A, B, Q, R, OPT)
-     Return the solution, X of the discrete-time algebraic Riccati
-     equation
-          a' x a - x + a' x b (r + b' x b)^(-1) b' x a + q = 0
-     *Inputs*
-    A
-          N by N matrix;
-
-    B
-          N by M matrix;
-
-    Q
-          N by N matrix, symmetric positive semidefinite, or a P by N
-          matrix, In the latter case q:=q'*q is used;
-
-    R
-          M by M, symmetric positive definite (invertible);
-
-    OPT
-          (optional argument; default = `"B"'): String option passed to
-          `balance' prior to ordered QZ decomposition.
-
-     *Output*
-    X
-          solution of DARE.
-
-     *Method* Generalized eigenvalue approach (Van Dooren; SIAM J.
-     Sci. Stat. Comput., Vol 2) applied  to the appropriate symplectic
-     pencil.
-
-     See also: Ran and Rodman, `Stable Hermitian Solutions of Discrete
-     Algebraic Riccati Equations', Mathematics of Control, Signals and
-     Systems, Vol 5, no 2 (1992), pp 165-194.
-
-     *See also:* balance, are.
-
- -- Function File: [TVALS, PLIST] = dre (SYS, Q, R, QF, T0, TF, PTOL,
-          MAXITS)
-     Solve the differential Riccati equation
-            -d P/dt = A'P + P A - P B inv(R) B' P + Q
-            P(tf) = Qf
-     for the LTI system sys.  Solution of standard LTI state feedback
-     optimization
-            min int(t0, tf) ( x' Q x + u' R u ) dt + x(tf)' Qf x(tf)
-     optimal input is
-            u = - inv(R) B' P(t) x
-     *Inputs*
-    SYS
-          continuous time system data structure
-
-    Q
-          state integral penalty
-
-    R
-          input integral penalty
-
-    QF
-          state terminal penalty
-
-    T0
-    TF
-          limits on the integral
-
-    PTOL
-          tolerance (used to select time samples; see below); default =
-          0.1
-
-    MAXITS
-          number of refinement iterations (default=10)
-     *Outputs*
-    TVALS
-          time values at which P(T) is computed
-
-    PLIST
-          list values of P(T); PLIST { I } is P(TVALS(I))
-     TVALS is selected so that:
-          || Plist{i} - Plist{i-1} || < Ptol
-     for every I between 2 and length(TVALS).
-
- -- Function File:  dgram (A, B)
-     Return controllability gramian of discrete time system
-            x(k+1) = a x(k) + b u(k)
-
-     *Inputs*
-    A
-          N by N matrix
-
-    B
-          N by M matrix
-
-     *Output*
-    M
-          N by N matrix, satisfies
-                a m a' - m + b*b' = 0
-
- -- Function File:  dlyap (A, B)
-     Solve the discrete-time Lyapunov equation
-
-     *Inputs*
-    A
-          N by N matrix;
-
-    B
-          Matrix: N by N, N by M, or P by N.
-
-     *Output*
-    X
-          matrix satisfying appropriate discrete time Lyapunov equation.
-
-     Options:
-        * B is square: solve `a x a' - x + b = 0'
-
-        * B is not square: X satisfies either
-               a x a' - x + b b' = 0
-          or
-               a' x a - x + b' b = 0,
-          whichever is appropriate.
-
-     *Method* Uses Schur decomposition method as in Kitagawa, `An
-     Algorithm for Solving the Matrix Equation X = F X F' + S',
-     International Journal of Control, Volume 25, Number 5, pages
-     745-753 (1977).
-
-     Column-by-column solution method as suggested in Hammarling,
-     `Numerical Solution of the Stable, Non-Negative Definite Lyapunov
-     Equation', IMA Journal of Numerical Analysis, Volume 2, pages
-     303-323 (1982).
-
- -- Function File:  gram (A, B)
-     Return controllability gramian M of the continuous time system
-     dx/dt = a x + b u.
-
-     M satisfies a m + m a' + b b' = 0.
-
- -- Function File:  lyap (A, B, C)
- -- Function File:  lyap (A, B)
-     Solve the Lyapunov (or Sylvester) equation via the Bartels-Stewart
-     algorithm (Communications of the ACM, 1972).
-
-     If A, B, and C are specified, then `lyap' returns the solution of
-     the  Sylvester equation
-              a x + x b + c = 0
-     If only `(a, b)' are specified, then `lyap' returns the solution
-     of the Lyapunov equation
-              a' x + x a + b = 0
-     If B is not square, then `lyap' returns the solution of either
-              a' x + x a + b' b = 0
-     or
-              a x + x a' + b b' = 0
-     whichever is appropriate.
-
-     Solves by using the Bartels-Stewart algorithm (1972).
-
- -- Function File:  qzval (A, B)
-     Compute generalized eigenvalues of the matrix pencil
-          (A - lambda B).
-
-     A and B must be real matrices.
-
-     `qzval' is obsolete; use `qz' instead.
-
- -- Function File: Y = zgfmul (A, B, C, D, X)
-     Compute product of ZGEP incidence matrix F with vector X.  Used by
-     `zgepbal' (in `zgscal') as part of generalized conjugate gradient
-     iteration.
-
- -- Function File:  zgfslv (N, M, P, B)
-     Solve system of equations for dense zgep problem.
-
- -- Function File: ZZ = zginit (A, B, C, D)
-     Construct right hand side vector ZZ for the zero-computation
-     generalized eigenvalue problem balancing procedure.  Called by
-     `zgepbal'.
-
- -- Function File:  zgreduce (SYS, MEPS)
-     Implementation of procedure REDUCE in (Emami-Naeini and Van Dooren,
-     Automatica, # 1982).
-
- -- Function File: [NONZ, ZER] = zgrownorm (MAT, MEPS)
-     Return NONZ = number of rows of MAT whose two norm exceeds MEPS,
-     and ZER = number of rows of mat whose two norm is less than MEPS.
-
- -- Function File: X = zgscal (F, Z, N, M, P)
-     Generalized conjugate gradient iteration to solve zero-computation
-     generalized eigenvalue problem balancing equation fx=z; called by
-     `zgepbal'.
-
- -- Function File: [a, b] = zgsgiv (C, S, A, B)
-     Apply givens rotation c,s to row vectors A, B.  No longer used in
-     zero-balancing (__zgpbal__); kept for backward compatibility.
-
- -- Function File: X = zgshsr (Y)
-     Apply householder vector based on e^(m) to column vector Y.
-     Called by `zgfslv'.
-
-   *References*
-*ZGEP*
-     Hodel, `Computation of Zeros with Balancing', 1992, Linear Algebra
-     and its Applications
-
-**Generalized CG**
-     Golub and Van Loan, `Matrix Computations, 2nd ed' 1989.
-
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info-4 1:3.0.5-6/doc/interpreter/octave.info-4
--- 1:3.0.1-6/doc/interpreter/octave.info-4	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info-4	2009-04-07 11:11:34.000000000 +0100
@@ -21,6 +21,244 @@ manual into another language, under the 
 versions.
 
 
+File: octave.info,  Node: numerical,  Next: sysprop,  Prev: blockdiag,  Up: Control Theory
+
+30.5 Numerical Functions
+========================
+
+ -- Function File: X = are (A, B, C, OPT)
+     Solve the Algebraic Riccati Equation
+          a' * x + x * a - x * b * x + c = 0
+
+     *Inputs* for identically dimensioned square matrices
+    A
+          N by N matrix;
+
+    B
+          N by N matrix or N by M matrix; in the latter case B is
+          replaced by b:=b*b';
+
+    C
+          N by N matrix or P by M matrix; in the latter case C is
+          replaced by c:=c'*c;
+
+    OPT
+          (optional argument; default = `"B"'): String option passed to
+          `balance' prior to ordered Schur decomposition.
+
+     *Output*
+    X
+          solution of the ARE.
+
+     *Method* Laub's Schur method (IEEE Transactions on Automatic
+     Control, 1979) is applied to the appropriate Hamiltonian matrix.
+
+     *See also:* balance, dare.
+
+ -- Function File: X = dare (A, B, Q, R, OPT)
+     Return the solution, X of the discrete-time algebraic Riccati
+     equation
+          a' x a - x + a' x b (r + b' x b)^(-1) b' x a + q = 0
+     *Inputs*
+    A
+          N by N matrix;
+
+    B
+          N by M matrix;
+
+    Q
+          N by N matrix, symmetric positive semidefinite, or a P by N
+          matrix, In the latter case q:=q'*q is used;
+
+    R
+          M by M, symmetric positive definite (invertible);
+
+    OPT
+          (optional argument; default = `"B"'): String option passed to
+          `balance' prior to ordered QZ decomposition.
+
+     *Output*
+    X
+          solution of DARE.
+
+     *Method* Generalized eigenvalue approach (Van Dooren; SIAM J.
+     Sci. Stat. Comput., Vol 2) applied  to the appropriate symplectic
+     pencil.
+
+     See also: Ran and Rodman, `Stable Hermitian Solutions of Discrete
+     Algebraic Riccati Equations', Mathematics of Control, Signals and
+     Systems, Vol 5, no 2 (1992), pp 165-194.
+
+     *See also:* balance, are.
+
+ -- Function File: [TVALS, PLIST] = dre (SYS, Q, R, QF, T0, TF, PTOL,
+          MAXITS)
+     Solve the differential Riccati equation
+            -d P/dt = A'P + P A - P B inv(R) B' P + Q
+            P(tf) = Qf
+     for the LTI system sys.  Solution of standard LTI state feedback
+     optimization
+            min int(t0, tf) ( x' Q x + u' R u ) dt + x(tf)' Qf x(tf)
+     optimal input is
+            u = - inv(R) B' P(t) x
+     *Inputs*
+    SYS
+          continuous time system data structure
+
+    Q
+          state integral penalty
+
+    R
+          input integral penalty
+
+    QF
+          state terminal penalty
+
+    T0
+    TF
+          limits on the integral
+
+    PTOL
+          tolerance (used to select time samples; see below); default =
+          0.1
+
+    MAXITS
+          number of refinement iterations (default=10)
+     *Outputs*
+    TVALS
+          time values at which P(T) is computed
+
+    PLIST
+          list values of P(T); PLIST { I } is P(TVALS(I))
+     TVALS is selected so that:
+          || Plist{i} - Plist{i-1} || < Ptol
+     for every I between 2 and length(TVALS).
+
+ -- Function File:  dgram (A, B)
+     Return controllability gramian of discrete time system
+            x(k+1) = a x(k) + b u(k)
+
+     *Inputs*
+    A
+          N by N matrix
+
+    B
+          N by M matrix
+
+     *Output*
+    M
+          N by N matrix, satisfies
+                a m a' - m + b*b' = 0
+
+ -- Function File:  dlyap (A, B)
+     Solve the discrete-time Lyapunov equation
+
+     *Inputs*
+    A
+          N by N matrix;
+
+    B
+          Matrix: N by N, N by M, or P by N.
+
+     *Output*
+    X
+          matrix satisfying appropriate discrete time Lyapunov equation.
+
+     Options:
+        * B is square: solve `a x a' - x + b = 0'
+
+        * B is not square: X satisfies either
+               a x a' - x + b b' = 0
+          or
+               a' x a - x + b' b = 0,
+          whichever is appropriate.
+
+     *Method* Uses Schur decomposition method as in Kitagawa, `An
+     Algorithm for Solving the Matrix Equation X = F X F' + S',
+     International Journal of Control, Volume 25, Number 5, pages
+     745-753 (1977).
+
+     Column-by-column solution method as suggested in Hammarling,
+     `Numerical Solution of the Stable, Non-Negative Definite Lyapunov
+     Equation', IMA Journal of Numerical Analysis, Volume 2, pages
+     303-323 (1982).
+
+ -- Function File:  gram (A, B)
+     Return controllability gramian M of the continuous time system
+     dx/dt = a x + b u.
+
+     M satisfies a m + m a' + b b' = 0.
+
+ -- Function File:  lyap (A, B, C)
+ -- Function File:  lyap (A, B)
+     Solve the Lyapunov (or Sylvester) equation via the Bartels-Stewart
+     algorithm (Communications of the ACM, 1972).
+
+     If A, B, and C are specified, then `lyap' returns the solution of
+     the  Sylvester equation
+              a x + x b + c = 0
+     If only `(a, b)' are specified, then `lyap' returns the solution
+     of the Lyapunov equation
+              a' x + x a + b = 0
+     If B is not square, then `lyap' returns the solution of either
+              a' x + x a + b' b = 0
+     or
+              a x + x a' + b b' = 0
+     whichever is appropriate.
+
+     Solves by using the Bartels-Stewart algorithm (1972).
+
+ -- Function File:  qzval (A, B)
+     Compute generalized eigenvalues of the matrix pencil
+          (A - lambda B).
+
+     A and B must be real matrices.
+
+     `qzval' is obsolete; use `qz' instead.
+
+ -- Function File: Y = zgfmul (A, B, C, D, X)
+     Compute product of ZGEP incidence matrix F with vector X.  Used by
+     `zgepbal' (in `zgscal') as part of generalized conjugate gradient
+     iteration.
+
+ -- Function File:  zgfslv (N, M, P, B)
+     Solve system of equations for dense zgep problem.
+
+ -- Function File: ZZ = zginit (A, B, C, D)
+     Construct right hand side vector ZZ for the zero-computation
+     generalized eigenvalue problem balancing procedure.  Called by
+     `zgepbal'.
+
+ -- Function File:  zgreduce (SYS, MEPS)
+     Implementation of procedure REDUCE in (Emami-Naeini and Van Dooren,
+     Automatica, # 1982).
+
+ -- Function File: [NONZ, ZER] = zgrownorm (MAT, MEPS)
+     Return NONZ = number of rows of MAT whose two norm exceeds MEPS,
+     and ZER = number of rows of mat whose two norm is less than MEPS.
+
+ -- Function File: X = zgscal (F, Z, N, M, P)
+     Generalized conjugate gradient iteration to solve zero-computation
+     generalized eigenvalue problem balancing equation fx=z; called by
+     `zgepbal'.
+
+ -- Function File: [a, b] = zgsgiv (C, S, A, B)
+     Apply givens rotation c,s to row vectors A, B.  No longer used in
+     zero-balancing (__zgpbal__); kept for backward compatibility.
+
+ -- Function File: X = zgshsr (Y)
+     Apply householder vector based on e^(m) to column vector Y.
+     Called by `zgfslv'.
+
+   *References*
+*ZGEP*
+     Hodel, `Computation of Zeros with Balancing', 1992, Linear Algebra
+     and its Applications
+
+**Generalized CG**
+     Golub and Van Loan, `Matrix Computations, 2nd ed' 1989.
+
+
 File: octave.info,  Node: sysprop,  Next: systime,  Prev: numerical,  Up: Control Theory
 
 30.6 System Analysis-Properties
@@ -1599,21 +1837,36 @@ File: octave.info,  Node: Signal Process
 
      *See also:* ifft, fft2, fftn, fftw.
 
+   Octave uses the FFTW libraries to perform FFT computations. When
+Octave starts up and initializes the FFTW libraries, they read a system
+wide file (on a Unix system, it is typically `/etc/fftw/wisdom') that
+contains information useful to speed up FFT computations.  This
+information is called the _wisdom_.  The system-wide file allows wisdom
+to be shared between all applications using the FFTW libraries.
+
+   Use the `fftw' function to generate and save wisdom.  Using the
+utilities provided together with the FFTW libraries (`fftw-wisdom' on
+Unix systems), you can even add wisdom generated by Octave to the
+system-wide wisdom file.
+
  -- Loadable Function: METHOD = fftw ('planner')
  -- Loadable Function:  fftw ('planner', METHOD)
  -- Loadable Function: WISDOM = fftw ('dwisdom')
  -- Loadable Function: WISDOM = fftw ('dwisdom', WISDOM)
      Manage FFTW wisdom data. Wisdom data can be used to significantly
      accelerate the calculation of the FFTs but implies an initial cost
-     in its calculation. The wisdom used by Octave can be imported
-     directly, usually from a file /etc/fftw/wisdom, or "fftw" can be
-     used to import wisdom. For example
+     in its calculation. When the FFTW libraries are initialized, they
+     read a system wide wisdom file (typically in `/etc/fftw/wisdom'),
+     allowing wisdom to be shared between applications other than
+     Octave. Alternatively, the `fftw' function can be used to import
+     wisdom. For example
 
           WISDOM = fftw ('dwisdom')
 
      will save the existing wisdom used by Octave to the string WISDOM.
-     This string can then be saved in the usual manner. This existing
-     wisdom can be reimported as follows
+     This string can then be saved to a file and restored using the
+     `save' and `load' commands respectively. This existing wisdom can
+     be reimported as follows
 
           fftw ('dwisdom', WISDOM)
 
@@ -1621,7 +1874,7 @@ File: octave.info,  Node: Signal Process
 
      During the calculation of fourier transforms further wisdom is
      generated.  The fashion in which this wisdom is generated is
-     equally controlled by the "fftw" function. There are five
+     equally controlled by the `fftw' function. There are five
      different manners in which the wisdom can be treated, these being
 
     'estimate'
@@ -1662,10 +1915,9 @@ File: octave.info,  Node: Signal Process
 
      Note that calculated wisdom will be lost when restarting Octave.
      However, the wisdom data can be reloaded if it is saved to a file
-     as described above.  Also, any system-wide wisdom file that has
-     been found will also be used. Saved wisdom files should not be
-     used on different platforms since they will not be efficient and
-     the point of calculating the wisdom is lost.
+     as described above. Saved wisdom files should not be used on
+     different platforms since they will not be efficient and the point
+     of calculating the wisdom is lost.
 
      *See also:* fft, ifft, fft2, ifft2, fftn, ifftn.
 
@@ -2283,7 +2535,7 @@ the `image_viewer' function.
  -- Function File:  image (X, Y, IMG)
      Display a matrix as a color image.  The elements of X are indices
      into the current colormap, and the colormap will be scaled so that
-     the extremes of X are mapped to the extremes of teh colormap.
+     the extremes of X are mapped to the extremes of the colormap.
 
      It first tries to use `gnuplot', then `display' from
      `ImageMagick', then `xv', and then `xloadimage'.  The actual
@@ -2361,7 +2613,7 @@ In general Octave supports four differen
 images, RGB images, binary images, and indexed images. A gray-scale
 image is represented with an M-by-N matrix in which each element
 corresponds to the intensity of a pixel. An RGB image is represented
-with an M-by-N-by3 array where each 3-vector corresponds to the red,
+with an M-by-N-by-3 array where each 3-vector corresponds to the red,
 green, and blue intensities of each pixel.
 
    The actual meaning of the value of a pixel in a gray-scale or RGB
@@ -2539,7 +2791,7 @@ CONTOUR functions.
 
  -- Function File:  gmap40 (N)
      Create a color colormap. The colormap is red, green, blue, yellow,
-     magneta and cyan. These are the colors that are allowed with patch
+     magenta and cyan. These are the colors that are allowed with patch
      objects using gnuplot 4.0, and so this colormap function is
      specially designed for users of gnuplot 4.0.  The argument N
      should be a scalar.  If it is omitted, a length of 6 is assumed.
@@ -3409,7 +3661,7 @@ useful.
  -- Function File: E = eomday (Y, M)
      Return the last day of the month M for the year Y.
 
-     *See also:* datenum, datevec, weekday.
+     *See also:* datenum, datevec, weekday, eomdate.
 
 
 File: octave.info,  Node: Filesystem Utilities,  Next: File Archiving Utilities,  Prev: Timing Utilities,  Up: System Utilities
@@ -4262,6 +4514,7 @@ File: octave.info,  Node: Environment Va
      returns a string containing the value of your path.
 
  -- Built-in Function:  putenv (VAR, VALUE)
+ -- Built-in Function:  setenv (VAR, VALUE)
      Set the value of the environment variable VAR to VALUE.
 
 
@@ -4948,7 +5201,7 @@ The following is a simple example of a `
 
 The developer is free to add additional arguments to the `DESCRIPTION'
 file for their own purposes. One further detail to aid the packager is
-that the `SystemRequirments' and `BuildRequires' keywords can have
+that the `SystemRequirements' and `BuildRequires' keywords can have
 distribution dependent section, and the automatic build process will
 use these. An example of the format of this is
 
@@ -7575,15 +7828,71 @@ liboctave.so.
 mkoctfile can then be used to build a standalone application with a
 command like
 
-     $ mkoctfile --link-stand-alone hello.cc -o hello
-     $ ./hello
+     $ mkoctfile --link-stand-alone standalone.cc -o standalone
+     $ ./standalone
      Hello Octave world!
        11 12
        21 22
      $
 
    Note that the application `hello' will be dynamically linked against
-the octave libraries and any octave support libraries.
+the octave libraries and any octave support libraries. The above allows
+the Octave math libraries to be used by an application. It does not
+however allow the script files, oct-files or builtin functions of
+Octave to be used by the application. To do that the Octave interpreter
+needs to be initialized first. An example of how to do this can then be
+seen in the code
+
+     #include <iostream>
+     #include <octave/oct.h>
+     #include <octave/octave.h>
+     #include <octave/parse.h>
+     int
+     main (void)
+     {
+       string_vector argv (2);
+       argv(0) = "embedded";
+       argv(1) = "-q";
+
+       octave_main (2, argv.c_str_vec(), 1);
+
+       octave_idx_type n = 2;
+       Matrix a_matrix = Matrix (1, 2);
+
+       std::cout << "GCD of [";
+       for (octave_idx_type i = 0; i < n; i++)
+         {
+           a_matrix (i) = 5 * (i + 1);
+           if (i != 0)
+     	std::cout << ", " << 5 * (i + 2);
+           else
+     	std::cout << 5 * (i + 2);
+         }
+       std::cout << "] is ";
+
+       octave_value_list in = octave_value (a_matrix);
+       octave_value_list out = feval ("gcd", in, 1);
+
+       if (!error_state && out.length () > 0)
+         {
+           a_matrix = out(0).matrix_value ();
+           if (a_matrix.numel () == 1)
+     	std::cout << a_matrix(0) << "\n";
+           else
+     	std::cout << "invalid\n";
+         }
+       else
+         std::cout << "invalid\n";
+
+       return 0;
+     }
+
+which is compiled and run as before as a standalone application with
+
+     $ mkoctfile --link-stand-alone embedded.cc -o embedded
+     $ ./embedded
+     GCD of [10, 15] is 5
+     $
 
 
 File: octave.info,  Node: Test and Demo Functions,  Next: Tips,  Prev: Dynamically Linked Functions,  Up: Top
@@ -7861,7 +8170,7 @@ files with no extension rather than in s
 
     `assert(OBSERVED, EXPECTED, TOL)'
           Accept a tolerance when comparing numbers.  If TOL is
-          possitive use it as an absolute tolerance, will produce an
+          positive use it as an absolute tolerance, will produce an
           error if `abs(OBSERVED - EXPECTED) > abs(TOL)'.  If TOL is
           negative use it as a relative tolerance, will produce an
           error if `abs(OBSERVED - EXPECTED) > abs(TOL * EXPECTED)'.
@@ -8199,115 +8508,3 @@ The indentation commands of the Octave m
 indent comments according to these conventions, depending on the number
 of semicolons.  *Note Manipulating Comments: (emacs)Comments.
 
-
-File: octave.info,  Node: Function Headers,  Next: Documentation Tips,  Prev: Comment Tips,  Up: Tips
-
-C.4 Conventional Headers for Octave Functions
-=============================================
-
-Octave has conventions for using special comments in function files to
-give information such as who wrote them.  This section explains these
-conventions.
-
-   The top of the file should contain a copyright notice, followed by a
-block of comments that can be used as the help text for the function.
-Here is an example:
-
-     ## Copyright (C) 1996, 1997, 2007 John W. Eaton
-     ##
-     ## This file is part of Octave.
-     ##
-     ## Octave is free software; you can redistribute it and/or
-     ## modify it under the terms of the GNU General Public
-     ## License as published by the Free Software Foundation;
-     ## either version 3 of the License, or (at your option) any
-     ## later version.
-     ##
-     ## Octave is distributed in the hope that it will be useful,
-     ## but WITHOUT ANY WARRANTY; without even the implied
-     ## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-     ## PURPOSE.  See the GNU General Public License for more
-     ## details.
-     ##
-     ## You should have received a copy of the GNU General Public
-     ## License along with Octave; see the file COPYING.  If not,
-     ## see <http://www.gnu.org/licenses/>.
-
-     ## usage: [IN, OUT, PID] = popen2 (COMMAND, ARGS)
-     ##
-     ## Start a subprocess with two-way communication.  COMMAND
-     ## specifies the name of the command to start.  ARGS is an
-     ## array of strings containing options for COMMAND.  IN and
-     ## OUT are the file ids of the input and streams for the
-     ## subprocess, and PID is the process id of the subprocess,
-     ## or -1 if COMMAND could not be executed.
-     ##
-     ## Example:
-     ##
-     ##  [in, out, pid] = popen2 ("sort", "-nr");
-     ##  fputs (in, "these\nare\nsome\nstrings\n");
-     ##  fclose (in);
-     ##  while (isstr (s = fgets (out)))
-     ##    fputs (stdout, s);
-     ##  endwhile
-     ##  fclose (out);
-
-   Octave uses the first block of comments in a function file that do
-not appear to be a copyright notice as the help text for the file.  For
-Octave to recognize the first comment block as a copyright notice, it
-must start with the word `Copyright' after stripping the leading
-comment characters.
-
-   After the copyright notice and help text come several "header
-comment" lines, each beginning with `## HEADER-NAME:'.  For example,
-
-     ## Author: jwe
-     ## Keywords: subprocesses input-output
-     ## Maintainer: jwe
-
-   Here is a table of the conventional possibilities for HEADER-NAME:
-
-`Author'
-     This line states the name and net address of at least the principal
-     author of the library.
-
-          ## Author: John W. Eaton <jwe@bevo.che.wisc.edu>
-
-`Maintainer'
-     This line should contain a single name/address as in the Author
-     line, or an address only, or the string `jwe'.  If there is no
-     maintainer line, the person(s) in the Author field are presumed to
-     be the maintainers.  The example above is mildly bogus because the
-     maintainer line is redundant.
-
-     The idea behind the `Author' and `Maintainer' lines is to make
-     possible a function to "send mail to the maintainer" without
-     having to mine the name out by hand.
-
-     Be sure to surround the network address with `<...>' if you
-     include the person's full name as well as the network address.
-
-`Created'
-     This optional line gives the original creation date of the file.
-     For historical interest only.
-
-`Version'
-     If you wish to record version numbers for the individual Octave
-     program, put them in this line.
-
-`Adapted-By'
-     In this header line, place the name of the person who adapted the
-     library for installation (to make it fit the style conventions, for
-     example).
-
-`Keywords'
-     This line lists keywords.  Eventually, it will be used by an
-     apropos command to allow people will find your package when
-     they're looking for things by topic area.  To separate the
-     keywords, you can use spaces, commas, or both.
-
-   Just about every Octave function ought to have the `Author' and
-`Keywords' header comment lines.  Use the others if they are
-appropriate.  You can also put in header lines with other header
-names--they have no standard meanings, so they can't do any harm.
-
diff -pruN 1:3.0.1-6/doc/interpreter/octave.info-5 1:3.0.5-6/doc/interpreter/octave.info-5
--- 1:3.0.1-6/doc/interpreter/octave.info-5	2008-04-21 17:58:28.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/octave.info-5	2009-04-07 11:11:34.000000000 +0100
@@ -21,6 +21,118 @@ manual into another language, under the 
 versions.
 
 
+File: octave.info,  Node: Function Headers,  Next: Documentation Tips,  Prev: Comment Tips,  Up: Tips
+
+C.4 Conventional Headers for Octave Functions
+=============================================
+
+Octave has conventions for using special comments in function files to
+give information such as who wrote them.  This section explains these
+conventions.
+
+   The top of the file should contain a copyright notice, followed by a
+block of comments that can be used as the help text for the function.
+Here is an example:
+
+     ## Copyright (C) 1996, 1997, 2007 John W. Eaton
+     ##
+     ## This file is part of Octave.
+     ##
+     ## Octave is free software; you can redistribute it and/or
+     ## modify it under the terms of the GNU General Public
+     ## License as published by the Free Software Foundation;
+     ## either version 3 of the License, or (at your option) any
+     ## later version.
+     ##
+     ## Octave is distributed in the hope that it will be useful,
+     ## but WITHOUT ANY WARRANTY; without even the implied
+     ## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+     ## PURPOSE.  See the GNU General Public License for more
+     ## details.
+     ##
+     ## You should have received a copy of the GNU General Public
+     ## License along with Octave; see the file COPYING.  If not,
+     ## see <http://www.gnu.org/licenses/>.
+
+     ## usage: [IN, OUT, PID] = popen2 (COMMAND, ARGS)
+     ##
+     ## Start a subprocess with two-way communication.  COMMAND
+     ## specifies the name of the command to start.  ARGS is an
+     ## array of strings containing options for COMMAND.  IN and
+     ## OUT are the file ids of the input and streams for the
+     ## subprocess, and PID is the process id of the subprocess,
+     ## or -1 if COMMAND could not be executed.
+     ##
+     ## Example:
+     ##
+     ##  [in, out, pid] = popen2 ("sort", "-nr");
+     ##  fputs (in, "these\nare\nsome\nstrings\n");
+     ##  fclose (in);
+     ##  while (isstr (s = fgets (out)))
+     ##    fputs (stdout, s);
+     ##  endwhile
+     ##  fclose (out);
+
+   Octave uses the first block of comments in a function file that do
+not appear to be a copyright notice as the help text for the file.  For
+Octave to recognize the first comment block as a copyright notice, it
+must start with the word `Copyright' after stripping the leading
+comment characters.
+
+   After the copyright notice and help text come several "header
+comment" lines, each beginning with `## HEADER-NAME:'.  For example,
+
+     ## Author: jwe
+     ## Keywords: subprocesses input-output
+     ## Maintainer: jwe
+
+   Here is a table of the conventional possibilities for HEADER-NAME:
+
+`Author'
+     This line states the name and net address of at least the principal
+     author of the library.
+
+          ## Author: John W. Eaton <jwe@bevo.che.wisc.edu>
+
+`Maintainer'
+     This line should contain a single name/address as in the Author
+     line, or an address only, or the string `jwe'.  If there is no
+     maintainer line, the person(s) in the Author field are presumed to
+     be the maintainers.  The example above is mildly bogus because the
+     maintainer line is redundant.
+
+     The idea behind the `Author' and `Maintainer' lines is to make
+     possible a function to "send mail to the maintainer" without
+     having to mine the name out by hand.
+
+     Be sure to surround the network address with `<...>' if you
+     include the person's full name as well as the network address.
+
+`Created'
+     This optional line gives the original creation date of the file.
+     For historical interest only.
+
+`Version'
+     If you wish to record version numbers for the individual Octave
+     program, put them in this line.
+
+`Adapted-By'
+     In this header line, place the name of the person who adapted the
+     library for installation (to make it fit the style conventions, for
+     example).
+
+`Keywords'
+     This line lists keywords.  Eventually, it will be used by an
+     apropos command to allow people will find your package when
+     they're looking for things by topic area.  To separate the
+     keywords, you can use spaces, commas, or both.
+
+   Just about every Octave function ought to have the `Author' and
+`Keywords' header comment lines.  Use the others if they are
+appropriate.  You can also put in header lines with other header
+names--they have no standard meanings, so they can't do any harm.
+
+
 File: octave.info,  Node: Documentation Tips,  Prev: Function Headers,  Up: Tips
 
 C.5 Tips for Documentation Strings
@@ -620,7 +732,7 @@ system.
           Enable bounds checking for indexing operators in the internal
           array classes.  This option is primarily used for debugging
           Octave.  Building Octave with this option has a negative
-          impact on performace and is not recommended for general use.
+          impact on performance and is not recommended for general use.
 
     `--enable-64'
           This is an *experimental* option to enable Octave to use
@@ -815,7 +927,7 @@ that don't really mean anything is wrong
 installation of Octave.
 
    * On some SCO systems, `info' fails to compile if `HAVE_TERMIOS_H'
-     is defined int `config.h'.  Simply removing the definition from
+     is defined in `config.h'.  Simply removing the definition from
      `info/config.h' should allow it to compile.
 
    * If `configure' finds `dlopen', `dlsym', `dlclose', and `dlerror',
@@ -2243,6 +2355,8 @@ Concept Index
 * arithmetic operators:                  Arithmetic Ops.      (line   6)
 * assignment expressions:                Assignment Ops.      (line   6)
 * assignment operators:                  Assignment Ops.      (line   6)
+* axes graphics object:                  Graphics Objects.    (line  19)
+* axes properties:                       Axes Properties.     (line   6)
 * body of a loop:                        The while Statement. (line   6)
 * boolean expressions:                   Boolean Expressions. (line   6)
 * boolean operators:                     Boolean Expressions. (line   6)
@@ -2270,6 +2384,7 @@ Concept Index
                                                               (line   7)
 * clearing the screen:                   Cursor Motion.       (line  53)
 * coding standards:                      Tips.                (line   6)
+* colors, graphics:                      Colors.              (line   6)
 * comma separated lists:                 Comma Separated Lists.
                                                               (line   6)
 * command and output logs:               Diary and Echo Commands.
@@ -2314,6 +2429,8 @@ Concept Index
                                                               (line   6)
 * decrement operator:                    Assignment Ops.      (line 177)
 * default arguments:                     Default Arguments.   (line   6)
+* default graphics properties:           Managing Default Properties.
+                                                              (line   6)
 * defining functions:                    Functions and Scripts.
                                                               (line   6)
 * description format:                    Format of Descriptions.
@@ -2376,6 +2493,8 @@ Concept Index
 * expressions, logical:                  Boolean Expressions. (line   6)
 * factorial function:                    Recursion.           (line   6)
 * fatal signal:                          Bug Criteria.        (line   9)
+* figure graphics object:                Graphics Objects.    (line  16)
+* figure properties:                     Figure Properties.   (line   6)
 * financial functions:                   Financial Functions. (line   6)
 * flag character (printf):               Output Conversion Syntax.
                                                               (line  28)
@@ -2402,8 +2521,21 @@ Concept Index
 * global statement:                      Global Variables.    (line   6)
 * global variables:                      Global Variables.    (line   6)
 * graphics:                              Plotting.            (line   6)
+* graphics colors:                       Colors.              (line   6)
+* graphics line styles:                  Line Styles.         (line   6)
+* graphics marker styles:                Marker Styles.       (line   6)
 * graphics object properties:            Graphics Object Properties.
                                                               (line   6)
+* graphics object, axes:                 Graphics Objects.    (line  19)
+* graphics object, figure:               Graphics Objects.    (line  16)
+* graphics object, image:                Graphics Objects.    (line  29)
+* graphics object, line:                 Graphics Objects.    (line  23)
+* graphics object, patch:                Graphics Objects.    (line  32)
+* graphics object, root figure:          Graphics Objects.    (line  12)
+* graphics object, surface:              Graphics Objects.    (line  35)
+* graphics object, text:                 Graphics Objects.    (line  26)
+* graphics properties, default:          Managing Default Properties.
+                                                              (line   6)
 * greater than operator:                 Comparison Ops.      (line   6)
 * handle, function handles:              Function Handles Inline Functions and Anonymous Functions.
                                                               (line   6)
@@ -2417,6 +2549,8 @@ Concept Index
 * history of commands:                   Commands For History.
                                                               (line   6)
 * if statement:                          The if Statement.    (line   6)
+* image graphics object:                 Graphics Objects.    (line  29)
+* image properties:                      Image Properties.    (line   6)
 * improving Octave <1>:                  Sending Patches.     (line   6)
 * improving Octave:                      Bug Criteria.        (line  29)
 * incorrect error messages:              Bug Criteria.        (line  22)
@@ -2441,6 +2575,9 @@ Concept Index
 * job hunting:                           Variables.           (line  14)
 * known causes of trouble:               Trouble.             (line   6)
 * less than operator:                    Comparison Ops.      (line   6)
+* line graphics object:                  Graphics Objects.    (line  23)
+* line properties:                       Line Properties.     (line   6)
+* line styles, graphics:                 Line Styles.         (line   6)
 * loadable function:                     A Sample Function Description.
                                                               (line  49)
 * loading data:                          Simple File I/O.     (line   6)
@@ -2461,6 +2598,7 @@ Concept Index
 * lvalue:                                Assignment Ops.      (line  33)
 * mapping function:                      A Sample Function Description.
                                                               (line  55)
+* marker styles, graphics:               Marker Styles.       (line   6)
 * matching failure, in scanf:            Formatted Input.     (line  76)
 * matrices:                              Matrices.            (line   6)
 * matrix multiplication:                 Arithmetic Ops.      (line   6)
@@ -2510,6 +2648,8 @@ Concept Index
                                                               (line   6)
 * output conversions, for printf:        Table of Output Conversions.
                                                               (line   6)
+* patch graphics object:                 Graphics Objects.    (line  32)
+* patch properties:                      Patch Properties.    (line   6)
 * patches, submitting:                   Sending Patches.     (line   6)
 * persistent statement:                  Persistent Variables.
                                                               (line   6)
@@ -2539,6 +2679,7 @@ Concept Index
 * reporting bugs:                        Reporting Bugs.      (line   6)
 * results, incorrect <1>:                Bug Reporting.       (line  70)
 * results, incorrect:                    Bug Criteria.        (line  12)
+* root figure graphics object:           Graphics Objects.    (line  12)
 * saving data:                           Simple File I/O.     (line   6)
 * Schur decomposition:                   Matrix Factorizations.
                                                               (line 194)
@@ -2571,12 +2712,16 @@ Concept Index
 * submitting patches:                    Sending Patches.     (line   6)
 * subtraction:                           Arithmetic Ops.      (line   6)
 * suggestions:                           Bug Criteria.        (line  29)
+* surface graphics object:               Graphics Objects.    (line  35)
+* surface properties:                    Surface Properties.  (line   6)
 * switch statement:                      The switch Statement.
                                                               (line   6)
 * TAGS:                                  Using Octave Mode.   (line 256)
 * test functions:                        Test and Demo Functions.
                                                               (line   6)
 * tests for equality:                    Comparison Ops.      (line   6)
+* text graphics object:                  Graphics Objects.    (line  26)
+* text properties:                       Text Properties.     (line   6)
 * tips:                                  Tips.                (line   6)
 * transpose:                             Arithmetic Ops.      (line   6)
 * transpose, complex-conjugate:          Arithmetic Ops.      (line   6)
@@ -2595,7 +2740,7 @@ Concept Index
 * user-defined functions:                Functions and Scripts.
                                                               (line   6)
 * user-defined variables:                Variables.           (line   6)
-* Utility Functions <1>:                 Creation.            (line 130)
+* Utility Functions <1>:                 Creation.            (line 129)
 * Utility Functions:                     Utility Functions.   (line 182)
 * variable descriptions:                 A Sample Variable Description.
                                                               (line   6)
@@ -2754,7 +2899,7 @@ Function Index
 * acsch:                                 Trigonometry.        (line  77)
 * addpath:                               Manipulating the load path.
                                                               (line  22)
-* airy:                                  Special Functions.   (line  59)
+* airy:                                  Special Functions.   (line  63)
 * all:                                   Finding Elements and Checking Conditions.
                                                               (line  29)
 * analdemo:                              sysprop.             (line   7)
@@ -2763,17 +2908,17 @@ Function Index
 * anova:                                 Tests.               (line  37)
 * any:                                   Finding Elements and Checking Conditions.
                                                               (line  12)
-* arch_fit:                              Signal Processing.   (line 292)
-* arch_rnd:                              Signal Processing.   (line 313)
-* arch_test:                             Signal Processing.   (line 323)
+* arch_fit:                              Signal Processing.   (line 306)
+* arch_rnd:                              Signal Processing.   (line 327)
+* arch_test:                             Signal Processing.   (line 337)
 * are:                                   numerical.           (line   7)
 * area:                                  Two-Dimensional Plots.
-                                                              (line 650)
+                                                              (line 701)
 * arg:                                   Complex Arithmetic.  (line  20)
 * argnames:                              Inline Functions.    (line  35)
 * argv:                                  Command Line Options.
                                                               (line 135)
-* arma_rnd:                              Signal Processing.   (line 354)
+* arma_rnd:                              Signal Processing.   (line 368)
 * arrayfun:                              Applying a Function to an Array.
                                                               (line   7)
 * asctime:                               Timing Utilities.    (line 138)
@@ -2791,23 +2936,23 @@ Function Index
 * atand:                                 Trigonometry.        (line 141)
 * atanh:                                 Trigonometry.        (line  71)
 * atexit:                                Quitting Octave.     (line  13)
-* autocor:                               Signal Processing.   (line 368)
-* autocov:                               Signal Processing.   (line 373)
+* autocor:                               Signal Processing.   (line 382)
+* autocov:                               Signal Processing.   (line 387)
 * autoload:                              Overloading and Autoloading.
                                                               (line  58)
-* autoreg_matrix:                        Signal Processing.   (line 378)
+* autoreg_matrix:                        Signal Processing.   (line 392)
 * autumn:                                Representing Images. (line  69)
 * axes:                                  Graphics Objects.    (line 153)
 * axis:                                  Two-Dimensional Plots.
-                                                              (line 674)
+                                                              (line 726)
 * axis2dlim:                             misc.                (line   7)
 * balance:                               Basic Matrix Functions.
                                                               (line   7)
 * bar:                                   Two-Dimensional Plots.
-                                                              (line 221)
+                                                              (line 219)
 * barh:                                  Two-Dimensional Plots.
-                                                              (line 248)
-* bartlett:                              Signal Processing.   (line 385)
+                                                              (line 246)
+* bartlett:                              Signal Processing.   (line 399)
 * bartlett_test:                         Tests.               (line  60)
 * base2dec:                              String Conversions.  (line  91)
 * bddemo:                                blockdiag.           (line  12)
@@ -2818,18 +2963,18 @@ Function Index
 * besselj:                               Special Functions.   (line   7)
 * besselk:                               Special Functions.   (line  10)
 * bessely:                               Special Functions.   (line   8)
-* beta:                                  Special Functions.   (line  92)
+* beta:                                  Special Functions.   (line  96)
 * betacdf:                               Distributions.       (line  47)
-* betainc:                               Special Functions.   (line  97)
+* betainc:                               Special Functions.   (line 101)
 * betainv:                               Distributions.       (line  52)
-* betaln:                                Special Functions.   (line 109)
+* betaln:                                Special Functions.   (line 113)
 * betapdf:                               Distributions.       (line  56)
 * betarnd:                               Random Number Generation.
                                                               (line  41)
 * bicubic:                               Multi-dimensional Interpolation.
                                                               (line 178)
 * bin2dec:                               String Conversions.  (line  14)
-* bincoeff:                              Special Functions.   (line 117)
+* bincoeff:                              Special Functions.   (line 121)
 * binocdf:                               Distributions.       (line  60)
 * binoinv:                               Distributions.       (line  64)
 * binopdf:                               Distributions.       (line  68)
@@ -2843,14 +2988,14 @@ Function Index
 * bitset:                                Bit Manipulations.   (line  11)
 * bitshift:                              Bit Manipulations.   (line 112)
 * bitxor:                                Bit Manipulations.   (line  83)
-* blackman:                              Signal Processing.   (line 392)
+* blackman:                              Signal Processing.   (line 406)
 * blanks:                                Creating Strings.    (line  13)
 * blkdiag:                               Rearranging Matrices.
-                                                              (line 366)
+                                                              (line 381)
 * bode:                                  sysfreq.             (line  12)
 * bode_bounds:                           sysfreq.             (line  77)
 * bone:                                  Representing Images. (line  76)
-* box:                                   Plot Annotations.    (line  91)
+* box:                                   Plot Annotations.    (line  93)
 * bsxfun:                                Applying a Function to an Array.
                                                               (line  20)
 * bug_report <1>:                        Bug Lists.           (line   6)
@@ -2879,7 +3024,7 @@ Function Index
 * cauchy_rnd:                            Random Number Generation.
                                                               (line  59)
 * caxis:                                 Two-Dimensional Plots.
-                                                              (line 760)
+                                                              (line 812)
 * ccolamd:                               MathConsiderations.  (line 171)
 * cd <1>:                                Current Working Directory.
                                                               (line   7)
@@ -2920,27 +3065,28 @@ Function Index
 * cholinv:                               Matrix Factorizations.
                                                               (line  16)
 * circshift:                             Rearranging Matrices.
-                                                              (line 175)
+                                                              (line 188)
 * class:                                 Built-in Data Types. (line  17)
 * clc:                                   Cursor Motion.       (line  57)
 * clear:                                 Status of Variables. (line 160)
 * clf:                                   Graphics Objects.    (line 255)
 * clock:                                 Timing Utilities.    (line 302)
 * cloglog:                               Basic Statistical Functions.
-                                                              (line 119)
-* close:                                 Graphics Objects.    (line 270)
-* closereq:                              Graphics Objects.    (line 280)
+                                                              (line 116)
+* close:                                 Graphics Objects.    (line 278)
+* closereq:                              Graphics Objects.    (line 288)
 * colamd:                                MathConsiderations.  (line 251)
 * colloc:                                Orthogonal Collocation.
                                                               (line   7)
+* colorbar:                              Plot Annotations.    (line 117)
 * colormap:                              Representing Images. (line  53)
 * colperm:                               MathConsiderations.  (line 316)
 * columns:                               Object Sizes.        (line  18)
 * common_size:                           Finding Elements and Checking Conditions.
                                                               (line 129)
-* commutation_matrix:                    Special Functions.   (line 231)
+* commutation_matrix:                    Special Functions.   (line 235)
 * compan:                                Finding Roots.       (line  30)
-* complement:                            Set Operations.      (line  73)
+* complement:                            Set Operations.      (line  85)
 * completion_append_char:                Commands For Completion.
                                                               (line  17)
 * completion_matches:                    Commands For Completion.
@@ -2955,9 +3101,11 @@ Function Index
                                                               (line  82)
 * conj:                                  Complex Arithmetic.  (line  30)
 * contour:                               Two-Dimensional Plots.
-                                                              (line 373)
+                                                              (line 372)
 * contourc:                              Two-Dimensional Plots.
-                                                              (line 400)
+                                                              (line 434)
+* contourf:                              Two-Dimensional Plots.
+                                                              (line 399)
 * conv:                                  Products of Polynomials.
                                                               (line   7)
 * conv2:                                 Products of Polynomials.
@@ -2969,10 +3117,10 @@ Function Index
 * copyfile:                              Filesystem Utilities.
                                                               (line 313)
 * cor:                                   Descriptive Statistics.
-                                                              (line 117)
+                                                              (line 202)
 * cor_test:                              Tests.               (line  99)
 * corrcoef:                              Descriptive Statistics.
-                                                              (line 133)
+                                                              (line 218)
 * cos:                                   Trigonometry.        (line  14)
 * cosd:                                  Trigonometry.        (line 103)
 * cosh:                                  Trigonometry.        (line  50)
@@ -2980,13 +3128,13 @@ Function Index
 * cotd:                                  Trigonometry.        (line 126)
 * coth:                                  Trigonometry.        (line  62)
 * cov:                                   Descriptive Statistics.
-                                                              (line 109)
+                                                              (line 194)
 * cplxpair:                              Utility Functions.   (line  16)
 * cputime:                               Timing Utilities.    (line 332)
 * crash_dumps_octave_core:               Saving Data on Unexpected Exits.
                                                               (line  13)
 * create_set:                            Sets.                (line  11)
-* cross:                                 Special Functions.   (line 219)
+* cross:                                 Special Functions.   (line 223)
 * csc:                                   Trigonometry.        (line  23)
 * cscd:                                  Trigonometry.        (line 121)
 * csch:                                  Trigonometry.        (line  59)
@@ -2998,7 +3146,7 @@ Function Index
 * cumtrapz:                              Functions of One Variable.
                                                               (line 142)
 * cut:                                   Basic Statistical Functions.
-                                                              (line 156)
+                                                              (line 153)
 * d2c:                                   systime.             (line  56)
 * damp:                                  systime.             (line 145)
 * dare:                                  numerical.           (line  36)
@@ -3039,7 +3187,7 @@ Function Index
                                                               (line  47)
 * delaunayn:                             Delaunay Triangulation.
                                                               (line  59)
-* delete:                                Graphics Objects.    (line 266)
+* delete:                                Graphics Objects.    (line 274)
 * demo:                                  Demonstration Functions.
                                                               (line   7)
 * DEMOcontrol:                           Control Theory.      (line  25)
@@ -3049,12 +3197,12 @@ Function Index
 * dgkfdemo:                              cacsd.               (line   7)
 * dgram:                                 numerical.           (line 115)
 * diag:                                  Special Utility Matrices.
-                                                              (line 287)
+                                                              (line 288)
 * diary:                                 Diary and Echo Commands.
                                                               (line  11)
 * diff:                                  Finding Elements and Checking Conditions.
                                                               (line  56)
-* diffpara:                              Signal Processing.   (line 398)
+* diffpara:                              Signal Processing.   (line 412)
 * dims:                                  Matrices and Arrays in Oct-Files.
                                                               (line  95)
 * dir:                                   Current Working Directory.
@@ -3090,8 +3238,8 @@ Function Index
                                                               (line 107)
 * dup2:                                  Controlling Subprocesses.
                                                               (line 189)
-* duplication_matrix:                    Special Functions.   (line 241)
-* durbinlevinson:                        Signal Processing.   (line 414)
+* duplication_matrix:                    Special Functions.   (line 245)
+* durbinlevinson:                        Signal Processing.   (line 428)
 * e:                                     Mathematical Constants.
                                                               (line  49)
 * echo:                                  Diary and Echo Commands.
@@ -3118,14 +3266,14 @@ Function Index
 * eomday:                                Timing Utilities.    (line 541)
 * eps:                                   Mathematical Constants.
                                                               (line  57)
-* erf:                                   Special Functions.   (line 131)
-* erfc:                                  Special Functions.   (line 143)
-* erfinv:                                Special Functions.   (line 148)
+* erf:                                   Special Functions.   (line 135)
+* erfc:                                  Special Functions.   (line 147)
+* erfinv:                                Special Functions.   (line 152)
 * errno:                                 Catching Errors.     (line 116)
 * errno_list:                            Catching Errors.     (line 124)
 * error:                                 Raising Errors.      (line  21)
 * errorbar:                              Two-Dimensional Plots.
-                                                              (line 450)
+                                                              (line 484)
 * etime:                                 Timing Utilities.    (line 319)
 * etree:                                 Information.         (line 145)
 * etreeplot:                             Information.         (line 157)
@@ -3168,12 +3316,12 @@ Function Index
 * fflush:                                Paging Screen Output.
                                                               (line  65)
 * fft:                                   Signal Processing.   (line  17)
-* fft2:                                  Signal Processing.   (line 124)
-* fftconv:                               Signal Processing.   (line 168)
-* fftfilt:                               Signal Processing.   (line 177)
-* fftn:                                  Signal Processing.   (line 146)
-* fftshift:                              Signal Processing.   (line 424)
-* fftw:                                  Signal Processing.   (line  35)
+* fft2:                                  Signal Processing.   (line 138)
+* fftconv:                               Signal Processing.   (line 182)
+* fftfilt:                               Signal Processing.   (line 191)
+* fftn:                                  Signal Processing.   (line 160)
+* fftshift:                              Signal Processing.   (line 438)
+* fftw:                                  Signal Processing.   (line  47)
 * fgetl:                                 Line-Oriented Input. (line  19)
 * fgets:                                 Line-Oriented Input. (line  30)
 * fieldnames:                            Manipulating Structures.
@@ -3190,8 +3338,8 @@ Function Index
                                                               (line 326)
 * filesep:                               Filesystem Utilities.
                                                               (line 332)
-* filter:                                Signal Processing.   (line 186)
-* filter2:                               Signal Processing.   (line 225)
+* filter:                                Signal Processing.   (line 200)
+* filter2:                               Signal Processing.   (line 239)
 * find:                                  Finding Elements and Checking Conditions.
                                                               (line  95)
 * findstr:                               Manipulating Strings.
@@ -3224,16 +3372,16 @@ Function Index
                                                               (line 103)
 * fpdf:                                  Distributions.       (line 156)
 * fplot:                                 Two-Dimensional Plots.
-                                                              (line 162)
+                                                              (line 160)
 * fprintf:                               Formatted Output.    (line  21)
 * fputs:                                 Simple Output.       (line  17)
-* fractdiff:                             Signal Processing.   (line 447)
+* fractdiff:                             Signal Processing.   (line 461)
 * frdemo:                                sysfreq.             (line   9)
 * fread:                                 Binary I/O.          (line  14)
 * freport:                               EOF and Errors.      (line  39)
 * freqchkw:                              sysfreq.             (line  84)
-* freqz:                                 Signal Processing.   (line 245)
-* freqz_plot:                            Signal Processing.   (line 278)
+* freqz:                                 Signal Processing.   (line 259)
+* freqz_plot:                            Signal Processing.   (line 292)
 * frewind:                               File Positioning.    (line  44)
 * frnd:                                  Random Number Generation.
                                                               (line 105)
@@ -3242,7 +3390,7 @@ Function Index
 * fsolve:                                Nonlinear Equations. (line  16)
 * fsolve_options:                        Nonlinear Equations. (line  53)
 * ftell:                                 File Positioning.    (line  10)
-* full:                                  Creation.            (line 303)
+* full:                                  Creation.            (line 302)
 * fullfile:                              Filesystem Utilities.
                                                               (line 338)
 * func2str:                              Function Handles.    (line  41)
@@ -3253,9 +3401,9 @@ Function Index
 * fwrite:                                Binary I/O.          (line 174)
 * gamcdf:                                Distributions.       (line 160)
 * gaminv:                                Distributions.       (line 167)
-* gamma:                                 Special Functions.   (line 153)
-* gammainc:                              Special Functions.   (line 165)
-* gammaln:                               Special Functions.   (line 213)
+* gamma:                                 Special Functions.   (line 157)
+* gammainc:                              Special Functions.   (line 169)
+* gammaln:                               Special Functions.   (line 217)
 * gampdf:                                Distributions.       (line 173)
 * gamrnd:                                Random Number Generation.
                                                               (line 115)
@@ -3319,7 +3467,7 @@ Function Index
 * gram:                                  numerical.           (line 164)
 * gray:                                  Representing Images. (line  97)
 * gray2ind:                              Representing Images. (line  28)
-* grid:                                  Plot Annotations.    (line  99)
+* grid:                                  Plot Annotations.    (line 101)
 * griddata:                              Interpolation on Scattered Data.
                                                               (line  16)
 * griddata3:                             Interpolation on Scattered Data.
@@ -3333,9 +3481,9 @@ Function Index
 * h2norm:                                sysprop.             (line  47)
 * h2syn:                                 cacsd.               (line 202)
 * hadamard:                              Famous Matrices.     (line   9)
-* hamming:                               Signal Processing.   (line 451)
+* hamming:                               Signal Processing.   (line 465)
 * hankel:                                Famous Matrices.     (line  29)
-* hanning:                               Signal Processing.   (line 457)
+* hanning:                               Signal Processing.   (line 471)
 * help:                                  Getting Help.        (line  15)
 * hess:                                  Matrix Factorizations.
                                                               (line  31)
@@ -3350,7 +3498,7 @@ Function Index
 * hinfsyn_chk:                           cacsd.               (line 328)
 * hinfsyn_ric:                           cacsd.               (line 358)
 * hist:                                  Two-Dimensional Plots.
-                                                              (line 275)
+                                                              (line 273)
 * history:                               Commands For History.
                                                               (line  51)
 * history_file:                          Commands For History.
@@ -3370,7 +3518,7 @@ Function Index
                                                               (line 265)
 * hsv:                                   Representing Images. (line 110)
 * hsv2rgb:                               Color Conversion.    (line  23)
-* hurst:                                 Signal Processing.   (line 463)
+* hurst:                                 Signal Processing.   (line 477)
 * hygecdf:                               Distributions.       (line 191)
 * hygeinv:                               Distributions.       (line 201)
 * hygepdf:                               Distributions.       (line 208)
@@ -3378,9 +3526,9 @@ Function Index
                                                               (line 135)
 * I:                                     Mathematical Constants.
                                                               (line   7)
-* ifft:                                  Signal Processing.   (line 105)
-* ifftn:                                 Signal Processing.   (line 157)
-* ifftshift:                             Signal Processing.   (line 442)
+* ifft:                                  Signal Processing.   (line 119)
+* ifftn:                                 Signal Processing.   (line 171)
+* ifftshift:                             Signal Processing.   (line 456)
 * ignore_function_time_stamp:            Function Files.      (line  62)
 * imag:                                  Complex Arithmetic.  (line  35)
 * image:                                 Displaying Images.   (line  43)
@@ -3418,7 +3566,7 @@ Function Index
                                                               (line  99)
 * interpn:                               Multi-dimensional Interpolation.
                                                               (line 108)
-* intersect:                             Set Operations.      (line  61)
+* intersect:                             Set Operations.      (line  73)
 * intmax:                                Integer Data Types.  (line  60)
 * intmin:                                Integer Data Types.  (line  92)
 * inv:                                   Basic Matrix Functions.
@@ -3429,7 +3577,7 @@ Function Index
 * ipermute:                              Rearranging Matrices.
                                                               (line 149)
 * iqr:                                   Basic Statistical Functions.
-                                                              (line 148)
+                                                              (line 145)
 * irr:                                   Financial Functions. (line  29)
 * is_abcd:                               sysprop.             (line 128)
 * is_controllable:                       sysprop.             (line 135)
@@ -3529,7 +3677,7 @@ Function Index
 * jet707:                                blockdiag.           (line 110)
 * kbhit:                                 Terminal Input.      (line  56)
 * kendall:                               Basic Statistical Functions.
-                                                              (line 124)
+                                                              (line 121)
 * keyboard:                              Breakpoints.         (line  75)
 * kill:                                  Controlling Subprocesses.
                                                               (line 286)
@@ -3542,7 +3690,7 @@ Function Index
 * krylov:                                Matrix Factorizations.
                                                               (line 291)
 * kurtosis:                              Descriptive Statistics.
-                                                              (line 145)
+                                                              (line 230)
 * laplace_cdf:                           Distributions.       (line 228)
 * laplace_inv:                           Distributions.       (line 232)
 * laplace_pdf:                           Distributions.       (line 236)
@@ -3553,15 +3701,15 @@ Function Index
 * lastwarn:                              Issuing Warnings.    (line  56)
 * lcm:                                   Utility Functions.   (line 149)
 * legend:                                Plot Annotations.    (line  25)
-* legendre:                              Special Functions.   (line 185)
+* legendre:                              Special Functions.   (line 189)
 * length:                                Object Sizes.        (line  35)
-* lgamma:                                Special Functions.   (line 212)
+* lgamma:                                Special Functions.   (line 216)
 * lin2mu:                                Audio Processing.    (line  28)
 * line:                                  Graphics Objects.    (line 158)
 * link:                                  Filesystem Utilities.
                                                               (line  19)
 * linspace:                              Special Utility Matrices.
-                                                              (line 306)
+                                                              (line 307)
 * load:                                  Simple File I/O.     (line 123)
 * loadaudio:                             Audio Processing.    (line  47)
 * loadimage:                             Loading and Saving Images.
@@ -3578,11 +3726,11 @@ Function Index
 * logistic_rnd:                          Random Number Generation.
                                                               (line 153)
 * logit:                                 Basic Statistical Functions.
-                                                              (line 115)
+                                                              (line 112)
 * loglog:                                Two-Dimensional Plots.
-                                                              (line 198)
+                                                              (line 196)
 * loglogerr:                             Two-Dimensional Plots.
-                                                              (line 548)
+                                                              (line 582)
 * logm:                                  Functions of a Matrix.
                                                               (line  28)
 * logncdf:                               Distributions.       (line 252)
@@ -3591,7 +3739,7 @@ Function Index
 * lognrnd:                               Random Number Generation.
                                                               (line 158)
 * logspace:                              Special Utility Matrices.
-                                                              (line 318)
+                                                              (line 319)
 * lookfor:                               Getting Help.        (line  42)
 * lookup:                                One-dimensional Interpolation.
                                                               (line 164)
@@ -3634,7 +3782,7 @@ Function Index
 * mean:                                  Descriptive Statistics.
                                                               (line   9)
 * meansq:                                Descriptive Statistics.
-                                                              (line  46)
+                                                              (line 131)
 * median:                                Descriptive Statistics.
                                                               (line  33)
 * menu:                                  Terminal Input.      (line  39)
@@ -3659,16 +3807,16 @@ Function Index
 * mkoctfile:                             Getting Started with Oct-Files.
                                                               (line  10)
 * mkpp:                                  Polynomial Interpolation.
-                                                              (line  68)
+                                                              (line  75)
 * mkstemp:                               Temporary Files.     (line  12)
 * mktime:                                Timing Utilities.    (line 127)
 * mlock:                                 Function Locking.    (line  61)
 * mod:                                   Utility Functions.   (line 233)
 * moddemo:                               misc.                (line  20)
 * mode:                                  Descriptive Statistics.
-                                                              (line  98)
+                                                              (line 183)
 * moment:                                Descriptive Statistics.
-                                                              (line 170)
+                                                              (line 257)
 * more:                                  Paging Screen Output.
                                                               (line  26)
 * movefile:                              Filesystem Utilities.
@@ -3699,7 +3847,7 @@ Function Index
 * newplot:                               Graphics Objects.    (line 227)
 * newtroot:                              Calling a Function by its Name.
                                                               (line  16)
-* nextpow2:                              Utility Functions.   (line 247)
+* nextpow2:                              Utility Functions.   (line 248)
 * nichols:                               sysfreq.             (line 168)
 * nnz:                                   Information.         (line  26)
 * nonzeros:                              Information.         (line  31)
@@ -3715,7 +3863,7 @@ Function Index
 * now:                                   Timing Utilities.    (line  58)
 * nper:                                  Financial Functions. (line  36)
 * npv:                                   Financial Functions. (line  52)
-* nthroot:                               Utility Functions.   (line 255)
+* nthroot:                               Utility Functions.   (line 256)
 * ntsc2rgb:                              Color Conversion.    (line  31)
 * null:                                  Basic Matrix Functions.
                                                               (line 203)
@@ -3775,16 +3923,16 @@ Function Index
 * pause:                                 Timing Utilities.    (line 388)
 * pcg:                                   Iterative Techniques.
                                                               (line  13)
-* pchip:                                 Signal Processing.   (line 468)
+* pchip:                                 Signal Processing.   (line 482)
 * pclose:                                Controlling Subprocesses.
                                                               (line  95)
 * pcolor:                                Two-Dimensional Plots.
-                                                              (line 640)
+                                                              (line 674)
 * pcr:                                   Iterative Techniques.
                                                               (line 160)
 * peaks:                                 Test Plotting Functions.
                                                               (line  22)
-* periodogram:                           Signal Processing.   (line 492)
+* periodogram:                           Signal Processing.   (line 506)
 * perms:                                 Basic Statistical Functions.
                                                               (line  46)
 * permute:                               Rearranging Matrices.
@@ -3792,7 +3940,7 @@ Function Index
 * pi:                                    Mathematical Constants.
                                                               (line  41)
 * pie:                                   Two-Dimensional Plots.
-                                                              (line 585)
+                                                              (line 619)
 * pink:                                  Representing Images. (line 129)
 * pinv:                                  Basic Matrix Functions.
                                                               (line 221)
@@ -3814,7 +3962,7 @@ Function Index
 * pol2cart:                              Coordinate Transformations.
                                                               (line  15)
 * polar:                                 Two-Dimensional Plots.
-                                                              (line 577)
+                                                              (line 611)
 * poly:                                  Miscellaneous Functions.
                                                               (line   7)
 * polyarea:                              Voronoi Diagrams.    (line  67)
@@ -3835,20 +3983,22 @@ Function Index
 * polyval:                               Evaluating Polynomials.
                                                               (line  24)
 * polyvalm:                              Evaluating Polynomials.
-                                                              (line  36)
+                                                              (line  42)
 * popen:                                 Controlling Subprocesses.
                                                               (line  71)
 * popen2:                                Controlling Subprocesses.
                                                               (line  99)
 * postpad:                               Rearranging Matrices.
-                                                              (line 352)
-* pow2:                                  Utility Functions.   (line 265)
+                                                              (line 365)
+* pow2:                                  Utility Functions.   (line 266)
 * ppplot:                                Statistical Plots.   (line  37)
 * ppval:                                 Polynomial Interpolation.
-                                                              (line  61)
+                                                              (line  68)
+* prctile:                               Descriptive Statistics.
+                                                              (line 114)
 * prepad:                                Rearranging Matrices.
-                                                              (line 351)
-* primes:                                Utility Functions.   (line 272)
+                                                              (line 364)
+* primes:                                Utility Functions.   (line 273)
 * print:                                 Printing Plots.      (line  15)
 * print_answer_id_name:                  Terminal Output.     (line 192)
 * print_empty_dimensions:                Empty Matrices.      (line  30)
@@ -3856,7 +4006,7 @@ Function Index
 * printf:                                Formatted Output.    (line  14)
 * prism:                                 Representing Images. (line 136)
 * probit:                                Basic Statistical Functions.
-                                                              (line 111)
+                                                              (line 108)
 * prod:                                  Sums and Products.   (line  24)
 * program_name:                          Command Line Options.
                                                               (line 149)
@@ -3896,10 +4046,12 @@ Function Index
                                                               (line  58)
 * quadl:                                 Functions of One Variable.
                                                               (line 107)
+* quantile:                              Descriptive Statistics.
+                                                              (line  46)
 * quaternion:                            Quaternions.         (line  15)
 * quit:                                  Quitting Octave.     (line   8)
 * quiver:                                Two-Dimensional Plots.
-                                                              (line 607)
+                                                              (line 641)
 * qz:                                    Matrix Factorizations.
                                                               (line 124)
 * qzhess:                                Matrix Factorizations.
@@ -3909,17 +4061,17 @@ Function Index
 * rand:                                  Special Utility Matrices.
                                                               (line  74)
 * rande:                                 Special Utility Matrices.
-                                                              (line 148)
+                                                              (line 149)
 * randg:                                 Special Utility Matrices.
-                                                              (line 198)
+                                                              (line 199)
 * randn:                                 Special Utility Matrices.
                                                               (line 132)
 * randp:                                 Special Utility Matrices.
-                                                              (line 163)
+                                                              (line 164)
 * randperm:                              Special Utility Matrices.
-                                                              (line 283)
+                                                              (line 284)
 * range:                                 Basic Statistical Functions.
-                                                              (line 102)
+                                                              (line  99)
 * rank:                                  Basic Matrix Functions.
                                                               (line 231)
 * ranks:                                 Basic Statistical Functions.
@@ -3941,8 +4093,8 @@ Function Index
 * realmin:                               Mathematical Constants.
                                                               (line  80)
 * record:                                Audio Processing.    (line  82)
-* rectangle_lw:                          Signal Processing.   (line 496)
-* rectangle_sw:                          Signal Processing.   (line 500)
+* rectangle_lw:                          Signal Processing.   (line 510)
+* rectangle_sw:                          Signal Processing.   (line 514)
 * regexp:                                Manipulating Strings.
                                                               (line 136)
 * regexpi:                               Manipulating Strings.
@@ -3951,7 +4103,7 @@ Function Index
                                                               (line 286)
 * rehash:                                Manipulating the load path.
                                                               (line  77)
-* rem:                                   Utility Functions.   (line 282)
+* rem:                                   Utility Functions.   (line 283)
 * rename:                                Filesystem Utilities.
                                                               (line  11)
 * repmat:                                Special Utility Matrices.
@@ -3960,8 +4112,10 @@ Function Index
                                                               (line 157)
 * residue:                               Products of Polynomials.
                                                               (line  67)
-* resize:                                Matrices and Arrays in Oct-Files.
+* resize <1>:                            Matrices and Arrays in Oct-Files.
                                                               (line  98)
+* resize:                                Rearranging Matrices.
+                                                              (line 175)
 * rethrow:                               Catching Errors.     (line 107)
 * return:                                Returning From a Function.
                                                               (line  38)
@@ -3983,7 +4137,7 @@ Function Index
                                                               (line  44)
 * rotdim:                                Rearranging Matrices.
                                                               (line  68)
-* round:                                 Utility Functions.   (line 292)
+* round:                                 Utility Functions.   (line 293)
 * rows:                                  Object Sizes.        (line  24)
 * rref:                                  Basic Matrix Functions.
                                                               (line 245)
@@ -4013,61 +4167,63 @@ Function Index
 * SEEK_END:                              File Positioning.    (line  32)
 * SEEK_SET:                              File Positioning.    (line  30)
 * semilogx:                              Two-Dimensional Plots.
-                                                              (line 184)
+                                                              (line 182)
 * semilogxerr:                           Two-Dimensional Plots.
-                                                              (line 522)
+                                                              (line 556)
 * semilogy:                              Two-Dimensional Plots.
-                                                              (line 191)
+                                                              (line 189)
 * semilogyerr:                           Two-Dimensional Plots.
-                                                              (line 535)
+                                                              (line 569)
 * set:                                   Graphics Objects.    (line 130)
 * setaudio:                              Audio Processing.    (line  91)
-* setdiff:                               Set Operations.      (line  82)
+* setdiff:                               Set Operations.      (line  94)
+* setenv:                                Environment Variables.
+                                                              (line  15)
 * setfield:                              Creating Structures. (line  73)
 * setgrent:                              Group Database Functions.
                                                               (line  39)
 * setpwent:                              Password Database Functions.
                                                               (line  49)
-* setxor:                                Set Operations.      (line  93)
+* setxor:                                Set Operations.      (line 108)
 * shading:                               Three-Dimensional Plotting.
                                                               (line 175)
-* shg:                                   Graphics Objects.    (line 260)
+* shg:                                   Graphics Objects.    (line 268)
 * shift:                                 Rearranging Matrices.
-                                                              (line 226)
+                                                              (line 239)
 * shiftdim:                              Rearranging Matrices.
-                                                              (line 200)
+                                                              (line 213)
 * SIG:                                   Controlling Subprocesses.
                                                               (line 305)
 * sighup_dumps_octave_core:              Saving Data on Unexpected Exits.
                                                               (line  22)
-* sign:                                  Utility Functions.   (line 298)
+* sign:                                  Utility Functions.   (line 299)
 * sign_test:                             Tests.               (line 327)
 * sigterm_dumps_octave_core:             Saving Data on Unexpected Exits.
                                                               (line  28)
 * silent_functions:                      Defining Functions.  (line 161)
 * sin:                                   Trigonometry.        (line  11)
-* sinc:                                  Signal Processing.   (line 281)
+* sinc:                                  Signal Processing.   (line 295)
 * sind:                                  Trigonometry.        (line  97)
-* sinetone:                              Signal Processing.   (line 504)
-* sinewave:                              Signal Processing.   (line 511)
+* sinetone:                              Signal Processing.   (line 518)
+* sinewave:                              Signal Processing.   (line 525)
 * single:                                Numeric Data Types.  (line  50)
 * sinh:                                  Trigonometry.        (line  47)
 * size:                                  Object Sizes.        (line  40)
 * size_equal:                            Object Sizes.        (line  72)
 * sizeof:                                Object Sizes.        (line  69)
 * skewness:                              Descriptive Statistics.
-                                                              (line 154)
+                                                              (line 239)
 * sleep:                                 Timing Utilities.    (line 399)
 * sombrero:                              Test Plotting Functions.
                                                               (line  11)
 * sort:                                  Rearranging Matrices.
-                                                              (line 234)
+                                                              (line 247)
 * sortcom:                               misc.                (line  65)
 * sortrows:                              Rearranging Matrices.
-                                                              (line 275)
+                                                              (line 288)
 * source:                                Script Files.        (line  92)
-* spalloc:                               Creation.            (line 308)
-* sparse:                                Creation.            (line 329)
+* spalloc:                               Creation.            (line 307)
+* sparse:                                Creation.            (line 328)
 * sparse_auto_mutate:                    ReturnType.          (line  53)
 * spatan2:                               Creation.            (line  48)
 * spchol:                                Sparse Linear Algebra.
@@ -4076,7 +4232,7 @@ Function Index
                                                               (line 171)
 * spcholinv:                             Sparse Linear Algebra.
                                                               (line 165)
-* spconvert:                             Creation.            (line 363)
+* spconvert:                             Creation.            (line 362)
 * spcumprod:                             Creation.            (line  52)
 * spcumsum:                              Creation.            (line  58)
 * spdet:                                 Sparse Linear Algebra.
@@ -4085,14 +4241,14 @@ Function Index
 * spdiags:                               Creation.            (line  84)
 * spearman:                              Basic Statistical Functions.
                                                               (line  72)
-* spectral_adf:                          Signal Processing.   (line 517)
-* spectral_xdf:                          Signal Processing.   (line 527)
+* spectral_adf:                          Signal Processing.   (line 531)
+* spectral_xdf:                          Signal Processing.   (line 541)
 * speed:                                 Demonstration Functions.
                                                               (line  68)
-* spencer:                               Signal Processing.   (line 537)
-* speye:                                 Creation.            (line 112)
-* spfind:                                Creation.            (line 371)
-* spfun:                                 Creation.            (line 124)
+* spencer:                               Signal Processing.   (line 551)
+* speye:                                 Creation.            (line 111)
+* spfind:                                Creation.            (line 370)
+* spfun:                                 Creation.            (line 123)
 * sph2cart:                              Coordinate Transformations.
                                                               (line  31)
 * spinv:                                 Sparse Linear Algebra.
@@ -4108,28 +4264,28 @@ Function Index
 * split_long_rows:                       Matrices.            (line 129)
 * splu:                                  Sparse Linear Algebra.
                                                               (line 241)
-* spmax:                                 Creation.            (line 129)
-* spmin:                                 Creation.            (line 155)
-* spones:                                Creation.            (line 181)
+* spmax:                                 Creation.            (line 128)
+* spmin:                                 Creation.            (line 154)
+* spones:                                Creation.            (line 180)
 * spparms:                               Sparse Linear Algebra.
                                                               (line 270)
-* spprod:                                Creation.            (line 185)
+* spprod:                                Creation.            (line 184)
 * spqr:                                  Sparse Linear Algebra.
                                                               (line 322)
-* sprand:                                Creation.            (line 191)
-* sprandn:                               Creation.            (line 205)
-* sprandsym:                             Creation.            (line 220)
+* sprand:                                Creation.            (line 190)
+* sprandn:                               Creation.            (line 204)
+* sprandsym:                             Creation.            (line 219)
 * sprank:                                Sparse Linear Algebra.
                                                               (line 344)
 * spring:                                Representing Images. (line 152)
 * sprintf:                               Formatted Output.    (line  27)
 * spstats:                               Information.         (line  44)
-* spsum:                                 Creation.            (line 236)
-* spsumsq:                               Creation.            (line 242)
+* spsum:                                 Creation.            (line 235)
+* spsumsq:                               Creation.            (line 241)
 * spy:                                   Information.         (line 135)
 * sqp:                                   Nonlinear Programming.
-                                                              (line  10)
-* sqrt:                                  Utility Functions.   (line 307)
+                                                              (line  11)
+* sqrt:                                  Utility Functions.   (line 308)
 * sqrtm:                                 Functions of a Matrix.
                                                               (line  33)
 * squeeze:                               Object Sizes.        (line  78)
@@ -4139,14 +4295,14 @@ Function Index
 * ss2zp:                                 misc.                (line 107)
 * sscanf:                                Formatted Input.     (line  52)
 * stairs:                                Two-Dimensional Plots.
-                                                              (line 298)
+                                                              (line 297)
 * starp:                                 misc.                (line 113)
 * stat:                                  Filesystem Utilities.
                                                               (line 101)
 * statistics:                            Descriptive Statistics.
-                                                              (line 163)
+                                                              (line 248)
 * std:                                   Descriptive Statistics.
-                                                              (line  53)
+                                                              (line 138)
 * stderr:                                C-Style I/O Functions.
                                                               (line  34)
 * stdin:                                 C-Style I/O Functions.
@@ -4154,9 +4310,9 @@ Function Index
 * stdout:                                C-Style I/O Functions.
                                                               (line  27)
 * stem:                                  Two-Dimensional Plots.
-                                                              (line 320)
+                                                              (line 319)
 * step:                                  systime.             (line 191)
-* stft:                                  Signal Processing.   (line 541)
+* stft:                                  Signal Processing.   (line 555)
 * str2double:                            String Conversions.  (line 112)
 * str2func:                              Function Handles.    (line  45)
 * str2mat:                               Creating Strings.    (line 100)
@@ -4209,12 +4365,12 @@ Function Index
 * svd:                                   Matrix Factorizations.
                                                               (line 217)
 * swap:                                  Rearranging Matrices.
-                                                              (line 296)
+                                                              (line 309)
 * swapbytes:                             Built-in Data Types. (line  44)
 * swapcols:                              Rearranging Matrices.
-                                                              (line 300)
+                                                              (line 313)
 * swaprows:                              Rearranging Matrices.
-                                                              (line 304)
+                                                              (line 317)
 * syl:                                   Functions of a Matrix.
                                                               (line  55)
 * sylvester_matrix:                      Famous Matrices.     (line 105)
@@ -4224,7 +4380,7 @@ Function Index
 * symlink:                               Filesystem Utilities.
                                                               (line  27)
 * symrcm:                                MathConsiderations.  (line 461)
-* synthesis:                             Signal Processing.   (line 570)
+* synthesis:                             Signal Processing.   (line 584)
 * sys2fir:                               fir2sys.             (line  47)
 * sys2ss:                                ss2sys.              (line 276)
 * sys2tf:                                tf2sys.              (line  71)
@@ -4280,7 +4436,7 @@ Function Index
 * tilde_expand:                          Filesystem Utilities.
                                                               (line 282)
 * time:                                  Timing Utilities.    (line  49)
-* tinv:                                  Distributions.       (line 339)
+* tinv:                                  Distributions.       (line 340)
 * title:                                 Plot Annotations.    (line  22)
 * tmpfile:                               Temporary Files.     (line  31)
 * tmpnam:                                Temporary Files.     (line  43)
@@ -4289,22 +4445,22 @@ Function Index
 * toeplitz:                              Famous Matrices.     (line 110)
 * tolower:                               String Conversions.  (line 183)
 * toupper:                               String Conversions.  (line 191)
-* tpdf:                                  Distributions.       (line 343)
+* tpdf:                                  Distributions.       (line 347)
 * trace:                                 Basic Matrix Functions.
                                                               (line 242)
 * trapz:                                 Functions of One Variable.
                                                               (line 131)
 * treeplot:                              Information.         (line 179)
-* triangle_lw:                           Signal Processing.   (line 579)
-* triangle_sw:                           Signal Processing.   (line 583)
+* triangle_lw:                           Signal Processing.   (line 593)
+* triangle_sw:                           Signal Processing.   (line 597)
 * tril:                                  Rearranging Matrices.
-                                                              (line 308)
+                                                              (line 321)
 * trimesh:                               Plotting the Triangulation.
                                                               (line  20)
 * triplot:                               Plotting the Triangulation.
                                                               (line  10)
 * triu:                                  Rearranging Matrices.
-                                                              (line 309)
+                                                              (line 322)
 * trnd:                                  Random Number Generation.
                                                               (line 195)
 * true:                                  Logical Values.      (line  47)
@@ -4327,18 +4483,18 @@ Function Index
                                                               (line  94)
 * uname:                                 System Information.  (line  26)
 * undo_string_escapes:                   String Conversions.  (line 202)
-* unidcdf:                               Distributions.       (line 348)
-* unidinv:                               Distributions.       (line 353)
-* unidpdf:                               Distributions.       (line 358)
+* unidcdf:                               Distributions.       (line 352)
+* unidinv:                               Distributions.       (line 357)
+* unidpdf:                               Distributions.       (line 362)
 * unidrnd:                               Random Number Generation.
                                                               (line 204)
-* unifcdf:                               Distributions.       (line 363)
-* unifinv:                               Distributions.       (line 369)
-* unifpdf:                               Distributions.       (line 375)
+* unifcdf:                               Distributions.       (line 367)
+* unifinv:                               Distributions.       (line 373)
+* unifpdf:                               Distributions.       (line 379)
 * unifrnd:                               Random Number Generation.
                                                               (line 215)
 * union:                                 Set Operations.      (line  51)
-* unique:                                Sets.                (line  21)
+* unique:                                Sets.                (line  30)
 * unix:                                  Controlling Subprocesses.
                                                               (line  51)
 * unlink:                                Filesystem Utilities.
@@ -4346,12 +4502,12 @@ Function Index
 * unmark_command:                        Commands.            (line  44)
 * unmark_rawcommand:                     Commands.            (line  69)
 * unmkpp:                                Polynomial Interpolation.
-                                                              (line  87)
+                                                              (line  94)
 * unpack:                                File Archiving Utilities.
                                                               (line  69)
 * untar:                                 File Archiving Utilities.
                                                               (line  44)
-* unwrap:                                Signal Processing.   (line 284)
+* unwrap:                                Signal Processing.   (line 298)
 * unzip:                                 File Archiving Utilities.
                                                               (line  59)
 * urlread:                               Networking Utilities.
@@ -4364,12 +4520,12 @@ Function Index
                                                               (line  58)
 * vander:                                Famous Matrices.     (line 130)
 * var:                                   Descriptive Statistics.
-                                                              (line  79)
+                                                              (line 164)
 * var_test:                              Tests.               (line 423)
 * vec:                                   Rearranging Matrices.
-                                                              (line 342)
+                                                              (line 355)
 * vech:                                  Rearranging Matrices.
-                                                              (line 346)
+                                                              (line 359)
 * vectorize:                             Inline Functions.    (line  47)
 * ver:                                   System Information.  (line  66)
 * version:                               System Information.  (line  62)
@@ -4385,9 +4541,9 @@ Function Index
 * warning:                               Issuing Warnings.    (line  31)
 * wavread:                               Audio Processing.    (line  94)
 * wavwrite:                              Audio Processing.    (line 115)
-* wblcdf:                                Distributions.       (line 381)
-* wblinv:                                Distributions.       (line 389)
-* wblpdf:                                Distributions.       (line 393)
+* wblcdf:                                Distributions.       (line 385)
+* wblinv:                                Distributions.       (line 393)
+* wblpdf:                                Distributions.       (line 397)
 * wblrnd:                                Random Number Generation.
                                                               (line 224)
 * weekday:                               Timing Utilities.    (line 529)
@@ -4403,11 +4559,11 @@ Function Index
 * wilcoxon_test:                         Tests.               (line 461)
 * wilkinson:                             Famous Matrices.     (line 145)
 * winter:                                Representing Images. (line 173)
-* xlabel:                                Plot Annotations.    (line  81)
+* xlabel:                                Plot Annotations.    (line  83)
 * xor:                                   Finding Elements and Checking Conditions.
                                                               (line  48)
-* ylabel:                                Plot Annotations.    (line  82)
-* yulewalker:                            Signal Processing.   (line 587)
+* ylabel:                                Plot Annotations.    (line  84)
+* yulewalker:                            Signal Processing.   (line 601)
 * z_test:                                Tests.               (line 482)
 * z_test_2:                              Tests.               (line 500)
 * zeros:                                 Special Utility Matrices.
@@ -4422,7 +4578,7 @@ Function Index
 * zgshsr:                                numerical.           (line 227)
 * zip:                                   File Archiving Utilities.
                                                               (line  50)
-* zlabel:                                Plot Annotations.    (line  83)
+* zlabel:                                Plot Annotations.    (line  85)
 * zp:                                    zp2sys.              (line   7)
 * zp2ss:                                 misc.                (line 160)
 * zp2sys:                                zp2sys.              (line  41)
Binary files 1:3.0.1-6/doc/interpreter/octave.pdf and 1:3.0.5-6/doc/interpreter/octave.pdf differ
diff -pruN 1:3.0.1-6/doc/interpreter/optim.texi 1:3.0.5-6/doc/interpreter/optim.texi
--- 1:3.0.1-6/doc/interpreter/optim.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/optim.texi	2009-04-07 11:11:33.000000000 +0100
@@ -584,7 +584,7 @@ Octave can also perform general nonlinea
 successive quadratic programming solver.
 
 @anchor{doc-sqp}
-@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h})
+@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h}, @var{lb}, @var{ub}, @var{maxiter}, @var{tolerance})
 Solve the nonlinear program
 @iftex
 @tex
@@ -605,7 +605,7 @@ subject to
 @iftex
 @tex
 $$
- g(x) = 0 \qquad h(x) \geq 0
+ g(x) = 0 \qquad h(x) \geq 0 \qquad lb \leq x \leq ub
 $$
 @end tex
 @end iftex
@@ -614,6 +614,7 @@ $$
 @example
      g(x)  = 0
      h(x) >= 0
+     lb <= x <= ub
 @end example
 @end ifnottex
 
@@ -698,6 +699,17 @@ $$
 @end example
 @end ifnottex
 
+The fifth and sixth arguments are vectors containing lower and upper bounds
+on @var{x}. These must be consistent with equality and inequality
+constraints @var{g} and @var{h}. If the bounds are not specified, or are
+empty, they are set to -@var{realmax} and @var{realmax} by default.
+
+The seventh argument is max. number of iterations. If not specified,
+the default value is 100.
+
+The eighth argument is tolerance for stopping criteria. If not specified,
+the default value is @var{eps}.
+
 Here is an example of calling @code{sqp}:
 
 @example
diff -pruN 1:3.0.1-6/doc/interpreter/package.texi 1:3.0.5-6/doc/interpreter/package.texi
--- 1:3.0.1-6/doc/interpreter/package.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/package.texi	2009-04-07 11:11:33.000000000 +0100
@@ -401,7 +401,7 @@ from the build dependencies, and therefo
 @noindent
 The developer is free to add additional arguments to the 
 @code{DESCRIPTION} file for their own purposes. One further detail to
-aid the packager is that the @code{SystemRequirments} and
+aid the packager is that the @code{SystemRequirements} and
 @code{BuildRequires} keywords can have distribution dependent section,
 and the automatic build process will use these. An example of the
 format of this is
diff -pruN 1:3.0.1-6/doc/interpreter/package.txi 1:3.0.5-6/doc/interpreter/package.txi
--- 1:3.0.1-6/doc/interpreter/package.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/package.txi	2009-02-18 06:57:46.000000000 +0000
@@ -399,7 +399,7 @@ from the build dependencies, and therefo
 @noindent
 The developer is free to add additional arguments to the 
 @code{DESCRIPTION} file for their own purposes. One further detail to
-aid the packager is that the @code{SystemRequirments} and
+aid the packager is that the @code{SystemRequirements} and
 @code{BuildRequires} keywords can have distribution dependent section,
 and the automatic build process will use these. An example of the
 format of this is
diff -pruN 1:3.0.1-6/doc/interpreter/plot3.eps 1:3.0.5-6/doc/interpreter/plot3.eps
--- 1:3.0.1-6/doc/interpreter/plot3.eps	2008-04-21 17:57:18.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/plot3.eps	2009-01-29 08:11:18.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: plot3.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:18 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:18 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (plot3.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:18 2008)
+  /CreationDate (Thu Jan 29 09:11:18 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -458,80 +469,6 @@ newpath
 (Helvetica) findfont 140 scalefont setfont
 0.500 UL
 LTb
-gsave % colour palette begin
-/maxcolors 64 def
-/HSV2RGB {  exch dup 0.0 eq {pop exch pop dup dup} % achromatic gray
-  { /HSVs exch def /HSVv exch def 6.0 mul dup floor dup 3 1 roll sub
-     /HSVf exch def /HSVi exch cvi def /HSVp HSVv 1.0 HSVs sub mul def
-	 /HSVq HSVv 1.0 HSVs HSVf mul sub mul def 
-	 /HSVt HSVv 1.0 HSVs 1.0 HSVf sub mul sub mul def
-	 /HSVi HSVi 6 mod def 0 HSVi eq {HSVv HSVt HSVp}
-	 {1 HSVi eq {HSVq HSVv HSVp}{2 HSVi eq {HSVp HSVv HSVt}
-	 {3 HSVi eq {HSVp HSVq HSVv}{4 HSVi eq {HSVt HSVp HSVv}
-	 {HSVv HSVp HSVq} ifelse} ifelse} ifelse} ifelse} ifelse
-  } ifelse} def
-/Constrain {
-  dup 0 lt {0 exch pop}{dup 1 gt {1 exch pop} if} ifelse} def
-/YIQ2RGB {
-  3 copy -1.702 mul exch -1.105 mul add add Constrain 4 1 roll
-  3 copy -0.647 mul exch -0.272 mul add add Constrain 5 1 roll
-  0.621 mul exch -0.956 mul add add Constrain 3 1 roll } def
-/CMY2RGB {  1 exch sub exch 1 exch sub 3 2 roll 1 exch sub 3 1 roll exch } def
-/XYZ2RGB {  3 copy -0.9017 mul exch -0.1187 mul add exch 0.0585 mul exch add
-  Constrain 4 1 roll 3 copy -0.0279 mul exch 1.999 mul add exch
-  -0.9844 mul add Constrain 5 1 roll -0.2891 mul exch -0.5338 mul add
-  exch 1.91 mul exch add Constrain 3 1 roll} def
-/SelectSpace {ColorSpace (HSV) eq {HSV2RGB}{ColorSpace (XYZ) eq {
-  XYZ2RGB}{ColorSpace (CMY) eq {CMY2RGB}{ColorSpace (YIQ) eq {YIQ2RGB}
-  if} ifelse} ifelse} ifelse} def
-/InterpolatedColor true def
-/grayindex {/gidx 0 def
-  {GrayA gidx get grayv ge {exit} if /gidx gidx 1 add def} loop} def
-/dgdx {grayv GrayA gidx get sub GrayA gidx 1 sub get
-  GrayA gidx get sub div} def 
-/redvalue {RedA gidx get RedA gidx 1 sub get
-  RedA gidx get sub dgdxval mul add} def
-/greenvalue {GreenA gidx get GreenA gidx 1 sub get
-  GreenA gidx get sub dgdxval mul add} def
-/bluevalue {BlueA gidx get BlueA gidx 1 sub get
-  BlueA gidx get sub dgdxval mul add} def
-/interpolate {
-  grayindex grayv GrayA gidx get sub abs 1e-5 le
-    {RedA gidx get GreenA gidx get BlueA gidx get}
-    {/dgdxval dgdx def redvalue greenvalue bluevalue} ifelse} def
-/GrayA [0 .0159 .0317 .0476 .0635 .0794 .0952 .1111 .127 .1429 .1587 .1746 
-  .1905 .2063 .2222 .2381 .254 .2698 .2857 .3016 .3175 .3333 .3492 .3651 
-  .381 .3968 .4127 .4286 .4444 .4603 .4762 .4921 .5079 .5238 .5397 .5556 
-  .5714 .5873 .6032 .619 .6349 .6508 .6667 .6825 .6984 .7143 .7302 .746 
-  .7619 .7778 .7937 .8095 .8254 .8413 .8571 .873 .8889 .9048 .9206 .9365 
-  .9524 .9683 .9841 1 ] def
-/RedA [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .0238 .0873 .1508 
-  .2143 .2778 .3413 .4048 .4683 .5317 .5952 .6587 .7222 .7857 .8492 .9127 
-  .9762 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 .9444 .881 .8175 .754 .6905 .627 
-  .5635 .5 ] def
-/GreenA [0 0 0 0 0 0 0 0 .0079 .0714 .1349 .1984 .2619 .3254 .3889 .4524 
-  .5159 .5794 .6429 .7063 .7698 .8333 .8968 .9603 1 1 1 1 1 1 1 1 1 1 1 1 1 
-  1 1 1 .9603 .8968 .8333 .7698 .7063 .6429 .5794 .5159 .4524 .3889 .3254 
-  .2619 .1984 .1349 .0714 .0079 0 0 0 0 0 0 0 0 ] def
-/BlueA [.5 .5635 .627 .6905 .754 .8175 .881 .9444 1 1 1 1 1 1 1 1 1 1 1 1 1 
-  1 1 1 .9762 .9127 .8492 .7857 .7222 .6587 .5952 .5317 .4683 .4048 .3413 
-  .2778 .2143 .1508 .0873 .0238 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
-  0 0 ] def
-/pm3dround {maxcolors 0 gt {dup 1 ge
-	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
-/ColorSpace (RGB) def
-Color true and { % COLOUR vs. GRAY map
-  InterpolatedColor { %% Interpolation vs. RGB-Formula
-    /g {stroke pm3dround /grayv exch def interpolate
-        SelectSpace setrgbcolor} bind def
-  }{
-  /g {stroke pm3dround dup cF7 Constrain exch dup cF5 Constrain exch cF15 Constrain 
-       SelectSpace setrgbcolor} bind def
-  } ifelse
-}{
-  /g {stroke pm3dround pm3dGamma exp setgray} bind def
-} ifelse
 1.000 UP
 0.500 UL
 LT0
@@ -1789,9 +1726,11 @@ stroke
 LT0
 0.00 0.00 1.00 C 3505 2947 M
 -183 10 V
+% Begin plot #1
 stroke
 LT0
-0.00 0.00 1.00 C 0.500 UL
+0.00 0.00 1.00 C % End plot #1
+0.500 UL
 LTb
 6299 1365 M
 3245 586 L
@@ -2056,7 +1995,6 @@ stroke
 0.500 UL
 LTb
 1.000 UP
-grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/plot3.pdf and 1:3.0.5-6/doc/interpreter/plot3.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/plot3.png and 1:3.0.5-6/doc/interpreter/plot3.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/plot.eps 1:3.0.5-6/doc/interpreter/plot.eps
--- 1:3.0.1-6/doc/interpreter/plot.eps	2008-04-21 17:57:12.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/plot.eps	2009-01-29 08:11:15.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: plot.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:12 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:15 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (plot.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:12 2008)
+  /CreationDate (Thu Jan 29 09:11:15 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,331 +543,335 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-574 280 M
+630 280 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 280 M
+0.00 0.00 0.00 C 546 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 1428 M
+630 1428 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 1428 M
+0.00 0.00 0.00 C 546 1428 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 2576 M
+630 2576 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 2576 M
+0.00 0.00 0.00 C 546 2576 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 3724 M
+630 3723 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 3724 M
+0.00 0.00 0.00 C 546 3723 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 4872 M
+630 4871 M
 63 0 V
-6325 0 R
+6296 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 490 4872 M
+0.00 0.00 0.00 C 546 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-574 280 M
+630 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 574 140 M
+0.00 0.00 0.00 C 630 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-10)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2171 280 M
+2220 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2171 140 M
+0.00 0.00 0.00 C 2220 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3768 280 M
+3810 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3768 140 M
+0.00 0.00 0.00 C 3810 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5365 280 M
+5399 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5365 140 M
+0.00 0.00 0.00 C 5399 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (10)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 574 3825 M
+0.00 0.00 1.00 C 630 3824 M
 32 -198 V
-32 -210 V
-32 -217 V
-32 -224 V
-32 -227 V
-32 -230 V
+32 -209 V
+31 -218 V
+32 -223 V
+32 -228 V
 32 -229 V
-32 -226 V
-31 -221 V
-32 -213 V
+32 -229 V
+31 -226 V
+32 -221 V
+32 -214 V
 32 -204 V
-32 -193 V
-32 -179 V
+32 -192 V
+31 -179 V
 32 -164 V
 32 -147 V
 32 -129 V
 32 -109 V
-32 -89 V
+31 -89 V
 32 -67 V
 32 -45 V
 32 -22 V
-32 1 V
+31 1 V
 32 24 V
 32 47 V
 32 68 V
-31 91 V
-32 110 V
+32 91 V
+31 110 V
 32 131 V
 32 148 V
-32 166 V
-32 180 V
-32 194 V
-32 204 V
-32 215 V
-32 221 V
+32 165 V
+32 181 V
+31 193 V
+32 205 V
+32 214 V
+32 222 V
 32 226 V
+31 229 V
 32 229 V
-32 230 V
-32 227 V
-32 224 V
-32 216 V
-31 209 V
-32 197 V
+32 228 V
+32 223 V
+32 217 V
+31 208 V
+32 198 V
 32 185 V
-32 171 V
+32 170 V
 32 154 V
-32 137 V
+31 137 V
 32 117 V
 32 98 V
 32 76 V
 32 54 V
-32 31 V
+31 31 V
 32 9 V
 32 -14 V
 32 -38 V
 32 -59 V
-32 -81 V
+31 -81 V
 32 -103 V
-31 -122 V
+32 -122 V
 32 -141 V
-32 -159 V
+31 -159 V
 32 -174 V
 32 -188 V
 32 -201 V
-32 -211 V
-32 -218 V
-32 -225 V
-32 -228 V
+32 -210 V
+31 -219 V
+32 -224 V
 32 -229 V
 32 -229 V
-32 -225 V
-32 -220 V
-32 -212 V
-32 -203 V
+32 -228 V
+31 -226 V
+32 -219 V
+32 -213 V
+32 -202 V
 32 -190 V
 31 -177 V
 32 -161 V
 32 -144 V
 32 -126 V
 32 -106 V
-32 -85 V
+31 -85 V
 32 -63 V
 32 -41 V
 32 -18 V
 32 5 V
-32 27 V
+31 27 V
 32 51 V
 32 72 V
 32 94 V
 32 114 V
-32 133 V
-31 152 V
+31 133 V
+32 152 V
 32 168 V
-32 183 V
-32 195 V
-32 207 V
+32 182 V
+32 196 V
+31 207 V
 32 215 V
-32 223 V
+32 222 V
 32 227 V
-32 229 V
-32 229 V
+32 230 V
+31 229 V
 32 227 V
-32 223 V
+32 222 V
 32 215 V
-3928 3677 L
-32 195 V
-32 183 V
+stroke 3937 3469 M
+31 207 V
+32 196 V
+32 182 V
 32 168 V
-31 152 V
-32 133 V
+32 152 V
+31 133 V
 32 114 V
 32 94 V
 32 72 V
 32 51 V
-32 27 V
+31 27 V
 32 5 V
 32 -18 V
 32 -41 V
 32 -63 V
-32 -85 V
+31 -85 V
 32 -106 V
 32 -126 V
 32 -144 V
 32 -161 V
-32 -177 V
-31 -190 V
-32 -203 V
-32 -212 V
-32 -220 V
-32 -225 V
+31 -177 V
+32 -190 V
+32 -202 V
+32 -213 V
+32 -219 V
+31 -226 V
+32 -228 V
 32 -229 V
 32 -229 V
-32 -228 V
-32 -225 V
-32 -218 V
-32 -211 V
+32 -224 V
+31 -219 V
+32 -210 V
 32 -201 V
 32 -188 V
 32 -174 V
-32 -159 V
+31 -159 V
 32 -141 V
-31 -122 V
+32 -122 V
 32 -103 V
-32 -81 V
+31 -81 V
 32 -59 V
 32 -38 V
 32 -14 V
 32 9 V
-32 31 V
+31 31 V
 32 54 V
 32 76 V
 32 98 V
 32 117 V
-32 137 V
+31 137 V
 32 154 V
-32 171 V
+32 170 V
 32 185 V
-32 197 V
-31 209 V
-32 216 V
-32 224 V
-32 227 V
-32 230 V
+32 198 V
+31 208 V
+32 217 V
+32 223 V
+32 228 V
 32 229 V
+31 229 V
 32 226 V
-32 221 V
-32 215 V
-32 204 V
-32 194 V
-32 180 V
-32 166 V
+32 222 V
+32 214 V
+32 205 V
+31 193 V
+32 181 V
+32 165 V
 32 148 V
 32 131 V
-32 110 V
+31 110 V
 32 91 V
-31 68 V
+32 68 V
 32 47 V
 32 24 V
-32 1 V
+31 1 V
 32 -22 V
 32 -45 V
 32 -67 V
-32 -89 V
+31 -89 V
 32 -109 V
 32 -129 V
 32 -147 V
 32 -164 V
-32 -179 V
-32 -193 V
+31 -179 V
+32 -192 V
 32 -204 V
-32 -213 V
-31 -221 V
-32 -226 V
+32 -214 V
+32 -221 V
+31 -226 V
 32 -229 V
-32 -230 V
-32 -227 V
-32 -224 V
-32 -217 V
-32 -210 V
+32 -229 V
+32 -228 V
+32 -223 V
+31 -218 V
+32 -209 V
 32 -198 V
+% End plot #1
 stroke
 LTb
-574 4872 N
-574 280 L
-6388 0 V
-0 4592 V
--6388 0 V
+630 4871 N
+630 280 L
+6359 0 V
+0 4591 V
+-6359 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/plot.pdf and 1:3.0.5-6/doc/interpreter/plot.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/plot.png and 1:3.0.5-6/doc/interpreter/plot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/plot.texi 1:3.0.5-6/doc/interpreter/plot.texi
--- 1:3.0.1-6/doc/interpreter/plot.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/plot.texi	2009-04-07 11:11:33.000000000 +0100
@@ -172,9 +172,6 @@ Set lines plot style (default).
 @item .
 Set dots plot style.
 
-@item ^
-Set impulses plot style.
-
 @item L
 Set steps plot style.
 
@@ -199,6 +196,7 @@ Here @code{"title"} is the label for the
 @itemx *
 @itemx o
 @itemx x
+@itemx ^
 Used in combination with the points or linespoints styles, set the point
 style.
 @end table
@@ -376,7 +374,8 @@ Produce histogram counts or plots.
 
 With one vector input argument, plot a histogram of the values with
 10 bins.  The range of the histogram bins is determined by the range
-of the data.
+of the data.  With one matrix input argument, plot a hystogram where
+each bin contains a bar per input column.
 
 Given a second scalar argument, use that as the number of bins.
 
@@ -500,8 +499,8 @@ Color definitions with rgb-triples are n
 @end deftypefn
 
 
-The @code{contour} and @code{contourc} functions produce two-dimensional
-contour plots from three dimensional data.
+The @code{contour}, @code{contourf} and @code{contourc} functions
+produce two-dimensional contour plots from three dimensional data.
 
 @anchor{doc-contour}
 @deftypefn {Function File} {} contour (@var{z})
@@ -536,9 +535,47 @@ returned.
 @end deftypefn
 
 
+@anchor{doc-contourf}
+@deftypefn {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{lvl})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{n})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{n})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{lvl})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{ax}, @dots{})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@dots{}, @var{"property"}, @var{val})
+Compute and plot filled contours of the matrix @var{z}.
+Parameters @var{x}, @var{y} and @var{n} or @var{lvl} are optional.
+
+The return value @var{c} is a 2xn matrix containing the contour lines
+as described in the help to the contourc function.
+
+The return value @var{h} is handle-vector to the patch objects creating
+the filled contours.
+
+If @var{x} and @var{y} are ommited they are taken as the row/column
+index of @var{z}.  @var{n} is a scalar denoting the number of lines
+to compute.  Alternatively @var{lvl} is a vector containing the
+contour levels. If only one value (e.g. lvl0) is wanted, set
+@var{lvl} to [lvl0, lvl0].  If both @var{n} or @var{lvl} are omitted
+a default value of 10 contour level is assumed.
+
+If provided, the filled contours are added to the axes object
+@var{ax} instead of the current axis.
+
+The following example plots filled contours of the @code{peaks}
+function.
+@example
+[x, y, z] = peaks (50);
+contourf (x, y, z, -7:9)
+@end example
+@seealso{contour, contourc, patch}
+@end deftypefn
+
+
 @anchor{doc-contourc}
 @deftypefn {Function File} {[@var{c}, @var{lev}] =}  contourc (@var{x}, @var{y}, @var{z}, @var{vn})
-Compute isolines (countour lines) of the matrix @var{z}. 
+Compute isolines (contour lines) of the matrix @var{z}. 
 Parameters @var{x}, @var{y} and @var{vn} are optional.
 
 The return value @var{lev} is a vector of the contour levels.
@@ -776,7 +813,7 @@ The optional third argument specifies th
 @deftypefnx {Function File} {@var{h} =} pie (@dots{});
 Produce a pie chart. 
 
-Called with a single vector arrgument, produces a pie chart of the
+Called with a single vector argument, produces a pie chart of the
 elements in @var{x}, with the size of the slice determined by percentage
 size of the values of @var{x}.
 
@@ -838,11 +875,29 @@ quiver (x, y, sin (2*pi*x/10), sin (2*pi
 @deftypefnx {Function File} {} pcolor (@var{c})
 Density plot for given matrices @var{x}, and @var{y} from @code{meshgrid} and
 a matrix @var{c} corresponding to the @var{x} and @var{y} coordinates of
-the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
+the mesh's vertices. If @var{x} and @var{y} are vectors, then a typical vertex
 is (@var{x}(j), @var{y}(i), @var{c}(i,j)).  Thus, columns of @var{c}
 correspond to different @var{x} values and rows of @var{c} correspond
 to different @var{y} values.
-@seealso{meshgrid, contour}
+
+The @code{colormap} is scaled to the extents of @var{c}.
+Limits may be placed on the color axis by the
+command @code{caxis}, or by setting the @code{clim} property of the
+parent axis.
+
+The face color of each cell of the mesh is determined by interpolating
+the values of @var{c} for the cell's vertices. Contrast this with 
+@code{imagesc} which renders one cell for each element of @var{c}.
+
+@code{shading} modifies an attribute determining the manner by which the
+face color of each cell is interpolated from the values of @var{c},
+and the visibility of the cells' edges. By default the attribute is
+"faceted", which renders a single color for each cell's face with the edge
+visible.
+
+@var{h} is the handle to the surface object.
+
+@seealso{caxis, contour, meshgrid, imagesc, shading}
 @end deftypefn
 
 
@@ -853,12 +908,12 @@ to different @var{y} values.
 @deftypefnx {Function File} {} area (@var{y}, @dots{})
 @deftypefnx {Function File} {} area (@var{h}, @dots{})
 @deftypefnx {Function File} {@var{h} =} area (@dots{})
-Area plot of cummulative sum of the columns of @var{y}. This shows the
+Area plot of cumulative sum of the columns of @var{y}. This shows the
 contributions of a value to a sum, and is functionally similar to 
 @code{plot (@var{x}, cumsum (@var{y}, 2))}, except that the area under 
 the curve is shaded.
 
-If the @var{x} argument is ommitted it is assumed to be given by
+If the @var{x} argument is omitted it is assumed to be given by
 @code{1 : rows (@var{y})}. A value @var{lvl} can be defined that determines
 where the base level of the shading under the curve should be defined.
 
@@ -870,7 +925,8 @@ the list of patch objects.
 
 
 The axis function may be used to change the axis limits of an existing
-plot.
+plot and various other axis properties, such as the aspect ratio and the
+appearance of tic marks.
 
 @anchor{doc-axis}
 @deftypefn {Function File} {} axis (@var{limits})
@@ -1211,9 +1267,22 @@ Set or get the viewpoint for the current
 @deftypefn {Function File} {} shading (@var{type})
 @deftypefnx {Function File} {} shading (@var{ax}, @dots{})
 Set the shading of surface or patch graphic objects. Valid arguments
-for @var{type} are @code{"flat"}, @code{"interp"}, or
-@code{"faceted"}.  If @var{ax} is given the shading is applied to
-axis @var{ax} instead of the current axis.
+for @var{type} are
+
+@table @code
+@item "flat"
+Single colored patches with invisible edges.
+
+@item "faceted"
+Single colored patches with visible edges.
+
+@item "interp"
+Color between patch vertices are interpolated and the patch edges are
+invisible.
+@end table
+
+If @var{ax} is given the shading is applied to axis @var{ax} instead
+of the current axis.
 @end deftypefn
 
 
@@ -1316,6 +1385,8 @@ Create a text object with text @var{labe
 @end deftypefn
 
 
+See @ref{Text Properties} for the properties that you can set.
+
 @anchor{doc-xlabel}
 @deftypefn {Function File} {} xlabel (@var{string})
 @deftypefnx {Function File} {} ylabel (@var{string})
@@ -1341,18 +1412,53 @@ omitted, the current box state is toggle
 @anchor{doc-grid}
 @deftypefn {Function File} {} grid (@var{arg})
 @deftypefnx {Function File} {} grid ("minor", @var{arg2})
+@deftypefnx {Function File} {} grid (@var{hax}, @dots{})
 Force the display of a grid on the plot.
-The argument may be either @code{"on"} or @code{"off"}.  If it is
-omitted, the current grid state is toggled.
+The argument may be either @code{"on"}, or @code{"off"}.
+If it is omitted, the current grid state is toggled.
 
 If @var{arg} is @code{"minor"} then the minor grid is toggled.  When
 using a minor grid a second argument @var{arg2} is allowed, which can
 be either @code{"on"} or @code{"off"} to explicitly set the state of
 the minor grid.
+
+If the first argument is an axis handle, @var{hax}, operate on the
+specified axis object.
 @seealso{plot}
 @end deftypefn
 
 
+@anchor{doc-colorbar}
+@deftypefn {Function File} {} colorbar (@var{s})
+@deftypefnx {Function File} {} colorbar ('peer', @var{h}, @dots{})
+Adds a colorbar to the current axes. Valid values for @var{s} are
+
+@table @asis
+@item 'EastOutside'
+Place the colorbar outside the plot to the right. This is the default.
+@item 'East'
+Place the colorbar inside the plot to the right.
+@item 'WestOutside'
+Place the colorbar outside the plot to the left.
+@item 'West'
+Place the colorbar inside the plot to the left.
+@item 'NorthOutside'
+Place the colorbar above the plot.
+@item 'North'
+Place the colorbar at the top of the plot.
+@item 'SouthOutside'
+Place the colorbar under the plot.
+@item 'South'
+Place the colorbar at the bottom of the plot.
+@item 'Off', 'None'
+Remove any existing colorbar from the plot.
+@end table
+
+If the argument 'peer' is given, then the following argument is treated
+as the axes handle on which to add the colorbar.
+@end deftypefn
+
+
 @node Multiple Plots on One Page
 @subsection Multiple Plots on One Page
 
@@ -1652,29 +1758,45 @@ Graphics objects are only referenced by 
 
 @table @asis
 @item root figure
+@cindex root figure graphics object
+@cindex graphics object, root figure
 The parent of all figure objects.  The index for the root figure is
 defined to be 0.
 
 @item figure
+@cindex figure graphics object
+@cindex graphics object, figure
 A figure window.
 
 @item axes
+@cindex axes graphics object
+@cindex graphics object, axes
 An set of axes.  This object is a child of a figure object and may be a
 parent of line, text, image, patch, or surface objects.
 
 @item line
+@cindex line graphics object
+@cindex graphics object, line
 A line in two or three dimensions.
 
 @item text
+@cindex text graphics object
+@cindex graphics object, text
 Text annotations.
 
 @item image
+@cindex image graphics object
+@cindex graphics object, image
 A bitmap image.
 
 @item patch
+@cindex patch graphics object
+@cindex graphics object, patch
 A filled polygon, currently limited to two dimensions.
 
 @item surface
+@cindex surface graphics object
+@cindex graphics object, surface 
 A three-dimensional surface.
 @end table
 
@@ -1972,8 +2094,15 @@ figure window, call the @code{close} fun
 
 @anchor{doc-clf}
 @deftypefn {Function File} {} clf ()
-Clear the current figure.
-@seealso{close, delete}
+@deftypefnx {Function File} {} clf ("reset")
+@deftypefnx {Function File} {} clf (@var{hfig})
+@deftypefnx {Function File} {} clf (@var{hfig}, "reset")
+@deftypefnx {Function File} {@var{hfig} =} clf (@dots{})
+Delete the children of the current figure with visible handles.
+If @var{hfig} is specified and is an figure object handle, operate on it
+instead of the current figure.  If the optional argument @code{"reset"}
+is specified, also delete the figure's children with hidden handles.
+@seealso{cla, close, delete}
 @end deftypefn
 
 
@@ -2041,6 +2170,7 @@ Index to graphics object for the current
 
 @node Figure Properties
 @subsubsection Figure Properties
+@cindex figure properties
 
 @table @code
 @item nextplot
@@ -2071,14 +2201,17 @@ Indicates the orientation for printing. 
 
 @node Axes Properties
 @subsubsection Axes Properties
+@cindex axes properties
 
 @table @code
 @item position
-A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, @code{[0.2, 0.3, 0.4, 0.5]} sets the lower left corner of the
-axes at @math{(0.2, 0.3)} and the width and height to be 0.4 and 0.5
-respectively.
+A vector specifying the position of the plot, excluding titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, @code{[0.2,
+0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
+0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
+the @code{outerposition} property.
 
 @item title
 Index of text object for the axes title.
@@ -2197,15 +2330,18 @@ May be one of
 @end table
 
 @item outerposition
-A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, @code{[0.2, 0.3, 0.4, 0.5]} sets the lower left corner of the
-axes at @math{(0.2, 0.3)} and the width and height to be 0.4 and 0.5
-respectively.
+A vector specifying the position of the plot, including titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, @code{[0.2,
+0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
+0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
+the @code{position} property.
 @end table
 
 @node Line Properties
 @subsubsection Line Properties
+@cindex line properties
 
 @table @code
 @itemx xdata
@@ -2216,7 +2352,7 @@ respectively.
 @itemx xldata
 @itemx xudata
 The data to be plotted.  The @code{ldata} and @code{udata} elements are
-for errobars in the y direction, and the @code{xldata} and @code{xudata}
+for errorbars in the y direction, and the @code{xldata} and @code{xudata}
 elements are for errorbars in the x direction.
 
 @item color
@@ -2240,6 +2376,7 @@ future version of Octave.
 
 @node Text Properties
 @subsubsection Text Properties
+@cindex text properties
 
 @table @code
 @item string
@@ -2292,7 +2429,7 @@ such as Greek or mathematical symbols wi
 characters are also inserted with a code starting with the back-slash
 (\) character, as in the table @ref{tab:extended}. 
 
-In addition, the formating of the text can be changed within the string
+In addition, the formatting of the text can be changed within the string
 with the codes 
 
 @multitable @columnfractions .2 .2 .6 .2
@@ -2523,6 +2660,7 @@ The result of which can be seen in @ref{
 
 @node Image Properties
 @subsubsection Image Properties
+@cindex image properties
 
 @table @code
 @item cdata
@@ -2540,6 +2678,7 @@ the image.
 
 @node Patch Properties
 @subsubsection Patch Properties
+@cindex patch properties
 
 @table @code
 @item cdata
@@ -2570,6 +2709,7 @@ The color of the line defining the patch
 
 @node Surface Properties
 @subsubsection Surface Properties
+@cindex surface properties
 
 @table @code
 @item xdata
@@ -2586,6 +2726,8 @@ future version of Octave.
 
 @node Managing Default Properties
 @subsection Managing Default Properties
+@cindex default graphics properties
+@cindex graphics properties, default
 
 Object properties have two classes of default values, @dfn{factory
 defaults} (the initial values) and @dfn{user-defined defaults}, which
@@ -2672,6 +2814,8 @@ returns a list of factory defaults.
 
 @node Colors
 @subsection Colors
+@cindex graphics colors
+@cindex colors, graphics
 
 Colors may be specified as RGB triplets with values ranging from zero to
 one, or by name.  Recognized color names include @code{"blue"},
@@ -2680,6 +2824,9 @@ one, or by name.  Recognized color names
 
 @node Line Styles
 @subsection Line Styles
+@cindex line styles, graphics
+@cindex graphics line styles
+
 Line styles are specified by the following properties:
 
 @table @code
@@ -2703,6 +2850,9 @@ of 2 is twice as wide as the default, et
 
 @node Marker Styles
 @subsection Marker Styles
+@cindex graphics marker styles
+@cindex marker styles, graphics
+
 Marker styles are specified by the following properties:
 @table @code
 @item marker
diff -pruN 1:3.0.1-6/doc/interpreter/plot.txi 1:3.0.5-6/doc/interpreter/plot.txi
--- 1:3.0.1-6/doc/interpreter/plot.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/plot.txi	2009-02-18 06:57:46.000000000 +0000
@@ -123,11 +123,13 @@ shown in @ref{fig:hist}.
 
 @DOCSTRING(stem)
 
-The @code{contour} and @code{contourc} functions produce two-dimensional
-contour plots from three dimensional data.
+The @code{contour}, @code{contourf} and @code{contourc} functions
+produce two-dimensional contour plots from three dimensional data.
 
 @DOCSTRING(contour)
 
+@DOCSTRING(contourf)
+
 @DOCSTRING(contourc)
 
 The @code{errorbar}, @code{semilogxerr}, @code{semilogyerr}, and
@@ -185,7 +187,8 @@ produces the spiral plot shown in @ref{f
 @DOCSTRING(area)
 
 The axis function may be used to change the axis limits of an existing
-plot.
+plot and various other axis properties, such as the aspect ratio and the
+appearance of tic marks.
 
 @DOCSTRING(axis)
 
@@ -294,12 +297,16 @@ border lines are on.
 
 @DOCSTRING(text)
 
+See @ref{Text Properties} for the properties that you can set.
+
 @DOCSTRING(xlabel)
 
 @DOCSTRING(box)
 
 @DOCSTRING(grid)
 
+@DOCSTRING(colorbar)
+
 @node Multiple Plots on One Page
 @subsection Multiple Plots on One Page
 
@@ -397,29 +404,45 @@ Graphics objects are only referenced by 
 
 @table @asis
 @item root figure
+@cindex root figure graphics object
+@cindex graphics object, root figure
 The parent of all figure objects.  The index for the root figure is
 defined to be 0.
 
 @item figure
+@cindex figure graphics object
+@cindex graphics object, figure
 A figure window.
 
 @item axes
+@cindex axes graphics object
+@cindex graphics object, axes
 An set of axes.  This object is a child of a figure object and may be a
 parent of line, text, image, patch, or surface objects.
 
 @item line
+@cindex line graphics object
+@cindex graphics object, line
 A line in two or three dimensions.
 
 @item text
+@cindex text graphics object
+@cindex graphics object, text
 Text annotations.
 
 @item image
+@cindex image graphics object
+@cindex graphics object, image
 A bitmap image.
 
 @item patch
+@cindex patch graphics object
+@cindex graphics object, patch
 A filled polygon, currently limited to two dimensions.
 
 @item surface
+@cindex surface graphics object
+@cindex graphics object, surface 
 A three-dimensional surface.
 @end table
 
@@ -593,6 +616,7 @@ Index to graphics object for the current
 
 @node Figure Properties
 @subsubsection Figure Properties
+@cindex figure properties
 
 @table @code
 @item nextplot
@@ -623,14 +647,17 @@ Indicates the orientation for printing. 
 
 @node Axes Properties
 @subsubsection Axes Properties
+@cindex axes properties
 
 @table @code
 @item position
-A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, @code{[0.2, 0.3, 0.4, 0.5]} sets the lower left corner of the
-axes at @math{(0.2, 0.3)} and the width and height to be 0.4 and 0.5
-respectively.
+A vector specifying the position of the plot, excluding titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, @code{[0.2,
+0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
+0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
+the @code{outerposition} property.
 
 @item title
 Index of text object for the axes title.
@@ -749,15 +776,18 @@ May be one of
 @end table
 
 @item outerposition
-A four-element vector specifying the coordinates of the lower left
-corner and width and height of the plot, in normalized units.  For
-example, @code{[0.2, 0.3, 0.4, 0.5]} sets the lower left corner of the
-axes at @math{(0.2, 0.3)} and the width and height to be 0.4 and 0.5
-respectively.
+A vector specifying the position of the plot, including titles, axes and
+legend.  The four elements of the vector are the coordinates of the
+lower left corner and width and height of the plot, in units normalized
+to the width and height of the plot window.  For example, @code{[0.2,
+0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
+0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
+the @code{position} property.
 @end table
 
 @node Line Properties
 @subsubsection Line Properties
+@cindex line properties
 
 @table @code
 @itemx xdata
@@ -768,7 +798,7 @@ respectively.
 @itemx xldata
 @itemx xudata
 The data to be plotted.  The @code{ldata} and @code{udata} elements are
-for errobars in the y direction, and the @code{xldata} and @code{xudata}
+for errorbars in the y direction, and the @code{xldata} and @code{xudata}
 elements are for errorbars in the x direction.
 
 @item color
@@ -792,6 +822,7 @@ future version of Octave.
 
 @node Text Properties
 @subsubsection Text Properties
+@cindex text properties
 
 @table @code
 @item string
@@ -844,7 +875,7 @@ such as Greek or mathematical symbols wi
 characters are also inserted with a code starting with the back-slash
 (\) character, as in the table @ref{tab:extended}. 
 
-In addition, the formating of the text can be changed within the string
+In addition, the formatting of the text can be changed within the string
 with the codes 
 
 @multitable @columnfractions .2 .2 .6 .2
@@ -1075,6 +1106,7 @@ The result of which can be seen in @ref{
 
 @node Image Properties
 @subsubsection Image Properties
+@cindex image properties
 
 @table @code
 @item cdata
@@ -1092,6 +1124,7 @@ the image.
 
 @node Patch Properties
 @subsubsection Patch Properties
+@cindex patch properties
 
 @table @code
 @item cdata
@@ -1122,6 +1155,7 @@ The color of the line defining the patch
 
 @node Surface Properties
 @subsubsection Surface Properties
+@cindex surface properties
 
 @table @code
 @item xdata
@@ -1138,6 +1172,8 @@ future version of Octave.
 
 @node Managing Default Properties
 @subsection Managing Default Properties
+@cindex default graphics properties
+@cindex graphics properties, default
 
 Object properties have two classes of default values, @dfn{factory
 defaults} (the initial values) and @dfn{user-defined defaults}, which
@@ -1224,6 +1260,8 @@ returns a list of factory defaults.
 
 @node Colors
 @subsection Colors
+@cindex graphics colors
+@cindex colors, graphics
 
 Colors may be specified as RGB triplets with values ranging from zero to
 one, or by name.  Recognized color names include @code{"blue"},
@@ -1232,6 +1270,9 @@ one, or by name.  Recognized color names
 
 @node Line Styles
 @subsection Line Styles
+@cindex line styles, graphics
+@cindex graphics line styles
+
 Line styles are specified by the following properties:
 
 @table @code
@@ -1255,6 +1296,9 @@ of 2 is twice as wide as the default, et
 
 @node Marker Styles
 @subsection Marker Styles
+@cindex graphics marker styles
+@cindex marker styles, graphics
+
 Marker styles are specified by the following properties:
 @table @code
 @item marker
diff -pruN 1:3.0.1-6/doc/interpreter/polar.eps 1:3.0.5-6/doc/interpreter/polar.eps
--- 1:3.0.1-6/doc/interpreter/polar.eps	2008-04-21 17:57:16.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/polar.eps	2009-01-29 08:11:17.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: polar.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:16 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:17 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (polar.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:16 2008)
+  /CreationDate (Thu Jan 29 09:11:17 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,385 +543,388 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-3600 273 M
+3558 273 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 273 M
+0.00 0.00 0.00 C 3474 273 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-30)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 1022 M
+3558 1022 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 1022 M
+0.00 0.00 0.00 C 3474 1022 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-20)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 1771 M
+3558 1771 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 1771 M
+0.00 0.00 0.00 C 3474 1771 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-10)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 2520 M
+3558 2520 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 2520 M
+0.00 0.00 0.00 C 3474 2520 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 3269 M
+3558 3268 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 3269 M
+0.00 0.00 0.00 C 3474 3268 M
 [ [(Helvetica) 140.0 0.0 true true 0 (10)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 4018 M
+3558 4017 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 4018 M
+0.00 0.00 0.00 C 3474 4017 M
 [ [(Helvetica) 140.0 0.0 true true 0 (20)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-3600 4767 M
+3558 4766 M
 -63 0 V
 63 0 R
 63 0 V
 stroke
-0.00 0.00 0.00 C 3516 4767 M
+0.00 0.00 0.00 C 3474 4766 M
 [ [(Helvetica) 140.0 0.0 true true 0 (30)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-1353 2520 M
+1311 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 1353 2317 M
+0.00 0.00 0.00 C 1311 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-30)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2102 2520 M
+2060 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 2102 2317 M
+0.00 0.00 0.00 C 2060 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-20)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2851 2520 M
+2809 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 2851 2317 M
+0.00 0.00 0.00 C 2809 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (-10)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3600 2520 M
+3558 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 3600 2317 M
+0.00 0.00 0.00 C 3558 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4349 2520 M
+4306 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 4349 2317 M
+0.00 0.00 0.00 C 4306 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (10)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5098 2520 M
+5055 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 5098 2317 M
+0.00 0.00 0.00 C 5055 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (20)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5847 2520 M
+5804 2520 M
 0 -63 V
 0 63 R
 0 63 V
 stroke
-0.00 0.00 0.00 C 5847 2317 M
+0.00 0.00 0.00 C 5804 2317 M
 [ [(Helvetica) 140.0 0.0 true true 0 (30)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 1.000 UL
 LTa
-1248 2520 M
-4704 0 V
-3600 168 M
-0 4704 V
+1206 2520 M
+4703 0 V
+3558 168 M
+0 4703 V
 stroke
 0.500 UL
 LTb
-1248 4872 N
-0 -4704 V
-4704 0 V
-0 4704 V
--4704 0 V
+1206 4871 N
+0 -4703 V
+4703 0 V
+0 4703 V
+-4703 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 3600 2520 M
-7 1 V
-8 2 V
-6 4 V
-7 5 V
+0.00 0.00 1.00 C 3558 2520 M
+7 0 V
+7 2 V
+7 4 V
+6 5 V
 5 6 V
-4 7 V
-3 9 V
-2 9 V
+5 8 V
+3 8 V
+1 9 V
 0 10 V
--2 10 V
+-1 11 V
 -3 10 V
--4 11 V
--7 10 V
--8 9 V
+-5 10 V
+-6 10 V
+-9 10 V
 -10 9 V
--11 8 V
--13 6 V
--15 5 V
--15 4 V
--16 1 V
--17 0 V
--18 -3 V
+-11 7 V
+-13 7 V
+-14 5 V
+-16 3 V
+-16 2 V
+-17 -1 V
+-17 -2 V
 -18 -5 V
 -18 -7 V
 -17 -9 V
 -17 -12 V
 -16 -14 V
 -15 -16 V
--13 -18 V
--11 -20 V
--10 -22 V
--7 -24 V
+-13 -19 V
+-12 -20 V
+-9 -22 V
+-8 -23 V
 -5 -25 V
--2 -26 V
-0 -27 V
-4 -27 V
-7 -28 V
-10 -27 V
-13 -27 V
-16 -26 V
-19 -24 V
-23 -23 V
+-2 -27 V
+1 -26 V
+4 -28 V
+7 -27 V
+9 -28 V
+13 -26 V
+17 -26 V
+19 -25 V
+22 -23 V
 25 -21 V
-28 -19 V
-30 -15 V
-32 -13 V
-35 -10 V
-35 -6 V
-37 -3 V
-38 2 V
-38 5 V
-38 10 V
+28 -18 V
+30 -16 V
+33 -13 V
+34 -9 V
+36 -7 V
+37 -2 V
+38 1 V
+38 6 V
+38 9 V
 38 14 V
-37 17 V
+36 18 V
 35 22 V
-33 26 V
-31 30 V
-29 33 V
-25 37 V
-22 39 V
-17 43 V
-14 44 V
-9 47 V
-4 48 V
+34 26 V
+31 29 V
+28 34 V
+25 36 V
+22 40 V
+18 42 V
+13 45 V
+9 46 V
+5 48 V
 -1 49 V
--5 49 V
--11 49 V
--16 49 V
+-6 49 V
+-11 50 V
+-16 48 V
 -21 47 V
--27 45 V
--31 44 V
--36 40 V
--40 37 V
--45 33 V
--48 29 V
--52 24 V
+-26 46 V
+-32 43 V
+-35 40 V
+-41 37 V
+-44 34 V
+-49 28 V
+-51 24 V
 -55 19 V
--56 13 V
--59 8 V
+-57 14 V
+-59 7 V
 -60 2 V
--61 -5 V
--60 -10 V
+-60 -4 V
+-61 -11 V
 -60 -17 V
--59 -23 V
--56 -30 V
--54 -35 V
--51 -41 V
+-58 -23 V
+-57 -29 V
+-54 -36 V
+-50 -41 V
 -47 -46 V
 -42 -52 V
--37 -56 V
--32 -60 V
+-38 -56 V
+-31 -60 V
 -26 -64 V
--19 -67 V
--13 -70 V
--6 -70 V
+-20 -67 V
+-12 -69 V
+-6 -71 V
 2 -72 V
-9 -72 V
-16 -72 V
-24 -70 V
-30 -68 V
-38 -66 V
+8 -72 V
+17 -71 V
+23 -71 V
+31 -68 V
+38 -65 V
 45 -62 V
-52 -57 V
-57 -53 V
-3226 1828 L
+51 -58 V
+58 -52 V
+stroke 3121 1875 M
+63 -47 V
 68 -41 V
-73 -34 V
+72 -34 V
 76 -27 V
-79 -19 V
-82 -11 V
+80 -19 V
+81 -11 V
 83 -3 V
-83 6 V
-84 13 V
+84 5 V
+83 14 V
 82 23 V
-80 31 V
-78 39 V
+81 31 V
+77 39 V
 74 47 V
 69 55 V
 64 62 V
-58 69 V
-51 74 V
-43 81 V
-36 84 V
+58 68 V
+51 75 V
+44 80 V
+35 85 V
 27 89 V
-18 92 V
+19 91 V
 9 94 V
-0 95 V
+-1 95 V
 -10 95 V
--20 94 V
+-20 95 V
 -29 93 V
 -39 90 V
 -48 86 V
--57 82 V
+-57 81 V
 -65 76 V
 -73 70 V
--81 62 V
--87 55 V
--92 45 V
--97 37 V
--102 27 V
--104 16 V
--106 7 V
+-80 63 V
+-87 54 V
+-93 46 V
+-97 36 V
+-101 27 V
+-104 17 V
+-106 6 V
 -107 -5 V
--106 -15 V
--105 -27 V
--103 -36 V
--100 -48 V
--94 -57 V
+-107 -15 V
+-105 -26 V
+-103 -37 V
+-99 -47 V
+-95 -58 V
 -89 -67 V
--83 -76 V
--74 -85 V
--67 -92 V
+-82 -76 V
+-75 -85 V
+-66 -92 V
 -57 -99 V
--47 -105 V
--37 -110 V
+-48 -105 V
+-36 -110 V
 -26 -114 V
--14 -117 V
--2 -118 V
-9 -118 V
-21 -118 V
-34 -116 V
-44 -112 V
+-14 -116 V
+-3 -118 V
+10 -119 V
+21 -117 V
+33 -116 V
+45 -113 V
 57 -108 V
-67 -103 V
+67 -102 V
 78 -96 V
 87 -88 V
-97 -79 V
-104 -70 V
+96 -79 V
+105 -70 V
 112 -59 V
-118 -48 V
-122 -36 V
-127 -24 V
-129 -12 V
+117 -48 V
+123 -37 V
+126 -24 V
+129 -11 V
 130 2 V
 130 15 V
-128 28 V
-126 41 V
+129 28 V
+125 41 V
 122 54 V
-116 66 V
-110 77 V
+117 65 V
+110 78 V
 102 89 V
-94 99 V
+93 99 V
 83 109 V
-72 117 V
-61 124 V
-48 131 V
-35 135 V
-21 139 V
-8 141 V
+73 117 V
+60 124 V
+48 130 V
+35 136 V
+22 139 V
+7 141 V
 -7 142 V
--21 142 V
+-21 141 V
 -35 139 V
--50 135 V
--62 131 V
--77 124 V
--88 117 V
--101 108 V
--111 98 V
--121 86 V
--130 75 V
+-49 136 V
+-63 130 V
+-76 125 V
+-89 116 V
+-100 108 V
+-112 98 V
+-121 87 V
+-129 74 V
 -137 61 V
--143 47 V
--148 34 V
--152 18 V
--153 3 V
--154 -13 V
+-144 48 V
+-148 33 V
+-151 18 V
+-154 3 V
+-153 -13 V
 -152 -28 V
--149 -43 V
+-150 -43 V
+stroke 2980 3966 M
 -145 -58 V
-2738 3836 L
--131 -87 V
-2484 3649 L
-2371 3537 L
-2269 3413 L
--89 -133 V
+-139 -73 V
+-132 -86 V
+2441 3649 L
+2328 3536 L
+2227 3413 L
+-89 -134 V
 -76 -143 V
 -61 -150 V
--46 -157 V
+-46 -156 V
 -31 -161 V
 -14 -164 V
 2 -165 V
@@ -921,103 +935,105 @@ LT0
 83 -147 V
 98 -139 V
 112 -129 V
-125 -117 V
-136 -105 V
-147 -91 V
+124 -117 V
+137 -105 V
+146 -91 V
 156 -76 V
-163 -61 V
+164 -61 V
 169 -44 V
 174 -27 V
-176 -9 V
-177 8 V
-176 26 V
-174 43 V
+176 -10 V
+177 9 V
+176 25 V
+173 44 V
 169 61 V
 162 78 V
 155 94 V
 145 109 V
 134 124 V
-121 138 V
-107 149 V
+121 137 V
+107 150 V
 93 160 V
 76 169 V
-59 177 V
-41 182 V
+59 176 V
+41 183 V
 23 186 V
-4 189 V
--14 188 V
+4 188 V
+-14 189 V
 -34 187 V
--52 184 V
+-52 183 V
 -71 178 V
--88 170 V
--106 162 V
--122 151 V
--136 138 V
+-88 171 V
+-106 161 V
+-121 151 V
+-137 138 V
 -150 125 V
 -163 109 V
 -173 93 V
 -183 75 V
--190 57 V
--195 38 V
--199 18 V
--200 -2 V
+-189 57 V
+-196 38 V
+-198 18 V
+-201 -2 V
 -200 -22 V
--198 -42 V
--193 -62 V
--186 -81 V
--179 -99 V
-2283 4094 L
-2127 3960 L
-1985 3811 L
-1858 3647 L
-1748 3471 L
--93 -187 V
--74 -196 V
+-197 -42 V
+-193 -61 V
+-187 -81 V
+2409 4211 L
+2241 4094 L
+2085 3960 L
+1943 3810 L
+1816 3646 L
+1705 3470 L
+-92 -187 V
+-74 -195 V
 -54 -203 V
--33 -208 V
--13 -211 V
-8 -213 V
+-34 -209 V
+-12 -211 V
+8 -212 V
 30 -211 V
-51 -207 V
-72 -203 V
-92 -194 V
-111 -186 V
+51 -208 V
+72 -202 V
+92 -195 V
+111 -185 V
 130 -174 V
-2122 918 L
-2285 772 L
-2462 643 L
-2652 532 L
-200 -91 V
+2080 918 L
+2243 772 L
+2420 643 L
+2609 532 L
+201 -91 V
 210 -72 V
 216 -50 V
 221 -29 V
-224 -6 V
+223 -6 V
 224 16 V
-221 38 V
-218 61 V
+222 38 V
+217 61 V
 211 82 V
-203 104 V
-191 123 V
-180 143 V
-164 160 V
+203 103 V
+192 124 V
+179 142 V
+164 161 V
 148 176 V
 130 191 V
 111 204 V
 90 214 V
 69 223 V
-46 230 V
+46 229 V
 23 234 V
+% End plot #1
 stroke
 LTb
-1248 4872 N
-0 -4704 V
-4704 0 V
-0 4704 V
--4704 0 V
+1206 4871 N
+0 -4703 V
+4703 0 V
+0 4703 V
+-4703 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/polar.pdf and 1:3.0.5-6/doc/interpreter/polar.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/polar.png and 1:3.0.5-6/doc/interpreter/polar.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/poly.texi 1:3.0.5-6/doc/interpreter/poly.texi
--- 1:3.0.1-6/doc/interpreter/poly.texi	2008-04-21 17:58:26.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/poly.texi	2009-04-07 11:11:33.000000000 +0100
@@ -73,15 +73,20 @@ more elegant algorithms perform better. 
 provides such an algorithm.
 
 @anchor{doc-polyval}
-@deftypefn {Function File} {} polyval (@var{c}, @var{x})
-Evaluate a polynomial.
-
-@code{polyval (@var{c}, @var{x})} will evaluate the polynomial at the
-specified value of @var{x}.
-
-If @var{x} is a vector or matrix, the polynomial is evaluated at each of
+@deftypefn {Function File} {@var{y}=} polyval (@var{p}, @var{x})
+@deftypefnx {Function File} {@var{y}=} polyval (@var{p}, @var{x}, [], @var{mu})
+Evaluate the polynomial at of the specified values for @var{x}. When @var{mu}
+is present evaluate the polynomial for (@var{x}-@var{mu}(1))/@var{mu}(2).
+If @var{x} is a vector or matrix, the polynomial is evaluated for each of
 the elements of @var{x}.
-@seealso{polyvalm, poly, roots, conv, deconv, residue, filter,
+@deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s})
+@deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s}, @var{mu})
+In addition to evaluating the polynomial, the second output 
+represents the prediction interval, @var{y} +/- @var{dy}, which
+contains at least 50% of the future predictions. To calculate the
+prediction interval, the structured variable @var{s}, originating
+form `polyfit', must be present.
+@seealso{polyfit, polyvalm, poly, roots, conv, deconv, residue, filter,
 polyderiv, polyinteg}
 @end deftypefn
 
@@ -463,30 +468,17 @@ to data.  This usually means that it is 
 in a least-squares sense, which is what the @code{polyfit} function does.
 
 @anchor{doc-polyfit}
-@deftypefn {Function File} {[@var{p}, @var{s}] =} polyfit (@var{x}, @var{y}, @var{n})
+@deftypefn {Function File} {[@var{p}, @var{s}, @var{mu}] =} polyfit (@var{x}, @var{y}, @var{n})
 Return the coefficients of a polynomial @var{p}(@var{x}) of degree
-@var{n} that minimizes
-@iftex
-@tex
-$$
-\sum_{i=1}^N (p(x_i) - y_i)^2
-$$
-@end tex
-@end iftex
-@ifinfo
-@code{sumsq (p(x(i)) - y(i))},
-@end ifinfo
- to best fit the data in the least squares sense.
+@var{n} that minimizes the least-squares-error of the fit.
 
 The polynomial coefficients are returned in a row vector.
 
-If two output arguments are requested, the second is a structure
-containing the following fields:
+The second output is a structure containing the following fields:
 
-@table @code
+@table @samp
 @item R
-The Cholesky factor of the Vandermonde matrix used to compute the
-polynomial coefficients.
+Triangular factor R from the QR decomposition.
 @item X
 The Vandermonde matrix used to compute the polynomial coefficients.
 @item df
@@ -496,6 +488,17 @@ The norm of the residuals.
 @item yf
 The values of the polynomial for each value of @var{x}.
 @end table
+
+The second output may be used by @code{polyval} to calculate the 
+statistical error limits of the predicted values.
+
+When the third output, @var{mu}, is present the 
+coefficients, @var{p}, are associated with a polynomial in
+@var{xhat} = (@var{x}-@var{mu}(1))/@var{mu}(2).
+Where @var{mu}(1) = mean (@var{x}), and @var{mu}(2) = std (@var{x}).
+This linear transformation of @var{x} improves the numerical
+stability of the fit.
+@seealso{polyval, polyconf, residue}
 @end deftypefn
 
 
diff -pruN 1:3.0.1-6/doc/interpreter/set.texi 1:3.0.5-6/doc/interpreter/set.texi
--- 1:3.0.1-6/doc/interpreter/set.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/set.texi	2009-04-07 11:11:33.000000000 +0100
@@ -27,16 +27,28 @@ represented as a vector of numbers.
 
 @anchor{doc-create_set}
 @deftypefn {Function File} {} create_set (@var{x})
+@deftypefnx{Function File} {} create_set (@var{x}, "rows")
 Return a row vector containing the unique values in @var{x}, sorted in
 ascending order.  For example,
 
 @example
 @group
-create_set ([ 1, 2; 3, 4; 4, 2 ])
+create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ])
 @result{} [ 1, 2, 3, 4 ]
 @end group
 @end example
-@seealso{union, intersection, complement}
+
+If the optional second input argument is the string "rows" each row of
+the matrix @var{x} will be considered an element of set.  For example,
+@example
+@group
+create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ], "rows")
+@result{}  1   2
+    3   4
+    4   2
+@end group
+@end example
+@seealso{union, intersection, complement, unique}
 @end deftypefn
 
 
@@ -55,6 +67,10 @@ Return the unique rows of @var{A}, sorte
 
 Return index vectors @var{i} and @var{j} such that @code{x(i)==y} and
 @code{y(j)==x}.
+
+Additionally, one of 'first' or 'last' can be given as an argument.
+'last' (default) specifies that the highest possible indices are returned
+in @var{i}, while 'first' means the lowest.
 @seealso{union, intersect, setdiff, setxor, ismember}
 @end deftypefn
 
@@ -129,16 +145,35 @@ s = [0:2; 1:3; 2:4; 3:5; 4:6];
 
 
 @anchor{doc-union}
-@deftypefn {Function File} {} union (@var{x}, @var{y})
-Return the set of elements that are in either of the sets @var{x} and
-@var{y}.  For example,
+@deftypefn {Function File} {} union (@var{a}, @var{b})
+@deftypefnx{Function File} {} union (@var{a}, @var{b}, "rows")
+Return the set of elements that are in either of the sets @var{a} and
+@var{b}.  For example,
 
 @example
 @group
-union ([ 1, 2, 4 ], [ 2, 3, 5 ])
-@result{} [ 1, 2, 3, 4, 5 ]
+union ([1, 2, 4], [2, 3, 5])
+@result{} [1, 2, 3, 4, 5]
 @end group
 @end example
+
+If the optional third input argument is the string "rows" each row of
+the matrices @var{a} and @var{b} will be considered an element of sets.
+For example,
+@example
+@group
+union([1, 2; 2, 3], [1, 2; 3, 4], "rows")
+@result{}  1   2
+    2   3
+    3   4
+@end group
+@end example
+
+@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} union (@var{a}, @var{b})
+
+Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+@code{b==c(ib)}.
+
 @seealso{create_set, intersection, complement}
 @end deftypefn
 
@@ -176,23 +211,32 @@ complement ([ 1, 2, 3 ], [ 2, 3, 5 ])
 @anchor{doc-setdiff}
 @deftypefn {Function File} {} setdiff (@var{a}, @var{b})
 @deftypefnx {Function File} {} setdiff (@var{a}, @var{b}, "rows")
+@deftypefnx {Function File} {[@var{c}, @var{i}] = } setdiff (@var{a}, @var{b})
 Return the elements in @var{a} that are not in @var{b}, sorted in
 ascending order.  If @var{a} and @var{b} are both column vectors
 return a column vector, otherwise return a row vector.
 
 Given the optional third argument @samp{"rows"}, return the rows in
 @var{a} that are not in @var{b}, sorted in ascending order by rows.
+
+If requested, return @var{i} such that @code{c = a(i)}.
 @seealso{unique, union, intersect, setxor, ismember}
 @end deftypefn
 
 
 @anchor{doc-setxor}
 @deftypefn {Function File} {} setxor (@var{a}, @var{b})
+@deftypefnx {Function File} {} setxor (@var{a}, @var{b}, 'rows')
 
 Return the elements exclusive to @var{a} or @var{b}, sorted in ascending
 order. If @var{a} and @var{b} are both column vectors return a column
 vector, otherwise return a row vector.
 
+@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} setxor (@var{a}, @var{b})
+
+Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+@code{b==c(ib)}.
+
 @seealso{unique, union, intersect, setdiff, ismember}
 @end deftypefn
 
diff -pruN 1:3.0.1-6/doc/interpreter/signal.texi 1:3.0.5-6/doc/interpreter/signal.texi
--- 1:3.0.1-6/doc/interpreter/signal.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/signal.texi	2009-04-07 11:11:33.000000000 +0100
@@ -55,6 +55,18 @@ dimension of the matrix along which the 
 @end deftypefn
 
 
+Octave uses the FFTW libraries to perform FFT computations. When Octave
+starts up and initializes the FFTW libraries, they read a system wide
+file (on a Unix system, it is typically @file{/etc/fftw/wisdom}) that
+contains information useful to speed up FFT computations.  This
+information is called the @emph{wisdom}.  The system-wide file allows
+wisdom to be shared between all applications using the FFTW libraries.
+
+Use the @code{fftw} function to generate and save wisdom.  Using the
+utilities provided together with the FFTW libraries
+(@command{fftw-wisdom} on Unix systems), you can even add wisdom
+generated by Octave to the system-wide wisdom file.
+
 @anchor{doc-fftw}
 @deftypefn {Loadable Function} {@var{method} =} fftw ('planner')
 @deftypefnx {Loadable Function} {} fftw ('planner', @var{method})
@@ -63,17 +75,19 @@ dimension of the matrix along which the 
 
 Manage FFTW wisdom data. Wisdom data can be used to significantly
 accelerate the calculation of the FFTs but implies an initial cost
-in its calculation. The wisdom used by Octave can be imported directly,
-usually from a file /etc/fftw/wisdom, or @dfn{fftw} can be used
-to import wisdom. For example
+in its calculation. When the FFTW libraries are initialized, they read
+a system wide wisdom file (typically in @file{/etc/fftw/wisdom}), allowing wisdom
+to be shared between applications other than Octave. Alternatively, the
+@code{fftw} function can be used to import wisdom. For example
 
 @example
 @var{wisdom} = fftw ('dwisdom')
 @end example
 
 will save the existing wisdom used by Octave to the string @var{wisdom}.
-This string can then be saved in the usual manner. This existing wisdom
-can be reimported as follows
+This string can then be saved to a file and restored using the @code{save}
+and @code{load} commands respectively. This existing wisdom can be reimported
+as follows
 
 @example
 fftw ('dwisdom', @var{wisdom})
@@ -83,7 +97,7 @@ If @var{wisdom} is an empty matrix, then
 
 During the calculation of fourier transforms further wisdom is generated.
 The fashion in which this wisdom is generated is equally controlled by
-the @dfn{fftw} function. There are five different manners in which the
+the @code{fftw} function. There are five different manners in which the
 wisdom can be treated, these being
 
 @table @asis
@@ -126,10 +140,8 @@ fftw ('planner', @var{method})
 
 Note that calculated wisdom will be lost when restarting Octave. However,
 the wisdom data can be reloaded if it is saved to a file as described
-above.  Also, any system-wide wisdom file that has been found will
-also be used. Saved wisdom files should not be used on different
-platforms since they will not be efficient and the point of calculating
-the wisdom is lost.
+above. Saved wisdom files should not be used on different platforms since
+they will not be efficient and the point of calculating the wisdom is lost.
 @seealso{fft, ifft, fft2, ifft2, fftn, ifftn}
 @end deftypefn
 
diff -pruN 1:3.0.1-6/doc/interpreter/signal.txi 1:3.0.5-6/doc/interpreter/signal.txi
--- 1:3.0.1-6/doc/interpreter/signal.txi	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/signal.txi	2009-02-18 06:57:46.000000000 +0000
@@ -23,6 +23,18 @@
 
 @DOCSTRING(fft)
 
+Octave uses the FFTW libraries to perform FFT computations. When Octave
+starts up and initializes the FFTW libraries, they read a system wide
+file (on a Unix system, it is typically @file{/etc/fftw/wisdom}) that
+contains information useful to speed up FFT computations.  This
+information is called the @emph{wisdom}.  The system-wide file allows
+wisdom to be shared between all applications using the FFTW libraries.
+
+Use the @code{fftw} function to generate and save wisdom.  Using the
+utilities provided together with the FFTW libraries
+(@command{fftw-wisdom} on Unix systems), you can even add wisdom
+generated by Octave to the system-wide wisdom file.
+
 @DOCSTRING(fftw)
 
 @DOCSTRING(ifft)
diff -pruN 1:3.0.1-6/doc/interpreter/sparse.texi 1:3.0.5-6/doc/interpreter/sparse.texi
--- 1:3.0.1-6/doc/interpreter/sparse.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/sparse.texi	2009-04-07 11:11:33.000000000 +0100
@@ -282,7 +282,7 @@ the columns represented by the vector @v
 Otherwise a matrix of @var{m} by @var{n} is created with the
 diagonals given by @var{v}.
 
-Negative values of @var{c} representive diagonals below the main
+Negative values of @var{c} represent diagonals below the main
 diagonal, and positive values of @var{c} diagonals above the main
 diagonal.
 
diff -pruN 1:3.0.1-6/doc/interpreter/spchol.eps 1:3.0.5-6/doc/interpreter/spchol.eps
--- 1:3.0.1-6/doc/interpreter/spchol.eps	2008-04-21 17:56:54.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/spchol.eps	2009-01-29 08:11:07.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: spchol.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:54 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:07 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (spchol.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:54 2008)
+  /CreationDate (Thu Jan 29 09:11:07 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,10331 +543,10334 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3730 M
+546 3729 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3730 M
+0.00 0.00 0.00 C 462 3729 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2587 M
+546 2587 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2587 M
+0.00 0.00 0.00 C 462 2587 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1445 M
+546 1445 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1445 M
+0.00 0.00 0.00 C 462 1445 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 303 M
+546 303 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 303 M
+0.00 0.00 0.00 C 462 303 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 280 M
+546 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 490 140 M
+0.00 0.00 0.00 C 546 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2100 280 M
+2149 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2100 140 M
+0.00 0.00 0.00 C 2149 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3710 280 M
+3751 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3710 140 M
+0.00 0.00 0.00 C 3751 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5320 280 M
+5354 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5320 140 M
+0.00 0.00 0.00 C 5354 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6930 280 M
+6957 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6930 140 M
+0.00 0.00 0.00 C 6957 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UP
 0.500 UL
 LT0
-0.00 0.00 1.00 C 522 4849 Star
-554 4849 Star
-554 4826 Star
-587 4826 Star
-587 4803 Star
-619 4826 Star
-619 4803 Star
-619 4781 Star
-651 4803 Star
-651 4781 Star
-651 4758 Star
-683 4803 Star
-683 4781 Star
-683 4758 Star
-683 4735 Star
-715 4781 Star
-715 4758 Star
-715 4735 Star
-715 4712 Star
-748 4781 Star
-748 4758 Star
-748 4735 Star
-748 4712 Star
-748 4689 Star
-780 4758 Star
-780 4735 Star
-780 4712 Star
-780 4689 Star
-780 4666 Star
-812 4758 Star
-812 4735 Star
-812 4712 Star
-812 4689 Star
-812 4666 Star
-812 4644 Star
-844 4735 Star
-844 4712 Star
-844 4689 Star
-844 4666 Star
-844 4644 Star
-844 4621 Star
-876 4735 Star
-876 4712 Star
-876 4689 Star
-876 4666 Star
-876 4644 Star
-876 4621 Star
-876 4598 Star
-909 4712 Star
-909 4689 Star
-909 4666 Star
-909 4644 Star
-909 4621 Star
-909 4598 Star
-909 4575 Star
-941 4712 Star
-941 4689 Star
-941 4666 Star
-941 4644 Star
-941 4621 Star
-941 4598 Star
-941 4575 Star
-941 4552 Star
-973 4689 Star
-973 4666 Star
-973 4644 Star
-973 4621 Star
-973 4598 Star
-973 4575 Star
-973 4552 Star
-973 4529 Star
-1005 4689 Star
-1005 4666 Star
-1005 4644 Star
-1005 4621 Star
-1005 4598 Star
-1005 4575 Star
-1005 4552 Star
-1005 4529 Star
-1005 4506 Star
-1037 4666 Star
-1037 4644 Star
-1037 4621 Star
-1037 4598 Star
-1037 4575 Star
-1037 4552 Star
-1037 4529 Star
-1037 4506 Star
-1037 4484 Star
-1070 4666 Star
-1070 4644 Star
-1070 4621 Star
-1070 4598 Star
-1070 4575 Star
-1070 4552 Star
-1070 4529 Star
-1070 4506 Star
-1070 4484 Star
-1070 4461 Star
-1102 4644 Star
-1102 4621 Star
-1102 4598 Star
-1102 4575 Star
-1102 4552 Star
-1102 4529 Star
-1102 4506 Star
-1102 4484 Star
-1102 4461 Star
-1102 4438 Star
-1134 4644 Star
-1134 4621 Star
-1134 4598 Star
-1134 4575 Star
-1134 4552 Star
-1134 4529 Star
-1134 4506 Star
-1134 4484 Star
-1134 4461 Star
-1134 4438 Star
-1134 4415 Star
-1166 4621 Star
-1166 4598 Star
-1166 4575 Star
-1166 4552 Star
-1166 4529 Star
-1166 4506 Star
-1166 4484 Star
-1166 4461 Star
-1166 4438 Star
-1166 4415 Star
-1166 4392 Star
-1198 4621 Star
-1198 4598 Star
-1198 4575 Star
-1198 4552 Star
-1198 4529 Star
-1198 4506 Star
-1198 4484 Star
-1198 4461 Star
-1198 4438 Star
-1198 4415 Star
-1198 4392 Star
-1198 4369 Star
-1231 4598 Star
-1231 4575 Star
-1231 4552 Star
-1231 4529 Star
-1231 4506 Star
-1231 4484 Star
-1231 4461 Star
-1231 4438 Star
-1231 4415 Star
-1231 4392 Star
-1231 4369 Star
-1231 4347 Star
-1263 4598 Star
-1263 4575 Star
-1263 4552 Star
-1263 4529 Star
-1263 4506 Star
-1263 4484 Star
-1263 4461 Star
-1263 4438 Star
-1263 4415 Star
-1263 4392 Star
-1263 4369 Star
-1263 4347 Star
-1263 4324 Star
-1295 4575 Star
-1295 4552 Star
-1295 4529 Star
-1295 4506 Star
-1295 4484 Star
-1295 4461 Star
-1295 4438 Star
-1295 4415 Star
-1295 4392 Star
-1295 4369 Star
-1295 4347 Star
-1295 4324 Star
-1295 4301 Star
-1327 4575 Star
-1327 4552 Star
-1327 4529 Star
-1327 4506 Star
-1327 4484 Star
-1327 4461 Star
-1327 4438 Star
-1327 4415 Star
-1327 4392 Star
-1327 4369 Star
-1327 4347 Star
-1327 4324 Star
-1327 4301 Star
-1327 4278 Star
-1359 4552 Star
-1359 4529 Star
-1359 4506 Star
-1359 4484 Star
-1359 4461 Star
-1359 4438 Star
-1359 4415 Star
-1359 4392 Star
-1359 4369 Star
-1359 4347 Star
-1359 4324 Star
-1359 4301 Star
-1359 4278 Star
-1359 4255 Star
-1392 4552 Star
-1392 4529 Star
-1392 4506 Star
-1392 4484 Star
-1392 4461 Star
-1392 4438 Star
-1392 4415 Star
-1392 4392 Star
-1392 4369 Star
-1392 4347 Star
-1392 4324 Star
-1392 4301 Star
-1392 4278 Star
-1392 4255 Star
-1392 4232 Star
-1424 4529 Star
-1424 4506 Star
-1424 4484 Star
-1424 4461 Star
-1424 4438 Star
-1424 4415 Star
-1424 4392 Star
-1424 4369 Star
-1424 4347 Star
-1424 4324 Star
-1424 4301 Star
-1424 4278 Star
-1424 4255 Star
-1424 4232 Star
-1424 4209 Star
-1456 4529 Star
-1456 4506 Star
-1456 4484 Star
-1456 4461 Star
-1456 4438 Star
-1456 4415 Star
-1456 4392 Star
-1456 4369 Star
-1456 4347 Star
-1456 4324 Star
-1456 4301 Star
-1456 4278 Star
-1456 4255 Star
-1456 4232 Star
-1456 4209 Star
-1456 4187 Star
-1488 4506 Star
-1488 4484 Star
-1488 4461 Star
-1488 4438 Star
-1488 4415 Star
-1488 4392 Star
-1488 4369 Star
-1488 4347 Star
-1488 4324 Star
-1488 4301 Star
-1488 4278 Star
-1488 4255 Star
-1488 4232 Star
-1488 4209 Star
-1488 4187 Star
-1488 4164 Star
-1520 4506 Star
-1520 4484 Star
-1520 4461 Star
-1520 4438 Star
-1520 4415 Star
-1520 4392 Star
-1520 4369 Star
-1520 4347 Star
-1520 4324 Star
-1520 4301 Star
-1520 4278 Star
-1520 4255 Star
-1520 4232 Star
-1520 4209 Star
-1520 4187 Star
-1520 4164 Star
-1520 4141 Star
-1553 4484 Star
-1553 4461 Star
-1553 4438 Star
-1553 4415 Star
-1553 4392 Star
-1553 4369 Star
-1553 4347 Star
-1553 4324 Star
-1553 4301 Star
-1553 4278 Star
-1553 4255 Star
-1553 4232 Star
-1553 4209 Star
-1553 4187 Star
-1553 4164 Star
-1553 4141 Star
-1553 4118 Star
-1585 4484 Star
-1585 4461 Star
-1585 4438 Star
-1585 4415 Star
-1585 4392 Star
-1585 4369 Star
-1585 4347 Star
-1585 4324 Star
-1585 4301 Star
-1585 4278 Star
-1585 4255 Star
-1585 4232 Star
-1585 4209 Star
-1585 4187 Star
-1585 4164 Star
-1585 4141 Star
-1585 4118 Star
-1585 4095 Star
-1617 4461 Star
-1617 4438 Star
-1617 4415 Star
-1617 4392 Star
-1617 4369 Star
-1617 4347 Star
-1617 4324 Star
-1617 4301 Star
-1617 4278 Star
-1617 4255 Star
-1617 4232 Star
-1617 4209 Star
-1617 4187 Star
-1617 4164 Star
-1617 4141 Star
-1617 4118 Star
-1617 4095 Star
-1617 4072 Star
-1649 4461 Star
-1649 4438 Star
-1649 4415 Star
-1649 4392 Star
-1649 4369 Star
-1649 4347 Star
-1649 4324 Star
-1649 4301 Star
-1649 4278 Star
-1649 4255 Star
-1649 4232 Star
-1649 4209 Star
-1649 4187 Star
-1649 4164 Star
-1649 4141 Star
-1649 4118 Star
-1649 4095 Star
-1649 4072 Star
-1649 4050 Star
-1681 4438 Star
-1681 4415 Star
-1681 4392 Star
-1681 4369 Star
-1681 4347 Star
-1681 4324 Star
-1681 4301 Star
-1681 4278 Star
-1681 4255 Star
-1681 4232 Star
-1681 4209 Star
-1681 4187 Star
-1681 4164 Star
-1681 4141 Star
-1681 4118 Star
-1681 4095 Star
-1681 4072 Star
-1681 4050 Star
-1681 4027 Star
-1714 4438 Star
-1714 4415 Star
-1714 4392 Star
-1714 4369 Star
-1714 4347 Star
-1714 4324 Star
-1714 4301 Star
-1714 4278 Star
-1714 4255 Star
-1714 4232 Star
-1714 4209 Star
-1714 4187 Star
-1714 4164 Star
-1714 4141 Star
-1714 4118 Star
-1714 4095 Star
-1714 4072 Star
-1714 4050 Star
-1714 4027 Star
-1714 4004 Star
-1746 4415 Star
-1746 4392 Star
-1746 4369 Star
-1746 4347 Star
-1746 4324 Star
-1746 4301 Star
-1746 4278 Star
-1746 4255 Star
-1746 4232 Star
-1746 4209 Star
-1746 4187 Star
-1746 4164 Star
-1746 4141 Star
-1746 4118 Star
-1746 4095 Star
-1746 4072 Star
-1746 4050 Star
-1746 4027 Star
-1746 4004 Star
-1746 3981 Star
-1778 4415 Star
-1778 4392 Star
-1778 4369 Star
-1778 4347 Star
-1778 4324 Star
-1778 4301 Star
-1778 4278 Star
-1778 4255 Star
-1778 4232 Star
-1778 4209 Star
-1778 4187 Star
-1778 4164 Star
-1778 4141 Star
-1778 4118 Star
-1778 4095 Star
-1778 4072 Star
-1778 4050 Star
-1778 4027 Star
-1778 4004 Star
-1778 3981 Star
-1778 3958 Star
-1810 4392 Star
-1810 4369 Star
-1810 4347 Star
-1810 4324 Star
-1810 4301 Star
-1810 4278 Star
-1810 4255 Star
-1810 4232 Star
-1810 4209 Star
-1810 4187 Star
-1810 4164 Star
-1810 4141 Star
-1810 4118 Star
-1810 4095 Star
-1810 4072 Star
-1810 4050 Star
-1810 4027 Star
-1810 4004 Star
-1810 3981 Star
-1810 3958 Star
-1810 3935 Star
-1842 4392 Star
-1842 4369 Star
-1842 4347 Star
-1842 4324 Star
-1842 4301 Star
-1842 4278 Star
-1842 4255 Star
-1842 4232 Star
-1842 4209 Star
-1842 4187 Star
-1842 4164 Star
-1842 4141 Star
-1842 4118 Star
-1842 4095 Star
-1842 4072 Star
-1842 4050 Star
-1842 4027 Star
-1842 4004 Star
-1842 3981 Star
-1842 3958 Star
-1842 3935 Star
-1842 3912 Star
-1875 4369 Star
-1875 4347 Star
-1875 4324 Star
-1875 4301 Star
-1875 4278 Star
-1875 4255 Star
-1875 4232 Star
-1875 4209 Star
-1875 4187 Star
-1875 4164 Star
-1875 4141 Star
-1875 4118 Star
-1875 4095 Star
-1875 4072 Star
-1875 4050 Star
-1875 4027 Star
-1875 4004 Star
-1875 3981 Star
-1875 3958 Star
-1875 3935 Star
-1875 3912 Star
-1875 3890 Star
-1907 4369 Star
-1907 4347 Star
-1907 4324 Star
-1907 4301 Star
-1907 4278 Star
-1907 4255 Star
-1907 4232 Star
-1907 4209 Star
-1907 4187 Star
-1907 4164 Star
-1907 4141 Star
-1907 4118 Star
-1907 4095 Star
-1907 4072 Star
-1907 4050 Star
-1907 4027 Star
-1907 4004 Star
-1907 3981 Star
-1907 3958 Star
-1907 3935 Star
-1907 3912 Star
-1907 3890 Star
-1907 3867 Star
-1939 4347 Star
-1939 4324 Star
-1939 4301 Star
-1939 4278 Star
-1939 4255 Star
-1939 4232 Star
-1939 4209 Star
-1939 4187 Star
-1939 4164 Star
-1939 4141 Star
-1939 4118 Star
-1939 4095 Star
-1939 4072 Star
-1939 4050 Star
-1939 4027 Star
-1939 4004 Star
-1939 3981 Star
-1939 3958 Star
-1939 3935 Star
-1939 3912 Star
-1939 3890 Star
-1939 3867 Star
-1939 3844 Star
-1971 4347 Star
-1971 4324 Star
-1971 4301 Star
-1971 4278 Star
-1971 4255 Star
-1971 4232 Star
-1971 4209 Star
-1971 4187 Star
-1971 4164 Star
-1971 4141 Star
-1971 4118 Star
-1971 4095 Star
-1971 4072 Star
-1971 4050 Star
-1971 4027 Star
-1971 4004 Star
-1971 3981 Star
-1971 3958 Star
-1971 3935 Star
-1971 3912 Star
-1971 3890 Star
-1971 3867 Star
-1971 3844 Star
-1971 3821 Star
-2003 4324 Star
-2003 4301 Star
-2003 4278 Star
-2003 4255 Star
-2003 4232 Star
-2003 4209 Star
-2003 4187 Star
-2003 4164 Star
-2003 4141 Star
-2003 4118 Star
-2003 4095 Star
-2003 4072 Star
-2003 4050 Star
-2003 4027 Star
-2003 4004 Star
-2003 3981 Star
-2003 3958 Star
-2003 3935 Star
-2003 3912 Star
-2003 3890 Star
-2003 3867 Star
-2003 3844 Star
-2003 3821 Star
-2003 3798 Star
-2036 4324 Star
-2036 4301 Star
-2036 4278 Star
-2036 4255 Star
-2036 4232 Star
-2036 4209 Star
-2036 4187 Star
-2036 4164 Star
-2036 4141 Star
-2036 4118 Star
-2036 4095 Star
-2036 4072 Star
-2036 4050 Star
-2036 4027 Star
-2036 4004 Star
-2036 3981 Star
-2036 3958 Star
-2036 3935 Star
-2036 3912 Star
-2036 3890 Star
-2036 3867 Star
-2036 3844 Star
-2036 3821 Star
-2036 3798 Star
-2036 3775 Star
-2068 4301 Star
-2068 4278 Star
-2068 4255 Star
-2068 4232 Star
-2068 4209 Star
-2068 4187 Star
-2068 4164 Star
-2068 4141 Star
-2068 4118 Star
-2068 4095 Star
-2068 4072 Star
-2068 4050 Star
-2068 4027 Star
-2068 4004 Star
-2068 3981 Star
-2068 3958 Star
-2068 3935 Star
-2068 3912 Star
-2068 3890 Star
-2068 3867 Star
-2068 3844 Star
-2068 3821 Star
-2068 3798 Star
-2068 3775 Star
-2068 3753 Star
-2100 4301 Star
-2100 4278 Star
-2100 4255 Star
-2100 4232 Star
-2100 4209 Star
-2100 4187 Star
-2100 4164 Star
-2100 4141 Star
-2100 4118 Star
-2100 4095 Star
-2100 4072 Star
-2100 4050 Star
-2100 4027 Star
-2100 4004 Star
-2100 3981 Star
-2100 3958 Star
-2100 3935 Star
-2100 3912 Star
-2100 3890 Star
-2100 3867 Star
-2100 3844 Star
-2100 3821 Star
-2100 3798 Star
-2100 3775 Star
-2100 3753 Star
-2100 3730 Star
-2132 4278 Star
-2132 4255 Star
-2132 4232 Star
-2132 4209 Star
-2132 4187 Star
-2132 4164 Star
-2132 4141 Star
-2132 4118 Star
-2132 4095 Star
-2132 4072 Star
-2132 4050 Star
-2132 4027 Star
-2132 4004 Star
-2132 3981 Star
-2132 3958 Star
-2132 3935 Star
-2132 3912 Star
-2132 3890 Star
-2132 3867 Star
-2132 3844 Star
-2132 3821 Star
-2132 3798 Star
-2132 3775 Star
-2132 3753 Star
-2132 3730 Star
-2132 3707 Star
-2164 4278 Star
-2164 4255 Star
-2164 4232 Star
-2164 4209 Star
-2164 4187 Star
-2164 4164 Star
-2164 4141 Star
-2164 4118 Star
-2164 4095 Star
-2164 4072 Star
-2164 4050 Star
-2164 4027 Star
-2164 4004 Star
-2164 3981 Star
-2164 3958 Star
-2164 3935 Star
-2164 3912 Star
-2164 3890 Star
-2164 3867 Star
-2164 3844 Star
-2164 3821 Star
-2164 3798 Star
-2164 3775 Star
-2164 3753 Star
-2164 3730 Star
-2164 3707 Star
-2164 3684 Star
-2197 4255 Star
-2197 4232 Star
-2197 4209 Star
-2197 4187 Star
-2197 4164 Star
-2197 4141 Star
-2197 4118 Star
-2197 4095 Star
-2197 4072 Star
-2197 4050 Star
-2197 4027 Star
-2197 4004 Star
-2197 3981 Star
-2197 3958 Star
-2197 3935 Star
-2197 3912 Star
-2197 3890 Star
-2197 3867 Star
-2197 3844 Star
-2197 3821 Star
-2197 3798 Star
-2197 3775 Star
-2197 3753 Star
-2197 3730 Star
-2197 3707 Star
-2197 3684 Star
-2197 3661 Star
-2229 4255 Star
-2229 4232 Star
-2229 4209 Star
-2229 4187 Star
-2229 4164 Star
-2229 4141 Star
-2229 4118 Star
-2229 4095 Star
-2229 4072 Star
-2229 4050 Star
-2229 4027 Star
-2229 4004 Star
-2229 3981 Star
-2229 3958 Star
-2229 3935 Star
-2229 3912 Star
-2229 3890 Star
-2229 3867 Star
-2229 3844 Star
-2229 3821 Star
-2229 3798 Star
-2229 3775 Star
-2229 3753 Star
-2229 3730 Star
-2229 3707 Star
-2229 3684 Star
-2229 3661 Star
-2229 3638 Star
-2261 4232 Star
-2261 4209 Star
-2261 4187 Star
-2261 4164 Star
-2261 4141 Star
-2261 4118 Star
-2261 4095 Star
-2261 4072 Star
-2261 4050 Star
-2261 4027 Star
-2261 4004 Star
-2261 3981 Star
-2261 3958 Star
-2261 3935 Star
-2261 3912 Star
-2261 3890 Star
-2261 3867 Star
-2261 3844 Star
-2261 3821 Star
-2261 3798 Star
-2261 3775 Star
-2261 3753 Star
-2261 3730 Star
-2261 3707 Star
-2261 3684 Star
-2261 3661 Star
-2261 3638 Star
-2261 3615 Star
-2293 4232 Star
-2293 4209 Star
-2293 4187 Star
-2293 4164 Star
-2293 4141 Star
-2293 4118 Star
-2293 4095 Star
-2293 4072 Star
-2293 4050 Star
-2293 4027 Star
-2293 4004 Star
-2293 3981 Star
-2293 3958 Star
-2293 3935 Star
-2293 3912 Star
-2293 3890 Star
-2293 3867 Star
-2293 3844 Star
-2293 3821 Star
-2293 3798 Star
-2293 3775 Star
-2293 3753 Star
-2293 3730 Star
-2293 3707 Star
-2293 3684 Star
-2293 3661 Star
-2293 3638 Star
-2293 3615 Star
-2293 3593 Star
-2325 4209 Star
-2325 4187 Star
-2325 4164 Star
-2325 4141 Star
-2325 4118 Star
-2325 4095 Star
-2325 4072 Star
-2325 4050 Star
-2325 4027 Star
-2325 4004 Star
-2325 3981 Star
-2325 3958 Star
-2325 3935 Star
-2325 3912 Star
-2325 3890 Star
-2325 3867 Star
-2325 3844 Star
-2325 3821 Star
-2325 3798 Star
-2325 3775 Star
-2325 3753 Star
-2325 3730 Star
-2325 3707 Star
-2325 3684 Star
-2325 3661 Star
-2325 3638 Star
-2325 3615 Star
-2325 3593 Star
-2325 3570 Star
-2358 4209 Star
-2358 4187 Star
-2358 4164 Star
-2358 4141 Star
-2358 4118 Star
-2358 4095 Star
-2358 4072 Star
-2358 4050 Star
-2358 4027 Star
-2358 4004 Star
-2358 3981 Star
-2358 3958 Star
-2358 3935 Star
-2358 3912 Star
-2358 3890 Star
-2358 3867 Star
-2358 3844 Star
-2358 3821 Star
-2358 3798 Star
-2358 3775 Star
-2358 3753 Star
-2358 3730 Star
-2358 3707 Star
-2358 3684 Star
-2358 3661 Star
-2358 3638 Star
-2358 3615 Star
-2358 3593 Star
-2358 3570 Star
-2358 3547 Star
-2390 4187 Star
-2390 4164 Star
-2390 4141 Star
-2390 4118 Star
-2390 4095 Star
-2390 4072 Star
-2390 4050 Star
-2390 4027 Star
-2390 4004 Star
-2390 3981 Star
-2390 3958 Star
-2390 3935 Star
-2390 3912 Star
-2390 3890 Star
-2390 3867 Star
-2390 3844 Star
-2390 3821 Star
-2390 3798 Star
-2390 3775 Star
-2390 3753 Star
-2390 3730 Star
-2390 3707 Star
-2390 3684 Star
-2390 3661 Star
-2390 3638 Star
-2390 3615 Star
-2390 3593 Star
-2390 3570 Star
-2390 3547 Star
-2390 3524 Star
-2422 4187 Star
-2422 4164 Star
-2422 4141 Star
-2422 4118 Star
-2422 4095 Star
-2422 4072 Star
-2422 4050 Star
-2422 4027 Star
-2422 4004 Star
-2422 3981 Star
-2422 3958 Star
-2422 3935 Star
-2422 3912 Star
-2422 3890 Star
-2422 3867 Star
-2422 3844 Star
-2422 3821 Star
-2422 3798 Star
-2422 3775 Star
-2422 3753 Star
-2422 3730 Star
-2422 3707 Star
-2422 3684 Star
-2422 3661 Star
-2422 3638 Star
-2422 3615 Star
-2422 3593 Star
-2422 3570 Star
-2422 3547 Star
-2422 3524 Star
-2422 3501 Star
-2454 4164 Star
-2454 4141 Star
-2454 4118 Star
-2454 4095 Star
-2454 4072 Star
-2454 4050 Star
-2454 4027 Star
-2454 4004 Star
-2454 3981 Star
-2454 3958 Star
-2454 3935 Star
-2454 3912 Star
-2454 3890 Star
-2454 3867 Star
-2454 3844 Star
-2454 3821 Star
-2454 3798 Star
-2454 3775 Star
-2454 3753 Star
-2454 3730 Star
-2454 3707 Star
-2454 3684 Star
-2454 3661 Star
-2454 3638 Star
-2454 3615 Star
-2454 3593 Star
-2454 3570 Star
-2454 3547 Star
-2454 3524 Star
-2454 3501 Star
-2454 3478 Star
-2486 4164 Star
-2486 4141 Star
-2486 4118 Star
-2486 4095 Star
-2486 4072 Star
-2486 4050 Star
-2486 4027 Star
-2486 4004 Star
-2486 3981 Star
-2486 3958 Star
-2486 3935 Star
-2486 3912 Star
-2486 3890 Star
-2486 3867 Star
-2486 3844 Star
-2486 3821 Star
-2486 3798 Star
-2486 3775 Star
-2486 3753 Star
-2486 3730 Star
-2486 3707 Star
-2486 3684 Star
-2486 3661 Star
-2486 3638 Star
-2486 3615 Star
-2486 3593 Star
-2486 3570 Star
-2486 3547 Star
-2486 3524 Star
-2486 3501 Star
-2486 3478 Star
-2486 3456 Star
-2519 4141 Star
-2519 4118 Star
-2519 4095 Star
-2519 4072 Star
-2519 4050 Star
-2519 4027 Star
-2519 4004 Star
-2519 3981 Star
-2519 3958 Star
-2519 3935 Star
-2519 3912 Star
-2519 3890 Star
-2519 3867 Star
-2519 3844 Star
-2519 3821 Star
-2519 3798 Star
-2519 3775 Star
-2519 3753 Star
-2519 3730 Star
-2519 3707 Star
-2519 3684 Star
-2519 3661 Star
-2519 3638 Star
-2519 3615 Star
-2519 3593 Star
-2519 3570 Star
-2519 3547 Star
-2519 3524 Star
-2519 3501 Star
-2519 3478 Star
-2519 3456 Star
-2519 3433 Star
-2551 4141 Star
-2551 4118 Star
-2551 4095 Star
-2551 4072 Star
-2551 4050 Star
-2551 4027 Star
-2551 4004 Star
-2551 3981 Star
-2551 3958 Star
-2551 3935 Star
-2551 3912 Star
-2551 3890 Star
-2551 3867 Star
-2551 3844 Star
-2551 3821 Star
-2551 3798 Star
-2551 3775 Star
-2551 3753 Star
-2551 3730 Star
-2551 3707 Star
-2551 3684 Star
-2551 3661 Star
-2551 3638 Star
-2551 3615 Star
-2551 3593 Star
-2551 3570 Star
-2551 3547 Star
-2551 3524 Star
-2551 3501 Star
-2551 3478 Star
-2551 3456 Star
-2551 3433 Star
-2551 3410 Star
-2583 4118 Star
-2583 4095 Star
-2583 4072 Star
-2583 4050 Star
-2583 4027 Star
-2583 4004 Star
-2583 3981 Star
-2583 3958 Star
-2583 3935 Star
-2583 3912 Star
-2583 3890 Star
-2583 3867 Star
-2583 3844 Star
-2583 3821 Star
-2583 3798 Star
-2583 3775 Star
-2583 3753 Star
-2583 3730 Star
-2583 3707 Star
-2583 3684 Star
-2583 3661 Star
-2583 3638 Star
-2583 3615 Star
-2583 3593 Star
-2583 3570 Star
-2583 3547 Star
-2583 3524 Star
-2583 3501 Star
-2583 3478 Star
-2583 3456 Star
-2583 3433 Star
-2583 3410 Star
-2583 3387 Star
-2615 4118 Star
-2615 4095 Star
-2615 4072 Star
-2615 4050 Star
-2615 4027 Star
-2615 4004 Star
-2615 3981 Star
-2615 3958 Star
-2615 3935 Star
-2615 3912 Star
-2615 3890 Star
-2615 3867 Star
-2615 3844 Star
-2615 3821 Star
-2615 3798 Star
-2615 3775 Star
-2615 3753 Star
-2615 3730 Star
-2615 3707 Star
-2615 3684 Star
-2615 3661 Star
-2615 3638 Star
-2615 3615 Star
-2615 3593 Star
-2615 3570 Star
-2615 3547 Star
-2615 3524 Star
-2615 3501 Star
-2615 3478 Star
-2615 3456 Star
-2615 3433 Star
-2615 3410 Star
-2615 3387 Star
-2615 3364 Star
-2647 4095 Star
-2647 4072 Star
-2647 4050 Star
-2647 4027 Star
-2647 4004 Star
-2647 3981 Star
-2647 3958 Star
-2647 3935 Star
-2647 3912 Star
-2647 3890 Star
-2647 3867 Star
-2647 3844 Star
-2647 3821 Star
-2647 3798 Star
-2647 3775 Star
-2647 3753 Star
-2647 3730 Star
-2647 3707 Star
-2647 3684 Star
-2647 3661 Star
-2647 3638 Star
-2647 3615 Star
-2647 3593 Star
-2647 3570 Star
-2647 3547 Star
-2647 3524 Star
-2647 3501 Star
-2647 3478 Star
-2647 3456 Star
-2647 3433 Star
-2647 3410 Star
-2647 3387 Star
-2647 3364 Star
-2647 3341 Star
-2680 4095 Star
-2680 4072 Star
-2680 4050 Star
-2680 4027 Star
-2680 4004 Star
-2680 3981 Star
-2680 3958 Star
-2680 3935 Star
-2680 3912 Star
-2680 3890 Star
-2680 3867 Star
-2680 3844 Star
-2680 3821 Star
-2680 3798 Star
-2680 3775 Star
-2680 3753 Star
-2680 3730 Star
-2680 3707 Star
-2680 3684 Star
-2680 3661 Star
-2680 3638 Star
-2680 3615 Star
-2680 3593 Star
-2680 3570 Star
-2680 3547 Star
-2680 3524 Star
-2680 3501 Star
-2680 3478 Star
-2680 3456 Star
-2680 3433 Star
-2680 3410 Star
-2680 3387 Star
-2680 3364 Star
-2680 3341 Star
-2680 3318 Star
-2712 4072 Star
-2712 4050 Star
-2712 4027 Star
-2712 4004 Star
-2712 3981 Star
-2712 3958 Star
-2712 3935 Star
-2712 3912 Star
-2712 3890 Star
-2712 3867 Star
-2712 3844 Star
-2712 3821 Star
-2712 3798 Star
-2712 3775 Star
-2712 3753 Star
-2712 3730 Star
-2712 3707 Star
-2712 3684 Star
-2712 3661 Star
-2712 3638 Star
-2712 3615 Star
-2712 3593 Star
-2712 3570 Star
-2712 3547 Star
-2712 3524 Star
-2712 3501 Star
-2712 3478 Star
-2712 3456 Star
-2712 3433 Star
-2712 3410 Star
-2712 3387 Star
-2712 3364 Star
-2712 3341 Star
-2712 3318 Star
-2712 3296 Star
-2744 4072 Star
-2744 4050 Star
-2744 4027 Star
-2744 4004 Star
-2744 3981 Star
-2744 3958 Star
-2744 3935 Star
-2744 3912 Star
-2744 3890 Star
-2744 3867 Star
-2744 3844 Star
-2744 3821 Star
-2744 3798 Star
-2744 3775 Star
-2744 3753 Star
-2744 3730 Star
-2744 3707 Star
-2744 3684 Star
-2744 3661 Star
-2744 3638 Star
-2744 3615 Star
-2744 3593 Star
-2744 3570 Star
-2744 3547 Star
-2744 3524 Star
-2744 3501 Star
-2744 3478 Star
-2744 3456 Star
-2744 3433 Star
-2744 3410 Star
-2744 3387 Star
-2744 3364 Star
-2744 3341 Star
-2744 3318 Star
-2744 3296 Star
-2744 3273 Star
-2776 4050 Star
-2776 4027 Star
-2776 4004 Star
-2776 3981 Star
-2776 3958 Star
-2776 3935 Star
-2776 3912 Star
-2776 3890 Star
-2776 3867 Star
-2776 3844 Star
-2776 3821 Star
-2776 3798 Star
-2776 3775 Star
-2776 3753 Star
-2776 3730 Star
-2776 3707 Star
-2776 3684 Star
-2776 3661 Star
-2776 3638 Star
-2776 3615 Star
-2776 3593 Star
-2776 3570 Star
-2776 3547 Star
-2776 3524 Star
-2776 3501 Star
-2776 3478 Star
-2776 3456 Star
-2776 3433 Star
-2776 3410 Star
-2776 3387 Star
-2776 3364 Star
-2776 3341 Star
-2776 3318 Star
-2776 3296 Star
-2776 3273 Star
-2776 3250 Star
-2808 4050 Star
-2808 4027 Star
-2808 4004 Star
-2808 3981 Star
-2808 3958 Star
-2808 3935 Star
-2808 3912 Star
-2808 3890 Star
-2808 3867 Star
-2808 3844 Star
-2808 3821 Star
-2808 3798 Star
-2808 3775 Star
-2808 3753 Star
-2808 3730 Star
-2808 3707 Star
-2808 3684 Star
-2808 3661 Star
-2808 3638 Star
-2808 3615 Star
-2808 3593 Star
-2808 3570 Star
-2808 3547 Star
-2808 3524 Star
-2808 3501 Star
-2808 3478 Star
-2808 3456 Star
-2808 3433 Star
-2808 3410 Star
-2808 3387 Star
-2808 3364 Star
-2808 3341 Star
-2808 3318 Star
-2808 3296 Star
-2808 3273 Star
-2808 3250 Star
-2808 3227 Star
-2841 4027 Star
-2841 4004 Star
-2841 3981 Star
-2841 3958 Star
-2841 3935 Star
-2841 3912 Star
-2841 3890 Star
-2841 3867 Star
-2841 3844 Star
-2841 3821 Star
-2841 3798 Star
-2841 3775 Star
-2841 3753 Star
-2841 3730 Star
-2841 3707 Star
-2841 3684 Star
-2841 3661 Star
-2841 3638 Star
-2841 3615 Star
-2841 3593 Star
-2841 3570 Star
-2841 3547 Star
-2841 3524 Star
-2841 3501 Star
-2841 3478 Star
-2841 3456 Star
-2841 3433 Star
-2841 3410 Star
-2841 3387 Star
-2841 3364 Star
-2841 3341 Star
-2841 3318 Star
-2841 3296 Star
-2841 3273 Star
-2841 3250 Star
-2841 3227 Star
-2841 3204 Star
-2873 4027 Star
-2873 4004 Star
-2873 3981 Star
-2873 3958 Star
-2873 3935 Star
-2873 3912 Star
-2873 3890 Star
-2873 3867 Star
-2873 3844 Star
-2873 3821 Star
-2873 3798 Star
-2873 3775 Star
-2873 3753 Star
-2873 3730 Star
-2873 3707 Star
-2873 3684 Star
-2873 3661 Star
-2873 3638 Star
-2873 3615 Star
-2873 3593 Star
-2873 3570 Star
-2873 3547 Star
-2873 3524 Star
-2873 3501 Star
-2873 3478 Star
-2873 3456 Star
-2873 3433 Star
-2873 3410 Star
-2873 3387 Star
-2873 3364 Star
-2873 3341 Star
-2873 3318 Star
-2873 3296 Star
-2873 3273 Star
-2873 3250 Star
-2873 3227 Star
-2873 3204 Star
-2873 3181 Star
-2905 4004 Star
-2905 3981 Star
-2905 3958 Star
-2905 3935 Star
-2905 3912 Star
-2905 3890 Star
-2905 3867 Star
-2905 3844 Star
-2905 3821 Star
-2905 3798 Star
-2905 3775 Star
-2905 3753 Star
-2905 3730 Star
-2905 3707 Star
-2905 3684 Star
-2905 3661 Star
-2905 3638 Star
-2905 3615 Star
-2905 3593 Star
-2905 3570 Star
-2905 3547 Star
-2905 3524 Star
-2905 3501 Star
-2905 3478 Star
-2905 3456 Star
-2905 3433 Star
-2905 3410 Star
-2905 3387 Star
-2905 3364 Star
-2905 3341 Star
-2905 3318 Star
-2905 3296 Star
-2905 3273 Star
-2905 3250 Star
-2905 3227 Star
-2905 3204 Star
-2905 3181 Star
-2905 3159 Star
-2937 4004 Star
-2937 3981 Star
-2937 3958 Star
-2937 3935 Star
-2937 3912 Star
-2937 3890 Star
-2937 3867 Star
-2937 3844 Star
-2937 3821 Star
-2937 3798 Star
-2937 3775 Star
-2937 3753 Star
-2937 3730 Star
-2937 3707 Star
-2937 3684 Star
-2937 3661 Star
-2937 3638 Star
-2937 3615 Star
-2937 3593 Star
-2937 3570 Star
-2937 3547 Star
-2937 3524 Star
-2937 3501 Star
-2937 3478 Star
-2937 3456 Star
-2937 3433 Star
-2937 3410 Star
-2937 3387 Star
-2937 3364 Star
-2937 3341 Star
-2937 3318 Star
-2937 3296 Star
-2937 3273 Star
-2937 3250 Star
-2937 3227 Star
-2937 3204 Star
-2937 3181 Star
-2937 3159 Star
-2937 3136 Star
-2969 3981 Star
-2969 3958 Star
-2969 3935 Star
-2969 3912 Star
-2969 3890 Star
-2969 3867 Star
-2969 3844 Star
-2969 3821 Star
-2969 3798 Star
-2969 3775 Star
-2969 3753 Star
-2969 3730 Star
-2969 3707 Star
-2969 3684 Star
-2969 3661 Star
-2969 3638 Star
-2969 3615 Star
-2969 3593 Star
-2969 3570 Star
-2969 3547 Star
-2969 3524 Star
-2969 3501 Star
-2969 3478 Star
-2969 3456 Star
-2969 3433 Star
-2969 3410 Star
-2969 3387 Star
-2969 3364 Star
-2969 3341 Star
-2969 3318 Star
-2969 3296 Star
-2969 3273 Star
-2969 3250 Star
-2969 3227 Star
-2969 3204 Star
-2969 3181 Star
-2969 3159 Star
-2969 3136 Star
-2969 3113 Star
-3002 3981 Star
-3002 3958 Star
-3002 3935 Star
-3002 3912 Star
-3002 3890 Star
-3002 3867 Star
-3002 3844 Star
-3002 3821 Star
-3002 3798 Star
-3002 3775 Star
-3002 3753 Star
-3002 3730 Star
-3002 3707 Star
-3002 3684 Star
-3002 3661 Star
-3002 3638 Star
-3002 3615 Star
-3002 3593 Star
-3002 3570 Star
-3002 3547 Star
-3002 3524 Star
-3002 3501 Star
-3002 3478 Star
-3002 3456 Star
-3002 3433 Star
-3002 3410 Star
-3002 3387 Star
-3002 3364 Star
-3002 3341 Star
-3002 3318 Star
-3002 3296 Star
-3002 3273 Star
-3002 3250 Star
-3002 3227 Star
-3002 3204 Star
-3002 3181 Star
-3002 3159 Star
-3002 3136 Star
-3002 3113 Star
-3002 3090 Star
-3034 3958 Star
-3034 3935 Star
-3034 3912 Star
-3034 3890 Star
-3034 3867 Star
-3034 3844 Star
-3034 3821 Star
-3034 3798 Star
-3034 3775 Star
-3034 3753 Star
-3034 3730 Star
-3034 3707 Star
-3034 3684 Star
-3034 3661 Star
-3034 3638 Star
-3034 3615 Star
-3034 3593 Star
-3034 3570 Star
-3034 3547 Star
-3034 3524 Star
-3034 3501 Star
-3034 3478 Star
-3034 3456 Star
-3034 3433 Star
-3034 3410 Star
-3034 3387 Star
-3034 3364 Star
-3034 3341 Star
-3034 3318 Star
-3034 3296 Star
-3034 3273 Star
-3034 3250 Star
-3034 3227 Star
-3034 3204 Star
-3034 3181 Star
-3034 3159 Star
-3034 3136 Star
-3034 3113 Star
-3034 3090 Star
-3034 3067 Star
-3066 3958 Star
-3066 3935 Star
-3066 3912 Star
-3066 3890 Star
-3066 3867 Star
-3066 3844 Star
-3066 3821 Star
-3066 3798 Star
-3066 3775 Star
-3066 3753 Star
-3066 3730 Star
-3066 3707 Star
-3066 3684 Star
-3066 3661 Star
-3066 3638 Star
-3066 3615 Star
-3066 3593 Star
-3066 3570 Star
-3066 3547 Star
-3066 3524 Star
-3066 3501 Star
-3066 3478 Star
-3066 3456 Star
-3066 3433 Star
-3066 3410 Star
-3066 3387 Star
-3066 3364 Star
-3066 3341 Star
-3066 3318 Star
-3066 3296 Star
-3066 3273 Star
-3066 3250 Star
-3066 3227 Star
-3066 3204 Star
-3066 3181 Star
-3066 3159 Star
-3066 3136 Star
-3066 3113 Star
-3066 3090 Star
-3066 3067 Star
-3066 3044 Star
-3098 3935 Star
-3098 3912 Star
-3098 3890 Star
-3098 3867 Star
-3098 3844 Star
-3098 3821 Star
-3098 3798 Star
-3098 3775 Star
-3098 3753 Star
-3098 3730 Star
-3098 3707 Star
-3098 3684 Star
-3098 3661 Star
-3098 3638 Star
-3098 3615 Star
-3098 3593 Star
-3098 3570 Star
-3098 3547 Star
-3098 3524 Star
-3098 3501 Star
-3098 3478 Star
-3098 3456 Star
-3098 3433 Star
-3098 3410 Star
-3098 3387 Star
-3098 3364 Star
-3098 3341 Star
-3098 3318 Star
-3098 3296 Star
-3098 3273 Star
-3098 3250 Star
-3098 3227 Star
-3098 3204 Star
-3098 3181 Star
-3098 3159 Star
-3098 3136 Star
-3098 3113 Star
-3098 3090 Star
-3098 3067 Star
-3098 3044 Star
-3098 3021 Star
-3130 3935 Star
-3130 3912 Star
-3130 3890 Star
-3130 3867 Star
-3130 3844 Star
-3130 3821 Star
-3130 3798 Star
-3130 3775 Star
-3130 3753 Star
-3130 3730 Star
-3130 3707 Star
-3130 3684 Star
-3130 3661 Star
-3130 3638 Star
-3130 3615 Star
-3130 3593 Star
-3130 3570 Star
-3130 3547 Star
-3130 3524 Star
-3130 3501 Star
-3130 3478 Star
-3130 3456 Star
-3130 3433 Star
-3130 3410 Star
-3130 3387 Star
-3130 3364 Star
-3130 3341 Star
-3130 3318 Star
-3130 3296 Star
-3130 3273 Star
-3130 3250 Star
-3130 3227 Star
-3130 3204 Star
-3130 3181 Star
-3130 3159 Star
-3130 3136 Star
-3130 3113 Star
-3130 3090 Star
-3130 3067 Star
-3130 3044 Star
-3130 3021 Star
-3130 2999 Star
-3163 3912 Star
-3163 3890 Star
-3163 3867 Star
-3163 3844 Star
-3163 3821 Star
-3163 3798 Star
-3163 3775 Star
-3163 3753 Star
-3163 3730 Star
-3163 3707 Star
-3163 3684 Star
-3163 3661 Star
-3163 3638 Star
-3163 3615 Star
-3163 3593 Star
-3163 3570 Star
-3163 3547 Star
-3163 3524 Star
-3163 3501 Star
-3163 3478 Star
-3163 3456 Star
-3163 3433 Star
-3163 3410 Star
-3163 3387 Star
-3163 3364 Star
-3163 3341 Star
-3163 3318 Star
-3163 3296 Star
-3163 3273 Star
-3163 3250 Star
-3163 3227 Star
-3163 3204 Star
-3163 3181 Star
-3163 3159 Star
-3163 3136 Star
-3163 3113 Star
-3163 3090 Star
-3163 3067 Star
-3163 3044 Star
-3163 3021 Star
-3163 2999 Star
-3163 2976 Star
-3195 3912 Star
-3195 3890 Star
-3195 3867 Star
-3195 3844 Star
-3195 3821 Star
-3195 3798 Star
-3195 3775 Star
-3195 3753 Star
-3195 3730 Star
-3195 3707 Star
-3195 3684 Star
-3195 3661 Star
-3195 3638 Star
-3195 3615 Star
-3195 3593 Star
-3195 3570 Star
-3195 3547 Star
-3195 3524 Star
-3195 3501 Star
-3195 3478 Star
-3195 3456 Star
-3195 3433 Star
-3195 3410 Star
-3195 3387 Star
-3195 3364 Star
-3195 3341 Star
-3195 3318 Star
-3195 3296 Star
-3195 3273 Star
-3195 3250 Star
-3195 3227 Star
-3195 3204 Star
-3195 3181 Star
-3195 3159 Star
-3195 3136 Star
-3195 3113 Star
-3195 3090 Star
-3195 3067 Star
-3195 3044 Star
-3195 3021 Star
-3195 2999 Star
-3195 2976 Star
-3195 2953 Star
-3227 3890 Star
-3227 3867 Star
-3227 3844 Star
-3227 3821 Star
-3227 3798 Star
-3227 3775 Star
-3227 3753 Star
-3227 3730 Star
-3227 3707 Star
-3227 3684 Star
-3227 3661 Star
-3227 3638 Star
-3227 3615 Star
-3227 3593 Star
-3227 3570 Star
-3227 3547 Star
-3227 3524 Star
-3227 3501 Star
-3227 3478 Star
-3227 3456 Star
-3227 3433 Star
-3227 3410 Star
-3227 3387 Star
-3227 3364 Star
-3227 3341 Star
-3227 3318 Star
-3227 3296 Star
-3227 3273 Star
-3227 3250 Star
-3227 3227 Star
-3227 3204 Star
-3227 3181 Star
-3227 3159 Star
-3227 3136 Star
-3227 3113 Star
-3227 3090 Star
-3227 3067 Star
-3227 3044 Star
-3227 3021 Star
-3227 2999 Star
-3227 2976 Star
-3227 2953 Star
-3227 2930 Star
-3259 3890 Star
-3259 3867 Star
-3259 3844 Star
-3259 3821 Star
-3259 3798 Star
-3259 3775 Star
-3259 3753 Star
-3259 3730 Star
-3259 3707 Star
-3259 3684 Star
-3259 3661 Star
-3259 3638 Star
-3259 3615 Star
-3259 3593 Star
-3259 3570 Star
-3259 3547 Star
-3259 3524 Star
-3259 3501 Star
-3259 3478 Star
-3259 3456 Star
-3259 3433 Star
-3259 3410 Star
-3259 3387 Star
-3259 3364 Star
-3259 3341 Star
-3259 3318 Star
-3259 3296 Star
-3259 3273 Star
-3259 3250 Star
-3259 3227 Star
-3259 3204 Star
-3259 3181 Star
-3259 3159 Star
-3259 3136 Star
-3259 3113 Star
-3259 3090 Star
-3259 3067 Star
-3259 3044 Star
-3259 3021 Star
-3259 2999 Star
-3259 2976 Star
-3259 2953 Star
-3259 2930 Star
-3259 2907 Star
-3291 3867 Star
-3291 3844 Star
-3291 3821 Star
-3291 3798 Star
-3291 3775 Star
-3291 3753 Star
-3291 3730 Star
-3291 3707 Star
-3291 3684 Star
-3291 3661 Star
-3291 3638 Star
-3291 3615 Star
-3291 3593 Star
-3291 3570 Star
-3291 3547 Star
-3291 3524 Star
-3291 3501 Star
-3291 3478 Star
-3291 3456 Star
-3291 3433 Star
-3291 3410 Star
-3291 3387 Star
-3291 3364 Star
-3291 3341 Star
-3291 3318 Star
-3291 3296 Star
-3291 3273 Star
-3291 3250 Star
-3291 3227 Star
-3291 3204 Star
-3291 3181 Star
-3291 3159 Star
-3291 3136 Star
-3291 3113 Star
-3291 3090 Star
-3291 3067 Star
-3291 3044 Star
-3291 3021 Star
-3291 2999 Star
-3291 2976 Star
-3291 2953 Star
-3291 2930 Star
-3291 2907 Star
-3291 2884 Star
-3324 3867 Star
-3324 3844 Star
-3324 3821 Star
-3324 3798 Star
-3324 3775 Star
-3324 3753 Star
-3324 3730 Star
-3324 3707 Star
-3324 3684 Star
-3324 3661 Star
-3324 3638 Star
-3324 3615 Star
-3324 3593 Star
-3324 3570 Star
-3324 3547 Star
-3324 3524 Star
-3324 3501 Star
-3324 3478 Star
-3324 3456 Star
-3324 3433 Star
-3324 3410 Star
-3324 3387 Star
-3324 3364 Star
-3324 3341 Star
-3324 3318 Star
-3324 3296 Star
-3324 3273 Star
-3324 3250 Star
-3324 3227 Star
-3324 3204 Star
-3324 3181 Star
-3324 3159 Star
-3324 3136 Star
-3324 3113 Star
-3324 3090 Star
-3324 3067 Star
-3324 3044 Star
-3324 3021 Star
-3324 2999 Star
-3324 2976 Star
-3324 2953 Star
-3324 2930 Star
-3324 2907 Star
-3324 2884 Star
-3324 2862 Star
-3356 3844 Star
-3356 3821 Star
-3356 3798 Star
-3356 3775 Star
-3356 3753 Star
-3356 3730 Star
-3356 3707 Star
-3356 3684 Star
-3356 3661 Star
-3356 3638 Star
-3356 3615 Star
-3356 3593 Star
-3356 3570 Star
-3356 3547 Star
-3356 3524 Star
-3356 3501 Star
-3356 3478 Star
-3356 3456 Star
-3356 3433 Star
-3356 3410 Star
-3356 3387 Star
-3356 3364 Star
-3356 3341 Star
-3356 3318 Star
-3356 3296 Star
-3356 3273 Star
-3356 3250 Star
-3356 3227 Star
-3356 3204 Star
-3356 3181 Star
-3356 3159 Star
-3356 3136 Star
-3356 3113 Star
-3356 3090 Star
-3356 3067 Star
-3356 3044 Star
-3356 3021 Star
-3356 2999 Star
-3356 2976 Star
-3356 2953 Star
-3356 2930 Star
-3356 2907 Star
-3356 2884 Star
-3356 2862 Star
-3356 2839 Star
-3388 3844 Star
-3388 3821 Star
-3388 3798 Star
-3388 3775 Star
-3388 3753 Star
-3388 3730 Star
-3388 3707 Star
-3388 3684 Star
-3388 3661 Star
-3388 3638 Star
-3388 3615 Star
-3388 3593 Star
-3388 3570 Star
-3388 3547 Star
-3388 3524 Star
-3388 3501 Star
-3388 3478 Star
-3388 3456 Star
-3388 3433 Star
-3388 3410 Star
-3388 3387 Star
-3388 3364 Star
-3388 3341 Star
-3388 3318 Star
-3388 3296 Star
-3388 3273 Star
-3388 3250 Star
-3388 3227 Star
-3388 3204 Star
-3388 3181 Star
-3388 3159 Star
-3388 3136 Star
-3388 3113 Star
-3388 3090 Star
-3388 3067 Star
-3388 3044 Star
-3388 3021 Star
-3388 2999 Star
-3388 2976 Star
-3388 2953 Star
-3388 2930 Star
-3388 2907 Star
-3388 2884 Star
-3388 2862 Star
-3388 2839 Star
-3388 2816 Star
-3420 3821 Star
-3420 3798 Star
-3420 3775 Star
-3420 3753 Star
-3420 3730 Star
-3420 3707 Star
-3420 3684 Star
-3420 3661 Star
-3420 3638 Star
-3420 3615 Star
-3420 3593 Star
-3420 3570 Star
-3420 3547 Star
-3420 3524 Star
-3420 3501 Star
-3420 3478 Star
-3420 3456 Star
-3420 3433 Star
-3420 3410 Star
-3420 3387 Star
-3420 3364 Star
-3420 3341 Star
-3420 3318 Star
-3420 3296 Star
-3420 3273 Star
-3420 3250 Star
-3420 3227 Star
-3420 3204 Star
-3420 3181 Star
-3420 3159 Star
-3420 3136 Star
-3420 3113 Star
-3420 3090 Star
-3420 3067 Star
-3420 3044 Star
-3420 3021 Star
-3420 2999 Star
-3420 2976 Star
-3420 2953 Star
-3420 2930 Star
-3420 2907 Star
-3420 2884 Star
-3420 2862 Star
-3420 2839 Star
-3420 2816 Star
-3420 2793 Star
-3452 3821 Star
-3452 3798 Star
-3452 3775 Star
-3452 3753 Star
-3452 3730 Star
-3452 3707 Star
-3452 3684 Star
-3452 3661 Star
-3452 3638 Star
-3452 3615 Star
-3452 3593 Star
-3452 3570 Star
-3452 3547 Star
-3452 3524 Star
-3452 3501 Star
-3452 3478 Star
-3452 3456 Star
-3452 3433 Star
-3452 3410 Star
-3452 3387 Star
-3452 3364 Star
-3452 3341 Star
-3452 3318 Star
-3452 3296 Star
-3452 3273 Star
-3452 3250 Star
-3452 3227 Star
-3452 3204 Star
-3452 3181 Star
-3452 3159 Star
-3452 3136 Star
-3452 3113 Star
-3452 3090 Star
-3452 3067 Star
-3452 3044 Star
-3452 3021 Star
-3452 2999 Star
-3452 2976 Star
-3452 2953 Star
-3452 2930 Star
-3452 2907 Star
-3452 2884 Star
-3452 2862 Star
-3452 2839 Star
-3452 2816 Star
-3452 2793 Star
-3452 2770 Star
-3485 3798 Star
-3485 3775 Star
-3485 3753 Star
-3485 3730 Star
-3485 3707 Star
-3485 3684 Star
-3485 3661 Star
-3485 3638 Star
-3485 3615 Star
-3485 3593 Star
-3485 3570 Star
-3485 3547 Star
-3485 3524 Star
-3485 3501 Star
-3485 3478 Star
-3485 3456 Star
-3485 3433 Star
-3485 3410 Star
-3485 3387 Star
-3485 3364 Star
-3485 3341 Star
-3485 3318 Star
-3485 3296 Star
-3485 3273 Star
-3485 3250 Star
-3485 3227 Star
-3485 3204 Star
-3485 3181 Star
-3485 3159 Star
-3485 3136 Star
-3485 3113 Star
-3485 3090 Star
-3485 3067 Star
-3485 3044 Star
-3485 3021 Star
-3485 2999 Star
-3485 2976 Star
-3485 2953 Star
-3485 2930 Star
-3485 2907 Star
-3485 2884 Star
-3485 2862 Star
-3485 2839 Star
-3485 2816 Star
-3485 2793 Star
-3485 2770 Star
-3485 2747 Star
-3517 3798 Star
-3517 3775 Star
-3517 3753 Star
-3517 3730 Star
-3517 3707 Star
-3517 3684 Star
-3517 3661 Star
-3517 3638 Star
-3517 3615 Star
-3517 3593 Star
-3517 3570 Star
-3517 3547 Star
-3517 3524 Star
-3517 3501 Star
-3517 3478 Star
-3517 3456 Star
-3517 3433 Star
-3517 3410 Star
-3517 3387 Star
-3517 3364 Star
-3517 3341 Star
-3517 3318 Star
-3517 3296 Star
-3517 3273 Star
-3517 3250 Star
-3517 3227 Star
-3517 3204 Star
-3517 3181 Star
-3517 3159 Star
-3517 3136 Star
-3517 3113 Star
-3517 3090 Star
-3517 3067 Star
-3517 3044 Star
-3517 3021 Star
-3517 2999 Star
-3517 2976 Star
-3517 2953 Star
-3517 2930 Star
-3517 2907 Star
-3517 2884 Star
-3517 2862 Star
-3517 2839 Star
-3517 2816 Star
-3517 2793 Star
-3517 2770 Star
-3517 2747 Star
-3517 2724 Star
-3549 3775 Star
-3549 3753 Star
-3549 3730 Star
-3549 3707 Star
-3549 3684 Star
-3549 3661 Star
-3549 3638 Star
-3549 3615 Star
-3549 3593 Star
-3549 3570 Star
-3549 3547 Star
-3549 3524 Star
-3549 3501 Star
-3549 3478 Star
-3549 3456 Star
-3549 3433 Star
-3549 3410 Star
-3549 3387 Star
-3549 3364 Star
-3549 3341 Star
-3549 3318 Star
-3549 3296 Star
-3549 3273 Star
-3549 3250 Star
-3549 3227 Star
-3549 3204 Star
-3549 3181 Star
-3549 3159 Star
-3549 3136 Star
-3549 3113 Star
-3549 3090 Star
-3549 3067 Star
-3549 3044 Star
-3549 3021 Star
-3549 2999 Star
-3549 2976 Star
-3549 2953 Star
-3549 2930 Star
-3549 2907 Star
-3549 2884 Star
-3549 2862 Star
-3549 2839 Star
-3549 2816 Star
-3549 2793 Star
-3549 2770 Star
-3549 2747 Star
-3549 2724 Star
-3549 2702 Star
-3581 3775 Star
-3581 3753 Star
-3581 3730 Star
-3581 3707 Star
-3581 3684 Star
-3581 3661 Star
-3581 3638 Star
-3581 3615 Star
-3581 3593 Star
-3581 3570 Star
-3581 3547 Star
-3581 3524 Star
-3581 3501 Star
-3581 3478 Star
-3581 3456 Star
-3581 3433 Star
-3581 3410 Star
-3581 3387 Star
-3581 3364 Star
-3581 3341 Star
-3581 3318 Star
-3581 3296 Star
-3581 3273 Star
-3581 3250 Star
-3581 3227 Star
-3581 3204 Star
-3581 3181 Star
-3581 3159 Star
-3581 3136 Star
-3581 3113 Star
-3581 3090 Star
-3581 3067 Star
-3581 3044 Star
-3581 3021 Star
-3581 2999 Star
-3581 2976 Star
-3581 2953 Star
-3581 2930 Star
-3581 2907 Star
-3581 2884 Star
-3581 2862 Star
-3581 2839 Star
-3581 2816 Star
-3581 2793 Star
-3581 2770 Star
-3581 2747 Star
-3581 2724 Star
-3581 2702 Star
-3581 2679 Star
-3613 3753 Star
-3613 3730 Star
-3613 3707 Star
-3613 3684 Star
-3613 3661 Star
-3613 3638 Star
-3613 3615 Star
-3613 3593 Star
-3613 3570 Star
-3613 3547 Star
-3613 3524 Star
-3613 3501 Star
-3613 3478 Star
-3613 3456 Star
-3613 3433 Star
-3613 3410 Star
-3613 3387 Star
-3613 3364 Star
-3613 3341 Star
-3613 3318 Star
-3613 3296 Star
-3613 3273 Star
-3613 3250 Star
-3613 3227 Star
-3613 3204 Star
-3613 3181 Star
-3613 3159 Star
-3613 3136 Star
-3613 3113 Star
-3613 3090 Star
-3613 3067 Star
-3613 3044 Star
-3613 3021 Star
-3613 2999 Star
-3613 2976 Star
-3613 2953 Star
-3613 2930 Star
-3613 2907 Star
-3613 2884 Star
-3613 2862 Star
-3613 2839 Star
-3613 2816 Star
-3613 2793 Star
-3613 2770 Star
-3613 2747 Star
-3613 2724 Star
-3613 2702 Star
-3613 2679 Star
-3613 2656 Star
-3646 3753 Star
-3646 3730 Star
-3646 3707 Star
-3646 3684 Star
-3646 3661 Star
-3646 3638 Star
-3646 3615 Star
-3646 3593 Star
-3646 3570 Star
-3646 3547 Star
-3646 3524 Star
-3646 3501 Star
-3646 3478 Star
-3646 3456 Star
-3646 3433 Star
-3646 3410 Star
-3646 3387 Star
-3646 3364 Star
-3646 3341 Star
-3646 3318 Star
-3646 3296 Star
-3646 3273 Star
-3646 3250 Star
-3646 3227 Star
-3646 3204 Star
-3646 3181 Star
-3646 3159 Star
-3646 3136 Star
-3646 3113 Star
-3646 3090 Star
-3646 3067 Star
-3646 3044 Star
-3646 3021 Star
-3646 2999 Star
-3646 2976 Star
-3646 2953 Star
-3646 2930 Star
-3646 2907 Star
-3646 2884 Star
-3646 2862 Star
-3646 2839 Star
-3646 2816 Star
-3646 2793 Star
-3646 2770 Star
-3646 2747 Star
-3646 2724 Star
-3646 2702 Star
-3646 2679 Star
-3646 2656 Star
-3646 2633 Star
-3678 3730 Star
-3678 3707 Star
-3678 3684 Star
-3678 3661 Star
-3678 3638 Star
-3678 3615 Star
-3678 3593 Star
-3678 3570 Star
-3678 3547 Star
-3678 3524 Star
-3678 3501 Star
-3678 3478 Star
-3678 3456 Star
-3678 3433 Star
-3678 3410 Star
-3678 3387 Star
-3678 3364 Star
-3678 3341 Star
-3678 3318 Star
-3678 3296 Star
-3678 3273 Star
-3678 3250 Star
-3678 3227 Star
-3678 3204 Star
-3678 3181 Star
-3678 3159 Star
-3678 3136 Star
-3678 3113 Star
-3678 3090 Star
-3678 3067 Star
-3678 3044 Star
-3678 3021 Star
-3678 2999 Star
-3678 2976 Star
-3678 2953 Star
-3678 2930 Star
-3678 2907 Star
-3678 2884 Star
-3678 2862 Star
-3678 2839 Star
-3678 2816 Star
-3678 2793 Star
-3678 2770 Star
-3678 2747 Star
-3678 2724 Star
-3678 2702 Star
-3678 2679 Star
-3678 2656 Star
-3678 2633 Star
-3678 2610 Star
-3710 3730 Star
-3710 3707 Star
-3710 3684 Star
-3710 3661 Star
-3710 3638 Star
-3710 3615 Star
-3710 3593 Star
-3710 3570 Star
-3710 3547 Star
-3710 3524 Star
-3710 3501 Star
-3710 3478 Star
-3710 3456 Star
-3710 3433 Star
-3710 3410 Star
-3710 3387 Star
-3710 3364 Star
-3710 3341 Star
-3710 3318 Star
-3710 3296 Star
-3710 3273 Star
-3710 3250 Star
-3710 3227 Star
-3710 3204 Star
-3710 3181 Star
-3710 3159 Star
-3710 3136 Star
-3710 3113 Star
-3710 3090 Star
-3710 3067 Star
-3710 3044 Star
-3710 3021 Star
-3710 2999 Star
-3710 2976 Star
-3710 2953 Star
-3710 2930 Star
-3710 2907 Star
-3710 2884 Star
-3710 2862 Star
-3710 2839 Star
-3710 2816 Star
-3710 2793 Star
-3710 2770 Star
-3710 2747 Star
-3710 2724 Star
-3710 2702 Star
-3710 2679 Star
-3710 2656 Star
-3710 2633 Star
-3710 2610 Star
-3710 2587 Star
-3742 3707 Star
-3742 3684 Star
-3742 3661 Star
-3742 3638 Star
-3742 3615 Star
-3742 3593 Star
-3742 3570 Star
-3742 3547 Star
-3742 3524 Star
-3742 3501 Star
-3742 3478 Star
-3742 3456 Star
-3742 3433 Star
-3742 3410 Star
-3742 3387 Star
-3742 3364 Star
-3742 3341 Star
-3742 3318 Star
-3742 3296 Star
-3742 3273 Star
-3742 3250 Star
-3742 3227 Star
-3742 3204 Star
-3742 3181 Star
-3742 3159 Star
-3742 3136 Star
-3742 3113 Star
-3742 3090 Star
-3742 3067 Star
-3742 3044 Star
-3742 3021 Star
-3742 2999 Star
-3742 2976 Star
-3742 2953 Star
-3742 2930 Star
-3742 2907 Star
-3742 2884 Star
-3742 2862 Star
-3742 2839 Star
-3742 2816 Star
-3742 2793 Star
-3742 2770 Star
-3742 2747 Star
-3742 2724 Star
-3742 2702 Star
-3742 2679 Star
-3742 2656 Star
-3742 2633 Star
-3742 2610 Star
-3742 2587 Star
-3742 2565 Star
-3774 3707 Star
-3774 3684 Star
-3774 3661 Star
-3774 3638 Star
-3774 3615 Star
-3774 3593 Star
-3774 3570 Star
-3774 3547 Star
-3774 3524 Star
-3774 3501 Star
-3774 3478 Star
-3774 3456 Star
-3774 3433 Star
-3774 3410 Star
-3774 3387 Star
-3774 3364 Star
-3774 3341 Star
-3774 3318 Star
-3774 3296 Star
-3774 3273 Star
-3774 3250 Star
-3774 3227 Star
-3774 3204 Star
-3774 3181 Star
-3774 3159 Star
-3774 3136 Star
-3774 3113 Star
-3774 3090 Star
-3774 3067 Star
-3774 3044 Star
-3774 3021 Star
-3774 2999 Star
-3774 2976 Star
-3774 2953 Star
-3774 2930 Star
-3774 2907 Star
-3774 2884 Star
-3774 2862 Star
-3774 2839 Star
-3774 2816 Star
-3774 2793 Star
-3774 2770 Star
-3774 2747 Star
-3774 2724 Star
-3774 2702 Star
-3774 2679 Star
-3774 2656 Star
-3774 2633 Star
-3774 2610 Star
-3774 2587 Star
-3774 2565 Star
-3774 2542 Star
-3806 3684 Star
-3806 3661 Star
-3806 3638 Star
-3806 3615 Star
-3806 3593 Star
-3806 3570 Star
-3806 3547 Star
-3806 3524 Star
-3806 3501 Star
-3806 3478 Star
-3806 3456 Star
-3806 3433 Star
-3806 3410 Star
-3806 3387 Star
-3806 3364 Star
-3806 3341 Star
-3806 3318 Star
-3806 3296 Star
-3806 3273 Star
-3806 3250 Star
-3806 3227 Star
-3806 3204 Star
-3806 3181 Star
-3806 3159 Star
-3806 3136 Star
-3806 3113 Star
-3806 3090 Star
-3806 3067 Star
-3806 3044 Star
-3806 3021 Star
-3806 2999 Star
-3806 2976 Star
-3806 2953 Star
-3806 2930 Star
-3806 2907 Star
-3806 2884 Star
-3806 2862 Star
-3806 2839 Star
-3806 2816 Star
-3806 2793 Star
-3806 2770 Star
-3806 2747 Star
-3806 2724 Star
-3806 2702 Star
-3806 2679 Star
-3806 2656 Star
-3806 2633 Star
-3806 2610 Star
-3806 2587 Star
-3806 2565 Star
-3806 2542 Star
-3806 2519 Star
-3839 3684 Star
-3839 3661 Star
-3839 3638 Star
-3839 3615 Star
-3839 3593 Star
-3839 3570 Star
-3839 3547 Star
-3839 3524 Star
-3839 3501 Star
-3839 3478 Star
-3839 3456 Star
-3839 3433 Star
-3839 3410 Star
-3839 3387 Star
-3839 3364 Star
-3839 3341 Star
-3839 3318 Star
-3839 3296 Star
-3839 3273 Star
-3839 3250 Star
-3839 3227 Star
-3839 3204 Star
-3839 3181 Star
-3839 3159 Star
-3839 3136 Star
-3839 3113 Star
-3839 3090 Star
-3839 3067 Star
-3839 3044 Star
-3839 3021 Star
-3839 2999 Star
-3839 2976 Star
-3839 2953 Star
-3839 2930 Star
-3839 2907 Star
-3839 2884 Star
-3839 2862 Star
-3839 2839 Star
-3839 2816 Star
-3839 2793 Star
-3839 2770 Star
-3839 2747 Star
-3839 2724 Star
-3839 2702 Star
-3839 2679 Star
-3839 2656 Star
-3839 2633 Star
-3839 2610 Star
-3839 2587 Star
-3839 2565 Star
-3839 2542 Star
-3839 2519 Star
-3839 2496 Star
-3871 3661 Star
-3871 3638 Star
-3871 3615 Star
-3871 3593 Star
-3871 3570 Star
-3871 3547 Star
-3871 3524 Star
-3871 3501 Star
-3871 3478 Star
-3871 3456 Star
-3871 3433 Star
-3871 3410 Star
-3871 3387 Star
-3871 3364 Star
-3871 3341 Star
-3871 3318 Star
-3871 3296 Star
-3871 3273 Star
-3871 3250 Star
-3871 3227 Star
-3871 3204 Star
-3871 3181 Star
-3871 3159 Star
-3871 3136 Star
-3871 3113 Star
-3871 3090 Star
-3871 3067 Star
-3871 3044 Star
-3871 3021 Star
-3871 2999 Star
-3871 2976 Star
-3871 2953 Star
-3871 2930 Star
-3871 2907 Star
-3871 2884 Star
-3871 2862 Star
-3871 2839 Star
-3871 2816 Star
-3871 2793 Star
-3871 2770 Star
-3871 2747 Star
-3871 2724 Star
-3871 2702 Star
-3871 2679 Star
-3871 2656 Star
-3871 2633 Star
-3871 2610 Star
-3871 2587 Star
-3871 2565 Star
-3871 2542 Star
-3871 2519 Star
-3871 2496 Star
-3871 2473 Star
-3903 3661 Star
-3903 3638 Star
-3903 3615 Star
-3903 3593 Star
-3903 3570 Star
-3903 3547 Star
-3903 3524 Star
-3903 3501 Star
-3903 3478 Star
-3903 3456 Star
-3903 3433 Star
-3903 3410 Star
-3903 3387 Star
-3903 3364 Star
-3903 3341 Star
-3903 3318 Star
-3903 3296 Star
-3903 3273 Star
-3903 3250 Star
-3903 3227 Star
-3903 3204 Star
-3903 3181 Star
-3903 3159 Star
-3903 3136 Star
-3903 3113 Star
-3903 3090 Star
-3903 3067 Star
-3903 3044 Star
-3903 3021 Star
-3903 2999 Star
-3903 2976 Star
-3903 2953 Star
-3903 2930 Star
-3903 2907 Star
-3903 2884 Star
-3903 2862 Star
-3903 2839 Star
-3903 2816 Star
-3903 2793 Star
-3903 2770 Star
-3903 2747 Star
-3903 2724 Star
-3903 2702 Star
-3903 2679 Star
-3903 2656 Star
-3903 2633 Star
-3903 2610 Star
-3903 2587 Star
-3903 2565 Star
-3903 2542 Star
-3903 2519 Star
-3903 2496 Star
-3903 2473 Star
-3903 2450 Star
-3935 3638 Star
-3935 3615 Star
-3935 3593 Star
-3935 3570 Star
-3935 3547 Star
-3935 3524 Star
-3935 3501 Star
-3935 3478 Star
-3935 3456 Star
-3935 3433 Star
-3935 3410 Star
-3935 3387 Star
-3935 3364 Star
-3935 3341 Star
-3935 3318 Star
-3935 3296 Star
-3935 3273 Star
-3935 3250 Star
-3935 3227 Star
-3935 3204 Star
-3935 3181 Star
-3935 3159 Star
-3935 3136 Star
-3935 3113 Star
-3935 3090 Star
-3935 3067 Star
-3935 3044 Star
-3935 3021 Star
-3935 2999 Star
-3935 2976 Star
-3935 2953 Star
-3935 2930 Star
-3935 2907 Star
-3935 2884 Star
-3935 2862 Star
-3935 2839 Star
-3935 2816 Star
-3935 2793 Star
-3935 2770 Star
-3935 2747 Star
-3935 2724 Star
-3935 2702 Star
-3935 2679 Star
-3935 2656 Star
-3935 2633 Star
-3935 2610 Star
-3935 2587 Star
-3935 2565 Star
-3935 2542 Star
-3935 2519 Star
-3935 2496 Star
-3935 2473 Star
-3935 2450 Star
-3935 2428 Star
-3967 3638 Star
-3967 3615 Star
-3967 3593 Star
-3967 3570 Star
-3967 3547 Star
-3967 3524 Star
-3967 3501 Star
-3967 3478 Star
-3967 3456 Star
-3967 3433 Star
-3967 3410 Star
-3967 3387 Star
-3967 3364 Star
-3967 3341 Star
-3967 3318 Star
-3967 3296 Star
-3967 3273 Star
-3967 3250 Star
-3967 3227 Star
-3967 3204 Star
-3967 3181 Star
-3967 3159 Star
-3967 3136 Star
-3967 3113 Star
-3967 3090 Star
-3967 3067 Star
-3967 3044 Star
-3967 3021 Star
-3967 2999 Star
-3967 2976 Star
-3967 2953 Star
-3967 2930 Star
-3967 2907 Star
-3967 2884 Star
-3967 2862 Star
-3967 2839 Star
-3967 2816 Star
-3967 2793 Star
-3967 2770 Star
-3967 2747 Star
-3967 2724 Star
-3967 2702 Star
-3967 2679 Star
-3967 2656 Star
-3967 2633 Star
-3967 2610 Star
-3967 2587 Star
-3967 2565 Star
-3967 2542 Star
-3967 2519 Star
-3967 2496 Star
-3967 2473 Star
-3967 2450 Star
-3967 2428 Star
-3967 2405 Star
-4000 3615 Star
-4000 3593 Star
-4000 3570 Star
-4000 3547 Star
-4000 3524 Star
-4000 3501 Star
-4000 3478 Star
-4000 3456 Star
-4000 3433 Star
-4000 3410 Star
-4000 3387 Star
-4000 3364 Star
-4000 3341 Star
-4000 3318 Star
-4000 3296 Star
-4000 3273 Star
-4000 3250 Star
-4000 3227 Star
-4000 3204 Star
-4000 3181 Star
-4000 3159 Star
-4000 3136 Star
-4000 3113 Star
-4000 3090 Star
-4000 3067 Star
-4000 3044 Star
-4000 3021 Star
-4000 2999 Star
-4000 2976 Star
-4000 2953 Star
-4000 2930 Star
-4000 2907 Star
-4000 2884 Star
-4000 2862 Star
-4000 2839 Star
-4000 2816 Star
-4000 2793 Star
-4000 2770 Star
-4000 2747 Star
-4000 2724 Star
-4000 2702 Star
-4000 2679 Star
-4000 2656 Star
-4000 2633 Star
-4000 2610 Star
-4000 2587 Star
-4000 2565 Star
-4000 2542 Star
-4000 2519 Star
-4000 2496 Star
-4000 2473 Star
-4000 2450 Star
-4000 2428 Star
-4000 2405 Star
-4000 2382 Star
-4032 3615 Star
-4032 3593 Star
-4032 3570 Star
-4032 3547 Star
-4032 3524 Star
-4032 3501 Star
-4032 3478 Star
-4032 3456 Star
-4032 3433 Star
-4032 3410 Star
-4032 3387 Star
-4032 3364 Star
-4032 3341 Star
-4032 3318 Star
-4032 3296 Star
-4032 3273 Star
-4032 3250 Star
-4032 3227 Star
-4032 3204 Star
-4032 3181 Star
-4032 3159 Star
-4032 3136 Star
-4032 3113 Star
-4032 3090 Star
-4032 3067 Star
-4032 3044 Star
-4032 3021 Star
-4032 2999 Star
-4032 2976 Star
-4032 2953 Star
-4032 2930 Star
-4032 2907 Star
-4032 2884 Star
-4032 2862 Star
-4032 2839 Star
-4032 2816 Star
-4032 2793 Star
-4032 2770 Star
-4032 2747 Star
-4032 2724 Star
-4032 2702 Star
-4032 2679 Star
-4032 2656 Star
-4032 2633 Star
-4032 2610 Star
-4032 2587 Star
-4032 2565 Star
-4032 2542 Star
-4032 2519 Star
-4032 2496 Star
-4032 2473 Star
-4032 2450 Star
-4032 2428 Star
-4032 2405 Star
-4032 2382 Star
-4032 2359 Star
-4064 3593 Star
-4064 3570 Star
-4064 3547 Star
-4064 3524 Star
-4064 3501 Star
-4064 3478 Star
-4064 3456 Star
-4064 3433 Star
-4064 3410 Star
-4064 3387 Star
-4064 3364 Star
-4064 3341 Star
-4064 3318 Star
-4064 3296 Star
-4064 3273 Star
-4064 3250 Star
-4064 3227 Star
-4064 3204 Star
-4064 3181 Star
-4064 3159 Star
-4064 3136 Star
-4064 3113 Star
-4064 3090 Star
-4064 3067 Star
-4064 3044 Star
-4064 3021 Star
-4064 2999 Star
-4064 2976 Star
-4064 2953 Star
-4064 2930 Star
-4064 2907 Star
-4064 2884 Star
-4064 2862 Star
-4064 2839 Star
-4064 2816 Star
-4064 2793 Star
-4064 2770 Star
-4064 2747 Star
-4064 2724 Star
-4064 2702 Star
-4064 2679 Star
-4064 2656 Star
-4064 2633 Star
-4064 2610 Star
-4064 2587 Star
-4064 2565 Star
-4064 2542 Star
-4064 2519 Star
-4064 2496 Star
-4064 2473 Star
-4064 2450 Star
-4064 2428 Star
-4064 2405 Star
-4064 2382 Star
-4064 2359 Star
-4064 2336 Star
-4096 3593 Star
-4096 3570 Star
-4096 3547 Star
-4096 3524 Star
-4096 3501 Star
-4096 3478 Star
-4096 3456 Star
-4096 3433 Star
-4096 3410 Star
-4096 3387 Star
-4096 3364 Star
-4096 3341 Star
-4096 3318 Star
-4096 3296 Star
-4096 3273 Star
-4096 3250 Star
-4096 3227 Star
-4096 3204 Star
-4096 3181 Star
-4096 3159 Star
-4096 3136 Star
-4096 3113 Star
-4096 3090 Star
-4096 3067 Star
-4096 3044 Star
-4096 3021 Star
-4096 2999 Star
-4096 2976 Star
-4096 2953 Star
-4096 2930 Star
-4096 2907 Star
-4096 2884 Star
-4096 2862 Star
-4096 2839 Star
-4096 2816 Star
-4096 2793 Star
-4096 2770 Star
-4096 2747 Star
-4096 2724 Star
-4096 2702 Star
-4096 2679 Star
-4096 2656 Star
-4096 2633 Star
-4096 2610 Star
-4096 2587 Star
-4096 2565 Star
-4096 2542 Star
-4096 2519 Star
-4096 2496 Star
-4096 2473 Star
-4096 2450 Star
-4096 2428 Star
-4096 2405 Star
-4096 2382 Star
-4096 2359 Star
-4096 2336 Star
-4096 2313 Star
-4128 3570 Star
-4128 3547 Star
-4128 3524 Star
-4128 3501 Star
-4128 3478 Star
-4128 3456 Star
-4128 3433 Star
-4128 3410 Star
-4128 3387 Star
-4128 3364 Star
-4128 3341 Star
-4128 3318 Star
-4128 3296 Star
-4128 3273 Star
-4128 3250 Star
-4128 3227 Star
-4128 3204 Star
-4128 3181 Star
-4128 3159 Star
-4128 3136 Star
-4128 3113 Star
-4128 3090 Star
-4128 3067 Star
-4128 3044 Star
-4128 3021 Star
-4128 2999 Star
-4128 2976 Star
-4128 2953 Star
-4128 2930 Star
-4128 2907 Star
-4128 2884 Star
-4128 2862 Star
-4128 2839 Star
-4128 2816 Star
-4128 2793 Star
-4128 2770 Star
-4128 2747 Star
-4128 2724 Star
-4128 2702 Star
-4128 2679 Star
-4128 2656 Star
-4128 2633 Star
-4128 2610 Star
-4128 2587 Star
-4128 2565 Star
-4128 2542 Star
-4128 2519 Star
-4128 2496 Star
-4128 2473 Star
-4128 2450 Star
-4128 2428 Star
-4128 2405 Star
-4128 2382 Star
-4128 2359 Star
-4128 2336 Star
-4128 2313 Star
-4128 2290 Star
-4161 3570 Star
-4161 3547 Star
-4161 3524 Star
-4161 3501 Star
-4161 3478 Star
-4161 3456 Star
-4161 3433 Star
-4161 3410 Star
-4161 3387 Star
-4161 3364 Star
-4161 3341 Star
-4161 3318 Star
-4161 3296 Star
-4161 3273 Star
-4161 3250 Star
-4161 3227 Star
-4161 3204 Star
-4161 3181 Star
-4161 3159 Star
-4161 3136 Star
-4161 3113 Star
-4161 3090 Star
-4161 3067 Star
-4161 3044 Star
-4161 3021 Star
-4161 2999 Star
-4161 2976 Star
-4161 2953 Star
-4161 2930 Star
-4161 2907 Star
-4161 2884 Star
-4161 2862 Star
-4161 2839 Star
-4161 2816 Star
-4161 2793 Star
-4161 2770 Star
-4161 2747 Star
-4161 2724 Star
-4161 2702 Star
-4161 2679 Star
-4161 2656 Star
-4161 2633 Star
-4161 2610 Star
-4161 2587 Star
-4161 2565 Star
-4161 2542 Star
-4161 2519 Star
-4161 2496 Star
-4161 2473 Star
-4161 2450 Star
-4161 2428 Star
-4161 2405 Star
-4161 2382 Star
-4161 2359 Star
-4161 2336 Star
-4161 2313 Star
-4161 2290 Star
-4161 2268 Star
-4193 3547 Star
-4193 3524 Star
-4193 3501 Star
-4193 3478 Star
-4193 3456 Star
-4193 3433 Star
-4193 3410 Star
-4193 3387 Star
-4193 3364 Star
-4193 3341 Star
-4193 3318 Star
-4193 3296 Star
-4193 3273 Star
-4193 3250 Star
-4193 3227 Star
-4193 3204 Star
-4193 3181 Star
-4193 3159 Star
-4193 3136 Star
-4193 3113 Star
-4193 3090 Star
-4193 3067 Star
-4193 3044 Star
-4193 3021 Star
-4193 2999 Star
-4193 2976 Star
-4193 2953 Star
-4193 2930 Star
-4193 2907 Star
-4193 2884 Star
-4193 2862 Star
-4193 2839 Star
-4193 2816 Star
-4193 2793 Star
-4193 2770 Star
-4193 2747 Star
-4193 2724 Star
-4193 2702 Star
-4193 2679 Star
-4193 2656 Star
-4193 2633 Star
-4193 2610 Star
-4193 2587 Star
-4193 2565 Star
-4193 2542 Star
-4193 2519 Star
-4193 2496 Star
-4193 2473 Star
-4193 2450 Star
-4193 2428 Star
-4193 2405 Star
-4193 2382 Star
-4193 2359 Star
-4193 2336 Star
-4193 2313 Star
-4193 2290 Star
-4193 2268 Star
-4193 2245 Star
-4225 3547 Star
-4225 3524 Star
-4225 3501 Star
-4225 3478 Star
-4225 3456 Star
-4225 3433 Star
-4225 3410 Star
-4225 3387 Star
-4225 3364 Star
-4225 3341 Star
-4225 3318 Star
-4225 3296 Star
-4225 3273 Star
-4225 3250 Star
-4225 3227 Star
-4225 3204 Star
-4225 3181 Star
-4225 3159 Star
-4225 3136 Star
-4225 3113 Star
-4225 3090 Star
-4225 3067 Star
-4225 3044 Star
-4225 3021 Star
-4225 2999 Star
-4225 2976 Star
-4225 2953 Star
-4225 2930 Star
-4225 2907 Star
-4225 2884 Star
-4225 2862 Star
-4225 2839 Star
-4225 2816 Star
-4225 2793 Star
-4225 2770 Star
-4225 2747 Star
-4225 2724 Star
-4225 2702 Star
-4225 2679 Star
-4225 2656 Star
-4225 2633 Star
-4225 2610 Star
-4225 2587 Star
-4225 2565 Star
-4225 2542 Star
-4225 2519 Star
-4225 2496 Star
-4225 2473 Star
-4225 2450 Star
-4225 2428 Star
-4225 2405 Star
-4225 2382 Star
-4225 2359 Star
-4225 2336 Star
-4225 2313 Star
-4225 2290 Star
-4225 2268 Star
-4225 2245 Star
-4225 2222 Star
-4257 3524 Star
-4257 3501 Star
-4257 3478 Star
-4257 3456 Star
-4257 3433 Star
-4257 3410 Star
-4257 3387 Star
-4257 3364 Star
-4257 3341 Star
-4257 3318 Star
-4257 3296 Star
-4257 3273 Star
-4257 3250 Star
-4257 3227 Star
-4257 3204 Star
-4257 3181 Star
-4257 3159 Star
-4257 3136 Star
-4257 3113 Star
-4257 3090 Star
-4257 3067 Star
-4257 3044 Star
-4257 3021 Star
-4257 2999 Star
-4257 2976 Star
-4257 2953 Star
-4257 2930 Star
-4257 2907 Star
-4257 2884 Star
-4257 2862 Star
-4257 2839 Star
-4257 2816 Star
-4257 2793 Star
-4257 2770 Star
-4257 2747 Star
-4257 2724 Star
-4257 2702 Star
-4257 2679 Star
-4257 2656 Star
-4257 2633 Star
-4257 2610 Star
-4257 2587 Star
-4257 2565 Star
-4257 2542 Star
-4257 2519 Star
-4257 2496 Star
-4257 2473 Star
-4257 2450 Star
-4257 2428 Star
-4257 2405 Star
-4257 2382 Star
-4257 2359 Star
-4257 2336 Star
-4257 2313 Star
-4257 2290 Star
-4257 2268 Star
-4257 2245 Star
-4257 2222 Star
-4257 2199 Star
-4289 3524 Star
-4289 3501 Star
-4289 3478 Star
-4289 3456 Star
-4289 3433 Star
-4289 3410 Star
-4289 3387 Star
-4289 3364 Star
-4289 3341 Star
-4289 3318 Star
-4289 3296 Star
-4289 3273 Star
-4289 3250 Star
-4289 3227 Star
-4289 3204 Star
-4289 3181 Star
-4289 3159 Star
-4289 3136 Star
-4289 3113 Star
-4289 3090 Star
-4289 3067 Star
-4289 3044 Star
-4289 3021 Star
-4289 2999 Star
-4289 2976 Star
-4289 2953 Star
-4289 2930 Star
-4289 2907 Star
-4289 2884 Star
-4289 2862 Star
-4289 2839 Star
-4289 2816 Star
-4289 2793 Star
-4289 2770 Star
-4289 2747 Star
-4289 2724 Star
-4289 2702 Star
-4289 2679 Star
-4289 2656 Star
-4289 2633 Star
-4289 2610 Star
-4289 2587 Star
-4289 2565 Star
-4289 2542 Star
-4289 2519 Star
-4289 2496 Star
-4289 2473 Star
-4289 2450 Star
-4289 2428 Star
-4289 2405 Star
-4289 2382 Star
-4289 2359 Star
-4289 2336 Star
-4289 2313 Star
-4289 2290 Star
-4289 2268 Star
-4289 2245 Star
-4289 2222 Star
-4289 2199 Star
-4289 2176 Star
-4322 3501 Star
-4322 3478 Star
-4322 3456 Star
-4322 3433 Star
-4322 3410 Star
-4322 3387 Star
-4322 3364 Star
-4322 3341 Star
-4322 3318 Star
-4322 3296 Star
-4322 3273 Star
-4322 3250 Star
-4322 3227 Star
-4322 3204 Star
-4322 3181 Star
-4322 3159 Star
-4322 3136 Star
-4322 3113 Star
-4322 3090 Star
-4322 3067 Star
-4322 3044 Star
-4322 3021 Star
-4322 2999 Star
-4322 2976 Star
-4322 2953 Star
-4322 2930 Star
-4322 2907 Star
-4322 2884 Star
-4322 2862 Star
-4322 2839 Star
-4322 2816 Star
-4322 2793 Star
-4322 2770 Star
-4322 2747 Star
-4322 2724 Star
-4322 2702 Star
-4322 2679 Star
-4322 2656 Star
-4322 2633 Star
-4322 2610 Star
-4322 2587 Star
-4322 2565 Star
-4322 2542 Star
-4322 2519 Star
-4322 2496 Star
-4322 2473 Star
-4322 2450 Star
-4322 2428 Star
-4322 2405 Star
-4322 2382 Star
-4322 2359 Star
-4322 2336 Star
-4322 2313 Star
-4322 2290 Star
-4322 2268 Star
-4322 2245 Star
-4322 2222 Star
-4322 2199 Star
-4322 2176 Star
-4322 2153 Star
-4354 3501 Star
-4354 3478 Star
-4354 3456 Star
-4354 3433 Star
-4354 3410 Star
-4354 3387 Star
-4354 3364 Star
-4354 3341 Star
-4354 3318 Star
-4354 3296 Star
-4354 3273 Star
-4354 3250 Star
-4354 3227 Star
-4354 3204 Star
-4354 3181 Star
-4354 3159 Star
-4354 3136 Star
-4354 3113 Star
-4354 3090 Star
-4354 3067 Star
-4354 3044 Star
-4354 3021 Star
-4354 2999 Star
-4354 2976 Star
-4354 2953 Star
-4354 2930 Star
-4354 2907 Star
-4354 2884 Star
-4354 2862 Star
-4354 2839 Star
-4354 2816 Star
-4354 2793 Star
-4354 2770 Star
-4354 2747 Star
-4354 2724 Star
-4354 2702 Star
-4354 2679 Star
-4354 2656 Star
-4354 2633 Star
-4354 2610 Star
-4354 2587 Star
-4354 2565 Star
-4354 2542 Star
-4354 2519 Star
-4354 2496 Star
-4354 2473 Star
-4354 2450 Star
-4354 2428 Star
-4354 2405 Star
-4354 2382 Star
-4354 2359 Star
-4354 2336 Star
-4354 2313 Star
-4354 2290 Star
-4354 2268 Star
-4354 2245 Star
-4354 2222 Star
-4354 2199 Star
-4354 2176 Star
-4354 2153 Star
-4354 2131 Star
-4386 3478 Star
-4386 3456 Star
-4386 3433 Star
-4386 3410 Star
-4386 3387 Star
-4386 3364 Star
-4386 3341 Star
-4386 3318 Star
-4386 3296 Star
-4386 3273 Star
-4386 3250 Star
-4386 3227 Star
-4386 3204 Star
-4386 3181 Star
-4386 3159 Star
-4386 3136 Star
-4386 3113 Star
-4386 3090 Star
-4386 3067 Star
-4386 3044 Star
-4386 3021 Star
-4386 2999 Star
-4386 2976 Star
-4386 2953 Star
-4386 2930 Star
-4386 2907 Star
-4386 2884 Star
-4386 2862 Star
-4386 2839 Star
-4386 2816 Star
-4386 2793 Star
-4386 2770 Star
-4386 2747 Star
-4386 2724 Star
-4386 2702 Star
-4386 2679 Star
-4386 2656 Star
-4386 2633 Star
-4386 2610 Star
-4386 2587 Star
-4386 2565 Star
-4386 2542 Star
-4386 2519 Star
-4386 2496 Star
-4386 2473 Star
-4386 2450 Star
-4386 2428 Star
-4386 2405 Star
-4386 2382 Star
-4386 2359 Star
-4386 2336 Star
-4386 2313 Star
-4386 2290 Star
-4386 2268 Star
-4386 2245 Star
-4386 2222 Star
-4386 2199 Star
-4386 2176 Star
-4386 2153 Star
-4386 2131 Star
-4386 2108 Star
-4418 3478 Star
-4418 3456 Star
-4418 3433 Star
-4418 3410 Star
-4418 3387 Star
-4418 3364 Star
-4418 3341 Star
-4418 3318 Star
-4418 3296 Star
-4418 3273 Star
-4418 3250 Star
-4418 3227 Star
-4418 3204 Star
-4418 3181 Star
-4418 3159 Star
-4418 3136 Star
-4418 3113 Star
-4418 3090 Star
-4418 3067 Star
-4418 3044 Star
-4418 3021 Star
-4418 2999 Star
-4418 2976 Star
-4418 2953 Star
-4418 2930 Star
-4418 2907 Star
-4418 2884 Star
-4418 2862 Star
-4418 2839 Star
-4418 2816 Star
-4418 2793 Star
-4418 2770 Star
-4418 2747 Star
-4418 2724 Star
-4418 2702 Star
-4418 2679 Star
-4418 2656 Star
-4418 2633 Star
-4418 2610 Star
-4418 2587 Star
-4418 2565 Star
-4418 2542 Star
-4418 2519 Star
-4418 2496 Star
-4418 2473 Star
-4418 2450 Star
-4418 2428 Star
-4418 2405 Star
-4418 2382 Star
-4418 2359 Star
-4418 2336 Star
-4418 2313 Star
-4418 2290 Star
-4418 2268 Star
-4418 2245 Star
-4418 2222 Star
-4418 2199 Star
-4418 2176 Star
-4418 2153 Star
-4418 2131 Star
-4418 2108 Star
-4418 2085 Star
-4450 3456 Star
-4450 3433 Star
-4450 3410 Star
-4450 3387 Star
-4450 3364 Star
-4450 3341 Star
-4450 3318 Star
-4450 3296 Star
-4450 3273 Star
-4450 3250 Star
-4450 3227 Star
-4450 3204 Star
-4450 3181 Star
-4450 3159 Star
-4450 3136 Star
-4450 3113 Star
-4450 3090 Star
-4450 3067 Star
-4450 3044 Star
-4450 3021 Star
-4450 2999 Star
-4450 2976 Star
-4450 2953 Star
-4450 2930 Star
-4450 2907 Star
-4450 2884 Star
-4450 2862 Star
-4450 2839 Star
-4450 2816 Star
-4450 2793 Star
-4450 2770 Star
-4450 2747 Star
-4450 2724 Star
-4450 2702 Star
-4450 2679 Star
-4450 2656 Star
-4450 2633 Star
-4450 2610 Star
-4450 2587 Star
-4450 2565 Star
-4450 2542 Star
-4450 2519 Star
-4450 2496 Star
-4450 2473 Star
-4450 2450 Star
-4450 2428 Star
-4450 2405 Star
-4450 2382 Star
-4450 2359 Star
-4450 2336 Star
-4450 2313 Star
-4450 2290 Star
-4450 2268 Star
-4450 2245 Star
-4450 2222 Star
-4450 2199 Star
-4450 2176 Star
-4450 2153 Star
-4450 2131 Star
-4450 2108 Star
-4450 2085 Star
-4450 2062 Star
-4483 3456 Star
-4483 3433 Star
-4483 3410 Star
-4483 3387 Star
-4483 3364 Star
-4483 3341 Star
-4483 3318 Star
-4483 3296 Star
-4483 3273 Star
-4483 3250 Star
-4483 3227 Star
-4483 3204 Star
-4483 3181 Star
-4483 3159 Star
-4483 3136 Star
-4483 3113 Star
-4483 3090 Star
-4483 3067 Star
-4483 3044 Star
-4483 3021 Star
-4483 2999 Star
-4483 2976 Star
-4483 2953 Star
-4483 2930 Star
-4483 2907 Star
-4483 2884 Star
-4483 2862 Star
-4483 2839 Star
-4483 2816 Star
-4483 2793 Star
-4483 2770 Star
-4483 2747 Star
-4483 2724 Star
-4483 2702 Star
-4483 2679 Star
-4483 2656 Star
-4483 2633 Star
-4483 2610 Star
-4483 2587 Star
-4483 2565 Star
-4483 2542 Star
-4483 2519 Star
-4483 2496 Star
-4483 2473 Star
-4483 2450 Star
-4483 2428 Star
-4483 2405 Star
-4483 2382 Star
-4483 2359 Star
-4483 2336 Star
-4483 2313 Star
-4483 2290 Star
-4483 2268 Star
-4483 2245 Star
-4483 2222 Star
-4483 2199 Star
-4483 2176 Star
-4483 2153 Star
-4483 2131 Star
-4483 2108 Star
-4483 2085 Star
-4483 2062 Star
-4483 2039 Star
-4515 3433 Star
-4515 3410 Star
-4515 3387 Star
-4515 3364 Star
-4515 3341 Star
-4515 3318 Star
-4515 3296 Star
-4515 3273 Star
-4515 3250 Star
-4515 3227 Star
-4515 3204 Star
-4515 3181 Star
-4515 3159 Star
-4515 3136 Star
-4515 3113 Star
-4515 3090 Star
-4515 3067 Star
-4515 3044 Star
-4515 3021 Star
-4515 2999 Star
-4515 2976 Star
-4515 2953 Star
-4515 2930 Star
-4515 2907 Star
-4515 2884 Star
-4515 2862 Star
-4515 2839 Star
-4515 2816 Star
-4515 2793 Star
-4515 2770 Star
-4515 2747 Star
-4515 2724 Star
-4515 2702 Star
-4515 2679 Star
-4515 2656 Star
-4515 2633 Star
-4515 2610 Star
-4515 2587 Star
-4515 2565 Star
-4515 2542 Star
-4515 2519 Star
-4515 2496 Star
-4515 2473 Star
-4515 2450 Star
-4515 2428 Star
-4515 2405 Star
-4515 2382 Star
-4515 2359 Star
-4515 2336 Star
-4515 2313 Star
-4515 2290 Star
-4515 2268 Star
-4515 2245 Star
-4515 2222 Star
-4515 2199 Star
-4515 2176 Star
-4515 2153 Star
-4515 2131 Star
-4515 2108 Star
-4515 2085 Star
-4515 2062 Star
-4515 2039 Star
-4515 2016 Star
-4547 3433 Star
-4547 3410 Star
-4547 3387 Star
-4547 3364 Star
-4547 3341 Star
-4547 3318 Star
-4547 3296 Star
-4547 3273 Star
-4547 3250 Star
-4547 3227 Star
-4547 3204 Star
-4547 3181 Star
-4547 3159 Star
-4547 3136 Star
-4547 3113 Star
-4547 3090 Star
-4547 3067 Star
-4547 3044 Star
-4547 3021 Star
-4547 2999 Star
-4547 2976 Star
-4547 2953 Star
-4547 2930 Star
-4547 2907 Star
-4547 2884 Star
-4547 2862 Star
-4547 2839 Star
-4547 2816 Star
-4547 2793 Star
-4547 2770 Star
-4547 2747 Star
-4547 2724 Star
-4547 2702 Star
-4547 2679 Star
-4547 2656 Star
-4547 2633 Star
-4547 2610 Star
-4547 2587 Star
-4547 2565 Star
-4547 2542 Star
-4547 2519 Star
-4547 2496 Star
-4547 2473 Star
-4547 2450 Star
-4547 2428 Star
-4547 2405 Star
-4547 2382 Star
-4547 2359 Star
-4547 2336 Star
-4547 2313 Star
-4547 2290 Star
-4547 2268 Star
-4547 2245 Star
-4547 2222 Star
-4547 2199 Star
-4547 2176 Star
-4547 2153 Star
-4547 2131 Star
-4547 2108 Star
-4547 2085 Star
-4547 2062 Star
-4547 2039 Star
-4547 2016 Star
-4547 1993 Star
-4579 3410 Star
-4579 3387 Star
-4579 3364 Star
-4579 3341 Star
-4579 3318 Star
-4579 3296 Star
-4579 3273 Star
-4579 3250 Star
-4579 3227 Star
-4579 3204 Star
-4579 3181 Star
-4579 3159 Star
-4579 3136 Star
-4579 3113 Star
-4579 3090 Star
-4579 3067 Star
-4579 3044 Star
-4579 3021 Star
-4579 2999 Star
-4579 2976 Star
-4579 2953 Star
-4579 2930 Star
-4579 2907 Star
-4579 2884 Star
-4579 2862 Star
-4579 2839 Star
-4579 2816 Star
-4579 2793 Star
-4579 2770 Star
-4579 2747 Star
-4579 2724 Star
-4579 2702 Star
-4579 2679 Star
-4579 2656 Star
-4579 2633 Star
-4579 2610 Star
-4579 2587 Star
-4579 2565 Star
-4579 2542 Star
-4579 2519 Star
-4579 2496 Star
-4579 2473 Star
-4579 2450 Star
-4579 2428 Star
-4579 2405 Star
-4579 2382 Star
-4579 2359 Star
-4579 2336 Star
-4579 2313 Star
-4579 2290 Star
-4579 2268 Star
-4579 2245 Star
-4579 2222 Star
-4579 2199 Star
-4579 2176 Star
-4579 2153 Star
-4579 2131 Star
-4579 2108 Star
-4579 2085 Star
-4579 2062 Star
-4579 2039 Star
-4579 2016 Star
-4579 1993 Star
-4579 1971 Star
-4611 3410 Star
-4611 3387 Star
-4611 3364 Star
-4611 3341 Star
-4611 3318 Star
-4611 3296 Star
-4611 3273 Star
-4611 3250 Star
-4611 3227 Star
-4611 3204 Star
-4611 3181 Star
-4611 3159 Star
-4611 3136 Star
-4611 3113 Star
-4611 3090 Star
-4611 3067 Star
-4611 3044 Star
-4611 3021 Star
-4611 2999 Star
-4611 2976 Star
-4611 2953 Star
-4611 2930 Star
-4611 2907 Star
-4611 2884 Star
-4611 2862 Star
-4611 2839 Star
-4611 2816 Star
-4611 2793 Star
-4611 2770 Star
-4611 2747 Star
-4611 2724 Star
-4611 2702 Star
-4611 2679 Star
-4611 2656 Star
-4611 2633 Star
-4611 2610 Star
-4611 2587 Star
-4611 2565 Star
-4611 2542 Star
-4611 2519 Star
-4611 2496 Star
-4611 2473 Star
-4611 2450 Star
-4611 2428 Star
-4611 2405 Star
-4611 2382 Star
-4611 2359 Star
-4611 2336 Star
-4611 2313 Star
-4611 2290 Star
-4611 2268 Star
-4611 2245 Star
-4611 2222 Star
-4611 2199 Star
-4611 2176 Star
-4611 2153 Star
-4611 2131 Star
-4611 2108 Star
-4611 2085 Star
-4611 2062 Star
-4611 2039 Star
-4611 2016 Star
-4611 1993 Star
-4611 1971 Star
-4611 1948 Star
-4644 3387 Star
-4644 3364 Star
-4644 3341 Star
-4644 3318 Star
-4644 3296 Star
-4644 3273 Star
-4644 3250 Star
-4644 3227 Star
-4644 3204 Star
-4644 3181 Star
-4644 3159 Star
-4644 3136 Star
-4644 3113 Star
-4644 3090 Star
-4644 3067 Star
-4644 3044 Star
-4644 3021 Star
-4644 2999 Star
-4644 2976 Star
-4644 2953 Star
-4644 2930 Star
-4644 2907 Star
-4644 2884 Star
-4644 2862 Star
-4644 2839 Star
-4644 2816 Star
-4644 2793 Star
-4644 2770 Star
-4644 2747 Star
-4644 2724 Star
-4644 2702 Star
-4644 2679 Star
-4644 2656 Star
-4644 2633 Star
-4644 2610 Star
-4644 2587 Star
-4644 2565 Star
-4644 2542 Star
-4644 2519 Star
-4644 2496 Star
-4644 2473 Star
-4644 2450 Star
-4644 2428 Star
-4644 2405 Star
-4644 2382 Star
-4644 2359 Star
-4644 2336 Star
-4644 2313 Star
-4644 2290 Star
-4644 2268 Star
-4644 2245 Star
-4644 2222 Star
-4644 2199 Star
-4644 2176 Star
-4644 2153 Star
-4644 2131 Star
-4644 2108 Star
-4644 2085 Star
-4644 2062 Star
-4644 2039 Star
-4644 2016 Star
-4644 1993 Star
-4644 1971 Star
-4644 1948 Star
-4644 1925 Star
-4676 3387 Star
-4676 3364 Star
-4676 3341 Star
-4676 3318 Star
-4676 3296 Star
-4676 3273 Star
-4676 3250 Star
-4676 3227 Star
-4676 3204 Star
-4676 3181 Star
-4676 3159 Star
-4676 3136 Star
-4676 3113 Star
-4676 3090 Star
-4676 3067 Star
-4676 3044 Star
-4676 3021 Star
-4676 2999 Star
-4676 2976 Star
-4676 2953 Star
-4676 2930 Star
-4676 2907 Star
-4676 2884 Star
-4676 2862 Star
-4676 2839 Star
-4676 2816 Star
-4676 2793 Star
-4676 2770 Star
-4676 2747 Star
-4676 2724 Star
-4676 2702 Star
-4676 2679 Star
-4676 2656 Star
-4676 2633 Star
-4676 2610 Star
-4676 2587 Star
-4676 2565 Star
-4676 2542 Star
-4676 2519 Star
-4676 2496 Star
-4676 2473 Star
-4676 2450 Star
-4676 2428 Star
-4676 2405 Star
-4676 2382 Star
-4676 2359 Star
-4676 2336 Star
-4676 2313 Star
-4676 2290 Star
-4676 2268 Star
-4676 2245 Star
-4676 2222 Star
-4676 2199 Star
-4676 2176 Star
-4676 2153 Star
-4676 2131 Star
-4676 2108 Star
-4676 2085 Star
-4676 2062 Star
-4676 2039 Star
-4676 2016 Star
-4676 1993 Star
-4676 1971 Star
-4676 1948 Star
-4676 1925 Star
-4676 1902 Star
-4708 3364 Star
-4708 3341 Star
-4708 3318 Star
-4708 3296 Star
-4708 3273 Star
-4708 3250 Star
-4708 3227 Star
-4708 3204 Star
-4708 3181 Star
-4708 3159 Star
-4708 3136 Star
-4708 3113 Star
-4708 3090 Star
-4708 3067 Star
-4708 3044 Star
-4708 3021 Star
-4708 2999 Star
-4708 2976 Star
-4708 2953 Star
-4708 2930 Star
-4708 2907 Star
-4708 2884 Star
-4708 2862 Star
-4708 2839 Star
-4708 2816 Star
-4708 2793 Star
-4708 2770 Star
-4708 2747 Star
-4708 2724 Star
-4708 2702 Star
-4708 2679 Star
-4708 2656 Star
-4708 2633 Star
-4708 2610 Star
-4708 2587 Star
-4708 2565 Star
-4708 2542 Star
-4708 2519 Star
-4708 2496 Star
-4708 2473 Star
-4708 2450 Star
-4708 2428 Star
-4708 2405 Star
-4708 2382 Star
-4708 2359 Star
-4708 2336 Star
-4708 2313 Star
-4708 2290 Star
-4708 2268 Star
-4708 2245 Star
-4708 2222 Star
-4708 2199 Star
-4708 2176 Star
-4708 2153 Star
-4708 2131 Star
-4708 2108 Star
-4708 2085 Star
-4708 2062 Star
-4708 2039 Star
-4708 2016 Star
-4708 1993 Star
-4708 1971 Star
-4708 1948 Star
-4708 1925 Star
-4708 1902 Star
-4708 1879 Star
-4740 3364 Star
-4740 3341 Star
-4740 3318 Star
-4740 3296 Star
-4740 3273 Star
-4740 3250 Star
-4740 3227 Star
-4740 3204 Star
-4740 3181 Star
-4740 3159 Star
-4740 3136 Star
-4740 3113 Star
-4740 3090 Star
-4740 3067 Star
-4740 3044 Star
-4740 3021 Star
-4740 2999 Star
-4740 2976 Star
-4740 2953 Star
-4740 2930 Star
-4740 2907 Star
-4740 2884 Star
-4740 2862 Star
-4740 2839 Star
-4740 2816 Star
-4740 2793 Star
-4740 2770 Star
-4740 2747 Star
-4740 2724 Star
-4740 2702 Star
-4740 2679 Star
-4740 2656 Star
-4740 2633 Star
-4740 2610 Star
-4740 2587 Star
-4740 2565 Star
-4740 2542 Star
-4740 2519 Star
-4740 2496 Star
-4740 2473 Star
-4740 2450 Star
-4740 2428 Star
-4740 2405 Star
-4740 2382 Star
-4740 2359 Star
-4740 2336 Star
-4740 2313 Star
-4740 2290 Star
-4740 2268 Star
-4740 2245 Star
-4740 2222 Star
-4740 2199 Star
-4740 2176 Star
-4740 2153 Star
-4740 2131 Star
-4740 2108 Star
-4740 2085 Star
-4740 2062 Star
-4740 2039 Star
-4740 2016 Star
-4740 1993 Star
-4740 1971 Star
-4740 1948 Star
-4740 1925 Star
-4740 1902 Star
-4740 1879 Star
-4740 1856 Star
-4772 3341 Star
-4772 3318 Star
-4772 3296 Star
-4772 3273 Star
-4772 3250 Star
-4772 3227 Star
-4772 3204 Star
-4772 3181 Star
-4772 3159 Star
-4772 3136 Star
-4772 3113 Star
-4772 3090 Star
-4772 3067 Star
-4772 3044 Star
-4772 3021 Star
-4772 2999 Star
-4772 2976 Star
-4772 2953 Star
-4772 2930 Star
-4772 2907 Star
-4772 2884 Star
-4772 2862 Star
-4772 2839 Star
-4772 2816 Star
-4772 2793 Star
-4772 2770 Star
-4772 2747 Star
-4772 2724 Star
-4772 2702 Star
-4772 2679 Star
-4772 2656 Star
-4772 2633 Star
-4772 2610 Star
-4772 2587 Star
-4772 2565 Star
-4772 2542 Star
-4772 2519 Star
-4772 2496 Star
-4772 2473 Star
-4772 2450 Star
-4772 2428 Star
-4772 2405 Star
-4772 2382 Star
-4772 2359 Star
-4772 2336 Star
-4772 2313 Star
-4772 2290 Star
-4772 2268 Star
-4772 2245 Star
-4772 2222 Star
-4772 2199 Star
-4772 2176 Star
-4772 2153 Star
-4772 2131 Star
-4772 2108 Star
-4772 2085 Star
-4772 2062 Star
-4772 2039 Star
-4772 2016 Star
-4772 1993 Star
-4772 1971 Star
-4772 1948 Star
-4772 1925 Star
-4772 1902 Star
-4772 1879 Star
-4772 1856 Star
-4772 1834 Star
-4805 3341 Star
-4805 3318 Star
-4805 3296 Star
-4805 3273 Star
-4805 3250 Star
-4805 3227 Star
-4805 3204 Star
-4805 3181 Star
-4805 3159 Star
-4805 3136 Star
-4805 3113 Star
-4805 3090 Star
-4805 3067 Star
-4805 3044 Star
-4805 3021 Star
-4805 2999 Star
-4805 2976 Star
-4805 2953 Star
-4805 2930 Star
-4805 2907 Star
-4805 2884 Star
-4805 2862 Star
-4805 2839 Star
-4805 2816 Star
-4805 2793 Star
-4805 2770 Star
-4805 2747 Star
-4805 2724 Star
-4805 2702 Star
-4805 2679 Star
-4805 2656 Star
-4805 2633 Star
-4805 2610 Star
-4805 2587 Star
-4805 2565 Star
-4805 2542 Star
-4805 2519 Star
-4805 2496 Star
-4805 2473 Star
-4805 2450 Star
-4805 2428 Star
-4805 2405 Star
-4805 2382 Star
-4805 2359 Star
-4805 2336 Star
-4805 2313 Star
-4805 2290 Star
-4805 2268 Star
-4805 2245 Star
-4805 2222 Star
-4805 2199 Star
-4805 2176 Star
-4805 2153 Star
-4805 2131 Star
-4805 2108 Star
-4805 2085 Star
-4805 2062 Star
-4805 2039 Star
-4805 2016 Star
-4805 1993 Star
-4805 1971 Star
-4805 1948 Star
-4805 1925 Star
-4805 1902 Star
-4805 1879 Star
-4805 1856 Star
-4805 1834 Star
-4805 1811 Star
-4837 3318 Star
-4837 3296 Star
-4837 3273 Star
-4837 3250 Star
-4837 3227 Star
-4837 3204 Star
-4837 3181 Star
-4837 3159 Star
-4837 3136 Star
-4837 3113 Star
-4837 3090 Star
-4837 3067 Star
-4837 3044 Star
-4837 3021 Star
-4837 2999 Star
-4837 2976 Star
-4837 2953 Star
-4837 2930 Star
-4837 2907 Star
-4837 2884 Star
-4837 2862 Star
-4837 2839 Star
-4837 2816 Star
-4837 2793 Star
-4837 2770 Star
-4837 2747 Star
-4837 2724 Star
-4837 2702 Star
-4837 2679 Star
-4837 2656 Star
-4837 2633 Star
-4837 2610 Star
-4837 2587 Star
-4837 2565 Star
-4837 2542 Star
-4837 2519 Star
-4837 2496 Star
-4837 2473 Star
-4837 2450 Star
-4837 2428 Star
-4837 2405 Star
-4837 2382 Star
-4837 2359 Star
-4837 2336 Star
-4837 2313 Star
-4837 2290 Star
-4837 2268 Star
-4837 2245 Star
-4837 2222 Star
-4837 2199 Star
-4837 2176 Star
-4837 2153 Star
-4837 2131 Star
-4837 2108 Star
-4837 2085 Star
-4837 2062 Star
-4837 2039 Star
-4837 2016 Star
-4837 1993 Star
-4837 1971 Star
-4837 1948 Star
-4837 1925 Star
-4837 1902 Star
-4837 1879 Star
-4837 1856 Star
-4837 1834 Star
-4837 1811 Star
-4837 1788 Star
-4869 3318 Star
-4869 3296 Star
-4869 3273 Star
-4869 3250 Star
-4869 3227 Star
-4869 3204 Star
-4869 3181 Star
-4869 3159 Star
-4869 3136 Star
-4869 3113 Star
-4869 3090 Star
-4869 3067 Star
-4869 3044 Star
-4869 3021 Star
-4869 2999 Star
-4869 2976 Star
-4869 2953 Star
-4869 2930 Star
-4869 2907 Star
-4869 2884 Star
-4869 2862 Star
-4869 2839 Star
-4869 2816 Star
-4869 2793 Star
-4869 2770 Star
-4869 2747 Star
-4869 2724 Star
-4869 2702 Star
-4869 2679 Star
-4869 2656 Star
-4869 2633 Star
-4869 2610 Star
-4869 2587 Star
-4869 2565 Star
-4869 2542 Star
-4869 2519 Star
-4869 2496 Star
-4869 2473 Star
-4869 2450 Star
-4869 2428 Star
-4869 2405 Star
-4869 2382 Star
-4869 2359 Star
-4869 2336 Star
-4869 2313 Star
-4869 2290 Star
-4869 2268 Star
-4869 2245 Star
-4869 2222 Star
-4869 2199 Star
-4869 2176 Star
-4869 2153 Star
-4869 2131 Star
-4869 2108 Star
-4869 2085 Star
-4869 2062 Star
-4869 2039 Star
-4869 2016 Star
-4869 1993 Star
-4869 1971 Star
-4869 1948 Star
-4869 1925 Star
-4869 1902 Star
-4869 1879 Star
-4869 1856 Star
-4869 1834 Star
-4869 1811 Star
-4869 1788 Star
-4869 1765 Star
-4901 3296 Star
-4901 3273 Star
-4901 3250 Star
-4901 3227 Star
-4901 3204 Star
-4901 3181 Star
-4901 3159 Star
-4901 3136 Star
-4901 3113 Star
-4901 3090 Star
-4901 3067 Star
-4901 3044 Star
-4901 3021 Star
-4901 2999 Star
-4901 2976 Star
-4901 2953 Star
-4901 2930 Star
-4901 2907 Star
-4901 2884 Star
-4901 2862 Star
-4901 2839 Star
-4901 2816 Star
-4901 2793 Star
-4901 2770 Star
-4901 2747 Star
-4901 2724 Star
-4901 2702 Star
-4901 2679 Star
-4901 2656 Star
-4901 2633 Star
-4901 2610 Star
-4901 2587 Star
-4901 2565 Star
-4901 2542 Star
-4901 2519 Star
-4901 2496 Star
-4901 2473 Star
-4901 2450 Star
-4901 2428 Star
-4901 2405 Star
-4901 2382 Star
-4901 2359 Star
-4901 2336 Star
-4901 2313 Star
-4901 2290 Star
-4901 2268 Star
-4901 2245 Star
-4901 2222 Star
-4901 2199 Star
-4901 2176 Star
-4901 2153 Star
-4901 2131 Star
-4901 2108 Star
-4901 2085 Star
-4901 2062 Star
-4901 2039 Star
-4901 2016 Star
-4901 1993 Star
-4901 1971 Star
-4901 1948 Star
-4901 1925 Star
-4901 1902 Star
-4901 1879 Star
-4901 1856 Star
-4901 1834 Star
-4901 1811 Star
-4901 1788 Star
-4901 1765 Star
-4901 1742 Star
-4933 3296 Star
-4933 3273 Star
-4933 3250 Star
-4933 3227 Star
-4933 3204 Star
-4933 3181 Star
-4933 3159 Star
-4933 3136 Star
-4933 3113 Star
-4933 3090 Star
-4933 3067 Star
-4933 3044 Star
-4933 3021 Star
-4933 2999 Star
-4933 2976 Star
-4933 2953 Star
-4933 2930 Star
-4933 2907 Star
-4933 2884 Star
-4933 2862 Star
-4933 2839 Star
-4933 2816 Star
-4933 2793 Star
-4933 2770 Star
-4933 2747 Star
-4933 2724 Star
-4933 2702 Star
-4933 2679 Star
-4933 2656 Star
-4933 2633 Star
-4933 2610 Star
-4933 2587 Star
-4933 2565 Star
-4933 2542 Star
-4933 2519 Star
-4933 2496 Star
-4933 2473 Star
-4933 2450 Star
-4933 2428 Star
-4933 2405 Star
-4933 2382 Star
-4933 2359 Star
-4933 2336 Star
-4933 2313 Star
-4933 2290 Star
-4933 2268 Star
-4933 2245 Star
-4933 2222 Star
-4933 2199 Star
-4933 2176 Star
-4933 2153 Star
-4933 2131 Star
-4933 2108 Star
-4933 2085 Star
-4933 2062 Star
-4933 2039 Star
-4933 2016 Star
-4933 1993 Star
-4933 1971 Star
-4933 1948 Star
-4933 1925 Star
-4933 1902 Star
-4933 1879 Star
-4933 1856 Star
-4933 1834 Star
-4933 1811 Star
-4933 1788 Star
-4933 1765 Star
-4933 1742 Star
-4933 1719 Star
-4966 3273 Star
-4966 3250 Star
-4966 3227 Star
-4966 3204 Star
-4966 3181 Star
-4966 3159 Star
-4966 3136 Star
-4966 3113 Star
-4966 3090 Star
-4966 3067 Star
-4966 3044 Star
-4966 3021 Star
-4966 2999 Star
-4966 2976 Star
-4966 2953 Star
-4966 2930 Star
-4966 2907 Star
-4966 2884 Star
-4966 2862 Star
-4966 2839 Star
-4966 2816 Star
-4966 2793 Star
-4966 2770 Star
-4966 2747 Star
-4966 2724 Star
-4966 2702 Star
-4966 2679 Star
-4966 2656 Star
-4966 2633 Star
-4966 2610 Star
-4966 2587 Star
-4966 2565 Star
-4966 2542 Star
-4966 2519 Star
-4966 2496 Star
-4966 2473 Star
-4966 2450 Star
-4966 2428 Star
-4966 2405 Star
-4966 2382 Star
-4966 2359 Star
-4966 2336 Star
-4966 2313 Star
-4966 2290 Star
-4966 2268 Star
-4966 2245 Star
-4966 2222 Star
-4966 2199 Star
-4966 2176 Star
-4966 2153 Star
-4966 2131 Star
-4966 2108 Star
-4966 2085 Star
-4966 2062 Star
-4966 2039 Star
-4966 2016 Star
-4966 1993 Star
-4966 1971 Star
-4966 1948 Star
-4966 1925 Star
-4966 1902 Star
-4966 1879 Star
-4966 1856 Star
-4966 1834 Star
-4966 1811 Star
-4966 1788 Star
-4966 1765 Star
-4966 1742 Star
-4966 1719 Star
-4966 1696 Star
-4998 3273 Star
-4998 3250 Star
-4998 3227 Star
-4998 3204 Star
-4998 3181 Star
-4998 3159 Star
-4998 3136 Star
-4998 3113 Star
-4998 3090 Star
-4998 3067 Star
-4998 3044 Star
-4998 3021 Star
-4998 2999 Star
-4998 2976 Star
-4998 2953 Star
-4998 2930 Star
-4998 2907 Star
-4998 2884 Star
-4998 2862 Star
-4998 2839 Star
-4998 2816 Star
-4998 2793 Star
-4998 2770 Star
-4998 2747 Star
-4998 2724 Star
-4998 2702 Star
-4998 2679 Star
-4998 2656 Star
-4998 2633 Star
-4998 2610 Star
-4998 2587 Star
-4998 2565 Star
-4998 2542 Star
-4998 2519 Star
-4998 2496 Star
-4998 2473 Star
-4998 2450 Star
-4998 2428 Star
-4998 2405 Star
-4998 2382 Star
-4998 2359 Star
-4998 2336 Star
-4998 2313 Star
-4998 2290 Star
-4998 2268 Star
-4998 2245 Star
-4998 2222 Star
-4998 2199 Star
-4998 2176 Star
-4998 2153 Star
-4998 2131 Star
-4998 2108 Star
-4998 2085 Star
-4998 2062 Star
-4998 2039 Star
-4998 2016 Star
-4998 1993 Star
-4998 1971 Star
-4998 1948 Star
-4998 1925 Star
-4998 1902 Star
-4998 1879 Star
-4998 1856 Star
-4998 1834 Star
-4998 1811 Star
-4998 1788 Star
-4998 1765 Star
-4998 1742 Star
-4998 1719 Star
-4998 1696 Star
-4998 1674 Star
-5030 3250 Star
-5030 3227 Star
-5030 3204 Star
-5030 3181 Star
-5030 3159 Star
-5030 3136 Star
-5030 3113 Star
-5030 3090 Star
-5030 3067 Star
-5030 3044 Star
-5030 3021 Star
-5030 2999 Star
-5030 2976 Star
-5030 2953 Star
-5030 2930 Star
-5030 2907 Star
-5030 2884 Star
-5030 2862 Star
-5030 2839 Star
-5030 2816 Star
-5030 2793 Star
-5030 2770 Star
-5030 2747 Star
-5030 2724 Star
-5030 2702 Star
-5030 2679 Star
-5030 2656 Star
-5030 2633 Star
-5030 2610 Star
-5030 2587 Star
-5030 2565 Star
-5030 2542 Star
-5030 2519 Star
-5030 2496 Star
-5030 2473 Star
-5030 2450 Star
-5030 2428 Star
-5030 2405 Star
-5030 2382 Star
-5030 2359 Star
-5030 2336 Star
-5030 2313 Star
-5030 2290 Star
-5030 2268 Star
-5030 2245 Star
-5030 2222 Star
-5030 2199 Star
-5030 2176 Star
-5030 2153 Star
-5030 2131 Star
-5030 2108 Star
-5030 2085 Star
-5030 2062 Star
-5030 2039 Star
-5030 2016 Star
-5030 1993 Star
-5030 1971 Star
-5030 1948 Star
-5030 1925 Star
-5030 1902 Star
-5030 1879 Star
-5030 1856 Star
-5030 1834 Star
-5030 1811 Star
-5030 1788 Star
-5030 1765 Star
-5030 1742 Star
-5030 1719 Star
-5030 1696 Star
-5030 1674 Star
-5030 1651 Star
-5062 3250 Star
-5062 3227 Star
-5062 3204 Star
-5062 3181 Star
-5062 3159 Star
-5062 3136 Star
-5062 3113 Star
-5062 3090 Star
-5062 3067 Star
-5062 3044 Star
-5062 3021 Star
-5062 2999 Star
-5062 2976 Star
-5062 2953 Star
-5062 2930 Star
-5062 2907 Star
-5062 2884 Star
-5062 2862 Star
-5062 2839 Star
-5062 2816 Star
-5062 2793 Star
-5062 2770 Star
-5062 2747 Star
-5062 2724 Star
-5062 2702 Star
-5062 2679 Star
-5062 2656 Star
-5062 2633 Star
-5062 2610 Star
-5062 2587 Star
-5062 2565 Star
-5062 2542 Star
-5062 2519 Star
-5062 2496 Star
-5062 2473 Star
-5062 2450 Star
-5062 2428 Star
-5062 2405 Star
-5062 2382 Star
-5062 2359 Star
-5062 2336 Star
-5062 2313 Star
-5062 2290 Star
-5062 2268 Star
-5062 2245 Star
-5062 2222 Star
-5062 2199 Star
-5062 2176 Star
-5062 2153 Star
-5062 2131 Star
-5062 2108 Star
-5062 2085 Star
-5062 2062 Star
-5062 2039 Star
-5062 2016 Star
-5062 1993 Star
-5062 1971 Star
-5062 1948 Star
-5062 1925 Star
-5062 1902 Star
-5062 1879 Star
-5062 1856 Star
-5062 1834 Star
-5062 1811 Star
-5062 1788 Star
-5062 1765 Star
-5062 1742 Star
-5062 1719 Star
-5062 1696 Star
-5062 1674 Star
-5062 1651 Star
-5062 1628 Star
-5094 3227 Star
-5094 3204 Star
-5094 3181 Star
-5094 3159 Star
-5094 3136 Star
-5094 3113 Star
-5094 3090 Star
-5094 3067 Star
-5094 3044 Star
-5094 3021 Star
-5094 2999 Star
-5094 2976 Star
-5094 2953 Star
-5094 2930 Star
-5094 2907 Star
-5094 2884 Star
-5094 2862 Star
-5094 2839 Star
-5094 2816 Star
-5094 2793 Star
-5094 2770 Star
-5094 2747 Star
-5094 2724 Star
-5094 2702 Star
-5094 2679 Star
-5094 2656 Star
-5094 2633 Star
-5094 2610 Star
-5094 2587 Star
-5094 2565 Star
-5094 2542 Star
-5094 2519 Star
-5094 2496 Star
-5094 2473 Star
-5094 2450 Star
-5094 2428 Star
-5094 2405 Star
-5094 2382 Star
-5094 2359 Star
-5094 2336 Star
-5094 2313 Star
-5094 2290 Star
-5094 2268 Star
-5094 2245 Star
-5094 2222 Star
-5094 2199 Star
-5094 2176 Star
-5094 2153 Star
-5094 2131 Star
-5094 2108 Star
-5094 2085 Star
-5094 2062 Star
-5094 2039 Star
-5094 2016 Star
-5094 1993 Star
-5094 1971 Star
-5094 1948 Star
-5094 1925 Star
-5094 1902 Star
-5094 1879 Star
-5094 1856 Star
-5094 1834 Star
-5094 1811 Star
-5094 1788 Star
-5094 1765 Star
-5094 1742 Star
-5094 1719 Star
-5094 1696 Star
-5094 1674 Star
-5094 1651 Star
-5094 1628 Star
-5094 1605 Star
-5127 3227 Star
-5127 3204 Star
-5127 3181 Star
-5127 3159 Star
-5127 3136 Star
-5127 3113 Star
-5127 3090 Star
-5127 3067 Star
-5127 3044 Star
-5127 3021 Star
-5127 2999 Star
-5127 2976 Star
-5127 2953 Star
-5127 2930 Star
-5127 2907 Star
-5127 2884 Star
-5127 2862 Star
-5127 2839 Star
-5127 2816 Star
-5127 2793 Star
-5127 2770 Star
-5127 2747 Star
-5127 2724 Star
-5127 2702 Star
-5127 2679 Star
-5127 2656 Star
-5127 2633 Star
-5127 2610 Star
-5127 2587 Star
-5127 2565 Star
-5127 2542 Star
-5127 2519 Star
-5127 2496 Star
-5127 2473 Star
-5127 2450 Star
-5127 2428 Star
-5127 2405 Star
-5127 2382 Star
-5127 2359 Star
-5127 2336 Star
-5127 2313 Star
-5127 2290 Star
-5127 2268 Star
-5127 2245 Star
-5127 2222 Star
-5127 2199 Star
-5127 2176 Star
-5127 2153 Star
-5127 2131 Star
-5127 2108 Star
-5127 2085 Star
-5127 2062 Star
-5127 2039 Star
-5127 2016 Star
-5127 1993 Star
-5127 1971 Star
-5127 1948 Star
-5127 1925 Star
-5127 1902 Star
-5127 1879 Star
-5127 1856 Star
-5127 1834 Star
-5127 1811 Star
-5127 1788 Star
-5127 1765 Star
-5127 1742 Star
-5127 1719 Star
-5127 1696 Star
-5127 1674 Star
-5127 1651 Star
-5127 1628 Star
-5127 1605 Star
-5127 1582 Star
-5159 3204 Star
-5159 3181 Star
-5159 3159 Star
-5159 3136 Star
-5159 3113 Star
-5159 3090 Star
-5159 3067 Star
-5159 3044 Star
-5159 3021 Star
-5159 2999 Star
-5159 2976 Star
-5159 2953 Star
-5159 2930 Star
-5159 2907 Star
-5159 2884 Star
-5159 2862 Star
-5159 2839 Star
-5159 2816 Star
-5159 2793 Star
-5159 2770 Star
-5159 2747 Star
-5159 2724 Star
-5159 2702 Star
-5159 2679 Star
-5159 2656 Star
-5159 2633 Star
-5159 2610 Star
-5159 2587 Star
-5159 2565 Star
-5159 2542 Star
-5159 2519 Star
-5159 2496 Star
-5159 2473 Star
-5159 2450 Star
-5159 2428 Star
-5159 2405 Star
-5159 2382 Star
-5159 2359 Star
-5159 2336 Star
-5159 2313 Star
-5159 2290 Star
-5159 2268 Star
-5159 2245 Star
-5159 2222 Star
-5159 2199 Star
-5159 2176 Star
-5159 2153 Star
-5159 2131 Star
-5159 2108 Star
-5159 2085 Star
-5159 2062 Star
-5159 2039 Star
-5159 2016 Star
-5159 1993 Star
-5159 1971 Star
-5159 1948 Star
-5159 1925 Star
-5159 1902 Star
-5159 1879 Star
-5159 1856 Star
-5159 1834 Star
-5159 1811 Star
-5159 1788 Star
-5159 1765 Star
-5159 1742 Star
-5159 1719 Star
-5159 1696 Star
-5159 1674 Star
-5159 1651 Star
-5159 1628 Star
-5159 1605 Star
-5159 1582 Star
-5159 1559 Star
-5191 3204 Star
-5191 3181 Star
-5191 3159 Star
-5191 3136 Star
-5191 3113 Star
-5191 3090 Star
-5191 3067 Star
-5191 3044 Star
-5191 3021 Star
-5191 2999 Star
-5191 2976 Star
-5191 2953 Star
-5191 2930 Star
-5191 2907 Star
-5191 2884 Star
-5191 2862 Star
-5191 2839 Star
-5191 2816 Star
-5191 2793 Star
-5191 2770 Star
-5191 2747 Star
-5191 2724 Star
-5191 2702 Star
-5191 2679 Star
-5191 2656 Star
-5191 2633 Star
-5191 2610 Star
-5191 2587 Star
-5191 2565 Star
-5191 2542 Star
-5191 2519 Star
-5191 2496 Star
-5191 2473 Star
-5191 2450 Star
-5191 2428 Star
-5191 2405 Star
-5191 2382 Star
-5191 2359 Star
-5191 2336 Star
-5191 2313 Star
-5191 2290 Star
-5191 2268 Star
-5191 2245 Star
-5191 2222 Star
-5191 2199 Star
-5191 2176 Star
-5191 2153 Star
-5191 2131 Star
-5191 2108 Star
-5191 2085 Star
-5191 2062 Star
-5191 2039 Star
-5191 2016 Star
-5191 1993 Star
-5191 1971 Star
-5191 1948 Star
-5191 1925 Star
-5191 1902 Star
-5191 1879 Star
-5191 1856 Star
-5191 1834 Star
-5191 1811 Star
-5191 1788 Star
-5191 1765 Star
-5191 1742 Star
-5191 1719 Star
-5191 1696 Star
-5191 1674 Star
-5191 1651 Star
-5191 1628 Star
-5191 1605 Star
-5191 1582 Star
-5191 1559 Star
-5191 1537 Star
-5223 3181 Star
-5223 3159 Star
-5223 3136 Star
-5223 3113 Star
-5223 3090 Star
-5223 3067 Star
-5223 3044 Star
-5223 3021 Star
-5223 2999 Star
-5223 2976 Star
-5223 2953 Star
-5223 2930 Star
-5223 2907 Star
-5223 2884 Star
-5223 2862 Star
-5223 2839 Star
-5223 2816 Star
-5223 2793 Star
-5223 2770 Star
-5223 2747 Star
-5223 2724 Star
-5223 2702 Star
-5223 2679 Star
-5223 2656 Star
-5223 2633 Star
-5223 2610 Star
-5223 2587 Star
-5223 2565 Star
-5223 2542 Star
-5223 2519 Star
-5223 2496 Star
-5223 2473 Star
-5223 2450 Star
-5223 2428 Star
-5223 2405 Star
-5223 2382 Star
-5223 2359 Star
-5223 2336 Star
-5223 2313 Star
-5223 2290 Star
-5223 2268 Star
-5223 2245 Star
-5223 2222 Star
-5223 2199 Star
-5223 2176 Star
-5223 2153 Star
-5223 2131 Star
-5223 2108 Star
-5223 2085 Star
-5223 2062 Star
-5223 2039 Star
-5223 2016 Star
-5223 1993 Star
-5223 1971 Star
-5223 1948 Star
-5223 1925 Star
-5223 1902 Star
-5223 1879 Star
-5223 1856 Star
-5223 1834 Star
-5223 1811 Star
-5223 1788 Star
-5223 1765 Star
-5223 1742 Star
-5223 1719 Star
-5223 1696 Star
-5223 1674 Star
-5223 1651 Star
-5223 1628 Star
-5223 1605 Star
-5223 1582 Star
-5223 1559 Star
-5223 1537 Star
-5223 1514 Star
-5255 3181 Star
-5255 3159 Star
-5255 3136 Star
-5255 3113 Star
-5255 3090 Star
-5255 3067 Star
-5255 3044 Star
-5255 3021 Star
-5255 2999 Star
-5255 2976 Star
-5255 2953 Star
-5255 2930 Star
-5255 2907 Star
-5255 2884 Star
-5255 2862 Star
-5255 2839 Star
-5255 2816 Star
-5255 2793 Star
-5255 2770 Star
-5255 2747 Star
-5255 2724 Star
-5255 2702 Star
-5255 2679 Star
-5255 2656 Star
-5255 2633 Star
-5255 2610 Star
-5255 2587 Star
-5255 2565 Star
-5255 2542 Star
-5255 2519 Star
-5255 2496 Star
-5255 2473 Star
-5255 2450 Star
-5255 2428 Star
-5255 2405 Star
-5255 2382 Star
-5255 2359 Star
-5255 2336 Star
-5255 2313 Star
-5255 2290 Star
-5255 2268 Star
-5255 2245 Star
-5255 2222 Star
-5255 2199 Star
-5255 2176 Star
-5255 2153 Star
-5255 2131 Star
-5255 2108 Star
-5255 2085 Star
-5255 2062 Star
-5255 2039 Star
-5255 2016 Star
-5255 1993 Star
-5255 1971 Star
-5255 1948 Star
-5255 1925 Star
-5255 1902 Star
-5255 1879 Star
-5255 1856 Star
-5255 1834 Star
-5255 1811 Star
-5255 1788 Star
-5255 1765 Star
-5255 1742 Star
-5255 1719 Star
-5255 1696 Star
-5255 1674 Star
-5255 1651 Star
-5255 1628 Star
-5255 1605 Star
-5255 1582 Star
-5255 1559 Star
-5255 1537 Star
-5255 1514 Star
-5255 1491 Star
-5288 3159 Star
-5288 3136 Star
-5288 3113 Star
-5288 3090 Star
-5288 3067 Star
-5288 3044 Star
-5288 3021 Star
-5288 2999 Star
-5288 2976 Star
-5288 2953 Star
-5288 2930 Star
-5288 2907 Star
-5288 2884 Star
-5288 2862 Star
-5288 2839 Star
-5288 2816 Star
-5288 2793 Star
-5288 2770 Star
-5288 2747 Star
-5288 2724 Star
-5288 2702 Star
-5288 2679 Star
-5288 2656 Star
-5288 2633 Star
-5288 2610 Star
-5288 2587 Star
-5288 2565 Star
-5288 2542 Star
-5288 2519 Star
-5288 2496 Star
-5288 2473 Star
-5288 2450 Star
-5288 2428 Star
-5288 2405 Star
-5288 2382 Star
-5288 2359 Star
-5288 2336 Star
-5288 2313 Star
-5288 2290 Star
-5288 2268 Star
-5288 2245 Star
-5288 2222 Star
-5288 2199 Star
-5288 2176 Star
-5288 2153 Star
-5288 2131 Star
-5288 2108 Star
-5288 2085 Star
-5288 2062 Star
-5288 2039 Star
-5288 2016 Star
-5288 1993 Star
-5288 1971 Star
-5288 1948 Star
-5288 1925 Star
-5288 1902 Star
-5288 1879 Star
-5288 1856 Star
-5288 1834 Star
-5288 1811 Star
-5288 1788 Star
-5288 1765 Star
-5288 1742 Star
-5288 1719 Star
-5288 1696 Star
-5288 1674 Star
-5288 1651 Star
-5288 1628 Star
-5288 1605 Star
-5288 1582 Star
-5288 1559 Star
-5288 1537 Star
-5288 1514 Star
-5288 1491 Star
-5288 1468 Star
-5320 3159 Star
-5320 3136 Star
-5320 3113 Star
-5320 3090 Star
-5320 3067 Star
-5320 3044 Star
-5320 3021 Star
-5320 2999 Star
-5320 2976 Star
-5320 2953 Star
-5320 2930 Star
-5320 2907 Star
-5320 2884 Star
-5320 2862 Star
-5320 2839 Star
-5320 2816 Star
-5320 2793 Star
-5320 2770 Star
-5320 2747 Star
-5320 2724 Star
-5320 2702 Star
-5320 2679 Star
-5320 2656 Star
-5320 2633 Star
-5320 2610 Star
-5320 2587 Star
-5320 2565 Star
-5320 2542 Star
-5320 2519 Star
-5320 2496 Star
-5320 2473 Star
-5320 2450 Star
-5320 2428 Star
-5320 2405 Star
-5320 2382 Star
-5320 2359 Star
-5320 2336 Star
-5320 2313 Star
-5320 2290 Star
-5320 2268 Star
-5320 2245 Star
-5320 2222 Star
-5320 2199 Star
-5320 2176 Star
-5320 2153 Star
-5320 2131 Star
-5320 2108 Star
-5320 2085 Star
-5320 2062 Star
-5320 2039 Star
-5320 2016 Star
-5320 1993 Star
-5320 1971 Star
-5320 1948 Star
-5320 1925 Star
-5320 1902 Star
-5320 1879 Star
-5320 1856 Star
-5320 1834 Star
-5320 1811 Star
-5320 1788 Star
-5320 1765 Star
-5320 1742 Star
-5320 1719 Star
-5320 1696 Star
-5320 1674 Star
-5320 1651 Star
-5320 1628 Star
-5320 1605 Star
-5320 1582 Star
-5320 1559 Star
-5320 1537 Star
-5320 1514 Star
-5320 1491 Star
-5320 1468 Star
-5320 1445 Star
-5352 3136 Star
-5352 3113 Star
-5352 3090 Star
-5352 3067 Star
-5352 3044 Star
-5352 3021 Star
-5352 2999 Star
-5352 2976 Star
-5352 2953 Star
-5352 2930 Star
-5352 2907 Star
-5352 2884 Star
-5352 2862 Star
-5352 2839 Star
-5352 2816 Star
-5352 2793 Star
-5352 2770 Star
-5352 2747 Star
-5352 2724 Star
-5352 2702 Star
-5352 2679 Star
-5352 2656 Star
-5352 2633 Star
-5352 2610 Star
-5352 2587 Star
-5352 2565 Star
-5352 2542 Star
-5352 2519 Star
-5352 2496 Star
-5352 2473 Star
-5352 2450 Star
-5352 2428 Star
-5352 2405 Star
-5352 2382 Star
-5352 2359 Star
-5352 2336 Star
-5352 2313 Star
-5352 2290 Star
-5352 2268 Star
-5352 2245 Star
-5352 2222 Star
-5352 2199 Star
-5352 2176 Star
-5352 2153 Star
-5352 2131 Star
-5352 2108 Star
-5352 2085 Star
-5352 2062 Star
-5352 2039 Star
-5352 2016 Star
-5352 1993 Star
-5352 1971 Star
-5352 1948 Star
-5352 1925 Star
-5352 1902 Star
-5352 1879 Star
-5352 1856 Star
-5352 1834 Star
-5352 1811 Star
-5352 1788 Star
-5352 1765 Star
-5352 1742 Star
-5352 1719 Star
-5352 1696 Star
-5352 1674 Star
-5352 1651 Star
-5352 1628 Star
-5352 1605 Star
-5352 1582 Star
-5352 1559 Star
-5352 1537 Star
-5352 1514 Star
-5352 1491 Star
-5352 1468 Star
-5352 1445 Star
-5352 1422 Star
-5384 3136 Star
-5384 3113 Star
-5384 3090 Star
-5384 3067 Star
-5384 3044 Star
-5384 3021 Star
-5384 2999 Star
-5384 2976 Star
-5384 2953 Star
-5384 2930 Star
-5384 2907 Star
-5384 2884 Star
-5384 2862 Star
-5384 2839 Star
-5384 2816 Star
-5384 2793 Star
-5384 2770 Star
-5384 2747 Star
-5384 2724 Star
-5384 2702 Star
-5384 2679 Star
-5384 2656 Star
-5384 2633 Star
-5384 2610 Star
-5384 2587 Star
-5384 2565 Star
-5384 2542 Star
-5384 2519 Star
-5384 2496 Star
-5384 2473 Star
-5384 2450 Star
-5384 2428 Star
-5384 2405 Star
-5384 2382 Star
-5384 2359 Star
-5384 2336 Star
-5384 2313 Star
-5384 2290 Star
-5384 2268 Star
-5384 2245 Star
-5384 2222 Star
-5384 2199 Star
-5384 2176 Star
-5384 2153 Star
-5384 2131 Star
-5384 2108 Star
-5384 2085 Star
-5384 2062 Star
-5384 2039 Star
-5384 2016 Star
-5384 1993 Star
-5384 1971 Star
-5384 1948 Star
-5384 1925 Star
-5384 1902 Star
-5384 1879 Star
-5384 1856 Star
-5384 1834 Star
-5384 1811 Star
-5384 1788 Star
-5384 1765 Star
-5384 1742 Star
-5384 1719 Star
-5384 1696 Star
-5384 1674 Star
-5384 1651 Star
-5384 1628 Star
-5384 1605 Star
-5384 1582 Star
-5384 1559 Star
-5384 1537 Star
-5384 1514 Star
-5384 1491 Star
-5384 1468 Star
-5384 1445 Star
-5384 1422 Star
-5384 1399 Star
-5416 3113 Star
-5416 3090 Star
-5416 3067 Star
-5416 3044 Star
-5416 3021 Star
-5416 2999 Star
-5416 2976 Star
-5416 2953 Star
-5416 2930 Star
-5416 2907 Star
-5416 2884 Star
-5416 2862 Star
-5416 2839 Star
-5416 2816 Star
-5416 2793 Star
-5416 2770 Star
-5416 2747 Star
-5416 2724 Star
-5416 2702 Star
-5416 2679 Star
-5416 2656 Star
-5416 2633 Star
-5416 2610 Star
-5416 2587 Star
-5416 2565 Star
-5416 2542 Star
-5416 2519 Star
-5416 2496 Star
-5416 2473 Star
-5416 2450 Star
-5416 2428 Star
-5416 2405 Star
-5416 2382 Star
-5416 2359 Star
-5416 2336 Star
-5416 2313 Star
-5416 2290 Star
-5416 2268 Star
-5416 2245 Star
-5416 2222 Star
-5416 2199 Star
-5416 2176 Star
-5416 2153 Star
-5416 2131 Star
-5416 2108 Star
-5416 2085 Star
-5416 2062 Star
-5416 2039 Star
-5416 2016 Star
-5416 1993 Star
-5416 1971 Star
-5416 1948 Star
-5416 1925 Star
-5416 1902 Star
-5416 1879 Star
-5416 1856 Star
-5416 1834 Star
-5416 1811 Star
-5416 1788 Star
-5416 1765 Star
-5416 1742 Star
-5416 1719 Star
-5416 1696 Star
-5416 1674 Star
-5416 1651 Star
-5416 1628 Star
-5416 1605 Star
-5416 1582 Star
-5416 1559 Star
-5416 1537 Star
-5416 1514 Star
-5416 1491 Star
-5416 1468 Star
-5416 1445 Star
-5416 1422 Star
-5416 1399 Star
-5416 1377 Star
-5449 3113 Star
-5449 3090 Star
-5449 3067 Star
-5449 3044 Star
-5449 3021 Star
-5449 2999 Star
-5449 2976 Star
-5449 2953 Star
-5449 2930 Star
-5449 2907 Star
-5449 2884 Star
-5449 2862 Star
-5449 2839 Star
-5449 2816 Star
-5449 2793 Star
-5449 2770 Star
-5449 2747 Star
-5449 2724 Star
-5449 2702 Star
-5449 2679 Star
-5449 2656 Star
-5449 2633 Star
-5449 2610 Star
-5449 2587 Star
-5449 2565 Star
-5449 2542 Star
-5449 2519 Star
-5449 2496 Star
-5449 2473 Star
-5449 2450 Star
-5449 2428 Star
-5449 2405 Star
-5449 2382 Star
-5449 2359 Star
-5449 2336 Star
-5449 2313 Star
-5449 2290 Star
-5449 2268 Star
-5449 2245 Star
-5449 2222 Star
-5449 2199 Star
-5449 2176 Star
-5449 2153 Star
-5449 2131 Star
-5449 2108 Star
-5449 2085 Star
-5449 2062 Star
-5449 2039 Star
-5449 2016 Star
-5449 1993 Star
-5449 1971 Star
-5449 1948 Star
-5449 1925 Star
-5449 1902 Star
-5449 1879 Star
-5449 1856 Star
-5449 1834 Star
-5449 1811 Star
-5449 1788 Star
-5449 1765 Star
-5449 1742 Star
-5449 1719 Star
-5449 1696 Star
-5449 1674 Star
-5449 1651 Star
-5449 1628 Star
-5449 1605 Star
-5449 1582 Star
-5449 1559 Star
-5449 1537 Star
-5449 1514 Star
-5449 1491 Star
-5449 1468 Star
-5449 1445 Star
-5449 1422 Star
-5449 1399 Star
-5449 1377 Star
-5449 1354 Star
-5481 3090 Star
-5481 3067 Star
-5481 3044 Star
-5481 3021 Star
-5481 2999 Star
-5481 2976 Star
-5481 2953 Star
-5481 2930 Star
-5481 2907 Star
-5481 2884 Star
-5481 2862 Star
-5481 2839 Star
-5481 2816 Star
-5481 2793 Star
-5481 2770 Star
-5481 2747 Star
-5481 2724 Star
-5481 2702 Star
-5481 2679 Star
-5481 2656 Star
-5481 2633 Star
-5481 2610 Star
-5481 2587 Star
-5481 2565 Star
-5481 2542 Star
-5481 2519 Star
-5481 2496 Star
-5481 2473 Star
-5481 2450 Star
-5481 2428 Star
-5481 2405 Star
-5481 2382 Star
-5481 2359 Star
-5481 2336 Star
-5481 2313 Star
-5481 2290 Star
-5481 2268 Star
-5481 2245 Star
-5481 2222 Star
-5481 2199 Star
-5481 2176 Star
-5481 2153 Star
-5481 2131 Star
-5481 2108 Star
-5481 2085 Star
-5481 2062 Star
-5481 2039 Star
-5481 2016 Star
-5481 1993 Star
-5481 1971 Star
-5481 1948 Star
-5481 1925 Star
-5481 1902 Star
-5481 1879 Star
-5481 1856 Star
-5481 1834 Star
-5481 1811 Star
-5481 1788 Star
-5481 1765 Star
-5481 1742 Star
-5481 1719 Star
-5481 1696 Star
-5481 1674 Star
-5481 1651 Star
-5481 1628 Star
-5481 1605 Star
-5481 1582 Star
-5481 1559 Star
-5481 1537 Star
-5481 1514 Star
-5481 1491 Star
-5481 1468 Star
-5481 1445 Star
-5481 1422 Star
-5481 1399 Star
-5481 1377 Star
-5481 1354 Star
-5481 1331 Star
-5513 3090 Star
-5513 3067 Star
-5513 3044 Star
-5513 3021 Star
-5513 2999 Star
-5513 2976 Star
-5513 2953 Star
-5513 2930 Star
-5513 2907 Star
-5513 2884 Star
-5513 2862 Star
-5513 2839 Star
-5513 2816 Star
-5513 2793 Star
-5513 2770 Star
-5513 2747 Star
-5513 2724 Star
-5513 2702 Star
-5513 2679 Star
-5513 2656 Star
-5513 2633 Star
-5513 2610 Star
-5513 2587 Star
-5513 2565 Star
-5513 2542 Star
-5513 2519 Star
-5513 2496 Star
-5513 2473 Star
-5513 2450 Star
-5513 2428 Star
-5513 2405 Star
-5513 2382 Star
-5513 2359 Star
-5513 2336 Star
-5513 2313 Star
-5513 2290 Star
-5513 2268 Star
-5513 2245 Star
-5513 2222 Star
-5513 2199 Star
-5513 2176 Star
-5513 2153 Star
-5513 2131 Star
-5513 2108 Star
-5513 2085 Star
-5513 2062 Star
-5513 2039 Star
-5513 2016 Star
-5513 1993 Star
-5513 1971 Star
-5513 1948 Star
-5513 1925 Star
-5513 1902 Star
-5513 1879 Star
-5513 1856 Star
-5513 1834 Star
-5513 1811 Star
-5513 1788 Star
-5513 1765 Star
-5513 1742 Star
-5513 1719 Star
-5513 1696 Star
-5513 1674 Star
-5513 1651 Star
-5513 1628 Star
-5513 1605 Star
-5513 1582 Star
-5513 1559 Star
-5513 1537 Star
-5513 1514 Star
-5513 1491 Star
-5513 1468 Star
-5513 1445 Star
-5513 1422 Star
-5513 1399 Star
-5513 1377 Star
-5513 1354 Star
-5513 1331 Star
-5513 1308 Star
-5545 3067 Star
-5545 3044 Star
-5545 3021 Star
-5545 2999 Star
-5545 2976 Star
-5545 2953 Star
-5545 2930 Star
-5545 2907 Star
-5545 2884 Star
-5545 2862 Star
-5545 2839 Star
-5545 2816 Star
-5545 2793 Star
-5545 2770 Star
-5545 2747 Star
-5545 2724 Star
-5545 2702 Star
-5545 2679 Star
-5545 2656 Star
-5545 2633 Star
-5545 2610 Star
-5545 2587 Star
-5545 2565 Star
-5545 2542 Star
-5545 2519 Star
-5545 2496 Star
-5545 2473 Star
-5545 2450 Star
-5545 2428 Star
-5545 2405 Star
-5545 2382 Star
-5545 2359 Star
-5545 2336 Star
-5545 2313 Star
-5545 2290 Star
-5545 2268 Star
-5545 2245 Star
-5545 2222 Star
-5545 2199 Star
-5545 2176 Star
-5545 2153 Star
-5545 2131 Star
-5545 2108 Star
-5545 2085 Star
-5545 2062 Star
-5545 2039 Star
-5545 2016 Star
-5545 1993 Star
-5545 1971 Star
-5545 1948 Star
-5545 1925 Star
-5545 1902 Star
-5545 1879 Star
-5545 1856 Star
-5545 1834 Star
-5545 1811 Star
-5545 1788 Star
-5545 1765 Star
-5545 1742 Star
-5545 1719 Star
-5545 1696 Star
-5545 1674 Star
-5545 1651 Star
-5545 1628 Star
-5545 1605 Star
-5545 1582 Star
-5545 1559 Star
-5545 1537 Star
-5545 1514 Star
-5545 1491 Star
-5545 1468 Star
-5545 1445 Star
-5545 1422 Star
-5545 1399 Star
-5545 1377 Star
-5545 1354 Star
-5545 1331 Star
-5545 1308 Star
-5545 1285 Star
-5577 3067 Star
-5577 3044 Star
-5577 3021 Star
-5577 2999 Star
-5577 2976 Star
-5577 2953 Star
-5577 2930 Star
-5577 2907 Star
-5577 2884 Star
-5577 2862 Star
-5577 2839 Star
-5577 2816 Star
-5577 2793 Star
-5577 2770 Star
-5577 2747 Star
-5577 2724 Star
-5577 2702 Star
-5577 2679 Star
-5577 2656 Star
-5577 2633 Star
-5577 2610 Star
-5577 2587 Star
-5577 2565 Star
-5577 2542 Star
-5577 2519 Star
-5577 2496 Star
-5577 2473 Star
-5577 2450 Star
-5577 2428 Star
-5577 2405 Star
-5577 2382 Star
-5577 2359 Star
-5577 2336 Star
-5577 2313 Star
-5577 2290 Star
-5577 2268 Star
-5577 2245 Star
-5577 2222 Star
-5577 2199 Star
-5577 2176 Star
-5577 2153 Star
-5577 2131 Star
-5577 2108 Star
-5577 2085 Star
-5577 2062 Star
-5577 2039 Star
-5577 2016 Star
-5577 1993 Star
-5577 1971 Star
-5577 1948 Star
-5577 1925 Star
-5577 1902 Star
-5577 1879 Star
-5577 1856 Star
-5577 1834 Star
-5577 1811 Star
-5577 1788 Star
-5577 1765 Star
-5577 1742 Star
-5577 1719 Star
-5577 1696 Star
-5577 1674 Star
-5577 1651 Star
-5577 1628 Star
-5577 1605 Star
-5577 1582 Star
-5577 1559 Star
-5577 1537 Star
-5577 1514 Star
-5577 1491 Star
-5577 1468 Star
-5577 1445 Star
-5577 1422 Star
-5577 1399 Star
-5577 1377 Star
-5577 1354 Star
-5577 1331 Star
-5577 1308 Star
-5577 1285 Star
-5577 1262 Star
-5610 3044 Star
-5610 3021 Star
-5610 2999 Star
-5610 2976 Star
-5610 2953 Star
-5610 2930 Star
-5610 2907 Star
-5610 2884 Star
-5610 2862 Star
-5610 2839 Star
-5610 2816 Star
-5610 2793 Star
-5610 2770 Star
-5610 2747 Star
-5610 2724 Star
-5610 2702 Star
-5610 2679 Star
-5610 2656 Star
-5610 2633 Star
-5610 2610 Star
-5610 2587 Star
-5610 2565 Star
-5610 2542 Star
-5610 2519 Star
-5610 2496 Star
-5610 2473 Star
-5610 2450 Star
-5610 2428 Star
-5610 2405 Star
-5610 2382 Star
-5610 2359 Star
-5610 2336 Star
-5610 2313 Star
-5610 2290 Star
-5610 2268 Star
-5610 2245 Star
-5610 2222 Star
-5610 2199 Star
-5610 2176 Star
-5610 2153 Star
-5610 2131 Star
-5610 2108 Star
-5610 2085 Star
-5610 2062 Star
-5610 2039 Star
-5610 2016 Star
-5610 1993 Star
-5610 1971 Star
-5610 1948 Star
-5610 1925 Star
-5610 1902 Star
-5610 1879 Star
-5610 1856 Star
-5610 1834 Star
-5610 1811 Star
-5610 1788 Star
-5610 1765 Star
-5610 1742 Star
-5610 1719 Star
-5610 1696 Star
-5610 1674 Star
-5610 1651 Star
-5610 1628 Star
-5610 1605 Star
-5610 1582 Star
-5610 1559 Star
-5610 1537 Star
-5610 1514 Star
-5610 1491 Star
-5610 1468 Star
-5610 1445 Star
-5610 1422 Star
-5610 1399 Star
-5610 1377 Star
-5610 1354 Star
-5610 1331 Star
-5610 1308 Star
-5610 1285 Star
-5610 1262 Star
-5610 1240 Star
-5642 3044 Star
-5642 3021 Star
-5642 2999 Star
-5642 2976 Star
-5642 2953 Star
-5642 2930 Star
-5642 2907 Star
-5642 2884 Star
-5642 2862 Star
-5642 2839 Star
-5642 2816 Star
-5642 2793 Star
-5642 2770 Star
-5642 2747 Star
-5642 2724 Star
-5642 2702 Star
-5642 2679 Star
-5642 2656 Star
-5642 2633 Star
-5642 2610 Star
-5642 2587 Star
-5642 2565 Star
-5642 2542 Star
-5642 2519 Star
-5642 2496 Star
-5642 2473 Star
-5642 2450 Star
-5642 2428 Star
-5642 2405 Star
-5642 2382 Star
-5642 2359 Star
-5642 2336 Star
-5642 2313 Star
-5642 2290 Star
-5642 2268 Star
-5642 2245 Star
-5642 2222 Star
-5642 2199 Star
-5642 2176 Star
-5642 2153 Star
-5642 2131 Star
-5642 2108 Star
-5642 2085 Star
-5642 2062 Star
-5642 2039 Star
-5642 2016 Star
-5642 1993 Star
-5642 1971 Star
-5642 1948 Star
-5642 1925 Star
-5642 1902 Star
-5642 1879 Star
-5642 1856 Star
-5642 1834 Star
-5642 1811 Star
-5642 1788 Star
-5642 1765 Star
-5642 1742 Star
-5642 1719 Star
-5642 1696 Star
-5642 1674 Star
-5642 1651 Star
-5642 1628 Star
-5642 1605 Star
-5642 1582 Star
-5642 1559 Star
-5642 1537 Star
-5642 1514 Star
-5642 1491 Star
-5642 1468 Star
-5642 1445 Star
-5642 1422 Star
-5642 1399 Star
-5642 1377 Star
-5642 1354 Star
-5642 1331 Star
-5642 1308 Star
-5642 1285 Star
-5642 1262 Star
-5642 1240 Star
-5642 1217 Star
-5674 3021 Star
-5674 2999 Star
-5674 2976 Star
-5674 2953 Star
-5674 2930 Star
-5674 2907 Star
-5674 2884 Star
-5674 2862 Star
-5674 2839 Star
-5674 2816 Star
-5674 2793 Star
-5674 2770 Star
-5674 2747 Star
-5674 2724 Star
-5674 2702 Star
-5674 2679 Star
-5674 2656 Star
-5674 2633 Star
-5674 2610 Star
-5674 2587 Star
-5674 2565 Star
-5674 2542 Star
-5674 2519 Star
-5674 2496 Star
-5674 2473 Star
-5674 2450 Star
-5674 2428 Star
-5674 2405 Star
-5674 2382 Star
-5674 2359 Star
-5674 2336 Star
-5674 2313 Star
-5674 2290 Star
-5674 2268 Star
-5674 2245 Star
-5674 2222 Star
-5674 2199 Star
-5674 2176 Star
-5674 2153 Star
-5674 2131 Star
-5674 2108 Star
-5674 2085 Star
-5674 2062 Star
-5674 2039 Star
-5674 2016 Star
-5674 1993 Star
-5674 1971 Star
-5674 1948 Star
-5674 1925 Star
-5674 1902 Star
-5674 1879 Star
-5674 1856 Star
-5674 1834 Star
-5674 1811 Star
-5674 1788 Star
-5674 1765 Star
-5674 1742 Star
-5674 1719 Star
-5674 1696 Star
-5674 1674 Star
-5674 1651 Star
-5674 1628 Star
-5674 1605 Star
-5674 1582 Star
-5674 1559 Star
-5674 1537 Star
-5674 1514 Star
-5674 1491 Star
-5674 1468 Star
-5674 1445 Star
-5674 1422 Star
-5674 1399 Star
-5674 1377 Star
-5674 1354 Star
-5674 1331 Star
-5674 1308 Star
-5674 1285 Star
-5674 1262 Star
-5674 1240 Star
-5674 1217 Star
-5674 1194 Star
-5706 3021 Star
-5706 2999 Star
-5706 2976 Star
-5706 2953 Star
-5706 2930 Star
-5706 2907 Star
-5706 2884 Star
-5706 2862 Star
-5706 2839 Star
-5706 2816 Star
-5706 2793 Star
-5706 2770 Star
-5706 2747 Star
-5706 2724 Star
-5706 2702 Star
-5706 2679 Star
-5706 2656 Star
-5706 2633 Star
-5706 2610 Star
-5706 2587 Star
-5706 2565 Star
-5706 2542 Star
-5706 2519 Star
-5706 2496 Star
-5706 2473 Star
-5706 2450 Star
-5706 2428 Star
-5706 2405 Star
-5706 2382 Star
-5706 2359 Star
-5706 2336 Star
-5706 2313 Star
-5706 2290 Star
-5706 2268 Star
-5706 2245 Star
-5706 2222 Star
-5706 2199 Star
-5706 2176 Star
-5706 2153 Star
-5706 2131 Star
-5706 2108 Star
-5706 2085 Star
-5706 2062 Star
-5706 2039 Star
-5706 2016 Star
-5706 1993 Star
-5706 1971 Star
-5706 1948 Star
-5706 1925 Star
-5706 1902 Star
-5706 1879 Star
-5706 1856 Star
-5706 1834 Star
-5706 1811 Star
-5706 1788 Star
-5706 1765 Star
-5706 1742 Star
-5706 1719 Star
-5706 1696 Star
-5706 1674 Star
-5706 1651 Star
-5706 1628 Star
-5706 1605 Star
-5706 1582 Star
-5706 1559 Star
-5706 1537 Star
-5706 1514 Star
-5706 1491 Star
-5706 1468 Star
-5706 1445 Star
-5706 1422 Star
-5706 1399 Star
-5706 1377 Star
-5706 1354 Star
-5706 1331 Star
-5706 1308 Star
-5706 1285 Star
-5706 1262 Star
-5706 1240 Star
-5706 1217 Star
-5706 1194 Star
-5706 1171 Star
-5738 2999 Star
-5738 2976 Star
-5738 2953 Star
-5738 2930 Star
-5738 2907 Star
-5738 2884 Star
-5738 2862 Star
-5738 2839 Star
-5738 2816 Star
-5738 2793 Star
-5738 2770 Star
-5738 2747 Star
-5738 2724 Star
-5738 2702 Star
-5738 2679 Star
-5738 2656 Star
-5738 2633 Star
-5738 2610 Star
-5738 2587 Star
-5738 2565 Star
-5738 2542 Star
-5738 2519 Star
-5738 2496 Star
-5738 2473 Star
-5738 2450 Star
-5738 2428 Star
-5738 2405 Star
-5738 2382 Star
-5738 2359 Star
-5738 2336 Star
-5738 2313 Star
-5738 2290 Star
-5738 2268 Star
-5738 2245 Star
-5738 2222 Star
-5738 2199 Star
-5738 2176 Star
-5738 2153 Star
-5738 2131 Star
-5738 2108 Star
-5738 2085 Star
-5738 2062 Star
-5738 2039 Star
-5738 2016 Star
-5738 1993 Star
-5738 1971 Star
-5738 1948 Star
-5738 1925 Star
-5738 1902 Star
-5738 1879 Star
-5738 1856 Star
-5738 1834 Star
-5738 1811 Star
-5738 1788 Star
-5738 1765 Star
-5738 1742 Star
-5738 1719 Star
-5738 1696 Star
-5738 1674 Star
-5738 1651 Star
-5738 1628 Star
-5738 1605 Star
-5738 1582 Star
-5738 1559 Star
-5738 1537 Star
-5738 1514 Star
-5738 1491 Star
-5738 1468 Star
-5738 1445 Star
-5738 1422 Star
-5738 1399 Star
-5738 1377 Star
-5738 1354 Star
-5738 1331 Star
-5738 1308 Star
-5738 1285 Star
-5738 1262 Star
-5738 1240 Star
-5738 1217 Star
-5738 1194 Star
-5738 1171 Star
-5738 1148 Star
-5771 2999 Star
-5771 2976 Star
-5771 2953 Star
+0.00 0.00 1.00 C 578 4848 Star
+610 4848 Star
+610 4825 Star
+642 4825 Star
+642 4802 Star
+674 4825 Star
+674 4802 Star
+674 4780 Star
+706 4802 Star
+706 4780 Star
+706 4757 Star
+738 4802 Star
+738 4780 Star
+738 4757 Star
+738 4734 Star
+770 4780 Star
+770 4757 Star
+770 4734 Star
+770 4711 Star
+802 4780 Star
+802 4757 Star
+802 4734 Star
+802 4711 Star
+802 4688 Star
+834 4757 Star
+834 4734 Star
+834 4711 Star
+834 4688 Star
+834 4665 Star
+867 4757 Star
+867 4734 Star
+867 4711 Star
+867 4688 Star
+867 4665 Star
+867 4643 Star
+899 4734 Star
+899 4711 Star
+899 4688 Star
+899 4665 Star
+899 4643 Star
+899 4620 Star
+931 4734 Star
+931 4711 Star
+931 4688 Star
+931 4665 Star
+931 4643 Star
+931 4620 Star
+931 4597 Star
+963 4711 Star
+963 4688 Star
+963 4665 Star
+963 4643 Star
+963 4620 Star
+963 4597 Star
+963 4574 Star
+995 4711 Star
+995 4688 Star
+995 4665 Star
+995 4643 Star
+995 4620 Star
+995 4597 Star
+995 4574 Star
+995 4551 Star
+1027 4688 Star
+1027 4665 Star
+1027 4643 Star
+1027 4620 Star
+1027 4597 Star
+1027 4574 Star
+1027 4551 Star
+1027 4528 Star
+1059 4688 Star
+1059 4665 Star
+1059 4643 Star
+1059 4620 Star
+1059 4597 Star
+1059 4574 Star
+1059 4551 Star
+1059 4528 Star
+1059 4506 Star
+1091 4665 Star
+1091 4643 Star
+1091 4620 Star
+1091 4597 Star
+1091 4574 Star
+1091 4551 Star
+1091 4528 Star
+1091 4506 Star
+1091 4483 Star
+1123 4665 Star
+1123 4643 Star
+1123 4620 Star
+1123 4597 Star
+1123 4574 Star
+1123 4551 Star
+1123 4528 Star
+1123 4506 Star
+1123 4483 Star
+1123 4460 Star
+1155 4643 Star
+1155 4620 Star
+1155 4597 Star
+1155 4574 Star
+1155 4551 Star
+1155 4528 Star
+1155 4506 Star
+1155 4483 Star
+1155 4460 Star
+1155 4437 Star
+1187 4643 Star
+1187 4620 Star
+1187 4597 Star
+1187 4574 Star
+1187 4551 Star
+1187 4528 Star
+1187 4506 Star
+1187 4483 Star
+1187 4460 Star
+1187 4437 Star
+1187 4414 Star
+1219 4620 Star
+1219 4597 Star
+1219 4574 Star
+1219 4551 Star
+1219 4528 Star
+1219 4506 Star
+1219 4483 Star
+1219 4460 Star
+1219 4437 Star
+1219 4414 Star
+1219 4391 Star
+1251 4620 Star
+1251 4597 Star
+1251 4574 Star
+1251 4551 Star
+1251 4528 Star
+1251 4506 Star
+1251 4483 Star
+1251 4460 Star
+1251 4437 Star
+1251 4414 Star
+1251 4391 Star
+1251 4369 Star
+1283 4597 Star
+1283 4574 Star
+1283 4551 Star
+1283 4528 Star
+1283 4506 Star
+1283 4483 Star
+1283 4460 Star
+1283 4437 Star
+1283 4414 Star
+1283 4391 Star
+1283 4369 Star
+1283 4346 Star
+1315 4597 Star
+1315 4574 Star
+1315 4551 Star
+1315 4528 Star
+1315 4506 Star
+1315 4483 Star
+1315 4460 Star
+1315 4437 Star
+1315 4414 Star
+1315 4391 Star
+1315 4369 Star
+1315 4346 Star
+1315 4323 Star
+1347 4574 Star
+1347 4551 Star
+1347 4528 Star
+1347 4506 Star
+1347 4483 Star
+1347 4460 Star
+1347 4437 Star
+1347 4414 Star
+1347 4391 Star
+1347 4369 Star
+1347 4346 Star
+1347 4323 Star
+1347 4300 Star
+1379 4574 Star
+1379 4551 Star
+1379 4528 Star
+1379 4506 Star
+1379 4483 Star
+1379 4460 Star
+1379 4437 Star
+1379 4414 Star
+1379 4391 Star
+1379 4369 Star
+1379 4346 Star
+1379 4323 Star
+1379 4300 Star
+1379 4277 Star
+1411 4551 Star
+1411 4528 Star
+1411 4506 Star
+1411 4483 Star
+1411 4460 Star
+1411 4437 Star
+1411 4414 Star
+1411 4391 Star
+1411 4369 Star
+1411 4346 Star
+1411 4323 Star
+1411 4300 Star
+1411 4277 Star
+1411 4254 Star
+1444 4551 Star
+1444 4528 Star
+1444 4506 Star
+1444 4483 Star
+1444 4460 Star
+1444 4437 Star
+1444 4414 Star
+1444 4391 Star
+1444 4369 Star
+1444 4346 Star
+1444 4323 Star
+1444 4300 Star
+1444 4277 Star
+1444 4254 Star
+1444 4231 Star
+1476 4528 Star
+1476 4506 Star
+1476 4483 Star
+1476 4460 Star
+1476 4437 Star
+1476 4414 Star
+1476 4391 Star
+1476 4369 Star
+1476 4346 Star
+1476 4323 Star
+1476 4300 Star
+1476 4277 Star
+1476 4254 Star
+1476 4231 Star
+1476 4209 Star
+1508 4528 Star
+1508 4506 Star
+1508 4483 Star
+1508 4460 Star
+1508 4437 Star
+1508 4414 Star
+1508 4391 Star
+1508 4369 Star
+1508 4346 Star
+1508 4323 Star
+1508 4300 Star
+1508 4277 Star
+1508 4254 Star
+1508 4231 Star
+1508 4209 Star
+1508 4186 Star
+1540 4506 Star
+1540 4483 Star
+1540 4460 Star
+1540 4437 Star
+1540 4414 Star
+1540 4391 Star
+1540 4369 Star
+1540 4346 Star
+1540 4323 Star
+1540 4300 Star
+1540 4277 Star
+1540 4254 Star
+1540 4231 Star
+1540 4209 Star
+1540 4186 Star
+1540 4163 Star
+1572 4506 Star
+1572 4483 Star
+1572 4460 Star
+1572 4437 Star
+1572 4414 Star
+1572 4391 Star
+1572 4369 Star
+1572 4346 Star
+1572 4323 Star
+1572 4300 Star
+1572 4277 Star
+1572 4254 Star
+1572 4231 Star
+1572 4209 Star
+1572 4186 Star
+1572 4163 Star
+1572 4140 Star
+1604 4483 Star
+1604 4460 Star
+1604 4437 Star
+1604 4414 Star
+1604 4391 Star
+1604 4369 Star
+1604 4346 Star
+1604 4323 Star
+1604 4300 Star
+1604 4277 Star
+1604 4254 Star
+1604 4231 Star
+1604 4209 Star
+1604 4186 Star
+1604 4163 Star
+1604 4140 Star
+1604 4117 Star
+1636 4483 Star
+1636 4460 Star
+1636 4437 Star
+1636 4414 Star
+1636 4391 Star
+1636 4369 Star
+1636 4346 Star
+1636 4323 Star
+1636 4300 Star
+1636 4277 Star
+1636 4254 Star
+1636 4231 Star
+1636 4209 Star
+1636 4186 Star
+1636 4163 Star
+1636 4140 Star
+1636 4117 Star
+1636 4094 Star
+1668 4460 Star
+1668 4437 Star
+1668 4414 Star
+1668 4391 Star
+1668 4369 Star
+1668 4346 Star
+1668 4323 Star
+1668 4300 Star
+1668 4277 Star
+1668 4254 Star
+1668 4231 Star
+1668 4209 Star
+1668 4186 Star
+1668 4163 Star
+1668 4140 Star
+1668 4117 Star
+1668 4094 Star
+1668 4072 Star
+1700 4460 Star
+1700 4437 Star
+1700 4414 Star
+1700 4391 Star
+1700 4369 Star
+1700 4346 Star
+1700 4323 Star
+1700 4300 Star
+1700 4277 Star
+1700 4254 Star
+1700 4231 Star
+1700 4209 Star
+1700 4186 Star
+1700 4163 Star
+1700 4140 Star
+1700 4117 Star
+1700 4094 Star
+1700 4072 Star
+1700 4049 Star
+1732 4437 Star
+1732 4414 Star
+1732 4391 Star
+1732 4369 Star
+1732 4346 Star
+1732 4323 Star
+1732 4300 Star
+1732 4277 Star
+1732 4254 Star
+1732 4231 Star
+1732 4209 Star
+1732 4186 Star
+1732 4163 Star
+1732 4140 Star
+1732 4117 Star
+1732 4094 Star
+1732 4072 Star
+1732 4049 Star
+1732 4026 Star
+1764 4437 Star
+1764 4414 Star
+1764 4391 Star
+1764 4369 Star
+1764 4346 Star
+1764 4323 Star
+1764 4300 Star
+1764 4277 Star
+1764 4254 Star
+1764 4231 Star
+1764 4209 Star
+1764 4186 Star
+1764 4163 Star
+1764 4140 Star
+1764 4117 Star
+1764 4094 Star
+1764 4072 Star
+1764 4049 Star
+1764 4026 Star
+1764 4003 Star
+1796 4414 Star
+1796 4391 Star
+1796 4369 Star
+1796 4346 Star
+1796 4323 Star
+1796 4300 Star
+1796 4277 Star
+1796 4254 Star
+1796 4231 Star
+1796 4209 Star
+1796 4186 Star
+1796 4163 Star
+1796 4140 Star
+1796 4117 Star
+1796 4094 Star
+1796 4072 Star
+1796 4049 Star
+1796 4026 Star
+1796 4003 Star
+1796 3980 Star
+1828 4414 Star
+1828 4391 Star
+1828 4369 Star
+1828 4346 Star
+1828 4323 Star
+1828 4300 Star
+1828 4277 Star
+1828 4254 Star
+1828 4231 Star
+1828 4209 Star
+1828 4186 Star
+1828 4163 Star
+1828 4140 Star
+1828 4117 Star
+1828 4094 Star
+1828 4072 Star
+1828 4049 Star
+1828 4026 Star
+1828 4003 Star
+1828 3980 Star
+1828 3957 Star
+1860 4391 Star
+1860 4369 Star
+1860 4346 Star
+1860 4323 Star
+1860 4300 Star
+1860 4277 Star
+1860 4254 Star
+1860 4231 Star
+1860 4209 Star
+1860 4186 Star
+1860 4163 Star
+1860 4140 Star
+1860 4117 Star
+1860 4094 Star
+1860 4072 Star
+1860 4049 Star
+1860 4026 Star
+1860 4003 Star
+1860 3980 Star
+1860 3957 Star
+1860 3935 Star
+1892 4391 Star
+1892 4369 Star
+1892 4346 Star
+1892 4323 Star
+1892 4300 Star
+1892 4277 Star
+1892 4254 Star
+1892 4231 Star
+1892 4209 Star
+1892 4186 Star
+1892 4163 Star
+1892 4140 Star
+1892 4117 Star
+1892 4094 Star
+1892 4072 Star
+1892 4049 Star
+1892 4026 Star
+1892 4003 Star
+1892 3980 Star
+1892 3957 Star
+1892 3935 Star
+1892 3912 Star
+1924 4369 Star
+1924 4346 Star
+1924 4323 Star
+1924 4300 Star
+1924 4277 Star
+1924 4254 Star
+1924 4231 Star
+1924 4209 Star
+1924 4186 Star
+1924 4163 Star
+1924 4140 Star
+1924 4117 Star
+1924 4094 Star
+1924 4072 Star
+1924 4049 Star
+1924 4026 Star
+1924 4003 Star
+1924 3980 Star
+1924 3957 Star
+1924 3935 Star
+1924 3912 Star
+1924 3889 Star
+1956 4369 Star
+1956 4346 Star
+1956 4323 Star
+1956 4300 Star
+1956 4277 Star
+1956 4254 Star
+1956 4231 Star
+1956 4209 Star
+1956 4186 Star
+1956 4163 Star
+1956 4140 Star
+1956 4117 Star
+1956 4094 Star
+1956 4072 Star
+1956 4049 Star
+1956 4026 Star
+1956 4003 Star
+1956 3980 Star
+1956 3957 Star
+1956 3935 Star
+1956 3912 Star
+1956 3889 Star
+1956 3866 Star
+1988 4346 Star
+1988 4323 Star
+1988 4300 Star
+1988 4277 Star
+1988 4254 Star
+1988 4231 Star
+1988 4209 Star
+1988 4186 Star
+1988 4163 Star
+1988 4140 Star
+1988 4117 Star
+1988 4094 Star
+1988 4072 Star
+1988 4049 Star
+1988 4026 Star
+1988 4003 Star
+1988 3980 Star
+1988 3957 Star
+1988 3935 Star
+1988 3912 Star
+1988 3889 Star
+1988 3866 Star
+1988 3843 Star
+2021 4346 Star
+2021 4323 Star
+2021 4300 Star
+2021 4277 Star
+2021 4254 Star
+2021 4231 Star
+2021 4209 Star
+2021 4186 Star
+2021 4163 Star
+2021 4140 Star
+2021 4117 Star
+2021 4094 Star
+2021 4072 Star
+2021 4049 Star
+2021 4026 Star
+2021 4003 Star
+2021 3980 Star
+2021 3957 Star
+2021 3935 Star
+2021 3912 Star
+2021 3889 Star
+2021 3866 Star
+2021 3843 Star
+2021 3820 Star
+2053 4323 Star
+2053 4300 Star
+2053 4277 Star
+2053 4254 Star
+2053 4231 Star
+2053 4209 Star
+2053 4186 Star
+2053 4163 Star
+2053 4140 Star
+2053 4117 Star
+2053 4094 Star
+2053 4072 Star
+2053 4049 Star
+2053 4026 Star
+2053 4003 Star
+2053 3980 Star
+2053 3957 Star
+2053 3935 Star
+2053 3912 Star
+2053 3889 Star
+2053 3866 Star
+2053 3843 Star
+2053 3820 Star
+2053 3797 Star
+2085 4323 Star
+2085 4300 Star
+2085 4277 Star
+2085 4254 Star
+2085 4231 Star
+2085 4209 Star
+2085 4186 Star
+2085 4163 Star
+2085 4140 Star
+2085 4117 Star
+2085 4094 Star
+2085 4072 Star
+2085 4049 Star
+2085 4026 Star
+2085 4003 Star
+2085 3980 Star
+2085 3957 Star
+2085 3935 Star
+2085 3912 Star
+2085 3889 Star
+2085 3866 Star
+2085 3843 Star
+2085 3820 Star
+2085 3797 Star
+2085 3775 Star
+2117 4300 Star
+2117 4277 Star
+2117 4254 Star
+2117 4231 Star
+2117 4209 Star
+2117 4186 Star
+2117 4163 Star
+2117 4140 Star
+2117 4117 Star
+2117 4094 Star
+2117 4072 Star
+2117 4049 Star
+2117 4026 Star
+2117 4003 Star
+2117 3980 Star
+2117 3957 Star
+2117 3935 Star
+2117 3912 Star
+2117 3889 Star
+2117 3866 Star
+2117 3843 Star
+2117 3820 Star
+2117 3797 Star
+2117 3775 Star
+2117 3752 Star
+2149 4300 Star
+2149 4277 Star
+2149 4254 Star
+2149 4231 Star
+2149 4209 Star
+2149 4186 Star
+2149 4163 Star
+2149 4140 Star
+2149 4117 Star
+2149 4094 Star
+2149 4072 Star
+2149 4049 Star
+2149 4026 Star
+2149 4003 Star
+2149 3980 Star
+2149 3957 Star
+2149 3935 Star
+2149 3912 Star
+2149 3889 Star
+2149 3866 Star
+2149 3843 Star
+2149 3820 Star
+2149 3797 Star
+2149 3775 Star
+2149 3752 Star
+2149 3729 Star
+2181 4277 Star
+2181 4254 Star
+2181 4231 Star
+2181 4209 Star
+2181 4186 Star
+2181 4163 Star
+2181 4140 Star
+2181 4117 Star
+2181 4094 Star
+2181 4072 Star
+2181 4049 Star
+2181 4026 Star
+2181 4003 Star
+2181 3980 Star
+2181 3957 Star
+2181 3935 Star
+2181 3912 Star
+2181 3889 Star
+2181 3866 Star
+2181 3843 Star
+2181 3820 Star
+2181 3797 Star
+2181 3775 Star
+2181 3752 Star
+2181 3729 Star
+2181 3706 Star
+2213 4277 Star
+2213 4254 Star
+2213 4231 Star
+2213 4209 Star
+2213 4186 Star
+2213 4163 Star
+2213 4140 Star
+2213 4117 Star
+2213 4094 Star
+2213 4072 Star
+2213 4049 Star
+2213 4026 Star
+2213 4003 Star
+2213 3980 Star
+2213 3957 Star
+2213 3935 Star
+2213 3912 Star
+2213 3889 Star
+2213 3866 Star
+2213 3843 Star
+2213 3820 Star
+2213 3797 Star
+2213 3775 Star
+2213 3752 Star
+2213 3729 Star
+2213 3706 Star
+2213 3683 Star
+2245 4254 Star
+2245 4231 Star
+2245 4209 Star
+2245 4186 Star
+2245 4163 Star
+2245 4140 Star
+2245 4117 Star
+2245 4094 Star
+2245 4072 Star
+2245 4049 Star
+2245 4026 Star
+2245 4003 Star
+2245 3980 Star
+2245 3957 Star
+2245 3935 Star
+2245 3912 Star
+2245 3889 Star
+2245 3866 Star
+2245 3843 Star
+2245 3820 Star
+2245 3797 Star
+2245 3775 Star
+2245 3752 Star
+2245 3729 Star
+2245 3706 Star
+2245 3683 Star
+2245 3660 Star
+2277 4254 Star
+2277 4231 Star
+2277 4209 Star
+2277 4186 Star
+2277 4163 Star
+2277 4140 Star
+2277 4117 Star
+2277 4094 Star
+2277 4072 Star
+2277 4049 Star
+2277 4026 Star
+2277 4003 Star
+2277 3980 Star
+2277 3957 Star
+2277 3935 Star
+2277 3912 Star
+2277 3889 Star
+2277 3866 Star
+2277 3843 Star
+2277 3820 Star
+2277 3797 Star
+2277 3775 Star
+2277 3752 Star
+2277 3729 Star
+2277 3706 Star
+2277 3683 Star
+2277 3660 Star
+2277 3638 Star
+2309 4231 Star
+2309 4209 Star
+2309 4186 Star
+2309 4163 Star
+2309 4140 Star
+2309 4117 Star
+2309 4094 Star
+2309 4072 Star
+2309 4049 Star
+2309 4026 Star
+2309 4003 Star
+2309 3980 Star
+2309 3957 Star
+2309 3935 Star
+2309 3912 Star
+2309 3889 Star
+2309 3866 Star
+2309 3843 Star
+2309 3820 Star
+2309 3797 Star
+2309 3775 Star
+2309 3752 Star
+2309 3729 Star
+2309 3706 Star
+2309 3683 Star
+2309 3660 Star
+2309 3638 Star
+2309 3615 Star
+2341 4231 Star
+2341 4209 Star
+2341 4186 Star
+2341 4163 Star
+2341 4140 Star
+2341 4117 Star
+2341 4094 Star
+2341 4072 Star
+2341 4049 Star
+2341 4026 Star
+2341 4003 Star
+2341 3980 Star
+2341 3957 Star
+2341 3935 Star
+2341 3912 Star
+2341 3889 Star
+2341 3866 Star
+2341 3843 Star
+2341 3820 Star
+2341 3797 Star
+2341 3775 Star
+2341 3752 Star
+2341 3729 Star
+2341 3706 Star
+2341 3683 Star
+2341 3660 Star
+2341 3638 Star
+2341 3615 Star
+2341 3592 Star
+2373 4209 Star
+2373 4186 Star
+2373 4163 Star
+2373 4140 Star
+2373 4117 Star
+2373 4094 Star
+2373 4072 Star
+2373 4049 Star
+2373 4026 Star
+2373 4003 Star
+2373 3980 Star
+2373 3957 Star
+2373 3935 Star
+2373 3912 Star
+2373 3889 Star
+2373 3866 Star
+2373 3843 Star
+2373 3820 Star
+2373 3797 Star
+2373 3775 Star
+2373 3752 Star
+2373 3729 Star
+2373 3706 Star
+2373 3683 Star
+2373 3660 Star
+2373 3638 Star
+2373 3615 Star
+2373 3592 Star
+2373 3569 Star
+2405 4209 Star
+2405 4186 Star
+2405 4163 Star
+2405 4140 Star
+2405 4117 Star
+2405 4094 Star
+2405 4072 Star
+2405 4049 Star
+2405 4026 Star
+2405 4003 Star
+2405 3980 Star
+2405 3957 Star
+2405 3935 Star
+2405 3912 Star
+2405 3889 Star
+2405 3866 Star
+2405 3843 Star
+2405 3820 Star
+2405 3797 Star
+2405 3775 Star
+2405 3752 Star
+2405 3729 Star
+2405 3706 Star
+2405 3683 Star
+2405 3660 Star
+2405 3638 Star
+2405 3615 Star
+2405 3592 Star
+2405 3569 Star
+2405 3546 Star
+2437 4186 Star
+2437 4163 Star
+2437 4140 Star
+2437 4117 Star
+2437 4094 Star
+2437 4072 Star
+2437 4049 Star
+2437 4026 Star
+2437 4003 Star
+2437 3980 Star
+2437 3957 Star
+2437 3935 Star
+2437 3912 Star
+2437 3889 Star
+2437 3866 Star
+2437 3843 Star
+2437 3820 Star
+2437 3797 Star
+2437 3775 Star
+2437 3752 Star
+2437 3729 Star
+2437 3706 Star
+2437 3683 Star
+2437 3660 Star
+2437 3638 Star
+2437 3615 Star
+2437 3592 Star
+2437 3569 Star
+2437 3546 Star
+2437 3523 Star
+2469 4186 Star
+2469 4163 Star
+2469 4140 Star
+2469 4117 Star
+2469 4094 Star
+2469 4072 Star
+2469 4049 Star
+2469 4026 Star
+2469 4003 Star
+2469 3980 Star
+2469 3957 Star
+2469 3935 Star
+2469 3912 Star
+2469 3889 Star
+2469 3866 Star
+2469 3843 Star
+2469 3820 Star
+2469 3797 Star
+2469 3775 Star
+2469 3752 Star
+2469 3729 Star
+2469 3706 Star
+2469 3683 Star
+2469 3660 Star
+2469 3638 Star
+2469 3615 Star
+2469 3592 Star
+2469 3569 Star
+2469 3546 Star
+2469 3523 Star
+2469 3501 Star
+2501 4163 Star
+2501 4140 Star
+2501 4117 Star
+2501 4094 Star
+2501 4072 Star
+2501 4049 Star
+2501 4026 Star
+2501 4003 Star
+2501 3980 Star
+2501 3957 Star
+2501 3935 Star
+2501 3912 Star
+2501 3889 Star
+2501 3866 Star
+2501 3843 Star
+2501 3820 Star
+2501 3797 Star
+2501 3775 Star
+2501 3752 Star
+2501 3729 Star
+2501 3706 Star
+2501 3683 Star
+2501 3660 Star
+2501 3638 Star
+2501 3615 Star
+2501 3592 Star
+2501 3569 Star
+2501 3546 Star
+2501 3523 Star
+2501 3501 Star
+2501 3478 Star
+2533 4163 Star
+2533 4140 Star
+2533 4117 Star
+2533 4094 Star
+2533 4072 Star
+2533 4049 Star
+2533 4026 Star
+2533 4003 Star
+2533 3980 Star
+2533 3957 Star
+2533 3935 Star
+2533 3912 Star
+2533 3889 Star
+2533 3866 Star
+2533 3843 Star
+2533 3820 Star
+2533 3797 Star
+2533 3775 Star
+2533 3752 Star
+2533 3729 Star
+2533 3706 Star
+2533 3683 Star
+2533 3660 Star
+2533 3638 Star
+2533 3615 Star
+2533 3592 Star
+2533 3569 Star
+2533 3546 Star
+2533 3523 Star
+2533 3501 Star
+2533 3478 Star
+2533 3455 Star
+2565 4140 Star
+2565 4117 Star
+2565 4094 Star
+2565 4072 Star
+2565 4049 Star
+2565 4026 Star
+2565 4003 Star
+2565 3980 Star
+2565 3957 Star
+2565 3935 Star
+2565 3912 Star
+2565 3889 Star
+2565 3866 Star
+2565 3843 Star
+2565 3820 Star
+2565 3797 Star
+2565 3775 Star
+2565 3752 Star
+2565 3729 Star
+2565 3706 Star
+2565 3683 Star
+2565 3660 Star
+2565 3638 Star
+2565 3615 Star
+2565 3592 Star
+2565 3569 Star
+2565 3546 Star
+2565 3523 Star
+2565 3501 Star
+2565 3478 Star
+2565 3455 Star
+2565 3432 Star
+2598 4140 Star
+2598 4117 Star
+2598 4094 Star
+2598 4072 Star
+2598 4049 Star
+2598 4026 Star
+2598 4003 Star
+2598 3980 Star
+2598 3957 Star
+2598 3935 Star
+2598 3912 Star
+2598 3889 Star
+2598 3866 Star
+2598 3843 Star
+2598 3820 Star
+2598 3797 Star
+2598 3775 Star
+2598 3752 Star
+2598 3729 Star
+2598 3706 Star
+2598 3683 Star
+2598 3660 Star
+2598 3638 Star
+2598 3615 Star
+2598 3592 Star
+2598 3569 Star
+2598 3546 Star
+2598 3523 Star
+2598 3501 Star
+2598 3478 Star
+2598 3455 Star
+2598 3432 Star
+2598 3409 Star
+2630 4117 Star
+2630 4094 Star
+2630 4072 Star
+2630 4049 Star
+2630 4026 Star
+2630 4003 Star
+2630 3980 Star
+2630 3957 Star
+2630 3935 Star
+2630 3912 Star
+2630 3889 Star
+2630 3866 Star
+2630 3843 Star
+2630 3820 Star
+2630 3797 Star
+2630 3775 Star
+2630 3752 Star
+2630 3729 Star
+2630 3706 Star
+2630 3683 Star
+2630 3660 Star
+2630 3638 Star
+2630 3615 Star
+2630 3592 Star
+2630 3569 Star
+2630 3546 Star
+2630 3523 Star
+2630 3501 Star
+2630 3478 Star
+2630 3455 Star
+2630 3432 Star
+2630 3409 Star
+2630 3386 Star
+2662 4117 Star
+2662 4094 Star
+2662 4072 Star
+2662 4049 Star
+2662 4026 Star
+2662 4003 Star
+2662 3980 Star
+2662 3957 Star
+2662 3935 Star
+2662 3912 Star
+2662 3889 Star
+2662 3866 Star
+2662 3843 Star
+2662 3820 Star
+2662 3797 Star
+2662 3775 Star
+2662 3752 Star
+2662 3729 Star
+2662 3706 Star
+2662 3683 Star
+2662 3660 Star
+2662 3638 Star
+2662 3615 Star
+2662 3592 Star
+2662 3569 Star
+2662 3546 Star
+2662 3523 Star
+2662 3501 Star
+2662 3478 Star
+2662 3455 Star
+2662 3432 Star
+2662 3409 Star
+2662 3386 Star
+2662 3364 Star
+2694 4094 Star
+2694 4072 Star
+2694 4049 Star
+2694 4026 Star
+2694 4003 Star
+2694 3980 Star
+2694 3957 Star
+2694 3935 Star
+2694 3912 Star
+2694 3889 Star
+2694 3866 Star
+2694 3843 Star
+2694 3820 Star
+2694 3797 Star
+2694 3775 Star
+2694 3752 Star
+2694 3729 Star
+2694 3706 Star
+2694 3683 Star
+2694 3660 Star
+2694 3638 Star
+2694 3615 Star
+2694 3592 Star
+2694 3569 Star
+2694 3546 Star
+2694 3523 Star
+2694 3501 Star
+2694 3478 Star
+2694 3455 Star
+2694 3432 Star
+2694 3409 Star
+2694 3386 Star
+2694 3364 Star
+2694 3341 Star
+2726 4094 Star
+2726 4072 Star
+2726 4049 Star
+2726 4026 Star
+2726 4003 Star
+2726 3980 Star
+2726 3957 Star
+2726 3935 Star
+2726 3912 Star
+2726 3889 Star
+2726 3866 Star
+2726 3843 Star
+2726 3820 Star
+2726 3797 Star
+2726 3775 Star
+2726 3752 Star
+2726 3729 Star
+2726 3706 Star
+2726 3683 Star
+2726 3660 Star
+2726 3638 Star
+2726 3615 Star
+2726 3592 Star
+2726 3569 Star
+2726 3546 Star
+2726 3523 Star
+2726 3501 Star
+2726 3478 Star
+2726 3455 Star
+2726 3432 Star
+2726 3409 Star
+2726 3386 Star
+2726 3364 Star
+2726 3341 Star
+2726 3318 Star
+2758 4072 Star
+2758 4049 Star
+2758 4026 Star
+2758 4003 Star
+2758 3980 Star
+2758 3957 Star
+2758 3935 Star
+2758 3912 Star
+2758 3889 Star
+2758 3866 Star
+2758 3843 Star
+2758 3820 Star
+2758 3797 Star
+2758 3775 Star
+2758 3752 Star
+2758 3729 Star
+2758 3706 Star
+2758 3683 Star
+2758 3660 Star
+2758 3638 Star
+2758 3615 Star
+2758 3592 Star
+2758 3569 Star
+2758 3546 Star
+2758 3523 Star
+2758 3501 Star
+2758 3478 Star
+2758 3455 Star
+2758 3432 Star
+2758 3409 Star
+2758 3386 Star
+2758 3364 Star
+2758 3341 Star
+2758 3318 Star
+2758 3295 Star
+2790 4072 Star
+2790 4049 Star
+2790 4026 Star
+2790 4003 Star
+2790 3980 Star
+2790 3957 Star
+2790 3935 Star
+2790 3912 Star
+2790 3889 Star
+2790 3866 Star
+2790 3843 Star
+2790 3820 Star
+2790 3797 Star
+2790 3775 Star
+2790 3752 Star
+2790 3729 Star
+2790 3706 Star
+2790 3683 Star
+2790 3660 Star
+2790 3638 Star
+2790 3615 Star
+2790 3592 Star
+2790 3569 Star
+2790 3546 Star
+2790 3523 Star
+2790 3501 Star
+2790 3478 Star
+2790 3455 Star
+2790 3432 Star
+2790 3409 Star
+2790 3386 Star
+2790 3364 Star
+2790 3341 Star
+2790 3318 Star
+2790 3295 Star
+2790 3272 Star
+2822 4049 Star
+2822 4026 Star
+2822 4003 Star
+2822 3980 Star
+2822 3957 Star
+2822 3935 Star
+2822 3912 Star
+2822 3889 Star
+2822 3866 Star
+2822 3843 Star
+2822 3820 Star
+2822 3797 Star
+2822 3775 Star
+2822 3752 Star
+2822 3729 Star
+2822 3706 Star
+2822 3683 Star
+2822 3660 Star
+2822 3638 Star
+2822 3615 Star
+2822 3592 Star
+2822 3569 Star
+2822 3546 Star
+2822 3523 Star
+2822 3501 Star
+2822 3478 Star
+2822 3455 Star
+2822 3432 Star
+2822 3409 Star
+2822 3386 Star
+2822 3364 Star
+2822 3341 Star
+2822 3318 Star
+2822 3295 Star
+2822 3272 Star
+2822 3249 Star
+2854 4049 Star
+2854 4026 Star
+2854 4003 Star
+2854 3980 Star
+2854 3957 Star
+2854 3935 Star
+2854 3912 Star
+2854 3889 Star
+2854 3866 Star
+2854 3843 Star
+2854 3820 Star
+2854 3797 Star
+2854 3775 Star
+2854 3752 Star
+2854 3729 Star
+2854 3706 Star
+2854 3683 Star
+2854 3660 Star
+2854 3638 Star
+2854 3615 Star
+2854 3592 Star
+2854 3569 Star
+2854 3546 Star
+2854 3523 Star
+2854 3501 Star
+2854 3478 Star
+2854 3455 Star
+2854 3432 Star
+2854 3409 Star
+2854 3386 Star
+2854 3364 Star
+2854 3341 Star
+2854 3318 Star
+2854 3295 Star
+2854 3272 Star
+2854 3249 Star
+2854 3226 Star
+2886 4026 Star
+2886 4003 Star
+2886 3980 Star
+2886 3957 Star
+2886 3935 Star
+2886 3912 Star
+2886 3889 Star
+2886 3866 Star
+2886 3843 Star
+2886 3820 Star
+2886 3797 Star
+2886 3775 Star
+2886 3752 Star
+2886 3729 Star
+2886 3706 Star
+2886 3683 Star
+2886 3660 Star
+2886 3638 Star
+2886 3615 Star
+2886 3592 Star
+2886 3569 Star
+2886 3546 Star
+2886 3523 Star
+2886 3501 Star
+2886 3478 Star
+2886 3455 Star
+2886 3432 Star
+2886 3409 Star
+2886 3386 Star
+2886 3364 Star
+2886 3341 Star
+2886 3318 Star
+2886 3295 Star
+2886 3272 Star
+2886 3249 Star
+2886 3226 Star
+2886 3204 Star
+2918 4026 Star
+2918 4003 Star
+2918 3980 Star
+2918 3957 Star
+2918 3935 Star
+2918 3912 Star
+2918 3889 Star
+2918 3866 Star
+2918 3843 Star
+2918 3820 Star
+2918 3797 Star
+2918 3775 Star
+2918 3752 Star
+2918 3729 Star
+2918 3706 Star
+2918 3683 Star
+2918 3660 Star
+2918 3638 Star
+2918 3615 Star
+2918 3592 Star
+2918 3569 Star
+2918 3546 Star
+2918 3523 Star
+2918 3501 Star
+2918 3478 Star
+2918 3455 Star
+2918 3432 Star
+2918 3409 Star
+2918 3386 Star
+2918 3364 Star
+2918 3341 Star
+2918 3318 Star
+2918 3295 Star
+2918 3272 Star
+2918 3249 Star
+2918 3226 Star
+2918 3204 Star
+2918 3181 Star
+2950 4003 Star
+2950 3980 Star
+2950 3957 Star
+2950 3935 Star
+2950 3912 Star
+2950 3889 Star
+2950 3866 Star
+2950 3843 Star
+2950 3820 Star
+2950 3797 Star
+2950 3775 Star
+2950 3752 Star
+2950 3729 Star
+2950 3706 Star
+2950 3683 Star
+2950 3660 Star
+2950 3638 Star
+2950 3615 Star
+2950 3592 Star
+2950 3569 Star
+2950 3546 Star
+2950 3523 Star
+2950 3501 Star
+2950 3478 Star
+2950 3455 Star
+2950 3432 Star
+2950 3409 Star
+2950 3386 Star
+2950 3364 Star
+2950 3341 Star
+2950 3318 Star
+2950 3295 Star
+2950 3272 Star
+2950 3249 Star
+2950 3226 Star
+2950 3204 Star
+2950 3181 Star
+2950 3158 Star
+2982 4003 Star
+2982 3980 Star
+2982 3957 Star
+2982 3935 Star
+2982 3912 Star
+2982 3889 Star
+2982 3866 Star
+2982 3843 Star
+2982 3820 Star
+2982 3797 Star
+2982 3775 Star
+2982 3752 Star
+2982 3729 Star
+2982 3706 Star
+2982 3683 Star
+2982 3660 Star
+2982 3638 Star
+2982 3615 Star
+2982 3592 Star
+2982 3569 Star
+2982 3546 Star
+2982 3523 Star
+2982 3501 Star
+2982 3478 Star
+2982 3455 Star
+2982 3432 Star
+2982 3409 Star
+2982 3386 Star
+2982 3364 Star
+2982 3341 Star
+2982 3318 Star
+2982 3295 Star
+2982 3272 Star
+2982 3249 Star
+2982 3226 Star
+2982 3204 Star
+2982 3181 Star
+2982 3158 Star
+2982 3135 Star
+3014 3980 Star
+3014 3957 Star
+3014 3935 Star
+3014 3912 Star
+3014 3889 Star
+3014 3866 Star
+3014 3843 Star
+3014 3820 Star
+3014 3797 Star
+3014 3775 Star
+3014 3752 Star
+3014 3729 Star
+3014 3706 Star
+3014 3683 Star
+3014 3660 Star
+3014 3638 Star
+3014 3615 Star
+3014 3592 Star
+3014 3569 Star
+3014 3546 Star
+3014 3523 Star
+3014 3501 Star
+3014 3478 Star
+3014 3455 Star
+3014 3432 Star
+3014 3409 Star
+3014 3386 Star
+3014 3364 Star
+3014 3341 Star
+3014 3318 Star
+3014 3295 Star
+3014 3272 Star
+3014 3249 Star
+3014 3226 Star
+3014 3204 Star
+3014 3181 Star
+3014 3158 Star
+3014 3135 Star
+3014 3112 Star
+3046 3980 Star
+3046 3957 Star
+3046 3935 Star
+3046 3912 Star
+3046 3889 Star
+3046 3866 Star
+3046 3843 Star
+3046 3820 Star
+3046 3797 Star
+3046 3775 Star
+3046 3752 Star
+3046 3729 Star
+3046 3706 Star
+3046 3683 Star
+3046 3660 Star
+3046 3638 Star
+3046 3615 Star
+3046 3592 Star
+3046 3569 Star
+3046 3546 Star
+3046 3523 Star
+3046 3501 Star
+3046 3478 Star
+3046 3455 Star
+3046 3432 Star
+3046 3409 Star
+3046 3386 Star
+3046 3364 Star
+3046 3341 Star
+3046 3318 Star
+3046 3295 Star
+3046 3272 Star
+3046 3249 Star
+3046 3226 Star
+3046 3204 Star
+3046 3181 Star
+3046 3158 Star
+3046 3135 Star
+3046 3112 Star
+3046 3089 Star
+3078 3957 Star
+3078 3935 Star
+3078 3912 Star
+3078 3889 Star
+3078 3866 Star
+3078 3843 Star
+3078 3820 Star
+3078 3797 Star
+3078 3775 Star
+3078 3752 Star
+3078 3729 Star
+3078 3706 Star
+3078 3683 Star
+3078 3660 Star
+3078 3638 Star
+3078 3615 Star
+3078 3592 Star
+3078 3569 Star
+3078 3546 Star
+3078 3523 Star
+3078 3501 Star
+3078 3478 Star
+3078 3455 Star
+3078 3432 Star
+3078 3409 Star
+3078 3386 Star
+3078 3364 Star
+3078 3341 Star
+3078 3318 Star
+3078 3295 Star
+3078 3272 Star
+3078 3249 Star
+3078 3226 Star
+3078 3204 Star
+3078 3181 Star
+3078 3158 Star
+3078 3135 Star
+3078 3112 Star
+3078 3089 Star
+3078 3067 Star
+3110 3957 Star
+3110 3935 Star
+3110 3912 Star
+3110 3889 Star
+3110 3866 Star
+3110 3843 Star
+3110 3820 Star
+3110 3797 Star
+3110 3775 Star
+3110 3752 Star
+3110 3729 Star
+3110 3706 Star
+3110 3683 Star
+3110 3660 Star
+3110 3638 Star
+3110 3615 Star
+3110 3592 Star
+3110 3569 Star
+3110 3546 Star
+3110 3523 Star
+3110 3501 Star
+3110 3478 Star
+3110 3455 Star
+3110 3432 Star
+3110 3409 Star
+3110 3386 Star
+3110 3364 Star
+3110 3341 Star
+3110 3318 Star
+3110 3295 Star
+3110 3272 Star
+3110 3249 Star
+3110 3226 Star
+3110 3204 Star
+3110 3181 Star
+3110 3158 Star
+3110 3135 Star
+3110 3112 Star
+3110 3089 Star
+3110 3067 Star
+3110 3044 Star
+3142 3935 Star
+3142 3912 Star
+3142 3889 Star
+3142 3866 Star
+3142 3843 Star
+3142 3820 Star
+3142 3797 Star
+3142 3775 Star
+3142 3752 Star
+3142 3729 Star
+3142 3706 Star
+3142 3683 Star
+3142 3660 Star
+3142 3638 Star
+3142 3615 Star
+3142 3592 Star
+3142 3569 Star
+3142 3546 Star
+3142 3523 Star
+3142 3501 Star
+3142 3478 Star
+3142 3455 Star
+3142 3432 Star
+3142 3409 Star
+3142 3386 Star
+3142 3364 Star
+3142 3341 Star
+3142 3318 Star
+3142 3295 Star
+3142 3272 Star
+3142 3249 Star
+3142 3226 Star
+3142 3204 Star
+3142 3181 Star
+3142 3158 Star
+3142 3135 Star
+3142 3112 Star
+3142 3089 Star
+3142 3067 Star
+3142 3044 Star
+3142 3021 Star
+3174 3935 Star
+3174 3912 Star
+3174 3889 Star
+3174 3866 Star
+3174 3843 Star
+3174 3820 Star
+3174 3797 Star
+3174 3775 Star
+3174 3752 Star
+3174 3729 Star
+3174 3706 Star
+3174 3683 Star
+3174 3660 Star
+3174 3638 Star
+3174 3615 Star
+3174 3592 Star
+3174 3569 Star
+3174 3546 Star
+3174 3523 Star
+3174 3501 Star
+3174 3478 Star
+3174 3455 Star
+3174 3432 Star
+3174 3409 Star
+3174 3386 Star
+3174 3364 Star
+3174 3341 Star
+3174 3318 Star
+3174 3295 Star
+3174 3272 Star
+3174 3249 Star
+3174 3226 Star
+3174 3204 Star
+3174 3181 Star
+3174 3158 Star
+3174 3135 Star
+3174 3112 Star
+3174 3089 Star
+3174 3067 Star
+3174 3044 Star
+3174 3021 Star
+3174 2998 Star
+3207 3912 Star
+3207 3889 Star
+3207 3866 Star
+3207 3843 Star
+3207 3820 Star
+3207 3797 Star
+3207 3775 Star
+3207 3752 Star
+3207 3729 Star
+3207 3706 Star
+3207 3683 Star
+3207 3660 Star
+3207 3638 Star
+3207 3615 Star
+3207 3592 Star
+3207 3569 Star
+3207 3546 Star
+3207 3523 Star
+3207 3501 Star
+3207 3478 Star
+3207 3455 Star
+3207 3432 Star
+3207 3409 Star
+3207 3386 Star
+3207 3364 Star
+3207 3341 Star
+3207 3318 Star
+3207 3295 Star
+3207 3272 Star
+3207 3249 Star
+3207 3226 Star
+3207 3204 Star
+3207 3181 Star
+3207 3158 Star
+3207 3135 Star
+3207 3112 Star
+3207 3089 Star
+3207 3067 Star
+3207 3044 Star
+3207 3021 Star
+3207 2998 Star
+3207 2975 Star
+3239 3912 Star
+3239 3889 Star
+3239 3866 Star
+3239 3843 Star
+3239 3820 Star
+3239 3797 Star
+3239 3775 Star
+3239 3752 Star
+3239 3729 Star
+3239 3706 Star
+3239 3683 Star
+3239 3660 Star
+3239 3638 Star
+3239 3615 Star
+3239 3592 Star
+3239 3569 Star
+3239 3546 Star
+3239 3523 Star
+3239 3501 Star
+3239 3478 Star
+3239 3455 Star
+3239 3432 Star
+3239 3409 Star
+3239 3386 Star
+3239 3364 Star
+3239 3341 Star
+3239 3318 Star
+3239 3295 Star
+3239 3272 Star
+3239 3249 Star
+3239 3226 Star
+3239 3204 Star
+3239 3181 Star
+3239 3158 Star
+3239 3135 Star
+3239 3112 Star
+3239 3089 Star
+3239 3067 Star
+3239 3044 Star
+3239 3021 Star
+3239 2998 Star
+3239 2975 Star
+3239 2952 Star
+3271 3889 Star
+3271 3866 Star
+3271 3843 Star
+3271 3820 Star
+3271 3797 Star
+3271 3775 Star
+3271 3752 Star
+3271 3729 Star
+3271 3706 Star
+3271 3683 Star
+3271 3660 Star
+3271 3638 Star
+3271 3615 Star
+3271 3592 Star
+3271 3569 Star
+3271 3546 Star
+3271 3523 Star
+3271 3501 Star
+3271 3478 Star
+3271 3455 Star
+3271 3432 Star
+3271 3409 Star
+3271 3386 Star
+3271 3364 Star
+3271 3341 Star
+3271 3318 Star
+3271 3295 Star
+3271 3272 Star
+3271 3249 Star
+3271 3226 Star
+3271 3204 Star
+3271 3181 Star
+3271 3158 Star
+3271 3135 Star
+3271 3112 Star
+3271 3089 Star
+3271 3067 Star
+3271 3044 Star
+3271 3021 Star
+3271 2998 Star
+3271 2975 Star
+3271 2952 Star
+3271 2930 Star
+3303 3889 Star
+3303 3866 Star
+3303 3843 Star
+3303 3820 Star
+3303 3797 Star
+3303 3775 Star
+3303 3752 Star
+3303 3729 Star
+3303 3706 Star
+3303 3683 Star
+3303 3660 Star
+3303 3638 Star
+3303 3615 Star
+3303 3592 Star
+3303 3569 Star
+3303 3546 Star
+3303 3523 Star
+3303 3501 Star
+3303 3478 Star
+3303 3455 Star
+3303 3432 Star
+3303 3409 Star
+3303 3386 Star
+3303 3364 Star
+3303 3341 Star
+3303 3318 Star
+3303 3295 Star
+3303 3272 Star
+3303 3249 Star
+3303 3226 Star
+3303 3204 Star
+3303 3181 Star
+3303 3158 Star
+3303 3135 Star
+3303 3112 Star
+3303 3089 Star
+3303 3067 Star
+3303 3044 Star
+3303 3021 Star
+3303 2998 Star
+3303 2975 Star
+3303 2952 Star
+3303 2930 Star
+3303 2907 Star
+3335 3866 Star
+3335 3843 Star
+3335 3820 Star
+3335 3797 Star
+3335 3775 Star
+3335 3752 Star
+3335 3729 Star
+3335 3706 Star
+3335 3683 Star
+3335 3660 Star
+3335 3638 Star
+3335 3615 Star
+3335 3592 Star
+3335 3569 Star
+3335 3546 Star
+3335 3523 Star
+3335 3501 Star
+3335 3478 Star
+3335 3455 Star
+3335 3432 Star
+3335 3409 Star
+3335 3386 Star
+3335 3364 Star
+3335 3341 Star
+3335 3318 Star
+3335 3295 Star
+3335 3272 Star
+3335 3249 Star
+3335 3226 Star
+3335 3204 Star
+3335 3181 Star
+3335 3158 Star
+3335 3135 Star
+3335 3112 Star
+3335 3089 Star
+3335 3067 Star
+3335 3044 Star
+3335 3021 Star
+3335 2998 Star
+3335 2975 Star
+3335 2952 Star
+3335 2930 Star
+3335 2907 Star
+3335 2884 Star
+3367 3866 Star
+3367 3843 Star
+3367 3820 Star
+3367 3797 Star
+3367 3775 Star
+3367 3752 Star
+3367 3729 Star
+3367 3706 Star
+3367 3683 Star
+3367 3660 Star
+3367 3638 Star
+3367 3615 Star
+3367 3592 Star
+3367 3569 Star
+3367 3546 Star
+3367 3523 Star
+3367 3501 Star
+3367 3478 Star
+3367 3455 Star
+3367 3432 Star
+3367 3409 Star
+3367 3386 Star
+3367 3364 Star
+3367 3341 Star
+3367 3318 Star
+3367 3295 Star
+3367 3272 Star
+3367 3249 Star
+3367 3226 Star
+3367 3204 Star
+3367 3181 Star
+3367 3158 Star
+3367 3135 Star
+3367 3112 Star
+3367 3089 Star
+3367 3067 Star
+3367 3044 Star
+3367 3021 Star
+3367 2998 Star
+3367 2975 Star
+3367 2952 Star
+3367 2930 Star
+3367 2907 Star
+3367 2884 Star
+3367 2861 Star
+3399 3843 Star
+3399 3820 Star
+3399 3797 Star
+3399 3775 Star
+3399 3752 Star
+3399 3729 Star
+3399 3706 Star
+3399 3683 Star
+3399 3660 Star
+3399 3638 Star
+3399 3615 Star
+3399 3592 Star
+3399 3569 Star
+3399 3546 Star
+3399 3523 Star
+3399 3501 Star
+3399 3478 Star
+3399 3455 Star
+3399 3432 Star
+3399 3409 Star
+3399 3386 Star
+3399 3364 Star
+3399 3341 Star
+3399 3318 Star
+3399 3295 Star
+3399 3272 Star
+3399 3249 Star
+3399 3226 Star
+3399 3204 Star
+3399 3181 Star
+3399 3158 Star
+3399 3135 Star
+3399 3112 Star
+3399 3089 Star
+3399 3067 Star
+3399 3044 Star
+3399 3021 Star
+3399 2998 Star
+3399 2975 Star
+3399 2952 Star
+3399 2930 Star
+3399 2907 Star
+3399 2884 Star
+3399 2861 Star
+3399 2838 Star
+3431 3843 Star
+3431 3820 Star
+3431 3797 Star
+3431 3775 Star
+3431 3752 Star
+3431 3729 Star
+3431 3706 Star
+3431 3683 Star
+3431 3660 Star
+3431 3638 Star
+3431 3615 Star
+3431 3592 Star
+3431 3569 Star
+3431 3546 Star
+3431 3523 Star
+3431 3501 Star
+3431 3478 Star
+3431 3455 Star
+3431 3432 Star
+3431 3409 Star
+3431 3386 Star
+3431 3364 Star
+3431 3341 Star
+3431 3318 Star
+3431 3295 Star
+3431 3272 Star
+3431 3249 Star
+3431 3226 Star
+3431 3204 Star
+3431 3181 Star
+3431 3158 Star
+3431 3135 Star
+3431 3112 Star
+3431 3089 Star
+3431 3067 Star
+3431 3044 Star
+3431 3021 Star
+3431 2998 Star
+3431 2975 Star
+3431 2952 Star
+3431 2930 Star
+3431 2907 Star
+3431 2884 Star
+3431 2861 Star
+3431 2838 Star
+3431 2815 Star
+3463 3820 Star
+3463 3797 Star
+3463 3775 Star
+3463 3752 Star
+3463 3729 Star
+3463 3706 Star
+3463 3683 Star
+3463 3660 Star
+3463 3638 Star
+3463 3615 Star
+3463 3592 Star
+3463 3569 Star
+3463 3546 Star
+3463 3523 Star
+3463 3501 Star
+3463 3478 Star
+3463 3455 Star
+3463 3432 Star
+3463 3409 Star
+3463 3386 Star
+3463 3364 Star
+3463 3341 Star
+3463 3318 Star
+3463 3295 Star
+3463 3272 Star
+3463 3249 Star
+3463 3226 Star
+3463 3204 Star
+3463 3181 Star
+3463 3158 Star
+3463 3135 Star
+3463 3112 Star
+3463 3089 Star
+3463 3067 Star
+3463 3044 Star
+3463 3021 Star
+3463 2998 Star
+3463 2975 Star
+3463 2952 Star
+3463 2930 Star
+3463 2907 Star
+3463 2884 Star
+3463 2861 Star
+3463 2838 Star
+3463 2815 Star
+3463 2792 Star
+3495 3820 Star
+3495 3797 Star
+3495 3775 Star
+3495 3752 Star
+3495 3729 Star
+3495 3706 Star
+3495 3683 Star
+3495 3660 Star
+3495 3638 Star
+3495 3615 Star
+3495 3592 Star
+3495 3569 Star
+3495 3546 Star
+3495 3523 Star
+3495 3501 Star
+3495 3478 Star
+3495 3455 Star
+3495 3432 Star
+3495 3409 Star
+3495 3386 Star
+3495 3364 Star
+3495 3341 Star
+3495 3318 Star
+3495 3295 Star
+3495 3272 Star
+3495 3249 Star
+3495 3226 Star
+3495 3204 Star
+3495 3181 Star
+3495 3158 Star
+3495 3135 Star
+3495 3112 Star
+3495 3089 Star
+3495 3067 Star
+3495 3044 Star
+3495 3021 Star
+3495 2998 Star
+3495 2975 Star
+3495 2952 Star
+3495 2930 Star
+3495 2907 Star
+3495 2884 Star
+3495 2861 Star
+3495 2838 Star
+3495 2815 Star
+3495 2792 Star
+3495 2770 Star
+3527 3797 Star
+3527 3775 Star
+3527 3752 Star
+3527 3729 Star
+3527 3706 Star
+3527 3683 Star
+3527 3660 Star
+3527 3638 Star
+3527 3615 Star
+3527 3592 Star
+3527 3569 Star
+3527 3546 Star
+3527 3523 Star
+3527 3501 Star
+3527 3478 Star
+3527 3455 Star
+3527 3432 Star
+3527 3409 Star
+3527 3386 Star
+3527 3364 Star
+3527 3341 Star
+3527 3318 Star
+3527 3295 Star
+3527 3272 Star
+3527 3249 Star
+3527 3226 Star
+3527 3204 Star
+3527 3181 Star
+3527 3158 Star
+3527 3135 Star
+3527 3112 Star
+3527 3089 Star
+3527 3067 Star
+3527 3044 Star
+3527 3021 Star
+3527 2998 Star
+3527 2975 Star
+3527 2952 Star
+3527 2930 Star
+3527 2907 Star
+3527 2884 Star
+3527 2861 Star
+3527 2838 Star
+3527 2815 Star
+3527 2792 Star
+3527 2770 Star
+3527 2747 Star
+3559 3797 Star
+3559 3775 Star
+3559 3752 Star
+3559 3729 Star
+3559 3706 Star
+3559 3683 Star
+3559 3660 Star
+3559 3638 Star
+3559 3615 Star
+3559 3592 Star
+3559 3569 Star
+3559 3546 Star
+3559 3523 Star
+3559 3501 Star
+3559 3478 Star
+3559 3455 Star
+3559 3432 Star
+3559 3409 Star
+3559 3386 Star
+3559 3364 Star
+3559 3341 Star
+3559 3318 Star
+3559 3295 Star
+3559 3272 Star
+3559 3249 Star
+3559 3226 Star
+3559 3204 Star
+3559 3181 Star
+3559 3158 Star
+3559 3135 Star
+3559 3112 Star
+3559 3089 Star
+3559 3067 Star
+3559 3044 Star
+3559 3021 Star
+3559 2998 Star
+3559 2975 Star
+3559 2952 Star
+3559 2930 Star
+3559 2907 Star
+3559 2884 Star
+3559 2861 Star
+3559 2838 Star
+3559 2815 Star
+3559 2792 Star
+3559 2770 Star
+3559 2747 Star
+3559 2724 Star
+3591 3775 Star
+3591 3752 Star
+3591 3729 Star
+3591 3706 Star
+3591 3683 Star
+3591 3660 Star
+3591 3638 Star
+3591 3615 Star
+3591 3592 Star
+3591 3569 Star
+3591 3546 Star
+3591 3523 Star
+3591 3501 Star
+3591 3478 Star
+3591 3455 Star
+3591 3432 Star
+3591 3409 Star
+3591 3386 Star
+3591 3364 Star
+3591 3341 Star
+3591 3318 Star
+3591 3295 Star
+3591 3272 Star
+3591 3249 Star
+3591 3226 Star
+3591 3204 Star
+3591 3181 Star
+3591 3158 Star
+3591 3135 Star
+3591 3112 Star
+3591 3089 Star
+3591 3067 Star
+3591 3044 Star
+3591 3021 Star
+3591 2998 Star
+3591 2975 Star
+3591 2952 Star
+3591 2930 Star
+3591 2907 Star
+3591 2884 Star
+3591 2861 Star
+3591 2838 Star
+3591 2815 Star
+3591 2792 Star
+3591 2770 Star
+3591 2747 Star
+3591 2724 Star
+3591 2701 Star
+3623 3775 Star
+3623 3752 Star
+3623 3729 Star
+3623 3706 Star
+3623 3683 Star
+3623 3660 Star
+3623 3638 Star
+3623 3615 Star
+3623 3592 Star
+3623 3569 Star
+3623 3546 Star
+3623 3523 Star
+3623 3501 Star
+3623 3478 Star
+3623 3455 Star
+3623 3432 Star
+3623 3409 Star
+3623 3386 Star
+3623 3364 Star
+3623 3341 Star
+3623 3318 Star
+3623 3295 Star
+3623 3272 Star
+3623 3249 Star
+3623 3226 Star
+3623 3204 Star
+3623 3181 Star
+3623 3158 Star
+3623 3135 Star
+3623 3112 Star
+3623 3089 Star
+3623 3067 Star
+3623 3044 Star
+3623 3021 Star
+3623 2998 Star
+3623 2975 Star
+3623 2952 Star
+3623 2930 Star
+3623 2907 Star
+3623 2884 Star
+3623 2861 Star
+3623 2838 Star
+3623 2815 Star
+3623 2792 Star
+3623 2770 Star
+3623 2747 Star
+3623 2724 Star
+3623 2701 Star
+3623 2678 Star
+3655 3752 Star
+3655 3729 Star
+3655 3706 Star
+3655 3683 Star
+3655 3660 Star
+3655 3638 Star
+3655 3615 Star
+3655 3592 Star
+3655 3569 Star
+3655 3546 Star
+3655 3523 Star
+3655 3501 Star
+3655 3478 Star
+3655 3455 Star
+3655 3432 Star
+3655 3409 Star
+3655 3386 Star
+3655 3364 Star
+3655 3341 Star
+3655 3318 Star
+3655 3295 Star
+3655 3272 Star
+3655 3249 Star
+3655 3226 Star
+3655 3204 Star
+3655 3181 Star
+3655 3158 Star
+3655 3135 Star
+3655 3112 Star
+3655 3089 Star
+3655 3067 Star
+3655 3044 Star
+3655 3021 Star
+3655 2998 Star
+3655 2975 Star
+3655 2952 Star
+3655 2930 Star
+3655 2907 Star
+3655 2884 Star
+3655 2861 Star
+3655 2838 Star
+3655 2815 Star
+3655 2792 Star
+3655 2770 Star
+3655 2747 Star
+3655 2724 Star
+3655 2701 Star
+3655 2678 Star
+3655 2655 Star
+3687 3752 Star
+3687 3729 Star
+3687 3706 Star
+3687 3683 Star
+3687 3660 Star
+3687 3638 Star
+3687 3615 Star
+3687 3592 Star
+3687 3569 Star
+3687 3546 Star
+3687 3523 Star
+3687 3501 Star
+3687 3478 Star
+3687 3455 Star
+3687 3432 Star
+3687 3409 Star
+3687 3386 Star
+3687 3364 Star
+3687 3341 Star
+3687 3318 Star
+3687 3295 Star
+3687 3272 Star
+3687 3249 Star
+3687 3226 Star
+3687 3204 Star
+3687 3181 Star
+3687 3158 Star
+3687 3135 Star
+3687 3112 Star
+3687 3089 Star
+3687 3067 Star
+3687 3044 Star
+3687 3021 Star
+3687 2998 Star
+3687 2975 Star
+3687 2952 Star
+3687 2930 Star
+3687 2907 Star
+3687 2884 Star
+3687 2861 Star
+3687 2838 Star
+3687 2815 Star
+3687 2792 Star
+3687 2770 Star
+3687 2747 Star
+3687 2724 Star
+3687 2701 Star
+3687 2678 Star
+3687 2655 Star
+3687 2633 Star
+3719 3729 Star
+3719 3706 Star
+3719 3683 Star
+3719 3660 Star
+3719 3638 Star
+3719 3615 Star
+3719 3592 Star
+3719 3569 Star
+3719 3546 Star
+3719 3523 Star
+3719 3501 Star
+3719 3478 Star
+3719 3455 Star
+3719 3432 Star
+3719 3409 Star
+3719 3386 Star
+3719 3364 Star
+3719 3341 Star
+3719 3318 Star
+3719 3295 Star
+3719 3272 Star
+3719 3249 Star
+3719 3226 Star
+3719 3204 Star
+3719 3181 Star
+3719 3158 Star
+3719 3135 Star
+3719 3112 Star
+3719 3089 Star
+3719 3067 Star
+3719 3044 Star
+3719 3021 Star
+3719 2998 Star
+3719 2975 Star
+3719 2952 Star
+3719 2930 Star
+3719 2907 Star
+3719 2884 Star
+3719 2861 Star
+3719 2838 Star
+3719 2815 Star
+3719 2792 Star
+3719 2770 Star
+3719 2747 Star
+3719 2724 Star
+3719 2701 Star
+3719 2678 Star
+3719 2655 Star
+3719 2633 Star
+3719 2610 Star
+3751 3729 Star
+3751 3706 Star
+3751 3683 Star
+3751 3660 Star
+3751 3638 Star
+3751 3615 Star
+3751 3592 Star
+3751 3569 Star
+3751 3546 Star
+3751 3523 Star
+3751 3501 Star
+3751 3478 Star
+3751 3455 Star
+3751 3432 Star
+3751 3409 Star
+3751 3386 Star
+3751 3364 Star
+3751 3341 Star
+3751 3318 Star
+3751 3295 Star
+3751 3272 Star
+3751 3249 Star
+3751 3226 Star
+3751 3204 Star
+3751 3181 Star
+3751 3158 Star
+3751 3135 Star
+3751 3112 Star
+3751 3089 Star
+3751 3067 Star
+3751 3044 Star
+3751 3021 Star
+3751 2998 Star
+3751 2975 Star
+3751 2952 Star
+3751 2930 Star
+3751 2907 Star
+3751 2884 Star
+3751 2861 Star
+3751 2838 Star
+3751 2815 Star
+3751 2792 Star
+3751 2770 Star
+3751 2747 Star
+3751 2724 Star
+3751 2701 Star
+3751 2678 Star
+3751 2655 Star
+3751 2633 Star
+3751 2610 Star
+3751 2587 Star
+3784 3706 Star
+3784 3683 Star
+3784 3660 Star
+3784 3638 Star
+3784 3615 Star
+3784 3592 Star
+3784 3569 Star
+3784 3546 Star
+3784 3523 Star
+3784 3501 Star
+3784 3478 Star
+3784 3455 Star
+3784 3432 Star
+3784 3409 Star
+3784 3386 Star
+3784 3364 Star
+3784 3341 Star
+3784 3318 Star
+3784 3295 Star
+3784 3272 Star
+3784 3249 Star
+3784 3226 Star
+3784 3204 Star
+3784 3181 Star
+3784 3158 Star
+3784 3135 Star
+3784 3112 Star
+3784 3089 Star
+3784 3067 Star
+3784 3044 Star
+3784 3021 Star
+3784 2998 Star
+3784 2975 Star
+3784 2952 Star
+3784 2930 Star
+3784 2907 Star
+3784 2884 Star
+3784 2861 Star
+3784 2838 Star
+3784 2815 Star
+3784 2792 Star
+3784 2770 Star
+3784 2747 Star
+3784 2724 Star
+3784 2701 Star
+3784 2678 Star
+3784 2655 Star
+3784 2633 Star
+3784 2610 Star
+3784 2587 Star
+3784 2564 Star
+3816 3706 Star
+3816 3683 Star
+3816 3660 Star
+3816 3638 Star
+3816 3615 Star
+3816 3592 Star
+3816 3569 Star
+3816 3546 Star
+3816 3523 Star
+3816 3501 Star
+3816 3478 Star
+3816 3455 Star
+3816 3432 Star
+3816 3409 Star
+3816 3386 Star
+3816 3364 Star
+3816 3341 Star
+3816 3318 Star
+3816 3295 Star
+3816 3272 Star
+3816 3249 Star
+3816 3226 Star
+3816 3204 Star
+3816 3181 Star
+3816 3158 Star
+3816 3135 Star
+3816 3112 Star
+3816 3089 Star
+3816 3067 Star
+3816 3044 Star
+3816 3021 Star
+3816 2998 Star
+3816 2975 Star
+3816 2952 Star
+3816 2930 Star
+3816 2907 Star
+3816 2884 Star
+3816 2861 Star
+3816 2838 Star
+3816 2815 Star
+3816 2792 Star
+3816 2770 Star
+3816 2747 Star
+3816 2724 Star
+3816 2701 Star
+3816 2678 Star
+3816 2655 Star
+3816 2633 Star
+3816 2610 Star
+3816 2587 Star
+3816 2564 Star
+3816 2541 Star
+3848 3683 Star
+3848 3660 Star
+3848 3638 Star
+3848 3615 Star
+3848 3592 Star
+3848 3569 Star
+3848 3546 Star
+3848 3523 Star
+3848 3501 Star
+3848 3478 Star
+3848 3455 Star
+3848 3432 Star
+3848 3409 Star
+3848 3386 Star
+3848 3364 Star
+3848 3341 Star
+3848 3318 Star
+3848 3295 Star
+3848 3272 Star
+3848 3249 Star
+3848 3226 Star
+3848 3204 Star
+3848 3181 Star
+3848 3158 Star
+3848 3135 Star
+3848 3112 Star
+3848 3089 Star
+3848 3067 Star
+3848 3044 Star
+3848 3021 Star
+3848 2998 Star
+3848 2975 Star
+3848 2952 Star
+3848 2930 Star
+3848 2907 Star
+3848 2884 Star
+3848 2861 Star
+3848 2838 Star
+3848 2815 Star
+3848 2792 Star
+3848 2770 Star
+3848 2747 Star
+3848 2724 Star
+3848 2701 Star
+3848 2678 Star
+3848 2655 Star
+3848 2633 Star
+3848 2610 Star
+3848 2587 Star
+3848 2564 Star
+3848 2541 Star
+3848 2518 Star
+3880 3683 Star
+3880 3660 Star
+3880 3638 Star
+3880 3615 Star
+3880 3592 Star
+3880 3569 Star
+3880 3546 Star
+3880 3523 Star
+3880 3501 Star
+3880 3478 Star
+3880 3455 Star
+3880 3432 Star
+3880 3409 Star
+3880 3386 Star
+3880 3364 Star
+3880 3341 Star
+3880 3318 Star
+3880 3295 Star
+3880 3272 Star
+3880 3249 Star
+3880 3226 Star
+3880 3204 Star
+3880 3181 Star
+3880 3158 Star
+3880 3135 Star
+3880 3112 Star
+3880 3089 Star
+3880 3067 Star
+3880 3044 Star
+3880 3021 Star
+3880 2998 Star
+3880 2975 Star
+3880 2952 Star
+3880 2930 Star
+3880 2907 Star
+3880 2884 Star
+3880 2861 Star
+3880 2838 Star
+3880 2815 Star
+3880 2792 Star
+3880 2770 Star
+3880 2747 Star
+3880 2724 Star
+3880 2701 Star
+3880 2678 Star
+3880 2655 Star
+3880 2633 Star
+3880 2610 Star
+3880 2587 Star
+3880 2564 Star
+3880 2541 Star
+3880 2518 Star
+3880 2496 Star
+3912 3660 Star
+3912 3638 Star
+3912 3615 Star
+3912 3592 Star
+3912 3569 Star
+3912 3546 Star
+3912 3523 Star
+3912 3501 Star
+3912 3478 Star
+3912 3455 Star
+3912 3432 Star
+3912 3409 Star
+3912 3386 Star
+3912 3364 Star
+3912 3341 Star
+3912 3318 Star
+3912 3295 Star
+3912 3272 Star
+3912 3249 Star
+3912 3226 Star
+3912 3204 Star
+3912 3181 Star
+3912 3158 Star
+3912 3135 Star
+3912 3112 Star
+3912 3089 Star
+3912 3067 Star
+3912 3044 Star
+3912 3021 Star
+3912 2998 Star
+3912 2975 Star
+3912 2952 Star
+3912 2930 Star
+3912 2907 Star
+3912 2884 Star
+3912 2861 Star
+3912 2838 Star
+3912 2815 Star
+3912 2792 Star
+3912 2770 Star
+3912 2747 Star
+3912 2724 Star
+3912 2701 Star
+3912 2678 Star
+3912 2655 Star
+3912 2633 Star
+3912 2610 Star
+3912 2587 Star
+3912 2564 Star
+3912 2541 Star
+3912 2518 Star
+3912 2496 Star
+3912 2473 Star
+3944 3660 Star
+3944 3638 Star
+3944 3615 Star
+3944 3592 Star
+3944 3569 Star
+3944 3546 Star
+3944 3523 Star
+3944 3501 Star
+3944 3478 Star
+3944 3455 Star
+3944 3432 Star
+3944 3409 Star
+3944 3386 Star
+3944 3364 Star
+3944 3341 Star
+3944 3318 Star
+3944 3295 Star
+3944 3272 Star
+3944 3249 Star
+3944 3226 Star
+3944 3204 Star
+3944 3181 Star
+3944 3158 Star
+3944 3135 Star
+3944 3112 Star
+3944 3089 Star
+3944 3067 Star
+3944 3044 Star
+3944 3021 Star
+3944 2998 Star
+3944 2975 Star
+3944 2952 Star
+3944 2930 Star
+3944 2907 Star
+3944 2884 Star
+3944 2861 Star
+3944 2838 Star
+3944 2815 Star
+3944 2792 Star
+3944 2770 Star
+3944 2747 Star
+3944 2724 Star
+3944 2701 Star
+3944 2678 Star
+3944 2655 Star
+3944 2633 Star
+3944 2610 Star
+3944 2587 Star
+3944 2564 Star
+3944 2541 Star
+3944 2518 Star
+3944 2496 Star
+3944 2473 Star
+3944 2450 Star
+3976 3638 Star
+3976 3615 Star
+3976 3592 Star
+3976 3569 Star
+3976 3546 Star
+3976 3523 Star
+3976 3501 Star
+3976 3478 Star
+3976 3455 Star
+3976 3432 Star
+3976 3409 Star
+3976 3386 Star
+3976 3364 Star
+3976 3341 Star
+3976 3318 Star
+3976 3295 Star
+3976 3272 Star
+3976 3249 Star
+3976 3226 Star
+3976 3204 Star
+3976 3181 Star
+3976 3158 Star
+3976 3135 Star
+3976 3112 Star
+3976 3089 Star
+3976 3067 Star
+3976 3044 Star
+3976 3021 Star
+3976 2998 Star
+3976 2975 Star
+3976 2952 Star
+3976 2930 Star
+3976 2907 Star
+3976 2884 Star
+3976 2861 Star
+3976 2838 Star
+3976 2815 Star
+3976 2792 Star
+3976 2770 Star
+3976 2747 Star
+3976 2724 Star
+3976 2701 Star
+3976 2678 Star
+3976 2655 Star
+3976 2633 Star
+3976 2610 Star
+3976 2587 Star
+3976 2564 Star
+3976 2541 Star
+3976 2518 Star
+3976 2496 Star
+3976 2473 Star
+3976 2450 Star
+3976 2427 Star
+4008 3638 Star
+4008 3615 Star
+4008 3592 Star
+4008 3569 Star
+4008 3546 Star
+4008 3523 Star
+4008 3501 Star
+4008 3478 Star
+4008 3455 Star
+4008 3432 Star
+4008 3409 Star
+4008 3386 Star
+4008 3364 Star
+4008 3341 Star
+4008 3318 Star
+4008 3295 Star
+4008 3272 Star
+4008 3249 Star
+4008 3226 Star
+4008 3204 Star
+4008 3181 Star
+4008 3158 Star
+4008 3135 Star
+4008 3112 Star
+4008 3089 Star
+4008 3067 Star
+4008 3044 Star
+4008 3021 Star
+4008 2998 Star
+4008 2975 Star
+4008 2952 Star
+4008 2930 Star
+4008 2907 Star
+4008 2884 Star
+4008 2861 Star
+4008 2838 Star
+4008 2815 Star
+4008 2792 Star
+4008 2770 Star
+4008 2747 Star
+4008 2724 Star
+4008 2701 Star
+4008 2678 Star
+4008 2655 Star
+4008 2633 Star
+4008 2610 Star
+4008 2587 Star
+4008 2564 Star
+4008 2541 Star
+4008 2518 Star
+4008 2496 Star
+4008 2473 Star
+4008 2450 Star
+4008 2427 Star
+4008 2404 Star
+4040 3615 Star
+4040 3592 Star
+4040 3569 Star
+4040 3546 Star
+4040 3523 Star
+4040 3501 Star
+4040 3478 Star
+4040 3455 Star
+4040 3432 Star
+4040 3409 Star
+4040 3386 Star
+4040 3364 Star
+4040 3341 Star
+4040 3318 Star
+4040 3295 Star
+4040 3272 Star
+4040 3249 Star
+4040 3226 Star
+4040 3204 Star
+4040 3181 Star
+4040 3158 Star
+4040 3135 Star
+4040 3112 Star
+4040 3089 Star
+4040 3067 Star
+4040 3044 Star
+4040 3021 Star
+4040 2998 Star
+4040 2975 Star
+4040 2952 Star
+4040 2930 Star
+4040 2907 Star
+4040 2884 Star
+4040 2861 Star
+4040 2838 Star
+4040 2815 Star
+4040 2792 Star
+4040 2770 Star
+4040 2747 Star
+4040 2724 Star
+4040 2701 Star
+4040 2678 Star
+4040 2655 Star
+4040 2633 Star
+4040 2610 Star
+4040 2587 Star
+4040 2564 Star
+4040 2541 Star
+4040 2518 Star
+4040 2496 Star
+4040 2473 Star
+4040 2450 Star
+4040 2427 Star
+4040 2404 Star
+4040 2381 Star
+4072 3615 Star
+4072 3592 Star
+4072 3569 Star
+4072 3546 Star
+4072 3523 Star
+4072 3501 Star
+4072 3478 Star
+4072 3455 Star
+4072 3432 Star
+4072 3409 Star
+4072 3386 Star
+4072 3364 Star
+4072 3341 Star
+4072 3318 Star
+4072 3295 Star
+4072 3272 Star
+4072 3249 Star
+4072 3226 Star
+4072 3204 Star
+4072 3181 Star
+4072 3158 Star
+4072 3135 Star
+4072 3112 Star
+4072 3089 Star
+4072 3067 Star
+4072 3044 Star
+4072 3021 Star
+4072 2998 Star
+4072 2975 Star
+4072 2952 Star
+4072 2930 Star
+4072 2907 Star
+4072 2884 Star
+4072 2861 Star
+4072 2838 Star
+4072 2815 Star
+4072 2792 Star
+4072 2770 Star
+4072 2747 Star
+4072 2724 Star
+4072 2701 Star
+4072 2678 Star
+4072 2655 Star
+4072 2633 Star
+4072 2610 Star
+4072 2587 Star
+4072 2564 Star
+4072 2541 Star
+4072 2518 Star
+4072 2496 Star
+4072 2473 Star
+4072 2450 Star
+4072 2427 Star
+4072 2404 Star
+4072 2381 Star
+4072 2359 Star
+4104 3592 Star
+4104 3569 Star
+4104 3546 Star
+4104 3523 Star
+4104 3501 Star
+4104 3478 Star
+4104 3455 Star
+4104 3432 Star
+4104 3409 Star
+4104 3386 Star
+4104 3364 Star
+4104 3341 Star
+4104 3318 Star
+4104 3295 Star
+4104 3272 Star
+4104 3249 Star
+4104 3226 Star
+4104 3204 Star
+4104 3181 Star
+4104 3158 Star
+4104 3135 Star
+4104 3112 Star
+4104 3089 Star
+4104 3067 Star
+4104 3044 Star
+4104 3021 Star
+4104 2998 Star
+4104 2975 Star
+4104 2952 Star
+4104 2930 Star
+4104 2907 Star
+4104 2884 Star
+4104 2861 Star
+4104 2838 Star
+4104 2815 Star
+4104 2792 Star
+4104 2770 Star
+4104 2747 Star
+4104 2724 Star
+4104 2701 Star
+4104 2678 Star
+4104 2655 Star
+4104 2633 Star
+4104 2610 Star
+4104 2587 Star
+4104 2564 Star
+4104 2541 Star
+4104 2518 Star
+4104 2496 Star
+4104 2473 Star
+4104 2450 Star
+4104 2427 Star
+4104 2404 Star
+4104 2381 Star
+4104 2359 Star
+4104 2336 Star
+4136 3592 Star
+4136 3569 Star
+4136 3546 Star
+4136 3523 Star
+4136 3501 Star
+4136 3478 Star
+4136 3455 Star
+4136 3432 Star
+4136 3409 Star
+4136 3386 Star
+4136 3364 Star
+4136 3341 Star
+4136 3318 Star
+4136 3295 Star
+4136 3272 Star
+4136 3249 Star
+4136 3226 Star
+4136 3204 Star
+4136 3181 Star
+4136 3158 Star
+4136 3135 Star
+4136 3112 Star
+4136 3089 Star
+4136 3067 Star
+4136 3044 Star
+4136 3021 Star
+4136 2998 Star
+4136 2975 Star
+4136 2952 Star
+4136 2930 Star
+4136 2907 Star
+4136 2884 Star
+4136 2861 Star
+4136 2838 Star
+4136 2815 Star
+4136 2792 Star
+4136 2770 Star
+4136 2747 Star
+4136 2724 Star
+4136 2701 Star
+4136 2678 Star
+4136 2655 Star
+4136 2633 Star
+4136 2610 Star
+4136 2587 Star
+4136 2564 Star
+4136 2541 Star
+4136 2518 Star
+4136 2496 Star
+4136 2473 Star
+4136 2450 Star
+4136 2427 Star
+4136 2404 Star
+4136 2381 Star
+4136 2359 Star
+4136 2336 Star
+4136 2313 Star
+4168 3569 Star
+4168 3546 Star
+4168 3523 Star
+4168 3501 Star
+4168 3478 Star
+4168 3455 Star
+4168 3432 Star
+4168 3409 Star
+4168 3386 Star
+4168 3364 Star
+4168 3341 Star
+4168 3318 Star
+4168 3295 Star
+4168 3272 Star
+4168 3249 Star
+4168 3226 Star
+4168 3204 Star
+4168 3181 Star
+4168 3158 Star
+4168 3135 Star
+4168 3112 Star
+4168 3089 Star
+4168 3067 Star
+4168 3044 Star
+4168 3021 Star
+4168 2998 Star
+4168 2975 Star
+4168 2952 Star
+4168 2930 Star
+4168 2907 Star
+4168 2884 Star
+4168 2861 Star
+4168 2838 Star
+4168 2815 Star
+4168 2792 Star
+4168 2770 Star
+4168 2747 Star
+4168 2724 Star
+4168 2701 Star
+4168 2678 Star
+4168 2655 Star
+4168 2633 Star
+4168 2610 Star
+4168 2587 Star
+4168 2564 Star
+4168 2541 Star
+4168 2518 Star
+4168 2496 Star
+4168 2473 Star
+4168 2450 Star
+4168 2427 Star
+4168 2404 Star
+4168 2381 Star
+4168 2359 Star
+4168 2336 Star
+4168 2313 Star
+4168 2290 Star
+4200 3569 Star
+4200 3546 Star
+4200 3523 Star
+4200 3501 Star
+4200 3478 Star
+4200 3455 Star
+4200 3432 Star
+4200 3409 Star
+4200 3386 Star
+4200 3364 Star
+4200 3341 Star
+4200 3318 Star
+4200 3295 Star
+4200 3272 Star
+4200 3249 Star
+4200 3226 Star
+4200 3204 Star
+4200 3181 Star
+4200 3158 Star
+4200 3135 Star
+4200 3112 Star
+4200 3089 Star
+4200 3067 Star
+4200 3044 Star
+4200 3021 Star
+4200 2998 Star
+4200 2975 Star
+4200 2952 Star
+4200 2930 Star
+4200 2907 Star
+4200 2884 Star
+4200 2861 Star
+4200 2838 Star
+4200 2815 Star
+4200 2792 Star
+4200 2770 Star
+4200 2747 Star
+4200 2724 Star
+4200 2701 Star
+4200 2678 Star
+4200 2655 Star
+4200 2633 Star
+4200 2610 Star
+4200 2587 Star
+4200 2564 Star
+4200 2541 Star
+4200 2518 Star
+4200 2496 Star
+4200 2473 Star
+4200 2450 Star
+4200 2427 Star
+4200 2404 Star
+4200 2381 Star
+4200 2359 Star
+4200 2336 Star
+4200 2313 Star
+4200 2290 Star
+4200 2267 Star
+4232 3546 Star
+4232 3523 Star
+4232 3501 Star
+4232 3478 Star
+4232 3455 Star
+4232 3432 Star
+4232 3409 Star
+4232 3386 Star
+4232 3364 Star
+4232 3341 Star
+4232 3318 Star
+4232 3295 Star
+4232 3272 Star
+4232 3249 Star
+4232 3226 Star
+4232 3204 Star
+4232 3181 Star
+4232 3158 Star
+4232 3135 Star
+4232 3112 Star
+4232 3089 Star
+4232 3067 Star
+4232 3044 Star
+4232 3021 Star
+4232 2998 Star
+4232 2975 Star
+4232 2952 Star
+4232 2930 Star
+4232 2907 Star
+4232 2884 Star
+4232 2861 Star
+4232 2838 Star
+4232 2815 Star
+4232 2792 Star
+4232 2770 Star
+4232 2747 Star
+4232 2724 Star
+4232 2701 Star
+4232 2678 Star
+4232 2655 Star
+4232 2633 Star
+4232 2610 Star
+4232 2587 Star
+4232 2564 Star
+4232 2541 Star
+4232 2518 Star
+4232 2496 Star
+4232 2473 Star
+4232 2450 Star
+4232 2427 Star
+4232 2404 Star
+4232 2381 Star
+4232 2359 Star
+4232 2336 Star
+4232 2313 Star
+4232 2290 Star
+4232 2267 Star
+4232 2244 Star
+4264 3546 Star
+4264 3523 Star
+4264 3501 Star
+4264 3478 Star
+4264 3455 Star
+4264 3432 Star
+4264 3409 Star
+4264 3386 Star
+4264 3364 Star
+4264 3341 Star
+4264 3318 Star
+4264 3295 Star
+4264 3272 Star
+4264 3249 Star
+4264 3226 Star
+4264 3204 Star
+4264 3181 Star
+4264 3158 Star
+4264 3135 Star
+4264 3112 Star
+4264 3089 Star
+4264 3067 Star
+4264 3044 Star
+4264 3021 Star
+4264 2998 Star
+4264 2975 Star
+4264 2952 Star
+4264 2930 Star
+4264 2907 Star
+4264 2884 Star
+4264 2861 Star
+4264 2838 Star
+4264 2815 Star
+4264 2792 Star
+4264 2770 Star
+4264 2747 Star
+4264 2724 Star
+4264 2701 Star
+4264 2678 Star
+4264 2655 Star
+4264 2633 Star
+4264 2610 Star
+4264 2587 Star
+4264 2564 Star
+4264 2541 Star
+4264 2518 Star
+4264 2496 Star
+4264 2473 Star
+4264 2450 Star
+4264 2427 Star
+4264 2404 Star
+4264 2381 Star
+4264 2359 Star
+4264 2336 Star
+4264 2313 Star
+4264 2290 Star
+4264 2267 Star
+4264 2244 Star
+4264 2221 Star
+4296 3523 Star
+4296 3501 Star
+4296 3478 Star
+4296 3455 Star
+4296 3432 Star
+4296 3409 Star
+4296 3386 Star
+4296 3364 Star
+4296 3341 Star
+4296 3318 Star
+4296 3295 Star
+4296 3272 Star
+4296 3249 Star
+4296 3226 Star
+4296 3204 Star
+4296 3181 Star
+4296 3158 Star
+4296 3135 Star
+4296 3112 Star
+4296 3089 Star
+4296 3067 Star
+4296 3044 Star
+4296 3021 Star
+4296 2998 Star
+4296 2975 Star
+4296 2952 Star
+4296 2930 Star
+4296 2907 Star
+4296 2884 Star
+4296 2861 Star
+4296 2838 Star
+4296 2815 Star
+4296 2792 Star
+4296 2770 Star
+4296 2747 Star
+4296 2724 Star
+4296 2701 Star
+4296 2678 Star
+4296 2655 Star
+4296 2633 Star
+4296 2610 Star
+4296 2587 Star
+4296 2564 Star
+4296 2541 Star
+4296 2518 Star
+4296 2496 Star
+4296 2473 Star
+4296 2450 Star
+4296 2427 Star
+4296 2404 Star
+4296 2381 Star
+4296 2359 Star
+4296 2336 Star
+4296 2313 Star
+4296 2290 Star
+4296 2267 Star
+4296 2244 Star
+4296 2221 Star
+4296 2199 Star
+4328 3523 Star
+4328 3501 Star
+4328 3478 Star
+4328 3455 Star
+4328 3432 Star
+4328 3409 Star
+4328 3386 Star
+4328 3364 Star
+4328 3341 Star
+4328 3318 Star
+4328 3295 Star
+4328 3272 Star
+4328 3249 Star
+4328 3226 Star
+4328 3204 Star
+4328 3181 Star
+4328 3158 Star
+4328 3135 Star
+4328 3112 Star
+4328 3089 Star
+4328 3067 Star
+4328 3044 Star
+4328 3021 Star
+4328 2998 Star
+4328 2975 Star
+4328 2952 Star
+4328 2930 Star
+4328 2907 Star
+4328 2884 Star
+4328 2861 Star
+4328 2838 Star
+4328 2815 Star
+4328 2792 Star
+4328 2770 Star
+4328 2747 Star
+4328 2724 Star
+4328 2701 Star
+4328 2678 Star
+4328 2655 Star
+4328 2633 Star
+4328 2610 Star
+4328 2587 Star
+4328 2564 Star
+4328 2541 Star
+4328 2518 Star
+4328 2496 Star
+4328 2473 Star
+4328 2450 Star
+4328 2427 Star
+4328 2404 Star
+4328 2381 Star
+4328 2359 Star
+4328 2336 Star
+4328 2313 Star
+4328 2290 Star
+4328 2267 Star
+4328 2244 Star
+4328 2221 Star
+4328 2199 Star
+4328 2176 Star
+4361 3501 Star
+4361 3478 Star
+4361 3455 Star
+4361 3432 Star
+4361 3409 Star
+4361 3386 Star
+4361 3364 Star
+4361 3341 Star
+4361 3318 Star
+4361 3295 Star
+4361 3272 Star
+4361 3249 Star
+4361 3226 Star
+4361 3204 Star
+4361 3181 Star
+4361 3158 Star
+4361 3135 Star
+4361 3112 Star
+4361 3089 Star
+4361 3067 Star
+4361 3044 Star
+4361 3021 Star
+4361 2998 Star
+4361 2975 Star
+4361 2952 Star
+4361 2930 Star
+4361 2907 Star
+4361 2884 Star
+4361 2861 Star
+4361 2838 Star
+4361 2815 Star
+4361 2792 Star
+4361 2770 Star
+4361 2747 Star
+4361 2724 Star
+4361 2701 Star
+4361 2678 Star
+4361 2655 Star
+4361 2633 Star
+4361 2610 Star
+4361 2587 Star
+4361 2564 Star
+4361 2541 Star
+4361 2518 Star
+4361 2496 Star
+4361 2473 Star
+4361 2450 Star
+4361 2427 Star
+4361 2404 Star
+4361 2381 Star
+4361 2359 Star
+4361 2336 Star
+4361 2313 Star
+4361 2290 Star
+4361 2267 Star
+4361 2244 Star
+4361 2221 Star
+4361 2199 Star
+4361 2176 Star
+4361 2153 Star
+4393 3501 Star
+4393 3478 Star
+4393 3455 Star
+4393 3432 Star
+4393 3409 Star
+4393 3386 Star
+4393 3364 Star
+4393 3341 Star
+4393 3318 Star
+4393 3295 Star
+4393 3272 Star
+4393 3249 Star
+4393 3226 Star
+4393 3204 Star
+4393 3181 Star
+4393 3158 Star
+4393 3135 Star
+4393 3112 Star
+4393 3089 Star
+4393 3067 Star
+4393 3044 Star
+4393 3021 Star
+4393 2998 Star
+4393 2975 Star
+4393 2952 Star
+4393 2930 Star
+4393 2907 Star
+4393 2884 Star
+4393 2861 Star
+4393 2838 Star
+4393 2815 Star
+4393 2792 Star
+4393 2770 Star
+4393 2747 Star
+4393 2724 Star
+4393 2701 Star
+4393 2678 Star
+4393 2655 Star
+4393 2633 Star
+4393 2610 Star
+4393 2587 Star
+4393 2564 Star
+4393 2541 Star
+4393 2518 Star
+4393 2496 Star
+4393 2473 Star
+4393 2450 Star
+4393 2427 Star
+4393 2404 Star
+4393 2381 Star
+4393 2359 Star
+4393 2336 Star
+4393 2313 Star
+4393 2290 Star
+4393 2267 Star
+4393 2244 Star
+4393 2221 Star
+4393 2199 Star
+4393 2176 Star
+4393 2153 Star
+4393 2130 Star
+4425 3478 Star
+4425 3455 Star
+4425 3432 Star
+4425 3409 Star
+4425 3386 Star
+4425 3364 Star
+4425 3341 Star
+4425 3318 Star
+4425 3295 Star
+4425 3272 Star
+4425 3249 Star
+4425 3226 Star
+4425 3204 Star
+4425 3181 Star
+4425 3158 Star
+4425 3135 Star
+4425 3112 Star
+4425 3089 Star
+4425 3067 Star
+4425 3044 Star
+4425 3021 Star
+4425 2998 Star
+4425 2975 Star
+4425 2952 Star
+4425 2930 Star
+4425 2907 Star
+4425 2884 Star
+4425 2861 Star
+4425 2838 Star
+4425 2815 Star
+4425 2792 Star
+4425 2770 Star
+4425 2747 Star
+4425 2724 Star
+4425 2701 Star
+4425 2678 Star
+4425 2655 Star
+4425 2633 Star
+4425 2610 Star
+4425 2587 Star
+4425 2564 Star
+4425 2541 Star
+4425 2518 Star
+4425 2496 Star
+4425 2473 Star
+4425 2450 Star
+4425 2427 Star
+4425 2404 Star
+4425 2381 Star
+4425 2359 Star
+4425 2336 Star
+4425 2313 Star
+4425 2290 Star
+4425 2267 Star
+4425 2244 Star
+4425 2221 Star
+4425 2199 Star
+4425 2176 Star
+4425 2153 Star
+4425 2130 Star
+4425 2107 Star
+4457 3478 Star
+4457 3455 Star
+4457 3432 Star
+4457 3409 Star
+4457 3386 Star
+4457 3364 Star
+4457 3341 Star
+4457 3318 Star
+4457 3295 Star
+4457 3272 Star
+4457 3249 Star
+4457 3226 Star
+4457 3204 Star
+4457 3181 Star
+4457 3158 Star
+4457 3135 Star
+4457 3112 Star
+4457 3089 Star
+4457 3067 Star
+4457 3044 Star
+4457 3021 Star
+4457 2998 Star
+4457 2975 Star
+4457 2952 Star
+4457 2930 Star
+4457 2907 Star
+4457 2884 Star
+4457 2861 Star
+4457 2838 Star
+4457 2815 Star
+4457 2792 Star
+4457 2770 Star
+4457 2747 Star
+4457 2724 Star
+4457 2701 Star
+4457 2678 Star
+4457 2655 Star
+4457 2633 Star
+4457 2610 Star
+4457 2587 Star
+4457 2564 Star
+4457 2541 Star
+4457 2518 Star
+4457 2496 Star
+4457 2473 Star
+4457 2450 Star
+4457 2427 Star
+4457 2404 Star
+4457 2381 Star
+4457 2359 Star
+4457 2336 Star
+4457 2313 Star
+4457 2290 Star
+4457 2267 Star
+4457 2244 Star
+4457 2221 Star
+4457 2199 Star
+4457 2176 Star
+4457 2153 Star
+4457 2130 Star
+4457 2107 Star
+4457 2084 Star
+4489 3455 Star
+4489 3432 Star
+4489 3409 Star
+4489 3386 Star
+4489 3364 Star
+4489 3341 Star
+4489 3318 Star
+4489 3295 Star
+4489 3272 Star
+4489 3249 Star
+4489 3226 Star
+4489 3204 Star
+4489 3181 Star
+4489 3158 Star
+4489 3135 Star
+4489 3112 Star
+4489 3089 Star
+4489 3067 Star
+4489 3044 Star
+4489 3021 Star
+4489 2998 Star
+4489 2975 Star
+4489 2952 Star
+4489 2930 Star
+4489 2907 Star
+4489 2884 Star
+4489 2861 Star
+4489 2838 Star
+4489 2815 Star
+4489 2792 Star
+4489 2770 Star
+4489 2747 Star
+4489 2724 Star
+4489 2701 Star
+4489 2678 Star
+4489 2655 Star
+4489 2633 Star
+4489 2610 Star
+4489 2587 Star
+4489 2564 Star
+4489 2541 Star
+4489 2518 Star
+4489 2496 Star
+4489 2473 Star
+4489 2450 Star
+4489 2427 Star
+4489 2404 Star
+4489 2381 Star
+4489 2359 Star
+4489 2336 Star
+4489 2313 Star
+4489 2290 Star
+4489 2267 Star
+4489 2244 Star
+4489 2221 Star
+4489 2199 Star
+4489 2176 Star
+4489 2153 Star
+4489 2130 Star
+4489 2107 Star
+4489 2084 Star
+4489 2062 Star
+4521 3455 Star
+4521 3432 Star
+4521 3409 Star
+4521 3386 Star
+4521 3364 Star
+4521 3341 Star
+4521 3318 Star
+4521 3295 Star
+4521 3272 Star
+4521 3249 Star
+4521 3226 Star
+4521 3204 Star
+4521 3181 Star
+4521 3158 Star
+4521 3135 Star
+4521 3112 Star
+4521 3089 Star
+4521 3067 Star
+4521 3044 Star
+4521 3021 Star
+4521 2998 Star
+4521 2975 Star
+4521 2952 Star
+4521 2930 Star
+4521 2907 Star
+4521 2884 Star
+4521 2861 Star
+4521 2838 Star
+4521 2815 Star
+4521 2792 Star
+4521 2770 Star
+4521 2747 Star
+4521 2724 Star
+4521 2701 Star
+4521 2678 Star
+4521 2655 Star
+4521 2633 Star
+4521 2610 Star
+4521 2587 Star
+4521 2564 Star
+4521 2541 Star
+4521 2518 Star
+4521 2496 Star
+4521 2473 Star
+4521 2450 Star
+4521 2427 Star
+4521 2404 Star
+4521 2381 Star
+4521 2359 Star
+4521 2336 Star
+4521 2313 Star
+4521 2290 Star
+4521 2267 Star
+4521 2244 Star
+4521 2221 Star
+4521 2199 Star
+4521 2176 Star
+4521 2153 Star
+4521 2130 Star
+4521 2107 Star
+4521 2084 Star
+4521 2062 Star
+4521 2039 Star
+4553 3432 Star
+4553 3409 Star
+4553 3386 Star
+4553 3364 Star
+4553 3341 Star
+4553 3318 Star
+4553 3295 Star
+4553 3272 Star
+4553 3249 Star
+4553 3226 Star
+4553 3204 Star
+4553 3181 Star
+4553 3158 Star
+4553 3135 Star
+4553 3112 Star
+4553 3089 Star
+4553 3067 Star
+4553 3044 Star
+4553 3021 Star
+4553 2998 Star
+4553 2975 Star
+4553 2952 Star
+4553 2930 Star
+4553 2907 Star
+4553 2884 Star
+4553 2861 Star
+4553 2838 Star
+4553 2815 Star
+4553 2792 Star
+4553 2770 Star
+4553 2747 Star
+4553 2724 Star
+4553 2701 Star
+4553 2678 Star
+4553 2655 Star
+4553 2633 Star
+4553 2610 Star
+4553 2587 Star
+4553 2564 Star
+4553 2541 Star
+4553 2518 Star
+4553 2496 Star
+4553 2473 Star
+4553 2450 Star
+4553 2427 Star
+4553 2404 Star
+4553 2381 Star
+4553 2359 Star
+4553 2336 Star
+4553 2313 Star
+4553 2290 Star
+4553 2267 Star
+4553 2244 Star
+4553 2221 Star
+4553 2199 Star
+4553 2176 Star
+4553 2153 Star
+4553 2130 Star
+4553 2107 Star
+4553 2084 Star
+4553 2062 Star
+4553 2039 Star
+4553 2016 Star
+4585 3432 Star
+4585 3409 Star
+4585 3386 Star
+4585 3364 Star
+4585 3341 Star
+4585 3318 Star
+4585 3295 Star
+4585 3272 Star
+4585 3249 Star
+4585 3226 Star
+4585 3204 Star
+4585 3181 Star
+4585 3158 Star
+4585 3135 Star
+4585 3112 Star
+4585 3089 Star
+4585 3067 Star
+4585 3044 Star
+4585 3021 Star
+4585 2998 Star
+4585 2975 Star
+4585 2952 Star
+4585 2930 Star
+4585 2907 Star
+4585 2884 Star
+4585 2861 Star
+4585 2838 Star
+4585 2815 Star
+4585 2792 Star
+4585 2770 Star
+4585 2747 Star
+4585 2724 Star
+4585 2701 Star
+4585 2678 Star
+4585 2655 Star
+4585 2633 Star
+4585 2610 Star
+4585 2587 Star
+4585 2564 Star
+4585 2541 Star
+4585 2518 Star
+4585 2496 Star
+4585 2473 Star
+4585 2450 Star
+4585 2427 Star
+4585 2404 Star
+4585 2381 Star
+4585 2359 Star
+4585 2336 Star
+4585 2313 Star
+4585 2290 Star
+4585 2267 Star
+4585 2244 Star
+4585 2221 Star
+4585 2199 Star
+4585 2176 Star
+4585 2153 Star
+4585 2130 Star
+4585 2107 Star
+4585 2084 Star
+4585 2062 Star
+4585 2039 Star
+4585 2016 Star
+4585 1993 Star
+4617 3409 Star
+4617 3386 Star
+4617 3364 Star
+4617 3341 Star
+4617 3318 Star
+4617 3295 Star
+4617 3272 Star
+4617 3249 Star
+4617 3226 Star
+4617 3204 Star
+4617 3181 Star
+4617 3158 Star
+4617 3135 Star
+4617 3112 Star
+4617 3089 Star
+4617 3067 Star
+4617 3044 Star
+4617 3021 Star
+4617 2998 Star
+4617 2975 Star
+4617 2952 Star
+4617 2930 Star
+4617 2907 Star
+4617 2884 Star
+4617 2861 Star
+4617 2838 Star
+4617 2815 Star
+4617 2792 Star
+4617 2770 Star
+4617 2747 Star
+4617 2724 Star
+4617 2701 Star
+4617 2678 Star
+4617 2655 Star
+4617 2633 Star
+4617 2610 Star
+4617 2587 Star
+4617 2564 Star
+4617 2541 Star
+4617 2518 Star
+4617 2496 Star
+4617 2473 Star
+4617 2450 Star
+4617 2427 Star
+4617 2404 Star
+4617 2381 Star
+4617 2359 Star
+4617 2336 Star
+4617 2313 Star
+4617 2290 Star
+4617 2267 Star
+4617 2244 Star
+4617 2221 Star
+4617 2199 Star
+4617 2176 Star
+4617 2153 Star
+4617 2130 Star
+4617 2107 Star
+4617 2084 Star
+4617 2062 Star
+4617 2039 Star
+4617 2016 Star
+4617 1993 Star
+4617 1970 Star
+4649 3409 Star
+4649 3386 Star
+4649 3364 Star
+4649 3341 Star
+4649 3318 Star
+4649 3295 Star
+4649 3272 Star
+4649 3249 Star
+4649 3226 Star
+4649 3204 Star
+4649 3181 Star
+4649 3158 Star
+4649 3135 Star
+4649 3112 Star
+4649 3089 Star
+4649 3067 Star
+4649 3044 Star
+4649 3021 Star
+4649 2998 Star
+4649 2975 Star
+4649 2952 Star
+4649 2930 Star
+4649 2907 Star
+4649 2884 Star
+4649 2861 Star
+4649 2838 Star
+4649 2815 Star
+4649 2792 Star
+4649 2770 Star
+4649 2747 Star
+4649 2724 Star
+4649 2701 Star
+4649 2678 Star
+4649 2655 Star
+4649 2633 Star
+4649 2610 Star
+4649 2587 Star
+4649 2564 Star
+4649 2541 Star
+4649 2518 Star
+4649 2496 Star
+4649 2473 Star
+4649 2450 Star
+4649 2427 Star
+4649 2404 Star
+4649 2381 Star
+4649 2359 Star
+4649 2336 Star
+4649 2313 Star
+4649 2290 Star
+4649 2267 Star
+4649 2244 Star
+4649 2221 Star
+4649 2199 Star
+4649 2176 Star
+4649 2153 Star
+4649 2130 Star
+4649 2107 Star
+4649 2084 Star
+4649 2062 Star
+4649 2039 Star
+4649 2016 Star
+4649 1993 Star
+4649 1970 Star
+4649 1947 Star
+4681 3386 Star
+4681 3364 Star
+4681 3341 Star
+4681 3318 Star
+4681 3295 Star
+4681 3272 Star
+4681 3249 Star
+4681 3226 Star
+4681 3204 Star
+4681 3181 Star
+4681 3158 Star
+4681 3135 Star
+4681 3112 Star
+4681 3089 Star
+4681 3067 Star
+4681 3044 Star
+4681 3021 Star
+4681 2998 Star
+4681 2975 Star
+4681 2952 Star
+4681 2930 Star
+4681 2907 Star
+4681 2884 Star
+4681 2861 Star
+4681 2838 Star
+4681 2815 Star
+4681 2792 Star
+4681 2770 Star
+4681 2747 Star
+4681 2724 Star
+4681 2701 Star
+4681 2678 Star
+4681 2655 Star
+4681 2633 Star
+4681 2610 Star
+4681 2587 Star
+4681 2564 Star
+4681 2541 Star
+4681 2518 Star
+4681 2496 Star
+4681 2473 Star
+4681 2450 Star
+4681 2427 Star
+4681 2404 Star
+4681 2381 Star
+4681 2359 Star
+4681 2336 Star
+4681 2313 Star
+4681 2290 Star
+4681 2267 Star
+4681 2244 Star
+4681 2221 Star
+4681 2199 Star
+4681 2176 Star
+4681 2153 Star
+4681 2130 Star
+4681 2107 Star
+4681 2084 Star
+4681 2062 Star
+4681 2039 Star
+4681 2016 Star
+4681 1993 Star
+4681 1970 Star
+4681 1947 Star
+4681 1925 Star
+4713 3386 Star
+4713 3364 Star
+4713 3341 Star
+4713 3318 Star
+4713 3295 Star
+4713 3272 Star
+4713 3249 Star
+4713 3226 Star
+4713 3204 Star
+4713 3181 Star
+4713 3158 Star
+4713 3135 Star
+4713 3112 Star
+4713 3089 Star
+4713 3067 Star
+4713 3044 Star
+4713 3021 Star
+4713 2998 Star
+4713 2975 Star
+4713 2952 Star
+4713 2930 Star
+4713 2907 Star
+4713 2884 Star
+4713 2861 Star
+4713 2838 Star
+4713 2815 Star
+4713 2792 Star
+4713 2770 Star
+4713 2747 Star
+4713 2724 Star
+4713 2701 Star
+4713 2678 Star
+4713 2655 Star
+4713 2633 Star
+4713 2610 Star
+4713 2587 Star
+4713 2564 Star
+4713 2541 Star
+4713 2518 Star
+4713 2496 Star
+4713 2473 Star
+4713 2450 Star
+4713 2427 Star
+4713 2404 Star
+4713 2381 Star
+4713 2359 Star
+4713 2336 Star
+4713 2313 Star
+4713 2290 Star
+4713 2267 Star
+4713 2244 Star
+4713 2221 Star
+4713 2199 Star
+4713 2176 Star
+4713 2153 Star
+4713 2130 Star
+4713 2107 Star
+4713 2084 Star
+4713 2062 Star
+4713 2039 Star
+4713 2016 Star
+4713 1993 Star
+4713 1970 Star
+4713 1947 Star
+4713 1925 Star
+4713 1902 Star
+4745 3364 Star
+4745 3341 Star
+4745 3318 Star
+4745 3295 Star
+4745 3272 Star
+4745 3249 Star
+4745 3226 Star
+4745 3204 Star
+4745 3181 Star
+4745 3158 Star
+4745 3135 Star
+4745 3112 Star
+4745 3089 Star
+4745 3067 Star
+4745 3044 Star
+4745 3021 Star
+4745 2998 Star
+4745 2975 Star
+4745 2952 Star
+4745 2930 Star
+4745 2907 Star
+4745 2884 Star
+4745 2861 Star
+4745 2838 Star
+4745 2815 Star
+4745 2792 Star
+4745 2770 Star
+4745 2747 Star
+4745 2724 Star
+4745 2701 Star
+4745 2678 Star
+4745 2655 Star
+4745 2633 Star
+4745 2610 Star
+4745 2587 Star
+4745 2564 Star
+4745 2541 Star
+4745 2518 Star
+4745 2496 Star
+4745 2473 Star
+4745 2450 Star
+4745 2427 Star
+4745 2404 Star
+4745 2381 Star
+4745 2359 Star
+4745 2336 Star
+4745 2313 Star
+4745 2290 Star
+4745 2267 Star
+4745 2244 Star
+4745 2221 Star
+4745 2199 Star
+4745 2176 Star
+4745 2153 Star
+4745 2130 Star
+4745 2107 Star
+4745 2084 Star
+4745 2062 Star
+4745 2039 Star
+4745 2016 Star
+4745 1993 Star
+4745 1970 Star
+4745 1947 Star
+4745 1925 Star
+4745 1902 Star
+4745 1879 Star
+4777 3364 Star
+4777 3341 Star
+4777 3318 Star
+4777 3295 Star
+4777 3272 Star
+4777 3249 Star
+4777 3226 Star
+4777 3204 Star
+4777 3181 Star
+4777 3158 Star
+4777 3135 Star
+4777 3112 Star
+4777 3089 Star
+4777 3067 Star
+4777 3044 Star
+4777 3021 Star
+4777 2998 Star
+4777 2975 Star
+4777 2952 Star
+4777 2930 Star
+4777 2907 Star
+4777 2884 Star
+4777 2861 Star
+4777 2838 Star
+4777 2815 Star
+4777 2792 Star
+4777 2770 Star
+4777 2747 Star
+4777 2724 Star
+4777 2701 Star
+4777 2678 Star
+4777 2655 Star
+4777 2633 Star
+4777 2610 Star
+4777 2587 Star
+4777 2564 Star
+4777 2541 Star
+4777 2518 Star
+4777 2496 Star
+4777 2473 Star
+4777 2450 Star
+4777 2427 Star
+4777 2404 Star
+4777 2381 Star
+4777 2359 Star
+4777 2336 Star
+4777 2313 Star
+4777 2290 Star
+4777 2267 Star
+4777 2244 Star
+4777 2221 Star
+4777 2199 Star
+4777 2176 Star
+4777 2153 Star
+4777 2130 Star
+4777 2107 Star
+4777 2084 Star
+4777 2062 Star
+4777 2039 Star
+4777 2016 Star
+4777 1993 Star
+4777 1970 Star
+4777 1947 Star
+4777 1925 Star
+4777 1902 Star
+4777 1879 Star
+4777 1856 Star
+4809 3341 Star
+4809 3318 Star
+4809 3295 Star
+4809 3272 Star
+4809 3249 Star
+4809 3226 Star
+4809 3204 Star
+4809 3181 Star
+4809 3158 Star
+4809 3135 Star
+4809 3112 Star
+4809 3089 Star
+4809 3067 Star
+4809 3044 Star
+4809 3021 Star
+4809 2998 Star
+4809 2975 Star
+4809 2952 Star
+4809 2930 Star
+4809 2907 Star
+4809 2884 Star
+4809 2861 Star
+4809 2838 Star
+4809 2815 Star
+4809 2792 Star
+4809 2770 Star
+4809 2747 Star
+4809 2724 Star
+4809 2701 Star
+4809 2678 Star
+4809 2655 Star
+4809 2633 Star
+4809 2610 Star
+4809 2587 Star
+4809 2564 Star
+4809 2541 Star
+4809 2518 Star
+4809 2496 Star
+4809 2473 Star
+4809 2450 Star
+4809 2427 Star
+4809 2404 Star
+4809 2381 Star
+4809 2359 Star
+4809 2336 Star
+4809 2313 Star
+4809 2290 Star
+4809 2267 Star
+4809 2244 Star
+4809 2221 Star
+4809 2199 Star
+4809 2176 Star
+4809 2153 Star
+4809 2130 Star
+4809 2107 Star
+4809 2084 Star
+4809 2062 Star
+4809 2039 Star
+4809 2016 Star
+4809 1993 Star
+4809 1970 Star
+4809 1947 Star
+4809 1925 Star
+4809 1902 Star
+4809 1879 Star
+4809 1856 Star
+4809 1833 Star
+4841 3341 Star
+4841 3318 Star
+4841 3295 Star
+4841 3272 Star
+4841 3249 Star
+4841 3226 Star
+4841 3204 Star
+4841 3181 Star
+4841 3158 Star
+4841 3135 Star
+4841 3112 Star
+4841 3089 Star
+4841 3067 Star
+4841 3044 Star
+4841 3021 Star
+4841 2998 Star
+4841 2975 Star
+4841 2952 Star
+4841 2930 Star
+4841 2907 Star
+4841 2884 Star
+4841 2861 Star
+4841 2838 Star
+4841 2815 Star
+4841 2792 Star
+4841 2770 Star
+4841 2747 Star
+4841 2724 Star
+4841 2701 Star
+4841 2678 Star
+4841 2655 Star
+4841 2633 Star
+4841 2610 Star
+4841 2587 Star
+4841 2564 Star
+4841 2541 Star
+4841 2518 Star
+4841 2496 Star
+4841 2473 Star
+4841 2450 Star
+4841 2427 Star
+4841 2404 Star
+4841 2381 Star
+4841 2359 Star
+4841 2336 Star
+4841 2313 Star
+4841 2290 Star
+4841 2267 Star
+4841 2244 Star
+4841 2221 Star
+4841 2199 Star
+4841 2176 Star
+4841 2153 Star
+4841 2130 Star
+4841 2107 Star
+4841 2084 Star
+4841 2062 Star
+4841 2039 Star
+4841 2016 Star
+4841 1993 Star
+4841 1970 Star
+4841 1947 Star
+4841 1925 Star
+4841 1902 Star
+4841 1879 Star
+4841 1856 Star
+4841 1833 Star
+4841 1810 Star
+4873 3318 Star
+4873 3295 Star
+4873 3272 Star
+4873 3249 Star
+4873 3226 Star
+4873 3204 Star
+4873 3181 Star
+4873 3158 Star
+4873 3135 Star
+4873 3112 Star
+4873 3089 Star
+4873 3067 Star
+4873 3044 Star
+4873 3021 Star
+4873 2998 Star
+4873 2975 Star
+4873 2952 Star
+4873 2930 Star
+4873 2907 Star
+4873 2884 Star
+4873 2861 Star
+4873 2838 Star
+4873 2815 Star
+4873 2792 Star
+4873 2770 Star
+4873 2747 Star
+4873 2724 Star
+4873 2701 Star
+4873 2678 Star
+4873 2655 Star
+4873 2633 Star
+4873 2610 Star
+4873 2587 Star
+4873 2564 Star
+4873 2541 Star
+4873 2518 Star
+4873 2496 Star
+4873 2473 Star
+4873 2450 Star
+4873 2427 Star
+4873 2404 Star
+4873 2381 Star
+4873 2359 Star
+4873 2336 Star
+4873 2313 Star
+4873 2290 Star
+4873 2267 Star
+4873 2244 Star
+4873 2221 Star
+4873 2199 Star
+4873 2176 Star
+4873 2153 Star
+4873 2130 Star
+4873 2107 Star
+4873 2084 Star
+4873 2062 Star
+4873 2039 Star
+4873 2016 Star
+4873 1993 Star
+4873 1970 Star
+4873 1947 Star
+4873 1925 Star
+4873 1902 Star
+4873 1879 Star
+4873 1856 Star
+4873 1833 Star
+4873 1810 Star
+4873 1787 Star
+4905 3318 Star
+4905 3295 Star
+4905 3272 Star
+4905 3249 Star
+4905 3226 Star
+4905 3204 Star
+4905 3181 Star
+4905 3158 Star
+4905 3135 Star
+4905 3112 Star
+4905 3089 Star
+4905 3067 Star
+4905 3044 Star
+4905 3021 Star
+4905 2998 Star
+4905 2975 Star
+4905 2952 Star
+4905 2930 Star
+4905 2907 Star
+4905 2884 Star
+4905 2861 Star
+4905 2838 Star
+4905 2815 Star
+4905 2792 Star
+4905 2770 Star
+4905 2747 Star
+4905 2724 Star
+4905 2701 Star
+4905 2678 Star
+4905 2655 Star
+4905 2633 Star
+4905 2610 Star
+4905 2587 Star
+4905 2564 Star
+4905 2541 Star
+4905 2518 Star
+4905 2496 Star
+4905 2473 Star
+4905 2450 Star
+4905 2427 Star
+4905 2404 Star
+4905 2381 Star
+4905 2359 Star
+4905 2336 Star
+4905 2313 Star
+4905 2290 Star
+4905 2267 Star
+4905 2244 Star
+4905 2221 Star
+4905 2199 Star
+4905 2176 Star
+4905 2153 Star
+4905 2130 Star
+4905 2107 Star
+4905 2084 Star
+4905 2062 Star
+4905 2039 Star
+4905 2016 Star
+4905 1993 Star
+4905 1970 Star
+4905 1947 Star
+4905 1925 Star
+4905 1902 Star
+4905 1879 Star
+4905 1856 Star
+4905 1833 Star
+4905 1810 Star
+4905 1787 Star
+4905 1765 Star
+4937 3295 Star
+4937 3272 Star
+4937 3249 Star
+4937 3226 Star
+4937 3204 Star
+4937 3181 Star
+4937 3158 Star
+4937 3135 Star
+4937 3112 Star
+4937 3089 Star
+4937 3067 Star
+4937 3044 Star
+4937 3021 Star
+4937 2998 Star
+4937 2975 Star
+4937 2952 Star
+4937 2930 Star
+4937 2907 Star
+4937 2884 Star
+4937 2861 Star
+4937 2838 Star
+4937 2815 Star
+4937 2792 Star
+4937 2770 Star
+4937 2747 Star
+4937 2724 Star
+4937 2701 Star
+4937 2678 Star
+4937 2655 Star
+4937 2633 Star
+4937 2610 Star
+4937 2587 Star
+4937 2564 Star
+4937 2541 Star
+4937 2518 Star
+4937 2496 Star
+4937 2473 Star
+4937 2450 Star
+4937 2427 Star
+4937 2404 Star
+4937 2381 Star
+4937 2359 Star
+4937 2336 Star
+4937 2313 Star
+4937 2290 Star
+4937 2267 Star
+4937 2244 Star
+4937 2221 Star
+4937 2199 Star
+4937 2176 Star
+4937 2153 Star
+4937 2130 Star
+4937 2107 Star
+4937 2084 Star
+4937 2062 Star
+4937 2039 Star
+4937 2016 Star
+4937 1993 Star
+4937 1970 Star
+4937 1947 Star
+4937 1925 Star
+4937 1902 Star
+4937 1879 Star
+4937 1856 Star
+4937 1833 Star
+4937 1810 Star
+4937 1787 Star
+4937 1765 Star
+4937 1742 Star
+4970 3295 Star
+4970 3272 Star
+4970 3249 Star
+4970 3226 Star
+4970 3204 Star
+4970 3181 Star
+4970 3158 Star
+4970 3135 Star
+4970 3112 Star
+4970 3089 Star
+4970 3067 Star
+4970 3044 Star
+4970 3021 Star
+4970 2998 Star
+4970 2975 Star
+4970 2952 Star
+4970 2930 Star
+4970 2907 Star
+4970 2884 Star
+4970 2861 Star
+4970 2838 Star
+4970 2815 Star
+4970 2792 Star
+4970 2770 Star
+4970 2747 Star
+4970 2724 Star
+4970 2701 Star
+4970 2678 Star
+4970 2655 Star
+4970 2633 Star
+4970 2610 Star
+4970 2587 Star
+4970 2564 Star
+4970 2541 Star
+4970 2518 Star
+4970 2496 Star
+4970 2473 Star
+4970 2450 Star
+4970 2427 Star
+4970 2404 Star
+4970 2381 Star
+4970 2359 Star
+4970 2336 Star
+4970 2313 Star
+4970 2290 Star
+4970 2267 Star
+4970 2244 Star
+4970 2221 Star
+4970 2199 Star
+4970 2176 Star
+4970 2153 Star
+4970 2130 Star
+4970 2107 Star
+4970 2084 Star
+4970 2062 Star
+4970 2039 Star
+4970 2016 Star
+4970 1993 Star
+4970 1970 Star
+4970 1947 Star
+4970 1925 Star
+4970 1902 Star
+4970 1879 Star
+4970 1856 Star
+4970 1833 Star
+4970 1810 Star
+4970 1787 Star
+4970 1765 Star
+4970 1742 Star
+4970 1719 Star
+5002 3272 Star
+5002 3249 Star
+5002 3226 Star
+5002 3204 Star
+5002 3181 Star
+5002 3158 Star
+5002 3135 Star
+5002 3112 Star
+5002 3089 Star
+5002 3067 Star
+5002 3044 Star
+5002 3021 Star
+5002 2998 Star
+5002 2975 Star
+5002 2952 Star
+5002 2930 Star
+5002 2907 Star
+5002 2884 Star
+5002 2861 Star
+5002 2838 Star
+5002 2815 Star
+5002 2792 Star
+5002 2770 Star
+5002 2747 Star
+5002 2724 Star
+5002 2701 Star
+5002 2678 Star
+5002 2655 Star
+5002 2633 Star
+5002 2610 Star
+5002 2587 Star
+5002 2564 Star
+5002 2541 Star
+5002 2518 Star
+5002 2496 Star
+5002 2473 Star
+5002 2450 Star
+5002 2427 Star
+5002 2404 Star
+5002 2381 Star
+5002 2359 Star
+5002 2336 Star
+5002 2313 Star
+5002 2290 Star
+5002 2267 Star
+5002 2244 Star
+5002 2221 Star
+5002 2199 Star
+5002 2176 Star
+5002 2153 Star
+5002 2130 Star
+5002 2107 Star
+5002 2084 Star
+5002 2062 Star
+5002 2039 Star
+5002 2016 Star
+5002 1993 Star
+5002 1970 Star
+5002 1947 Star
+5002 1925 Star
+5002 1902 Star
+5002 1879 Star
+5002 1856 Star
+5002 1833 Star
+5002 1810 Star
+5002 1787 Star
+5002 1765 Star
+5002 1742 Star
+5002 1719 Star
+5002 1696 Star
+5034 3272 Star
+5034 3249 Star
+5034 3226 Star
+5034 3204 Star
+5034 3181 Star
+5034 3158 Star
+5034 3135 Star
+5034 3112 Star
+5034 3089 Star
+5034 3067 Star
+5034 3044 Star
+5034 3021 Star
+5034 2998 Star
+5034 2975 Star
+5034 2952 Star
+5034 2930 Star
+5034 2907 Star
+5034 2884 Star
+5034 2861 Star
+5034 2838 Star
+5034 2815 Star
+5034 2792 Star
+5034 2770 Star
+5034 2747 Star
+5034 2724 Star
+5034 2701 Star
+5034 2678 Star
+5034 2655 Star
+5034 2633 Star
+5034 2610 Star
+5034 2587 Star
+5034 2564 Star
+5034 2541 Star
+5034 2518 Star
+5034 2496 Star
+5034 2473 Star
+5034 2450 Star
+5034 2427 Star
+5034 2404 Star
+5034 2381 Star
+5034 2359 Star
+5034 2336 Star
+5034 2313 Star
+5034 2290 Star
+5034 2267 Star
+5034 2244 Star
+5034 2221 Star
+5034 2199 Star
+5034 2176 Star
+5034 2153 Star
+5034 2130 Star
+5034 2107 Star
+5034 2084 Star
+5034 2062 Star
+5034 2039 Star
+5034 2016 Star
+5034 1993 Star
+5034 1970 Star
+5034 1947 Star
+5034 1925 Star
+5034 1902 Star
+5034 1879 Star
+5034 1856 Star
+5034 1833 Star
+5034 1810 Star
+5034 1787 Star
+5034 1765 Star
+5034 1742 Star
+5034 1719 Star
+5034 1696 Star
+5034 1673 Star
+5066 3249 Star
+5066 3226 Star
+5066 3204 Star
+5066 3181 Star
+5066 3158 Star
+5066 3135 Star
+5066 3112 Star
+5066 3089 Star
+5066 3067 Star
+5066 3044 Star
+5066 3021 Star
+5066 2998 Star
+5066 2975 Star
+5066 2952 Star
+5066 2930 Star
+5066 2907 Star
+5066 2884 Star
+5066 2861 Star
+5066 2838 Star
+5066 2815 Star
+5066 2792 Star
+5066 2770 Star
+5066 2747 Star
+5066 2724 Star
+5066 2701 Star
+5066 2678 Star
+5066 2655 Star
+5066 2633 Star
+5066 2610 Star
+5066 2587 Star
+5066 2564 Star
+5066 2541 Star
+5066 2518 Star
+5066 2496 Star
+5066 2473 Star
+5066 2450 Star
+5066 2427 Star
+5066 2404 Star
+5066 2381 Star
+5066 2359 Star
+5066 2336 Star
+5066 2313 Star
+5066 2290 Star
+5066 2267 Star
+5066 2244 Star
+5066 2221 Star
+5066 2199 Star
+5066 2176 Star
+5066 2153 Star
+5066 2130 Star
+5066 2107 Star
+5066 2084 Star
+5066 2062 Star
+5066 2039 Star
+5066 2016 Star
+5066 1993 Star
+5066 1970 Star
+5066 1947 Star
+5066 1925 Star
+5066 1902 Star
+5066 1879 Star
+5066 1856 Star
+5066 1833 Star
+5066 1810 Star
+5066 1787 Star
+5066 1765 Star
+5066 1742 Star
+5066 1719 Star
+5066 1696 Star
+5066 1673 Star
+5066 1650 Star
+5098 3249 Star
+5098 3226 Star
+5098 3204 Star
+5098 3181 Star
+5098 3158 Star
+5098 3135 Star
+5098 3112 Star
+5098 3089 Star
+5098 3067 Star
+5098 3044 Star
+5098 3021 Star
+5098 2998 Star
+5098 2975 Star
+5098 2952 Star
+5098 2930 Star
+5098 2907 Star
+5098 2884 Star
+5098 2861 Star
+5098 2838 Star
+5098 2815 Star
+5098 2792 Star
+5098 2770 Star
+5098 2747 Star
+5098 2724 Star
+5098 2701 Star
+5098 2678 Star
+5098 2655 Star
+5098 2633 Star
+5098 2610 Star
+5098 2587 Star
+5098 2564 Star
+5098 2541 Star
+5098 2518 Star
+5098 2496 Star
+5098 2473 Star
+5098 2450 Star
+5098 2427 Star
+5098 2404 Star
+5098 2381 Star
+5098 2359 Star
+5098 2336 Star
+5098 2313 Star
+5098 2290 Star
+5098 2267 Star
+5098 2244 Star
+5098 2221 Star
+5098 2199 Star
+5098 2176 Star
+5098 2153 Star
+5098 2130 Star
+5098 2107 Star
+5098 2084 Star
+5098 2062 Star
+5098 2039 Star
+5098 2016 Star
+5098 1993 Star
+5098 1970 Star
+5098 1947 Star
+5098 1925 Star
+5098 1902 Star
+5098 1879 Star
+5098 1856 Star
+5098 1833 Star
+5098 1810 Star
+5098 1787 Star
+5098 1765 Star
+5098 1742 Star
+5098 1719 Star
+5098 1696 Star
+5098 1673 Star
+5098 1650 Star
+5098 1628 Star
+5130 3226 Star
+5130 3204 Star
+5130 3181 Star
+5130 3158 Star
+5130 3135 Star
+5130 3112 Star
+5130 3089 Star
+5130 3067 Star
+5130 3044 Star
+5130 3021 Star
+5130 2998 Star
+5130 2975 Star
+5130 2952 Star
+5130 2930 Star
+5130 2907 Star
+5130 2884 Star
+5130 2861 Star
+5130 2838 Star
+5130 2815 Star
+5130 2792 Star
+5130 2770 Star
+5130 2747 Star
+5130 2724 Star
+5130 2701 Star
+5130 2678 Star
+5130 2655 Star
+5130 2633 Star
+5130 2610 Star
+5130 2587 Star
+5130 2564 Star
+5130 2541 Star
+5130 2518 Star
+5130 2496 Star
+5130 2473 Star
+5130 2450 Star
+5130 2427 Star
+5130 2404 Star
+5130 2381 Star
+5130 2359 Star
+5130 2336 Star
+5130 2313 Star
+5130 2290 Star
+5130 2267 Star
+5130 2244 Star
+5130 2221 Star
+5130 2199 Star
+5130 2176 Star
+5130 2153 Star
+5130 2130 Star
+5130 2107 Star
+5130 2084 Star
+5130 2062 Star
+5130 2039 Star
+5130 2016 Star
+5130 1993 Star
+5130 1970 Star
+5130 1947 Star
+5130 1925 Star
+5130 1902 Star
+5130 1879 Star
+5130 1856 Star
+5130 1833 Star
+5130 1810 Star
+5130 1787 Star
+5130 1765 Star
+5130 1742 Star
+5130 1719 Star
+5130 1696 Star
+5130 1673 Star
+5130 1650 Star
+5130 1628 Star
+5130 1605 Star
+5162 3226 Star
+5162 3204 Star
+5162 3181 Star
+5162 3158 Star
+5162 3135 Star
+5162 3112 Star
+5162 3089 Star
+5162 3067 Star
+5162 3044 Star
+5162 3021 Star
+5162 2998 Star
+5162 2975 Star
+5162 2952 Star
+5162 2930 Star
+5162 2907 Star
+5162 2884 Star
+5162 2861 Star
+5162 2838 Star
+5162 2815 Star
+5162 2792 Star
+5162 2770 Star
+5162 2747 Star
+5162 2724 Star
+5162 2701 Star
+5162 2678 Star
+5162 2655 Star
+5162 2633 Star
+5162 2610 Star
+5162 2587 Star
+5162 2564 Star
+5162 2541 Star
+5162 2518 Star
+5162 2496 Star
+5162 2473 Star
+5162 2450 Star
+5162 2427 Star
+5162 2404 Star
+5162 2381 Star
+5162 2359 Star
+5162 2336 Star
+5162 2313 Star
+5162 2290 Star
+5162 2267 Star
+5162 2244 Star
+5162 2221 Star
+5162 2199 Star
+5162 2176 Star
+5162 2153 Star
+5162 2130 Star
+5162 2107 Star
+5162 2084 Star
+5162 2062 Star
+5162 2039 Star
+5162 2016 Star
+5162 1993 Star
+5162 1970 Star
+5162 1947 Star
+5162 1925 Star
+5162 1902 Star
+5162 1879 Star
+5162 1856 Star
+5162 1833 Star
+5162 1810 Star
+5162 1787 Star
+5162 1765 Star
+5162 1742 Star
+5162 1719 Star
+5162 1696 Star
+5162 1673 Star
+5162 1650 Star
+5162 1628 Star
+5162 1605 Star
+5162 1582 Star
+5194 3204 Star
+5194 3181 Star
+5194 3158 Star
+5194 3135 Star
+5194 3112 Star
+5194 3089 Star
+5194 3067 Star
+5194 3044 Star
+5194 3021 Star
+5194 2998 Star
+5194 2975 Star
+5194 2952 Star
+5194 2930 Star
+5194 2907 Star
+5194 2884 Star
+5194 2861 Star
+5194 2838 Star
+5194 2815 Star
+5194 2792 Star
+5194 2770 Star
+5194 2747 Star
+5194 2724 Star
+5194 2701 Star
+5194 2678 Star
+5194 2655 Star
+5194 2633 Star
+5194 2610 Star
+5194 2587 Star
+5194 2564 Star
+5194 2541 Star
+5194 2518 Star
+5194 2496 Star
+5194 2473 Star
+5194 2450 Star
+5194 2427 Star
+5194 2404 Star
+5194 2381 Star
+5194 2359 Star
+5194 2336 Star
+5194 2313 Star
+5194 2290 Star
+5194 2267 Star
+5194 2244 Star
+5194 2221 Star
+5194 2199 Star
+5194 2176 Star
+5194 2153 Star
+5194 2130 Star
+5194 2107 Star
+5194 2084 Star
+5194 2062 Star
+5194 2039 Star
+5194 2016 Star
+5194 1993 Star
+5194 1970 Star
+5194 1947 Star
+5194 1925 Star
+5194 1902 Star
+5194 1879 Star
+5194 1856 Star
+5194 1833 Star
+5194 1810 Star
+5194 1787 Star
+5194 1765 Star
+5194 1742 Star
+5194 1719 Star
+5194 1696 Star
+5194 1673 Star
+5194 1650 Star
+5194 1628 Star
+5194 1605 Star
+5194 1582 Star
+5194 1559 Star
+5226 3204 Star
+5226 3181 Star
+5226 3158 Star
+5226 3135 Star
+5226 3112 Star
+5226 3089 Star
+5226 3067 Star
+5226 3044 Star
+5226 3021 Star
+5226 2998 Star
+5226 2975 Star
+5226 2952 Star
+5226 2930 Star
+5226 2907 Star
+5226 2884 Star
+5226 2861 Star
+5226 2838 Star
+5226 2815 Star
+5226 2792 Star
+5226 2770 Star
+5226 2747 Star
+5226 2724 Star
+5226 2701 Star
+5226 2678 Star
+5226 2655 Star
+5226 2633 Star
+5226 2610 Star
+5226 2587 Star
+5226 2564 Star
+5226 2541 Star
+5226 2518 Star
+5226 2496 Star
+5226 2473 Star
+5226 2450 Star
+5226 2427 Star
+5226 2404 Star
+5226 2381 Star
+5226 2359 Star
+5226 2336 Star
+5226 2313 Star
+5226 2290 Star
+5226 2267 Star
+5226 2244 Star
+5226 2221 Star
+5226 2199 Star
+5226 2176 Star
+5226 2153 Star
+5226 2130 Star
+5226 2107 Star
+5226 2084 Star
+5226 2062 Star
+5226 2039 Star
+5226 2016 Star
+5226 1993 Star
+5226 1970 Star
+5226 1947 Star
+5226 1925 Star
+5226 1902 Star
+5226 1879 Star
+5226 1856 Star
+5226 1833 Star
+5226 1810 Star
+5226 1787 Star
+5226 1765 Star
+5226 1742 Star
+5226 1719 Star
+5226 1696 Star
+5226 1673 Star
+5226 1650 Star
+5226 1628 Star
+5226 1605 Star
+5226 1582 Star
+5226 1559 Star
+5226 1536 Star
+5258 3181 Star
+5258 3158 Star
+5258 3135 Star
+5258 3112 Star
+5258 3089 Star
+5258 3067 Star
+5258 3044 Star
+5258 3021 Star
+5258 2998 Star
+5258 2975 Star
+5258 2952 Star
+5258 2930 Star
+5258 2907 Star
+5258 2884 Star
+5258 2861 Star
+5258 2838 Star
+5258 2815 Star
+5258 2792 Star
+5258 2770 Star
+5258 2747 Star
+5258 2724 Star
+5258 2701 Star
+5258 2678 Star
+5258 2655 Star
+5258 2633 Star
+5258 2610 Star
+5258 2587 Star
+5258 2564 Star
+5258 2541 Star
+5258 2518 Star
+5258 2496 Star
+5258 2473 Star
+5258 2450 Star
+5258 2427 Star
+5258 2404 Star
+5258 2381 Star
+5258 2359 Star
+5258 2336 Star
+5258 2313 Star
+5258 2290 Star
+5258 2267 Star
+5258 2244 Star
+5258 2221 Star
+5258 2199 Star
+5258 2176 Star
+5258 2153 Star
+5258 2130 Star
+5258 2107 Star
+5258 2084 Star
+5258 2062 Star
+5258 2039 Star
+5258 2016 Star
+5258 1993 Star
+5258 1970 Star
+5258 1947 Star
+5258 1925 Star
+5258 1902 Star
+5258 1879 Star
+5258 1856 Star
+5258 1833 Star
+5258 1810 Star
+5258 1787 Star
+5258 1765 Star
+5258 1742 Star
+5258 1719 Star
+5258 1696 Star
+5258 1673 Star
+5258 1650 Star
+5258 1628 Star
+5258 1605 Star
+5258 1582 Star
+5258 1559 Star
+5258 1536 Star
+5258 1513 Star
+5290 3181 Star
+5290 3158 Star
+5290 3135 Star
+5290 3112 Star
+5290 3089 Star
+5290 3067 Star
+5290 3044 Star
+5290 3021 Star
+5290 2998 Star
+5290 2975 Star
+5290 2952 Star
+5290 2930 Star
+5290 2907 Star
+5290 2884 Star
+5290 2861 Star
+5290 2838 Star
+5290 2815 Star
+5290 2792 Star
+5290 2770 Star
+5290 2747 Star
+5290 2724 Star
+5290 2701 Star
+5290 2678 Star
+5290 2655 Star
+5290 2633 Star
+5290 2610 Star
+5290 2587 Star
+5290 2564 Star
+5290 2541 Star
+5290 2518 Star
+5290 2496 Star
+5290 2473 Star
+5290 2450 Star
+5290 2427 Star
+5290 2404 Star
+5290 2381 Star
+5290 2359 Star
+5290 2336 Star
+5290 2313 Star
+5290 2290 Star
+5290 2267 Star
+5290 2244 Star
+5290 2221 Star
+5290 2199 Star
+5290 2176 Star
+5290 2153 Star
+5290 2130 Star
+5290 2107 Star
+5290 2084 Star
+5290 2062 Star
+5290 2039 Star
+5290 2016 Star
+5290 1993 Star
+5290 1970 Star
+5290 1947 Star
+5290 1925 Star
+5290 1902 Star
+5290 1879 Star
+5290 1856 Star
+5290 1833 Star
+5290 1810 Star
+5290 1787 Star
+5290 1765 Star
+5290 1742 Star
+5290 1719 Star
+5290 1696 Star
+5290 1673 Star
+5290 1650 Star
+5290 1628 Star
+5290 1605 Star
+5290 1582 Star
+5290 1559 Star
+5290 1536 Star
+5290 1513 Star
+5290 1491 Star
+5322 3158 Star
+5322 3135 Star
+5322 3112 Star
+5322 3089 Star
+5322 3067 Star
+5322 3044 Star
+5322 3021 Star
+5322 2998 Star
+5322 2975 Star
+5322 2952 Star
+5322 2930 Star
+5322 2907 Star
+5322 2884 Star
+5322 2861 Star
+5322 2838 Star
+5322 2815 Star
+5322 2792 Star
+5322 2770 Star
+5322 2747 Star
+5322 2724 Star
+5322 2701 Star
+5322 2678 Star
+5322 2655 Star
+5322 2633 Star
+5322 2610 Star
+5322 2587 Star
+5322 2564 Star
+5322 2541 Star
+5322 2518 Star
+5322 2496 Star
+5322 2473 Star
+5322 2450 Star
+5322 2427 Star
+5322 2404 Star
+5322 2381 Star
+5322 2359 Star
+5322 2336 Star
+5322 2313 Star
+5322 2290 Star
+5322 2267 Star
+5322 2244 Star
+5322 2221 Star
+5322 2199 Star
+5322 2176 Star
+5322 2153 Star
+5322 2130 Star
+5322 2107 Star
+5322 2084 Star
+5322 2062 Star
+5322 2039 Star
+5322 2016 Star
+5322 1993 Star
+5322 1970 Star
+5322 1947 Star
+5322 1925 Star
+5322 1902 Star
+5322 1879 Star
+5322 1856 Star
+5322 1833 Star
+5322 1810 Star
+5322 1787 Star
+5322 1765 Star
+5322 1742 Star
+5322 1719 Star
+5322 1696 Star
+5322 1673 Star
+5322 1650 Star
+5322 1628 Star
+5322 1605 Star
+5322 1582 Star
+5322 1559 Star
+5322 1536 Star
+5322 1513 Star
+5322 1491 Star
+5322 1468 Star
+5354 3158 Star
+5354 3135 Star
+5354 3112 Star
+5354 3089 Star
+5354 3067 Star
+5354 3044 Star
+5354 3021 Star
+5354 2998 Star
+5354 2975 Star
+5354 2952 Star
+5354 2930 Star
+5354 2907 Star
+5354 2884 Star
+5354 2861 Star
+5354 2838 Star
+5354 2815 Star
+5354 2792 Star
+5354 2770 Star
+5354 2747 Star
+5354 2724 Star
+5354 2701 Star
+5354 2678 Star
+5354 2655 Star
+5354 2633 Star
+5354 2610 Star
+5354 2587 Star
+5354 2564 Star
+5354 2541 Star
+5354 2518 Star
+5354 2496 Star
+5354 2473 Star
+5354 2450 Star
+5354 2427 Star
+5354 2404 Star
+5354 2381 Star
+5354 2359 Star
+5354 2336 Star
+5354 2313 Star
+5354 2290 Star
+5354 2267 Star
+5354 2244 Star
+5354 2221 Star
+5354 2199 Star
+5354 2176 Star
+5354 2153 Star
+5354 2130 Star
+5354 2107 Star
+5354 2084 Star
+5354 2062 Star
+5354 2039 Star
+5354 2016 Star
+5354 1993 Star
+5354 1970 Star
+5354 1947 Star
+5354 1925 Star
+5354 1902 Star
+5354 1879 Star
+5354 1856 Star
+5354 1833 Star
+5354 1810 Star
+5354 1787 Star
+5354 1765 Star
+5354 1742 Star
+5354 1719 Star
+5354 1696 Star
+5354 1673 Star
+5354 1650 Star
+5354 1628 Star
+5354 1605 Star
+5354 1582 Star
+5354 1559 Star
+5354 1536 Star
+5354 1513 Star
+5354 1491 Star
+5354 1468 Star
+5354 1445 Star
+5386 3135 Star
+5386 3112 Star
+5386 3089 Star
+5386 3067 Star
+5386 3044 Star
+5386 3021 Star
+5386 2998 Star
+5386 2975 Star
+5386 2952 Star
+5386 2930 Star
+5386 2907 Star
+5386 2884 Star
+5386 2861 Star
+5386 2838 Star
+5386 2815 Star
+5386 2792 Star
+5386 2770 Star
+5386 2747 Star
+5386 2724 Star
+5386 2701 Star
+5386 2678 Star
+5386 2655 Star
+5386 2633 Star
+5386 2610 Star
+5386 2587 Star
+5386 2564 Star
+5386 2541 Star
+5386 2518 Star
+5386 2496 Star
+5386 2473 Star
+5386 2450 Star
+5386 2427 Star
+5386 2404 Star
+5386 2381 Star
+5386 2359 Star
+5386 2336 Star
+5386 2313 Star
+5386 2290 Star
+5386 2267 Star
+5386 2244 Star
+5386 2221 Star
+5386 2199 Star
+5386 2176 Star
+5386 2153 Star
+5386 2130 Star
+5386 2107 Star
+5386 2084 Star
+5386 2062 Star
+5386 2039 Star
+5386 2016 Star
+5386 1993 Star
+5386 1970 Star
+5386 1947 Star
+5386 1925 Star
+5386 1902 Star
+5386 1879 Star
+5386 1856 Star
+5386 1833 Star
+5386 1810 Star
+5386 1787 Star
+5386 1765 Star
+5386 1742 Star
+5386 1719 Star
+5386 1696 Star
+5386 1673 Star
+5386 1650 Star
+5386 1628 Star
+5386 1605 Star
+5386 1582 Star
+5386 1559 Star
+5386 1536 Star
+5386 1513 Star
+5386 1491 Star
+5386 1468 Star
+5386 1445 Star
+5386 1422 Star
+5418 3135 Star
+5418 3112 Star
+5418 3089 Star
+5418 3067 Star
+5418 3044 Star
+5418 3021 Star
+5418 2998 Star
+5418 2975 Star
+5418 2952 Star
+5418 2930 Star
+5418 2907 Star
+5418 2884 Star
+5418 2861 Star
+5418 2838 Star
+5418 2815 Star
+5418 2792 Star
+5418 2770 Star
+5418 2747 Star
+5418 2724 Star
+5418 2701 Star
+5418 2678 Star
+5418 2655 Star
+5418 2633 Star
+5418 2610 Star
+5418 2587 Star
+5418 2564 Star
+5418 2541 Star
+5418 2518 Star
+5418 2496 Star
+5418 2473 Star
+5418 2450 Star
+5418 2427 Star
+5418 2404 Star
+5418 2381 Star
+5418 2359 Star
+5418 2336 Star
+5418 2313 Star
+5418 2290 Star
+5418 2267 Star
+5418 2244 Star
+5418 2221 Star
+5418 2199 Star
+5418 2176 Star
+5418 2153 Star
+5418 2130 Star
+5418 2107 Star
+5418 2084 Star
+5418 2062 Star
+5418 2039 Star
+5418 2016 Star
+5418 1993 Star
+5418 1970 Star
+5418 1947 Star
+5418 1925 Star
+5418 1902 Star
+5418 1879 Star
+5418 1856 Star
+5418 1833 Star
+5418 1810 Star
+5418 1787 Star
+5418 1765 Star
+5418 1742 Star
+5418 1719 Star
+5418 1696 Star
+5418 1673 Star
+5418 1650 Star
+5418 1628 Star
+5418 1605 Star
+5418 1582 Star
+5418 1559 Star
+5418 1536 Star
+5418 1513 Star
+5418 1491 Star
+5418 1468 Star
+5418 1445 Star
+5418 1422 Star
+5418 1399 Star
+5450 3112 Star
+5450 3089 Star
+5450 3067 Star
+5450 3044 Star
+5450 3021 Star
+5450 2998 Star
+5450 2975 Star
+5450 2952 Star
+5450 2930 Star
+5450 2907 Star
+5450 2884 Star
+5450 2861 Star
+5450 2838 Star
+5450 2815 Star
+5450 2792 Star
+5450 2770 Star
+5450 2747 Star
+5450 2724 Star
+5450 2701 Star
+5450 2678 Star
+5450 2655 Star
+5450 2633 Star
+5450 2610 Star
+5450 2587 Star
+5450 2564 Star
+5450 2541 Star
+5450 2518 Star
+5450 2496 Star
+5450 2473 Star
+5450 2450 Star
+5450 2427 Star
+5450 2404 Star
+5450 2381 Star
+5450 2359 Star
+5450 2336 Star
+5450 2313 Star
+5450 2290 Star
+5450 2267 Star
+5450 2244 Star
+5450 2221 Star
+5450 2199 Star
+5450 2176 Star
+5450 2153 Star
+5450 2130 Star
+5450 2107 Star
+5450 2084 Star
+5450 2062 Star
+5450 2039 Star
+5450 2016 Star
+5450 1993 Star
+5450 1970 Star
+5450 1947 Star
+5450 1925 Star
+5450 1902 Star
+5450 1879 Star
+5450 1856 Star
+5450 1833 Star
+5450 1810 Star
+5450 1787 Star
+5450 1765 Star
+5450 1742 Star
+5450 1719 Star
+5450 1696 Star
+5450 1673 Star
+5450 1650 Star
+5450 1628 Star
+5450 1605 Star
+5450 1582 Star
+5450 1559 Star
+5450 1536 Star
+5450 1513 Star
+5450 1491 Star
+5450 1468 Star
+5450 1445 Star
+5450 1422 Star
+5450 1399 Star
+5450 1376 Star
+5482 3112 Star
+5482 3089 Star
+5482 3067 Star
+5482 3044 Star
+5482 3021 Star
+5482 2998 Star
+5482 2975 Star
+5482 2952 Star
+5482 2930 Star
+5482 2907 Star
+5482 2884 Star
+5482 2861 Star
+5482 2838 Star
+5482 2815 Star
+5482 2792 Star
+5482 2770 Star
+5482 2747 Star
+5482 2724 Star
+5482 2701 Star
+5482 2678 Star
+5482 2655 Star
+5482 2633 Star
+5482 2610 Star
+5482 2587 Star
+5482 2564 Star
+5482 2541 Star
+5482 2518 Star
+5482 2496 Star
+5482 2473 Star
+5482 2450 Star
+5482 2427 Star
+5482 2404 Star
+5482 2381 Star
+5482 2359 Star
+5482 2336 Star
+5482 2313 Star
+5482 2290 Star
+5482 2267 Star
+5482 2244 Star
+5482 2221 Star
+5482 2199 Star
+5482 2176 Star
+5482 2153 Star
+5482 2130 Star
+5482 2107 Star
+5482 2084 Star
+5482 2062 Star
+5482 2039 Star
+5482 2016 Star
+5482 1993 Star
+5482 1970 Star
+5482 1947 Star
+5482 1925 Star
+5482 1902 Star
+5482 1879 Star
+5482 1856 Star
+5482 1833 Star
+5482 1810 Star
+5482 1787 Star
+5482 1765 Star
+5482 1742 Star
+5482 1719 Star
+5482 1696 Star
+5482 1673 Star
+5482 1650 Star
+5482 1628 Star
+5482 1605 Star
+5482 1582 Star
+5482 1559 Star
+5482 1536 Star
+5482 1513 Star
+5482 1491 Star
+5482 1468 Star
+5482 1445 Star
+5482 1422 Star
+5482 1399 Star
+5482 1376 Star
+5482 1354 Star
+5514 3089 Star
+5514 3067 Star
+5514 3044 Star
+5514 3021 Star
+5514 2998 Star
+5514 2975 Star
+5514 2952 Star
+5514 2930 Star
+5514 2907 Star
+5514 2884 Star
+5514 2861 Star
+5514 2838 Star
+5514 2815 Star
+5514 2792 Star
+5514 2770 Star
+5514 2747 Star
+5514 2724 Star
+5514 2701 Star
+5514 2678 Star
+5514 2655 Star
+5514 2633 Star
+5514 2610 Star
+5514 2587 Star
+5514 2564 Star
+5514 2541 Star
+5514 2518 Star
+5514 2496 Star
+5514 2473 Star
+5514 2450 Star
+5514 2427 Star
+5514 2404 Star
+5514 2381 Star
+5514 2359 Star
+5514 2336 Star
+5514 2313 Star
+5514 2290 Star
+5514 2267 Star
+5514 2244 Star
+5514 2221 Star
+5514 2199 Star
+5514 2176 Star
+5514 2153 Star
+5514 2130 Star
+5514 2107 Star
+5514 2084 Star
+5514 2062 Star
+5514 2039 Star
+5514 2016 Star
+5514 1993 Star
+5514 1970 Star
+5514 1947 Star
+5514 1925 Star
+5514 1902 Star
+5514 1879 Star
+5514 1856 Star
+5514 1833 Star
+5514 1810 Star
+5514 1787 Star
+5514 1765 Star
+5514 1742 Star
+5514 1719 Star
+5514 1696 Star
+5514 1673 Star
+5514 1650 Star
+5514 1628 Star
+5514 1605 Star
+5514 1582 Star
+5514 1559 Star
+5514 1536 Star
+5514 1513 Star
+5514 1491 Star
+5514 1468 Star
+5514 1445 Star
+5514 1422 Star
+5514 1399 Star
+5514 1376 Star
+5514 1354 Star
+5514 1331 Star
+5547 3089 Star
+5547 3067 Star
+5547 3044 Star
+5547 3021 Star
+5547 2998 Star
+5547 2975 Star
+5547 2952 Star
+5547 2930 Star
+5547 2907 Star
+5547 2884 Star
+5547 2861 Star
+5547 2838 Star
+5547 2815 Star
+5547 2792 Star
+5547 2770 Star
+5547 2747 Star
+5547 2724 Star
+5547 2701 Star
+5547 2678 Star
+5547 2655 Star
+5547 2633 Star
+5547 2610 Star
+5547 2587 Star
+5547 2564 Star
+5547 2541 Star
+5547 2518 Star
+5547 2496 Star
+5547 2473 Star
+5547 2450 Star
+5547 2427 Star
+5547 2404 Star
+5547 2381 Star
+5547 2359 Star
+5547 2336 Star
+5547 2313 Star
+5547 2290 Star
+5547 2267 Star
+5547 2244 Star
+5547 2221 Star
+5547 2199 Star
+5547 2176 Star
+5547 2153 Star
+5547 2130 Star
+5547 2107 Star
+5547 2084 Star
+5547 2062 Star
+5547 2039 Star
+5547 2016 Star
+5547 1993 Star
+5547 1970 Star
+5547 1947 Star
+5547 1925 Star
+5547 1902 Star
+5547 1879 Star
+5547 1856 Star
+5547 1833 Star
+5547 1810 Star
+5547 1787 Star
+5547 1765 Star
+5547 1742 Star
+5547 1719 Star
+5547 1696 Star
+5547 1673 Star
+5547 1650 Star
+5547 1628 Star
+5547 1605 Star
+5547 1582 Star
+5547 1559 Star
+5547 1536 Star
+5547 1513 Star
+5547 1491 Star
+5547 1468 Star
+5547 1445 Star
+5547 1422 Star
+5547 1399 Star
+5547 1376 Star
+5547 1354 Star
+5547 1331 Star
+5547 1308 Star
+5579 3067 Star
+5579 3044 Star
+5579 3021 Star
+5579 2998 Star
+5579 2975 Star
+5579 2952 Star
+5579 2930 Star
+5579 2907 Star
+5579 2884 Star
+5579 2861 Star
+5579 2838 Star
+5579 2815 Star
+5579 2792 Star
+5579 2770 Star
+5579 2747 Star
+5579 2724 Star
+5579 2701 Star
+5579 2678 Star
+5579 2655 Star
+5579 2633 Star
+5579 2610 Star
+5579 2587 Star
+5579 2564 Star
+5579 2541 Star
+5579 2518 Star
+5579 2496 Star
+5579 2473 Star
+5579 2450 Star
+5579 2427 Star
+5579 2404 Star
+5579 2381 Star
+5579 2359 Star
+5579 2336 Star
+5579 2313 Star
+5579 2290 Star
+5579 2267 Star
+5579 2244 Star
+5579 2221 Star
+5579 2199 Star
+5579 2176 Star
+5579 2153 Star
+5579 2130 Star
+5579 2107 Star
+5579 2084 Star
+5579 2062 Star
+5579 2039 Star
+5579 2016 Star
+5579 1993 Star
+5579 1970 Star
+5579 1947 Star
+5579 1925 Star
+5579 1902 Star
+5579 1879 Star
+5579 1856 Star
+5579 1833 Star
+5579 1810 Star
+5579 1787 Star
+5579 1765 Star
+5579 1742 Star
+5579 1719 Star
+5579 1696 Star
+5579 1673 Star
+5579 1650 Star
+5579 1628 Star
+5579 1605 Star
+5579 1582 Star
+5579 1559 Star
+5579 1536 Star
+5579 1513 Star
+5579 1491 Star
+5579 1468 Star
+5579 1445 Star
+5579 1422 Star
+5579 1399 Star
+5579 1376 Star
+5579 1354 Star
+5579 1331 Star
+5579 1308 Star
+5579 1285 Star
+5611 3067 Star
+5611 3044 Star
+5611 3021 Star
+5611 2998 Star
+5611 2975 Star
+5611 2952 Star
+5611 2930 Star
+5611 2907 Star
+5611 2884 Star
+5611 2861 Star
+5611 2838 Star
+5611 2815 Star
+5611 2792 Star
+5611 2770 Star
+5611 2747 Star
+5611 2724 Star
+5611 2701 Star
+5611 2678 Star
+5611 2655 Star
+5611 2633 Star
+5611 2610 Star
+5611 2587 Star
+5611 2564 Star
+5611 2541 Star
+5611 2518 Star
+5611 2496 Star
+5611 2473 Star
+5611 2450 Star
+5611 2427 Star
+5611 2404 Star
+5611 2381 Star
+5611 2359 Star
+5611 2336 Star
+5611 2313 Star
+5611 2290 Star
+5611 2267 Star
+5611 2244 Star
+5611 2221 Star
+5611 2199 Star
+5611 2176 Star
+5611 2153 Star
+5611 2130 Star
+5611 2107 Star
+5611 2084 Star
+5611 2062 Star
+5611 2039 Star
+5611 2016 Star
+5611 1993 Star
+5611 1970 Star
+5611 1947 Star
+5611 1925 Star
+5611 1902 Star
+5611 1879 Star
+5611 1856 Star
+5611 1833 Star
+5611 1810 Star
+5611 1787 Star
+5611 1765 Star
+5611 1742 Star
+5611 1719 Star
+5611 1696 Star
+5611 1673 Star
+5611 1650 Star
+5611 1628 Star
+5611 1605 Star
+5611 1582 Star
+5611 1559 Star
+5611 1536 Star
+5611 1513 Star
+5611 1491 Star
+5611 1468 Star
+5611 1445 Star
+5611 1422 Star
+5611 1399 Star
+5611 1376 Star
+5611 1354 Star
+5611 1331 Star
+5611 1308 Star
+5611 1285 Star
+5611 1262 Star
+5643 3044 Star
+5643 3021 Star
+5643 2998 Star
+5643 2975 Star
+5643 2952 Star
+5643 2930 Star
+5643 2907 Star
+5643 2884 Star
+5643 2861 Star
+5643 2838 Star
+5643 2815 Star
+5643 2792 Star
+5643 2770 Star
+5643 2747 Star
+5643 2724 Star
+5643 2701 Star
+5643 2678 Star
+5643 2655 Star
+5643 2633 Star
+5643 2610 Star
+5643 2587 Star
+5643 2564 Star
+5643 2541 Star
+5643 2518 Star
+5643 2496 Star
+5643 2473 Star
+5643 2450 Star
+5643 2427 Star
+5643 2404 Star
+5643 2381 Star
+5643 2359 Star
+5643 2336 Star
+5643 2313 Star
+5643 2290 Star
+5643 2267 Star
+5643 2244 Star
+5643 2221 Star
+5643 2199 Star
+5643 2176 Star
+5643 2153 Star
+5643 2130 Star
+5643 2107 Star
+5643 2084 Star
+5643 2062 Star
+5643 2039 Star
+5643 2016 Star
+5643 1993 Star
+5643 1970 Star
+5643 1947 Star
+5643 1925 Star
+5643 1902 Star
+5643 1879 Star
+5643 1856 Star
+5643 1833 Star
+5643 1810 Star
+5643 1787 Star
+5643 1765 Star
+5643 1742 Star
+5643 1719 Star
+5643 1696 Star
+5643 1673 Star
+5643 1650 Star
+5643 1628 Star
+5643 1605 Star
+5643 1582 Star
+5643 1559 Star
+5643 1536 Star
+5643 1513 Star
+5643 1491 Star
+5643 1468 Star
+5643 1445 Star
+5643 1422 Star
+5643 1399 Star
+5643 1376 Star
+5643 1354 Star
+5643 1331 Star
+5643 1308 Star
+5643 1285 Star
+5643 1262 Star
+5643 1239 Star
+5675 3044 Star
+5675 3021 Star
+5675 2998 Star
+5675 2975 Star
+5675 2952 Star
+5675 2930 Star
+5675 2907 Star
+5675 2884 Star
+5675 2861 Star
+5675 2838 Star
+5675 2815 Star
+5675 2792 Star
+5675 2770 Star
+5675 2747 Star
+5675 2724 Star
+5675 2701 Star
+5675 2678 Star
+5675 2655 Star
+5675 2633 Star
+5675 2610 Star
+5675 2587 Star
+5675 2564 Star
+5675 2541 Star
+5675 2518 Star
+5675 2496 Star
+5675 2473 Star
+5675 2450 Star
+5675 2427 Star
+5675 2404 Star
+5675 2381 Star
+5675 2359 Star
+5675 2336 Star
+5675 2313 Star
+5675 2290 Star
+5675 2267 Star
+5675 2244 Star
+5675 2221 Star
+5675 2199 Star
+5675 2176 Star
+5675 2153 Star
+5675 2130 Star
+5675 2107 Star
+5675 2084 Star
+5675 2062 Star
+5675 2039 Star
+5675 2016 Star
+5675 1993 Star
+5675 1970 Star
+5675 1947 Star
+5675 1925 Star
+5675 1902 Star
+5675 1879 Star
+5675 1856 Star
+5675 1833 Star
+5675 1810 Star
+5675 1787 Star
+5675 1765 Star
+5675 1742 Star
+5675 1719 Star
+5675 1696 Star
+5675 1673 Star
+5675 1650 Star
+5675 1628 Star
+5675 1605 Star
+5675 1582 Star
+5675 1559 Star
+5675 1536 Star
+5675 1513 Star
+5675 1491 Star
+5675 1468 Star
+5675 1445 Star
+5675 1422 Star
+5675 1399 Star
+5675 1376 Star
+5675 1354 Star
+5675 1331 Star
+5675 1308 Star
+5675 1285 Star
+5675 1262 Star
+5675 1239 Star
+5675 1216 Star
+5707 3021 Star
+5707 2998 Star
+5707 2975 Star
+5707 2952 Star
+5707 2930 Star
+5707 2907 Star
+5707 2884 Star
+5707 2861 Star
+5707 2838 Star
+5707 2815 Star
+5707 2792 Star
+5707 2770 Star
+5707 2747 Star
+5707 2724 Star
+5707 2701 Star
+5707 2678 Star
+5707 2655 Star
+5707 2633 Star
+5707 2610 Star
+5707 2587 Star
+5707 2564 Star
+5707 2541 Star
+5707 2518 Star
+5707 2496 Star
+5707 2473 Star
+5707 2450 Star
+5707 2427 Star
+5707 2404 Star
+5707 2381 Star
+5707 2359 Star
+5707 2336 Star
+5707 2313 Star
+5707 2290 Star
+5707 2267 Star
+5707 2244 Star
+5707 2221 Star
+5707 2199 Star
+5707 2176 Star
+5707 2153 Star
+5707 2130 Star
+5707 2107 Star
+5707 2084 Star
+5707 2062 Star
+5707 2039 Star
+5707 2016 Star
+5707 1993 Star
+5707 1970 Star
+5707 1947 Star
+5707 1925 Star
+5707 1902 Star
+5707 1879 Star
+5707 1856 Star
+5707 1833 Star
+5707 1810 Star
+5707 1787 Star
+5707 1765 Star
+5707 1742 Star
+5707 1719 Star
+5707 1696 Star
+5707 1673 Star
+5707 1650 Star
+5707 1628 Star
+5707 1605 Star
+5707 1582 Star
+5707 1559 Star
+5707 1536 Star
+5707 1513 Star
+5707 1491 Star
+5707 1468 Star
+5707 1445 Star
+5707 1422 Star
+5707 1399 Star
+5707 1376 Star
+5707 1354 Star
+5707 1331 Star
+5707 1308 Star
+5707 1285 Star
+5707 1262 Star
+5707 1239 Star
+5707 1216 Star
+5707 1194 Star
+5739 3021 Star
+5739 2998 Star
+5739 2975 Star
+5739 2952 Star
+5739 2930 Star
+5739 2907 Star
+5739 2884 Star
+5739 2861 Star
+5739 2838 Star
+5739 2815 Star
+5739 2792 Star
+5739 2770 Star
+5739 2747 Star
+5739 2724 Star
+5739 2701 Star
+5739 2678 Star
+5739 2655 Star
+5739 2633 Star
+5739 2610 Star
+5739 2587 Star
+5739 2564 Star
+5739 2541 Star
+5739 2518 Star
+5739 2496 Star
+5739 2473 Star
+5739 2450 Star
+5739 2427 Star
+5739 2404 Star
+5739 2381 Star
+5739 2359 Star
+5739 2336 Star
+5739 2313 Star
+5739 2290 Star
+5739 2267 Star
+5739 2244 Star
+5739 2221 Star
+5739 2199 Star
+5739 2176 Star
+5739 2153 Star
+5739 2130 Star
+5739 2107 Star
+5739 2084 Star
+5739 2062 Star
+5739 2039 Star
+5739 2016 Star
+5739 1993 Star
+5739 1970 Star
+5739 1947 Star
+5739 1925 Star
+5739 1902 Star
+5739 1879 Star
+5739 1856 Star
+5739 1833 Star
+5739 1810 Star
+5739 1787 Star
+5739 1765 Star
+5739 1742 Star
+5739 1719 Star
+5739 1696 Star
+5739 1673 Star
+5739 1650 Star
+5739 1628 Star
+5739 1605 Star
+5739 1582 Star
+5739 1559 Star
+5739 1536 Star
+5739 1513 Star
+5739 1491 Star
+5739 1468 Star
+5739 1445 Star
+5739 1422 Star
+5739 1399 Star
+5739 1376 Star
+5739 1354 Star
+5739 1331 Star
+5739 1308 Star
+5739 1285 Star
+5739 1262 Star
+5739 1239 Star
+5739 1216 Star
+5739 1194 Star
+5739 1171 Star
+5771 2998 Star
+5771 2975 Star
+5771 2952 Star
 5771 2930 Star
 5771 2907 Star
 5771 2884 Star
-5771 2862 Star
-5771 2839 Star
-5771 2816 Star
-5771 2793 Star
+5771 2861 Star
+5771 2838 Star
+5771 2815 Star
+5771 2792 Star
 5771 2770 Star
 5771 2747 Star
 5771 2724 Star
-5771 2702 Star
-5771 2679 Star
-5771 2656 Star
+5771 2701 Star
+5771 2678 Star
+5771 2655 Star
 5771 2633 Star
 5771 2610 Star
 5771 2587 Star
-5771 2565 Star
-5771 2542 Star
-5771 2519 Star
+5771 2564 Star
+5771 2541 Star
+5771 2518 Star
 5771 2496 Star
 5771 2473 Star
 5771 2450 Star
-5771 2428 Star
-5771 2405 Star
-5771 2382 Star
+5771 2427 Star
+5771 2404 Star
+5771 2381 Star
 5771 2359 Star
 5771 2336 Star
 5771 2313 Star
 5771 2290 Star
-5771 2268 Star
-5771 2245 Star
-5771 2222 Star
+5771 2267 Star
+5771 2244 Star
+5771 2221 Star
 5771 2199 Star
 5771 2176 Star
 5771 2153 Star
-5771 2131 Star
-5771 2108 Star
-5771 2085 Star
+5771 2130 Star
+5771 2107 Star
+5771 2084 Star
 5771 2062 Star
 5771 2039 Star
 5771 2016 Star
 5771 1993 Star
-5771 1971 Star
-5771 1948 Star
+5771 1970 Star
+5771 1947 Star
 5771 1925 Star
 5771 1902 Star
 5771 1879 Star
 5771 1856 Star
-5771 1834 Star
-5771 1811 Star
-5771 1788 Star
+5771 1833 Star
+5771 1810 Star
+5771 1787 Star
 5771 1765 Star
 5771 1742 Star
 5771 1719 Star
 5771 1696 Star
-5771 1674 Star
-5771 1651 Star
+5771 1673 Star
+5771 1650 Star
 5771 1628 Star
 5771 1605 Star
 5771 1582 Star
 5771 1559 Star
-5771 1537 Star
-5771 1514 Star
+5771 1536 Star
+5771 1513 Star
 5771 1491 Star
 5771 1468 Star
 5771 1445 Star
 5771 1422 Star
 5771 1399 Star
-5771 1377 Star
+5771 1376 Star
 5771 1354 Star
 5771 1331 Star
 5771 1308 Star
 5771 1285 Star
 5771 1262 Star
-5771 1240 Star
-5771 1217 Star
+5771 1239 Star
+5771 1216 Star
 5771 1194 Star
 5771 1171 Star
 5771 1148 Star
-5771 1125 Star
-5803 2976 Star
-5803 2953 Star
+5803 2998 Star
+5803 2975 Star
+5803 2952 Star
 5803 2930 Star
 5803 2907 Star
 5803 2884 Star
-5803 2862 Star
-5803 2839 Star
-5803 2816 Star
-5803 2793 Star
+5803 2861 Star
+5803 2838 Star
+5803 2815 Star
+5803 2792 Star
 5803 2770 Star
 5803 2747 Star
 5803 2724 Star
-5803 2702 Star
-5803 2679 Star
-5803 2656 Star
+5803 2701 Star
+5803 2678 Star
+5803 2655 Star
 5803 2633 Star
 5803 2610 Star
 5803 2587 Star
-5803 2565 Star
-5803 2542 Star
-5803 2519 Star
+5803 2564 Star
+5803 2541 Star
+5803 2518 Star
 5803 2496 Star
 5803 2473 Star
 5803 2450 Star
-5803 2428 Star
-5803 2405 Star
-5803 2382 Star
+5803 2427 Star
+5803 2404 Star
+5803 2381 Star
 5803 2359 Star
 5803 2336 Star
 5803 2313 Star
 5803 2290 Star
-5803 2268 Star
-5803 2245 Star
-5803 2222 Star
+5803 2267 Star
+5803 2244 Star
+5803 2221 Star
 5803 2199 Star
 5803 2176 Star
 5803 2153 Star
-5803 2131 Star
-5803 2108 Star
-5803 2085 Star
+5803 2130 Star
+5803 2107 Star
+5803 2084 Star
 5803 2062 Star
 5803 2039 Star
 5803 2016 Star
 5803 1993 Star
-5803 1971 Star
-5803 1948 Star
+5803 1970 Star
+5803 1947 Star
 5803 1925 Star
 5803 1902 Star
 5803 1879 Star
 5803 1856 Star
-5803 1834 Star
-5803 1811 Star
-5803 1788 Star
+5803 1833 Star
+5803 1810 Star
+5803 1787 Star
 5803 1765 Star
 5803 1742 Star
 5803 1719 Star
 5803 1696 Star
-5803 1674 Star
-5803 1651 Star
+5803 1673 Star
+5803 1650 Star
 5803 1628 Star
 5803 1605 Star
 5803 1582 Star
 5803 1559 Star
-5803 1537 Star
-5803 1514 Star
+5803 1536 Star
+5803 1513 Star
 5803 1491 Star
 5803 1468 Star
 5803 1445 Star
 5803 1422 Star
 5803 1399 Star
-5803 1377 Star
+5803 1376 Star
 5803 1354 Star
 5803 1331 Star
 5803 1308 Star
 5803 1285 Star
 5803 1262 Star
-5803 1240 Star
-5803 1217 Star
+5803 1239 Star
+5803 1216 Star
 5803 1194 Star
 5803 1171 Star
 5803 1148 Star
 5803 1125 Star
-5803 1102 Star
-5835 2976 Star
-5835 2953 Star
+5835 2975 Star
+5835 2952 Star
 5835 2930 Star
 5835 2907 Star
 5835 2884 Star
-5835 2862 Star
-5835 2839 Star
-5835 2816 Star
-5835 2793 Star
+5835 2861 Star
+5835 2838 Star
+5835 2815 Star
+5835 2792 Star
 5835 2770 Star
 5835 2747 Star
 5835 2724 Star
-5835 2702 Star
-5835 2679 Star
-5835 2656 Star
+5835 2701 Star
+5835 2678 Star
+5835 2655 Star
 5835 2633 Star
 5835 2610 Star
 5835 2587 Star
-5835 2565 Star
-5835 2542 Star
-5835 2519 Star
+5835 2564 Star
+5835 2541 Star
+5835 2518 Star
 5835 2496 Star
 5835 2473 Star
 5835 2450 Star
-5835 2428 Star
-5835 2405 Star
-5835 2382 Star
+5835 2427 Star
+5835 2404 Star
+5835 2381 Star
 5835 2359 Star
 5835 2336 Star
 5835 2313 Star
 5835 2290 Star
-5835 2268 Star
-5835 2245 Star
-5835 2222 Star
+5835 2267 Star
+5835 2244 Star
+5835 2221 Star
 5835 2199 Star
 5835 2176 Star
 5835 2153 Star
-5835 2131 Star
-5835 2108 Star
-5835 2085 Star
+5835 2130 Star
+5835 2107 Star
+5835 2084 Star
 5835 2062 Star
 5835 2039 Star
 5835 2016 Star
 5835 1993 Star
-5835 1971 Star
-5835 1948 Star
+5835 1970 Star
+5835 1947 Star
 5835 1925 Star
 5835 1902 Star
 5835 1879 Star
 5835 1856 Star
-5835 1834 Star
-5835 1811 Star
-5835 1788 Star
+5835 1833 Star
+5835 1810 Star
+5835 1787 Star
 5835 1765 Star
 5835 1742 Star
 5835 1719 Star
 5835 1696 Star
-5835 1674 Star
-5835 1651 Star
+5835 1673 Star
+5835 1650 Star
 5835 1628 Star
 5835 1605 Star
 5835 1582 Star
 5835 1559 Star
-5835 1537 Star
-5835 1514 Star
+5835 1536 Star
+5835 1513 Star
 5835 1491 Star
 5835 1468 Star
 5835 1445 Star
 5835 1422 Star
 5835 1399 Star
-5835 1377 Star
+5835 1376 Star
 5835 1354 Star
 5835 1331 Star
 5835 1308 Star
 5835 1285 Star
 5835 1262 Star
-5835 1240 Star
-5835 1217 Star
+5835 1239 Star
+5835 1216 Star
 5835 1194 Star
 5835 1171 Star
 5835 1148 Star
 5835 1125 Star
 5835 1102 Star
-5835 1080 Star
-5867 2953 Star
+5867 2975 Star
+5867 2952 Star
 5867 2930 Star
 5867 2907 Star
 5867 2884 Star
-5867 2862 Star
-5867 2839 Star
-5867 2816 Star
-5867 2793 Star
+5867 2861 Star
+5867 2838 Star
+5867 2815 Star
+5867 2792 Star
 5867 2770 Star
 5867 2747 Star
 5867 2724 Star
-5867 2702 Star
-5867 2679 Star
-5867 2656 Star
+5867 2701 Star
+5867 2678 Star
+5867 2655 Star
 5867 2633 Star
 5867 2610 Star
 5867 2587 Star
-5867 2565 Star
-5867 2542 Star
-5867 2519 Star
+5867 2564 Star
+5867 2541 Star
+5867 2518 Star
 5867 2496 Star
 5867 2473 Star
 5867 2450 Star
-5867 2428 Star
-5867 2405 Star
-5867 2382 Star
+5867 2427 Star
+5867 2404 Star
+5867 2381 Star
 5867 2359 Star
 5867 2336 Star
 5867 2313 Star
 5867 2290 Star
-5867 2268 Star
-5867 2245 Star
-5867 2222 Star
+5867 2267 Star
+5867 2244 Star
+5867 2221 Star
 5867 2199 Star
 5867 2176 Star
 5867 2153 Star
-5867 2131 Star
-5867 2108 Star
-5867 2085 Star
+5867 2130 Star
+5867 2107 Star
+5867 2084 Star
 5867 2062 Star
 5867 2039 Star
 5867 2016 Star
 5867 1993 Star
-5867 1971 Star
-5867 1948 Star
+5867 1970 Star
+5867 1947 Star
 5867 1925 Star
 5867 1902 Star
 5867 1879 Star
 5867 1856 Star
-5867 1834 Star
-5867 1811 Star
-5867 1788 Star
+5867 1833 Star
+5867 1810 Star
+5867 1787 Star
 5867 1765 Star
 5867 1742 Star
 5867 1719 Star
 5867 1696 Star
-5867 1674 Star
-5867 1651 Star
+5867 1673 Star
+5867 1650 Star
 5867 1628 Star
 5867 1605 Star
 5867 1582 Star
 5867 1559 Star
-5867 1537 Star
-5867 1514 Star
+5867 1536 Star
+5867 1513 Star
 5867 1491 Star
 5867 1468 Star
 5867 1445 Star
 5867 1422 Star
 5867 1399 Star
-5867 1377 Star
+5867 1376 Star
 5867 1354 Star
 5867 1331 Star
 5867 1308 Star
 5867 1285 Star
 5867 1262 Star
-5867 1240 Star
-5867 1217 Star
+5867 1239 Star
+5867 1216 Star
 5867 1194 Star
 5867 1171 Star
 5867 1148 Star
 5867 1125 Star
 5867 1102 Star
-5867 1080 Star
-5867 1057 Star
-5899 2953 Star
+5867 1079 Star
+5899 2952 Star
 5899 2930 Star
 5899 2907 Star
 5899 2884 Star
-5899 2862 Star
-5899 2839 Star
-5899 2816 Star
-5899 2793 Star
+5899 2861 Star
+5899 2838 Star
+5899 2815 Star
+5899 2792 Star
 5899 2770 Star
 5899 2747 Star
 5899 2724 Star
-5899 2702 Star
-5899 2679 Star
-5899 2656 Star
+5899 2701 Star
+5899 2678 Star
+5899 2655 Star
 5899 2633 Star
 5899 2610 Star
 5899 2587 Star
-5899 2565 Star
-5899 2542 Star
-5899 2519 Star
+5899 2564 Star
+5899 2541 Star
+5899 2518 Star
 5899 2496 Star
 5899 2473 Star
 5899 2450 Star
-5899 2428 Star
-5899 2405 Star
-5899 2382 Star
+5899 2427 Star
+5899 2404 Star
+5899 2381 Star
 5899 2359 Star
 5899 2336 Star
 5899 2313 Star
 5899 2290 Star
-5899 2268 Star
-5899 2245 Star
-5899 2222 Star
+5899 2267 Star
+5899 2244 Star
+5899 2221 Star
 5899 2199 Star
 5899 2176 Star
 5899 2153 Star
-5899 2131 Star
-5899 2108 Star
-5899 2085 Star
+5899 2130 Star
+5899 2107 Star
+5899 2084 Star
 5899 2062 Star
 5899 2039 Star
 5899 2016 Star
 5899 1993 Star
-5899 1971 Star
-5899 1948 Star
+5899 1970 Star
+5899 1947 Star
 5899 1925 Star
 5899 1902 Star
 5899 1879 Star
 5899 1856 Star
-5899 1834 Star
-5899 1811 Star
-5899 1788 Star
+5899 1833 Star
+5899 1810 Star
+5899 1787 Star
 5899 1765 Star
 5899 1742 Star
 5899 1719 Star
 5899 1696 Star
-5899 1674 Star
-5899 1651 Star
+5899 1673 Star
+5899 1650 Star
 5899 1628 Star
 5899 1605 Star
 5899 1582 Star
 5899 1559 Star
-5899 1537 Star
-5899 1514 Star
+5899 1536 Star
+5899 1513 Star
 5899 1491 Star
 5899 1468 Star
 5899 1445 Star
 5899 1422 Star
 5899 1399 Star
-5899 1377 Star
+5899 1376 Star
 5899 1354 Star
 5899 1331 Star
 5899 1308 Star
 5899 1285 Star
 5899 1262 Star
-5899 1240 Star
-5899 1217 Star
+5899 1239 Star
+5899 1216 Star
 5899 1194 Star
 5899 1171 Star
 5899 1148 Star
 5899 1125 Star
 5899 1102 Star
-5899 1080 Star
+5899 1079 Star
 5899 1057 Star
-5899 1034 Star
-5932 2930 Star
-5932 2907 Star
-5932 2884 Star
-5932 2862 Star
-5932 2839 Star
-5932 2816 Star
-5932 2793 Star
-5932 2770 Star
-5932 2747 Star
-5932 2724 Star
-5932 2702 Star
-5932 2679 Star
-5932 2656 Star
-5932 2633 Star
-5932 2610 Star
-5932 2587 Star
-5932 2565 Star
-5932 2542 Star
-5932 2519 Star
-5932 2496 Star
-5932 2473 Star
-5932 2450 Star
-5932 2428 Star
-5932 2405 Star
-5932 2382 Star
-5932 2359 Star
-5932 2336 Star
-5932 2313 Star
-5932 2290 Star
-5932 2268 Star
-5932 2245 Star
-5932 2222 Star
-5932 2199 Star
-5932 2176 Star
-5932 2153 Star
-5932 2131 Star
-5932 2108 Star
-5932 2085 Star
-5932 2062 Star
-5932 2039 Star
-5932 2016 Star
-5932 1993 Star
-5932 1971 Star
-5932 1948 Star
-5932 1925 Star
-5932 1902 Star
-5932 1879 Star
-5932 1856 Star
-5932 1834 Star
-5932 1811 Star
-5932 1788 Star
-5932 1765 Star
-5932 1742 Star
-5932 1719 Star
-5932 1696 Star
-5932 1674 Star
-5932 1651 Star
-5932 1628 Star
-5932 1605 Star
-5932 1582 Star
-5932 1559 Star
-5932 1537 Star
-5932 1514 Star
-5932 1491 Star
-5932 1468 Star
-5932 1445 Star
-5932 1422 Star
-5932 1399 Star
-5932 1377 Star
-5932 1354 Star
-5932 1331 Star
-5932 1308 Star
-5932 1285 Star
-5932 1262 Star
-5932 1240 Star
-5932 1217 Star
-5932 1194 Star
-5932 1171 Star
-5932 1148 Star
-5932 1125 Star
-5932 1102 Star
-5932 1080 Star
-5932 1057 Star
-5932 1034 Star
-5932 1011 Star
-5964 2930 Star
-5964 2907 Star
-5964 2884 Star
-5964 2862 Star
-5964 2839 Star
-5964 2816 Star
-5964 2793 Star
-5964 2770 Star
-5964 2747 Star
-5964 2724 Star
-5964 2702 Star
-5964 2679 Star
-5964 2656 Star
-5964 2633 Star
-5964 2610 Star
-5964 2587 Star
-5964 2565 Star
-5964 2542 Star
-5964 2519 Star
-5964 2496 Star
-5964 2473 Star
-5964 2450 Star
-5964 2428 Star
-5964 2405 Star
-5964 2382 Star
-5964 2359 Star
-5964 2336 Star
-5964 2313 Star
-5964 2290 Star
-5964 2268 Star
-5964 2245 Star
-5964 2222 Star
-5964 2199 Star
-5964 2176 Star
-5964 2153 Star
-5964 2131 Star
-5964 2108 Star
-5964 2085 Star
-5964 2062 Star
-5964 2039 Star
-5964 2016 Star
-5964 1993 Star
-5964 1971 Star
-5964 1948 Star
-5964 1925 Star
-5964 1902 Star
-5964 1879 Star
-5964 1856 Star
-5964 1834 Star
-5964 1811 Star
-5964 1788 Star
-5964 1765 Star
-5964 1742 Star
-5964 1719 Star
-5964 1696 Star
-5964 1674 Star
-5964 1651 Star
-5964 1628 Star
-5964 1605 Star
-5964 1582 Star
-5964 1559 Star
-5964 1537 Star
-5964 1514 Star
-5964 1491 Star
-5964 1468 Star
-5964 1445 Star
-5964 1422 Star
-5964 1399 Star
-5964 1377 Star
-5964 1354 Star
-5964 1331 Star
-5964 1308 Star
-5964 1285 Star
-5964 1262 Star
-5964 1240 Star
-5964 1217 Star
-5964 1194 Star
-5964 1171 Star
-5964 1148 Star
-5964 1125 Star
-5964 1102 Star
-5964 1080 Star
-5964 1057 Star
-5964 1034 Star
-5964 1011 Star
-5964 988 Star
-5996 2907 Star
-5996 2884 Star
-5996 2862 Star
-5996 2839 Star
-5996 2816 Star
-5996 2793 Star
-5996 2770 Star
-5996 2747 Star
-5996 2724 Star
-5996 2702 Star
-5996 2679 Star
-5996 2656 Star
-5996 2633 Star
-5996 2610 Star
-5996 2587 Star
-5996 2565 Star
-5996 2542 Star
-5996 2519 Star
-5996 2496 Star
-5996 2473 Star
-5996 2450 Star
-5996 2428 Star
-5996 2405 Star
-5996 2382 Star
-5996 2359 Star
-5996 2336 Star
-5996 2313 Star
-5996 2290 Star
-5996 2268 Star
-5996 2245 Star
-5996 2222 Star
-5996 2199 Star
-5996 2176 Star
-5996 2153 Star
-5996 2131 Star
-5996 2108 Star
-5996 2085 Star
-5996 2062 Star
-5996 2039 Star
-5996 2016 Star
-5996 1993 Star
-5996 1971 Star
-5996 1948 Star
-5996 1925 Star
-5996 1902 Star
-5996 1879 Star
-5996 1856 Star
-5996 1834 Star
-5996 1811 Star
-5996 1788 Star
-5996 1765 Star
-5996 1742 Star
-5996 1719 Star
-5996 1696 Star
-5996 1674 Star
-5996 1651 Star
-5996 1628 Star
-5996 1605 Star
-5996 1582 Star
-5996 1559 Star
-5996 1537 Star
-5996 1514 Star
-5996 1491 Star
-5996 1468 Star
-5996 1445 Star
-5996 1422 Star
-5996 1399 Star
-5996 1377 Star
-5996 1354 Star
-5996 1331 Star
-5996 1308 Star
-5996 1285 Star
-5996 1262 Star
-5996 1240 Star
-5996 1217 Star
-5996 1194 Star
-5996 1171 Star
-5996 1148 Star
-5996 1125 Star
-5996 1102 Star
-5996 1080 Star
-5996 1057 Star
-5996 1034 Star
-5996 1011 Star
-5996 988 Star
-5996 965 Star
-6028 2907 Star
-6028 2884 Star
-6028 2862 Star
-6028 2839 Star
-6028 2816 Star
-6028 2793 Star
-6028 2770 Star
-6028 2747 Star
-6028 2724 Star
-6028 2702 Star
-6028 2679 Star
-6028 2656 Star
-6028 2633 Star
-6028 2610 Star
-6028 2587 Star
-6028 2565 Star
-6028 2542 Star
-6028 2519 Star
-6028 2496 Star
-6028 2473 Star
-6028 2450 Star
-6028 2428 Star
-6028 2405 Star
-6028 2382 Star
-6028 2359 Star
-6028 2336 Star
-6028 2313 Star
-6028 2290 Star
-6028 2268 Star
-6028 2245 Star
-6028 2222 Star
-6028 2199 Star
-6028 2176 Star
-6028 2153 Star
-6028 2131 Star
-6028 2108 Star
-6028 2085 Star
-6028 2062 Star
-6028 2039 Star
-6028 2016 Star
-6028 1993 Star
-6028 1971 Star
-6028 1948 Star
-6028 1925 Star
-6028 1902 Star
-6028 1879 Star
-6028 1856 Star
-6028 1834 Star
-6028 1811 Star
-6028 1788 Star
-6028 1765 Star
-6028 1742 Star
-6028 1719 Star
-6028 1696 Star
-6028 1674 Star
-6028 1651 Star
-6028 1628 Star
-6028 1605 Star
-6028 1582 Star
-6028 1559 Star
-6028 1537 Star
-6028 1514 Star
-6028 1491 Star
-6028 1468 Star
-6028 1445 Star
-6028 1422 Star
-6028 1399 Star
-6028 1377 Star
-6028 1354 Star
-6028 1331 Star
-6028 1308 Star
-6028 1285 Star
-6028 1262 Star
-6028 1240 Star
-6028 1217 Star
-6028 1194 Star
-6028 1171 Star
-6028 1148 Star
-6028 1125 Star
-6028 1102 Star
-6028 1080 Star
-6028 1057 Star
-6028 1034 Star
-6028 1011 Star
-6028 988 Star
-6028 965 Star
-6028 943 Star
-6060 2884 Star
-6060 2862 Star
-6060 2839 Star
-6060 2816 Star
-6060 2793 Star
-6060 2770 Star
-6060 2747 Star
-6060 2724 Star
-6060 2702 Star
-6060 2679 Star
-6060 2656 Star
-6060 2633 Star
-6060 2610 Star
-6060 2587 Star
-6060 2565 Star
-6060 2542 Star
-6060 2519 Star
-6060 2496 Star
-6060 2473 Star
-6060 2450 Star
-6060 2428 Star
-6060 2405 Star
-6060 2382 Star
-6060 2359 Star
-6060 2336 Star
-6060 2313 Star
-6060 2290 Star
-6060 2268 Star
-6060 2245 Star
-6060 2222 Star
-6060 2199 Star
-6060 2176 Star
-6060 2153 Star
-6060 2131 Star
-6060 2108 Star
-6060 2085 Star
-6060 2062 Star
-6060 2039 Star
-6060 2016 Star
-6060 1993 Star
-6060 1971 Star
-6060 1948 Star
-6060 1925 Star
-6060 1902 Star
-6060 1879 Star
-6060 1856 Star
-6060 1834 Star
-6060 1811 Star
-6060 1788 Star
-6060 1765 Star
-6060 1742 Star
-6060 1719 Star
-6060 1696 Star
-6060 1674 Star
-6060 1651 Star
-6060 1628 Star
-6060 1605 Star
-6060 1582 Star
-6060 1559 Star
-6060 1537 Star
-6060 1514 Star
-6060 1491 Star
-6060 1468 Star
-6060 1445 Star
-6060 1422 Star
-6060 1399 Star
-6060 1377 Star
-6060 1354 Star
-6060 1331 Star
-6060 1308 Star
-6060 1285 Star
-6060 1262 Star
-6060 1240 Star
-6060 1217 Star
-6060 1194 Star
-6060 1171 Star
-6060 1148 Star
-6060 1125 Star
-6060 1102 Star
-6060 1080 Star
-6060 1057 Star
-6060 1034 Star
-6060 1011 Star
-6060 988 Star
-6060 965 Star
-6060 943 Star
-6060 920 Star
-6093 2884 Star
-6093 2862 Star
-6093 2839 Star
-6093 2816 Star
-6093 2793 Star
-6093 2770 Star
-6093 2747 Star
-6093 2724 Star
-6093 2702 Star
-6093 2679 Star
-6093 2656 Star
-6093 2633 Star
-6093 2610 Star
-6093 2587 Star
-6093 2565 Star
-6093 2542 Star
-6093 2519 Star
-6093 2496 Star
-6093 2473 Star
-6093 2450 Star
-6093 2428 Star
-6093 2405 Star
-6093 2382 Star
-6093 2359 Star
-6093 2336 Star
-6093 2313 Star
-6093 2290 Star
-6093 2268 Star
-6093 2245 Star
-6093 2222 Star
-6093 2199 Star
-6093 2176 Star
-6093 2153 Star
-6093 2131 Star
-6093 2108 Star
-6093 2085 Star
-6093 2062 Star
-6093 2039 Star
-6093 2016 Star
-6093 1993 Star
-6093 1971 Star
-6093 1948 Star
-6093 1925 Star
-6093 1902 Star
-6093 1879 Star
-6093 1856 Star
-6093 1834 Star
-6093 1811 Star
-6093 1788 Star
-6093 1765 Star
-6093 1742 Star
-6093 1719 Star
-6093 1696 Star
-6093 1674 Star
-6093 1651 Star
-6093 1628 Star
-6093 1605 Star
-6093 1582 Star
-6093 1559 Star
-6093 1537 Star
-6093 1514 Star
-6093 1491 Star
-6093 1468 Star
-6093 1445 Star
-6093 1422 Star
-6093 1399 Star
-6093 1377 Star
-6093 1354 Star
-6093 1331 Star
-6093 1308 Star
-6093 1285 Star
-6093 1262 Star
-6093 1240 Star
-6093 1217 Star
-6093 1194 Star
-6093 1171 Star
-6093 1148 Star
-6093 1125 Star
-6093 1102 Star
-6093 1080 Star
-6093 1057 Star
-6093 1034 Star
-6093 1011 Star
-6093 988 Star
-6093 965 Star
-6093 943 Star
-6093 920 Star
-6093 897 Star
-6125 2862 Star
-6125 2839 Star
-6125 2816 Star
-6125 2793 Star
-6125 2770 Star
-6125 2747 Star
-6125 2724 Star
-6125 2702 Star
-6125 2679 Star
-6125 2656 Star
-6125 2633 Star
-6125 2610 Star
-6125 2587 Star
-6125 2565 Star
-6125 2542 Star
-6125 2519 Star
-6125 2496 Star
-6125 2473 Star
-6125 2450 Star
-6125 2428 Star
-6125 2405 Star
-6125 2382 Star
-6125 2359 Star
-6125 2336 Star
-6125 2313 Star
-6125 2290 Star
-6125 2268 Star
-6125 2245 Star
-6125 2222 Star
-6125 2199 Star
-6125 2176 Star
-6125 2153 Star
-6125 2131 Star
-6125 2108 Star
-6125 2085 Star
-6125 2062 Star
-6125 2039 Star
-6125 2016 Star
-6125 1993 Star
-6125 1971 Star
-6125 1948 Star
-6125 1925 Star
-6125 1902 Star
-6125 1879 Star
-6125 1856 Star
-6125 1834 Star
-6125 1811 Star
-6125 1788 Star
-6125 1765 Star
-6125 1742 Star
-6125 1719 Star
-6125 1696 Star
-6125 1674 Star
-6125 1651 Star
-6125 1628 Star
-6125 1605 Star
-6125 1582 Star
-6125 1559 Star
-6125 1537 Star
-6125 1514 Star
-6125 1491 Star
-6125 1468 Star
-6125 1445 Star
-6125 1422 Star
-6125 1399 Star
-6125 1377 Star
-6125 1354 Star
-6125 1331 Star
-6125 1308 Star
-6125 1285 Star
-6125 1262 Star
-6125 1240 Star
-6125 1217 Star
-6125 1194 Star
-6125 1171 Star
-6125 1148 Star
-6125 1125 Star
-6125 1102 Star
-6125 1080 Star
-6125 1057 Star
-6125 1034 Star
-6125 1011 Star
-6125 988 Star
-6125 965 Star
-6125 943 Star
-6125 920 Star
-6125 897 Star
-6125 874 Star
-6157 2862 Star
-6157 2839 Star
-6157 2816 Star
-6157 2793 Star
-6157 2770 Star
-6157 2747 Star
-6157 2724 Star
-6157 2702 Star
-6157 2679 Star
-6157 2656 Star
-6157 2633 Star
-6157 2610 Star
-6157 2587 Star
-6157 2565 Star
-6157 2542 Star
-6157 2519 Star
-6157 2496 Star
-6157 2473 Star
-6157 2450 Star
-6157 2428 Star
-6157 2405 Star
-6157 2382 Star
-6157 2359 Star
-6157 2336 Star
-6157 2313 Star
-6157 2290 Star
-6157 2268 Star
-6157 2245 Star
-6157 2222 Star
-6157 2199 Star
-6157 2176 Star
-6157 2153 Star
-6157 2131 Star
-6157 2108 Star
-6157 2085 Star
-6157 2062 Star
-6157 2039 Star
-6157 2016 Star
-6157 1993 Star
-6157 1971 Star
-6157 1948 Star
-6157 1925 Star
-6157 1902 Star
-6157 1879 Star
-6157 1856 Star
-6157 1834 Star
-6157 1811 Star
-6157 1788 Star
-6157 1765 Star
-6157 1742 Star
-6157 1719 Star
-6157 1696 Star
-6157 1674 Star
-6157 1651 Star
-6157 1628 Star
-6157 1605 Star
-6157 1582 Star
-6157 1559 Star
-6157 1537 Star
-6157 1514 Star
-6157 1491 Star
-6157 1468 Star
-6157 1445 Star
-6157 1422 Star
-6157 1399 Star
-6157 1377 Star
-6157 1354 Star
-6157 1331 Star
-6157 1308 Star
-6157 1285 Star
-6157 1262 Star
-6157 1240 Star
-6157 1217 Star
-6157 1194 Star
-6157 1171 Star
-6157 1148 Star
-6157 1125 Star
-6157 1102 Star
-6157 1080 Star
-6157 1057 Star
-6157 1034 Star
-6157 1011 Star
-6157 988 Star
-6157 965 Star
-6157 943 Star
-6157 920 Star
-6157 897 Star
-6157 874 Star
-6157 851 Star
-6189 2839 Star
-6189 2816 Star
-6189 2793 Star
-6189 2770 Star
-6189 2747 Star
-6189 2724 Star
-6189 2702 Star
-6189 2679 Star
-6189 2656 Star
-6189 2633 Star
-6189 2610 Star
-6189 2587 Star
-6189 2565 Star
-6189 2542 Star
-6189 2519 Star
-6189 2496 Star
-6189 2473 Star
-6189 2450 Star
-6189 2428 Star
-6189 2405 Star
-6189 2382 Star
-6189 2359 Star
-6189 2336 Star
-6189 2313 Star
-6189 2290 Star
-6189 2268 Star
-6189 2245 Star
-6189 2222 Star
-6189 2199 Star
-6189 2176 Star
-6189 2153 Star
-6189 2131 Star
-6189 2108 Star
-6189 2085 Star
-6189 2062 Star
-6189 2039 Star
-6189 2016 Star
-6189 1993 Star
-6189 1971 Star
-6189 1948 Star
-6189 1925 Star
-6189 1902 Star
-6189 1879 Star
-6189 1856 Star
-6189 1834 Star
-6189 1811 Star
-6189 1788 Star
-6189 1765 Star
-6189 1742 Star
-6189 1719 Star
-6189 1696 Star
-6189 1674 Star
-6189 1651 Star
-6189 1628 Star
-6189 1605 Star
-6189 1582 Star
-6189 1559 Star
-6189 1537 Star
-6189 1514 Star
-6189 1491 Star
-6189 1468 Star
-6189 1445 Star
-6189 1422 Star
-6189 1399 Star
-6189 1377 Star
-6189 1354 Star
-6189 1331 Star
-6189 1308 Star
-6189 1285 Star
-6189 1262 Star
-6189 1240 Star
-6189 1217 Star
-6189 1194 Star
-6189 1171 Star
-6189 1148 Star
-6189 1125 Star
-6189 1102 Star
-6189 1080 Star
-6189 1057 Star
-6189 1034 Star
-6189 1011 Star
-6189 988 Star
-6189 965 Star
-6189 943 Star
-6189 920 Star
-6189 897 Star
-6189 874 Star
-6189 851 Star
-6189 828 Star
-6221 2839 Star
-6221 2816 Star
-6221 2793 Star
-6221 2770 Star
-6221 2747 Star
-6221 2724 Star
-6221 2702 Star
-6221 2679 Star
-6221 2656 Star
-6221 2633 Star
-6221 2610 Star
-6221 2587 Star
-6221 2565 Star
-6221 2542 Star
-6221 2519 Star
-6221 2496 Star
-6221 2473 Star
-6221 2450 Star
-6221 2428 Star
-6221 2405 Star
-6221 2382 Star
-6221 2359 Star
-6221 2336 Star
-6221 2313 Star
-6221 2290 Star
-6221 2268 Star
-6221 2245 Star
-6221 2222 Star
-6221 2199 Star
-6221 2176 Star
-6221 2153 Star
-6221 2131 Star
-6221 2108 Star
-6221 2085 Star
-6221 2062 Star
-6221 2039 Star
-6221 2016 Star
-6221 1993 Star
-6221 1971 Star
-6221 1948 Star
-6221 1925 Star
-6221 1902 Star
-6221 1879 Star
-6221 1856 Star
-6221 1834 Star
-6221 1811 Star
-6221 1788 Star
-6221 1765 Star
-6221 1742 Star
-6221 1719 Star
-6221 1696 Star
-6221 1674 Star
-6221 1651 Star
-6221 1628 Star
-6221 1605 Star
-6221 1582 Star
-6221 1559 Star
-6221 1537 Star
-6221 1514 Star
-6221 1491 Star
-6221 1468 Star
-6221 1445 Star
-6221 1422 Star
-6221 1399 Star
-6221 1377 Star
-6221 1354 Star
-6221 1331 Star
-6221 1308 Star
-6221 1285 Star
-6221 1262 Star
-6221 1240 Star
-6221 1217 Star
-6221 1194 Star
-6221 1171 Star
-6221 1148 Star
-6221 1125 Star
-6221 1102 Star
-6221 1080 Star
-6221 1057 Star
-6221 1034 Star
-6221 1011 Star
-6221 988 Star
-6221 965 Star
-6221 943 Star
-6221 920 Star
-6221 897 Star
-6221 874 Star
-6221 851 Star
-6221 828 Star
-6221 805 Star
-6254 2816 Star
-6254 2793 Star
-6254 2770 Star
-6254 2747 Star
-6254 2724 Star
-6254 2702 Star
-6254 2679 Star
-6254 2656 Star
-6254 2633 Star
-6254 2610 Star
-6254 2587 Star
-6254 2565 Star
-6254 2542 Star
-6254 2519 Star
-6254 2496 Star
-6254 2473 Star
-6254 2450 Star
-6254 2428 Star
-6254 2405 Star
-6254 2382 Star
-6254 2359 Star
-6254 2336 Star
-6254 2313 Star
-6254 2290 Star
-6254 2268 Star
-6254 2245 Star
-6254 2222 Star
-6254 2199 Star
-6254 2176 Star
-6254 2153 Star
-6254 2131 Star
-6254 2108 Star
-6254 2085 Star
-6254 2062 Star
-6254 2039 Star
-6254 2016 Star
-6254 1993 Star
-6254 1971 Star
-6254 1948 Star
-6254 1925 Star
-6254 1902 Star
-6254 1879 Star
-6254 1856 Star
-6254 1834 Star
-6254 1811 Star
-6254 1788 Star
-6254 1765 Star
-6254 1742 Star
-6254 1719 Star
-6254 1696 Star
-6254 1674 Star
-6254 1651 Star
-6254 1628 Star
-6254 1605 Star
-6254 1582 Star
-6254 1559 Star
-6254 1537 Star
-6254 1514 Star
-6254 1491 Star
-6254 1468 Star
-6254 1445 Star
-6254 1422 Star
-6254 1399 Star
-6254 1377 Star
-6254 1354 Star
-6254 1331 Star
-6254 1308 Star
-6254 1285 Star
-6254 1262 Star
-6254 1240 Star
-6254 1217 Star
-6254 1194 Star
-6254 1171 Star
-6254 1148 Star
-6254 1125 Star
-6254 1102 Star
-6254 1080 Star
-6254 1057 Star
-6254 1034 Star
-6254 1011 Star
-6254 988 Star
-6254 965 Star
-6254 943 Star
-6254 920 Star
-6254 897 Star
-6254 874 Star
-6254 851 Star
-6254 828 Star
-6254 805 Star
-6254 783 Star
-6286 2816 Star
-6286 2793 Star
-6286 2770 Star
-6286 2747 Star
-6286 2724 Star
-6286 2702 Star
-6286 2679 Star
-6286 2656 Star
-6286 2633 Star
-6286 2610 Star
-6286 2587 Star
-6286 2565 Star
-6286 2542 Star
-6286 2519 Star
-6286 2496 Star
-6286 2473 Star
-6286 2450 Star
-6286 2428 Star
-6286 2405 Star
-6286 2382 Star
-6286 2359 Star
-6286 2336 Star
-6286 2313 Star
-6286 2290 Star
-6286 2268 Star
-6286 2245 Star
-6286 2222 Star
-6286 2199 Star
-6286 2176 Star
-6286 2153 Star
-6286 2131 Star
-6286 2108 Star
-6286 2085 Star
-6286 2062 Star
-6286 2039 Star
-6286 2016 Star
-6286 1993 Star
-6286 1971 Star
-6286 1948 Star
-6286 1925 Star
-6286 1902 Star
-6286 1879 Star
-6286 1856 Star
-6286 1834 Star
-6286 1811 Star
-6286 1788 Star
-6286 1765 Star
-6286 1742 Star
-6286 1719 Star
-6286 1696 Star
-6286 1674 Star
-6286 1651 Star
-6286 1628 Star
-6286 1605 Star
-6286 1582 Star
-6286 1559 Star
-6286 1537 Star
-6286 1514 Star
-6286 1491 Star
-6286 1468 Star
-6286 1445 Star
-6286 1422 Star
-6286 1399 Star
-6286 1377 Star
-6286 1354 Star
-6286 1331 Star
-6286 1308 Star
-6286 1285 Star
-6286 1262 Star
-6286 1240 Star
-6286 1217 Star
-6286 1194 Star
-6286 1171 Star
-6286 1148 Star
-6286 1125 Star
-6286 1102 Star
-6286 1080 Star
-6286 1057 Star
-6286 1034 Star
-6286 1011 Star
-6286 988 Star
-6286 965 Star
-6286 943 Star
-6286 920 Star
-6286 897 Star
-6286 874 Star
-6286 851 Star
-6286 828 Star
-6286 805 Star
-6286 783 Star
-6286 760 Star
-6318 2793 Star
-6318 2770 Star
-6318 2747 Star
-6318 2724 Star
-6318 2702 Star
-6318 2679 Star
-6318 2656 Star
-6318 2633 Star
-6318 2610 Star
-6318 2587 Star
-6318 2565 Star
-6318 2542 Star
-6318 2519 Star
-6318 2496 Star
-6318 2473 Star
-6318 2450 Star
-6318 2428 Star
-6318 2405 Star
-6318 2382 Star
-6318 2359 Star
-6318 2336 Star
-6318 2313 Star
-6318 2290 Star
-6318 2268 Star
-6318 2245 Star
-6318 2222 Star
-6318 2199 Star
-6318 2176 Star
-6318 2153 Star
-6318 2131 Star
-6318 2108 Star
-6318 2085 Star
-6318 2062 Star
-6318 2039 Star
-6318 2016 Star
-6318 1993 Star
-6318 1971 Star
-6318 1948 Star
-6318 1925 Star
-6318 1902 Star
-6318 1879 Star
-6318 1856 Star
-6318 1834 Star
-6318 1811 Star
-6318 1788 Star
-6318 1765 Star
-6318 1742 Star
-6318 1719 Star
-6318 1696 Star
-6318 1674 Star
-6318 1651 Star
-6318 1628 Star
-6318 1605 Star
-6318 1582 Star
-6318 1559 Star
-6318 1537 Star
-6318 1514 Star
-6318 1491 Star
-6318 1468 Star
-6318 1445 Star
-6318 1422 Star
-6318 1399 Star
-6318 1377 Star
-6318 1354 Star
-6318 1331 Star
-6318 1308 Star
-6318 1285 Star
-6318 1262 Star
-6318 1240 Star
-6318 1217 Star
-6318 1194 Star
-6318 1171 Star
-6318 1148 Star
-6318 1125 Star
-6318 1102 Star
-6318 1080 Star
-6318 1057 Star
-6318 1034 Star
-6318 1011 Star
-6318 988 Star
-6318 965 Star
-6318 943 Star
-6318 920 Star
-6318 897 Star
-6318 874 Star
-6318 851 Star
-6318 828 Star
-6318 805 Star
-6318 783 Star
-6318 760 Star
-6318 737 Star
-6350 2793 Star
-6350 2770 Star
-6350 2747 Star
-6350 2724 Star
-6350 2702 Star
-6350 2679 Star
-6350 2656 Star
-6350 2633 Star
-6350 2610 Star
-6350 2587 Star
-6350 2565 Star
-6350 2542 Star
-6350 2519 Star
-6350 2496 Star
-6350 2473 Star
-6350 2450 Star
-6350 2428 Star
-6350 2405 Star
-6350 2382 Star
-6350 2359 Star
-6350 2336 Star
-6350 2313 Star
-6350 2290 Star
-6350 2268 Star
-6350 2245 Star
-6350 2222 Star
-6350 2199 Star
-6350 2176 Star
-6350 2153 Star
-6350 2131 Star
-6350 2108 Star
-6350 2085 Star
-6350 2062 Star
-6350 2039 Star
-6350 2016 Star
-6350 1993 Star
-6350 1971 Star
-6350 1948 Star
-6350 1925 Star
-6350 1902 Star
-6350 1879 Star
-6350 1856 Star
-6350 1834 Star
-6350 1811 Star
-6350 1788 Star
-6350 1765 Star
-6350 1742 Star
-6350 1719 Star
-6350 1696 Star
-6350 1674 Star
-6350 1651 Star
-6350 1628 Star
-6350 1605 Star
-6350 1582 Star
-6350 1559 Star
-6350 1537 Star
-6350 1514 Star
-6350 1491 Star
-6350 1468 Star
-6350 1445 Star
-6350 1422 Star
-6350 1399 Star
-6350 1377 Star
-6350 1354 Star
-6350 1331 Star
-6350 1308 Star
-6350 1285 Star
-6350 1262 Star
-6350 1240 Star
-6350 1217 Star
-6350 1194 Star
-6350 1171 Star
-6350 1148 Star
-6350 1125 Star
-6350 1102 Star
-6350 1080 Star
-6350 1057 Star
-6350 1034 Star
-6350 1011 Star
-6350 988 Star
-6350 965 Star
-6350 943 Star
-6350 920 Star
-6350 897 Star
-6350 874 Star
-6350 851 Star
-6350 828 Star
-6350 805 Star
-6350 783 Star
-6350 760 Star
-6350 737 Star
-6350 714 Star
-6382 2770 Star
-6382 2747 Star
-6382 2724 Star
-6382 2702 Star
-6382 2679 Star
-6382 2656 Star
-6382 2633 Star
-6382 2610 Star
-6382 2587 Star
-6382 2565 Star
-6382 2542 Star
-6382 2519 Star
-6382 2496 Star
-6382 2473 Star
-6382 2450 Star
-6382 2428 Star
-6382 2405 Star
-6382 2382 Star
-6382 2359 Star
-6382 2336 Star
-6382 2313 Star
-6382 2290 Star
-6382 2268 Star
-6382 2245 Star
-6382 2222 Star
-6382 2199 Star
-6382 2176 Star
-6382 2153 Star
-6382 2131 Star
-6382 2108 Star
-6382 2085 Star
-6382 2062 Star
-6382 2039 Star
-6382 2016 Star
-6382 1993 Star
-6382 1971 Star
-6382 1948 Star
-6382 1925 Star
-6382 1902 Star
-6382 1879 Star
-6382 1856 Star
-6382 1834 Star
-6382 1811 Star
-6382 1788 Star
-6382 1765 Star
-6382 1742 Star
-6382 1719 Star
-6382 1696 Star
-6382 1674 Star
-6382 1651 Star
-6382 1628 Star
-6382 1605 Star
-6382 1582 Star
-6382 1559 Star
-6382 1537 Star
-6382 1514 Star
-6382 1491 Star
-6382 1468 Star
-6382 1445 Star
-6382 1422 Star
-6382 1399 Star
-6382 1377 Star
-6382 1354 Star
-6382 1331 Star
-6382 1308 Star
-6382 1285 Star
-6382 1262 Star
-6382 1240 Star
-6382 1217 Star
-6382 1194 Star
-6382 1171 Star
-6382 1148 Star
-6382 1125 Star
-6382 1102 Star
-6382 1080 Star
-6382 1057 Star
-6382 1034 Star
-6382 1011 Star
-6382 988 Star
-6382 965 Star
-6382 943 Star
-6382 920 Star
-6382 897 Star
-6382 874 Star
-6382 851 Star
-6382 828 Star
-6382 805 Star
-6382 783 Star
-6382 760 Star
-6382 737 Star
-6382 714 Star
-6382 691 Star
-6415 2770 Star
-6415 2747 Star
-6415 2724 Star
-6415 2702 Star
-6415 2679 Star
-6415 2656 Star
-6415 2633 Star
-6415 2610 Star
-6415 2587 Star
-6415 2565 Star
-6415 2542 Star
-6415 2519 Star
-6415 2496 Star
-6415 2473 Star
-6415 2450 Star
-6415 2428 Star
-6415 2405 Star
-6415 2382 Star
-6415 2359 Star
-6415 2336 Star
-6415 2313 Star
-6415 2290 Star
-6415 2268 Star
-6415 2245 Star
-6415 2222 Star
-6415 2199 Star
-6415 2176 Star
-6415 2153 Star
-6415 2131 Star
-6415 2108 Star
-6415 2085 Star
-6415 2062 Star
-6415 2039 Star
-6415 2016 Star
-6415 1993 Star
-6415 1971 Star
-6415 1948 Star
-6415 1925 Star
-6415 1902 Star
-6415 1879 Star
-6415 1856 Star
-6415 1834 Star
-6415 1811 Star
-6415 1788 Star
-6415 1765 Star
-6415 1742 Star
-6415 1719 Star
-6415 1696 Star
-6415 1674 Star
-6415 1651 Star
-6415 1628 Star
-6415 1605 Star
-6415 1582 Star
-6415 1559 Star
-6415 1537 Star
-6415 1514 Star
-6415 1491 Star
-6415 1468 Star
-6415 1445 Star
-6415 1422 Star
-6415 1399 Star
-6415 1377 Star
-6415 1354 Star
-6415 1331 Star
-6415 1308 Star
-6415 1285 Star
-6415 1262 Star
-6415 1240 Star
-6415 1217 Star
-6415 1194 Star
-6415 1171 Star
-6415 1148 Star
-6415 1125 Star
-6415 1102 Star
-6415 1080 Star
-6415 1057 Star
-6415 1034 Star
-6415 1011 Star
-6415 988 Star
-6415 965 Star
-6415 943 Star
-6415 920 Star
-6415 897 Star
-6415 874 Star
-6415 851 Star
-6415 828 Star
-6415 805 Star
-6415 783 Star
-6415 760 Star
-6415 737 Star
-6415 714 Star
-6415 691 Star
-6415 668 Star
-6447 2747 Star
-6447 2724 Star
-6447 2702 Star
-6447 2679 Star
-6447 2656 Star
-6447 2633 Star
-6447 2610 Star
-6447 2587 Star
-6447 2565 Star
-6447 2542 Star
-6447 2519 Star
-6447 2496 Star
-6447 2473 Star
-6447 2450 Star
-6447 2428 Star
-6447 2405 Star
-6447 2382 Star
-6447 2359 Star
-6447 2336 Star
-6447 2313 Star
-6447 2290 Star
-6447 2268 Star
-6447 2245 Star
-6447 2222 Star
-6447 2199 Star
-6447 2176 Star
-6447 2153 Star
-6447 2131 Star
-6447 2108 Star
-6447 2085 Star
-6447 2062 Star
-6447 2039 Star
-6447 2016 Star
-6447 1993 Star
-6447 1971 Star
-6447 1948 Star
-6447 1925 Star
-6447 1902 Star
-6447 1879 Star
-6447 1856 Star
-6447 1834 Star
-6447 1811 Star
-6447 1788 Star
-6447 1765 Star
-6447 1742 Star
-6447 1719 Star
-6447 1696 Star
-6447 1674 Star
-6447 1651 Star
-6447 1628 Star
-6447 1605 Star
-6447 1582 Star
-6447 1559 Star
-6447 1537 Star
-6447 1514 Star
-6447 1491 Star
-6447 1468 Star
-6447 1445 Star
-6447 1422 Star
-6447 1399 Star
-6447 1377 Star
-6447 1354 Star
-6447 1331 Star
-6447 1308 Star
-6447 1285 Star
-6447 1262 Star
-6447 1240 Star
-6447 1217 Star
-6447 1194 Star
-6447 1171 Star
-6447 1148 Star
-6447 1125 Star
-6447 1102 Star
-6447 1080 Star
-6447 1057 Star
-6447 1034 Star
-6447 1011 Star
-6447 988 Star
-6447 965 Star
-6447 943 Star
-6447 920 Star
-6447 897 Star
-6447 874 Star
-6447 851 Star
-6447 828 Star
-6447 805 Star
-6447 783 Star
-6447 760 Star
-6447 737 Star
-6447 714 Star
-6447 691 Star
-6447 668 Star
-6447 646 Star
-6479 2747 Star
-6479 2724 Star
-6479 2702 Star
-6479 2679 Star
-6479 2656 Star
-6479 2633 Star
-6479 2610 Star
-6479 2587 Star
-6479 2565 Star
-6479 2542 Star
-6479 2519 Star
-6479 2496 Star
-6479 2473 Star
-6479 2450 Star
-6479 2428 Star
-6479 2405 Star
-6479 2382 Star
-6479 2359 Star
-6479 2336 Star
-6479 2313 Star
-6479 2290 Star
-6479 2268 Star
-6479 2245 Star
-6479 2222 Star
-6479 2199 Star
-6479 2176 Star
-6479 2153 Star
-6479 2131 Star
-6479 2108 Star
-6479 2085 Star
-6479 2062 Star
-6479 2039 Star
-6479 2016 Star
-6479 1993 Star
-6479 1971 Star
-6479 1948 Star
-6479 1925 Star
-6479 1902 Star
-6479 1879 Star
-6479 1856 Star
-6479 1834 Star
-6479 1811 Star
-6479 1788 Star
-6479 1765 Star
-6479 1742 Star
-6479 1719 Star
-6479 1696 Star
-6479 1674 Star
-6479 1651 Star
-6479 1628 Star
-6479 1605 Star
-6479 1582 Star
-6479 1559 Star
-6479 1537 Star
-6479 1514 Star
-6479 1491 Star
-6479 1468 Star
-6479 1445 Star
-6479 1422 Star
-6479 1399 Star
-6479 1377 Star
-6479 1354 Star
-6479 1331 Star
-6479 1308 Star
-6479 1285 Star
-6479 1262 Star
-6479 1240 Star
-6479 1217 Star
-6479 1194 Star
-6479 1171 Star
-6479 1148 Star
-6479 1125 Star
-6479 1102 Star
-6479 1080 Star
-6479 1057 Star
-6479 1034 Star
-6479 1011 Star
-6479 988 Star
-6479 965 Star
-6479 943 Star
-6479 920 Star
-6479 897 Star
-6479 874 Star
-6479 851 Star
-6479 828 Star
-6479 805 Star
-6479 783 Star
-6479 760 Star
-6479 737 Star
-6479 714 Star
-6479 691 Star
-6479 668 Star
-6479 646 Star
-6479 623 Star
-6511 2724 Star
-6511 2702 Star
-6511 2679 Star
-6511 2656 Star
-6511 2633 Star
-6511 2610 Star
-6511 2587 Star
-6511 2565 Star
-6511 2542 Star
-6511 2519 Star
-6511 2496 Star
-6511 2473 Star
-6511 2450 Star
-6511 2428 Star
-6511 2405 Star
-6511 2382 Star
-6511 2359 Star
-6511 2336 Star
-6511 2313 Star
-6511 2290 Star
-6511 2268 Star
-6511 2245 Star
-6511 2222 Star
-6511 2199 Star
-6511 2176 Star
-6511 2153 Star
-6511 2131 Star
-6511 2108 Star
-6511 2085 Star
-6511 2062 Star
-6511 2039 Star
-6511 2016 Star
-6511 1993 Star
-6511 1971 Star
-6511 1948 Star
-6511 1925 Star
-6511 1902 Star
-6511 1879 Star
-6511 1856 Star
-6511 1834 Star
-6511 1811 Star
-6511 1788 Star
-6511 1765 Star
-6511 1742 Star
-6511 1719 Star
-6511 1696 Star
-6511 1674 Star
-6511 1651 Star
-6511 1628 Star
-6511 1605 Star
-6511 1582 Star
-6511 1559 Star
-6511 1537 Star
-6511 1514 Star
-6511 1491 Star
-6511 1468 Star
-6511 1445 Star
-6511 1422 Star
-6511 1399 Star
-6511 1377 Star
-6511 1354 Star
-6511 1331 Star
-6511 1308 Star
-6511 1285 Star
-6511 1262 Star
-6511 1240 Star
-6511 1217 Star
-6511 1194 Star
-6511 1171 Star
-6511 1148 Star
-6511 1125 Star
-6511 1102 Star
-6511 1080 Star
-6511 1057 Star
-6511 1034 Star
-6511 1011 Star
-6511 988 Star
-6511 965 Star
-6511 943 Star
-6511 920 Star
-6511 897 Star
-6511 874 Star
-6511 851 Star
-6511 828 Star
-6511 805 Star
-6511 783 Star
-6511 760 Star
-6511 737 Star
-6511 714 Star
-6511 691 Star
-6511 668 Star
-6511 646 Star
-6511 623 Star
-6511 600 Star
-6543 2724 Star
-6543 2702 Star
-6543 2679 Star
-6543 2656 Star
-6543 2633 Star
-6543 2610 Star
-6543 2587 Star
-6543 2565 Star
-6543 2542 Star
-6543 2519 Star
-6543 2496 Star
-6543 2473 Star
-6543 2450 Star
-6543 2428 Star
-6543 2405 Star
-6543 2382 Star
-6543 2359 Star
-6543 2336 Star
-6543 2313 Star
-6543 2290 Star
-6543 2268 Star
-6543 2245 Star
-6543 2222 Star
-6543 2199 Star
-6543 2176 Star
-6543 2153 Star
-6543 2131 Star
-6543 2108 Star
-6543 2085 Star
-6543 2062 Star
-6543 2039 Star
-6543 2016 Star
-6543 1993 Star
-6543 1971 Star
-6543 1948 Star
-6543 1925 Star
-6543 1902 Star
-6543 1879 Star
-6543 1856 Star
-6543 1834 Star
-6543 1811 Star
-6543 1788 Star
-6543 1765 Star
-6543 1742 Star
-6543 1719 Star
-6543 1696 Star
-6543 1674 Star
-6543 1651 Star
-6543 1628 Star
-6543 1605 Star
-6543 1582 Star
-6543 1559 Star
-6543 1537 Star
-6543 1514 Star
-6543 1491 Star
-6543 1468 Star
-6543 1445 Star
-6543 1422 Star
-6543 1399 Star
-6543 1377 Star
-6543 1354 Star
-6543 1331 Star
-6543 1308 Star
-6543 1285 Star
-6543 1262 Star
-6543 1240 Star
-6543 1217 Star
-6543 1194 Star
-6543 1171 Star
-6543 1148 Star
-6543 1125 Star
-6543 1102 Star
-6543 1080 Star
-6543 1057 Star
-6543 1034 Star
-6543 1011 Star
-6543 988 Star
-6543 965 Star
-6543 943 Star
-6543 920 Star
-6543 897 Star
-6543 874 Star
-6543 851 Star
-6543 828 Star
-6543 805 Star
-6543 783 Star
-6543 760 Star
-6543 737 Star
-6543 714 Star
-6543 691 Star
-6543 668 Star
-6543 646 Star
-6543 623 Star
-6543 600 Star
-6543 577 Star
-6576 2702 Star
-6576 2679 Star
-6576 2656 Star
-6576 2633 Star
-6576 2610 Star
-6576 2587 Star
-6576 2565 Star
-6576 2542 Star
-6576 2519 Star
-6576 2496 Star
-6576 2473 Star
-6576 2450 Star
-6576 2428 Star
-6576 2405 Star
-6576 2382 Star
-6576 2359 Star
-6576 2336 Star
-6576 2313 Star
-6576 2290 Star
-6576 2268 Star
-6576 2245 Star
-6576 2222 Star
-6576 2199 Star
-6576 2176 Star
-6576 2153 Star
-6576 2131 Star
-6576 2108 Star
-6576 2085 Star
-6576 2062 Star
-6576 2039 Star
-6576 2016 Star
-6576 1993 Star
-6576 1971 Star
-6576 1948 Star
-6576 1925 Star
-6576 1902 Star
-6576 1879 Star
-6576 1856 Star
-6576 1834 Star
-6576 1811 Star
-6576 1788 Star
-6576 1765 Star
-6576 1742 Star
-6576 1719 Star
-6576 1696 Star
-6576 1674 Star
-6576 1651 Star
-6576 1628 Star
-6576 1605 Star
-6576 1582 Star
-6576 1559 Star
-6576 1537 Star
-6576 1514 Star
-6576 1491 Star
-6576 1468 Star
-6576 1445 Star
-6576 1422 Star
-6576 1399 Star
-6576 1377 Star
-6576 1354 Star
-6576 1331 Star
-6576 1308 Star
-6576 1285 Star
-6576 1262 Star
-6576 1240 Star
-6576 1217 Star
-6576 1194 Star
-6576 1171 Star
-6576 1148 Star
-6576 1125 Star
-6576 1102 Star
-6576 1080 Star
-6576 1057 Star
-6576 1034 Star
-6576 1011 Star
-6576 988 Star
-6576 965 Star
-6576 943 Star
-6576 920 Star
-6576 897 Star
-6576 874 Star
-6576 851 Star
-6576 828 Star
-6576 805 Star
-6576 783 Star
-6576 760 Star
-6576 737 Star
-6576 714 Star
-6576 691 Star
-6576 668 Star
-6576 646 Star
-6576 623 Star
-6576 600 Star
-6576 577 Star
-6576 554 Star
-6608 2702 Star
-6608 2679 Star
-6608 2656 Star
-6608 2633 Star
-6608 2610 Star
-6608 2587 Star
-6608 2565 Star
-6608 2542 Star
-6608 2519 Star
-6608 2496 Star
-6608 2473 Star
-6608 2450 Star
-6608 2428 Star
-6608 2405 Star
-6608 2382 Star
-6608 2359 Star
-6608 2336 Star
-6608 2313 Star
-6608 2290 Star
-6608 2268 Star
-6608 2245 Star
-6608 2222 Star
-6608 2199 Star
-6608 2176 Star
-6608 2153 Star
-6608 2131 Star
-6608 2108 Star
-6608 2085 Star
-6608 2062 Star
-6608 2039 Star
-6608 2016 Star
-6608 1993 Star
-6608 1971 Star
-6608 1948 Star
-6608 1925 Star
-6608 1902 Star
-6608 1879 Star
-6608 1856 Star
-6608 1834 Star
-6608 1811 Star
-6608 1788 Star
-6608 1765 Star
-6608 1742 Star
-6608 1719 Star
-6608 1696 Star
-6608 1674 Star
-6608 1651 Star
-6608 1628 Star
-6608 1605 Star
-6608 1582 Star
-6608 1559 Star
-6608 1537 Star
-6608 1514 Star
-6608 1491 Star
-6608 1468 Star
-6608 1445 Star
-6608 1422 Star
-6608 1399 Star
-6608 1377 Star
-6608 1354 Star
-6608 1331 Star
-6608 1308 Star
-6608 1285 Star
-6608 1262 Star
-6608 1240 Star
-6608 1217 Star
-6608 1194 Star
-6608 1171 Star
-6608 1148 Star
-6608 1125 Star
-6608 1102 Star
-6608 1080 Star
-6608 1057 Star
-6608 1034 Star
-6608 1011 Star
-6608 988 Star
-6608 965 Star
-6608 943 Star
-6608 920 Star
-6608 897 Star
-6608 874 Star
-6608 851 Star
-6608 828 Star
-6608 805 Star
-6608 783 Star
-6608 760 Star
-6608 737 Star
-6608 714 Star
-6608 691 Star
-6608 668 Star
-6608 646 Star
-6608 623 Star
-6608 600 Star
-6608 577 Star
-6608 554 Star
-6608 531 Star
-6640 2679 Star
-6640 2656 Star
-6640 2633 Star
-6640 2610 Star
-6640 2587 Star
-6640 2565 Star
-6640 2542 Star
-6640 2519 Star
-6640 2496 Star
-6640 2473 Star
-6640 2450 Star
-6640 2428 Star
-6640 2405 Star
-6640 2382 Star
-6640 2359 Star
-6640 2336 Star
-6640 2313 Star
-6640 2290 Star
-6640 2268 Star
-6640 2245 Star
-6640 2222 Star
-6640 2199 Star
-6640 2176 Star
-6640 2153 Star
-6640 2131 Star
-6640 2108 Star
-6640 2085 Star
-6640 2062 Star
-6640 2039 Star
-6640 2016 Star
-6640 1993 Star
-6640 1971 Star
-6640 1948 Star
-6640 1925 Star
-6640 1902 Star
-6640 1879 Star
-6640 1856 Star
-6640 1834 Star
-6640 1811 Star
-6640 1788 Star
-6640 1765 Star
-6640 1742 Star
-6640 1719 Star
-6640 1696 Star
-6640 1674 Star
-6640 1651 Star
-6640 1628 Star
-6640 1605 Star
-6640 1582 Star
-6640 1559 Star
-6640 1537 Star
-6640 1514 Star
-6640 1491 Star
-6640 1468 Star
-6640 1445 Star
-6640 1422 Star
-6640 1399 Star
-6640 1377 Star
-6640 1354 Star
-6640 1331 Star
-6640 1308 Star
-6640 1285 Star
-6640 1262 Star
-6640 1240 Star
-6640 1217 Star
-6640 1194 Star
-6640 1171 Star
-6640 1148 Star
-6640 1125 Star
-6640 1102 Star
-6640 1080 Star
-6640 1057 Star
-6640 1034 Star
-6640 1011 Star
-6640 988 Star
-6640 965 Star
-6640 943 Star
-6640 920 Star
-6640 897 Star
-6640 874 Star
-6640 851 Star
-6640 828 Star
-6640 805 Star
-6640 783 Star
-6640 760 Star
-6640 737 Star
-6640 714 Star
-6640 691 Star
-6640 668 Star
-6640 646 Star
-6640 623 Star
-6640 600 Star
-6640 577 Star
-6640 554 Star
-6640 531 Star
-6640 508 Star
-6672 2679 Star
-6672 2656 Star
-6672 2633 Star
-6672 2610 Star
-6672 2587 Star
-6672 2565 Star
-6672 2542 Star
-6672 2519 Star
-6672 2496 Star
-6672 2473 Star
-6672 2450 Star
-6672 2428 Star
-6672 2405 Star
-6672 2382 Star
-6672 2359 Star
-6672 2336 Star
-6672 2313 Star
-6672 2290 Star
-6672 2268 Star
-6672 2245 Star
-6672 2222 Star
-6672 2199 Star
-6672 2176 Star
-6672 2153 Star
-6672 2131 Star
-6672 2108 Star
-6672 2085 Star
-6672 2062 Star
-6672 2039 Star
-6672 2016 Star
-6672 1993 Star
-6672 1971 Star
-6672 1948 Star
-6672 1925 Star
-6672 1902 Star
-6672 1879 Star
-6672 1856 Star
-6672 1834 Star
-6672 1811 Star
-6672 1788 Star
-6672 1765 Star
-6672 1742 Star
-6672 1719 Star
-6672 1696 Star
-6672 1674 Star
-6672 1651 Star
-6672 1628 Star
-6672 1605 Star
-6672 1582 Star
-6672 1559 Star
-6672 1537 Star
-6672 1514 Star
-6672 1491 Star
-6672 1468 Star
-6672 1445 Star
-6672 1422 Star
-6672 1399 Star
-6672 1377 Star
-6672 1354 Star
-6672 1331 Star
-6672 1308 Star
-6672 1285 Star
-6672 1262 Star
-6672 1240 Star
-6672 1217 Star
-6672 1194 Star
-6672 1171 Star
-6672 1148 Star
-6672 1125 Star
-6672 1102 Star
-6672 1080 Star
-6672 1057 Star
-6672 1034 Star
-6672 1011 Star
-6672 988 Star
-6672 965 Star
-6672 943 Star
-6672 920 Star
-6672 897 Star
-6672 874 Star
-6672 851 Star
-6672 828 Star
-6672 805 Star
-6672 783 Star
-6672 760 Star
-6672 737 Star
-6672 714 Star
-6672 691 Star
-6672 668 Star
-6672 646 Star
-6672 623 Star
-6672 600 Star
-6672 577 Star
-6672 554 Star
-6672 531 Star
-6672 508 Star
-6672 486 Star
-6704 2656 Star
-6704 2633 Star
-6704 2610 Star
-6704 2587 Star
-6704 2565 Star
-6704 2542 Star
-6704 2519 Star
-6704 2496 Star
-6704 2473 Star
-6704 2450 Star
-6704 2428 Star
-6704 2405 Star
-6704 2382 Star
-6704 2359 Star
-6704 2336 Star
-6704 2313 Star
-6704 2290 Star
-6704 2268 Star
-6704 2245 Star
-6704 2222 Star
-6704 2199 Star
-6704 2176 Star
-6704 2153 Star
-6704 2131 Star
-6704 2108 Star
-6704 2085 Star
-6704 2062 Star
-6704 2039 Star
-6704 2016 Star
-6704 1993 Star
-6704 1971 Star
-6704 1948 Star
-6704 1925 Star
-6704 1902 Star
-6704 1879 Star
-6704 1856 Star
-6704 1834 Star
-6704 1811 Star
-6704 1788 Star
-6704 1765 Star
-6704 1742 Star
-6704 1719 Star
-6704 1696 Star
-6704 1674 Star
-6704 1651 Star
-6704 1628 Star
-6704 1605 Star
-6704 1582 Star
-6704 1559 Star
-6704 1537 Star
-6704 1514 Star
-6704 1491 Star
-6704 1468 Star
-6704 1445 Star
-6704 1422 Star
-6704 1399 Star
-6704 1377 Star
-6704 1354 Star
-6704 1331 Star
-6704 1308 Star
-6704 1285 Star
-6704 1262 Star
-6704 1240 Star
-6704 1217 Star
-6704 1194 Star
-6704 1171 Star
-6704 1148 Star
-6704 1125 Star
-6704 1102 Star
-6704 1080 Star
-6704 1057 Star
-6704 1034 Star
-6704 1011 Star
-6704 988 Star
-6704 965 Star
-6704 943 Star
-6704 920 Star
-6704 897 Star
-6704 874 Star
-6704 851 Star
-6704 828 Star
-6704 805 Star
-6704 783 Star
-6704 760 Star
-6704 737 Star
-6704 714 Star
-6704 691 Star
-6704 668 Star
-6704 646 Star
-6704 623 Star
-6704 600 Star
-6704 577 Star
-6704 554 Star
-6704 531 Star
-6704 508 Star
-6704 486 Star
-6704 463 Star
-6737 2656 Star
-6737 2633 Star
-6737 2610 Star
-6737 2587 Star
-6737 2565 Star
-6737 2542 Star
-6737 2519 Star
-6737 2496 Star
-6737 2473 Star
-6737 2450 Star
-6737 2428 Star
-6737 2405 Star
-6737 2382 Star
-6737 2359 Star
-6737 2336 Star
-6737 2313 Star
-6737 2290 Star
-6737 2268 Star
-6737 2245 Star
-6737 2222 Star
-6737 2199 Star
-6737 2176 Star
-6737 2153 Star
-6737 2131 Star
-6737 2108 Star
-6737 2085 Star
-6737 2062 Star
-6737 2039 Star
-6737 2016 Star
-6737 1993 Star
-6737 1971 Star
-6737 1948 Star
-6737 1925 Star
-6737 1902 Star
-6737 1879 Star
-6737 1856 Star
-6737 1834 Star
-6737 1811 Star
-6737 1788 Star
-6737 1765 Star
-6737 1742 Star
-6737 1719 Star
-6737 1696 Star
-6737 1674 Star
-6737 1651 Star
-6737 1628 Star
-6737 1605 Star
-6737 1582 Star
-6737 1559 Star
-6737 1537 Star
-6737 1514 Star
-6737 1491 Star
-6737 1468 Star
-6737 1445 Star
-6737 1422 Star
-6737 1399 Star
-6737 1377 Star
-6737 1354 Star
-6737 1331 Star
-6737 1308 Star
-6737 1285 Star
-6737 1262 Star
-6737 1240 Star
-6737 1217 Star
-6737 1194 Star
-6737 1171 Star
-6737 1148 Star
-6737 1125 Star
-6737 1102 Star
-6737 1080 Star
-6737 1057 Star
-6737 1034 Star
-6737 1011 Star
-6737 988 Star
-6737 965 Star
-6737 943 Star
-6737 920 Star
-6737 897 Star
-6737 874 Star
-6737 851 Star
-6737 828 Star
-6737 805 Star
-6737 783 Star
-6737 760 Star
-6737 737 Star
-6737 714 Star
-6737 691 Star
-6737 668 Star
-6737 646 Star
-6737 623 Star
-6737 600 Star
-6737 577 Star
-6737 554 Star
-6737 531 Star
-6737 508 Star
-6737 486 Star
-6737 463 Star
-6737 440 Star
-6769 2633 Star
-6769 2610 Star
-6769 2587 Star
-6769 2565 Star
-6769 2542 Star
-6769 2519 Star
-6769 2496 Star
-6769 2473 Star
-6769 2450 Star
-6769 2428 Star
-6769 2405 Star
-6769 2382 Star
-6769 2359 Star
-6769 2336 Star
-6769 2313 Star
-6769 2290 Star
-6769 2268 Star
-6769 2245 Star
-6769 2222 Star
-6769 2199 Star
-6769 2176 Star
-6769 2153 Star
-6769 2131 Star
-6769 2108 Star
-6769 2085 Star
-6769 2062 Star
-6769 2039 Star
-6769 2016 Star
-6769 1993 Star
-6769 1971 Star
-6769 1948 Star
-6769 1925 Star
-6769 1902 Star
-6769 1879 Star
-6769 1856 Star
-6769 1834 Star
-6769 1811 Star
-6769 1788 Star
-6769 1765 Star
-6769 1742 Star
-6769 1719 Star
-6769 1696 Star
-6769 1674 Star
-6769 1651 Star
-6769 1628 Star
-6769 1605 Star
-6769 1582 Star
-6769 1559 Star
-6769 1537 Star
-6769 1514 Star
-6769 1491 Star
-6769 1468 Star
-6769 1445 Star
-6769 1422 Star
-6769 1399 Star
-6769 1377 Star
-6769 1354 Star
-6769 1331 Star
-6769 1308 Star
-6769 1285 Star
-6769 1262 Star
-6769 1240 Star
-6769 1217 Star
-6769 1194 Star
-6769 1171 Star
-6769 1148 Star
-6769 1125 Star
-6769 1102 Star
-6769 1080 Star
-6769 1057 Star
-6769 1034 Star
-6769 1011 Star
-6769 988 Star
-6769 965 Star
-6769 943 Star
-6769 920 Star
-6769 897 Star
-6769 874 Star
-6769 851 Star
-6769 828 Star
-6769 805 Star
-6769 783 Star
-6769 760 Star
-6769 737 Star
-6769 714 Star
-6769 691 Star
-6769 668 Star
-6769 646 Star
-6769 623 Star
-6769 600 Star
-6769 577 Star
-6769 554 Star
-6769 531 Star
-6769 508 Star
-6769 486 Star
-6769 463 Star
-6769 440 Star
-6769 417 Star
-6801 2633 Star
-6801 2610 Star
-6801 2587 Star
-6801 2565 Star
-6801 2542 Star
-6801 2519 Star
-6801 2496 Star
-6801 2473 Star
-6801 2450 Star
-6801 2428 Star
-6801 2405 Star
-6801 2382 Star
-6801 2359 Star
-6801 2336 Star
-6801 2313 Star
-6801 2290 Star
-6801 2268 Star
-6801 2245 Star
-6801 2222 Star
-6801 2199 Star
-6801 2176 Star
-6801 2153 Star
-6801 2131 Star
-6801 2108 Star
-6801 2085 Star
-6801 2062 Star
-6801 2039 Star
-6801 2016 Star
-6801 1993 Star
-6801 1971 Star
-6801 1948 Star
-6801 1925 Star
-6801 1902 Star
-6801 1879 Star
-6801 1856 Star
-6801 1834 Star
-6801 1811 Star
-6801 1788 Star
-6801 1765 Star
-6801 1742 Star
-6801 1719 Star
-6801 1696 Star
-6801 1674 Star
-6801 1651 Star
-6801 1628 Star
-6801 1605 Star
-6801 1582 Star
-6801 1559 Star
-6801 1537 Star
-6801 1514 Star
-6801 1491 Star
-6801 1468 Star
-6801 1445 Star
-6801 1422 Star
-6801 1399 Star
-6801 1377 Star
-6801 1354 Star
-6801 1331 Star
-6801 1308 Star
-6801 1285 Star
-6801 1262 Star
-6801 1240 Star
-6801 1217 Star
-6801 1194 Star
-6801 1171 Star
-6801 1148 Star
-6801 1125 Star
-6801 1102 Star
-6801 1080 Star
-6801 1057 Star
-6801 1034 Star
-6801 1011 Star
-6801 988 Star
-6801 965 Star
-6801 943 Star
-6801 920 Star
-6801 897 Star
-6801 874 Star
-6801 851 Star
-6801 828 Star
-6801 805 Star
-6801 783 Star
-6801 760 Star
-6801 737 Star
-6801 714 Star
-6801 691 Star
-6801 668 Star
-6801 646 Star
-6801 623 Star
-6801 600 Star
-6801 577 Star
-6801 554 Star
-6801 531 Star
-6801 508 Star
-6801 486 Star
-6801 463 Star
-6801 440 Star
-6801 417 Star
-6801 394 Star
-6833 2610 Star
-6833 2587 Star
-6833 2565 Star
-6833 2542 Star
-6833 2519 Star
-6833 2496 Star
-6833 2473 Star
-6833 2450 Star
-6833 2428 Star
-6833 2405 Star
-6833 2382 Star
-6833 2359 Star
-6833 2336 Star
-6833 2313 Star
-6833 2290 Star
-6833 2268 Star
-6833 2245 Star
-6833 2222 Star
-6833 2199 Star
-6833 2176 Star
-6833 2153 Star
-6833 2131 Star
-6833 2108 Star
-6833 2085 Star
-6833 2062 Star
-6833 2039 Star
-6833 2016 Star
-6833 1993 Star
-6833 1971 Star
-6833 1948 Star
-6833 1925 Star
-6833 1902 Star
-6833 1879 Star
-6833 1856 Star
-6833 1834 Star
-6833 1811 Star
-6833 1788 Star
-6833 1765 Star
-6833 1742 Star
-6833 1719 Star
-6833 1696 Star
-6833 1674 Star
-6833 1651 Star
-6833 1628 Star
-6833 1605 Star
-6833 1582 Star
-6833 1559 Star
-6833 1537 Star
-6833 1514 Star
-6833 1491 Star
-6833 1468 Star
-6833 1445 Star
-6833 1422 Star
-6833 1399 Star
-6833 1377 Star
-6833 1354 Star
-6833 1331 Star
-6833 1308 Star
-6833 1285 Star
-6833 1262 Star
-6833 1240 Star
-6833 1217 Star
-6833 1194 Star
-6833 1171 Star
-6833 1148 Star
-6833 1125 Star
-6833 1102 Star
-6833 1080 Star
-6833 1057 Star
-6833 1034 Star
-6833 1011 Star
-6833 988 Star
-6833 965 Star
-6833 943 Star
-6833 920 Star
-6833 897 Star
-6833 874 Star
-6833 851 Star
-6833 828 Star
-6833 805 Star
-6833 783 Star
-6833 760 Star
-6833 737 Star
-6833 714 Star
-6833 691 Star
-6833 668 Star
-6833 646 Star
-6833 623 Star
-6833 600 Star
-6833 577 Star
-6833 554 Star
-6833 531 Star
-6833 508 Star
-6833 486 Star
-6833 463 Star
-6833 440 Star
-6833 417 Star
-6833 394 Star
-6833 371 Star
-6865 2610 Star
-6865 2587 Star
-6865 2565 Star
-6865 2542 Star
-6865 2519 Star
-6865 2496 Star
-6865 2473 Star
-6865 2450 Star
-6865 2428 Star
-6865 2405 Star
-6865 2382 Star
-6865 2359 Star
-6865 2336 Star
-6865 2313 Star
-6865 2290 Star
-6865 2268 Star
-6865 2245 Star
-6865 2222 Star
-6865 2199 Star
-6865 2176 Star
-6865 2153 Star
-6865 2131 Star
-6865 2108 Star
-6865 2085 Star
-6865 2062 Star
-6865 2039 Star
-6865 2016 Star
-6865 1993 Star
-6865 1971 Star
-6865 1948 Star
-6865 1925 Star
-6865 1902 Star
-6865 1879 Star
-6865 1856 Star
-6865 1834 Star
-6865 1811 Star
-6865 1788 Star
-6865 1765 Star
-6865 1742 Star
-6865 1719 Star
-6865 1696 Star
-6865 1674 Star
-6865 1651 Star
-6865 1628 Star
-6865 1605 Star
-6865 1582 Star
-6865 1559 Star
-6865 1537 Star
-6865 1514 Star
-6865 1491 Star
-6865 1468 Star
-6865 1445 Star
-6865 1422 Star
-6865 1399 Star
-6865 1377 Star
-6865 1354 Star
-6865 1331 Star
-6865 1308 Star
-6865 1285 Star
-6865 1262 Star
-6865 1240 Star
-6865 1217 Star
-6865 1194 Star
-6865 1171 Star
-6865 1148 Star
-6865 1125 Star
-6865 1102 Star
-6865 1080 Star
-6865 1057 Star
-6865 1034 Star
-6865 1011 Star
-6865 988 Star
-6865 965 Star
-6865 943 Star
-6865 920 Star
-6865 897 Star
-6865 874 Star
-6865 851 Star
-6865 828 Star
-6865 805 Star
-6865 783 Star
-6865 760 Star
-6865 737 Star
-6865 714 Star
-6865 691 Star
-6865 668 Star
-6865 646 Star
-6865 623 Star
-6865 600 Star
-6865 577 Star
-6865 554 Star
-6865 531 Star
-6865 508 Star
-6865 486 Star
-6865 463 Star
-6865 440 Star
-6865 417 Star
-6865 394 Star
-6865 371 Star
-6865 349 Star
-6898 2587 Star
-6898 2565 Star
-6898 2542 Star
-6898 2519 Star
-6898 2496 Star
-6898 2473 Star
-6898 2450 Star
-6898 2428 Star
-6898 2405 Star
-6898 2382 Star
-6898 2359 Star
-6898 2336 Star
-6898 2313 Star
-6898 2290 Star
-6898 2268 Star
-6898 2245 Star
-6898 2222 Star
-6898 2199 Star
-6898 2176 Star
-6898 2153 Star
-6898 2131 Star
-6898 2108 Star
-6898 2085 Star
-6898 2062 Star
-6898 2039 Star
-6898 2016 Star
-6898 1993 Star
-6898 1971 Star
-6898 1948 Star
-6898 1925 Star
-6898 1902 Star
-6898 1879 Star
-6898 1856 Star
-6898 1834 Star
-6898 1811 Star
-6898 1788 Star
-6898 1765 Star
-6898 1742 Star
-6898 1719 Star
-6898 1696 Star
-6898 1674 Star
-6898 1651 Star
-6898 1628 Star
-6898 1605 Star
-6898 1582 Star
-6898 1559 Star
-6898 1537 Star
-6898 1514 Star
-6898 1491 Star
-6898 1468 Star
-6898 1445 Star
-6898 1422 Star
-6898 1399 Star
-6898 1377 Star
-6898 1354 Star
-6898 1331 Star
-6898 1308 Star
-6898 1285 Star
-6898 1262 Star
-6898 1240 Star
-6898 1217 Star
-6898 1194 Star
-6898 1171 Star
-6898 1148 Star
-6898 1125 Star
-6898 1102 Star
-6898 1080 Star
-6898 1057 Star
-6898 1034 Star
-6898 1011 Star
-6898 988 Star
-6898 965 Star
-6898 943 Star
-6898 920 Star
-6898 897 Star
-6898 874 Star
-6898 851 Star
-6898 828 Star
-6898 805 Star
-6898 783 Star
-6898 760 Star
-6898 737 Star
-6898 714 Star
-6898 691 Star
-6898 668 Star
-6898 646 Star
-6898 623 Star
-6898 600 Star
-6898 577 Star
-6898 554 Star
-6898 531 Star
-6898 508 Star
-6898 486 Star
-6898 463 Star
-6898 440 Star
-6898 417 Star
-6898 394 Star
-6898 371 Star
-6898 349 Star
-6898 326 Star
-6930 2587 Star
-6930 2565 Star
-6930 2542 Star
-6930 2519 Star
-6930 2496 Star
-6930 2473 Star
-6930 2450 Star
-6930 2428 Star
-6930 2405 Star
-6930 2382 Star
-6930 2359 Star
-6930 2336 Star
-6930 2313 Star
-6930 2290 Star
-6930 2268 Star
-6930 2245 Star
-6930 2222 Star
-6930 2199 Star
-6930 2176 Star
-6930 2153 Star
-6930 2131 Star
-6930 2108 Star
-6930 2085 Star
-6930 2062 Star
-6930 2039 Star
-6930 2016 Star
-6930 1993 Star
-6930 1971 Star
-6930 1948 Star
-6930 1925 Star
-6930 1902 Star
-6930 1879 Star
-6930 1856 Star
-6930 1834 Star
-6930 1811 Star
-6930 1788 Star
-6930 1765 Star
-6930 1742 Star
-6930 1719 Star
-6930 1696 Star
-6930 1674 Star
-6930 1651 Star
-6930 1628 Star
-6930 1605 Star
-6930 1582 Star
-6930 1559 Star
-6930 1537 Star
-6930 1514 Star
-6930 1491 Star
-6930 1468 Star
-6930 1445 Star
-6930 1422 Star
-6930 1399 Star
-6930 1377 Star
-6930 1354 Star
-6930 1331 Star
-6930 1308 Star
-6930 1285 Star
-6930 1262 Star
-6930 1240 Star
-6930 1217 Star
-6930 1194 Star
-6930 1171 Star
-6930 1148 Star
-6930 1125 Star
-6930 1102 Star
-6930 1080 Star
-6930 1057 Star
-6930 1034 Star
-6930 1011 Star
-6930 988 Star
-6930 965 Star
-6930 943 Star
-6930 920 Star
-6930 897 Star
-6930 874 Star
-6930 851 Star
-6930 828 Star
-6930 805 Star
-6930 783 Star
-6930 760 Star
-6930 737 Star
-6930 714 Star
-6930 691 Star
-6930 668 Star
-6930 646 Star
-6930 623 Star
-6930 600 Star
-6930 577 Star
-6930 554 Star
-6930 531 Star
-6930 508 Star
-6930 486 Star
-6930 463 Star
-6930 440 Star
-6930 417 Star
-6930 394 Star
-6930 371 Star
-6930 349 Star
-6930 326 Star
-6930 303 Star
+5931 2952 Star
+5931 2930 Star
+5931 2907 Star
+5931 2884 Star
+5931 2861 Star
+5931 2838 Star
+5931 2815 Star
+5931 2792 Star
+5931 2770 Star
+5931 2747 Star
+5931 2724 Star
+5931 2701 Star
+5931 2678 Star
+5931 2655 Star
+5931 2633 Star
+5931 2610 Star
+5931 2587 Star
+5931 2564 Star
+5931 2541 Star
+5931 2518 Star
+5931 2496 Star
+5931 2473 Star
+5931 2450 Star
+5931 2427 Star
+5931 2404 Star
+5931 2381 Star
+5931 2359 Star
+5931 2336 Star
+5931 2313 Star
+5931 2290 Star
+5931 2267 Star
+5931 2244 Star
+5931 2221 Star
+5931 2199 Star
+5931 2176 Star
+5931 2153 Star
+5931 2130 Star
+5931 2107 Star
+5931 2084 Star
+5931 2062 Star
+5931 2039 Star
+5931 2016 Star
+5931 1993 Star
+5931 1970 Star
+5931 1947 Star
+5931 1925 Star
+5931 1902 Star
+5931 1879 Star
+5931 1856 Star
+5931 1833 Star
+5931 1810 Star
+5931 1787 Star
+5931 1765 Star
+5931 1742 Star
+5931 1719 Star
+5931 1696 Star
+5931 1673 Star
+5931 1650 Star
+5931 1628 Star
+5931 1605 Star
+5931 1582 Star
+5931 1559 Star
+5931 1536 Star
+5931 1513 Star
+5931 1491 Star
+5931 1468 Star
+5931 1445 Star
+5931 1422 Star
+5931 1399 Star
+5931 1376 Star
+5931 1354 Star
+5931 1331 Star
+5931 1308 Star
+5931 1285 Star
+5931 1262 Star
+5931 1239 Star
+5931 1216 Star
+5931 1194 Star
+5931 1171 Star
+5931 1148 Star
+5931 1125 Star
+5931 1102 Star
+5931 1079 Star
+5931 1057 Star
+5931 1034 Star
+5963 2930 Star
+5963 2907 Star
+5963 2884 Star
+5963 2861 Star
+5963 2838 Star
+5963 2815 Star
+5963 2792 Star
+5963 2770 Star
+5963 2747 Star
+5963 2724 Star
+5963 2701 Star
+5963 2678 Star
+5963 2655 Star
+5963 2633 Star
+5963 2610 Star
+5963 2587 Star
+5963 2564 Star
+5963 2541 Star
+5963 2518 Star
+5963 2496 Star
+5963 2473 Star
+5963 2450 Star
+5963 2427 Star
+5963 2404 Star
+5963 2381 Star
+5963 2359 Star
+5963 2336 Star
+5963 2313 Star
+5963 2290 Star
+5963 2267 Star
+5963 2244 Star
+5963 2221 Star
+5963 2199 Star
+5963 2176 Star
+5963 2153 Star
+5963 2130 Star
+5963 2107 Star
+5963 2084 Star
+5963 2062 Star
+5963 2039 Star
+5963 2016 Star
+5963 1993 Star
+5963 1970 Star
+5963 1947 Star
+5963 1925 Star
+5963 1902 Star
+5963 1879 Star
+5963 1856 Star
+5963 1833 Star
+5963 1810 Star
+5963 1787 Star
+5963 1765 Star
+5963 1742 Star
+5963 1719 Star
+5963 1696 Star
+5963 1673 Star
+5963 1650 Star
+5963 1628 Star
+5963 1605 Star
+5963 1582 Star
+5963 1559 Star
+5963 1536 Star
+5963 1513 Star
+5963 1491 Star
+5963 1468 Star
+5963 1445 Star
+5963 1422 Star
+5963 1399 Star
+5963 1376 Star
+5963 1354 Star
+5963 1331 Star
+5963 1308 Star
+5963 1285 Star
+5963 1262 Star
+5963 1239 Star
+5963 1216 Star
+5963 1194 Star
+5963 1171 Star
+5963 1148 Star
+5963 1125 Star
+5963 1102 Star
+5963 1079 Star
+5963 1057 Star
+5963 1034 Star
+5963 1011 Star
+5995 2930 Star
+5995 2907 Star
+5995 2884 Star
+5995 2861 Star
+5995 2838 Star
+5995 2815 Star
+5995 2792 Star
+5995 2770 Star
+5995 2747 Star
+5995 2724 Star
+5995 2701 Star
+5995 2678 Star
+5995 2655 Star
+5995 2633 Star
+5995 2610 Star
+5995 2587 Star
+5995 2564 Star
+5995 2541 Star
+5995 2518 Star
+5995 2496 Star
+5995 2473 Star
+5995 2450 Star
+5995 2427 Star
+5995 2404 Star
+5995 2381 Star
+5995 2359 Star
+5995 2336 Star
+5995 2313 Star
+5995 2290 Star
+5995 2267 Star
+5995 2244 Star
+5995 2221 Star
+5995 2199 Star
+5995 2176 Star
+5995 2153 Star
+5995 2130 Star
+5995 2107 Star
+5995 2084 Star
+5995 2062 Star
+5995 2039 Star
+5995 2016 Star
+5995 1993 Star
+5995 1970 Star
+5995 1947 Star
+5995 1925 Star
+5995 1902 Star
+5995 1879 Star
+5995 1856 Star
+5995 1833 Star
+5995 1810 Star
+5995 1787 Star
+5995 1765 Star
+5995 1742 Star
+5995 1719 Star
+5995 1696 Star
+5995 1673 Star
+5995 1650 Star
+5995 1628 Star
+5995 1605 Star
+5995 1582 Star
+5995 1559 Star
+5995 1536 Star
+5995 1513 Star
+5995 1491 Star
+5995 1468 Star
+5995 1445 Star
+5995 1422 Star
+5995 1399 Star
+5995 1376 Star
+5995 1354 Star
+5995 1331 Star
+5995 1308 Star
+5995 1285 Star
+5995 1262 Star
+5995 1239 Star
+5995 1216 Star
+5995 1194 Star
+5995 1171 Star
+5995 1148 Star
+5995 1125 Star
+5995 1102 Star
+5995 1079 Star
+5995 1057 Star
+5995 1034 Star
+5995 1011 Star
+5995 988 Star
+6027 2907 Star
+6027 2884 Star
+6027 2861 Star
+6027 2838 Star
+6027 2815 Star
+6027 2792 Star
+6027 2770 Star
+6027 2747 Star
+6027 2724 Star
+6027 2701 Star
+6027 2678 Star
+6027 2655 Star
+6027 2633 Star
+6027 2610 Star
+6027 2587 Star
+6027 2564 Star
+6027 2541 Star
+6027 2518 Star
+6027 2496 Star
+6027 2473 Star
+6027 2450 Star
+6027 2427 Star
+6027 2404 Star
+6027 2381 Star
+6027 2359 Star
+6027 2336 Star
+6027 2313 Star
+6027 2290 Star
+6027 2267 Star
+6027 2244 Star
+6027 2221 Star
+6027 2199 Star
+6027 2176 Star
+6027 2153 Star
+6027 2130 Star
+6027 2107 Star
+6027 2084 Star
+6027 2062 Star
+6027 2039 Star
+6027 2016 Star
+6027 1993 Star
+6027 1970 Star
+6027 1947 Star
+6027 1925 Star
+6027 1902 Star
+6027 1879 Star
+6027 1856 Star
+6027 1833 Star
+6027 1810 Star
+6027 1787 Star
+6027 1765 Star
+6027 1742 Star
+6027 1719 Star
+6027 1696 Star
+6027 1673 Star
+6027 1650 Star
+6027 1628 Star
+6027 1605 Star
+6027 1582 Star
+6027 1559 Star
+6027 1536 Star
+6027 1513 Star
+6027 1491 Star
+6027 1468 Star
+6027 1445 Star
+6027 1422 Star
+6027 1399 Star
+6027 1376 Star
+6027 1354 Star
+6027 1331 Star
+6027 1308 Star
+6027 1285 Star
+6027 1262 Star
+6027 1239 Star
+6027 1216 Star
+6027 1194 Star
+6027 1171 Star
+6027 1148 Star
+6027 1125 Star
+6027 1102 Star
+6027 1079 Star
+6027 1057 Star
+6027 1034 Star
+6027 1011 Star
+6027 988 Star
+6027 965 Star
+6059 2907 Star
+6059 2884 Star
+6059 2861 Star
+6059 2838 Star
+6059 2815 Star
+6059 2792 Star
+6059 2770 Star
+6059 2747 Star
+6059 2724 Star
+6059 2701 Star
+6059 2678 Star
+6059 2655 Star
+6059 2633 Star
+6059 2610 Star
+6059 2587 Star
+6059 2564 Star
+6059 2541 Star
+6059 2518 Star
+6059 2496 Star
+6059 2473 Star
+6059 2450 Star
+6059 2427 Star
+6059 2404 Star
+6059 2381 Star
+6059 2359 Star
+6059 2336 Star
+6059 2313 Star
+6059 2290 Star
+6059 2267 Star
+6059 2244 Star
+6059 2221 Star
+6059 2199 Star
+6059 2176 Star
+6059 2153 Star
+6059 2130 Star
+6059 2107 Star
+6059 2084 Star
+6059 2062 Star
+6059 2039 Star
+6059 2016 Star
+6059 1993 Star
+6059 1970 Star
+6059 1947 Star
+6059 1925 Star
+6059 1902 Star
+6059 1879 Star
+6059 1856 Star
+6059 1833 Star
+6059 1810 Star
+6059 1787 Star
+6059 1765 Star
+6059 1742 Star
+6059 1719 Star
+6059 1696 Star
+6059 1673 Star
+6059 1650 Star
+6059 1628 Star
+6059 1605 Star
+6059 1582 Star
+6059 1559 Star
+6059 1536 Star
+6059 1513 Star
+6059 1491 Star
+6059 1468 Star
+6059 1445 Star
+6059 1422 Star
+6059 1399 Star
+6059 1376 Star
+6059 1354 Star
+6059 1331 Star
+6059 1308 Star
+6059 1285 Star
+6059 1262 Star
+6059 1239 Star
+6059 1216 Star
+6059 1194 Star
+6059 1171 Star
+6059 1148 Star
+6059 1125 Star
+6059 1102 Star
+6059 1079 Star
+6059 1057 Star
+6059 1034 Star
+6059 1011 Star
+6059 988 Star
+6059 965 Star
+6059 942 Star
+6091 2884 Star
+6091 2861 Star
+6091 2838 Star
+6091 2815 Star
+6091 2792 Star
+6091 2770 Star
+6091 2747 Star
+6091 2724 Star
+6091 2701 Star
+6091 2678 Star
+6091 2655 Star
+6091 2633 Star
+6091 2610 Star
+6091 2587 Star
+6091 2564 Star
+6091 2541 Star
+6091 2518 Star
+6091 2496 Star
+6091 2473 Star
+6091 2450 Star
+6091 2427 Star
+6091 2404 Star
+6091 2381 Star
+6091 2359 Star
+6091 2336 Star
+6091 2313 Star
+6091 2290 Star
+6091 2267 Star
+6091 2244 Star
+6091 2221 Star
+6091 2199 Star
+6091 2176 Star
+6091 2153 Star
+6091 2130 Star
+6091 2107 Star
+6091 2084 Star
+6091 2062 Star
+6091 2039 Star
+6091 2016 Star
+6091 1993 Star
+6091 1970 Star
+6091 1947 Star
+6091 1925 Star
+6091 1902 Star
+6091 1879 Star
+6091 1856 Star
+6091 1833 Star
+6091 1810 Star
+6091 1787 Star
+6091 1765 Star
+6091 1742 Star
+6091 1719 Star
+6091 1696 Star
+6091 1673 Star
+6091 1650 Star
+6091 1628 Star
+6091 1605 Star
+6091 1582 Star
+6091 1559 Star
+6091 1536 Star
+6091 1513 Star
+6091 1491 Star
+6091 1468 Star
+6091 1445 Star
+6091 1422 Star
+6091 1399 Star
+6091 1376 Star
+6091 1354 Star
+6091 1331 Star
+6091 1308 Star
+6091 1285 Star
+6091 1262 Star
+6091 1239 Star
+6091 1216 Star
+6091 1194 Star
+6091 1171 Star
+6091 1148 Star
+6091 1125 Star
+6091 1102 Star
+6091 1079 Star
+6091 1057 Star
+6091 1034 Star
+6091 1011 Star
+6091 988 Star
+6091 965 Star
+6091 942 Star
+6091 920 Star
+6124 2884 Star
+6124 2861 Star
+6124 2838 Star
+6124 2815 Star
+6124 2792 Star
+6124 2770 Star
+6124 2747 Star
+6124 2724 Star
+6124 2701 Star
+6124 2678 Star
+6124 2655 Star
+6124 2633 Star
+6124 2610 Star
+6124 2587 Star
+6124 2564 Star
+6124 2541 Star
+6124 2518 Star
+6124 2496 Star
+6124 2473 Star
+6124 2450 Star
+6124 2427 Star
+6124 2404 Star
+6124 2381 Star
+6124 2359 Star
+6124 2336 Star
+6124 2313 Star
+6124 2290 Star
+6124 2267 Star
+6124 2244 Star
+6124 2221 Star
+6124 2199 Star
+6124 2176 Star
+6124 2153 Star
+6124 2130 Star
+6124 2107 Star
+6124 2084 Star
+6124 2062 Star
+6124 2039 Star
+6124 2016 Star
+6124 1993 Star
+6124 1970 Star
+6124 1947 Star
+6124 1925 Star
+6124 1902 Star
+6124 1879 Star
+6124 1856 Star
+6124 1833 Star
+6124 1810 Star
+6124 1787 Star
+6124 1765 Star
+6124 1742 Star
+6124 1719 Star
+6124 1696 Star
+6124 1673 Star
+6124 1650 Star
+6124 1628 Star
+6124 1605 Star
+6124 1582 Star
+6124 1559 Star
+6124 1536 Star
+6124 1513 Star
+6124 1491 Star
+6124 1468 Star
+6124 1445 Star
+6124 1422 Star
+6124 1399 Star
+6124 1376 Star
+6124 1354 Star
+6124 1331 Star
+6124 1308 Star
+6124 1285 Star
+6124 1262 Star
+6124 1239 Star
+6124 1216 Star
+6124 1194 Star
+6124 1171 Star
+6124 1148 Star
+6124 1125 Star
+6124 1102 Star
+6124 1079 Star
+6124 1057 Star
+6124 1034 Star
+6124 1011 Star
+6124 988 Star
+6124 965 Star
+6124 942 Star
+6124 920 Star
+6124 897 Star
+6156 2861 Star
+6156 2838 Star
+6156 2815 Star
+6156 2792 Star
+6156 2770 Star
+6156 2747 Star
+6156 2724 Star
+6156 2701 Star
+6156 2678 Star
+6156 2655 Star
+6156 2633 Star
+6156 2610 Star
+6156 2587 Star
+6156 2564 Star
+6156 2541 Star
+6156 2518 Star
+6156 2496 Star
+6156 2473 Star
+6156 2450 Star
+6156 2427 Star
+6156 2404 Star
+6156 2381 Star
+6156 2359 Star
+6156 2336 Star
+6156 2313 Star
+6156 2290 Star
+6156 2267 Star
+6156 2244 Star
+6156 2221 Star
+6156 2199 Star
+6156 2176 Star
+6156 2153 Star
+6156 2130 Star
+6156 2107 Star
+6156 2084 Star
+6156 2062 Star
+6156 2039 Star
+6156 2016 Star
+6156 1993 Star
+6156 1970 Star
+6156 1947 Star
+6156 1925 Star
+6156 1902 Star
+6156 1879 Star
+6156 1856 Star
+6156 1833 Star
+6156 1810 Star
+6156 1787 Star
+6156 1765 Star
+6156 1742 Star
+6156 1719 Star
+6156 1696 Star
+6156 1673 Star
+6156 1650 Star
+6156 1628 Star
+6156 1605 Star
+6156 1582 Star
+6156 1559 Star
+6156 1536 Star
+6156 1513 Star
+6156 1491 Star
+6156 1468 Star
+6156 1445 Star
+6156 1422 Star
+6156 1399 Star
+6156 1376 Star
+6156 1354 Star
+6156 1331 Star
+6156 1308 Star
+6156 1285 Star
+6156 1262 Star
+6156 1239 Star
+6156 1216 Star
+6156 1194 Star
+6156 1171 Star
+6156 1148 Star
+6156 1125 Star
+6156 1102 Star
+6156 1079 Star
+6156 1057 Star
+6156 1034 Star
+6156 1011 Star
+6156 988 Star
+6156 965 Star
+6156 942 Star
+6156 920 Star
+6156 897 Star
+6156 874 Star
+6188 2861 Star
+6188 2838 Star
+6188 2815 Star
+6188 2792 Star
+6188 2770 Star
+6188 2747 Star
+6188 2724 Star
+6188 2701 Star
+6188 2678 Star
+6188 2655 Star
+6188 2633 Star
+6188 2610 Star
+6188 2587 Star
+6188 2564 Star
+6188 2541 Star
+6188 2518 Star
+6188 2496 Star
+6188 2473 Star
+6188 2450 Star
+6188 2427 Star
+6188 2404 Star
+6188 2381 Star
+6188 2359 Star
+6188 2336 Star
+6188 2313 Star
+6188 2290 Star
+6188 2267 Star
+6188 2244 Star
+6188 2221 Star
+6188 2199 Star
+6188 2176 Star
+6188 2153 Star
+6188 2130 Star
+6188 2107 Star
+6188 2084 Star
+6188 2062 Star
+6188 2039 Star
+6188 2016 Star
+6188 1993 Star
+6188 1970 Star
+6188 1947 Star
+6188 1925 Star
+6188 1902 Star
+6188 1879 Star
+6188 1856 Star
+6188 1833 Star
+6188 1810 Star
+6188 1787 Star
+6188 1765 Star
+6188 1742 Star
+6188 1719 Star
+6188 1696 Star
+6188 1673 Star
+6188 1650 Star
+6188 1628 Star
+6188 1605 Star
+6188 1582 Star
+6188 1559 Star
+6188 1536 Star
+6188 1513 Star
+6188 1491 Star
+6188 1468 Star
+6188 1445 Star
+6188 1422 Star
+6188 1399 Star
+6188 1376 Star
+6188 1354 Star
+6188 1331 Star
+6188 1308 Star
+6188 1285 Star
+6188 1262 Star
+6188 1239 Star
+6188 1216 Star
+6188 1194 Star
+6188 1171 Star
+6188 1148 Star
+6188 1125 Star
+6188 1102 Star
+6188 1079 Star
+6188 1057 Star
+6188 1034 Star
+6188 1011 Star
+6188 988 Star
+6188 965 Star
+6188 942 Star
+6188 920 Star
+6188 897 Star
+6188 874 Star
+6188 851 Star
+6220 2838 Star
+6220 2815 Star
+6220 2792 Star
+6220 2770 Star
+6220 2747 Star
+6220 2724 Star
+6220 2701 Star
+6220 2678 Star
+6220 2655 Star
+6220 2633 Star
+6220 2610 Star
+6220 2587 Star
+6220 2564 Star
+6220 2541 Star
+6220 2518 Star
+6220 2496 Star
+6220 2473 Star
+6220 2450 Star
+6220 2427 Star
+6220 2404 Star
+6220 2381 Star
+6220 2359 Star
+6220 2336 Star
+6220 2313 Star
+6220 2290 Star
+6220 2267 Star
+6220 2244 Star
+6220 2221 Star
+6220 2199 Star
+6220 2176 Star
+6220 2153 Star
+6220 2130 Star
+6220 2107 Star
+6220 2084 Star
+6220 2062 Star
+6220 2039 Star
+6220 2016 Star
+6220 1993 Star
+6220 1970 Star
+6220 1947 Star
+6220 1925 Star
+6220 1902 Star
+6220 1879 Star
+6220 1856 Star
+6220 1833 Star
+6220 1810 Star
+6220 1787 Star
+6220 1765 Star
+6220 1742 Star
+6220 1719 Star
+6220 1696 Star
+6220 1673 Star
+6220 1650 Star
+6220 1628 Star
+6220 1605 Star
+6220 1582 Star
+6220 1559 Star
+6220 1536 Star
+6220 1513 Star
+6220 1491 Star
+6220 1468 Star
+6220 1445 Star
+6220 1422 Star
+6220 1399 Star
+6220 1376 Star
+6220 1354 Star
+6220 1331 Star
+6220 1308 Star
+6220 1285 Star
+6220 1262 Star
+6220 1239 Star
+6220 1216 Star
+6220 1194 Star
+6220 1171 Star
+6220 1148 Star
+6220 1125 Star
+6220 1102 Star
+6220 1079 Star
+6220 1057 Star
+6220 1034 Star
+6220 1011 Star
+6220 988 Star
+6220 965 Star
+6220 942 Star
+6220 920 Star
+6220 897 Star
+6220 874 Star
+6220 851 Star
+6220 828 Star
+6252 2838 Star
+6252 2815 Star
+6252 2792 Star
+6252 2770 Star
+6252 2747 Star
+6252 2724 Star
+6252 2701 Star
+6252 2678 Star
+6252 2655 Star
+6252 2633 Star
+6252 2610 Star
+6252 2587 Star
+6252 2564 Star
+6252 2541 Star
+6252 2518 Star
+6252 2496 Star
+6252 2473 Star
+6252 2450 Star
+6252 2427 Star
+6252 2404 Star
+6252 2381 Star
+6252 2359 Star
+6252 2336 Star
+6252 2313 Star
+6252 2290 Star
+6252 2267 Star
+6252 2244 Star
+6252 2221 Star
+6252 2199 Star
+6252 2176 Star
+6252 2153 Star
+6252 2130 Star
+6252 2107 Star
+6252 2084 Star
+6252 2062 Star
+6252 2039 Star
+6252 2016 Star
+6252 1993 Star
+6252 1970 Star
+6252 1947 Star
+6252 1925 Star
+6252 1902 Star
+6252 1879 Star
+6252 1856 Star
+6252 1833 Star
+6252 1810 Star
+6252 1787 Star
+6252 1765 Star
+6252 1742 Star
+6252 1719 Star
+6252 1696 Star
+6252 1673 Star
+6252 1650 Star
+6252 1628 Star
+6252 1605 Star
+6252 1582 Star
+6252 1559 Star
+6252 1536 Star
+6252 1513 Star
+6252 1491 Star
+6252 1468 Star
+6252 1445 Star
+6252 1422 Star
+6252 1399 Star
+6252 1376 Star
+6252 1354 Star
+6252 1331 Star
+6252 1308 Star
+6252 1285 Star
+6252 1262 Star
+6252 1239 Star
+6252 1216 Star
+6252 1194 Star
+6252 1171 Star
+6252 1148 Star
+6252 1125 Star
+6252 1102 Star
+6252 1079 Star
+6252 1057 Star
+6252 1034 Star
+6252 1011 Star
+6252 988 Star
+6252 965 Star
+6252 942 Star
+6252 920 Star
+6252 897 Star
+6252 874 Star
+6252 851 Star
+6252 828 Star
+6252 805 Star
+6284 2815 Star
+6284 2792 Star
+6284 2770 Star
+6284 2747 Star
+6284 2724 Star
+6284 2701 Star
+6284 2678 Star
+6284 2655 Star
+6284 2633 Star
+6284 2610 Star
+6284 2587 Star
+6284 2564 Star
+6284 2541 Star
+6284 2518 Star
+6284 2496 Star
+6284 2473 Star
+6284 2450 Star
+6284 2427 Star
+6284 2404 Star
+6284 2381 Star
+6284 2359 Star
+6284 2336 Star
+6284 2313 Star
+6284 2290 Star
+6284 2267 Star
+6284 2244 Star
+6284 2221 Star
+6284 2199 Star
+6284 2176 Star
+6284 2153 Star
+6284 2130 Star
+6284 2107 Star
+6284 2084 Star
+6284 2062 Star
+6284 2039 Star
+6284 2016 Star
+6284 1993 Star
+6284 1970 Star
+6284 1947 Star
+6284 1925 Star
+6284 1902 Star
+6284 1879 Star
+6284 1856 Star
+6284 1833 Star
+6284 1810 Star
+6284 1787 Star
+6284 1765 Star
+6284 1742 Star
+6284 1719 Star
+6284 1696 Star
+6284 1673 Star
+6284 1650 Star
+6284 1628 Star
+6284 1605 Star
+6284 1582 Star
+6284 1559 Star
+6284 1536 Star
+6284 1513 Star
+6284 1491 Star
+6284 1468 Star
+6284 1445 Star
+6284 1422 Star
+6284 1399 Star
+6284 1376 Star
+6284 1354 Star
+6284 1331 Star
+6284 1308 Star
+6284 1285 Star
+6284 1262 Star
+6284 1239 Star
+6284 1216 Star
+6284 1194 Star
+6284 1171 Star
+6284 1148 Star
+6284 1125 Star
+6284 1102 Star
+6284 1079 Star
+6284 1057 Star
+6284 1034 Star
+6284 1011 Star
+6284 988 Star
+6284 965 Star
+6284 942 Star
+6284 920 Star
+6284 897 Star
+6284 874 Star
+6284 851 Star
+6284 828 Star
+6284 805 Star
+6284 782 Star
+6316 2815 Star
+6316 2792 Star
+6316 2770 Star
+6316 2747 Star
+6316 2724 Star
+6316 2701 Star
+6316 2678 Star
+6316 2655 Star
+6316 2633 Star
+6316 2610 Star
+6316 2587 Star
+6316 2564 Star
+6316 2541 Star
+6316 2518 Star
+6316 2496 Star
+6316 2473 Star
+6316 2450 Star
+6316 2427 Star
+6316 2404 Star
+6316 2381 Star
+6316 2359 Star
+6316 2336 Star
+6316 2313 Star
+6316 2290 Star
+6316 2267 Star
+6316 2244 Star
+6316 2221 Star
+6316 2199 Star
+6316 2176 Star
+6316 2153 Star
+6316 2130 Star
+6316 2107 Star
+6316 2084 Star
+6316 2062 Star
+6316 2039 Star
+6316 2016 Star
+6316 1993 Star
+6316 1970 Star
+6316 1947 Star
+6316 1925 Star
+6316 1902 Star
+6316 1879 Star
+6316 1856 Star
+6316 1833 Star
+6316 1810 Star
+6316 1787 Star
+6316 1765 Star
+6316 1742 Star
+6316 1719 Star
+6316 1696 Star
+6316 1673 Star
+6316 1650 Star
+6316 1628 Star
+6316 1605 Star
+6316 1582 Star
+6316 1559 Star
+6316 1536 Star
+6316 1513 Star
+6316 1491 Star
+6316 1468 Star
+6316 1445 Star
+6316 1422 Star
+6316 1399 Star
+6316 1376 Star
+6316 1354 Star
+6316 1331 Star
+6316 1308 Star
+6316 1285 Star
+6316 1262 Star
+6316 1239 Star
+6316 1216 Star
+6316 1194 Star
+6316 1171 Star
+6316 1148 Star
+6316 1125 Star
+6316 1102 Star
+6316 1079 Star
+6316 1057 Star
+6316 1034 Star
+6316 1011 Star
+6316 988 Star
+6316 965 Star
+6316 942 Star
+6316 920 Star
+6316 897 Star
+6316 874 Star
+6316 851 Star
+6316 828 Star
+6316 805 Star
+6316 782 Star
+6316 760 Star
+6348 2792 Star
+6348 2770 Star
+6348 2747 Star
+6348 2724 Star
+6348 2701 Star
+6348 2678 Star
+6348 2655 Star
+6348 2633 Star
+6348 2610 Star
+6348 2587 Star
+6348 2564 Star
+6348 2541 Star
+6348 2518 Star
+6348 2496 Star
+6348 2473 Star
+6348 2450 Star
+6348 2427 Star
+6348 2404 Star
+6348 2381 Star
+6348 2359 Star
+6348 2336 Star
+6348 2313 Star
+6348 2290 Star
+6348 2267 Star
+6348 2244 Star
+6348 2221 Star
+6348 2199 Star
+6348 2176 Star
+6348 2153 Star
+6348 2130 Star
+6348 2107 Star
+6348 2084 Star
+6348 2062 Star
+6348 2039 Star
+6348 2016 Star
+6348 1993 Star
+6348 1970 Star
+6348 1947 Star
+6348 1925 Star
+6348 1902 Star
+6348 1879 Star
+6348 1856 Star
+6348 1833 Star
+6348 1810 Star
+6348 1787 Star
+6348 1765 Star
+6348 1742 Star
+6348 1719 Star
+6348 1696 Star
+6348 1673 Star
+6348 1650 Star
+6348 1628 Star
+6348 1605 Star
+6348 1582 Star
+6348 1559 Star
+6348 1536 Star
+6348 1513 Star
+6348 1491 Star
+6348 1468 Star
+6348 1445 Star
+6348 1422 Star
+6348 1399 Star
+6348 1376 Star
+6348 1354 Star
+6348 1331 Star
+6348 1308 Star
+6348 1285 Star
+6348 1262 Star
+6348 1239 Star
+6348 1216 Star
+6348 1194 Star
+6348 1171 Star
+6348 1148 Star
+6348 1125 Star
+6348 1102 Star
+6348 1079 Star
+6348 1057 Star
+6348 1034 Star
+6348 1011 Star
+6348 988 Star
+6348 965 Star
+6348 942 Star
+6348 920 Star
+6348 897 Star
+6348 874 Star
+6348 851 Star
+6348 828 Star
+6348 805 Star
+6348 782 Star
+6348 760 Star
+6348 737 Star
+6380 2792 Star
+6380 2770 Star
+6380 2747 Star
+6380 2724 Star
+6380 2701 Star
+6380 2678 Star
+6380 2655 Star
+6380 2633 Star
+6380 2610 Star
+6380 2587 Star
+6380 2564 Star
+6380 2541 Star
+6380 2518 Star
+6380 2496 Star
+6380 2473 Star
+6380 2450 Star
+6380 2427 Star
+6380 2404 Star
+6380 2381 Star
+6380 2359 Star
+6380 2336 Star
+6380 2313 Star
+6380 2290 Star
+6380 2267 Star
+6380 2244 Star
+6380 2221 Star
+6380 2199 Star
+6380 2176 Star
+6380 2153 Star
+6380 2130 Star
+6380 2107 Star
+6380 2084 Star
+6380 2062 Star
+6380 2039 Star
+6380 2016 Star
+6380 1993 Star
+6380 1970 Star
+6380 1947 Star
+6380 1925 Star
+6380 1902 Star
+6380 1879 Star
+6380 1856 Star
+6380 1833 Star
+6380 1810 Star
+6380 1787 Star
+6380 1765 Star
+6380 1742 Star
+6380 1719 Star
+6380 1696 Star
+6380 1673 Star
+6380 1650 Star
+6380 1628 Star
+6380 1605 Star
+6380 1582 Star
+6380 1559 Star
+6380 1536 Star
+6380 1513 Star
+6380 1491 Star
+6380 1468 Star
+6380 1445 Star
+6380 1422 Star
+6380 1399 Star
+6380 1376 Star
+6380 1354 Star
+6380 1331 Star
+6380 1308 Star
+6380 1285 Star
+6380 1262 Star
+6380 1239 Star
+6380 1216 Star
+6380 1194 Star
+6380 1171 Star
+6380 1148 Star
+6380 1125 Star
+6380 1102 Star
+6380 1079 Star
+6380 1057 Star
+6380 1034 Star
+6380 1011 Star
+6380 988 Star
+6380 965 Star
+6380 942 Star
+6380 920 Star
+6380 897 Star
+6380 874 Star
+6380 851 Star
+6380 828 Star
+6380 805 Star
+6380 782 Star
+6380 760 Star
+6380 737 Star
+6380 714 Star
+6412 2770 Star
+6412 2747 Star
+6412 2724 Star
+6412 2701 Star
+6412 2678 Star
+6412 2655 Star
+6412 2633 Star
+6412 2610 Star
+6412 2587 Star
+6412 2564 Star
+6412 2541 Star
+6412 2518 Star
+6412 2496 Star
+6412 2473 Star
+6412 2450 Star
+6412 2427 Star
+6412 2404 Star
+6412 2381 Star
+6412 2359 Star
+6412 2336 Star
+6412 2313 Star
+6412 2290 Star
+6412 2267 Star
+6412 2244 Star
+6412 2221 Star
+6412 2199 Star
+6412 2176 Star
+6412 2153 Star
+6412 2130 Star
+6412 2107 Star
+6412 2084 Star
+6412 2062 Star
+6412 2039 Star
+6412 2016 Star
+6412 1993 Star
+6412 1970 Star
+6412 1947 Star
+6412 1925 Star
+6412 1902 Star
+6412 1879 Star
+6412 1856 Star
+6412 1833 Star
+6412 1810 Star
+6412 1787 Star
+6412 1765 Star
+6412 1742 Star
+6412 1719 Star
+6412 1696 Star
+6412 1673 Star
+6412 1650 Star
+6412 1628 Star
+6412 1605 Star
+6412 1582 Star
+6412 1559 Star
+6412 1536 Star
+6412 1513 Star
+6412 1491 Star
+6412 1468 Star
+6412 1445 Star
+6412 1422 Star
+6412 1399 Star
+6412 1376 Star
+6412 1354 Star
+6412 1331 Star
+6412 1308 Star
+6412 1285 Star
+6412 1262 Star
+6412 1239 Star
+6412 1216 Star
+6412 1194 Star
+6412 1171 Star
+6412 1148 Star
+6412 1125 Star
+6412 1102 Star
+6412 1079 Star
+6412 1057 Star
+6412 1034 Star
+6412 1011 Star
+6412 988 Star
+6412 965 Star
+6412 942 Star
+6412 920 Star
+6412 897 Star
+6412 874 Star
+6412 851 Star
+6412 828 Star
+6412 805 Star
+6412 782 Star
+6412 760 Star
+6412 737 Star
+6412 714 Star
+6412 691 Star
+6444 2770 Star
+6444 2747 Star
+6444 2724 Star
+6444 2701 Star
+6444 2678 Star
+6444 2655 Star
+6444 2633 Star
+6444 2610 Star
+6444 2587 Star
+6444 2564 Star
+6444 2541 Star
+6444 2518 Star
+6444 2496 Star
+6444 2473 Star
+6444 2450 Star
+6444 2427 Star
+6444 2404 Star
+6444 2381 Star
+6444 2359 Star
+6444 2336 Star
+6444 2313 Star
+6444 2290 Star
+6444 2267 Star
+6444 2244 Star
+6444 2221 Star
+6444 2199 Star
+6444 2176 Star
+6444 2153 Star
+6444 2130 Star
+6444 2107 Star
+6444 2084 Star
+6444 2062 Star
+6444 2039 Star
+6444 2016 Star
+6444 1993 Star
+6444 1970 Star
+6444 1947 Star
+6444 1925 Star
+6444 1902 Star
+6444 1879 Star
+6444 1856 Star
+6444 1833 Star
+6444 1810 Star
+6444 1787 Star
+6444 1765 Star
+6444 1742 Star
+6444 1719 Star
+6444 1696 Star
+6444 1673 Star
+6444 1650 Star
+6444 1628 Star
+6444 1605 Star
+6444 1582 Star
+6444 1559 Star
+6444 1536 Star
+6444 1513 Star
+6444 1491 Star
+6444 1468 Star
+6444 1445 Star
+6444 1422 Star
+6444 1399 Star
+6444 1376 Star
+6444 1354 Star
+6444 1331 Star
+6444 1308 Star
+6444 1285 Star
+6444 1262 Star
+6444 1239 Star
+6444 1216 Star
+6444 1194 Star
+6444 1171 Star
+6444 1148 Star
+6444 1125 Star
+6444 1102 Star
+6444 1079 Star
+6444 1057 Star
+6444 1034 Star
+6444 1011 Star
+6444 988 Star
+6444 965 Star
+6444 942 Star
+6444 920 Star
+6444 897 Star
+6444 874 Star
+6444 851 Star
+6444 828 Star
+6444 805 Star
+6444 782 Star
+6444 760 Star
+6444 737 Star
+6444 714 Star
+6444 691 Star
+6444 668 Star
+6476 2747 Star
+6476 2724 Star
+6476 2701 Star
+6476 2678 Star
+6476 2655 Star
+6476 2633 Star
+6476 2610 Star
+6476 2587 Star
+6476 2564 Star
+6476 2541 Star
+6476 2518 Star
+6476 2496 Star
+6476 2473 Star
+6476 2450 Star
+6476 2427 Star
+6476 2404 Star
+6476 2381 Star
+6476 2359 Star
+6476 2336 Star
+6476 2313 Star
+6476 2290 Star
+6476 2267 Star
+6476 2244 Star
+6476 2221 Star
+6476 2199 Star
+6476 2176 Star
+6476 2153 Star
+6476 2130 Star
+6476 2107 Star
+6476 2084 Star
+6476 2062 Star
+6476 2039 Star
+6476 2016 Star
+6476 1993 Star
+6476 1970 Star
+6476 1947 Star
+6476 1925 Star
+6476 1902 Star
+6476 1879 Star
+6476 1856 Star
+6476 1833 Star
+6476 1810 Star
+6476 1787 Star
+6476 1765 Star
+6476 1742 Star
+6476 1719 Star
+6476 1696 Star
+6476 1673 Star
+6476 1650 Star
+6476 1628 Star
+6476 1605 Star
+6476 1582 Star
+6476 1559 Star
+6476 1536 Star
+6476 1513 Star
+6476 1491 Star
+6476 1468 Star
+6476 1445 Star
+6476 1422 Star
+6476 1399 Star
+6476 1376 Star
+6476 1354 Star
+6476 1331 Star
+6476 1308 Star
+6476 1285 Star
+6476 1262 Star
+6476 1239 Star
+6476 1216 Star
+6476 1194 Star
+6476 1171 Star
+6476 1148 Star
+6476 1125 Star
+6476 1102 Star
+6476 1079 Star
+6476 1057 Star
+6476 1034 Star
+6476 1011 Star
+6476 988 Star
+6476 965 Star
+6476 942 Star
+6476 920 Star
+6476 897 Star
+6476 874 Star
+6476 851 Star
+6476 828 Star
+6476 805 Star
+6476 782 Star
+6476 760 Star
+6476 737 Star
+6476 714 Star
+6476 691 Star
+6476 668 Star
+6476 645 Star
+6508 2747 Star
+6508 2724 Star
+6508 2701 Star
+6508 2678 Star
+6508 2655 Star
+6508 2633 Star
+6508 2610 Star
+6508 2587 Star
+6508 2564 Star
+6508 2541 Star
+6508 2518 Star
+6508 2496 Star
+6508 2473 Star
+6508 2450 Star
+6508 2427 Star
+6508 2404 Star
+6508 2381 Star
+6508 2359 Star
+6508 2336 Star
+6508 2313 Star
+6508 2290 Star
+6508 2267 Star
+6508 2244 Star
+6508 2221 Star
+6508 2199 Star
+6508 2176 Star
+6508 2153 Star
+6508 2130 Star
+6508 2107 Star
+6508 2084 Star
+6508 2062 Star
+6508 2039 Star
+6508 2016 Star
+6508 1993 Star
+6508 1970 Star
+6508 1947 Star
+6508 1925 Star
+6508 1902 Star
+6508 1879 Star
+6508 1856 Star
+6508 1833 Star
+6508 1810 Star
+6508 1787 Star
+6508 1765 Star
+6508 1742 Star
+6508 1719 Star
+6508 1696 Star
+6508 1673 Star
+6508 1650 Star
+6508 1628 Star
+6508 1605 Star
+6508 1582 Star
+6508 1559 Star
+6508 1536 Star
+6508 1513 Star
+6508 1491 Star
+6508 1468 Star
+6508 1445 Star
+6508 1422 Star
+6508 1399 Star
+6508 1376 Star
+6508 1354 Star
+6508 1331 Star
+6508 1308 Star
+6508 1285 Star
+6508 1262 Star
+6508 1239 Star
+6508 1216 Star
+6508 1194 Star
+6508 1171 Star
+6508 1148 Star
+6508 1125 Star
+6508 1102 Star
+6508 1079 Star
+6508 1057 Star
+6508 1034 Star
+6508 1011 Star
+6508 988 Star
+6508 965 Star
+6508 942 Star
+6508 920 Star
+6508 897 Star
+6508 874 Star
+6508 851 Star
+6508 828 Star
+6508 805 Star
+6508 782 Star
+6508 760 Star
+6508 737 Star
+6508 714 Star
+6508 691 Star
+6508 668 Star
+6508 645 Star
+6508 623 Star
+6540 2724 Star
+6540 2701 Star
+6540 2678 Star
+6540 2655 Star
+6540 2633 Star
+6540 2610 Star
+6540 2587 Star
+6540 2564 Star
+6540 2541 Star
+6540 2518 Star
+6540 2496 Star
+6540 2473 Star
+6540 2450 Star
+6540 2427 Star
+6540 2404 Star
+6540 2381 Star
+6540 2359 Star
+6540 2336 Star
+6540 2313 Star
+6540 2290 Star
+6540 2267 Star
+6540 2244 Star
+6540 2221 Star
+6540 2199 Star
+6540 2176 Star
+6540 2153 Star
+6540 2130 Star
+6540 2107 Star
+6540 2084 Star
+6540 2062 Star
+6540 2039 Star
+6540 2016 Star
+6540 1993 Star
+6540 1970 Star
+6540 1947 Star
+6540 1925 Star
+6540 1902 Star
+6540 1879 Star
+6540 1856 Star
+6540 1833 Star
+6540 1810 Star
+6540 1787 Star
+6540 1765 Star
+6540 1742 Star
+6540 1719 Star
+6540 1696 Star
+6540 1673 Star
+6540 1650 Star
+6540 1628 Star
+6540 1605 Star
+6540 1582 Star
+6540 1559 Star
+6540 1536 Star
+6540 1513 Star
+6540 1491 Star
+6540 1468 Star
+6540 1445 Star
+6540 1422 Star
+6540 1399 Star
+6540 1376 Star
+6540 1354 Star
+6540 1331 Star
+6540 1308 Star
+6540 1285 Star
+6540 1262 Star
+6540 1239 Star
+6540 1216 Star
+6540 1194 Star
+6540 1171 Star
+6540 1148 Star
+6540 1125 Star
+6540 1102 Star
+6540 1079 Star
+6540 1057 Star
+6540 1034 Star
+6540 1011 Star
+6540 988 Star
+6540 965 Star
+6540 942 Star
+6540 920 Star
+6540 897 Star
+6540 874 Star
+6540 851 Star
+6540 828 Star
+6540 805 Star
+6540 782 Star
+6540 760 Star
+6540 737 Star
+6540 714 Star
+6540 691 Star
+6540 668 Star
+6540 645 Star
+6540 623 Star
+6540 600 Star
+6572 2724 Star
+6572 2701 Star
+6572 2678 Star
+6572 2655 Star
+6572 2633 Star
+6572 2610 Star
+6572 2587 Star
+6572 2564 Star
+6572 2541 Star
+6572 2518 Star
+6572 2496 Star
+6572 2473 Star
+6572 2450 Star
+6572 2427 Star
+6572 2404 Star
+6572 2381 Star
+6572 2359 Star
+6572 2336 Star
+6572 2313 Star
+6572 2290 Star
+6572 2267 Star
+6572 2244 Star
+6572 2221 Star
+6572 2199 Star
+6572 2176 Star
+6572 2153 Star
+6572 2130 Star
+6572 2107 Star
+6572 2084 Star
+6572 2062 Star
+6572 2039 Star
+6572 2016 Star
+6572 1993 Star
+6572 1970 Star
+6572 1947 Star
+6572 1925 Star
+6572 1902 Star
+6572 1879 Star
+6572 1856 Star
+6572 1833 Star
+6572 1810 Star
+6572 1787 Star
+6572 1765 Star
+6572 1742 Star
+6572 1719 Star
+6572 1696 Star
+6572 1673 Star
+6572 1650 Star
+6572 1628 Star
+6572 1605 Star
+6572 1582 Star
+6572 1559 Star
+6572 1536 Star
+6572 1513 Star
+6572 1491 Star
+6572 1468 Star
+6572 1445 Star
+6572 1422 Star
+6572 1399 Star
+6572 1376 Star
+6572 1354 Star
+6572 1331 Star
+6572 1308 Star
+6572 1285 Star
+6572 1262 Star
+6572 1239 Star
+6572 1216 Star
+6572 1194 Star
+6572 1171 Star
+6572 1148 Star
+6572 1125 Star
+6572 1102 Star
+6572 1079 Star
+6572 1057 Star
+6572 1034 Star
+6572 1011 Star
+6572 988 Star
+6572 965 Star
+6572 942 Star
+6572 920 Star
+6572 897 Star
+6572 874 Star
+6572 851 Star
+6572 828 Star
+6572 805 Star
+6572 782 Star
+6572 760 Star
+6572 737 Star
+6572 714 Star
+6572 691 Star
+6572 668 Star
+6572 645 Star
+6572 623 Star
+6572 600 Star
+6572 577 Star
+6604 2701 Star
+6604 2678 Star
+6604 2655 Star
+6604 2633 Star
+6604 2610 Star
+6604 2587 Star
+6604 2564 Star
+6604 2541 Star
+6604 2518 Star
+6604 2496 Star
+6604 2473 Star
+6604 2450 Star
+6604 2427 Star
+6604 2404 Star
+6604 2381 Star
+6604 2359 Star
+6604 2336 Star
+6604 2313 Star
+6604 2290 Star
+6604 2267 Star
+6604 2244 Star
+6604 2221 Star
+6604 2199 Star
+6604 2176 Star
+6604 2153 Star
+6604 2130 Star
+6604 2107 Star
+6604 2084 Star
+6604 2062 Star
+6604 2039 Star
+6604 2016 Star
+6604 1993 Star
+6604 1970 Star
+6604 1947 Star
+6604 1925 Star
+6604 1902 Star
+6604 1879 Star
+6604 1856 Star
+6604 1833 Star
+6604 1810 Star
+6604 1787 Star
+6604 1765 Star
+6604 1742 Star
+6604 1719 Star
+6604 1696 Star
+6604 1673 Star
+6604 1650 Star
+6604 1628 Star
+6604 1605 Star
+6604 1582 Star
+6604 1559 Star
+6604 1536 Star
+6604 1513 Star
+6604 1491 Star
+6604 1468 Star
+6604 1445 Star
+6604 1422 Star
+6604 1399 Star
+6604 1376 Star
+6604 1354 Star
+6604 1331 Star
+6604 1308 Star
+6604 1285 Star
+6604 1262 Star
+6604 1239 Star
+6604 1216 Star
+6604 1194 Star
+6604 1171 Star
+6604 1148 Star
+6604 1125 Star
+6604 1102 Star
+6604 1079 Star
+6604 1057 Star
+6604 1034 Star
+6604 1011 Star
+6604 988 Star
+6604 965 Star
+6604 942 Star
+6604 920 Star
+6604 897 Star
+6604 874 Star
+6604 851 Star
+6604 828 Star
+6604 805 Star
+6604 782 Star
+6604 760 Star
+6604 737 Star
+6604 714 Star
+6604 691 Star
+6604 668 Star
+6604 645 Star
+6604 623 Star
+6604 600 Star
+6604 577 Star
+6604 554 Star
+6636 2701 Star
+6636 2678 Star
+6636 2655 Star
+6636 2633 Star
+6636 2610 Star
+6636 2587 Star
+6636 2564 Star
+6636 2541 Star
+6636 2518 Star
+6636 2496 Star
+6636 2473 Star
+6636 2450 Star
+6636 2427 Star
+6636 2404 Star
+6636 2381 Star
+6636 2359 Star
+6636 2336 Star
+6636 2313 Star
+6636 2290 Star
+6636 2267 Star
+6636 2244 Star
+6636 2221 Star
+6636 2199 Star
+6636 2176 Star
+6636 2153 Star
+6636 2130 Star
+6636 2107 Star
+6636 2084 Star
+6636 2062 Star
+6636 2039 Star
+6636 2016 Star
+6636 1993 Star
+6636 1970 Star
+6636 1947 Star
+6636 1925 Star
+6636 1902 Star
+6636 1879 Star
+6636 1856 Star
+6636 1833 Star
+6636 1810 Star
+6636 1787 Star
+6636 1765 Star
+6636 1742 Star
+6636 1719 Star
+6636 1696 Star
+6636 1673 Star
+6636 1650 Star
+6636 1628 Star
+6636 1605 Star
+6636 1582 Star
+6636 1559 Star
+6636 1536 Star
+6636 1513 Star
+6636 1491 Star
+6636 1468 Star
+6636 1445 Star
+6636 1422 Star
+6636 1399 Star
+6636 1376 Star
+6636 1354 Star
+6636 1331 Star
+6636 1308 Star
+6636 1285 Star
+6636 1262 Star
+6636 1239 Star
+6636 1216 Star
+6636 1194 Star
+6636 1171 Star
+6636 1148 Star
+6636 1125 Star
+6636 1102 Star
+6636 1079 Star
+6636 1057 Star
+6636 1034 Star
+6636 1011 Star
+6636 988 Star
+6636 965 Star
+6636 942 Star
+6636 920 Star
+6636 897 Star
+6636 874 Star
+6636 851 Star
+6636 828 Star
+6636 805 Star
+6636 782 Star
+6636 760 Star
+6636 737 Star
+6636 714 Star
+6636 691 Star
+6636 668 Star
+6636 645 Star
+6636 623 Star
+6636 600 Star
+6636 577 Star
+6636 554 Star
+6636 531 Star
+6668 2678 Star
+6668 2655 Star
+6668 2633 Star
+6668 2610 Star
+6668 2587 Star
+6668 2564 Star
+6668 2541 Star
+6668 2518 Star
+6668 2496 Star
+6668 2473 Star
+6668 2450 Star
+6668 2427 Star
+6668 2404 Star
+6668 2381 Star
+6668 2359 Star
+6668 2336 Star
+6668 2313 Star
+6668 2290 Star
+6668 2267 Star
+6668 2244 Star
+6668 2221 Star
+6668 2199 Star
+6668 2176 Star
+6668 2153 Star
+6668 2130 Star
+6668 2107 Star
+6668 2084 Star
+6668 2062 Star
+6668 2039 Star
+6668 2016 Star
+6668 1993 Star
+6668 1970 Star
+6668 1947 Star
+6668 1925 Star
+6668 1902 Star
+6668 1879 Star
+6668 1856 Star
+6668 1833 Star
+6668 1810 Star
+6668 1787 Star
+6668 1765 Star
+6668 1742 Star
+6668 1719 Star
+6668 1696 Star
+6668 1673 Star
+6668 1650 Star
+6668 1628 Star
+6668 1605 Star
+6668 1582 Star
+6668 1559 Star
+6668 1536 Star
+6668 1513 Star
+6668 1491 Star
+6668 1468 Star
+6668 1445 Star
+6668 1422 Star
+6668 1399 Star
+6668 1376 Star
+6668 1354 Star
+6668 1331 Star
+6668 1308 Star
+6668 1285 Star
+6668 1262 Star
+6668 1239 Star
+6668 1216 Star
+6668 1194 Star
+6668 1171 Star
+6668 1148 Star
+6668 1125 Star
+6668 1102 Star
+6668 1079 Star
+6668 1057 Star
+6668 1034 Star
+6668 1011 Star
+6668 988 Star
+6668 965 Star
+6668 942 Star
+6668 920 Star
+6668 897 Star
+6668 874 Star
+6668 851 Star
+6668 828 Star
+6668 805 Star
+6668 782 Star
+6668 760 Star
+6668 737 Star
+6668 714 Star
+6668 691 Star
+6668 668 Star
+6668 645 Star
+6668 623 Star
+6668 600 Star
+6668 577 Star
+6668 554 Star
+6668 531 Star
+6668 508 Star
+6701 2678 Star
+6701 2655 Star
+6701 2633 Star
+6701 2610 Star
+6701 2587 Star
+6701 2564 Star
+6701 2541 Star
+6701 2518 Star
+6701 2496 Star
+6701 2473 Star
+6701 2450 Star
+6701 2427 Star
+6701 2404 Star
+6701 2381 Star
+6701 2359 Star
+6701 2336 Star
+6701 2313 Star
+6701 2290 Star
+6701 2267 Star
+6701 2244 Star
+6701 2221 Star
+6701 2199 Star
+6701 2176 Star
+6701 2153 Star
+6701 2130 Star
+6701 2107 Star
+6701 2084 Star
+6701 2062 Star
+6701 2039 Star
+6701 2016 Star
+6701 1993 Star
+6701 1970 Star
+6701 1947 Star
+6701 1925 Star
+6701 1902 Star
+6701 1879 Star
+6701 1856 Star
+6701 1833 Star
+6701 1810 Star
+6701 1787 Star
+6701 1765 Star
+6701 1742 Star
+6701 1719 Star
+6701 1696 Star
+6701 1673 Star
+6701 1650 Star
+6701 1628 Star
+6701 1605 Star
+6701 1582 Star
+6701 1559 Star
+6701 1536 Star
+6701 1513 Star
+6701 1491 Star
+6701 1468 Star
+6701 1445 Star
+6701 1422 Star
+6701 1399 Star
+6701 1376 Star
+6701 1354 Star
+6701 1331 Star
+6701 1308 Star
+6701 1285 Star
+6701 1262 Star
+6701 1239 Star
+6701 1216 Star
+6701 1194 Star
+6701 1171 Star
+6701 1148 Star
+6701 1125 Star
+6701 1102 Star
+6701 1079 Star
+6701 1057 Star
+6701 1034 Star
+6701 1011 Star
+6701 988 Star
+6701 965 Star
+6701 942 Star
+6701 920 Star
+6701 897 Star
+6701 874 Star
+6701 851 Star
+6701 828 Star
+6701 805 Star
+6701 782 Star
+6701 760 Star
+6701 737 Star
+6701 714 Star
+6701 691 Star
+6701 668 Star
+6701 645 Star
+6701 623 Star
+6701 600 Star
+6701 577 Star
+6701 554 Star
+6701 531 Star
+6701 508 Star
+6701 486 Star
+6733 2655 Star
+6733 2633 Star
+6733 2610 Star
+6733 2587 Star
+6733 2564 Star
+6733 2541 Star
+6733 2518 Star
+6733 2496 Star
+6733 2473 Star
+6733 2450 Star
+6733 2427 Star
+6733 2404 Star
+6733 2381 Star
+6733 2359 Star
+6733 2336 Star
+6733 2313 Star
+6733 2290 Star
+6733 2267 Star
+6733 2244 Star
+6733 2221 Star
+6733 2199 Star
+6733 2176 Star
+6733 2153 Star
+6733 2130 Star
+6733 2107 Star
+6733 2084 Star
+6733 2062 Star
+6733 2039 Star
+6733 2016 Star
+6733 1993 Star
+6733 1970 Star
+6733 1947 Star
+6733 1925 Star
+6733 1902 Star
+6733 1879 Star
+6733 1856 Star
+6733 1833 Star
+6733 1810 Star
+6733 1787 Star
+6733 1765 Star
+6733 1742 Star
+6733 1719 Star
+6733 1696 Star
+6733 1673 Star
+6733 1650 Star
+6733 1628 Star
+6733 1605 Star
+6733 1582 Star
+6733 1559 Star
+6733 1536 Star
+6733 1513 Star
+6733 1491 Star
+6733 1468 Star
+6733 1445 Star
+6733 1422 Star
+6733 1399 Star
+6733 1376 Star
+6733 1354 Star
+6733 1331 Star
+6733 1308 Star
+6733 1285 Star
+6733 1262 Star
+6733 1239 Star
+6733 1216 Star
+6733 1194 Star
+6733 1171 Star
+6733 1148 Star
+6733 1125 Star
+6733 1102 Star
+6733 1079 Star
+6733 1057 Star
+6733 1034 Star
+6733 1011 Star
+6733 988 Star
+6733 965 Star
+6733 942 Star
+6733 920 Star
+6733 897 Star
+6733 874 Star
+6733 851 Star
+6733 828 Star
+6733 805 Star
+6733 782 Star
+6733 760 Star
+6733 737 Star
+6733 714 Star
+6733 691 Star
+6733 668 Star
+6733 645 Star
+6733 623 Star
+6733 600 Star
+6733 577 Star
+6733 554 Star
+6733 531 Star
+6733 508 Star
+6733 486 Star
+6733 463 Star
+6765 2655 Star
+6765 2633 Star
+6765 2610 Star
+6765 2587 Star
+6765 2564 Star
+6765 2541 Star
+6765 2518 Star
+6765 2496 Star
+6765 2473 Star
+6765 2450 Star
+6765 2427 Star
+6765 2404 Star
+6765 2381 Star
+6765 2359 Star
+6765 2336 Star
+6765 2313 Star
+6765 2290 Star
+6765 2267 Star
+6765 2244 Star
+6765 2221 Star
+6765 2199 Star
+6765 2176 Star
+6765 2153 Star
+6765 2130 Star
+6765 2107 Star
+6765 2084 Star
+6765 2062 Star
+6765 2039 Star
+6765 2016 Star
+6765 1993 Star
+6765 1970 Star
+6765 1947 Star
+6765 1925 Star
+6765 1902 Star
+6765 1879 Star
+6765 1856 Star
+6765 1833 Star
+6765 1810 Star
+6765 1787 Star
+6765 1765 Star
+6765 1742 Star
+6765 1719 Star
+6765 1696 Star
+6765 1673 Star
+6765 1650 Star
+6765 1628 Star
+6765 1605 Star
+6765 1582 Star
+6765 1559 Star
+6765 1536 Star
+6765 1513 Star
+6765 1491 Star
+6765 1468 Star
+6765 1445 Star
+6765 1422 Star
+6765 1399 Star
+6765 1376 Star
+6765 1354 Star
+6765 1331 Star
+6765 1308 Star
+6765 1285 Star
+6765 1262 Star
+6765 1239 Star
+6765 1216 Star
+6765 1194 Star
+6765 1171 Star
+6765 1148 Star
+6765 1125 Star
+6765 1102 Star
+6765 1079 Star
+6765 1057 Star
+6765 1034 Star
+6765 1011 Star
+6765 988 Star
+6765 965 Star
+6765 942 Star
+6765 920 Star
+6765 897 Star
+6765 874 Star
+6765 851 Star
+6765 828 Star
+6765 805 Star
+6765 782 Star
+6765 760 Star
+6765 737 Star
+6765 714 Star
+6765 691 Star
+6765 668 Star
+6765 645 Star
+6765 623 Star
+6765 600 Star
+6765 577 Star
+6765 554 Star
+6765 531 Star
+6765 508 Star
+6765 486 Star
+6765 463 Star
+6765 440 Star
+6797 2633 Star
+6797 2610 Star
+6797 2587 Star
+6797 2564 Star
+6797 2541 Star
+6797 2518 Star
+6797 2496 Star
+6797 2473 Star
+6797 2450 Star
+6797 2427 Star
+6797 2404 Star
+6797 2381 Star
+6797 2359 Star
+6797 2336 Star
+6797 2313 Star
+6797 2290 Star
+6797 2267 Star
+6797 2244 Star
+6797 2221 Star
+6797 2199 Star
+6797 2176 Star
+6797 2153 Star
+6797 2130 Star
+6797 2107 Star
+6797 2084 Star
+6797 2062 Star
+6797 2039 Star
+6797 2016 Star
+6797 1993 Star
+6797 1970 Star
+6797 1947 Star
+6797 1925 Star
+6797 1902 Star
+6797 1879 Star
+6797 1856 Star
+6797 1833 Star
+6797 1810 Star
+6797 1787 Star
+6797 1765 Star
+6797 1742 Star
+6797 1719 Star
+6797 1696 Star
+6797 1673 Star
+6797 1650 Star
+6797 1628 Star
+6797 1605 Star
+6797 1582 Star
+6797 1559 Star
+6797 1536 Star
+6797 1513 Star
+6797 1491 Star
+6797 1468 Star
+6797 1445 Star
+6797 1422 Star
+6797 1399 Star
+6797 1376 Star
+6797 1354 Star
+6797 1331 Star
+6797 1308 Star
+6797 1285 Star
+6797 1262 Star
+6797 1239 Star
+6797 1216 Star
+6797 1194 Star
+6797 1171 Star
+6797 1148 Star
+6797 1125 Star
+6797 1102 Star
+6797 1079 Star
+6797 1057 Star
+6797 1034 Star
+6797 1011 Star
+6797 988 Star
+6797 965 Star
+6797 942 Star
+6797 920 Star
+6797 897 Star
+6797 874 Star
+6797 851 Star
+6797 828 Star
+6797 805 Star
+6797 782 Star
+6797 760 Star
+6797 737 Star
+6797 714 Star
+6797 691 Star
+6797 668 Star
+6797 645 Star
+6797 623 Star
+6797 600 Star
+6797 577 Star
+6797 554 Star
+6797 531 Star
+6797 508 Star
+6797 486 Star
+6797 463 Star
+6797 440 Star
+6797 417 Star
+6829 2633 Star
+6829 2610 Star
+6829 2587 Star
+6829 2564 Star
+6829 2541 Star
+6829 2518 Star
+6829 2496 Star
+6829 2473 Star
+6829 2450 Star
+6829 2427 Star
+6829 2404 Star
+6829 2381 Star
+6829 2359 Star
+6829 2336 Star
+6829 2313 Star
+6829 2290 Star
+6829 2267 Star
+6829 2244 Star
+6829 2221 Star
+6829 2199 Star
+6829 2176 Star
+6829 2153 Star
+6829 2130 Star
+6829 2107 Star
+6829 2084 Star
+6829 2062 Star
+6829 2039 Star
+6829 2016 Star
+6829 1993 Star
+6829 1970 Star
+6829 1947 Star
+6829 1925 Star
+6829 1902 Star
+6829 1879 Star
+6829 1856 Star
+6829 1833 Star
+6829 1810 Star
+6829 1787 Star
+6829 1765 Star
+6829 1742 Star
+6829 1719 Star
+6829 1696 Star
+6829 1673 Star
+6829 1650 Star
+6829 1628 Star
+6829 1605 Star
+6829 1582 Star
+6829 1559 Star
+6829 1536 Star
+6829 1513 Star
+6829 1491 Star
+6829 1468 Star
+6829 1445 Star
+6829 1422 Star
+6829 1399 Star
+6829 1376 Star
+6829 1354 Star
+6829 1331 Star
+6829 1308 Star
+6829 1285 Star
+6829 1262 Star
+6829 1239 Star
+6829 1216 Star
+6829 1194 Star
+6829 1171 Star
+6829 1148 Star
+6829 1125 Star
+6829 1102 Star
+6829 1079 Star
+6829 1057 Star
+6829 1034 Star
+6829 1011 Star
+6829 988 Star
+6829 965 Star
+6829 942 Star
+6829 920 Star
+6829 897 Star
+6829 874 Star
+6829 851 Star
+6829 828 Star
+6829 805 Star
+6829 782 Star
+6829 760 Star
+6829 737 Star
+6829 714 Star
+6829 691 Star
+6829 668 Star
+6829 645 Star
+6829 623 Star
+6829 600 Star
+6829 577 Star
+6829 554 Star
+6829 531 Star
+6829 508 Star
+6829 486 Star
+6829 463 Star
+6829 440 Star
+6829 417 Star
+6829 394 Star
+6861 2610 Star
+6861 2587 Star
+6861 2564 Star
+6861 2541 Star
+6861 2518 Star
+6861 2496 Star
+6861 2473 Star
+6861 2450 Star
+6861 2427 Star
+6861 2404 Star
+6861 2381 Star
+6861 2359 Star
+6861 2336 Star
+6861 2313 Star
+6861 2290 Star
+6861 2267 Star
+6861 2244 Star
+6861 2221 Star
+6861 2199 Star
+6861 2176 Star
+6861 2153 Star
+6861 2130 Star
+6861 2107 Star
+6861 2084 Star
+6861 2062 Star
+6861 2039 Star
+6861 2016 Star
+6861 1993 Star
+6861 1970 Star
+6861 1947 Star
+6861 1925 Star
+6861 1902 Star
+6861 1879 Star
+6861 1856 Star
+6861 1833 Star
+6861 1810 Star
+6861 1787 Star
+6861 1765 Star
+6861 1742 Star
+6861 1719 Star
+6861 1696 Star
+6861 1673 Star
+6861 1650 Star
+6861 1628 Star
+6861 1605 Star
+6861 1582 Star
+6861 1559 Star
+6861 1536 Star
+6861 1513 Star
+6861 1491 Star
+6861 1468 Star
+6861 1445 Star
+6861 1422 Star
+6861 1399 Star
+6861 1376 Star
+6861 1354 Star
+6861 1331 Star
+6861 1308 Star
+6861 1285 Star
+6861 1262 Star
+6861 1239 Star
+6861 1216 Star
+6861 1194 Star
+6861 1171 Star
+6861 1148 Star
+6861 1125 Star
+6861 1102 Star
+6861 1079 Star
+6861 1057 Star
+6861 1034 Star
+6861 1011 Star
+6861 988 Star
+6861 965 Star
+6861 942 Star
+6861 920 Star
+6861 897 Star
+6861 874 Star
+6861 851 Star
+6861 828 Star
+6861 805 Star
+6861 782 Star
+6861 760 Star
+6861 737 Star
+6861 714 Star
+6861 691 Star
+6861 668 Star
+6861 645 Star
+6861 623 Star
+6861 600 Star
+6861 577 Star
+6861 554 Star
+6861 531 Star
+6861 508 Star
+6861 486 Star
+6861 463 Star
+6861 440 Star
+6861 417 Star
+6861 394 Star
+6861 371 Star
+6893 2610 Star
+6893 2587 Star
+6893 2564 Star
+6893 2541 Star
+6893 2518 Star
+6893 2496 Star
+6893 2473 Star
+6893 2450 Star
+6893 2427 Star
+6893 2404 Star
+6893 2381 Star
+6893 2359 Star
+6893 2336 Star
+6893 2313 Star
+6893 2290 Star
+6893 2267 Star
+6893 2244 Star
+6893 2221 Star
+6893 2199 Star
+6893 2176 Star
+6893 2153 Star
+6893 2130 Star
+6893 2107 Star
+6893 2084 Star
+6893 2062 Star
+6893 2039 Star
+6893 2016 Star
+6893 1993 Star
+6893 1970 Star
+6893 1947 Star
+6893 1925 Star
+6893 1902 Star
+6893 1879 Star
+6893 1856 Star
+6893 1833 Star
+6893 1810 Star
+6893 1787 Star
+6893 1765 Star
+6893 1742 Star
+6893 1719 Star
+6893 1696 Star
+6893 1673 Star
+6893 1650 Star
+6893 1628 Star
+6893 1605 Star
+6893 1582 Star
+6893 1559 Star
+6893 1536 Star
+6893 1513 Star
+6893 1491 Star
+6893 1468 Star
+6893 1445 Star
+6893 1422 Star
+6893 1399 Star
+6893 1376 Star
+6893 1354 Star
+6893 1331 Star
+6893 1308 Star
+6893 1285 Star
+6893 1262 Star
+6893 1239 Star
+6893 1216 Star
+6893 1194 Star
+6893 1171 Star
+6893 1148 Star
+6893 1125 Star
+6893 1102 Star
+6893 1079 Star
+6893 1057 Star
+6893 1034 Star
+6893 1011 Star
+6893 988 Star
+6893 965 Star
+6893 942 Star
+6893 920 Star
+6893 897 Star
+6893 874 Star
+6893 851 Star
+6893 828 Star
+6893 805 Star
+6893 782 Star
+6893 760 Star
+6893 737 Star
+6893 714 Star
+6893 691 Star
+6893 668 Star
+6893 645 Star
+6893 623 Star
+6893 600 Star
+6893 577 Star
+6893 554 Star
+6893 531 Star
+6893 508 Star
+6893 486 Star
+6893 463 Star
+6893 440 Star
+6893 417 Star
+6893 394 Star
+6893 371 Star
+6893 349 Star
+6925 2587 Star
+6925 2564 Star
+6925 2541 Star
+6925 2518 Star
+6925 2496 Star
+6925 2473 Star
+6925 2450 Star
+6925 2427 Star
+6925 2404 Star
+6925 2381 Star
+6925 2359 Star
+6925 2336 Star
+6925 2313 Star
+6925 2290 Star
+6925 2267 Star
+6925 2244 Star
+6925 2221 Star
+6925 2199 Star
+6925 2176 Star
+6925 2153 Star
+6925 2130 Star
+6925 2107 Star
+6925 2084 Star
+6925 2062 Star
+6925 2039 Star
+6925 2016 Star
+6925 1993 Star
+6925 1970 Star
+6925 1947 Star
+6925 1925 Star
+6925 1902 Star
+6925 1879 Star
+6925 1856 Star
+6925 1833 Star
+6925 1810 Star
+6925 1787 Star
+6925 1765 Star
+6925 1742 Star
+6925 1719 Star
+6925 1696 Star
+6925 1673 Star
+6925 1650 Star
+6925 1628 Star
+6925 1605 Star
+6925 1582 Star
+6925 1559 Star
+6925 1536 Star
+6925 1513 Star
+6925 1491 Star
+6925 1468 Star
+6925 1445 Star
+6925 1422 Star
+6925 1399 Star
+6925 1376 Star
+6925 1354 Star
+6925 1331 Star
+6925 1308 Star
+6925 1285 Star
+6925 1262 Star
+6925 1239 Star
+6925 1216 Star
+6925 1194 Star
+6925 1171 Star
+6925 1148 Star
+6925 1125 Star
+6925 1102 Star
+6925 1079 Star
+6925 1057 Star
+6925 1034 Star
+6925 1011 Star
+6925 988 Star
+6925 965 Star
+6925 942 Star
+6925 920 Star
+6925 897 Star
+6925 874 Star
+6925 851 Star
+6925 828 Star
+6925 805 Star
+6925 782 Star
+6925 760 Star
+6925 737 Star
+6925 714 Star
+6925 691 Star
+6925 668 Star
+6925 645 Star
+6925 623 Star
+6925 600 Star
+6925 577 Star
+6925 554 Star
+6925 531 Star
+6925 508 Star
+6925 486 Star
+6925 463 Star
+6925 440 Star
+6925 417 Star
+6925 394 Star
+6925 371 Star
+6925 349 Star
+6925 326 Star
+6957 2587 Star
+6957 2564 Star
+6957 2541 Star
+6957 2518 Star
+6957 2496 Star
+6957 2473 Star
+6957 2450 Star
+6957 2427 Star
+6957 2404 Star
+6957 2381 Star
+6957 2359 Star
+6957 2336 Star
+6957 2313 Star
+6957 2290 Star
+6957 2267 Star
+6957 2244 Star
+6957 2221 Star
+6957 2199 Star
+6957 2176 Star
+6957 2153 Star
+6957 2130 Star
+6957 2107 Star
+6957 2084 Star
+6957 2062 Star
+6957 2039 Star
+6957 2016 Star
+6957 1993 Star
+6957 1970 Star
+6957 1947 Star
+6957 1925 Star
+6957 1902 Star
+6957 1879 Star
+6957 1856 Star
+6957 1833 Star
+6957 1810 Star
+6957 1787 Star
+6957 1765 Star
+6957 1742 Star
+6957 1719 Star
+6957 1696 Star
+6957 1673 Star
+6957 1650 Star
+6957 1628 Star
+6957 1605 Star
+6957 1582 Star
+6957 1559 Star
+6957 1536 Star
+6957 1513 Star
+6957 1491 Star
+6957 1468 Star
+6957 1445 Star
+6957 1422 Star
+6957 1399 Star
+6957 1376 Star
+6957 1354 Star
+6957 1331 Star
+6957 1308 Star
+6957 1285 Star
+6957 1262 Star
+6957 1239 Star
+6957 1216 Star
+6957 1194 Star
+6957 1171 Star
+6957 1148 Star
+6957 1125 Star
+6957 1102 Star
+6957 1079 Star
+6957 1057 Star
+6957 1034 Star
+6957 1011 Star
+6957 988 Star
+6957 965 Star
+6957 942 Star
+6957 920 Star
+6957 897 Star
+6957 874 Star
+6957 851 Star
+6957 828 Star
+6957 805 Star
+6957 782 Star
+6957 760 Star
+6957 737 Star
+6957 714 Star
+6957 691 Star
+6957 668 Star
+6957 645 Star
+6957 623 Star
+6957 600 Star
+6957 577 Star
+6957 554 Star
+6957 531 Star
+6957 508 Star
+6957 486 Star
+6957 463 Star
+6957 440 Star
+6957 417 Star
+6957 394 Star
+6957 371 Star
+6957 349 Star
+6957 326 Star
+6957 303 Star
+% End plot #1
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/spchol.pdf and 1:3.0.5-6/doc/interpreter/spchol.pdf differ
diff -pruN 1:3.0.1-6/doc/interpreter/spcholperm.eps 1:3.0.5-6/doc/interpreter/spcholperm.eps
--- 1:3.0.1-6/doc/interpreter/spcholperm.eps	2008-04-21 17:56:56.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/spcholperm.eps	2009-01-29 08:11:08.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: spcholperm.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:56 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:08 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (spcholperm.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:56 2008)
+  /CreationDate (Thu Jan 29 09:11:08 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,530 +543,533 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3730 M
+546 3729 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3730 M
+0.00 0.00 0.00 C 462 3729 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2587 M
+546 2587 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2587 M
+0.00 0.00 0.00 C 462 2587 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1445 M
+546 1445 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1445 M
+0.00 0.00 0.00 C 462 1445 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 303 M
+546 303 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 303 M
+0.00 0.00 0.00 C 462 303 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 280 M
+546 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 490 140 M
+0.00 0.00 0.00 C 546 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2100 280 M
+2149 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2100 140 M
+0.00 0.00 0.00 C 2149 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3710 280 M
+3751 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3710 140 M
+0.00 0.00 0.00 C 3751 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5320 280 M
+5354 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5320 140 M
+0.00 0.00 0.00 C 5354 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6930 280 M
+6957 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6930 140 M
+0.00 0.00 0.00 C 6957 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UP
 0.500 UL
 LT0
-0.00 0.00 1.00 C 522 4849 Star
-554 4826 Star
-587 4849 Star
-587 4826 Star
-587 4803 Star
-619 4781 Star
-651 4758 Star
-683 4781 Star
-683 4758 Star
-683 4735 Star
-715 4803 Star
-715 4735 Star
-715 4712 Star
-748 4689 Star
-780 4666 Star
-812 4689 Star
-812 4666 Star
-812 4644 Star
-844 4621 Star
-876 4598 Star
-909 4621 Star
-909 4598 Star
-909 4575 Star
-941 4644 Star
-941 4575 Star
-941 4552 Star
-973 4712 Star
-973 4552 Star
-973 4529 Star
-1005 4506 Star
-1037 4484 Star
-1070 4506 Star
-1070 4484 Star
-1070 4461 Star
-1102 4438 Star
-1134 4415 Star
-1166 4438 Star
-1166 4415 Star
-1166 4392 Star
-1198 4461 Star
-1198 4392 Star
-1198 4369 Star
-1231 4347 Star
-1263 4324 Star
-1295 4347 Star
-1295 4324 Star
-1295 4301 Star
-1327 4278 Star
-1359 4255 Star
-1392 4278 Star
-1392 4255 Star
-1392 4232 Star
-1424 4301 Star
-1424 4232 Star
-1424 4209 Star
-1456 4369 Star
-1456 4209 Star
-1456 4187 Star
-1488 4529 Star
-1488 4187 Star
-1488 4164 Star
-1520 4141 Star
-1553 4118 Star
-1585 4141 Star
-1585 4118 Star
-1585 4095 Star
-1617 4072 Star
-1649 4050 Star
-1681 4072 Star
-1681 4050 Star
-1681 4027 Star
-1714 4095 Star
-1714 4027 Star
-1714 4004 Star
-1746 3981 Star
-1778 3958 Star
-1810 3981 Star
-1810 3958 Star
-1810 3935 Star
-1842 3912 Star
-1875 3890 Star
-1907 3912 Star
-1907 3890 Star
-1907 3867 Star
-1939 3935 Star
-1939 3867 Star
-1939 3844 Star
-1971 4004 Star
-1971 3844 Star
-1971 3821 Star
-2003 3798 Star
-2036 3775 Star
-2068 3798 Star
-2068 3775 Star
-2068 3753 Star
-2100 3730 Star
-2132 3707 Star
-2164 3730 Star
-2164 3707 Star
-2164 3684 Star
-2197 3753 Star
-2197 3684 Star
-2197 3661 Star
-2229 3638 Star
-2261 3615 Star
-2293 3638 Star
-2293 3615 Star
-2293 3593 Star
-2325 3570 Star
-2358 3547 Star
-2390 3570 Star
-2390 3547 Star
-2390 3524 Star
-2422 3593 Star
-2422 3524 Star
-2422 3501 Star
-2454 3661 Star
-2454 3501 Star
-2454 3478 Star
-2486 3821 Star
-2486 3478 Star
-2486 3456 Star
-2519 4164 Star
-2519 3456 Star
-2519 3433 Star
-2551 3410 Star
-2583 3387 Star
-2615 3410 Star
-2615 3387 Star
-2615 3364 Star
-2647 3341 Star
-2680 3318 Star
-2712 3341 Star
-2712 3318 Star
-2712 3296 Star
-2744 3364 Star
-2744 3296 Star
-2744 3273 Star
-2776 3250 Star
-2808 3227 Star
-2841 3250 Star
-2841 3227 Star
-2841 3204 Star
-2873 3181 Star
-2905 3159 Star
-2937 3181 Star
-2937 3159 Star
-2937 3136 Star
-2969 3204 Star
-2969 3136 Star
-2969 3113 Star
-3002 3273 Star
-3002 3113 Star
-3002 3090 Star
-3034 3067 Star
-3066 3044 Star
-3098 3067 Star
-3098 3044 Star
-3098 3021 Star
-3130 2999 Star
-3163 2976 Star
-3195 2999 Star
-3195 2976 Star
-3195 2953 Star
-3227 3021 Star
-3227 2953 Star
-3227 2930 Star
-3259 2907 Star
-3291 2884 Star
-3324 2907 Star
-3324 2884 Star
-3324 2862 Star
-3356 2839 Star
-3388 2816 Star
-3420 2839 Star
-3420 2816 Star
-3420 2793 Star
-3452 2862 Star
-3452 2793 Star
-3452 2770 Star
-3485 2930 Star
-3485 2770 Star
-3485 2747 Star
-3517 3090 Star
-3517 2747 Star
-3517 2724 Star
-3549 2702 Star
-3581 2679 Star
-3613 2702 Star
-3613 2679 Star
-3613 2656 Star
-3646 2633 Star
-3678 2610 Star
-3710 2633 Star
-3710 2610 Star
-3710 2587 Star
-3742 2656 Star
-3742 2587 Star
-3742 2565 Star
-3774 2542 Star
-3806 2519 Star
-3839 2542 Star
-3839 2519 Star
-3839 2496 Star
-3871 2473 Star
-3903 2450 Star
-3935 2473 Star
-3935 2450 Star
-3935 2428 Star
-3967 2496 Star
-3967 2428 Star
-3967 2405 Star
-4000 2565 Star
-4000 2405 Star
-4000 2382 Star
-4032 2359 Star
-4064 2336 Star
-4096 2359 Star
-4096 2336 Star
-4096 2313 Star
-4128 2290 Star
-4161 2268 Star
-4193 2290 Star
-4193 2268 Star
-4193 2245 Star
-4225 2313 Star
-4225 2245 Star
-4225 2222 Star
-4257 2199 Star
-4289 2176 Star
-4322 2199 Star
-4322 2176 Star
-4322 2153 Star
-4354 2131 Star
-4386 2108 Star
-4418 2131 Star
-4418 2108 Star
-4418 2085 Star
-4450 2153 Star
-4450 2085 Star
-4450 2062 Star
-4483 2222 Star
-4483 2062 Star
-4483 2039 Star
-4515 2382 Star
-4515 2039 Star
-4515 2016 Star
-4547 2724 Star
-4547 2016 Star
-4547 1993 Star
-4579 3433 Star
-4579 1993 Star
-4579 1971 Star
-4611 1948 Star
-4644 1925 Star
-4676 1948 Star
-4676 1925 Star
-4676 1902 Star
-4708 1879 Star
-4740 1856 Star
-4772 1879 Star
-4772 1856 Star
-4772 1834 Star
-4805 1902 Star
-4805 1834 Star
-4805 1811 Star
-4837 1788 Star
-4869 1765 Star
-4901 1788 Star
-4901 1765 Star
-4901 1742 Star
-4933 1719 Star
-4966 1696 Star
-4998 1719 Star
-4998 1696 Star
-4998 1674 Star
-5030 1742 Star
-5030 1674 Star
-5030 1651 Star
-5062 1811 Star
-5062 1651 Star
-5062 1628 Star
-5094 1605 Star
-5127 1582 Star
-5159 1605 Star
-5159 1582 Star
-5159 1559 Star
-5191 1537 Star
-5223 1514 Star
-5255 1537 Star
-5255 1514 Star
-5255 1491 Star
-5288 1559 Star
-5288 1491 Star
-5288 1468 Star
-5320 1445 Star
-5352 1422 Star
-5384 1445 Star
-5384 1422 Star
-5384 1399 Star
-5416 1377 Star
-5449 1354 Star
-5481 1377 Star
-5481 1354 Star
-5481 1331 Star
-5513 1399 Star
-5513 1331 Star
-5513 1308 Star
-5545 1468 Star
-5545 1308 Star
-5545 1285 Star
-5577 1628 Star
-5577 1285 Star
-5577 1262 Star
-5610 1240 Star
-5642 1217 Star
-5674 1240 Star
-5674 1217 Star
-5674 1194 Star
-5706 1171 Star
-5738 1148 Star
-5771 1171 Star
+0.00 0.00 1.00 C 578 4848 Star
+610 4825 Star
+642 4848 Star
+642 4825 Star
+642 4802 Star
+674 4780 Star
+706 4757 Star
+738 4780 Star
+738 4757 Star
+738 4734 Star
+770 4802 Star
+770 4734 Star
+770 4711 Star
+802 4688 Star
+834 4665 Star
+867 4688 Star
+867 4665 Star
+867 4643 Star
+899 4620 Star
+931 4597 Star
+963 4620 Star
+963 4597 Star
+963 4574 Star
+995 4643 Star
+995 4574 Star
+995 4551 Star
+1027 4711 Star
+1027 4551 Star
+1027 4528 Star
+1059 4506 Star
+1091 4483 Star
+1123 4506 Star
+1123 4483 Star
+1123 4460 Star
+1155 4437 Star
+1187 4414 Star
+1219 4437 Star
+1219 4414 Star
+1219 4391 Star
+1251 4460 Star
+1251 4391 Star
+1251 4369 Star
+1283 4346 Star
+1315 4323 Star
+1347 4346 Star
+1347 4323 Star
+1347 4300 Star
+1379 4277 Star
+1411 4254 Star
+1444 4277 Star
+1444 4254 Star
+1444 4231 Star
+1476 4300 Star
+1476 4231 Star
+1476 4209 Star
+1508 4369 Star
+1508 4209 Star
+1508 4186 Star
+1540 4528 Star
+1540 4186 Star
+1540 4163 Star
+1572 4140 Star
+1604 4117 Star
+1636 4140 Star
+1636 4117 Star
+1636 4094 Star
+1668 4072 Star
+1700 4049 Star
+1732 4072 Star
+1732 4049 Star
+1732 4026 Star
+1764 4094 Star
+1764 4026 Star
+1764 4003 Star
+1796 3980 Star
+1828 3957 Star
+1860 3980 Star
+1860 3957 Star
+1860 3935 Star
+1892 3912 Star
+1924 3889 Star
+1956 3912 Star
+1956 3889 Star
+1956 3866 Star
+1988 3935 Star
+1988 3866 Star
+1988 3843 Star
+2021 4003 Star
+2021 3843 Star
+2021 3820 Star
+2053 3797 Star
+2085 3775 Star
+2117 3797 Star
+2117 3775 Star
+2117 3752 Star
+2149 3729 Star
+2181 3706 Star
+2213 3729 Star
+2213 3706 Star
+2213 3683 Star
+2245 3752 Star
+2245 3683 Star
+2245 3660 Star
+2277 3638 Star
+2309 3615 Star
+2341 3638 Star
+2341 3615 Star
+2341 3592 Star
+2373 3569 Star
+2405 3546 Star
+2437 3569 Star
+2437 3546 Star
+2437 3523 Star
+2469 3592 Star
+2469 3523 Star
+2469 3501 Star
+2501 3660 Star
+2501 3501 Star
+2501 3478 Star
+2533 3820 Star
+2533 3478 Star
+2533 3455 Star
+2565 4163 Star
+2565 3455 Star
+2565 3432 Star
+2598 3409 Star
+2630 3386 Star
+2662 3409 Star
+2662 3386 Star
+2662 3364 Star
+2694 3341 Star
+2726 3318 Star
+2758 3341 Star
+2758 3318 Star
+2758 3295 Star
+2790 3364 Star
+2790 3295 Star
+2790 3272 Star
+2822 3249 Star
+2854 3226 Star
+2886 3249 Star
+2886 3226 Star
+2886 3204 Star
+2918 3181 Star
+2950 3158 Star
+2982 3181 Star
+2982 3158 Star
+2982 3135 Star
+3014 3204 Star
+3014 3135 Star
+3014 3112 Star
+3046 3272 Star
+3046 3112 Star
+3046 3089 Star
+3078 3067 Star
+3110 3044 Star
+3142 3067 Star
+3142 3044 Star
+3142 3021 Star
+3174 2998 Star
+3207 2975 Star
+3239 2998 Star
+3239 2975 Star
+3239 2952 Star
+3271 3021 Star
+3271 2952 Star
+3271 2930 Star
+3303 2907 Star
+3335 2884 Star
+3367 2907 Star
+3367 2884 Star
+3367 2861 Star
+3399 2838 Star
+3431 2815 Star
+3463 2838 Star
+3463 2815 Star
+3463 2792 Star
+3495 2861 Star
+3495 2792 Star
+3495 2770 Star
+3527 2930 Star
+3527 2770 Star
+3527 2747 Star
+3559 3089 Star
+3559 2747 Star
+3559 2724 Star
+3591 2701 Star
+3623 2678 Star
+3655 2701 Star
+3655 2678 Star
+3655 2655 Star
+3687 2633 Star
+3719 2610 Star
+3751 2633 Star
+3751 2610 Star
+3751 2587 Star
+3784 2655 Star
+3784 2587 Star
+3784 2564 Star
+3816 2541 Star
+3848 2518 Star
+3880 2541 Star
+3880 2518 Star
+3880 2496 Star
+3912 2473 Star
+3944 2450 Star
+3976 2473 Star
+3976 2450 Star
+3976 2427 Star
+4008 2496 Star
+4008 2427 Star
+4008 2404 Star
+4040 2564 Star
+4040 2404 Star
+4040 2381 Star
+4072 2359 Star
+4104 2336 Star
+4136 2359 Star
+4136 2336 Star
+4136 2313 Star
+4168 2290 Star
+4200 2267 Star
+4232 2290 Star
+4232 2267 Star
+4232 2244 Star
+4264 2313 Star
+4264 2244 Star
+4264 2221 Star
+4296 2199 Star
+4328 2176 Star
+4361 2199 Star
+4361 2176 Star
+4361 2153 Star
+4393 2130 Star
+4425 2107 Star
+4457 2130 Star
+4457 2107 Star
+4457 2084 Star
+4489 2153 Star
+4489 2084 Star
+4489 2062 Star
+4521 2221 Star
+4521 2062 Star
+4521 2039 Star
+4553 2381 Star
+4553 2039 Star
+4553 2016 Star
+4585 2724 Star
+4585 2016 Star
+4585 1993 Star
+4617 3432 Star
+4617 1993 Star
+4617 1970 Star
+4649 1947 Star
+4681 1925 Star
+4713 1947 Star
+4713 1925 Star
+4713 1902 Star
+4745 1879 Star
+4777 1856 Star
+4809 1879 Star
+4809 1856 Star
+4809 1833 Star
+4841 1902 Star
+4841 1833 Star
+4841 1810 Star
+4873 1787 Star
+4905 1765 Star
+4937 1787 Star
+4937 1765 Star
+4937 1742 Star
+4970 1719 Star
+5002 1696 Star
+5034 1719 Star
+5034 1696 Star
+5034 1673 Star
+5066 1742 Star
+5066 1673 Star
+5066 1650 Star
+5098 1810 Star
+5098 1650 Star
+5098 1628 Star
+5130 1605 Star
+5162 1582 Star
+5194 1605 Star
+5194 1582 Star
+5194 1559 Star
+5226 1536 Star
+5258 1513 Star
+5290 1536 Star
+5290 1513 Star
+5290 1491 Star
+5322 1559 Star
+5322 1491 Star
+5322 1468 Star
+5354 1445 Star
+5386 1422 Star
+5418 1445 Star
+5418 1422 Star
+5418 1399 Star
+5450 1376 Star
+5482 1354 Star
+5514 1376 Star
+5514 1354 Star
+5514 1331 Star
+5547 1399 Star
+5547 1331 Star
+5547 1308 Star
+5579 1468 Star
+5579 1308 Star
+5579 1285 Star
+5611 1628 Star
+5611 1285 Star
+5611 1262 Star
+5643 1239 Star
+5675 1216 Star
+5707 1239 Star
+5707 1216 Star
+5707 1194 Star
+5739 1171 Star
 5771 1148 Star
-5771 1125 Star
-5803 1194 Star
+5803 1171 Star
+5803 1148 Star
 5803 1125 Star
-5803 1102 Star
-5835 1080 Star
-5867 1057 Star
-5899 1080 Star
+5835 1194 Star
+5835 1125 Star
+5835 1102 Star
+5867 1079 Star
 5899 1057 Star
-5899 1034 Star
-5932 1011 Star
-5964 988 Star
-5996 1011 Star
-5996 988 Star
-5996 965 Star
-6028 1034 Star
-6028 965 Star
-6028 943 Star
-6060 1102 Star
-6060 943 Star
-6060 920 Star
-6093 897 Star
-6125 874 Star
-6157 897 Star
-6157 874 Star
-6157 851 Star
-6189 828 Star
-6221 805 Star
-6254 828 Star
-6254 805 Star
-6254 783 Star
-6286 851 Star
-6286 783 Star
-6286 760 Star
-6318 737 Star
-6350 714 Star
-6382 737 Star
-6382 714 Star
-6382 691 Star
-6415 668 Star
-6447 646 Star
-6479 668 Star
-6479 646 Star
-6479 623 Star
-6511 691 Star
-6511 623 Star
-6511 600 Star
-6543 760 Star
-6543 600 Star
-6543 577 Star
-6576 554 Star
-6608 531 Star
-6640 554 Star
-6640 531 Star
-6640 508 Star
-6672 486 Star
-6704 463 Star
-6737 486 Star
-6737 463 Star
-6737 440 Star
-6769 508 Star
-6769 440 Star
-6769 417 Star
-6801 577 Star
-6801 417 Star
-6801 394 Star
-6833 920 Star
-6833 394 Star
-6833 371 Star
-6865 1262 Star
-6865 371 Star
-6865 349 Star
-6898 326 Star
-6930 1971 Star
-6930 349 Star
-6930 326 Star
-6930 303 Star
+5931 1079 Star
+5931 1057 Star
+5931 1034 Star
+5963 1011 Star
+5995 988 Star
+6027 1011 Star
+6027 988 Star
+6027 965 Star
+6059 1034 Star
+6059 965 Star
+6059 942 Star
+6091 1102 Star
+6091 942 Star
+6091 920 Star
+6124 897 Star
+6156 874 Star
+6188 897 Star
+6188 874 Star
+6188 851 Star
+6220 828 Star
+6252 805 Star
+6284 828 Star
+6284 805 Star
+6284 782 Star
+6316 851 Star
+6316 782 Star
+6316 760 Star
+6348 737 Star
+6380 714 Star
+6412 737 Star
+6412 714 Star
+6412 691 Star
+6444 668 Star
+6476 645 Star
+6508 668 Star
+6508 645 Star
+6508 623 Star
+6540 691 Star
+6540 623 Star
+6540 600 Star
+6572 760 Star
+6572 600 Star
+6572 577 Star
+6604 554 Star
+6636 531 Star
+6668 554 Star
+6668 531 Star
+6668 508 Star
+6701 486 Star
+6733 463 Star
+6765 486 Star
+6765 463 Star
+6765 440 Star
+6797 508 Star
+6797 440 Star
+6797 417 Star
+6829 577 Star
+6829 417 Star
+6829 394 Star
+6861 920 Star
+6861 394 Star
+6861 371 Star
+6893 1262 Star
+6893 371 Star
+6893 349 Star
+6925 326 Star
+6957 1970 Star
+6957 349 Star
+6957 326 Star
+6957 303 Star
+% End plot #1
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/spcholperm.pdf and 1:3.0.5-6/doc/interpreter/spcholperm.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/spcholperm.png and 1:3.0.5-6/doc/interpreter/spcholperm.png differ
Binary files 1:3.0.1-6/doc/interpreter/spchol.png and 1:3.0.5-6/doc/interpreter/spchol.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/spmatrix.eps 1:3.0.5-6/doc/interpreter/spmatrix.eps
--- 1:3.0.1-6/doc/interpreter/spmatrix.eps	2008-04-21 17:56:53.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/spmatrix.eps	2009-01-29 08:11:06.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: spmatrix.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:56:53 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:06 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (spmatrix.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:56:53 2008)
+  /CreationDate (Thu Jan 29 09:11:06 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,729 +543,732 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3730 M
+546 3729 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3730 M
+0.00 0.00 0.00 C 462 3729 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2587 M
+546 2587 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2587 M
+0.00 0.00 0.00 C 462 2587 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1445 M
+546 1445 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1445 M
+0.00 0.00 0.00 C 462 1445 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 303 M
+546 303 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 303 M
+0.00 0.00 0.00 C 462 303 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 280 M
+546 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 490 140 M
+0.00 0.00 0.00 C 546 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2100 280 M
+2149 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2100 140 M
+0.00 0.00 0.00 C 2149 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (50)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3710 280 M
+3751 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3710 140 M
+0.00 0.00 0.00 C 3751 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (100)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5320 280 M
+5354 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5320 140 M
+0.00 0.00 0.00 C 5354 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (150)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6930 280 M
+6957 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6930 140 M
+0.00 0.00 0.00 C 6957 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (200)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 1.000 UP
 0.500 UL
 LT0
-0.00 0.00 1.00 C 522 4849 Star
-522 4826 Star
-554 4849 Star
-554 4826 Star
-554 4803 Star
-554 4781 Star
-587 4826 Star
-587 4803 Star
-587 4758 Star
-587 4735 Star
-619 4826 Star
-619 4781 Star
-619 4712 Star
-619 4689 Star
-651 4803 Star
-651 4758 Star
-651 4666 Star
-651 4644 Star
-683 4803 Star
-683 4735 Star
-683 4621 Star
-683 4598 Star
-715 4781 Star
-715 4712 Star
-715 4575 Star
-715 4552 Star
-748 4781 Star
-748 4689 Star
-748 4529 Star
-748 4506 Star
-780 4758 Star
-780 4666 Star
-780 4484 Star
-780 4461 Star
-812 4758 Star
-812 4644 Star
-812 4438 Star
-812 4415 Star
-844 4735 Star
-844 4621 Star
-844 4392 Star
-844 4369 Star
-876 4735 Star
-876 4598 Star
-876 4347 Star
-876 4324 Star
-909 4712 Star
-909 4575 Star
-909 4301 Star
-909 4278 Star
-941 4712 Star
-941 4552 Star
-941 4255 Star
-941 4232 Star
-973 4689 Star
-973 4529 Star
-973 4209 Star
-973 4187 Star
-1005 4689 Star
-1005 4506 Star
-1005 4164 Star
-1005 4141 Star
-1037 4666 Star
-1037 4484 Star
-1037 4118 Star
-1037 4095 Star
-1070 4666 Star
-1070 4461 Star
-1070 4072 Star
-1070 4050 Star
-1102 4644 Star
-1102 4438 Star
-1102 4027 Star
-1102 4004 Star
-1134 4644 Star
-1134 4415 Star
-1134 3981 Star
-1134 3958 Star
-1166 4621 Star
-1166 4392 Star
-1166 3935 Star
-1166 3912 Star
-1198 4621 Star
-1198 4369 Star
-1198 3890 Star
-1198 3867 Star
-1231 4598 Star
-1231 4347 Star
-1231 3844 Star
-1231 3821 Star
-1263 4598 Star
-1263 4324 Star
-1263 3798 Star
-1263 3775 Star
-1295 4575 Star
-1295 4301 Star
-1295 3753 Star
-1295 3730 Star
-1327 4575 Star
-1327 4278 Star
-1327 3707 Star
-1327 3684 Star
-1359 4552 Star
-1359 4255 Star
-1359 3661 Star
-1359 3638 Star
-1392 4552 Star
-1392 4232 Star
-1392 3615 Star
-1392 3593 Star
-1424 4529 Star
-1424 4209 Star
-1424 3570 Star
-1424 3547 Star
-1456 4529 Star
-1456 4187 Star
-1456 3524 Star
-1456 3501 Star
-1488 4506 Star
-1488 4164 Star
-1488 3478 Star
-1488 3456 Star
-1520 4506 Star
-1520 4141 Star
-1520 3433 Star
-1520 3410 Star
-1553 4484 Star
-1553 4118 Star
-1553 3387 Star
-1553 3364 Star
-1585 4484 Star
-1585 4095 Star
-1585 3341 Star
-1585 3318 Star
-1617 4461 Star
-1617 4072 Star
-1617 3296 Star
-1617 3273 Star
-1649 4461 Star
-1649 4050 Star
-1649 3250 Star
-1649 3227 Star
-1681 4438 Star
-1681 4027 Star
-1681 3204 Star
-1681 3181 Star
-1714 4438 Star
-1714 4004 Star
-1714 3159 Star
-1714 3136 Star
-1746 4415 Star
-1746 3981 Star
-1746 3113 Star
-1746 3090 Star
-1778 4415 Star
-1778 3958 Star
-1778 3067 Star
-1778 3044 Star
-1810 4392 Star
-1810 3935 Star
-1810 3021 Star
-1810 2999 Star
-1842 4392 Star
-1842 3912 Star
-1842 2976 Star
-1842 2953 Star
-1875 4369 Star
-1875 3890 Star
-1875 2930 Star
-1875 2907 Star
-1907 4369 Star
-1907 3867 Star
-1907 2884 Star
-1907 2862 Star
-1939 4347 Star
-1939 3844 Star
-1939 2839 Star
-1939 2816 Star
-1971 4347 Star
-1971 3821 Star
-1971 2793 Star
-1971 2770 Star
-2003 4324 Star
-2003 3798 Star
-2003 2747 Star
-2003 2724 Star
-2036 4324 Star
-2036 3775 Star
-2036 2702 Star
-2036 2679 Star
-2068 4301 Star
-2068 3753 Star
-2068 2656 Star
-2068 2633 Star
-2100 4301 Star
-2100 3730 Star
-2100 2610 Star
-2100 2587 Star
-2132 4278 Star
-2132 3707 Star
-2132 2565 Star
-2132 2542 Star
-2164 4278 Star
-2164 3684 Star
-2164 2519 Star
-2164 2496 Star
-2197 4255 Star
-2197 3661 Star
-2197 2473 Star
-2197 2450 Star
-2229 4255 Star
-2229 3638 Star
-2229 2428 Star
-2229 2405 Star
-2261 4232 Star
-2261 3615 Star
-2261 2382 Star
-2261 2359 Star
-2293 4232 Star
-2293 3593 Star
-2293 2336 Star
-2293 2313 Star
-2325 4209 Star
-2325 3570 Star
-2325 2290 Star
-2325 2268 Star
-2358 4209 Star
-2358 3547 Star
-2358 2245 Star
-2358 2222 Star
-2390 4187 Star
-2390 3524 Star
-2390 2199 Star
-2390 2176 Star
-2422 4187 Star
-2422 3501 Star
-2422 2153 Star
-2422 2131 Star
-2454 4164 Star
-2454 3478 Star
-2454 2108 Star
-2454 2085 Star
-2486 4164 Star
-2486 3456 Star
-2486 2062 Star
-2486 2039 Star
-2519 4141 Star
-2519 3433 Star
-2519 2016 Star
-2519 1993 Star
-2551 4141 Star
-2551 3410 Star
-2551 1971 Star
-2551 1948 Star
-2583 4118 Star
-2583 3387 Star
-2583 1925 Star
-2583 1902 Star
-2615 4118 Star
-2615 3364 Star
-2615 1879 Star
-2615 1856 Star
-2647 4095 Star
-2647 3341 Star
-2647 1834 Star
-2647 1811 Star
-2680 4095 Star
-2680 3318 Star
-2680 1788 Star
-2680 1765 Star
-2712 4072 Star
-2712 3296 Star
-2712 1742 Star
-2712 1719 Star
-2744 4072 Star
-2744 3273 Star
-2744 1696 Star
-2744 1674 Star
-2776 4050 Star
-2776 3250 Star
-2776 1651 Star
-2776 1628 Star
-2808 4050 Star
-2808 3227 Star
-2808 1605 Star
-2808 1582 Star
-2841 4027 Star
-2841 3204 Star
-2841 1559 Star
-2841 1537 Star
-2873 4027 Star
-2873 3181 Star
-2873 1514 Star
-2873 1491 Star
-2905 4004 Star
-2905 3159 Star
-2905 1468 Star
-2905 1445 Star
-2937 4004 Star
-2937 3136 Star
-2937 1422 Star
-2937 1399 Star
-2969 3981 Star
-2969 3113 Star
-2969 1377 Star
-2969 1354 Star
-3002 3981 Star
-3002 3090 Star
-3002 1331 Star
-3002 1308 Star
-3034 3958 Star
-3034 3067 Star
-3034 1285 Star
-3034 1262 Star
-3066 3958 Star
-3066 3044 Star
-3066 1240 Star
-3066 1217 Star
-3098 3935 Star
-3098 3021 Star
-3098 1194 Star
-3098 1171 Star
-3130 3935 Star
-3130 2999 Star
-3130 1148 Star
-3130 1125 Star
-3163 3912 Star
-3163 2976 Star
-3163 1102 Star
-3163 1080 Star
-3195 3912 Star
-3195 2953 Star
-3195 1057 Star
-3195 1034 Star
-3227 3890 Star
-3227 2930 Star
-3227 1011 Star
-3227 988 Star
-3259 3890 Star
-3259 2907 Star
-3259 965 Star
-3259 943 Star
-3291 3867 Star
-3291 2884 Star
-3291 920 Star
-3291 897 Star
-3324 3867 Star
-3324 2862 Star
-3324 874 Star
-3324 851 Star
-3356 3844 Star
-3356 2839 Star
-3356 828 Star
-3356 805 Star
-3388 3844 Star
-3388 2816 Star
-3388 783 Star
-3388 760 Star
-3420 3821 Star
-3420 2793 Star
-3420 737 Star
-3420 714 Star
-3452 3821 Star
-3452 2770 Star
-3452 691 Star
-3452 668 Star
-3485 3798 Star
-3485 2747 Star
-3485 646 Star
-3485 623 Star
-3517 3798 Star
-3517 2724 Star
-3517 600 Star
-3517 577 Star
-3549 3775 Star
-3549 2702 Star
-3549 554 Star
-3549 531 Star
-3581 3775 Star
-3581 2679 Star
-3581 508 Star
-3581 486 Star
-3613 3753 Star
-3613 2656 Star
-3613 463 Star
-3613 440 Star
-3646 3753 Star
-3646 2633 Star
-3646 417 Star
-3646 394 Star
-3678 3730 Star
-3678 2610 Star
-3678 371 Star
-3678 349 Star
-3710 3730 Star
-3710 2587 Star
-3710 326 Star
-3710 303 Star
-3742 3707 Star
-3742 2565 Star
-3774 3707 Star
-3774 2542 Star
-3806 3684 Star
-3806 2519 Star
-3839 3684 Star
-3839 2496 Star
-3871 3661 Star
-3871 2473 Star
-3903 3661 Star
-3903 2450 Star
-3935 3638 Star
-3935 2428 Star
-3967 3638 Star
-3967 2405 Star
-4000 3615 Star
-4000 2382 Star
-4032 3615 Star
-4032 2359 Star
-4064 3593 Star
-4064 2336 Star
-4096 3593 Star
-4096 2313 Star
-4128 3570 Star
-4128 2290 Star
-4161 3570 Star
-4161 2268 Star
-4193 3547 Star
-4193 2245 Star
-4225 3547 Star
-4225 2222 Star
-4257 3524 Star
-4257 2199 Star
-4289 3524 Star
-4289 2176 Star
-4322 3501 Star
-4322 2153 Star
-4354 3501 Star
-4354 2131 Star
-4386 3478 Star
-4386 2108 Star
-4418 3478 Star
-4418 2085 Star
-4450 3456 Star
-4450 2062 Star
-4483 3456 Star
-4483 2039 Star
-4515 3433 Star
-4515 2016 Star
-4547 3433 Star
-4547 1993 Star
-4579 3410 Star
-4579 1971 Star
-4611 3410 Star
-4611 1948 Star
-4644 3387 Star
-4644 1925 Star
-4676 3387 Star
-4676 1902 Star
-4708 3364 Star
-4708 1879 Star
-4740 3364 Star
-4740 1856 Star
-4772 3341 Star
-4772 1834 Star
-4805 3341 Star
-4805 1811 Star
-4837 3318 Star
-4837 1788 Star
-4869 3318 Star
-4869 1765 Star
-4901 3296 Star
-4901 1742 Star
-4933 3296 Star
-4933 1719 Star
-4966 3273 Star
-4966 1696 Star
-4998 3273 Star
-4998 1674 Star
-5030 3250 Star
-5030 1651 Star
-5062 3250 Star
-5062 1628 Star
-5094 3227 Star
-5094 1605 Star
-5127 3227 Star
-5127 1582 Star
-5159 3204 Star
-5159 1559 Star
-5191 3204 Star
-5191 1537 Star
-5223 3181 Star
-5223 1514 Star
-5255 3181 Star
-5255 1491 Star
-5288 3159 Star
-5288 1468 Star
-5320 3159 Star
-5320 1445 Star
-5352 3136 Star
-5352 1422 Star
-5384 3136 Star
-5384 1399 Star
-5416 3113 Star
-5416 1377 Star
-5449 3113 Star
-5449 1354 Star
-5481 3090 Star
-5481 1331 Star
-5513 3090 Star
-5513 1308 Star
-5545 3067 Star
-5545 1285 Star
-5577 3067 Star
-5577 1262 Star
-5610 3044 Star
-5610 1240 Star
-5642 3044 Star
-5642 1217 Star
-5674 3021 Star
-5674 1194 Star
-5706 3021 Star
-5706 1171 Star
-5738 2999 Star
-5738 1148 Star
-5771 2999 Star
-5771 1125 Star
-5803 2976 Star
-5803 1102 Star
-5835 2976 Star
-5835 1080 Star
-5867 2953 Star
-5867 1057 Star
-5899 2953 Star
-5899 1034 Star
-5932 2930 Star
-5932 1011 Star
-5964 2930 Star
-5964 988 Star
-5996 2907 Star
-5996 965 Star
-6028 2907 Star
-6028 943 Star
-6060 2884 Star
-6060 920 Star
-6093 2884 Star
-6093 897 Star
-6125 2862 Star
-6125 874 Star
-6157 2862 Star
-6157 851 Star
-6189 2839 Star
-6189 828 Star
-6221 2839 Star
-6221 805 Star
-6254 2816 Star
-6254 783 Star
-6286 2816 Star
-6286 760 Star
-6318 2793 Star
-6318 737 Star
-6350 2793 Star
-6350 714 Star
-6382 2770 Star
-6382 691 Star
-6415 2770 Star
-6415 668 Star
-6447 2747 Star
-6447 646 Star
-6479 2747 Star
-6479 623 Star
-6511 2724 Star
-6511 600 Star
-6543 2724 Star
-6543 577 Star
-6576 2702 Star
-6576 554 Star
-6608 2702 Star
-6608 531 Star
-6640 2679 Star
-6640 508 Star
-6672 2679 Star
-6672 486 Star
-6704 2656 Star
-6704 463 Star
-6737 2656 Star
-6737 440 Star
-6769 2633 Star
-6769 417 Star
-6801 2633 Star
-6801 394 Star
-6833 2610 Star
-6833 371 Star
-6865 2610 Star
-6865 349 Star
-6898 2587 Star
-6898 326 Star
-6930 2587 Star
-6930 303 Star
+0.00 0.00 1.00 C 578 4848 Star
+578 4825 Star
+610 4848 Star
+610 4825 Star
+610 4802 Star
+610 4780 Star
+642 4825 Star
+642 4802 Star
+642 4757 Star
+642 4734 Star
+674 4825 Star
+674 4780 Star
+674 4711 Star
+674 4688 Star
+706 4802 Star
+706 4757 Star
+706 4665 Star
+706 4643 Star
+738 4802 Star
+738 4734 Star
+738 4620 Star
+738 4597 Star
+770 4780 Star
+770 4711 Star
+770 4574 Star
+770 4551 Star
+802 4780 Star
+802 4688 Star
+802 4528 Star
+802 4506 Star
+834 4757 Star
+834 4665 Star
+834 4483 Star
+834 4460 Star
+867 4757 Star
+867 4643 Star
+867 4437 Star
+867 4414 Star
+899 4734 Star
+899 4620 Star
+899 4391 Star
+899 4369 Star
+931 4734 Star
+931 4597 Star
+931 4346 Star
+931 4323 Star
+963 4711 Star
+963 4574 Star
+963 4300 Star
+963 4277 Star
+995 4711 Star
+995 4551 Star
+995 4254 Star
+995 4231 Star
+1027 4688 Star
+1027 4528 Star
+1027 4209 Star
+1027 4186 Star
+1059 4688 Star
+1059 4506 Star
+1059 4163 Star
+1059 4140 Star
+1091 4665 Star
+1091 4483 Star
+1091 4117 Star
+1091 4094 Star
+1123 4665 Star
+1123 4460 Star
+1123 4072 Star
+1123 4049 Star
+1155 4643 Star
+1155 4437 Star
+1155 4026 Star
+1155 4003 Star
+1187 4643 Star
+1187 4414 Star
+1187 3980 Star
+1187 3957 Star
+1219 4620 Star
+1219 4391 Star
+1219 3935 Star
+1219 3912 Star
+1251 4620 Star
+1251 4369 Star
+1251 3889 Star
+1251 3866 Star
+1283 4597 Star
+1283 4346 Star
+1283 3843 Star
+1283 3820 Star
+1315 4597 Star
+1315 4323 Star
+1315 3797 Star
+1315 3775 Star
+1347 4574 Star
+1347 4300 Star
+1347 3752 Star
+1347 3729 Star
+1379 4574 Star
+1379 4277 Star
+1379 3706 Star
+1379 3683 Star
+1411 4551 Star
+1411 4254 Star
+1411 3660 Star
+1411 3638 Star
+1444 4551 Star
+1444 4231 Star
+1444 3615 Star
+1444 3592 Star
+1476 4528 Star
+1476 4209 Star
+1476 3569 Star
+1476 3546 Star
+1508 4528 Star
+1508 4186 Star
+1508 3523 Star
+1508 3501 Star
+1540 4506 Star
+1540 4163 Star
+1540 3478 Star
+1540 3455 Star
+1572 4506 Star
+1572 4140 Star
+1572 3432 Star
+1572 3409 Star
+1604 4483 Star
+1604 4117 Star
+1604 3386 Star
+1604 3364 Star
+1636 4483 Star
+1636 4094 Star
+1636 3341 Star
+1636 3318 Star
+1668 4460 Star
+1668 4072 Star
+1668 3295 Star
+1668 3272 Star
+1700 4460 Star
+1700 4049 Star
+1700 3249 Star
+1700 3226 Star
+1732 4437 Star
+1732 4026 Star
+1732 3204 Star
+1732 3181 Star
+1764 4437 Star
+1764 4003 Star
+1764 3158 Star
+1764 3135 Star
+1796 4414 Star
+1796 3980 Star
+1796 3112 Star
+1796 3089 Star
+1828 4414 Star
+1828 3957 Star
+1828 3067 Star
+1828 3044 Star
+1860 4391 Star
+1860 3935 Star
+1860 3021 Star
+1860 2998 Star
+1892 4391 Star
+1892 3912 Star
+1892 2975 Star
+1892 2952 Star
+1924 4369 Star
+1924 3889 Star
+1924 2930 Star
+1924 2907 Star
+1956 4369 Star
+1956 3866 Star
+1956 2884 Star
+1956 2861 Star
+1988 4346 Star
+1988 3843 Star
+1988 2838 Star
+1988 2815 Star
+2021 4346 Star
+2021 3820 Star
+2021 2792 Star
+2021 2770 Star
+2053 4323 Star
+2053 3797 Star
+2053 2747 Star
+2053 2724 Star
+2085 4323 Star
+2085 3775 Star
+2085 2701 Star
+2085 2678 Star
+2117 4300 Star
+2117 3752 Star
+2117 2655 Star
+2117 2633 Star
+2149 4300 Star
+2149 3729 Star
+2149 2610 Star
+2149 2587 Star
+2181 4277 Star
+2181 3706 Star
+2181 2564 Star
+2181 2541 Star
+2213 4277 Star
+2213 3683 Star
+2213 2518 Star
+2213 2496 Star
+2245 4254 Star
+2245 3660 Star
+2245 2473 Star
+2245 2450 Star
+2277 4254 Star
+2277 3638 Star
+2277 2427 Star
+2277 2404 Star
+2309 4231 Star
+2309 3615 Star
+2309 2381 Star
+2309 2359 Star
+2341 4231 Star
+2341 3592 Star
+2341 2336 Star
+2341 2313 Star
+2373 4209 Star
+2373 3569 Star
+2373 2290 Star
+2373 2267 Star
+2405 4209 Star
+2405 3546 Star
+2405 2244 Star
+2405 2221 Star
+2437 4186 Star
+2437 3523 Star
+2437 2199 Star
+2437 2176 Star
+2469 4186 Star
+2469 3501 Star
+2469 2153 Star
+2469 2130 Star
+2501 4163 Star
+2501 3478 Star
+2501 2107 Star
+2501 2084 Star
+2533 4163 Star
+2533 3455 Star
+2533 2062 Star
+2533 2039 Star
+2565 4140 Star
+2565 3432 Star
+2565 2016 Star
+2565 1993 Star
+2598 4140 Star
+2598 3409 Star
+2598 1970 Star
+2598 1947 Star
+2630 4117 Star
+2630 3386 Star
+2630 1925 Star
+2630 1902 Star
+2662 4117 Star
+2662 3364 Star
+2662 1879 Star
+2662 1856 Star
+2694 4094 Star
+2694 3341 Star
+2694 1833 Star
+2694 1810 Star
+2726 4094 Star
+2726 3318 Star
+2726 1787 Star
+2726 1765 Star
+2758 4072 Star
+2758 3295 Star
+2758 1742 Star
+2758 1719 Star
+2790 4072 Star
+2790 3272 Star
+2790 1696 Star
+2790 1673 Star
+2822 4049 Star
+2822 3249 Star
+2822 1650 Star
+2822 1628 Star
+2854 4049 Star
+2854 3226 Star
+2854 1605 Star
+2854 1582 Star
+2886 4026 Star
+2886 3204 Star
+2886 1559 Star
+2886 1536 Star
+2918 4026 Star
+2918 3181 Star
+2918 1513 Star
+2918 1491 Star
+2950 4003 Star
+2950 3158 Star
+2950 1468 Star
+2950 1445 Star
+2982 4003 Star
+2982 3135 Star
+2982 1422 Star
+2982 1399 Star
+3014 3980 Star
+3014 3112 Star
+3014 1376 Star
+3014 1354 Star
+3046 3980 Star
+3046 3089 Star
+3046 1331 Star
+3046 1308 Star
+3078 3957 Star
+3078 3067 Star
+3078 1285 Star
+3078 1262 Star
+3110 3957 Star
+3110 3044 Star
+3110 1239 Star
+3110 1216 Star
+3142 3935 Star
+3142 3021 Star
+3142 1194 Star
+3142 1171 Star
+3174 3935 Star
+3174 2998 Star
+3174 1148 Star
+3174 1125 Star
+3207 3912 Star
+3207 2975 Star
+3207 1102 Star
+3207 1079 Star
+3239 3912 Star
+3239 2952 Star
+3239 1057 Star
+3239 1034 Star
+3271 3889 Star
+3271 2930 Star
+3271 1011 Star
+3271 988 Star
+3303 3889 Star
+3303 2907 Star
+3303 965 Star
+3303 942 Star
+3335 3866 Star
+3335 2884 Star
+3335 920 Star
+3335 897 Star
+3367 3866 Star
+3367 2861 Star
+3367 874 Star
+3367 851 Star
+3399 3843 Star
+3399 2838 Star
+3399 828 Star
+3399 805 Star
+3431 3843 Star
+3431 2815 Star
+3431 782 Star
+3431 760 Star
+3463 3820 Star
+3463 2792 Star
+3463 737 Star
+3463 714 Star
+3495 3820 Star
+3495 2770 Star
+3495 691 Star
+3495 668 Star
+3527 3797 Star
+3527 2747 Star
+3527 645 Star
+3527 623 Star
+3559 3797 Star
+3559 2724 Star
+3559 600 Star
+3559 577 Star
+3591 3775 Star
+3591 2701 Star
+3591 554 Star
+3591 531 Star
+3623 3775 Star
+3623 2678 Star
+3623 508 Star
+3623 486 Star
+3655 3752 Star
+3655 2655 Star
+3655 463 Star
+3655 440 Star
+3687 3752 Star
+3687 2633 Star
+3687 417 Star
+3687 394 Star
+3719 3729 Star
+3719 2610 Star
+3719 371 Star
+3719 349 Star
+3751 3729 Star
+3751 2587 Star
+3751 326 Star
+3751 303 Star
+3784 3706 Star
+3784 2564 Star
+3816 3706 Star
+3816 2541 Star
+3848 3683 Star
+3848 2518 Star
+3880 3683 Star
+3880 2496 Star
+3912 3660 Star
+3912 2473 Star
+3944 3660 Star
+3944 2450 Star
+3976 3638 Star
+3976 2427 Star
+4008 3638 Star
+4008 2404 Star
+4040 3615 Star
+4040 2381 Star
+4072 3615 Star
+4072 2359 Star
+4104 3592 Star
+4104 2336 Star
+4136 3592 Star
+4136 2313 Star
+4168 3569 Star
+4168 2290 Star
+4200 3569 Star
+4200 2267 Star
+4232 3546 Star
+4232 2244 Star
+4264 3546 Star
+4264 2221 Star
+4296 3523 Star
+4296 2199 Star
+4328 3523 Star
+4328 2176 Star
+4361 3501 Star
+4361 2153 Star
+4393 3501 Star
+4393 2130 Star
+4425 3478 Star
+4425 2107 Star
+4457 3478 Star
+4457 2084 Star
+4489 3455 Star
+4489 2062 Star
+4521 3455 Star
+4521 2039 Star
+4553 3432 Star
+4553 2016 Star
+4585 3432 Star
+4585 1993 Star
+4617 3409 Star
+4617 1970 Star
+4649 3409 Star
+4649 1947 Star
+4681 3386 Star
+4681 1925 Star
+4713 3386 Star
+4713 1902 Star
+4745 3364 Star
+4745 1879 Star
+4777 3364 Star
+4777 1856 Star
+4809 3341 Star
+4809 1833 Star
+4841 3341 Star
+4841 1810 Star
+4873 3318 Star
+4873 1787 Star
+4905 3318 Star
+4905 1765 Star
+4937 3295 Star
+4937 1742 Star
+4970 3295 Star
+4970 1719 Star
+5002 3272 Star
+5002 1696 Star
+5034 3272 Star
+5034 1673 Star
+5066 3249 Star
+5066 1650 Star
+5098 3249 Star
+5098 1628 Star
+5130 3226 Star
+5130 1605 Star
+5162 3226 Star
+5162 1582 Star
+5194 3204 Star
+5194 1559 Star
+5226 3204 Star
+5226 1536 Star
+5258 3181 Star
+5258 1513 Star
+5290 3181 Star
+5290 1491 Star
+5322 3158 Star
+5322 1468 Star
+5354 3158 Star
+5354 1445 Star
+5386 3135 Star
+5386 1422 Star
+5418 3135 Star
+5418 1399 Star
+5450 3112 Star
+5450 1376 Star
+5482 3112 Star
+5482 1354 Star
+5514 3089 Star
+5514 1331 Star
+5547 3089 Star
+5547 1308 Star
+5579 3067 Star
+5579 1285 Star
+5611 3067 Star
+5611 1262 Star
+5643 3044 Star
+5643 1239 Star
+5675 3044 Star
+5675 1216 Star
+5707 3021 Star
+5707 1194 Star
+5739 3021 Star
+5739 1171 Star
+5771 2998 Star
+5771 1148 Star
+5803 2998 Star
+5803 1125 Star
+5835 2975 Star
+5835 1102 Star
+5867 2975 Star
+5867 1079 Star
+5899 2952 Star
+5899 1057 Star
+5931 2952 Star
+5931 1034 Star
+5963 2930 Star
+5963 1011 Star
+5995 2930 Star
+5995 988 Star
+6027 2907 Star
+6027 965 Star
+6059 2907 Star
+6059 942 Star
+6091 2884 Star
+6091 920 Star
+6124 2884 Star
+6124 897 Star
+6156 2861 Star
+6156 874 Star
+6188 2861 Star
+6188 851 Star
+6220 2838 Star
+6220 828 Star
+6252 2838 Star
+6252 805 Star
+6284 2815 Star
+6284 782 Star
+6316 2815 Star
+6316 760 Star
+6348 2792 Star
+6348 737 Star
+6380 2792 Star
+6380 714 Star
+6412 2770 Star
+6412 691 Star
+6444 2770 Star
+6444 668 Star
+6476 2747 Star
+6476 645 Star
+6508 2747 Star
+6508 623 Star
+6540 2724 Star
+6540 600 Star
+6572 2724 Star
+6572 577 Star
+6604 2701 Star
+6604 554 Star
+6636 2701 Star
+6636 531 Star
+6668 2678 Star
+6668 508 Star
+6701 2678 Star
+6701 486 Star
+6733 2655 Star
+6733 463 Star
+6765 2655 Star
+6765 440 Star
+6797 2633 Star
+6797 417 Star
+6829 2633 Star
+6829 394 Star
+6861 2610 Star
+6861 371 Star
+6893 2610 Star
+6893 349 Star
+6925 2587 Star
+6925 326 Star
+6957 2587 Star
+6957 303 Star
+% End plot #1
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/spmatrix.pdf and 1:3.0.5-6/doc/interpreter/spmatrix.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/spmatrix.png and 1:3.0.5-6/doc/interpreter/spmatrix.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/stats.texi 1:3.0.5-6/doc/interpreter/stats.texi
--- 1:3.0.1-6/doc/interpreter/stats.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/stats.texi	2009-04-07 11:11:33.000000000 +0100
@@ -129,6 +129,90 @@ argument is given, operate along this di
 @end deftypefn
 
 
+@anchor{doc-quantile}
+@deftypefn {Function File} {@var{q} =} quantile (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim})
+@deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim}, @var{method} )
+For a sample, @var{x}, calculate the quantiles, @var{q}, corresponding to
+the cumulative probability values in @var{p}. All non-numeric values (NaNs) of
+@var{x} are ignored.
+
+If @var{x} is a matrix, compute the quantiles for each column and
+return them in a matrix, such that the i-th row of @var{q} contains
+the @var{p}(i)th quantiles of each column of @var{x}.
+
+The optional argument @var{dim} determines the dimension along which 
+the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+dimension whose size greater than unity.
+
+The methods available to calculate sample quantiles are the nine methods
+used by R (http://www.r-project.org/). The default value is METHOD = 5.
+
+Discontinuous sample quantile methods 1, 2, and 3
+
+@enumerate 1
+@item Method 1: Inverse of empirical distribution function.
+@item Method 2: Similar to method 1 but with averaging at discontinuities.
+@item Method 3: SAS definition: nearest even order statistic.
+@end enumerate
+
+Continuous sample quantile methods 4 through 9, where p(k) is the linear
+interpolation function respecting each methods' representative cdf.
+
+@enumerate 4
+@item Method 4: p(k) = k / n. That is, linear interpolation of the empirical cdf.
+@item Method 5: p(k) = (k - 0.5) / n. That is a piecewise linear function where 
+the knots are the values midway through the steps of the empirical cdf. 
+@item Method 6: p(k) = k / (n + 1).
+@item Method 7: p(k) = (k - 1) / (n - 1).
+@item Method 8: p(k) = (k - 1/3) / (n + 1/3). The resulting quantile estimates 
+are approximately median-unbiased regardless of the distribution of @var{x}.
+@item Method 9: p(k) = (k - 3/8) / (n + 1/4). The resulting quantile estimates 
+are approximately unbiased for the expected order statistics if @var{x} is 
+normally distributed.
+@end enumerate
+
+Hyndman and Fan (1996) recommend method 8.  Maxima, S, and R
+(versions prior to 2.0.0) use 7 as their default.  Minitab and SPSS
+use method 6.  Matlab uses method 5.
+
+References:
+
+@itemize @bullet
+@item Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New
+S Language. Wadsworth & Brooks/Cole.
+
+@item Hyndman, R. J. and Fan, Y. (1996) Sample quantiles in
+statistical packages, American Statistician, 50, 361-365.
+
+@item R: A Language and Environment for Statistical Computing;
+@url{http://cran.r-project.org/doc/manuals/fullrefman.pdf}.
+@end itemize
+@end deftypefn
+
+
+@anchor{doc-prctile}
+@deftypefn {Function File} {@var{y} =} prctile (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{q} =} prctile (@var{x}, @var{p}, @var{dim})
+For a sample @var{x}, compute the the quantiles, @var{y}, corresponding
+to the cumulative probability values, P, in percent. All non-numeric
+values (NaNs) of X are ignored.
+
+If @var{x} is a matrix, compute the the percentiles for each column and
+return them in a matrix, such that the i-th row of @var{y} contains the 
+@var{p}(i)th percentiles of each column of @var{x}.
+
+The optional argument @var{dim} determines the dimension along which
+the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+dimension whose size greater than unity.
+
+@end deftypefn
+
+
 @anchor{doc-meansq}
 @deftypefn {Function File} {} meansq (@var{x})
 @deftypefnx {Function File} {} meansq (@var{x}, @var{dim})
@@ -349,9 +433,10 @@ first non-singleton dimension of the mat
 @deftypefn {Function File} {} statistics (@var{x})
 If @var{x} is a matrix, return a matrix with the minimum, first
 quartile, median, third quartile, maximum, mean, standard deviation,
-skewness and kurtosis of the columns of @var{x} as its rows.
+skewness and kurtosis of the columns of @var{x} as its columns.
 
-If @var{x} is a vector, treat it as a column vector.
+If @var{x} is a vector, calculate the statistics along the 
+non-singleton dimension.
 @end deftypefn
 
 
@@ -520,11 +605,8 @@ along this dimension
 
 @anchor{doc-ranks}
 @deftypefn {Function File} {} ranks (@var{x}, @var{dim})
-If @var{x} is a vector, return the (column) vector of ranks of
-@var{x} adjusted for ties.
-
-If @var{x} is a matrix, do the above for along the first 
-non-singleton dimension. If the optional argument @var{dim} is
+Return the ranks of @var{x} along the first non-singleton dimension
+adjust for ties. If the optional argument @var{dim} is
 given, operate along this dimension.
 @end deftypefn
 
@@ -2058,17 +2140,19 @@ For each element of @var{x}, compute the
 
 @anchor{doc-tcdf}
 @deftypefn {Function File} {} tcdf (@var{x}, @var{n})
-For each element of @var{x}, compute the CDF at @var{x} of the
-t (Student) distribution with @var{n} degrees of freedom, i.e.,
-PROB (t(@var{n}) <= @var{x}).
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the t (Student) distribution with
+@var{n} degrees of freedom, i.e., PROB (t(@var{n}) <= @var{x}).
 @end deftypefn
 
 
 @anchor{doc-tinv}
 @deftypefn {Function File} {} tinv (@var{x}, @var{n})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the t (Student) distribution with parameter
-@var{n}.
+For each probability value @var{x}, compute the the inverse of the
+cumulative distribution function (CDF) of the t (Student)
+distribution with degrees of freedom @var{n}.  This function is
+analagous to looking in a table for the t-value of a single-tailed
+distribution.
 @end deftypefn
 
 
diff -pruN 1:3.0.1-6/doc/interpreter/stats.txi 1:3.0.5-6/doc/interpreter/stats.txi
--- 1:3.0.1-6/doc/interpreter/stats.txi	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/stats.txi	2009-02-18 06:57:46.000000000 +0000
@@ -61,6 +61,10 @@ Octave can compute various statistics su
 
 @DOCSTRING(median)
 
+@DOCSTRING(quantile)
+
+@DOCSTRING(prctile)
+
 @DOCSTRING(meansq)
 
 @DOCSTRING(std)
diff -pruN 1:3.0.1-6/doc/interpreter/strings.texi 1:3.0.5-6/doc/interpreter/strings.texi
--- 1:3.0.1-6/doc/interpreter/strings.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/strings.texi	2009-04-07 11:11:33.000000000 +0100
@@ -591,7 +591,7 @@ split ("Test string", "t", 2)
 @anchor{doc-strrep}
 @deftypefn {Function File} {} strrep (@var{s}, @var{x}, @var{y})
 Replaces all occurrences of the substring @var{x} of the string @var{s}
-with the string @var{y}.  For example,
+with the string @var{y} and returns the result.  For example,
 
 @example
 strrep ("This is a test string", "is", "&%$")
diff -pruN 1:3.0.1-6/doc/interpreter/system.texi 1:3.0.5-6/doc/interpreter/system.texi
--- 1:3.0.1-6/doc/interpreter/system.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/system.texi	2009-04-07 11:11:33.000000000 +0100
@@ -699,7 +699,7 @@ contain the full name of the weekday; ot
 @anchor{doc-eomday}
 @deftypefn {Function File} {@var{e} =} eomday (@var{y}, @var{m})
 Return the last day of the month @var{m} for the year @var{y}.
-@seealso{datenum, datevec, weekday}
+@seealso{datenum, datevec, weekday, eomdate}
 @end deftypefn
 
 
@@ -1753,6 +1753,7 @@ returns a string containing the value of
 
 @anchor{doc-putenv}
 @deftypefn {Built-in Function} {} putenv (@var{var}, @var{value})
+@deftypefnx {Built-in Function} {} setenv (@var{var}, @var{value})
 Set the value of the environment variable @var{var} to @var{value}.
 @end deftypefn
 
diff -pruN 1:3.0.1-6/doc/interpreter/testfun.texi 1:3.0.5-6/doc/interpreter/testfun.texi
--- 1:3.0.1-6/doc/interpreter/testfun.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/testfun.texi	2009-04-07 11:11:33.000000000 +0100
@@ -365,7 +365,7 @@ lists or structures.
 
 @item assert(@var{observed}, @var{expected}, @var{tol})
 Accept a tolerance when comparing numbers. 
-If @var{tol} is possitive use it as an absolute tolerance, will produce an error if
+If @var{tol} is positive use it as an absolute tolerance, will produce an error if
 @code{abs(@var{observed} - @var{expected}) > abs(@var{tol})}.
 If @var{tol} is negative use it as a relative tolerance, will produce an error if
 @code{abs(@var{observed} - @var{expected}) > abs(@var{tol} * @var{expected})}.
diff -pruN 1:3.0.1-6/doc/interpreter/triplot.eps 1:3.0.5-6/doc/interpreter/triplot.eps
--- 1:3.0.1-6/doc/interpreter/triplot.eps	2008-04-21 17:57:05.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/triplot.eps	2009-01-29 08:11:12.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: triplot.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:05 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:12 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (triplot.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:05 2008)
+  /CreationDate (Thu Jan 29 09:11:12 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,324 +543,327 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 655 M
+546 655 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 655 M
+0.00 0.00 0.00 C 462 655 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1123 M
+546 1123 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1123 M
+0.00 0.00 0.00 C 462 1123 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1592 M
+546 1592 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1592 M
+0.00 0.00 0.00 C 462 1592 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.3)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2061 M
+546 2060 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2061 M
+0.00 0.00 0.00 C 462 2060 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2529 M
+546 2529 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2529 M
+0.00 0.00 0.00 C 462 2529 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2998 M
+546 2997 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2998 M
+0.00 0.00 0.00 C 462 2997 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3466 M
+546 3466 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3466 M
+0.00 0.00 0.00 C 462 3466 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.7)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3935 M
+546 3934 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3935 M
+0.00 0.00 0.00 C 462 3934 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4403 M
+546 4403 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4403 M
+0.00 0.00 0.00 C 462 4403 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.9)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-831 280 M
+885 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 831 140 M
+0.00 0.00 0.00 C 885 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1512 280 M
+1563 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1512 140 M
+0.00 0.00 0.00 C 1563 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2193 280 M
+2242 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2193 140 M
+0.00 0.00 0.00 C 2242 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.3)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-2874 280 M
+2920 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 2874 140 M
+0.00 0.00 0.00 C 2920 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3556 280 M
+3598 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3556 140 M
+0.00 0.00 0.00 C 3598 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.5)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4237 280 M
+4276 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4237 140 M
+0.00 0.00 0.00 C 4276 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4918 280 M
+4954 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4918 140 M
+0.00 0.00 0.00 C 4954 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.7)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5599 280 M
+5633 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5599 140 M
+0.00 0.00 0.00 C 5633 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6281 280 M
+6311 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6281 140 M
+0.00 0.00 0.00 C 6311 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.9)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C 5841 1967 M
-776 2406 V
-6927 1038 L
-5841 1967 L
-6662 355 M
--55 -40 V
-320 723 V
-6662 355 L
-5163 4365 M
-2830 4866 L
-6617 4373 L
--1454 -8 V
-5075 3347 M
-5841 1967 L
-776 2406 V
-5075 3347 L
-5841 1967 L
-4712 2650 L
-363 697 V
+0.00 0.00 1.00 C 5873 1967 M
+773 2405 V
+6954 1038 L
+5873 1967 L
+6691 355 M
+-56 -40 V
+319 723 V
+6691 355 L
+5198 4364 M
+2876 4865 L
+6646 4372 L
+-1448 -8 V
+5110 3346 M
+5873 1967 L
+773 2405 V
+5110 3346 L
+5873 1967 L
+4749 2649 L
+361 697 V
 88 1018 V
-1454 8 V
-5075 3347 L
-728 1679 M
-2355 898 V
-1228 827 L
-728 1679 L
-3180 3627 M
-3083 2577 L
-1629 73 V
-3180 3627 L
-1977 4434 L
-853 432 V
-3180 3627 L
-4277 1293 M
-6 -995 V
-1228 827 L
-3049 466 V
-1564 674 V
-6927 1038 L
-4277 1293 L
-6607 315 L
-320 723 V
-4277 1293 L
-6 -995 V
-2324 17 V
-4277 1293 L
-2249 2813 M
-728 1679 L
-535 2365 L
-1714 448 V
-728 1679 L
-2355 898 V
--834 236 V
-931 814 V
-3083 2577 L
--834 236 V
-1977 4434 L
-535 2365 L
-1714 448 V
-931 814 V
-1977 4434 L
-2249 2813 L
-3857 3920 M
-5075 3347 L
-4712 2650 L
-3857 3920 L
-3180 3627 L
-4712 2650 L
-3857 3920 L
-5075 3347 L
+1448 8 V
+5110 3346 L
+783 1678 M
+2345 899 V
+1281 827 L
+783 1678 L
+3224 3627 M
+3128 2577 L
+1621 72 V
+3224 3627 L
+2026 4433 L
+850 432 V
+3224 3627 L
+4316 1292 M
+6 -994 V
+1281 827 L
+3035 465 V
+1557 675 V
+6954 1038 L
+4316 1292 L
+6635 315 L
+319 723 V
+4316 1292 L
+6 -994 V
+2313 17 V
+4316 1292 L
+2297 2812 M
+783 1678 L
+590 2364 L
+1707 448 V
+783 1678 L
+2345 899 V
+-831 235 V
+927 815 V
+3128 2577 L
+-831 235 V
+2026 4433 L
+590 2364 L
+1707 448 V
+927 815 V
+2026 4433 L
+2297 2812 L
+3898 3919 M
+5110 3346 L
+4749 2649 L
+3898 3919 L
+3224 3627 L
+4749 2649 L
+3898 3919 L
+5110 3346 L
 88 1018 V
-3857 3920 L
-1306 445 V
-2830 4866 L
-3857 3920 L
-3180 3627 L
-2830 4866 L
-3857 3920 L
-4109 1710 M
-3083 2577 L
-1228 827 L
-2881 883 V
-168 -417 V
-1228 827 L
-2881 883 V
-3083 2577 L
-1629 73 V
-4109 1710 L
-1732 257 V
-4712 2650 L
-4109 1710 L
-168 -417 V
-1564 674 V
-4109 1710 L
-stroke
-LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+3898 3919 L
+1300 445 V
+2876 4865 L
+3898 3919 L
+3224 3627 L
+2876 4865 L
+3898 3919 L
+4149 1710 M
+3128 2577 L
+1281 827 L
+2868 883 V
+167 -418 V
+1281 827 L
+2868 883 V
+3128 2577 L
+1621 72 V
+4149 1710 L
+1724 257 V
+4749 2649 L
+4149 1710 L
+167 -418 V
+1557 675 V
+4149 1710 L
+% End plot #1
+stroke
+LTb
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/triplot.pdf and 1:3.0.5-6/doc/interpreter/triplot.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/triplot.png and 1:3.0.5-6/doc/interpreter/triplot.png differ
diff -pruN 1:3.0.1-6/doc/interpreter/var.texi 1:3.0.5-6/doc/interpreter/var.texi
--- 1:3.0.1-6/doc/interpreter/var.texi	2008-04-21 17:58:27.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/var.texi	2009-04-07 11:11:33.000000000 +0100
@@ -551,7 +551,7 @@ Clears the global symbol names.
 @item -variables, -v
 Clears the local variable names.
 @end table
-With the execption of @code{exclusive}, all long options can be used 
+With the exception of @code{exclusive}, all long options can be used 
 without the dash as well.
 @end deffn
 
diff -pruN 1:3.0.1-6/doc/interpreter/voronoi.eps 1:3.0.5-6/doc/interpreter/voronoi.eps
--- 1:3.0.1-6/doc/interpreter/voronoi.eps	2008-04-21 17:57:03.000000000 +0100
+++ 1:3.0.5-6/doc/interpreter/voronoi.eps	2009-01-29 08:11:11.000000000 +0000
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Title: voronoi.eps
-%%Creator: gnuplot 4.2 patchlevel 2 
-%%CreationDate: Mon Apr 21 12:57:03 2008
+%%Creator: gnuplot 4.3 patchlevel 0
+%%CreationDate: Thu Jan 29 09:11:11 2009
 %%DocumentFonts: (atend)
 %%BoundingBox: 50 50 410 302
 %%EndComments
@@ -9,8 +9,8 @@
 /gnudict 256 dict def
 gnudict begin
 %
-% The following 6 true/false flags may be edited by hand if required
-% The unit line width may also be changed
+% The following true/false flags may be edited by hand if desired.
+% The unit line width and grayscale image gamma correction may also be changed.
 %
 /Color false def
 /Blacktext false def
@@ -19,9 +19,11 @@ gnudict begin
 /Landscape false def
 /Level1 false def
 /Rounded false def
+/ClipToBoundingBox false def
 /TransparentPatterns false def
 /gnulinewidth 5.000 def
 /userlinewidth gnulinewidth def
+/Gamma 1.0 def
 %
 /vshift -46 def
 /dl1 {
@@ -44,16 +46,22 @@ systemdict /pdfmark known not {
 SDict begin [
   /Title (voronoi.eps)
   /Subject (gnuplot plot)
-  /Creator (gnuplot 4.2 patchlevel 2 )
-  /Author (John W. Eaton,,,)
+  /Creator (gnuplot 4.3 patchlevel 0)
+  /Author (Jaroslav Hajek)
 %  /Producer (gnuplot)
 %  /Keywords ()
-  /CreationDate (Mon Apr 21 12:57:03 2008)
+  /CreationDate (Thu Jan 29 09:11:11 2009)
   /DOCINFO pdfmark
 end
 } ifelse
+/doclip {
+  ClipToBoundingBox {
+    newpath 50 50 moveto 410 50 lineto 410 302 lineto 50 302 lineto closepath
+    clip
+  } if
+} def
 %
-% Gnuplot Prolog Version 4.2 (August 2006)
+% Gnuplot Prolog Version 4.2 (November 2007)
 %
 /M {moveto} bind def
 /L {lineto} bind def
@@ -63,6 +71,7 @@ end
 /Z {closepath} bind def
 /C {setrgbcolor} bind def
 /f {rlineto fill} bind def
+/Gshow {show} def   % May be redefined later in the file to support UTF-8
 /vpt2 vpt 2 mul def
 /hpt2 hpt 2 mul def
 /Lshow {currentpoint stroke M 0 vshift R 
@@ -303,7 +312,7 @@ end
   ColR ColG ColB setrgbcolor} def
 /BoxColFill {gsave Rec PolyFill} def
 /PolyFill {gsave Density fill grestore grestore} def
-/h {rlineto rlineto rlineto gsave fill grestore} bind def
+/h {rlineto rlineto rlineto gsave closepath fill grestore} bind def
 %
 % PostScript Level 1 Pattern Fill routine for rectangles
 % Usage: x y w h s a XX PatternFill
@@ -425,17 +434,18 @@ currentdict end definefont pop
      { 5 get 3 eq {gsave} {grestore} ifelse }
      {dup dup 0 get findfont exch 1 get scalefont setfont
      [ currentpoint ] exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6
-     get exch 4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
+     get exch 4 get {Gshow} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq
      {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5
      get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div
      dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get
      show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop
      pop aload pop M} ifelse }ifelse }ifelse }
      ifelse }
-   forall} bind def
+   forall} def
+/Gswidth {dup type /stringtype eq {stringwidth} {pop (n) stringwidth} ifelse} def
 /MFwidth {0 exch { dup 5 get 3 ge { 5 get 3 eq { 0 } { pop } ifelse }
  {dup 3 get{dup dup 0 get findfont exch 1 get scalefont setfont
-     6 get stringwidth pop add} {pop} ifelse} ifelse} forall} bind def
+     6 get Gswidth pop add} {pop} ifelse} ifelse} forall} def
 /MLshow { currentpoint stroke M
   0 exch R
   Blacktext {gsave 0 setgray MFshow grestore} {MFshow} ifelse } bind def
@@ -451,6 +461,7 @@ end
 %%EndProlog
 gnudict begin
 gsave
+doclip
 50 50 translate
 0.050 0.050 scale
 0 setgray
@@ -517,7 +528,7 @@ gsave % colour palette begin
   0 0 ] def
 /pm3dround {maxcolors 0 gt {dup 1 ge
 	{pop 1} {maxcolors mul floor maxcolors 1 sub div} ifelse} if} def
-/pm3dGamma 1.0 1.5 div def
+/pm3dGamma 1.0 1.5 Gamma mul div def
 /ColorSpace (RGB) def
 Color true and { % COLOUR vs. GRAY map
   InterpolatedColor { %% Interpolation vs. RGB-Formula
@@ -532,491 +543,539 @@ Color true and { % COLOUR vs. GRAY map
 } ifelse
 0.500 UL
 LTb
-490 280 M
+546 280 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 280 M
+0.00 0.00 0.00 C 462 280 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 1198 M
+546 1198 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 1198 M
+0.00 0.00 0.00 C 462 1198 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 2117 M
+546 2116 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 2117 M
+0.00 0.00 0.00 C 462 2116 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3035 M
+546 3035 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3035 M
+0.00 0.00 0.00 C 462 3035 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 3954 M
+546 3953 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 3954 M
+0.00 0.00 0.00 C 462 3953 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 4872 M
+546 4871 M
 63 0 V
-6409 0 R
+6380 0 R
 -63 0 V
 stroke
-0.00 0.00 0.00 C 406 4872 M
+0.00 0.00 0.00 C 462 4871 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MRshow
 0.500 UL
 LTb
-490 280 M
+546 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 490 140 M
+0.00 0.00 0.00 C 546 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-1784 280 M
+1835 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 1784 140 M
+0.00 0.00 0.00 C 1835 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.2)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-3079 280 M
+3123 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 3079 140 M
+0.00 0.00 0.00 C 3123 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.4)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-4373 280 M
+4412 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 4373 140 M
+0.00 0.00 0.00 C 4412 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.6)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-5668 280 M
+5700 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 5668 140 M
+0.00 0.00 0.00 C 5700 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (0.8)]
 ] -46.7 MCshow
 0.500 UL
 LTb
-6962 280 M
+6989 280 M
 0 63 V
-0 4529 R
+0 4528 R
 0 -63 V
 stroke
-0.00 0.00 0.00 C 6962 140 M
+0.00 0.00 0.00 C 6989 140 M
 [ [(Helvetica) 140.0 0.0 true true 0 (1)]
 ] -46.7 MCshow
 0.500 UL
 LTb
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+% Begin plot #1
 0.500 UL
 LT0
-0.00 0.00 1.00 C LTb
-6311 4739 M
-[ [(Helvetica) 140.0 0.0 true true 0 (Delaunay Triangulation)]
+0.00 0.00 1.00 C LCb setrgbcolor
+6338 4738 M
+[ [(Helvetica) 140.0 0.0 true true 0 (Voronoi Diagram)]
 ] -46.7 MRshow
 LT0
-0.00 0.00 1.00 C 6395 4739 M
+0.00 0.00 1.00 C 6422 4738 M
 399 0 V
-3744 1002 M
-3487 468 L
-2817 905 V
-3744 1002 L
-333 1603 V
-6304 1373 L
-3744 1002 L
-3487 468 L
-1013 789 L
-2731 213 V
-1387 3510 M
-4481 4522 L
-532 3610 L
-855 -100 V
-4481 4522 L
-4077 2605 L
-1387 3510 L
-1013 789 L
-532 3610 L
-855 -100 V
-6098 2356 M
-4077 2605 L
-6304 1373 L
--206 983 V
-4481 4522 L
-4077 2605 L
-6098 2356 L
-2906 2020 M
-3744 1002 L
-1013 789 L
-2906 2020 L
-3744 1002 L
-333 1603 V
-2906 2020 L
-1387 3510 L
-1013 789 L
-2906 2020 L
-1387 3510 L
-4077 2605 L
-2906 2020 L
+3785 1002 M
+3529 468 L
+2805 905 V
+3785 1002 L
+332 1602 V
+6334 1373 L
+3785 1002 L
+3529 468 L
+1067 789 L
+2718 213 V
+1439 3510 M
+4519 4521 L
+587 3609 L
+852 -99 V
+4519 4521 L
+4117 2604 L
+1439 3510 L
+1067 789 L
+587 3609 L
+852 -99 V
+6129 2355 M
+4117 2604 L
+6334 1373 L
+-205 982 V
+4519 4521 L
+4117 2604 L
+6129 2355 L
+2951 2020 M
+3785 1002 L
+1067 789 L
+2951 2020 L
+3785 1002 L
+332 1602 V
+2951 2020 L
+1439 3510 L
+1067 789 L
+2951 2020 L
+1439 3510 L
+4117 2604 L
+2951 2020 L
+% End plot #1
+% Begin plot #2
 stroke
 LT1
-1.00 0.00 0.00 C LTb
-6311 4599 M
-[ [(Helvetica) 140.0 0.0 true true 0 (Voronoi Diagram)]
+1.00 0.00 0.00 C LCb setrgbcolor
+6338 4598 M
+[ [(Helvetica) 140.0 0.0 true true 0 (Delaunay Triangulation)]
 ] -46.7 MRshow
 LT1
-1.00 0.00 0.00 C 6395 4599 M
+1.00 0.00 0.00 C 6422 4598 M
 399 0 V
+% End plot #2
+% Begin plot #3
 stroke
 LT2
-1.00 0.00 0.00 C 6962 1944 M
-4904 1728 L
+1.00 0.00 0.00 C 6989 1944 M
+4940 1727 L
+% End plot #3
+% Begin plot #4
 stroke
 LT3
-1.00 0.00 0.00 C 6962 4067 M
-5326 3453 L
+1.00 0.00 0.00 C 6989 4067 M
+5360 3452 L
+% End plot #4
+% Begin plot #5
 stroke
 LT4
-1.00 0.00 0.00 C 4904 1728 M
-422 1725 V
+1.00 0.00 0.00 C 4940 1727 M
+420 1725 V
+% End plot #5
+% Begin plot #6
 stroke
 LT5
-1.00 0.00 0.00 C 4904 1728 M
--28 -26 V
+1.00 0.00 0.00 C 4940 1727 M
+-28 -25 V
+% End plot #6
+% Begin plot #7
 stroke
 LT6
-1.00 0.00 0.00 C 5326 3453 M
-3150 3683 L
+1.00 0.00 0.00 C 5360 3452 M
+3194 3682 L
+% End plot #7
+% Begin plot #8
 stroke
 LT7
-1.00 0.00 0.00 C 2160 280 M
+1.00 0.00 0.00 C 2208 280 M
 196 760 V
+% End plot #8
+% Begin plot #9
 stroke
 LT8
-1.00 0.00 0.00 C 2356 1040 M
-5270 333 L
+1.00 0.00 0.00 C 2404 1040 M
+5305 333 L
+% End plot #9
+% Begin plot #10
 stroke
 LT0
-1.00 0.00 0.00 C 2356 1040 M
+1.00 0.00 0.00 C 2404 1040 M
 -10 66 V
+% End plot #10
+% Begin plot #11
 stroke
 LT1
-1.00 0.00 0.00 C 5270 333 M
-34 -53 V
+1.00 0.00 0.00 C 5305 333 M
+33 -53 V
+% End plot #11
+% Begin plot #12
 stroke
 LT2
-1.00 0.00 0.00 C 5270 333 M
-4876 1702 L
+1.00 0.00 0.00 C 5305 333 M
+4912 1702 L
+% End plot #12
+% Begin plot #13
 stroke
 LT3
-1.00 0.00 0.00 C 4876 1702 M
--870 91 V
+1.00 0.00 0.00 C 4912 1702 M
+-865 91 V
+% End plot #13
+% Begin plot #14
 stroke
 LT4
-1.00 0.00 0.00 C 490 2175 M
+1.00 0.00 0.00 C 546 2175 M
 153 13 V
+% End plot #14
+% Begin plot #15
 stroke
 LT5
-1.00 0.00 0.00 C 2378 4872 M
-3150 3683 L
+1.00 0.00 0.00 C 2426 4871 M
+3194 3682 L
+% End plot #15
+% Begin plot #16
 stroke
 LT6
-1.00 0.00 0.00 C 1261 4872 M
-643 2188 L
+1.00 0.00 0.00 C 1314 4871 M
+699 2188 L
+% End plot #16
+% Begin plot #17
 stroke
 LT7
-1.00 0.00 0.00 C 3150 3683 M
-2741 3070 L
+1.00 0.00 0.00 C 3194 3682 M
+2786 3070 L
+% End plot #17
+% Begin plot #18
 stroke
 LT8
-1.00 0.00 0.00 C 643 2188 M
-334 -23 V
+1.00 0.00 0.00 C 699 2188 M
+332 -23 V
+% End plot #18
+% Begin plot #19
 stroke
 LT0
-1.00 0.00 0.00 C 2346 1106 M
-1660 687 V
+1.00 0.00 0.00 C 2394 1106 M
+1653 687 V
+% End plot #19
+% Begin plot #20
 stroke
 LT1
-1.00 0.00 0.00 C 2346 1106 M
-977 2165 L
+1.00 0.00 0.00 C 2394 1106 M
+1031 2165 L
+% End plot #20
+% Begin plot #21
 stroke
 LT2
-1.00 0.00 0.00 C 4006 1793 M
-2741 3070 L
+1.00 0.00 0.00 C 4047 1793 M
+2786 3070 L
+% End plot #21
+% Begin plot #22
 stroke
 LT3
-1.00 0.00 0.00 C 2741 3070 M
-977 2165 L
+1.00 0.00 0.00 C 2786 3070 M
+1031 2165 L
+% End plot #22
+% Begin plot #23
 stroke
 3.000 UL
 LT4
-0.00 1.00 0.00 C 2741 2014 M
--47 0 V
+0.00 1.00 0.00 C 2786 2014 M
+-46 0 V
 -47 2 V
--47 3 V
--46 3 V
+-46 2 V
+-46 4 V
+-46 5 V
 -46 5 V
--46 6 V
--46 6 V
--46 8 V
--45 9 V
+-46 7 V
+-45 8 V
+-45 8 V
 -45 10 V
--44 10 V
--44 12 V
--43 13 V
--42 13 V
+-44 11 V
+-43 12 V
+-43 12 V
+-43 14 V
 -42 15 V
--42 16 V
--40 16 V
+-41 15 V
 -40 17 V
--39 19 V
--39 19 V
--37 20 V
+-40 17 V
+-39 18 V
+-38 19 V
 -37 20 V
--35 22 V
--35 22 V
--33 23 V
--33 24 V
--31 25 V
--31 25 V
--29 26 V
--28 26 V
--27 28 V
--26 27 V
--24 29 V
--23 28 V
--22 30 V
+-36 21 V
+-36 22 V
+-34 22 V
+-34 23 V
+-32 24 V
+-32 24 V
+-30 26 V
+-29 25 V
+-28 27 V
+-27 27 V
+-25 28 V
+-25 28 V
+-23 29 V
+-21 29 V
 -21 30 V
 -19 30 V
 -18 31 V
--17 31 V
+-16 31 V
 -15 31 V
--13 32 V
--13 32 V
+-14 32 V
+-12 32 V
 -11 32 V
--9 32 V
+-10 33 V
 -8 33 V
--7 33 V
+-6 32 V
 -5 33 V
--4 33 V
+-4 34 V
 -2 33 V
 -1 33 V
-1 34 V
+1 33 V
 2 33 V
 4 33 V
 5 33 V
-7 33 V
-8 32 V
-9 33 V
-11 32 V
-13 32 V
-13 32 V
-15 31 V
-17 31 V
-18 31 V
-19 30 V
+6 33 V
+8 33 V
+10 32 V
+11 33 V
+12 32 V
+14 31 V
+15 32 V
+16 31 V
+18 30 V
+19 31 V
+21 29 V
 21 30 V
-22 29 V
 23 29 V
-24 29 V
-26 27 V
-27 28 V
+25 28 V
+25 28 V
+27 27 V
 28 26 V
 29 26 V
-31 25 V
-31 25 V
-33 24 V
-33 23 V
-35 22 V
-35 22 V
-37 20 V
-37 20 V
-39 19 V
-39 19 V
+30 25 V
+32 25 V
+32 24 V
+34 23 V
+34 22 V
+36 22 V
+36 21 V
+37 19 V
+38 20 V
+39 18 V
+40 17 V
 40 17 V
-40 16 V
-42 16 V
-42 14 V
-42 14 V
+41 15 V
+42 15 V
 43 13 V
-44 12 V
-44 10 V
-45 10 V
+43 13 V
+43 12 V
+44 11 V
+45 9 V
 45 9 V
-46 8 V
+45 8 V
 46 6 V
 46 6 V
 46 5 V
-46 3 V
-47 3 V
+46 4 V
+46 2 V
 47 2 V
-47 0 V
 46 0 V
+47 0 V
 47 -2 V
-47 -3 V
-46 -3 V
-2974 4114 L
+46 -2 V
+46 -4 V
+stroke 2972 4118 M
+46 -5 V
+46 -6 V
 46 -6 V
-45 -6 V
-46 -8 V
+45 -8 V
 45 -9 V
-45 -10 V
-44 -10 V
-44 -12 V
+45 -9 V
+44 -11 V
+43 -12 V
+43 -13 V
 43 -13 V
-43 -14 V
-42 -14 V
-41 -16 V
-41 -16 V
-39 -17 V
-40 -19 V
-38 -19 V
-37 -20 V
-37 -20 V
-35 -22 V
-35 -22 V
+41 -15 V
+42 -15 V
+40 -17 V
+40 -17 V
+39 -18 V
+38 -20 V
+37 -19 V
+36 -21 V
+36 -22 V
+34 -22 V
 34 -23 V
 32 -24 V
-32 -25 V
-30 -25 V
+31 -25 V
+31 -25 V
 29 -26 V
 28 -26 V
-27 -28 V
-26 -27 V
+27 -27 V
+25 -28 V
+24 -28 V
 24 -29 V
-23 -29 V
-22 -29 V
 21 -30 V
-19 -30 V
-18 -31 V
-17 -31 V
-15 -31 V
-14 -32 V
+21 -29 V
+19 -31 V
+18 -30 V
+16 -31 V
+15 -32 V
+14 -31 V
 12 -32 V
-11 -32 V
-9 -33 V
-8 -32 V
-7 -33 V
+11 -33 V
+10 -32 V
+8 -33 V
+6 -33 V
 5 -33 V
 4 -33 V
 2 -33 V
-1 -34 V
+1 -33 V
 -1 -33 V
 -2 -33 V
--4 -33 V
+-4 -34 V
 -5 -33 V
--7 -33 V
+-6 -32 V
 -8 -33 V
--9 -32 V
+-10 -33 V
 -11 -32 V
 -12 -32 V
 -14 -32 V
 -15 -31 V
--17 -31 V
+-16 -31 V
 -18 -31 V
 -19 -30 V
 -21 -30 V
--22 -30 V
--23 -28 V
+-21 -29 V
 -24 -29 V
--26 -27 V
--27 -28 V
--28 -26 V
--29 -26 V
--30 -25 V
--32 -25 V
+-24 -28 V
+-25 -28 V
+-27 -27 V
+-28 -27 V
+-29 -25 V
+-31 -26 V
+-31 -24 V
 -32 -24 V
 -34 -23 V
--35 -22 V
--35 -22 V
--37 -20 V
+-34 -22 V
+-36 -22 V
+-36 -21 V
 -37 -20 V
 -38 -19 V
--40 -19 V
--39 -17 V
--41 -16 V
--41 -16 V
+-39 -18 V
+-40 -17 V
+-40 -17 V
 -42 -15 V
--43 -13 V
--43 -13 V
--44 -12 V
--44 -10 V
+-41 -15 V
+-43 -14 V
+-43 -12 V
+-43 -12 V
+-44 -11 V
 -45 -10 V
--45 -9 V
--46 -8 V
--45 -6 V
--46 -6 V
--47 -5 V
--46 -3 V
--47 -3 V
+-45 -8 V
+-45 -8 V
+-46 -7 V
+-46 -5 V
+-46 -5 V
+-46 -4 V
+-46 -2 V
 -47 -2 V
--46 0 V
+-47 0 V
+% End plot #23
 stroke
 0.500 UL
 LTb
-490 4872 N
-490 280 L
-6472 0 V
-0 4592 V
--6472 0 V
+546 4871 N
+546 280 L
+6443 0 V
+0 4591 V
+-6443 0 V
 Z stroke
 1.000 UP
 0.500 UL
 LTb
+grestore % colour palette end
 stroke
 grestore
 end
Binary files 1:3.0.1-6/doc/interpreter/voronoi.pdf and 1:3.0.5-6/doc/interpreter/voronoi.pdf differ
Binary files 1:3.0.1-6/doc/interpreter/voronoi.png and 1:3.0.5-6/doc/interpreter/voronoi.png differ
diff -pruN 1:3.0.1-6/doc/liboctave/HTML/index.html 1:3.0.5-6/doc/liboctave/HTML/index.html
--- 1:3.0.1-6/doc/liboctave/HTML/index.html	2008-04-21 17:58:17.000000000 +0100
+++ 1:3.0.5-6/doc/liboctave/HTML/index.html	2009-04-07 11:11:25.000000000 +0100
@@ -90,7 +90,7 @@ Up:&nbsp;<a rel="up" accesskey="u" href=
 
 <p>This manual documents how to use, install and port Octave's C++ class
 library, and how to report bugs.  It corresponds to Octave version
-3.0.1.
+3.0.5.
 
 <!--  -->
 <ul class="menu">
Binary files 1:3.0.1-6/doc/liboctave/liboctave.dvi and 1:3.0.5-6/doc/liboctave/liboctave.dvi differ
diff -pruN 1:3.0.1-6/doc/liboctave/liboctave.info 1:3.0.5-6/doc/liboctave/liboctave.info
--- 1:3.0.1-6/doc/liboctave/liboctave.info	2008-04-21 17:58:15.000000000 +0100
+++ 1:3.0.5-6/doc/liboctave/liboctave.info	2009-04-07 11:11:23.000000000 +0100
@@ -1,6 +1,6 @@
+START-INFO-DIR-ENTRY
 This is liboctave.info, produced by makeinfo version 4.11 from liboctave.texi.
 
-START-INFO-DIR-ENTRY
 * liboctave: (liboctave). Octave C++ Classes
 END-INFO-DIR-ENTRY
 
@@ -27,7 +27,7 @@ Octave C++ Classes
 
 This manual documents how to use, install and port Octave's C++ class
 library, and how to report bugs.  It corresponds to Octave version
-3.0.1.
+3.0.5.
 
 * Menu:
 
Binary files 1:3.0.1-6/doc/liboctave/liboctave.pdf and 1:3.0.5-6/doc/liboctave/liboctave.pdf differ
diff -pruN 1:3.0.1-6/doc/liboctave/liboctave.ps 1:3.0.5-6/doc/liboctave/liboctave.ps
--- 1:3.0.1-6/doc/liboctave/liboctave.ps	2008-04-21 17:58:16.000000000 +0100
+++ 1:3.0.5-6/doc/liboctave/liboctave.ps	2009-04-07 11:11:24.000000000 +0100
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
-%%Creator: dvips(k) 5.96.1 Copyright 2007 Radical Eye Software
+%%Creator: dvips(k) 5.96 Copyright 2005 Radical Eye Software
 %%Title: liboctave.dvi
-%%CreationDate: Mon Apr 21 12:58:16 2008
+%%CreationDate: Tue Apr  7 12:11:24 2009
 %%Pages: 57
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
@@ -12,7 +12,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -o liboctave.ps liboctave.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2008.04.21:1258
+%DVIPSSource:  TeX output 2009.04.07:1211
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -3529,6 +3529,9 @@ rf /Fg 133[52 52 52 52 52 52 52 52 52 52
 %%BeginSetup
 %%Feature: *Resolution 600dpi
 TeXDict begin
+%%BeginPaperSize: Letter
+<< /PageSize [612 792] >> setpagedevice
+%%EndPaperSize
  end
 %%EndSetup
 %%Page: 1 1
@@ -3555,7 +3558,7 @@ b(@c)f(Y)-7 b(ou)29 b(should)g(ha)n(v)n(
 (see)f(@c)g(<h)n(ttp://www.gn)n(u.org/licenses/>.)150
 1830 y Fr(Octa)-5 b(v)g(e)65 b(C)p Fq(++)f Fr(Classes)p
 150 1896 3600 34 v 2339 1993 a Fp(Edition)30 b(1.0)i(for)e(Octa)m(v)m
-(e)i(v)m(ersion)f(3.0.1)3118 2101 y(Septem)m(b)s(er)f(1993)150
+(e)i(v)m(ersion)f(3.0.5)3118 2101 y(Septem)m(b)s(er)f(1993)150
 5091 y Fo(John)45 b(W.)g(Eaton)p 150 5141 3600 17 v eop
 end
 %%Page: 2 2
@@ -3564,7 +3567,7 @@ TeXDict begin 2 1 bop 150 4137 a Fp(Cop)
 150 4296 y(This)37 b(is)g(the)h(\014rst)e(edition)i(of)g(the)f(do)s
 (cumen)m(tation)i(for)e(Octa)m(v)m(e's)j(C)p Fm(++)c
 Fp(classes,)k(and)d(is)h(consisten)m(t)150 4406 y(with)30
-b(v)m(ersion)h(3.0.1)h(of)f(Octa)m(v)m(e.)150 4565 y(P)m(ermission)h
+b(v)m(ersion)h(3.0.5)h(of)f(Octa)m(v)m(e.)150 4565 y(P)m(ermission)h
 (is)h(gran)m(ted)g(to)f(mak)m(e)i(and)d(distribute)h(v)m(erbatim)h
 (copies)g(of)f(this)g(man)m(ual)h(pro)m(vided)f(the)150
 4675 y(cop)m(yrigh)m(t)g(notice)f(and)f(this)g(p)s(ermission)g(notice)h
Binary files 1:3.0.1-6/doc/refcard/refcard-a4.dvi and 1:3.0.5-6/doc/refcard/refcard-a4.dvi differ
Binary files 1:3.0.1-6/doc/refcard/refcard-a4.pdf and 1:3.0.5-6/doc/refcard/refcard-a4.pdf differ
diff -pruN 1:3.0.1-6/doc/refcard/refcard-a4.ps 1:3.0.5-6/doc/refcard/refcard-a4.ps
--- 1:3.0.1-6/doc/refcard/refcard-a4.ps	2008-04-21 17:58:18.000000000 +0100
+++ 1:3.0.5-6/doc/refcard/refcard-a4.ps	2009-04-05 15:00:28.000000000 +0100
@@ -1,18 +1,18 @@
 %!PS-Adobe-2.0
-%%Creator: dvips(k) 5.96.1 Copyright 2007 Radical Eye Software
+%%Creator: dvips(k) 5.96 Copyright 2005 Radical Eye Software
 %%Title: refcard-a4.dvi
-%%CreationDate: Mon Apr 21 12:58:18 2008
+%%CreationDate: Sun Apr  5 16:00:27 2009
 %%Pages: 3
 %%PageOrder: Ascend
 %%Orientation: Landscape
-%%BoundingBox: 0 0 595 842
+%%BoundingBox: 0 0 595 843
 %%DocumentFonts: CMBX12 CMR6 CMBX10 CMTT8 CMR7 CMTI7 CMR10 CMSY10 CMMI10
 %%DocumentPaperSizes: a4
 %%EndComments
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -T 297mm,210mm -o refcard-a4.ps refcard-a4.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2008.04.21:1258
+%DVIPSSource:  TeX output 2009.04.05:1600
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -2423,7 +2423,9 @@ rf end
 %%BeginSetup
 %%Feature: *Resolution 600dpi
 TeXDict begin
-%%PaperSize: A4
+%%BeginPaperSize: a4
+<< /PageSize [595 842] >> setpagedevice
+%%EndPaperSize
  @landscape end
 %%EndSetup
 %%Page: 1 1
Binary files 1:3.0.1-6/doc/refcard/refcard-legal.dvi and 1:3.0.5-6/doc/refcard/refcard-legal.dvi differ
Binary files 1:3.0.1-6/doc/refcard/refcard-legal.pdf and 1:3.0.5-6/doc/refcard/refcard-legal.pdf differ
diff -pruN 1:3.0.1-6/doc/refcard/refcard-legal.ps 1:3.0.5-6/doc/refcard/refcard-legal.ps
--- 1:3.0.1-6/doc/refcard/refcard-legal.ps	2008-04-21 17:58:18.000000000 +0100
+++ 1:3.0.5-6/doc/refcard/refcard-legal.ps	2009-04-05 15:00:28.000000000 +0100
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
-%%Creator: dvips(k) 5.96.1 Copyright 2007 Radical Eye Software
+%%Creator: dvips(k) 5.96 Copyright 2005 Radical Eye Software
 %%Title: refcard-legal.dvi
-%%CreationDate: Mon Apr 21 12:58:18 2008
+%%CreationDate: Sun Apr  5 16:00:28 2009
 %%Pages: 2
 %%PageOrder: Ascend
 %%Orientation: Landscape
@@ -13,7 +13,7 @@
 %DVIPSCommandLine: dvips -T 14in,8.5in -o refcard-legal.ps
 %+ refcard-legal.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2008.04.21:1258
+%DVIPSSource:  TeX output 2009.04.05:1600
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -2425,7 +2425,7 @@ rf end
 %%Feature: *Resolution 600dpi
 TeXDict begin
 %%BeginPaperSize: Legal
-legal
+<< /PageSize [612 1008] >> setpagedevice
 %%EndPaperSize
  @landscape end
 %%EndSetup
Binary files 1:3.0.1-6/doc/refcard/refcard-letter.dvi and 1:3.0.5-6/doc/refcard/refcard-letter.dvi differ
Binary files 1:3.0.1-6/doc/refcard/refcard-letter.pdf and 1:3.0.5-6/doc/refcard/refcard-letter.pdf differ
diff -pruN 1:3.0.1-6/doc/refcard/refcard-letter.ps 1:3.0.5-6/doc/refcard/refcard-letter.ps
--- 1:3.0.1-6/doc/refcard/refcard-letter.ps	2008-04-21 17:58:18.000000000 +0100
+++ 1:3.0.5-6/doc/refcard/refcard-letter.ps	2009-04-05 15:00:28.000000000 +0100
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
-%%Creator: dvips(k) 5.96.1 Copyright 2007 Radical Eye Software
+%%Creator: dvips(k) 5.96 Copyright 2005 Radical Eye Software
 %%Title: refcard-letter.dvi
-%%CreationDate: Mon Apr 21 12:58:18 2008
+%%CreationDate: Sun Apr  5 16:00:28 2009
 %%Pages: 3
 %%PageOrder: Ascend
 %%Orientation: Landscape
@@ -13,7 +13,7 @@
 %DVIPSCommandLine: dvips -T 11in,8.5in -o refcard-letter.ps
 %+ refcard-letter.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2008.04.21:1258
+%DVIPSSource:  TeX output 2009.04.05:1600
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -2424,6 +2424,9 @@ rf end
 %%BeginSetup
 %%Feature: *Resolution 600dpi
 TeXDict begin
+%%BeginPaperSize: Letter
+<< /PageSize [612 792] >> setpagedevice
+%%EndPaperSize
  @landscape end
 %%EndSetup
 %%Page: 1 1
diff -pruN 1:3.0.1-6/examples/embedded.cc 1:3.0.5-6/examples/embedded.cc
--- 1:3.0.1-6/examples/embedded.cc	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/examples/embedded.cc	2009-01-16 06:46:20.000000000 +0000
@@ -0,0 +1,43 @@
+#include <iostream>
+#include <octave/oct.h>
+#include <octave/octave.h>
+#include <octave/parse.h>
+int
+main (void)
+{
+  string_vector argv (2);
+  argv(0) = "embedded";
+  argv(1) = "-q";
+
+  octave_main (2, argv.c_str_vec(), 1);
+
+  octave_idx_type n = 2;
+  Matrix a_matrix = Matrix (1, 2);
+
+  std::cout << "GCD of [";
+  for (octave_idx_type i = 0; i < n; i++)
+    {
+      a_matrix (i) = 5 * (i + 1); 
+      if (i != 0)
+	std::cout << ", " << 5 * (i + 2);
+      else
+	std::cout << 5 * (i + 2);
+    }
+  std::cout << "] is ";
+
+  octave_value_list in = octave_value (a_matrix);
+  octave_value_list out = feval ("gcd", in, 1);
+
+  if (!error_state && out.length () > 0)
+    {
+      a_matrix = out(0).matrix_value ();
+      if (a_matrix.numel () == 1)
+	std::cout << a_matrix(0) << "\n";
+      else
+	std::cout << "invalid\n";
+    }
+  else
+    std::cout << "invalid\n";
+
+  return 0;
+}
diff -pruN 1:3.0.1-6/examples/Makefile.in 1:3.0.5-6/examples/Makefile.in
--- 1:3.0.1-6/examples/Makefile.in	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/examples/Makefile.in	2009-01-16 06:46:20.000000000 +0000
@@ -39,6 +39,7 @@ SCRIPTS = info-emacs-info info-emacs-oct
 SOURCES = \
   addtwomatrices.cc \
   celldemo.cc \
+  embedded.cc \
   firstmexdemo.c \
   fortdemo.cc \
   fortsub.f \
@@ -62,6 +63,7 @@ SOURCES = \
   oregonator.cc \
   oregonator.m \
   paramdemo.cc \
+  standalone.cc \
   stringdemo.cc \
   structdemo.cc \
   unwinddemo.cc
diff -pruN 1:3.0.1-6/examples/standalone.cc 1:3.0.5-6/examples/standalone.cc
--- 1:3.0.1-6/examples/standalone.cc	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/examples/standalone.cc	2009-01-16 06:46:20.000000000 +0000
@@ -0,0 +1,18 @@
+#include <iostream>
+#include <octave/oct.h>
+int
+main (void)
+{
+  std::cout << "Hello Octave world!\n";
+  int n = 2;
+  Matrix a_matrix = Matrix (n, n);
+  for (octave_idx_type i = 0; i < n; i++)
+    {
+      for (octave_idx_type j = 0; j < n; j++)
+        {
+          a_matrix (i, j) = (i + 1) * 10 + (j + 1);
+        }
+    }
+  std::cout << a_matrix;
+  return 0;
+}
diff -pruN 1:3.0.1-6/INSTALL.OCTAVE 1:3.0.5-6/INSTALL.OCTAVE
--- 1:3.0.1-6/INSTALL.OCTAVE	2008-04-21 17:58:20.000000000 +0100
+++ 1:3.0.5-6/INSTALL.OCTAVE	2009-04-07 11:11:27.000000000 +0100
@@ -6,7 +6,7 @@ Free Software Foundation.
 
    *Note:* This file is automatically generated from
 `doc/interpreter/install.txi' in the Octave sources, so to make changes
-to this documenation file, change that source file.
+to this documentation file, change that source file.
 
 1 Installing Octave
 *******************
@@ -32,7 +32,7 @@ system.
           Enable bounds checking for indexing operators in the internal
           array classes.  This option is primarily used for debugging
           Octave.  Building Octave with this option has a negative
-          impact on performace and is not recommended for general use.
+          impact on performance and is not recommended for general use.
 
     `--enable-64'
           This is an *experimental* option to enable Octave to use
@@ -220,7 +220,7 @@ that don't really mean anything is wrong
 installation of Octave.
 
    * On some SCO systems, `info' fails to compile if `HAVE_TERMIOS_H'
-     is defined int `config.h'.  Simply removing the definition from
+     is defined in `config.h'.  Simply removing the definition from
      `info/config.h' should allow it to compile.
 
    * If `configure' finds `dlopen', `dlsym', `dlclose', and `dlerror',
diff -pruN 1:3.0.1-6/libcruft/ChangeLog 1:3.0.5-6/libcruft/ChangeLog
--- 1:3.0.1-6/libcruft/ChangeLog	2008-04-21 17:02:47.000000000 +0100
+++ 1:3.0.5-6/libcruft/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,19 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
diff -pruN 1:3.0.1-6/liboctave/Array.cc 1:3.0.5-6/liboctave/Array.cc
--- 1:3.0.1-6/liboctave/Array.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/Array.cc	2009-01-16 06:46:21.000000000 +0000
@@ -1389,12 +1389,19 @@ Array<T>::maybe_delete_elements_2 (idx_v
   octave_idx_type nr = dim1 ();
   octave_idx_type nc = dim2 ();
 
+  if (idx_arg.is_colon ())
+    {
+      // A(:) = [] always gives 0-by-0 matrix, even if A was empty.
+      resize_no_fill (0, 0);
+      return;
+    }
+
   octave_idx_type n;
   if (nr == 1)
     n = nc;
   else if (nc == 1)
     n = nr;
-  else
+  else if (! idx_arg.orig_empty ())
     {
       // Reshape to row vector for Matlab compatibility.
 
@@ -1402,20 +1409,20 @@ Array<T>::maybe_delete_elements_2 (idx_v
       nr = 1;
       nc = n;
     }
+  else
+    return;
 
-  if (nr > 0 && nc > 0 && idx_arg.is_colon_equiv (n, 1))
-    {
-      // Either A(:) = [] or A(idx) = [] with idx enumerating all
-      // elements, so we delete all elements and return [](0x0).  To
-      // preserve the orientation of the vector, you have to use
-      // A(idx,:) = [] (delete rows) or A(:,idx) (delete columns).
+  idx_arg.sort (true);
 
-      resize_no_fill (0, 0);
+  if (idx_arg.is_colon_equiv (n, 1))
+    {
+      if (nr == 1)
+        resize_no_fill (1, 0);
+      else if (nc == 1)
+        resize_no_fill (0, 1);
       return;
     }
 
-  idx_arg.sort (true);
-
   octave_idx_type num_to_delete = idx_arg.length (n);
 
   if (num_to_delete != 0)
@@ -1485,167 +1492,133 @@ Array<T>::maybe_delete_elements (idx_vec
   octave_idx_type nr = dim1 ();
   octave_idx_type nc = dim2 ();
 
-  if (nr == 0 && nc == 0)
-    return;
-
-  if (idx_i.is_colon ())
+  if (idx_i.is_colon () && idx_j.is_colon ())
     {
-      if (idx_j.is_colon ())
-	{
-	  // A(:,:) -- We are deleting columns and rows, so the result
-	  // is [](0x0).
-
-	  resize_no_fill (0, 0);
-	  return;
-	}
-
-      if (idx_j.is_colon_equiv (nc, 1))
-	{
-	  // A(:,j) -- We are deleting columns by enumerating them,
-	  // If we enumerate all of them, we should have zero columns
-	  // with the same number of rows that we started with.
-
-	  resize_no_fill (nr, 0);
-	  return;
-	}
-    }
-
-  if (idx_j.is_colon () && idx_i.is_colon_equiv (nr, 1))
-    {
-      // A(i,:) -- We are deleting rows by enumerating them.  If we
-      // enumerate all of them, we should have zero rows with the
-      // same number of columns that we started with.
-
+      // A special case: A(:,:). Matlab gives 0-by-nc here, but perhaps we
+      // should not?
       resize_no_fill (0, nc);
-      return;
     }
-
-  if (idx_i.is_colon_equiv (nr, 1))
+  else if (idx_i.is_colon ())
     {
+      idx_j.sort (true); // sort in advance to speed-up the following check
+
       if (idx_j.is_colon_equiv (nc, 1))
-	resize_no_fill (0, 0);
+	resize_no_fill (nr, 0);
       else
 	{
-	  idx_j.sort (true);
-
 	  octave_idx_type num_to_delete = idx_j.length (nc);
 
 	  if (num_to_delete != 0)
-	    {
-	      if (nr == 1 && num_to_delete == nc)
-		resize_no_fill (0, 0);
-	      else
-		{
-		  octave_idx_type new_nc = nc;
-
-		  octave_idx_type iidx = 0;
-
-		  for (octave_idx_type j = 0; j < nc; j++)
-		    if (j == idx_j.elem (iidx))
-		      {
-			iidx++;
-			new_nc--;
-
-			if (iidx == num_to_delete)
-			  break;
-		      }
-
-		  if (new_nc > 0)
-		    {
-		      T *new_data = new T [nr * new_nc];
-
-		      octave_idx_type jj = 0;
-		      iidx = 0;
-		      for (octave_idx_type j = 0; j < nc; j++)
-			{
-			  if (iidx < num_to_delete && j == idx_j.elem (iidx))
-			    iidx++;
-			  else
-			    {
-			      for (octave_idx_type i = 0; i < nr; i++)
-				new_data[nr*jj+i] = xelem (i, j);
-			      jj++;
-			    }
-			}
+            {
+              octave_idx_type new_nc = nc;
 
-		      if (--(Array<T>::rep)->count <= 0)
-			delete Array<T>::rep;
+              octave_idx_type iidx = 0;
 
-		      Array<T>::rep = new typename Array<T>::ArrayRep (new_data, nr * new_nc);
-
-		      dimensions.resize (2);
-		      dimensions(1) = new_nc;
-		    }
-		  else
-		    (*current_liboctave_error_handler)
-		      ("A(idx) = []: index out of range");
-		}
-	    }
+              for (octave_idx_type j = 0; j < nc; j++)
+                if (j == idx_j.elem (iidx))
+                  {
+                    iidx++;
+                    new_nc--;
+
+                    if (iidx == num_to_delete)
+                      break;
+                  }
+
+              if (new_nc > 0)
+                {
+                  T *new_data = new T [nr * new_nc];
+
+                  octave_idx_type jj = 0;
+                  iidx = 0;
+                  for (octave_idx_type j = 0; j < nc; j++)
+                    {
+                      if (iidx < num_to_delete && j == idx_j.elem (iidx))
+                        iidx++;
+                      else
+                        {
+                          for (octave_idx_type i = 0; i < nr; i++)
+                            new_data[nr*jj+i] = xelem (i, j);
+                          jj++;
+                        }
+                    }
+
+                  if (--(Array<T>::rep)->count <= 0)
+                    delete Array<T>::rep;
+
+                  Array<T>::rep = new typename Array<T>::ArrayRep (new_data, nr * new_nc);
+
+                  dimensions.resize (2);
+                  dimensions(1) = new_nc;
+                }
+              else
+                (*current_liboctave_error_handler)
+                  ("A(idx) = []: index out of range");
+            }
 	}
     }
-  else if (idx_j.is_colon_equiv (nc, 1))
+  else if (idx_j.is_colon ())
     {
+      idx_i.sort (true); // sort in advance to speed-up the following check
+
       if (idx_i.is_colon_equiv (nr, 1))
-	resize_no_fill (0, 0);
+	resize_no_fill (0, nc);
       else
 	{
-	  idx_i.sort (true);
-
 	  octave_idx_type num_to_delete = idx_i.length (nr);
 
 	  if (num_to_delete != 0)
-	    {
-	      if (nc == 1 && num_to_delete == nr)
-		resize_no_fill (0, 0);
-	      else
-		{
-		  octave_idx_type new_nr = nr;
+            {
+              octave_idx_type new_nr = nr;
 
-		  octave_idx_type iidx = 0;
+              octave_idx_type iidx = 0;
 
-		  for (octave_idx_type i = 0; i < nr; i++)
-		    if (i == idx_i.elem (iidx))
-		      {
-			iidx++;
-			new_nr--;
-
-			if (iidx == num_to_delete)
-			  break;
-		      }
-
-		  if (new_nr > 0)
-		    {
-		      T *new_data = new T [new_nr * nc];
-
-		      octave_idx_type ii = 0;
-		      iidx = 0;
-		      for (octave_idx_type i = 0; i < nr; i++)
-			{
-			  if (iidx < num_to_delete && i == idx_i.elem (iidx))
-			    iidx++;
-			  else
-			    {
-			      for (octave_idx_type j = 0; j < nc; j++)
-				new_data[new_nr*j+ii] = xelem (i, j);
-			      ii++;
-			    }
-			}
-
-		      if (--(Array<T>::rep)->count <= 0)
-			delete Array<T>::rep;
-
-		      Array<T>::rep = new typename Array<T>::ArrayRep (new_data, new_nr * nc);
-
-		      dimensions.resize (2);
-		      dimensions(0) = new_nr;
-		    }
-		  else
-		    (*current_liboctave_error_handler)
-		      ("A(idx) = []: index out of range");
-		}
-	    }
+              for (octave_idx_type i = 0; i < nr; i++)
+                if (i == idx_i.elem (iidx))
+                  {
+                    iidx++;
+                    new_nr--;
+
+                    if (iidx == num_to_delete)
+                      break;
+                  }
+
+              if (new_nr > 0)
+                {
+                  T *new_data = new T [new_nr * nc];
+
+                  octave_idx_type ii = 0;
+                  iidx = 0;
+                  for (octave_idx_type i = 0; i < nr; i++)
+                    {
+                      if (iidx < num_to_delete && i == idx_i.elem (iidx))
+                        iidx++;
+                      else
+                        {
+                          for (octave_idx_type j = 0; j < nc; j++)
+                            new_data[new_nr*j+ii] = xelem (i, j);
+                          ii++;
+                        }
+                    }
+
+                  if (--(Array<T>::rep)->count <= 0)
+                    delete Array<T>::rep;
+
+                  Array<T>::rep = new typename Array<T>::ArrayRep (new_data, new_nr * nc);
+
+                  dimensions.resize (2);
+                  dimensions(0) = new_nr;
+                }
+              else
+                (*current_liboctave_error_handler)
+                  ("A(idx) = []: index out of range");
+            }
 	}
     }
+  else if (! (idx_i.orig_empty () || idx_j.orig_empty ()))
+    {
+      (*current_liboctave_error_handler)
+        ("a null assignment can have only one non-colon index");
+    }
 }
 
 template <class T>
@@ -1661,6 +1634,21 @@ Array<T>::maybe_delete_elements (Array<i
 {
   octave_idx_type n_idx = ra_idx.length ();
 
+  // Special case matrices
+  if (ndims () == 2)
+    {
+      if (n_idx == 1)
+        {
+          maybe_delete_elements (ra_idx (0));
+          return;
+        }
+      else if (n_idx == 2)
+        {
+          maybe_delete_elements (ra_idx (0), ra_idx (1));
+          return;
+        }
+    }
+
   dim_vector lhs_dims = dims ();
 
   int n_lhs_dims = lhs_dims.length ();
@@ -1701,6 +1689,7 @@ Array<T>::maybe_delete_elements (Array<i
 
   for (octave_idx_type i = 0; i < n_idx; i++)
     {
+      if (ra_idx(i).orig_empty ()) return;
       idx_is_colon_equiv(i) = ra_idx(i).is_colon_equiv (lhs_dims(i), 1);
 
       idx_is_colon(i) = ra_idx(i).is_colon ();
@@ -1756,18 +1745,15 @@ Array<T>::maybe_delete_elements (Array<i
   if (idx_ok)
     {
       if (n_idx > 1
-	  && (all_ones (idx_is_colon) || all_ones (idx_is_colon_equiv)))
+	  && (all_ones (idx_is_colon)))
 	{
 	  // A(:,:,:) -- we are deleting elements in all dimensions, so
 	  // the result is [](0x0x0).
 
-	  dim_vector zeros;
-	  zeros.resize (n_idx);
-
-	  for (int i = 0; i < n_idx; i++)
-	    zeros(i) = 0;
+	  dim_vector newdim = dims ();
+          newdim(0) = 0;
 
-	  resize (zeros, rfv);
+	  resize (newdim, rfv);
 	}
 
       else if (n_idx > 1
@@ -2037,8 +2023,12 @@ Array<T>::value (void) const
       retval = index (idx[0]);
     }
   else
-    (*current_liboctave_error_handler)
-      ("Array<T>::value: invalid number of indices specified");
+    {
+      clear_index ();
+
+      (*current_liboctave_error_handler)
+	("Array<T>::value: invalid number of indices specified");
+    }
 
   clear_index ();
 
@@ -2561,6 +2551,8 @@ assign1 (Array<LT>& lhs, const Array<RT>
 	    }
 	  else
 	    {
+	      lhs.clear_index ();
+
 	      (*current_liboctave_error_handler)
 		("A(I) = X: X must be a scalar or a vector with same length as I");
 
@@ -2569,6 +2561,8 @@ assign1 (Array<LT>& lhs, const Array<RT>
 	}
       else
 	{
+	  lhs.clear_index ();
+
 	  (*current_liboctave_error_handler)
 	    ("A(I) = X: unable to resize A");
 
@@ -2589,11 +2583,17 @@ assign1 (Array<LT>& lhs, const Array<RT>
 	    lhs.xelem (i) = rhs.elem (i);
 	}
       else if (rhs_len != lhs_len)
-	(*current_liboctave_error_handler)
-	  ("A(:) = X: A must be the same size as X");
+	{
+	  lhs.clear_index ();
+
+	  (*current_liboctave_error_handler)
+	    ("A(:) = X: A must be the same size as X");
+	}
     }
   else if (! (rhs_len == 1 || rhs_len == 0))
     {
+      lhs.clear_index ();
+
       (*current_liboctave_error_handler)
 	("A([]) = X: X must also be an empty matrix or a scalar");
 
@@ -2655,6 +2655,7 @@ assign2 (Array<LT>& lhs, const Array<RT>
 	  break;
 
 	default:
+	  lhs.clear_index ();
 	  (*current_liboctave_error_handler)
 	    ("Array<T>::assign2: Dimension mismatch");
 	  return 0;
@@ -2769,6 +2770,8 @@ assign2 (Array<LT>& lhs, const Array<RT>
 		{
 		  if (! (rhs_is_scalar || (rhs_nr == 0 || rhs_nc == 0)))
 		    {
+		      lhs.clear_index ();
+
 		      (*current_liboctave_error_handler)
 		("A([], []) = X: X must be an empty matrix or a scalar");
 
@@ -2777,12 +2780,10 @@ assign2 (Array<LT>& lhs, const Array<RT>
 		}
 	      else
 		{
+		  lhs.clear_index ();
+
 		  (*current_liboctave_error_handler)
-    ("A(I, J) = X: X must be a scalar or the number of elements in I must");
-		  (*current_liboctave_error_handler)
-    ("match the number of rows in X and the number of elements in J must");
-		  (*current_liboctave_error_handler)
-    ("match the number of columns in X");
+    ("A(I, J) = X: X must be a scalar or the number of elements in I must match the number of rows in X and the number of elements in J must match the number of columns in X");
 
 		  retval = 0;
 		}
@@ -2900,8 +2901,14 @@ assign2 (Array<LT>& lhs, const Array<RT>
 	      else if (len == 0)
 		{
 		  if (! (rhs_is_scalar || (rhs_nr == 0 || rhs_nc == 0)))
-		    (*current_liboctave_error_handler)
-		      ("A([]) = X: X must be an empty matrix or scalar");
+		    {
+		      lhs.clear_index ();
+
+		      (*current_liboctave_error_handler)
+			("A([]) = X: X must be an empty matrix or scalar");
+
+		      retval = 0;
+		    }
 		}
 	      else if (len == rhs_nr * rhs_nc)
 		{
@@ -2943,6 +2950,8 @@ assign2 (Array<LT>& lhs, const Array<RT>
 		}
 	      else
 		{
+		  lhs.clear_index ();
+
 		  (*current_liboctave_error_handler)
       ("A(I) = X: X must be a scalar or a matrix with the same size as I");
 
@@ -2989,6 +2998,8 @@ assignN (Array<LT>& lhs, const Array<RT>
     }
   else if (n_idx == 0)
     {
+      lhs.clear_index ();
+
       (*current_liboctave_error_handler)
 	("invalid number of indices for matrix expression");
 
@@ -3015,6 +3026,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 	    {
 	      if (! (rhs_dims.all_ones () || rhs_dims.any_zero ()))
 		{
+		  lhs.clear_index ();
+
 		  (*current_liboctave_error_handler)
 		    ("A([]) = X: X must be an empty matrix or scalar");
 
@@ -3063,6 +3076,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 	    }
 	  else
 	    {
+	      lhs.clear_index ();
+
 	      (*current_liboctave_error_handler)
 		("A(I) = X: X must be a scalar or a matrix with the same size as I");
 
@@ -3174,6 +3189,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 		    }
 		  else if (new_dims_numel != rhs_dims_numel || new_dims_vec > 1)
 		    {
+		      lhs.clear_index ();
+
 		      (*current_liboctave_error_handler)
 			("A(IDX-LIST) = RHS: mismatched index and RHS dimension");
 		      return retval;
@@ -3201,6 +3218,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 			k++;
 		      else if (nelem != 1)
 			{
+			  lhs.clear_index ();
+
 			  (*current_liboctave_error_handler)
 			    ("A(IDX-LIST) = RHS: mismatched index and RHS dimension");
 			  return retval;
@@ -3243,6 +3262,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 	      // be an error, because we don't know how to undo that
 	      // later...
 
+	      lhs.clear_index ();
+
 	      (*current_liboctave_error_handler)
 		("array index %d (= %d) for assignment requires invalid resizing operation",
 		 n_idx, new_dims(n_idx-1));
@@ -3369,6 +3390,8 @@ assignN (Array<LT>& lhs, const Array<RT>
 
 		  if (n != rhs.numel ())
 		    {
+		      lhs.clear_index ();
+
 		      (*current_liboctave_error_handler)
 			("A(IDX-LIST) = X: X must be a scalar or size of X must equal number of elements indexed by IDX-LIST");
 
diff -pruN 1:3.0.1-6/liboctave/Array.h 1:3.0.5-6/liboctave/Array.h
--- 1:3.0.1-6/liboctave/Array.h	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/Array.h	2009-01-16 06:46:21.000000000 +0000
@@ -499,6 +499,8 @@ public:
 
   void maybe_delete_elements (Array<idx_vector>& ra_idx, const T& rfv);
 
+  void maybe_delete_elements (octave_idx_type dim, idx_vector& i);
+
   Array<T> value (void) const;
 
   Array<T> index (idx_vector& i, int resize_ok = 0,
diff -pruN 1:3.0.1-6/liboctave/ChangeLog 1:3.0.5-6/liboctave/ChangeLog
--- 1:3.0.1-6/liboctave/ChangeLog	2008-04-21 17:02:40.000000000 +0100
+++ 1:3.0.5-6/liboctave/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,143 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2009-02-05  Jaroslav Hajek  <highegg@gmail.com>
+
+	* oct-sort.cc (octave_sort<T>::merge_hi): std::copy ->
+	std::copy_backward where appropriate.
+
+2008-01-15  Rafael Laboissiere  <rafael@debian.org>
+
+	* oct-md5.cc: Include <cstdio>.
+
+2008-10-28  Brian Gough  <bjg@gnu.org>
+
+	* lo-specfun.cc (zbesi): Fix scaling factor for negative alpha.
+	(cbesi): Likewise.
+
+2008-11-18  David Bateman  <dbateman@free.fr>
+
+	* file-ops.cc (std::string file_ops::tilde_expand (const 
+	std::string&)): Check if the string contains a tilde and fast 
+	return if not.
+
+2008-11-17  John W. Eaton  <jwe@octave.org>
+
+	* dir-ops.cc (dir_entry::read): Use std::list<std::string> to
+	cache names before converting to string_vector.
+
+2008-10-09  Jaroslav Hajek <highegg@gmail.com>
+
+	* oct-sort.cc (octave_sort<T>::merge_getmem,
+	octave_sort<T>::merge_freemem): Replace malloc -> new [], free ->
+	delete [].
+	(octave_sort<T>::merge_lo, octave_sort<T>::merge_hi): Replace
+	std::memcpy and std::memmove with std::copy.
+
+2008-10-12  Jaroslav Hajek <highegg@gmail.com>
+
+	* CSparse.cc (ComplexMatrix::expm): Improve inverse preconditioning
+	according to Marco Caliari.
+	* dSparse.cc (Matrix::expm): Likewise.
+	* fCSparse.cc (FloatComplexMatrix::expm): Likewise.
+	* fSparse.cc (FloatMatrix::expm): Likewise.
+
+2008-10-10  Jaroslav Hajek  <highegg@gmail.com>
+
+	* sparse-util.h (SparseCholPrint): Change char * argument to const
+	char *.
+	* sparse-util.cc (SparseCholPrint): Likewise.
+
+2008-10-08  John W. Eaton  <jwe@octave.org>
+
+	* Sparse-op-defs.h (SPARSE_SMSM_BOOL_OPS): Duplicate code for scalar
+	sparse arguments rather than rely on extern function.
+
+2008-10-06  David Bateman  <dbateman@free.fr>
+	
+	* Sparse-op-defs.h (SPARSE_SMSM_CMP_OPS): Duplicate code for scalar
+	sparse arguments rather than rely on extern function.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-09-29  Jaroslav Hajek  <highegg@gmail.com>
+
+	* Array.cc (Array<T>::maybe_delete_elements_2(idx_vector&)): Return on
+	empty index vector.
+
+2008-09-29  Jaroslav Hajek  <highegg@gmail.com>
+
+	* Array.cc (Array<T>::maybe_delete_elements_2, Array<T>::maybe_delete_elements): 
+	Ignore null assignments with empty index vectors.
+
+2008-09-19  John W. Eaton  <jwe@octave.org>
+
+	* Array.cc (assign1, assign2, assignN):
+	Clear lhs index before throwing error.
+	(Array<T>::value): Clear index before throwing error.
+
+2008-09-18  Jaroslav Hajek  <highegg@gmail.com>
+
+	* Array.cc (maybe_delete_elements_2 (idx_vector&)): Fix tests to get
+	better Matlab compatibility.
+	(maybe_delete_elements (idx_vector&, idx_vector&)): Fix tests to get
+	better Matlab compatibility, simplify, gripe on invalid 2-D deletion.
+
+2008-01-18  Marco Caliari  <marco.caliari@univr.it>
+
+	* dMatrix.cc (Matrix::expm): Correctly perform reverse permutation.
+	* CMatrix.cc (ComplexMatrix::expm): Likewise.
+
+2008-09-12  Jaroslav Hajek  <highegg@gmail.com>
+
+	* oct-inttypes.h (pow (const octave_int<T>&, const octave_int<T>&)): 
+	Handle negative exponent correctly.
+
+2008-08-14  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
+2008-08-12  Jaroslav Hajek <highegg@gmail.com>
+
+	* lo-ieee.cc (octave_ieee_init): Try to ensure that octave_NaN is
+	classified as positive by lo_ieee_signbit.
+
+2008-08-04  John W. Eaton  <jwe@octave.org>
+
+	* oct-env.cc (octave_env::instance_ok): Fix typo in error message.
+
+2008-06-20  Jaroslav Hajek <highegg@gmail.com>
+
+	* MatrixType.h: Add missing include statement.
+
+2008-05-19  David Bateman  <dbateman@free.fr>
+
+	* dSparse.cc: Replace some DGBCON with GPBCON where they are
+	incorrectly used.
+
+	* idx-vector.cc (IDX_VEC_REP::idx_vector_rep (const boolNDArray&)):
+	If len is zero size the index vector in the same manner as if len
+	is not zero.
+
+2008-05-11  John W. Eaton  <jwe@octave.org>
+
+	* intNDArray.cc (intNDArray<T>::any (int)): Use != for comparison.
+
+2008-05-05  Rafael Laboissiere  <rafael@debian.org>
+
+	* oct-rl-edit.c (octave_read_init_file): Simply call rl_read_init_file.
+
+2008-04-24  Michael Goffioul  <michael.goffioul@gmail.com>
+
+	* lo-sysdep.cc (octave_popen2): Don't set PIPE_NOWAIT for parentWrite.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
@@ -139,6 +279,11 @@
 
 2008-02-12  Jason Riedy  <ejr@cs.berkeley.edu>
   
+	* Array.cc (ascending_compare, descending_compare): Remove
+	non-standard extern in the instantiations.
+
+	* oct-sort.cc: Include <cstring> and sprinkle with std:: as needed.
+
 	* dMatrix.cc (ILAENV): Declare LAPACK Fortran function.
 	(Matrix::lssolve): Use ILAENV to query smlsiz.  And add an ugly
 	workaround for DGELSD's broken lwork query.  The formula is from
diff -pruN 1:3.0.1-6/liboctave/CMatrix.cc 1:3.0.5-6/liboctave/CMatrix.cc
--- 1:3.0.1-6/liboctave/CMatrix.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/CMatrix.cc	2009-02-18 06:57:46.000000000 +0000
@@ -2896,6 +2896,9 @@ ComplexMatrix::expm (void) const
 
   if (sqpow > 0)
     {
+      if (sqpow > 1023)
+	sqpow = 1023;
+
       double scale_factor = 1.0;
       for (octave_idx_type i = 0; i < sqpow; i++)
 	scale_factor *= 2.0;
@@ -2942,8 +2945,11 @@ ComplexMatrix::expm (void) const
 
   // Compute pade approximation = inverse (dpp) * npp.
 
-  retval = dpp.solve (npp);
-	
+  retval = dpp.solve (npp, info);
+
+  if (info < 0)
+    return retval;
+
   // Reverse preconditioning step 3: repeated squaring.
 
   while (sqpow)
@@ -2958,17 +2964,17 @@ ComplexMatrix::expm (void) const
   // inverse scaling (diagonal transformation)
   for (octave_idx_type i = 0; i < nc; i++)
     for (octave_idx_type j = 0; j < nc; j++)
-       retval(i,j) *= dscale(i) / dscale(j);
+      retval(i,j) *= dscale(i) / dscale(j);
 
   OCTAVE_QUIT;
 
   // construct balancing permutation vector
   Array<octave_idx_type> iperm (nc);
   for (octave_idx_type i = 0; i < nc; i++)
-    iperm(i) = i;  // initialize to identity permutation
+    iperm(i) = i;  // identity permutation
 
-  // leading permutations in forward order
-  for (octave_idx_type i = 0; i < (ilo-1); i++)
+  // trailing permutations must be done in reverse order
+  for (octave_idx_type i = nc - 1; i >= ihi; i--)
     {
       octave_idx_type swapidx = static_cast<octave_idx_type> (dpermute(i)) - 1;
       octave_idx_type tmp = iperm(i);
@@ -2976,12 +2982,12 @@ ComplexMatrix::expm (void) const
       iperm(swapidx) = tmp;
     }
 
-  // trailing permutations must be done in reverse order
-  for (octave_idx_type i = nc - 1; i >= ihi; i--)
+  // leading permutations in forward order
+  for (octave_idx_type i = 0; i < (ilo-1); i++)
     {
       octave_idx_type swapidx = static_cast<octave_idx_type> (dpermute(i)) - 1;
       octave_idx_type tmp = iperm(i);
-      iperm(i) = iperm(swapidx);
+      iperm(i) = iperm (swapidx);
       iperm(swapidx) = tmp;
     }
 
@@ -2997,7 +3003,7 @@ ComplexMatrix::expm (void) const
     for (octave_idx_type j = 0; j < nc; j++)
       retval(i,j) = tmpMat(invpvec(i),invpvec(j));
 
-  // Reverse preconditioning step 1: fix trace normalization.
+  // Reverse preconditioning step 1: fix trace normalization. 
 
   return exp (trshift) * retval;
 }
diff -pruN 1:3.0.1-6/liboctave/dir-ops.cc 1:3.0.5-6/liboctave/dir-ops.cc
--- 1:3.0.1-6/liboctave/dir-ops.cc	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/dir-ops.cc	2009-02-18 06:57:46.000000000 +0000
@@ -28,6 +28,9 @@ along with Octave; see the file COPYING.
 #include <cstdlib>
 #include <cstring>
 
+#include <list>
+#include <string>
+
 #include "sysdir.h"
 
 #include "dir-ops.h"
@@ -69,40 +72,26 @@ dir_entry::open (const std::string& n)
 string_vector
 dir_entry::read (void)
 {
-  static octave_idx_type grow_size = 100;
-
-  octave_idx_type len = 0;
-
-  string_vector dirlist;
+  string_vector retval;
 
   if (ok ())
     {
-      int count = 0;
+      std::list<std::string> dirlist;
 
       struct dirent *dir_ent;
 
       while ((dir_ent = readdir (static_cast<DIR *> (dir))))
 	{
 	  if (dir_ent)
-	    {
-	      if (count >= len)
-		{
-		  len += grow_size;
-		  dirlist.resize (len);
-		}
-
-	      dirlist[count] = dir_ent->d_name;
-
-	      count++;
-	    }
+	    dirlist.push_back (dir_ent->d_name);
 	  else
 	    break;
 	}
 
-      dirlist.resize (count);
+      retval = string_vector (dirlist);
     }
 
-  return dirlist;
+  return retval;
 }
 
 void
diff -pruN 1:3.0.1-6/liboctave/dMatrix.cc 1:3.0.5-6/liboctave/dMatrix.cc
--- 1:3.0.1-6/liboctave/dMatrix.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/dMatrix.cc	2009-02-18 06:57:46.000000000 +0000
@@ -2523,10 +2523,13 @@ Matrix::expm (void) const
   
   if (sqpow > 0)
     {
+      if (sqpow > 1023)
+	sqpow = 1023;
+
       double scale_factor = 1.0;
       for (octave_idx_type i = 0; i < sqpow; i++)
 	scale_factor *= 2.0;
-  
+
       m = m / scale_factor;
     }
   
@@ -2570,7 +2573,10 @@ Matrix::expm (void) const
   // Compute pade approximation = inverse (dpp) * npp.
 
   retval = dpp.solve (npp, info);
-  
+
+  if (info < 0)
+    return retval;
+
   // Reverse preconditioning step 3: repeated squaring.
   
   while (sqpow)
@@ -2583,7 +2589,7 @@ Matrix::expm (void) const
   // apply inverse scaling to computed exponential
   for (octave_idx_type i = 0; i < nc; i++)
     for (octave_idx_type j = 0; j < nc; j++)
-       retval(i,j) *= dscale(i) / dscale(j);
+      retval(i,j) *= dscale(i) / dscale(j);
 
   OCTAVE_QUIT;
 
@@ -2592,21 +2598,21 @@ Matrix::expm (void) const
   for (octave_idx_type i = 0; i < nc; i++)
     iperm(i) = i;  // identity permutation
 
-  // leading permutations in forward order
-  for (octave_idx_type i = 0; i < (ilo-1); i++)
+  // trailing permutations must be done in reverse order
+  for (octave_idx_type i = nc - 1; i >= ihi; i--)
     {
       octave_idx_type swapidx = static_cast<octave_idx_type> (dpermute(i)) - 1;
       octave_idx_type tmp = iperm(i);
-      iperm(i) = iperm (swapidx);
+      iperm(i) = iperm(swapidx);
       iperm(swapidx) = tmp;
     }
 
-  // trailing permutations must be done in reverse order
-  for (octave_idx_type i = nc - 1; i >= ihi; i--)
+  // leading permutations in forward order
+  for (octave_idx_type i = 0; i < (ilo-1); i++)
     {
       octave_idx_type swapidx = static_cast<octave_idx_type> (dpermute(i)) - 1;
       octave_idx_type tmp = iperm(i);
-      iperm(i) = iperm(swapidx);
+      iperm(i) = iperm (swapidx);
       iperm(swapidx) = tmp;
     }
 
@@ -2616,14 +2622,13 @@ Matrix::expm (void) const
     invpvec(iperm(i)) = i;     // Thanks to R. A. Lippert for this method
 
   OCTAVE_QUIT;
- 
+
   Matrix tmpMat = retval;
   for (octave_idx_type i = 0; i < nc; i++)
     for (octave_idx_type j = 0; j < nc; j++)
       retval(i,j) = tmpMat(invpvec(i),invpvec(j));
 
-  // Reverse preconditioning step 1: fix trace normalization.
-  
+  // Reverse preconditioning step 1: fix trace normalization. 
   if (trshift > 0.0)
     retval = exp (trshift) * retval;
 
diff -pruN 1:3.0.1-6/liboctave/dSparse.cc 1:3.0.5-6/liboctave/dSparse.cc
--- 1:3.0.1-6/liboctave/dSparse.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/dSparse.cc	2009-01-16 06:46:21.000000000 +0000
@@ -4514,7 +4514,7 @@ SparseMatrix::bsolve (MatrixType &mattyp
 		      Array<octave_idx_type> iz (nr);
 		      octave_idx_type *piz = iz.fortran_vec ();
 
-		      F77_XFCN (dpbcon, DGBCON, 
+		      F77_XFCN (dpbcon, DPBCON, 
 		      	(F77_CONST_CHAR_ARG2 (&job, 1),
 		      	 nr, n_lower, tmp_data, ldm,
 		      	 anorm, rcond, pz, piz, err
@@ -4790,7 +4790,7 @@ SparseMatrix::bsolve (MatrixType &mattyp
 		      Array<octave_idx_type> iz (nr);
 		      octave_idx_type *piz = iz.fortran_vec ();
 
-		      F77_XFCN (dpbcon, DGBCON, 
+		      F77_XFCN (dpbcon, DPBCON, 
 		      	(F77_CONST_CHAR_ARG2 (&job, 1),
 		      	 nr, n_lower, tmp_data, ldm,
 		      	 anorm, rcond, pz, piz, err
@@ -5145,7 +5145,7 @@ SparseMatrix::bsolve (MatrixType &mattyp
 		      Array<octave_idx_type> iz (nr);
 		      octave_idx_type *piz = iz.fortran_vec ();
 
-		      F77_XFCN (dpbcon, DGBCON, 
+		      F77_XFCN (dpbcon, DPBCON, 
 		      	(F77_CONST_CHAR_ARG2 (&job, 1),
 		      	 nr, n_lower, tmp_data, ldm,
 		      	 anorm, rcond, pz, piz, err
@@ -5322,7 +5322,7 @@ SparseMatrix::bsolve (MatrixType &mattyp
 		      Array<octave_idx_type> iz (nr);
 		      octave_idx_type *piz = iz.fortran_vec ();
 
-		      F77_XFCN (dpbcon, DGBCON, 
+		      F77_XFCN (dpbcon, DPBCON, 
 		      	(F77_CONST_CHAR_ARG2 (&job, 1),
 		      	 nr, n_lower, tmp_data, ldm,
 		      	 anorm, rcond, pz, piz, err
@@ -5495,7 +5495,7 @@ SparseMatrix::bsolve (MatrixType &mattyp
 		      Array<octave_idx_type> iz (nr);
 		      octave_idx_type *piz = iz.fortran_vec ();
 
-		      F77_XFCN (dpbcon, DGBCON, 
+		      F77_XFCN (dpbcon, DPBCON, 
 		      	(F77_CONST_CHAR_ARG2 (&job, 1),
 		      	 nr, n_lower, tmp_data, ldm,
 		      	 anorm, rcond, pz, piz, err
diff -pruN 1:3.0.1-6/liboctave/EIG.cc 1:3.0.5-6/liboctave/EIG.cc
--- 1:3.0.1-6/liboctave/EIG.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/EIG.cc	2009-04-05 18:06:12.000000000 +0100
@@ -99,7 +99,7 @@ EIG::init (const Matrix& a, bool calc_ev
   Array<double> wi (n);
   double *pwi = wi.fortran_vec ();
 
-  volatile octave_idx_type nvr = calc_ev ? n : 0;
+  octave_idx_type nvr = calc_ev ? n : 0;
   Matrix vr (nvr, nvr);
   double *pvr = vr.fortran_vec ();
 
diff -pruN 1:3.0.1-6/liboctave/file-ops.cc 1:3.0.5-6/liboctave/file-ops.cc
--- 1:3.0.1-6/liboctave/file-ops.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/file-ops.cc	2009-02-18 06:57:46.000000000 +0000
@@ -746,53 +746,58 @@ tilde_expand_word (const std::string& fi
 std::string
 file_ops::tilde_expand (const std::string& name)
 {
-  std::string result;
+  if (name.find ('~') == std::string::npos)
+    return name;
+  else
+    {
+      std::string result;
 
-  size_t name_len = name.length ();
+      size_t name_len = name.length ();
 
-  // Scan through S expanding tildes as we come to them.
+      // Scan through S expanding tildes as we come to them.
 
-  size_t pos = 0;
+      size_t pos = 0;
 
-  while (1)
-    {
-      if (pos > name_len)
-	break;
+      while (1)
+	{
+	  if (pos > name_len)
+	    break;
 
-      size_t len;
+	  size_t len;
 
-      // Make START point to the tilde which starts the expansion.
+	  // Make START point to the tilde which starts the expansion.
 
-      size_t start = tilde_find_prefix (name.substr (pos), len);
+	  size_t start = tilde_find_prefix (name.substr (pos), len);
 
-      result.append (name.substr (pos, start));
+	  result.append (name.substr (pos, start));
 
-      // Advance STRING to the starting tilde.
+	  // Advance STRING to the starting tilde.
 
-      pos += start;
+	  pos += start;
 
-      // Make FINI be the index of one after the last character of the
-      // username.
+	  // Make FINI be the index of one after the last character of the
+	  // username.
 
-      size_t fini = tilde_find_suffix (name.substr (pos));
+	  size_t fini = tilde_find_suffix (name.substr (pos));
 
-      // If both START and FINI are zero, we are all done.
+	  // If both START and FINI are zero, we are all done.
 
-      if (! (start || fini))
-	break;
+	  if (! (start || fini))
+	    break;
 
-      // Expand the entire tilde word, and copy it into RESULT.
+	  // Expand the entire tilde word, and copy it into RESULT.
 
-      std::string tilde_word = name.substr (pos, fini);
+	  std::string tilde_word = name.substr (pos, fini);
 
-      pos += fini;
+	  pos += fini;
 
-      std::string expansion = tilde_expand_word (tilde_word);
+	  std::string expansion = tilde_expand_word (tilde_word);
 
-      result.append (expansion);
-    }
+	  result.append (expansion);
+	}
 
-  return result;
+      return result;
+    }
 }
 
 // A vector version of the above.
diff -pruN 1:3.0.1-6/liboctave/idx-vector.cc 1:3.0.5-6/liboctave/idx-vector.cc
--- 1:3.0.1-6/liboctave/idx-vector.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/idx-vector.cc	2009-01-16 06:46:22.000000000 +0000
@@ -296,11 +296,13 @@ IDX_VEC_REP::idx_vector_rep (const boolN
     frozen (0), colon_equiv_checked (0), colon_equiv (0),
     orig_dims ()
 {
+  dim_vector dv = bnda.dims ();
+
+  orig_dims = ((dv.length () == 2 && dv(0) == 1)
+	       ? dim_vector (1, len) : orig_dims = dim_vector (len, 1));
+
   if (len == 0)
-    {
-      orig_dims = dim_vector (0, 0);
-      initialized = 1;
-    }
+    initialized = 1;
   else
     {
       data = new octave_idx_type [len];
@@ -311,11 +313,6 @@ IDX_VEC_REP::idx_vector_rep (const boolN
 	if (bnda.elem (i))
 	  data[k++] = i;
 
-      dim_vector dv = bnda.dims ();
-
-      orig_dims = ((dv.length () == 2 && dv(0) == 1)
-		   ? dim_vector (1, len) : orig_dims = dim_vector (len, 1));
-
       init_state ();
     }
 }
diff -pruN 1:3.0.1-6/liboctave/intNDArray.cc 1:3.0.5-6/liboctave/intNDArray.cc
--- 1:3.0.1-6/liboctave/intNDArray.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/intNDArray.cc	2009-01-16 06:46:22.000000000 +0000
@@ -135,7 +135,7 @@ template <class T>
 boolNDArray
 intNDArray<T>::any (int dim) const
 {
-  MX_ND_ANY_ALL_REDUCTION (MX_ND_ALL_EVAL (this->elem (iter_idx) == T (0)), false);
+  MX_ND_ANY_ALL_REDUCTION (MX_ND_ANY_EVAL (this->elem (iter_idx) != T (0)), false);
 }
 
 template <class T>
diff -pruN 1:3.0.1-6/liboctave/lo-ieee.cc 1:3.0.5-6/liboctave/lo-ieee.cc
--- 1:3.0.1-6/liboctave/lo-ieee.cc	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/lo-ieee.cc	2009-01-16 06:46:22.000000000 +0000
@@ -94,6 +94,10 @@ octave_ieee_init (void)
 	octave_NaN = (*(X_CAST(double *, DQNAN)));
 #else
 	octave_NaN = tmp_inf / tmp_inf;
+        // try to ensure that lo_ieee_sign gives false for a NaN.
+        if (lo_ieee_signbit (octave_NaN))
+          octave_NaN = -octave_NaN;
+
 #endif
 
 	octave_Inf = tmp_inf;
diff -pruN 1:3.0.1-6/liboctave/lo-specfun.cc 1:3.0.5-6/liboctave/lo-specfun.cc
--- 1:3.0.1-6/liboctave/lo-specfun.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/lo-specfun.cc	2009-02-18 06:57:46.000000000 +0000
@@ -411,8 +411,16 @@ zbesi (const Complex& z, double alpha, i
 
       if (ierr == 0 || ierr == 3)
 	{
-	  tmp += (2.0 / M_PI) * sin (M_PI * alpha)
+	  Complex tmp2 = (2.0 / M_PI) * sin (M_PI * alpha)
 	    * zbesk (z, alpha, kode, ierr);
+	
+	  if (kode == 2) 
+	    {
+	      // Compensate for different scaling factor of besk.
+	      tmp2 *= exp(-z - std::abs(z.real()));
+	    }
+	  
+	  tmp += tmp2;
 
 	  retval = bessel_return_value (tmp, ierr);
 	}
diff -pruN 1:3.0.1-6/liboctave/lo-sysdep.cc 1:3.0.5-6/liboctave/lo-sysdep.cc
--- 1:3.0.1-6/liboctave/lo-sysdep.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/lo-sysdep.cc	2009-01-16 06:46:22.000000000 +0000
@@ -141,7 +141,6 @@ octave_popen2 (const std::string& cmd, c
     {
       pipeMode = PIPE_NOWAIT;
       SetNamedPipeHandleState (parentRead, &pipeMode, 0, 0);
-      SetNamedPipeHandleState (parentWrite, &pipeMode, 0, 0);
     }
   fildes[1] = _open_osfhandle (reinterpret_cast<long> (parentRead), _O_RDONLY | _O_BINARY);
   fildes[0] = _open_osfhandle (reinterpret_cast<long> (parentWrite), _O_WRONLY | _O_BINARY);
diff -pruN 1:3.0.1-6/liboctave/MatrixType.h 1:3.0.5-6/liboctave/MatrixType.h
--- 1:3.0.1-6/liboctave/MatrixType.h	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/MatrixType.h	2009-01-16 06:46:21.000000000 +0000
@@ -24,6 +24,8 @@ along with Octave; see the file COPYING.
 #if !defined (octave_MatrixType_h)
 #define octave_MatrixType_h
 
+#include "oct-types.h"
+
 class Matrix;
 class ComplexMatrix;
 class SparseMatrix;
diff -pruN 1:3.0.1-6/liboctave/oct-env.cc 1:3.0.5-6/liboctave/oct-env.cc
--- 1:3.0.1-6/liboctave/oct-env.cc	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/oct-env.cc	2009-01-16 06:46:22.000000000 +0000
@@ -89,7 +89,7 @@ octave_env::instance_ok (void)
   if (! instance)
     {
       (*current_liboctave_error_handler)
-	("unable to create current working directoy object!");
+	("unable to create current working directory object!");
 
       retval = false;
     }
diff -pruN 1:3.0.1-6/liboctave/oct-inttypes.h 1:3.0.5-6/liboctave/oct-inttypes.h
--- 1:3.0.1-6/liboctave/oct-inttypes.h	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/oct-inttypes.h	2009-01-16 06:46:22.000000000 +0000
@@ -348,10 +348,15 @@ pow (const octave_int<T>& a, const octav
   octave_int<T> zero = octave_int<T> (0);
   octave_int<T> one = octave_int<T> (1);
 
-  if (b == zero)
+  if (b == zero || a == one)
     retval = one;
   else if (b < zero)
-    retval = zero;
+    {
+      if (std::numeric_limits<T>::is_signed && a.value () == -1)
+        retval = (b.value () % 2) ? a : one;
+      else
+        retval = zero;
+    }
   else
     {
       octave_int<T> a_val = a;
diff -pruN 1:3.0.1-6/liboctave/oct-md5.cc 1:3.0.5-6/liboctave/oct-md5.cc
--- 1:3.0.1-6/liboctave/oct-md5.cc	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/oct-md5.cc	2009-02-23 20:09:00.000000000 +0000
@@ -20,13 +20,15 @@ along with Octave; see the file COPYING.
 
 */
 
-#include <string>
-#include <vector>
-
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
 
+#include <cstdio>
+
+#include <string>
+#include <vector>
+
 #include "lo-error.h"
 #include "oct-md5.h"
 #include "md5.h"
diff -pruN 1:3.0.1-6/liboctave/oct-rl-edit.c 1:3.0.5-6/liboctave/oct-rl-edit.c
--- 1:3.0.1-6/liboctave/oct-rl-edit.c	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/oct-rl-edit.c	2009-01-16 06:46:22.000000000 +0000
@@ -194,10 +194,7 @@ octave_rl_get_output_stream (void)
 void
 octave_rl_read_init_file (const char *f)
 {
-  if (f && *f)
-    rl_read_init_file (f);
-  else
-    rl_re_read_init_file (0, 0);
+  rl_read_init_file (f);
 }
 
 int
diff -pruN 1:3.0.1-6/liboctave/oct-sort.cc 1:3.0.5-6/liboctave/oct-sort.cc
--- 1:3.0.1-6/liboctave/oct-sort.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/liboctave/oct-sort.cc	2009-02-24 06:56:29.000000000 +0000
@@ -1,5 +1,6 @@
 /*
 Copyright (C) 2003, 2004, 2005, 2006, 2007 David Bateman
+Copyright (C) 2008 Jaroslav Hajek
 
 This file is part of Octave.
 
@@ -27,6 +28,12 @@ made are
 * convert the sorting code in listobject.cc into a generic class, 
   replacing PyObject* with the type of the class T.
 
+* replaced usages of malloc, free, memcpy and memmove by standard C++
+  new [], delete [] and std::copy and std::copy_backward. Note that replacing
+  memmove by std::copy is possible if the destination starts before the source.
+  If not, std::copy_backward needs to be used.
+  
+
 The Python license is
 
   PSF LICENSE AGREEMENT FOR PYTHON 2.3
@@ -84,7 +91,8 @@ The Python license is
 #endif
 
 #include <cassert>
-#include <cstdlib>
+#include <algorithm>
+#include <cstring>
 
 #include "lo-mappers.h"
 #include "quit.h"
@@ -431,8 +439,7 @@ template <class T>
 void
 octave_sort<T>::merge_freemem (void)
 {
-  if (ms.a)
-    free (ms.a);
+  delete [] ms.a;
   ms.alloced = 0;
   ms.a = 0;
 }
@@ -489,7 +496,7 @@ octave_sort<T>::merge_getmem (int need)
    * we don't care what's in the block.
    */
   merge_freemem ();
-  ms.a = static_cast <T *> (malloc (need * sizeof (T)));
+  ms.a = new T[need];
   if (ms.a)
     {
       ms.alloced = need;
@@ -519,7 +526,7 @@ octave_sort<T>::merge_lo (T *pa, int na,
 
   if (MERGE_GETMEM (na) < 0)
     return -1;
-  memcpy (ms.a, pa, na * sizeof (T));
+  std::copy (pa, pa + na, ms.a);
   dest = pa;
   pa = ms.a;
 
@@ -581,7 +588,7 @@ octave_sort<T>::merge_lo (T *pa, int na,
 	    {
 	      if (k < 0)
 		goto Fail;
-	      memcpy (dest, pa, k * sizeof (T));
+              std::copy (pa, pa + k, dest);
 	      dest += k;
 	      pa += k;
 	      na -= k;
@@ -605,7 +612,7 @@ octave_sort<T>::merge_lo (T *pa, int na,
 	    {
 	      if (k < 0)
 		goto Fail;
-	      memmove (dest, pb, k * sizeof (T));
+              std::copy (pb, pb + k, dest);
 	      dest += k;
 	      pb += k;
 	      nb -= k;
@@ -628,12 +635,12 @@ octave_sort<T>::merge_lo (T *pa, int na,
 
  Fail:
   if (na)
-    memcpy (dest, pa, na * sizeof (T));
+    std::copy (pa, pa + na, dest);
   return result;
 
  CopyB:
   /* The last element of pa belongs at the end of the merge. */
-  memmove (dest, pb, nb * sizeof (T));
+  std::copy (pb, pb + nb, dest);
   dest[nb] = *pa;
 
   return 0;
@@ -659,7 +666,7 @@ octave_sort<T>::merge_hi (T *pa, int na,
   if (MERGE_GETMEM (nb) < 0)
     return -1;
   dest = pb + nb - 1;
-  memcpy (ms.a, pb, nb * sizeof (T));
+  std::copy (pb, pb + nb, ms.a);
   basea = pa;
   baseb = ms.a;
   pb = ms.a + nb - 1;
@@ -725,7 +732,7 @@ octave_sort<T>::merge_hi (T *pa, int na,
 	    {
 	      dest -= k;
 	      pa -= k;
-	      memmove (dest+1, pa+1, k * sizeof (T));
+              std::copy_backward (pa+1, pa+1 + k, dest+1 + k);
 	      na -= k;
 	      if (na == 0)
 		goto Succeed;
@@ -744,7 +751,7 @@ octave_sort<T>::merge_hi (T *pa, int na,
 	    {
 	      dest -= k;
 	      pb -= k;
-	      memcpy (dest+1, pb+1, k * sizeof (T));
+              std::copy (pb+1, pb+1 + k, dest+1);
 	      nb -= k;
 	      if (nb == 1)
 		goto CopyA;
@@ -769,14 +776,14 @@ Succeed:
 
 Fail:
   if (nb)
-    memcpy (dest-(nb-1), baseb, nb * sizeof (T));
+    std::copy (baseb, baseb + nb, dest-(nb-1));
   return result;
 
 CopyA:
   /* The first element of pb belongs at the front of the merge. */
   dest -= na;
   pa -= na;
-  memmove (dest+1, pa+1, na * sizeof (T));
+  std::copy_backward (pa+1, pa+1 + na, dest+1 + na);
   *dest = *pb;
 
   return 0;
diff -pruN 1:3.0.1-6/liboctave/Sparse-op-defs.h 1:3.0.5-6/liboctave/Sparse-op-defs.h
--- 1:3.0.1-6/liboctave/Sparse-op-defs.h	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/liboctave/Sparse-op-defs.h	2009-02-18 06:57:46.000000000 +0000
@@ -734,6 +734,10 @@ along with Octave; see the file COPYING.
   SPARSE_CMP_OP_DECL (mx_el_eq, M1, M2, API); \
   SPARSE_CMP_OP_DECL (mx_el_ne, M1, M2, API);
 
+// FIXME -- this macro duplicatest the bodies of the template
+// functions defined in the SPARSE_SSM_CMP_OP and SPARSE_SMS_CMP_OP
+// macros.
+
 #define SPARSE_SMSM_CMP_OP(F, OP, M1, Z1, C1, M2, Z2, C2)	\
   SparseBoolMatrix \
   F (const M1& m1, const M2& m2) \
@@ -748,15 +752,61 @@ along with Octave; see the file COPYING.
     \
     if (m1_nr == 1 && m1_nc == 1) \
       { \
-        extern OCTAVE_API SparseBoolMatrix F (const double&, const M2&); \
-        extern OCTAVE_API SparseBoolMatrix F (const Complex&, const M2&); \
-        r = F (m1.elem(0,0), m2); \
+    if (C1 (m1.elem(0,0)) OP C2 (Z2)) \
+	  { \
+	    r = SparseBoolMatrix (m2_nr, m2_nc, true); \
+	    for (octave_idx_type j = 0; j < m2_nc; j++) \
+	      for (octave_idx_type i = m2.cidx(j); i < m2.cidx(j+1); i++) \
+		if (! (C1 (m1.elem (0,0)) OP C2 (m2.data(i)))) \
+		  r.data (m2.ridx (i) + j * m2_nr) = false; \
+	    r.maybe_compress (true); \
+	  } \
+	else \
+	  { \
+	    r = SparseBoolMatrix (m2_nr, m2_nc, m2.nnz ()); \
+	    r.cidx (0) = static_cast<octave_idx_type> (0); \
+	    octave_idx_type nel = 0; \
+	    for (octave_idx_type j = 0; j < m2_nc; j++) \
+	      { \
+		for (octave_idx_type i = m2.cidx(j); i < m2.cidx(j+1); i++) \
+		  if (C1 (m1.elem (0,0)) OP C2 (m2.data(i))) \
+		    { \
+		      r.ridx (nel) = m2.ridx (i); \
+		      r.data (nel++) = true; \
+		    } \
+		r.cidx (j + 1) = nel; \
+	      }	\
+	    r.maybe_compress (false); \
+	  } \
       } \
     else if (m2_nr == 1 && m2_nc == 1) \
       { \
-        extern OCTAVE_API SparseBoolMatrix F (const M1&, const double&); \
-        extern OCTAVE_API SparseBoolMatrix F (const M1&, const Complex&); \
-        r = F (m1, m2.elem(0,0)); \
+	if (C1 (Z1) OP C2 (m2.elem (0,0))) \
+	  { \
+	    r = SparseBoolMatrix (m1_nr, m1_nc, true); \
+	    for (octave_idx_type j = 0; j < m1_nc; j++) \
+	      for (octave_idx_type i = m1.cidx(j); i < m1.cidx(j+1); i++) \
+		if (! (C1 (m1.data (i)) OP C2 (m2.elem(0,0)))) \
+		  r.data (m1.ridx (i) + j * m1_nr) = false; \
+	    r.maybe_compress (true); \
+	  } \
+	else \
+	  { \
+	    r = SparseBoolMatrix (m1_nr, m1_nc, m1.nnz ()); \
+	    r.cidx (0) = static_cast<octave_idx_type> (0); \
+	    octave_idx_type nel = 0; \
+	    for (octave_idx_type j = 0; j < m1_nc; j++) \
+	      { \
+		for (octave_idx_type i = m1.cidx(j); i < m1.cidx(j+1); i++) \
+		  if (C1 (m1.data (i)) OP C2 (m2.elem(0,0))) \
+		    { \
+		      r.ridx (nel) = m1.ridx (i); \
+		      r.data (nel++) = true; \
+		    } \
+		r.cidx (j + 1) = nel; \
+	      }	\
+	    r.maybe_compress (false); \
+	  } \
       } \
     else if (m1_nr == m2_nr && m1_nc == m2_nc) \
       { \
@@ -868,6 +918,10 @@ along with Octave; see the file COPYING.
   SPARSE_BOOL_OP_DECL (mx_el_and, M1, M2, API); \
   SPARSE_BOOL_OP_DECL (mx_el_or,  M1, M2, API);
 
+// FIXME -- this macro duplicatest the bodies of the template
+// functions defined in the SPARSE_SSM_BOOL_OP and SPARSE_SMS_BOOL_OP
+// macros.
+
 #define SPARSE_SMSM_BOOL_OP(F, OP, M1, M2, LHS_ZERO, RHS_ZERO) \
   SparseBoolMatrix \
   F (const M1& m1, const M2& m2) \
@@ -882,15 +936,67 @@ along with Octave; see the file COPYING.
     \
     if (m1_nr == 1 && m1_nc == 1) \
       { \
-        extern OCTAVE_API SparseBoolMatrix F (const double&, const M2&); \
-        extern OCTAVE_API SparseBoolMatrix F (const Complex&, const M2&); \
-        r = F (m1.elem(0,0), m2); \
+	if (m2_nr > 0 && m2_nc > 0) \
+	  { \
+	    if ((m1.elem(0,0) != LHS_ZERO) OP RHS_ZERO)	\
+	      { \
+		r = SparseBoolMatrix (m2_nr, m2_nc, true); \
+		for (octave_idx_type j = 0; j < m2_nc; j++) \
+		  for (octave_idx_type i = m2.cidx(j); i < m2.cidx(j+1); i++) \
+		    if (! ((m1.elem(0,0) != LHS_ZERO) OP (m2.data(i) != RHS_ZERO))) \
+		      r.data (m2.ridx (i) + j * m2_nr) = false; \
+		r.maybe_compress (true); \
+	      } \
+	    else \
+	      { \
+		r = SparseBoolMatrix (m2_nr, m2_nc, m2.nnz ()); \
+		r.cidx (0) = static_cast<octave_idx_type> (0); \
+		octave_idx_type nel = 0; \
+		for (octave_idx_type j = 0; j < m2_nc; j++) \
+		  { \
+		    for (octave_idx_type i = m2.cidx(j); i < m2.cidx(j+1); i++) \
+		      if ((m1.elem(0,0) != LHS_ZERO) OP (m2.data(i) != RHS_ZERO)) \
+			{ \
+			  r.ridx (nel) = m2.ridx (i); \
+			  r.data (nel++) = true; \
+			} \
+		    r.cidx (j + 1) = nel; \
+		  } \
+		r.maybe_compress (false); \
+	      } \
+	  } \
       } \
     else if (m2_nr == 1 && m2_nc == 1) \
       { \
-        extern OCTAVE_API SparseBoolMatrix F (const M1&, const double&); \
-        extern OCTAVE_API SparseBoolMatrix F (const M1&, const Complex&); \
-        r = F (m1, m2.elem(0,0)); \
+	if (m1_nr > 0 && m1_nc > 0) \
+	  { \
+	    if (LHS_ZERO OP (m2.elem(0,0) != RHS_ZERO)) \
+	      { \
+		r = SparseBoolMatrix (m1_nr, m1_nc, true); \
+		for (octave_idx_type j = 0; j < m1_nc; j++) \
+		  for (octave_idx_type i = m1.cidx(j); i < m1.cidx(j+1); i++) \
+		    if (! ((m1.data(i) != LHS_ZERO) OP (m2.elem(0,0) != RHS_ZERO))) \
+		      r.data (m1.ridx (i) + j * m1_nr) = false; \
+		r.maybe_compress (true); \
+	      } \
+	    else \
+	      { \
+		r = SparseBoolMatrix (m1_nr, m1_nc, m1.nnz ()); \
+		r.cidx (0) = static_cast<octave_idx_type> (0); \
+		octave_idx_type nel = 0; \
+		for (octave_idx_type j = 0; j < m1_nc; j++) \
+		  { \
+		    for (octave_idx_type i = m1.cidx(j); i < m1.cidx(j+1); i++) \
+		      if ((m1.data(i) != LHS_ZERO) OP (m2.elem(0,0) != RHS_ZERO)) \
+			{ \
+			  r.ridx (nel) = m1.ridx (i); \
+			  r.data (nel++) = true; \
+			} \
+		    r.cidx (j + 1) = nel; \
+		  } \
+		r.maybe_compress (false); \
+	      } \
+	  } \
       } \
     else if (m1_nr == m2_nr && m1_nc == m2_nc) \
       { \
diff -pruN 1:3.0.1-6/liboctave/sparse-util.cc 1:3.0.5-6/liboctave/sparse-util.cc
--- 1:3.0.1-6/liboctave/sparse-util.cc	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/sparse-util.cc	2009-02-18 06:57:46.000000000 +0000
@@ -30,9 +30,16 @@ along with Octave; see the file COPYING.
 #include "lo-error.h"
 #include "sparse-util.h"
 
+// FIXME this overload is here due to API change in SuiteSparse (3.1 -> 3.2)
 void
 SparseCholError (int status, char *file, int line, char *message)
 {
+  SparseCholError (status, file, line, message);
+}
+
+void
+SparseCholError (int status, const char *file, int line, const char *message)
+{
   (*current_liboctave_warning_handler)("warning %i, at line %i in file %s",
 				     status, line, file);
 
diff -pruN 1:3.0.1-6/liboctave/sparse-util.h 1:3.0.5-6/liboctave/sparse-util.h
--- 1:3.0.1-6/liboctave/sparse-util.h	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/liboctave/sparse-util.h	2009-02-18 06:57:46.000000000 +0000
@@ -24,7 +24,11 @@ along with Octave; see the file COPYING.
 #if !defined (octave_sparse_util_h)
 #define octave_sparse_util_h 1
 
-extern OCTAVE_API void SparseCholError (int status, char *file, int line, char *message);
+// FIXME this overload is here due to API change in SuiteSparse (3.1 -> 3.2)
+extern OCTAVE_API void SparseCholError (int status, char *file, 
+                                        int line, char *message);
+extern OCTAVE_API void SparseCholError (int status, const char *file, 
+                                        int line, const char *message);
 extern OCTAVE_API int SparseCholPrint (const char *fmt, ...);
 
 #endif
diff -pruN 1:3.0.1-6/Makeconf.in 1:3.0.5-6/Makeconf.in
--- 1:3.0.1-6/Makeconf.in	2008-04-21 17:00:19.000000000 +0100
+++ 1:3.0.5-6/Makeconf.in	2009-01-16 06:46:20.000000000 +0000
@@ -586,6 +586,7 @@ echo "making $@ from $<"
 $(SED) < $< \
   -e "s|%AWK%|${AWK}|g" \
   -e "s|%FIND%|${FIND}|g" \
+  -e "s|%SED%|${SED}|g" \
   -e "s|%library_path_var%|${library_path_var}|g" \
   -e "s|%liboctinterp%|${LIBPRE}octinterp.${SHLEXT}|g" \
   -e "s|%liboctave%|${LIBPRE}octave.${SHLEXT}|g" \
diff -pruN 1:3.0.1-6/Makefile 1:3.0.5-6/Makefile
--- 1:3.0.1-6/Makefile	2008-04-21 17:14:46.000000000 +0100
+++ 1:3.0.5-6/Makefile	2009-03-27 11:31:05.000000000 +0000
@@ -46,7 +46,10 @@ header-msg: FORCE
 	@echo "*  To compile Octave, you will need a recent versions of"
 	@echo "*  the following software:"
 	@echo "*"
-	@echo "*    g++ (3.2.x or a more recent version)"
+	@echo "*    GNU Make (a recent version)"
+	@echo "*"
+	@echo "*    g++ (preferably a recent 4.x version, though later"
+	@echo "*    3.x versions may also work)"
 	@echo "*"
 	@echo "*    flex (2.5.4 or a more recent version) -- required if"
 	@echo "*    you need to recreate lex.cc from lex.l"
diff -pruN 1:3.0.1-6/Makefile.in 1:3.0.5-6/Makefile.in
--- 1:3.0.1-6/Makefile.in	2008-04-21 16:58:38.000000000 +0100
+++ 1:3.0.5-6/Makefile.in	2009-01-16 06:46:20.000000000 +0000
@@ -46,7 +46,10 @@ header-msg: FORCE
 	@echo "*  To compile Octave, you will need a recent versions of"
 	@echo "*  the following software:"
 	@echo "*"
-	@echo "*    g++ (3.2.x or a more recent version)"
+	@echo "*    GNU Make (a recent version)"
+	@echo "*"
+	@echo "*    g++ (preferably a recent 4.x version, though later"
+	@echo "*    3.x versions may also work)"
 	@echo "*"
 	@echo "*    flex (2.5.4 or a more recent version) -- required if"
 	@echo "*    you need to recreate lex.cc from lex.l"
diff -pruN 1:3.0.1-6/missing 1:3.0.5-6/missing
--- 1:3.0.1-6/missing	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/missing	2009-01-16 06:46:22.000000000 +0000
@@ -0,0 +1,163 @@
+#! /bin/sh
+# Common stub for a few missing GNU programs while installing.
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test $# -eq 0; then
+  echo 1>&2 "Try \`$0 --help' for more information"
+  exit 1
+fi
+
+fail_missing=false
+
+case "$1" in
+
+  -h|--h|--he|--hel|--help)
+    echo "\
+$0 [OPTION]... PROGRAM [ARGUMENT]...
+
+Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
+
+Options:
+  -h, --help      display this help and exit
+  -v, --version   output version information and exit
+
+Supported PROGRAM values:
+  aclocal      touch file \`aclocal.m4'
+  autoconf     touch file \`configure'
+  autoheader   touch file \`config.h.in'
+  automake     touch all \`Makefile.in' files
+  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
+  flex         create \`lex.yy.c', if possible, from existing .c
+  gperf
+  lex          create \`lex.yy.c', if possible, from existing .c
+  makeinfo     touch the output file
+  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
+    ;;
+
+  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+    echo "missing - GNU libit 0.0"
+    ;;
+
+  -*)
+    echo 1>&2 "$0: Unknown \`$1' option"
+    echo 1>&2 "Try \`$0 --help' for more information"
+    exit 1
+    ;;
+
+  aclocal)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acinclude.m4' or \`configure.in'.  You might want
+         to install the \`Automake' and \`Perl' packages.  Grab them from
+         any GNU archive site."
+    fail_missing=true
+    ;;
+
+  autoconf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`configure.in'.  You might want to install the
+         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+         archive site."
+    fail_missing=true
+    ;;
+
+  autoheader)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acconfig.h' or \`configure.in'.  You might want
+         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+         from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  automake)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
+         You might want to install the \`Automake' and \`Perl' packages.
+         Grab them from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  bison|yacc)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.y' file.  You may need the \`Bison' package
+         in order for those modifications to take effect.  You can get
+         \`Bison' from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  lex|flex)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.l' file.  You may need the \`Flex' package
+         in order for those modifications to take effect.  You can get
+         \`Flex' from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  gperf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.gperf' file.  You may need the \`gperf' package
+         in order for those modifications to take effect.  You can get
+         \`gperf' from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  makeinfo)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.texi' or \`.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy \`make' (AIX,
+         DU, IRIX).  You might want to install the \`Texinfo' package or
+         the \`GNU make' package.  Grab either from any GNU archive site."
+    fail_missing=true
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.  Check the \`README' file,
+         it often tells you about the needed prerequirements for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing \`$1' program."
+    fail_missing=true
+    ;;
+esac
+
+if $fail_missing; then
+  echo 1>&2 "\
+
+         You may also need \`$1' if you obtained this package from the CVS
+         archive because files that can be automatically generated are not
+         considered source files and are not checked in to the CVS archive.
+
+         You may also need \`$1' if you ran make maintainer-clean and
+         removed files that can be automatically generated but that are
+         normally distributed as part of the package for convenience."
+  exit 1
+fi
+
+exit 0
diff -pruN 1:3.0.1-6/octMakefile.in 1:3.0.5-6/octMakefile.in
--- 1:3.0.1-6/octMakefile.in	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/octMakefile.in	2009-01-16 06:46:22.000000000 +0000
@@ -46,7 +46,7 @@ DISTFILES = $(CONF_DISTFILES) \
 	NEWS.[0-9] PROJECTS README README.Linux README.Windows \
 	README.Cygwin README.MSVC README.kpathsea ROADMAP SENDING-PATCHES \
 	THANKS move-if-change octave-sh octave-bug.in \
-	octave-config.in mk-opts.pl mkinstalldirs \
+	octave-config.in missing mk-opts.pl mkinstalldirs \
 	mkoctfile.in run-octave.in ChangeLog ChangeLog.[0-9]
 
 # Subdirectories in which to run `make all'.
@@ -64,10 +64,11 @@ DISTSUBDIRS = $(sort $(SUBDIRS) test ema
 # Subdirectories in which to run clean targets.
 CLEANSUBDIRS = $(DISTSUBDIRS)
 
-DIRS_TO_MAKE = $(bindir) $(libdir) $(octincludedir)/octave $(fcnfiledir) \
-  $(octfiledir) $(archlibdir) $(localarchlibdir) $(localverarchlibdir) \
-  $(shell echo $(localfcnfilepath) | awk -F: '{for (i=1; i<=NF; i++) print $$i}') \
-  $(shell echo $(localoctfilepath) | awk -F: '{for (i=1; i<=NF; i++) print $$i}')
+DIRS_TO_MAKE = $(bindir) $(datadir) $(libdir) $(octincludedir)/octave \
+  $(fcnfiledir) $(localfcnfiledir) $(localapifcnfiledir) \
+  $(localverfcnfiledir) $(octfiledir) $(localoctfiledir) \
+  $(localapioctfiledir) $(localveroctfiledir) $(imagedir) $(archlibdir) \
+  $(localarchlibdir) $(localapiarchlibdir) $(localverarchlibdir)
 
 SHELL_SCRIPTS = octave-bug octave-config mkoctfile run-octave
 
diff -pruN 1:3.0.1-6/run-octave.in 1:3.0.5-6/run-octave.in
--- 1:3.0.1-6/run-octave.in	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/run-octave.in	2009-01-16 06:46:22.000000000 +0000
@@ -22,6 +22,7 @@
 
 AWK=%AWK%
 FIND=%FIND%
+SED=%SED%
 
 # FIXME -- is there a better way to handle the possibility of spaces
 # in these names? 
@@ -38,10 +39,10 @@ d2="$top_srcdir/scripts"
 d3="$builddir/scripts"
 d4="$builddir/src"
 
-d1_list=`$FIND "$d1" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}': ';'`
-d2_list=`$FIND "$d2" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}': ';'`
-d3_list=`$FIND "$d3" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}': ';'`
-d4_list=`$FIND "$d4" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}': ';'`
+d1_list=`$FIND "$d1" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}' ';' | $SED 's/$/:/'`
+d2_list=`$FIND "$d2" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}' ';' | $SED 's/$/:/'`
+d3_list=`$FIND "$d3" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}' ';' | $SED 's/$/:/'`
+d4_list=`$FIND "$d4" -type d -a ! \( \( -name CVS -o -name private \) -a -prune \) -exec echo '{}' ';' | $SED 's/$/:/'`
 
 d1_path=`echo "$d1_list" | $AWK '{ t = (s $0); s = t; } END { sub (/:$/, "", s); print s; }'`
 d2_path=`echo "$d2_list" | $AWK '{ t = (s $0); s = t; } END { sub (/:$/, "", s); print s; }'`
diff -pruN 1:3.0.1-6/scripts/ChangeLog 1:3.0.5-6/scripts/ChangeLog
--- 1:3.0.1-6/scripts/ChangeLog	2008-04-21 17:02:35.000000000 +0100
+++ 1:3.0.5-6/scripts/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,321 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2009-03-25  Rob Mahurin  <rob@utk.edu>
+
+       * set/create_set.m: return a row vector.  From M. Caliari.
+
+2009-03-25  Jaroslav Hajek  <highegg@gmail.com>
+
+	* plot/clf.m: Fix due to M. Caliari.
+
+2009-02-24  Rob Mahurin  <rob@utk.edu>	
+
+	* plot/legend.m: Fix legend order.  Add explicit colors to demos.
+	From Marco Caliari <marco.caliari@univr.it>
+	
+2009-02-23  John W. Eaton  <jwe@octave.org>
+
+	* plot/fplot.m: Fix nargin check.
+	From Joel Parker <Joel.Parker@radiancetech.com>.
+
+2008-01-15  Rafael Laboissiere  <rafael@debian.org>
+
+	* gethelp.cc: Include <cstdio>.
+
+2009-02-14  Tatsuro MATSUOKA <tmacchant@yahoo.co.jp>
+
+	* miscellaneous/fileparts.m: Fix again.
+
+2009-01-29  Jaroslav Hajek  <highegg@gmail.com>
+
+	* miscellaneous/fileparts.m: Fix test for Windows.
+
+2009-01-16  Daniel J Sebald  <daniel.sebald@ieee.org>
+
+	* plot/legend.m: Fix legend order for both horizontal and
+	vertical string cell.
+
+2009-01-13  Daniel J Sebald  <daniel.sebald@ieee.org>
+
+	* set/unique.m: Fix for vertical array inputs.
+
+2008-12-18  Daniel J Sebald <daniel.sebald@ieee.org>
+
+	* set/unique.m: Only check for options if nargin > 1.
+
+2008-07-10  Jaroslav Hajek <highegg@gmail.com>
+
+	* set/unique.m: Implement 'first' and 'last', some simplifications.
+	* set/union.m: Implement output indices.
+	* set/intersect.m: Implement 'rows'.
+	* set/setdiff.m: Implement output indices.
+	* set/setxor.m: Implement 'rows' and output indices.
+	Add tests and adjust docs in all of the above.
+
+2008-01-04  Soren Hauberg   <hauberg@gmail.com>
+
+	* set/create_set.m, set/union.m: Accept "rows" argument.
+
+2008-01-15  Ben Abbott  <bpabbott@mac.com>
+
+	* plot/grid.m: Document handle argument.
+
+2008-12-24  Doug Stewart  <dastew@sympatico.ca>
+
+	* plot/grid.m: Handle "minor" option.
+
+2008-03-04  Ben Abbott <bpabbott@mac.com>
+
+	* polynomial/polyfit.m: Modified tests to respect a relative tolerance.
+
+2008-02-19  Ben Abbott  <bpabbott@mac.com>
+
+	* polynomial/polyfit.m: Use QR decomposition.  Handle
+	normalization option.
+	* polynomial/polyval.m: Normalize dependent variable.  Optionally
+	generate 50% prediction intervals.
+
+2008-10-13  Francesco Potorti  <pot@gnu.org>
+
+	* plot/__errplot__.m: Wrong if switch compared strings using ==.
+	Subsituted with a switch statement.
+
+2008-12-26  Francesco Potortì  <pot@gnu.org>
+
+	* general/prepad.m: Add reference to postpad.
+
+	* general/postpad.m: Use @seealso.  Add reference to resize.
+
+	* statistics/base/statistics.m: Correct help string.
+
+	* plot/hist.m: Doc string now mentions matrix input argument.
+	Correct error message.
+
+2008-10-21  Ben Abbott <bpabbott@mac.com>
+
+	* plot/clf.m: Improve Matlab compatibility.
+
+2008-10-16  David Bateman  <dbateman@free.fr>
+
+	* plot/subplot.m: Allow for column vector of children for figure.
+
+2008-10-16  Ben Abbott <bpabbott@mac.com>
+
+	* plot/contourf.m: Correct order of patch object handles.
+
+2008-09-08  Kai Habel  <kai.habel@gmx.de>
+
+        * plot/contourf.m: Fix case for equal-sized matrices
+        of X and Y.
+
+2008-11-26  Francesco Potort  <pot@gnu.org>
+
+	* specfun/nchoosek.m: Set max_recursion_depth and use a subfunction.
+
+2008-11-04  Thorsten Meyer <thorsten.meyier@gmx.de>
+
+        * miscellaneous/unpack.m: return directly after recursive handling
+          of cell-strings
+          
+2008-11-24  Ben Abbott <bpabbott@mac.com>
+
+	* plot/legend.m: Correct ording of legend labels.
+
+2008-03-20  Ben Abbott <bpabbott@mac.com>
+
+	* statistics/base/statistics.m: Calculate median and quantiles in
+	a manner consistent with method #7 used by GNU R.
+	* statistics/base/__quantile__.m, statistics/base/quantile.m,
+	statistics/base/prctile.m: New functions.
+	* statistics/base/Makefile.in (SOURCES): Add them to the list.
+ 
+2008-11-10  John W. Eaton  <jwe@octave.org>
+
+	* polynomial/spline.m: Delete debugging statements.  From
+	Sebastian Schps <sebastian@schoeps.org>.
+
+2008-11-13  John W. Eaton  <jwe@octave.org>
+
+	* statistics/distributions/chi2rnd.m: Fix another missing semicolon.
+	From sven.mattisson@insatnet.nu.
+
+2008-08-29  David Bateman  <dbateman@free.fr>
+
+	* plot/hold.m: If currentaxes if figure doesn't exist, create it.
+
+2008-10-08  John W. Eaton  <jwe@octave.org>
+
+	* miscellaneous/fileparts.m: Handle "/file" properly.
+	Improve compatibility.
+
+2008-10-02  John W. Eaton  <jwe@octave.org>
+
+	* pkg/pkg.m (configure_make): Handle filenames with spaces.: 
+
+2008-10-02  Benjamin Lindner <lindnerb@users.sourceforge.net>
+
+	* pkg.m (configure_make): Enclose building directory in quotes.
+
+2008-09-29  Ben Abbott <bpabbott@mac.com>
+
+	* polynomial/deconv.m: Fix row/col orientation & length of output.
+
+	* polynomial/conv.m: Correct row/col orientation of output.
+
+2008-09-27  Ivan Sutoris  <ivan.sutoris@gmail.com>
+
+	* optimization/sqp.m: Document additional parameters.
+
+2008-09-24  John W. Eaton  <jwe@octave.org>
+
+	* plot/fplot.m: Call axis after calling plot.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-09-24  John W. Eaton  <jwe@octave.org>
+
+	* general/interpft.m: Increase tolerance in tests.
+
+2008-09-23  Francesco Potorti`  <Potorti@isti.cnr.it>
+
+	* plot/pcolor.m: Improve doc string.
+
+2008-09-18  Jaroslav Hajek <highegg@gmail.com>
+
+	* general/blkdiag.m: Skip assignment if rhs is empty.
+
+2008-09-18  Kris Thielemans  <kris.thielemans@csc.mrc.ac.uk>
+
+	* image/imshow.m: Fix for display_range.
+	
+	* general/interpn.m: Fixe for extrapval and documentation of 
+	extrapval.
+
+2008-09-19  David Bateman  <dbateman@free.fr>
+
+	* general/cell2mat.m: Specialize 2D case for speed.
+
+2008-09-08  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>
+
+	* plot/plot.m: Doc fix.
+
+2008-09-08  Mark van Rossum  <mvanross@inf.ed.ac.uk>
+
+	* statistics/distributions/binornd.m: Handle zero values of n
+	correctly.
+
+2008-08-28  Martin Weiser  <weiser2@natur.cuni.cz>
+
+	* plot/scatter3.m: Doc fix.
+
+2008-08-26  John W. Eaton  <jwe@octave.org>
+
+	* plot/hold.m: If hold is applied to a figure, set state for all
+	child axes objects.
+
+2008-08-22  John W. Eaton  <jwe@octave.org>
+
+	* statistics/distributions/chi2rnd.m: Fix missing semicolon.
+
+2008-08-21  John W. Eaton  <jwe@octave.org>
+
+	* plot/__go_draw_axes__.m: Fix test for have_data.
+	(__gnuplot_write_data__): Write "Inf Inf\n" if all data pairs
+	contain NaN values.
+
+2008-07-28  David Bateman  <dbateman@free.fr>
+ 
+	* plot/contourf.m: Allow X,Y to be unequal vectors.
+
+	* plot/shading.m: Clarify help string.
+	
+2008-08-20  Jaroslav Hajek <highegg@gmail.com>
+
+	* pkg/pkg.m (configure_make): Pass handle to is_architecture_dependent
+	directly.
+
+2008-08-20  David Bateman  <dbateman@free.fr>
+
+	* plot/__go_draw_axes__.m: Don't set pm3d implicit if the plot
+	contains a surface. Fixes things like meshc(peaks()).
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	* optimization/glpk.m: Fix invalid call to zeros.
+
+2008-08-19  David Bateman  <dbateman@free.fr>
+
+	statistics/base/ranks.m: Doc fix.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
+2008-08-08  Jaroslav Hajek <highegg@gmail.com>
+
+	* strings/strtok.m: replace cstrcat -> strcat in the tests.
+
+2008-08-04  John W. Eaton  <jwe@octave.org>
+
+	* strings/strtok.m: Include TAB, LF, VT, FF, and CR in default
+	list of delim characters.  Update tests.
+
+2008-06-11  John W. Eaton  <jwe@octave.org>
+
+	* general/rat.m: Properly initialize steps when all elements of
+	input array are integers.  Append spaces as necessary when
+	building  character array.
+
+2008-06-05  Jaroslav Hajek <highegg@gmail.com>
+
+	* plot/__go_draw_axes__.m: Use fprintf for formatted output.
+
+2008-06-04  Bill Denney  <bill@denney.ws>
+
+	* time/weekday.m: Allow vector inputs and speed up.
+	* time/eomday.m: Return column vector for column vector inputs.
+
+2008-06-02  John W. Eaton  <jwe@octave.org>
+
+	* general/mod.m: Delete bogus test.
+
+2008-06-02  Jaroslav Hajek <highegg@gmail.com>
+
+	* strings/strcat.m: Add tests.
+
+2008-06-02  Kim Hansen  <kimhanse@gmail.com>
+
+	* strings/mat2str.m: Change is_complex to iscomplex, add tests, add
+	missing ;
+
+2008-06-02  John W. Eaton  <jwe@octave.org>
+
+	* linear-algebra/cond.m, miscellaneous/news.m,
+	miscellaneous/unpack.m, plot/__bar__.m, plot/__quiver__.m,
+	plot/__scatter__.m, plot/compass.m, plot/feather.m:
+	Call ischar instead of isstr.
+
+2008-05-22  David Bateman  <dbateman@free.fr>
+
+	* general/rem.m, general/mod.m: Treat integer types correctly.
+
+2008-04-29  David Bateman  <dbateman@free.fr>
+
+	pkg/pkg.m: Also set archprefix with the -local and -global options.
+
+2008-04-29  Jonathan Stickel  <jjstickel@vcn.com>
+
+	* statistics/distributions/tcdf.m, statistics/distributions/tinv.m:
+	Doc fix.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
@@ -1275,7 +1593,7 @@
 	* testfun/test.m: In error/warning blocks test for an error before
 	a warning to avoid unexpected failures.
 
-2007-10-15  Kim Hansen  i<kimhanse@gmail.com>
+2007-10-15  Kim Hansen  <kimhanse@gmail.com>
 
 	* testfun/assert.m: Correct documentation of absolution versus 
 	relative error tolerance and add tests.
diff -pruN 1:3.0.1-6/scripts/control/system/is_stabilizable.m 1:3.0.5-6/scripts/control/system/is_stabilizable.m
--- 1:3.0.1-6/scripts/control/system/is_stabilizable.m	2008-04-21 16:58:39.000000000 +0100
+++ 1:3.0.5-6/scripts/control/system/is_stabilizable.m	2009-01-16 06:46:22.000000000 +0000
@@ -75,7 +75,7 @@ function retval = is_stabilizable (a, b,
 
 
   ## Checking dimensions
-  n = is_square (a);
+  n = issquare (a);
   if (n == 0)
     error ("is_stabilizable: a must be square");
   endif
diff -pruN 1:3.0.1-6/scripts/DOCSTRINGS 1:3.0.5-6/scripts/DOCSTRINGS
--- 1:3.0.1-6/scripts/DOCSTRINGS	2008-04-21 17:56:30.000000000 +0100
+++ 1:3.0.5-6/scripts/DOCSTRINGS	2009-03-27 11:52:54.000000000 +0000
@@ -3,7980 +3,7232 @@
 ### This file is generated automatically from the Octave sources.
 ### Edit those files instead and run make to update this file.
 
-lin2mu
+geometric_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {} lin2mu (@var{x}, @var{n})
-Converts audio data from linear to mu-law.  Mu-law values use 8-bit
-unsigned integers.  Linear values use @var{n}-bit signed integers or 
-floating point values in the range -1<=@var{x}<=1 if @var{n} is 0.  
-If @var{n} is not specified it defaults to 0, 8 or 16 depending on 
-the range values in @var{x}.
-@seealso{mu2lin, loadaudio, saveaudio, playaudio, setaudio, record}
+@deftypefn {Function File} {} geometric_rnd (@var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} geometric_rnd (@var{p}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+geometric distribution with parameter @var{p}, which must be a scalar
+or of size @var{r} by @var{c}.
+
+If @var{r} and @var{c} are given create a matrix with @var{r} rows and
+@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
+@var{sz}.
 @end deftypefn
-loadaudio
+meshdom
 -*- texinfo -*-
-@deftypefn {Function File} {} loadaudio (@var{name}, @var{ext}, @var{bps})
-Loads audio data from the file @file{@var{name}.@var{ext}} into the
-vector @var{x}.
+@deftypefn {Function File} {} meshdom (@var{x}, @var{y})
+This function has been deprecated.  Use @code{meshgrid} instead.
+@end deftypefn
+is_square
+-*- texinfo -*-
+@deftypefn {Function File} {} is_square (@var{x})
+This function has been deprecated.  Use issquare instead.
+@end deftypefn
+poisson_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} poisson_pdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the poisson distribution with parameter @var{lambda}.
+@end deftypefn
+weibull_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} weibull_cdf (@var{x}, @var{shape}, @var{scale})
+Compute the cumulative distribution function (CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}, which is
 
-The extension @var{ext} determines how the data in the audio file is
-interpreted;  the extensions @file{lin} (default) and @file{raw}
-correspond to linear, the extensions @file{au}, @file{mu}, or @file{snd}
-to mu-law encoding.
+@example
+1 - exp(-(x/shape)^scale)
+@end example
 
-The argument @var{bps} can be either 8 (default) or 16, and specifies
-the number of bits per sample used in the audio file.
-@seealso{lin2mu, mu2lin, saveaudio, playaudio, setaudio, record}
+@noindent
+for @var{x} >= 0.
 @end deftypefn
-mu2lin
+weibpdf
 -*- texinfo -*-
-@deftypefn {Function File} {} mu2lin (@var{x}, @var{bps})
-Converts audio data from linear to mu-law.  Mu-law values are 8-bit
-unsigned integers.  Linear values use @var{n}-bit signed integers
-or floating point values in the range -1<=y<=1 if @var{n} is 0.  If
-@var{n} is not specified it defaults to 8.
-@seealso{lin2mu, loadaudio, saveaudio, playaudio, setaudio, record}
+@deftypefn {Function File} {} weibpdf (@var{x}, @var{scale}, @var{shape})
+Compute the probability density function (PDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape} which is given by
+
+@example
+   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
+@end example
+
+@noindent
+for @var{x} > 0.
 @end deftypefn
-playaudio
+normal_cdf
 -*- texinfo -*-
-@deftypefn {Function File} {} playaudio (@var{name}, @var{ext})
-@deftypefnx {Function File} {} playaudio (@var{x})
-Plays the audio file @file{@var{name}.@var{ext}} or the audio data
-stored in the vector @var{x}.
-@seealso{lin2mu, mu2lin, loadaudio, saveaudio, setaudio, record}
+@deftypefn {Function File} {} normal_cdf (@var{x}, @var{m}, @var{v})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the normal distribution with mean
+@var{m} and variance @var{v}.
+
+Default values are @var{m} = 0, @var{v} = 1.
 @end deftypefn
-record
+chisquare_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} record (@var{sec}, @var{sampling_rate})
-Records @var{sec} seconds of audio input into the vector @var{x}.  The
-default value for @var{sampling_rate} is 8000 samples per second, or
-8kHz.  The program waits until the user types @key{RET} and then
-immediately starts to record.
-@seealso{lin2mu, mu2lin, loadaudio, saveaudio, playaudio, setaudio}
+@deftypefn {Function File} {} chisquare_inv (@var{x}, @var{n})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the chisquare distribution with @var{n} degrees of
+freedom.
 @end deftypefn
-saveaudio
+gamma_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {} saveaudio (@var{name}, @var{x}, @var{ext}, @var{bps})
-Saves a vector @var{x} of audio data to the file
-@file{@var{name}.@var{ext}}.  The optional parameters @var{ext} and
-@var{bps} determine the encoding and the number of bits per sample used
-in the audio file (see @code{loadaudio});  defaults are @file{lin} and
-8, respectively.
-@seealso{lin2mu, mu2lin, loadaudio, playaudio, setaudio, record}
+@deftypefn {Function File} {} gamma_pdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, return the probability density function
+(PDF) at @var{x} of the Gamma distribution with parameters @var{a}
+and @var{b}.
 @end deftypefn
-setaudio
+t_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} setaudio ([@var{w_type} [, @var{value}]])
-Execute the shell command @samp{mixer [@var{w_type} [, @var{value}]]}
+@deftypefn {Function File} {} t_inv (@var{x}, @var{n})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the t (Student) distribution with parameter
+@var{n}.
 @end deftypefn
-wavread
+pascal_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} wavread (@var{filename})
-Load the RIFF/WAVE sound file @var{filename}, and return the samples
-in vector @var{y}.  If the file contains multichannel data, then
-@var{y} is a matrix with the channels represented as columns.
-
-@deftypefnx {Function File} {[@var{y}, @var{Fs}, @var{bits}] =} wavread (@var{filename})
-Additionally return the sample rate (@var{fs}) in Hz and the number of bits 
-per sample (@var{bits}).
-
-@deftypefnx {Function File} {[@dots{}] =} wavread (@var{filename}, @var{n})
-Read only the first @var{n} samples from each channel.
-
-@deftypefnx {Function File} {[@dots{}] =} wavread (@var{filename},[@var{n1} @var{n2}])
-Read only samples @var{n1} through @var{n2} from each channel.
+@deftypefn {Function File} {} pascal_pdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the Pascal (negative binomial) distribution with
+parameters @var{n} and @var{p}.
 
-@deftypefnx {Function File} {[@var{samples}, @var{channels}] =} wavread (@var{filename}, "size")
-Return the number of samples (@var{n}) and channels (@var{ch})
-instead of the audio data.
-@seealso{wavwrite}
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution. 
 @end deftypefn
-wavwrite
+isstr
 -*- texinfo -*-
-@deftypefn {Function File} {} wavwrite (@var{y}, @var{filename})
-@deftypefnx {Function File} {} wavwrite (@var{y}, @var{fs}, @var{filename})
-@deftypefnx {Function File} {} wavwrite (@var{y}, @var{fs}, @var{bits}, @var{filename})
-Write @var{y} to the canonical RIFF/WAVE sound file @var{filename}
-with sample rate @var{fs} and bits per sample @var{bits}.  The
-default sample rate is 8000 Hz with 16-bits per sample.  Each column
-of the data represents a separate channel.
-@seealso{wavread}
+@deftypefn {Function File} {} isstr (@var{a})
+This function has been deprecated.  Use ischar instead.
 @end deftypefn
-DEMOcontrol
+is_struct
 -*- texinfo -*-
-@deftypefn {Function File} {} DEMOcontrol
-Octave Control Systems Toolbox demo/tutorial program.  The demo
-allows the user to select among several categories of @acronym{OCST} function:
-@example
-@group
-octave:1> DEMOcontrol
-Octave Controls System Toolbox Demo
-
-  [ 1] System representation
-  [ 2] Block diagram manipulations
-  [ 3] Frequency response functions
-  [ 4] State space analysis functions
-  [ 5] Root locus functions
-  [ 6] LQG/H2/Hinfinity functions
-  [ 7] End
-@end group
-@end example
-Command examples are interactively run for users to observe the use
-of @acronym{OCST} functions.
-@seealso{Demo Programs: bddemo.m, frdemo.m, analdemo.m,
-moddmeo.m, rldemo.m}
+@deftypefn {Function File} {} is_struct (@var{a})
+This function has been deprecated.  Use isstruct instead.
 @end deftypefn
-__bodquist__
-Undocumented internal function.
-__freqresp__
-Undocumented internal function.
-__stepimp__
-Undocumented internal function.
-analdemo
+chisquare_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {} analdemo ()
-Octave Controls toolbox demo: State Space analysis demo
+@deftypefn {Function File} {} chisquare_pdf (@var{x}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the chisquare distribution with @var{n} degrees
+of freedom. 
 @end deftypefn
-are
+setstr
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} are (@var{a}, @var{b}, @var{c}, @var{opt})
-Solve the Algebraic Riccati Equation
-@iftex
-@tex
-$$
-A^TX + XA - XBX + C = 0
-$$
-@end tex
-@end iftex
-@ifinfo
-@example
-a' * x + x * a - x * b * x + c = 0
-@end example
-@end ifinfo
-
-@strong{Inputs}
-@noindent
-for identically dimensioned square matrices
-@table @var
-@item a
-@var{n} by @var{n} matrix;
-@item b
-@var{n} by @var{n} matrix or @var{n} by @var{m} matrix; in the latter case
-@var{b} is replaced by @math{b:=b*b'};
-@item c
-@var{n} by @var{n} matrix or @var{p} by @var{m} matrix; in the latter case
-@var{c} is replaced by @math{c:=c'*c};
-@item opt
-(optional argument; default = @code{"B"}):
-String option passed to @code{balance} prior to ordered Schur decomposition.
-@end table
-
-@strong{Output}
-@table @var
-@item x
-solution of the @acronym{ARE}.
-@end table
-
-@strong{Method}
-Laub's Schur method (@acronym{IEEE} Transactions on
-Automatic Control, 1979) is applied to the appropriate Hamiltonian
-matrix.
-@seealso{balance, dare}
+@deftypefn {Function File} {} setstr (@var{s})
+This function has been deprecated.  Use char instead.
 @end deftypefn
-bddemo
+uniform_cdf
 -*- texinfo -*-
-@deftypefn {Function File} {} bddemo (@var{inputs})
-Octave Controls toolbox demo: Block Diagram Manipulations demo.
+@deftypefn {Function File} {} uniform_cdf (@var{x}, @var{a}, @var{b})
+Return the CDF at @var{x} of the uniform distribution on [@var{a},
+@var{b}], i.e., PROB (uniform (@var{a}, @var{b}) <= x).
+
+Default values are @var{a} = 0, @var{b} = 1.
 @end deftypefn
-bode
+weibull_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{mag}, @var{phase}, @var{w}] =} bode (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx})
-If no output arguments are given: produce Bode plots of a system; otherwise,
-compute the frequency response of a system data structure
-
-@strong{Inputs}
-@table @var
-@item   sys
-a system data structure (must be either purely continuous or discrete;
-see is_digital)
-@item   w
-frequency values for evaluation.
-
-if @var{sys} is continuous, then bode evaluates @math{G(jw)} where
-@math{G(s)} is the system transfer function.
-
-if @var{sys} is discrete, then bode evaluates G(@code{exp}(jwT)), where
-@itemize @bullet
-@item @math{T} is the system sampling time
-@item @math{G(z)} is the system transfer function.
-@end itemize
-
-@strong{Default} the default frequency range is selected as follows: (These
-steps are @strong{not} performed if @var{w} is specified)
-@enumerate
-@item via routine __bodquist__, isolate all poles and zeros away from
-@var{w}=0 (@var{jw}=0 or @math{@code{exp}(jwT)}=1) and select the frequency
-range based on the breakpoint locations of the frequencies.
-@item if @var{sys} is discrete time, the frequency range is limited
-              to @math{jwT} in
-@ifinfo
-[0,2 pi /T]
-@end ifinfo
-@iftex
-@tex
-$[0,2\pi/T]$
-@end tex
-@end iftex
-@item A "smoothing" routine is used to ensure that the plot phase does
-not change excessively from point to point and that singular
-points (e.g., crossovers from +/- 180) are accurately shown.
-
-@end enumerate
-@item out_idx
-@itemx in_idx
-
-The names or indices of outputs and inputs to be used in the frequency
-response.  See @code{sysprune}.
-
-@strong{Example}
-@example
-bode(sys,[],"y_3", @{"u_1","u_4"@});
-@end example
-@end table
-@strong{Outputs}
-@table @var
-@item mag
-@itemx phase
-the magnitude and phase of the frequency response @math{G(jw)} or
-@math{G(@code{exp}(jwT))} at the selected frequency values.
-@item w
-the vector of frequency values used
-@end table
+@deftypefn {Function File} {} weibull_pdf (@var{x}, @var{shape}, @var{scale})
+Compute the probability density function (PDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape} which is given by
 
-@enumerate
-@item If no output arguments are given, e.g.,
 @example
-bode(sys);
+   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
 @end example
-bode plots the results to the screen.  Descriptive labels are
-automatically placed.
-
-Failure to include a concluding semicolon will yield some garbage
-being printed to the screen (@code{ans = []}).
-
-@item If the requested plot is for an @acronym{MIMO} system, mag is set to
-@math{||G(jw)||} or @math{||G(@code{exp}(jwT))||}
-and phase information is not computed.
-@end enumerate
-@end deftypefn
-bode_bounds
--*- texinfo -*-
-@deftypefn {Function File} {[@var{wmin}, @var{wmax}] =} bode_bounds (@var{zer}, @var{pol}, @var{dflg}, @var{tsam})
-Get default range of frequencies based on cutoff frequencies of system
-poles and zeros.
-Frequency range is the interval
-@iftex
-@tex
-$ [ 10^{w_{min}}, 10^{w_{max}} ] $
-@end tex
-@end iftex
-@ifinfo
-[10^@var{wmin}, 10^@var{wmax}]
-@end ifinfo
 
-Used internally in @command{__freqresp__} (@command{bode}, @command{nyquist})
+@noindent
+for @var{x} > 0.
 @end deftypefn
-controldemo
+is_complex
 -*- texinfo -*-
-@deftypefn {Function File} {} controldemo ()
-Control Systems Toolbox demo.
-@seealso{Demo programs: bddemo, frdemo, analdemo, moddmeo, rldemo}
+@deftypefn {Function File} {} is_complex (@var{a})
+This function has been deprecated.  Use iscomplex instead.
 @end deftypefn
-ctrb
+lognormal_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} ctrb (@var{sys}, @var{b})
-@deftypefnx {Function File} {} ctrb (@var{a}, @var{b})
-Build controllability matrix:
-@iftex
-@tex
-$$ Q_s = [ B AB A^2B \ldots A^{n-1}B ] $$
-@end tex
-@end iftex
-@ifinfo
-@example
-             2       n-1
-Qs = [ B AB A B ... A   B ]
-@end example
-@end ifinfo
-
-of a system data structure or the pair (@var{a}, @var{b}).
+@deftypefn {Function File} {} lognormal_inv (@var{x}, @var{a}, @var{v})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the lognormal distribution with parameters @var{a}
+and @var{v}.  If a random variable follows this distribution, its
+logarithm is normally distributed with mean @code{log (@var{a})} and
+variance @var{v}.
 
-@command{ctrb} forms the controllability matrix.
-The numerical properties of @command{is_controllable}
-are much better for controllability tests.
+Default values are @var{a} = 1, @var{v} = 1.
 @end deftypefn
-damp
+t_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {} damp (@var{p}, @var{tsam})
-Displays eigenvalues, natural frequencies and damping ratios
-of the eigenvalues of a matrix @var{p} or the @math{A} matrix of a
-system @var{p}, respectively.
-If @var{p} is a system, @var{tsam} must not be specified.
-If @var{p} is a matrix and @var{tsam} is specified, eigenvalues
-of @var{p} are assumed to be in @var{z}-domain.
-@seealso{eig}
+@deftypefn {Function File} {} t_pdf (@var{x}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the @var{t} (Student) distribution with @var{n}
+degrees of freedom. 
 @end deftypefn
-dare
+com2str
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} dare (@var{a}, @var{b}, @var{q}, @var{r}, @var{opt})
-
-Return the solution, @var{x} of the discrete-time algebraic Riccati
-equation
-@iftex
-@tex
-$$
-A^TXA - X + A^TXB  (R + B^TXB)^{-1} B^TXA + Q = 0
-$$
-@end tex
-@end iftex
-@ifinfo
-@example
-a' x a - x + a' x b (r + b' x b)^(-1) b' x a + q = 0
-@end example
-@end ifinfo
-@noindent
+@deftypefn {Function File} {} com2str (@var{zz}, @var{flg})
+This function has been deprecated.  Use num2str instead.
 
+Convert complex number to a string.
 @strong{Inputs}
 @table @var
-@item a
-@var{n} by @var{n} matrix;
-
-@item b
-@var{n} by @var{m} matrix;
-
-@item q
-@var{n} by @var{n} matrix, symmetric positive semidefinite, or a @var{p} by @var{n} matrix,
-In the latter case @math{q:=q'*q} is used;
-
-@item r
-@var{m} by @var{m}, symmetric positive definite (invertible);
-
-@item opt
-(optional argument; default = @code{"B"}):
-String option passed to @code{balance} prior to ordered @var{QZ} decomposition.
+@item zz
+complex number
+@item flg
+format flag
+0 (default):            -1, 0, 1,   1i,   1 + 0.5i
+1 (for use with zpout): -1, 0, + 1, + 1i, + 1 + 0.5i
 @end table
+@end deftypefn
+polyinteg
+-*- texinfo -*-
+@deftypefn {Function File} {} polyinteg (@var{c})
+Return the coefficients of the integral of the polynomial whose
+coefficients are represented by the vector @var{c}.
 
-@strong{Output}
-@table @var
-@item x
-solution of @acronym{DARE}.
-@end table
+The constant of integration is set to zero.
+@seealso{poly, polyderiv, polyreduce, roots, conv, deconv, residue,
+filter, polyval, and polyvalm}
+@end deftypefn
+f_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} f_rnd (@var{m}, @var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} f_rnd (@var{m}, @var{n}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the F
+distribution with @var{m} and @var{n} degrees of freedom.  Both
+@var{m} and @var{n} must be scalar or of size @var{r} by @var{c}.
+If @var{sz} is a vector the random samples are in a matrix of 
+size @var{sz}.
 
-@strong{Method}
-Generalized eigenvalue approach (Van Dooren; @acronym{SIAM} J.
- Sci. Stat. Comput., Vol 2) applied  to the appropriate symplectic pencil.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{m} and @var{n}.
+@end deftypefn
+exponential_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} exponential_rnd (@var{lambda}, @var{r}, @var{c})
+@deftypefnx {Function File} {} exponential_rnd (@var{lambda}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+exponential distribution with parameter @var{lambda}, which must be a
+scalar or of size @var{r} by @var{c}. Or if @var{sz} is a vector, 
+create a matrix of size @var{sz}.
 
- See also: Ran and Rodman, @cite{Stable Hermitian Solutions of Discrete
- Algebraic Riccati Equations}, Mathematics of Control, Signals and
- Systems, Vol 5, no 2 (1992), pp 165--194.
-@seealso{balance, are}
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{lambda}.
 @end deftypefn
-dcgain
+lognormal_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {} dcgain (@var{sys}, @var{tol})
-Returns dc-gain matrix. If dc-gain is infinite
-an empty matrix is returned.
-The argument @var{tol} is an optional tolerance for the condition
-number of the @math{A} Matrix in @var{sys} (default @var{tol} = 1.0e-10)
+@deftypefn {Function File} {} lognormal_rnd (@var{a}, @var{v}, @var{r}, @var{c})
+@deftypefnx {Function File} {} lognormal_rnd (@var{a}, @var{v}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+lognormal distribution with parameters @var{a} and @var{v}. Both
+@var{a} and @var{v} must be scalar or of size @var{r} by @var{c}.
+Or if @var{sz} is a vector, create a matrix of size @var{sz}.
+
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{v}.
 @end deftypefn
-dgram
+binomial_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} dgram (@var{a}, @var{b})
-Return controllability gramian of discrete time system
-@iftex
-@tex
-$$ x_{k+1} = ax_k + bu_k $$
-@end tex
-@end iftex
-@ifinfo
-@example
-  x(k+1) = a x(k) + b u(k)
-@end example
-@end ifinfo
-
-@strong{Inputs}
-@table @var
-@item a
-@var{n} by @var{n} matrix
-@item b
-@var{n} by @var{m} matrix
-@end table
-
-@strong{Output}
-@table @var
-@item m 
-@var{n} by @var{n} matrix, satisfies
-@iftex
-@tex
-$$ ama^T - m + bb^T = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
- a m a' - m + b*b' = 0
-@end example
-@end ifinfo
-@end table
+@deftypefn {Function File} {} binomial_inv (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+binomial distribution with parameters @var{n} and @var{p}.
 @end deftypefn
-dkalman
+poisson_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{Lp}, @var{Lf}, @var{P}, @var{Z}] =} dkalman (@var{A}, @var{G}, @var{C}, @var{Qw}, @var{Rv}, @var{S})
-Construct the linear quadratic estimator (Kalman predictor) for the
-discrete time system
-@iftex
-@tex
-$$
- x_{k+1} = A x_k + B u_k + G w_k
-$$
-$$
- y_k = C x_k + D u_k + v_k
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-x[k+1] = A x[k] + B u[k] + G w[k]
-  y[k] = C x[k] + D u[k] + v[k]
-@end example
-
-@end ifinfo
-where @var{w}, @var{v} are zero-mean gaussian noise processes with
-respective intensities @code{@var{Qw} = cov (@var{w}, @var{w})} and
-@code{@var{Rv} = cov (@var{v}, @var{v})}.
+@deftypefn {Function File} {} poisson_rnd (@var{lambda}, @var{r}, @var{c})
+Return an @var{r} by @var{c} matrix of random samples from the
+Poisson distribution with parameter @var{lambda}, which must be a 
+scalar or of size @var{r} by @var{c}.
 
-If specified, @var{S} is @code{cov (@var{w}, @var{v})}.  Otherwise
-@code{cov (@var{w}, @var{v}) = 0}.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{lambda}.
+@end deftypefn
+weibinv
+-*- texinfo -*-
+@deftypefn {Function File} {} weibinv (@var{x}, @var{scale}, @var{shape})
+Compute the quantile (the inverse of the CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}.
+@end deftypefn
+is_matrix
+-*- texinfo -*-
+@deftypefn {Function File} {} is_matrix (@var{a})
+This function has been deprecated.  Use ismatrix instead.
+@end deftypefn
+exponential_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} exponential_inv (@var{x}, @var{lambda})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the exponential distribution with parameter
+@var{lambda}.
+@end deftypefn
+geometric_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} geometric_inv (@var{x}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+geometric distribution with parameter @var{p}.
+@end deftypefn
+lognormal_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} lognormal_cdf (@var{x}, @var{a}, @var{v})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the lognormal distribution with
+parameters @var{a} and @var{v}.  If a random variable follows this
+distribution, its logarithm is normally distributed with mean
+@code{log (@var{a})} and variance @var{v}.
 
-The observer structure is
-@iftex
-@tex
-$x_{k+1|k} = A x_{k|k-1} + B u_k + L_p (y_k - C x_{k|k-1} - D u_k)$
-$x_{k|k} = x_{k|k} + L_f (y_k - C x_{k|k-1} - D u_k)$
-@end tex
-@end iftex
-@ifinfo
+Default values are @var{a} = 1, @var{v} = 1.
+@end deftypefn
+gamma_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} gamma_cdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Gamma distribution with parameters
+@var{a} and @var{b}.
+@end deftypefn
+clearplot
+-*- texinfo -*-
+@deftypefn {Function File} {} clearplot ()
+This function has been deprecated.  Use clf instead.
+@end deftypefn
+struct_contains
+-*- texinfo -*-
+@deftypefn {Function File} {} struct_contains (@var{expr}, @var{name})
+This function has been deprecated.  Use isfield instead.
+@end deftypefn
+normal_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} normal_rnd (@var{m}, @var{v}, @var{r}, @var{c})
+@deftypefnx {Function File} {} normal_rnd (@var{m}, @var{v}, @var{sz})
+Return an @var{r} by @var{c}  or @code{size (@var{sz})} matrix of
+random samples from the normal distribution with parameters @var{m} 
+and @var{v}.  Both @var{m} and @var{v} must be scalar or of size 
+@var{r} by @var{c}.
 
-@example
-x[k+1|k] = A x[k|k-1] + B u[k] + LP (y[k] - C x[k|k-1] - D u[k])
-x[k|k] = x[k|k-1] + LF (y[k] - C x[k|k-1] - D u[k])
-@end example
-@end ifinfo
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{m} and @var{v}.
+@end deftypefn
+is_bool
+-*- texinfo -*-
+@deftypefn {Function File} {} is_bool (@var{a})
+This function has been deprecated.  Use isbool instead.
+@end deftypefn
+gamma_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} gamma_rnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} gamma_rnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
+random samples from the Gamma distribution with parameters @var{a}
+and @var{b}.  Both @var{a} and @var{b} must be scalar or of size 
+@var{r} by @var{c}.
 
-@noindent
-The following values are returned:
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
+@end deftypefn
+pascal_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} pascal_inv (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+Pascal (negative binomial) distribution with parameters @var{n} and
+@var{p}.
 
-@table @var
-@item Lp
-The predictor gain,
-@iftex
-@tex
-$(A - L_p C)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{A} - @var{Lp} @var{C})
-@end ifinfo
-is stable.
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution.
+@end deftypefn
+uniform_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} uniform_pdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the PDF at @var{x} of the uniform
+distribution on [@var{a}, @var{b}].
 
-@item Lf
-The filter gain.
+Default values are @var{a} = 0, @var{b} = 1.
+@end deftypefn
+exponential_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} exponential_cdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the exponential distribution with
+parameter @var{lambda}.
 
-@item P
-The Riccati solution. 
-@iftex
-@tex
-$P = E \{(x - x_{n|n-1})(x - x_{n|n-1})'\}$
-@end tex
-@end iftex
+The arguments can be of common size or scalar.
+@end deftypefn
+hypergeometric_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} hypergeometric_inv (@var{x}, @var{m}, @var{t}, @var{n})
+For each element of @var{x}, compute the quantile at @var{x} of the
+hypergeometric distribution with parameters @var{m}, @var{t}, and
+@var{n}.
 
-@ifinfo
-P = E [(x - x[n|n-1])(x - x[n|n-1])']
-@end ifinfo
+The parameters @var{m}, @var{t}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
+@end deftypefn
+wiener_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} wiener_rnd (@var{t}, @var{d}, @var{n})
+Return a simulated realization of the @var{d}-dimensional Wiener Process
+on the interval [0, @var{t}].  If @var{d} is omitted, @var{d} = 1 is
+used. The first column of the return matrix contains time, the
+remaining columns contain the Wiener process.
 
-@item Z
-The updated error covariance matrix.
-@iftex
-@tex
-$Z = E \{(x - x_{n|n})(x - x_{n|n})'\}$
-@end tex
-@end iftex
+The optional parameter @var{n} gives the number of summands used for
+simulating the process over an interval of length 1.  If @var{n} is
+omitted, @var{n} = 1000 is used.
+@end deftypefn
+lognormal_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} lognormal_pdf (@var{x}, @var{a}, @var{v})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the lognormal distribution with parameters
+@var{a} and @var{v}.  If a random variable follows this distribution,
+its logarithm is normally distributed with mean @code{log (@var{a})}
+and variance @var{v}.
 
-@ifinfo
-Z = E [(x - x[n|n])(x - x[n|n])']
-@end ifinfo
-@end table
+Default values are @var{a} = 1, @var{v} = 1.
 @end deftypefn
-dlqe
+beta_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{l}, @var{m}, @var{p}, @var{e}] =} dlqe (@var{a}, @var{g}, @var{c}, @var{sigw}, @var{sigv}, @var{z})
-Construct the linear quadratic estimator (Kalman filter) for the
-discrete time system
-@iftex
-@tex
-$$
- x_{k+1} = A x_k + B u_k + G w_k
-$$
-$$
- y_k = C x_k + D u_k + v_k
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-x[k+1] = A x[k] + B u[k] + G w[k]
-  y[k] = C x[k] + D u[k] + v[k]
-@end example
-
-@end ifinfo
-where @var{w}, @var{v} are zero-mean gaussian noise processes with
-respective intensities @code{@var{sigw} = cov (@var{w}, @var{w})} and
-@code{@var{sigv} = cov (@var{v}, @var{v})}.
-
-If specified, @var{z} is @code{cov (@var{w}, @var{v})}.  Otherwise
-@code{cov (@var{w}, @var{v}) = 0}.
-
-The observer structure is
-@iftex
-@tex
-$$
- z_{k|k} = z_{k|k-1} + l (y_k - C z_{k|k-1} - D u_k)
-$$
-$$
- z_{k+1|k} = A z_{k|k} + B u_k
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-z[k|k] = z[k|k-1] + L (y[k] - C z[k|k-1] - D u[k])
-z[k+1|k] = A z[k|k] + B u[k]
-@end example
-@end ifinfo
-
-@noindent
-The following values are returned:
-
-@table @var
-@item l
-The observer gain,
-@iftex
-@tex
-$(A - ALC)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{a}@var{l}@var{c}).
-@end ifinfo
-is stable.
-
-@item m
-The Riccati equation solution.
-
-@item p
-The estimate error covariance after the measurement update.
-
-@item e
-The closed loop poles of
-@iftex
-@tex
-$(A - ALC)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{a}@var{l}@var{c}).
-@end ifinfo
-@end table
+@deftypefn {Function File} {} beta_pdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, returns the PDF at @var{x} of the beta
+distribution with parameters @var{a} and @var{b}.
 @end deftypefn
-dlqr
+weibrnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} dlqr (@var{a}, @var{b}, @var{q}, @var{r}, @var{z})
-Construct the linear quadratic regulator for the discrete time system
-@iftex
-@tex
-$$
- x_{k+1} = A x_k + B u_k
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-x[k+1] = A x[k] + B u[k]
-@end example
+@deftypefn {Function File} {} weibrnd (@var{scale}, @var{shape}, @var{r}, @var{c})
+@deftypefnx {Function File} {} weibrnd (@var{scale}, @var{shape}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+Weibull distribution with parameters @var{scale} and @var{shape}
+which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
+is a vector return a matrix of size @var{sz}.
 
-@end ifinfo
-to minimize the cost functional
-@iftex
-@tex
-$$
- J = \sum x^T Q x + u^T R u
-$$
-@end tex
-@end iftex
-@ifinfo
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{alpha} and @var{sigma}.
+@end deftypefn
+intersection
+-*- texinfo -*-
+@deftypefn {Function File} {} intersection (@var{x}, @var{y})
+This function has been deprecated.  Use intersect instead.
+@end deftypefn
+weibull_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} weibull_inv (@var{x}, @var{shape}, @var{scale})
+Compute the quantile (the inverse of the CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}.
+@end deftypefn
+weibcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} weibcdf (@var{x}, @var{scale}, @var{shape})
+Compute the cumulative distribution function (CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}, which is
 
 @example
-J = Sum (x' Q x + u' R u)
+1 - exp(-(x/shape)^scale)
 @end example
-@end ifinfo
 
 @noindent
-@var{z} omitted or
-@iftex
-@tex
-$$
- J = \sum x^T Q x + u^T R u + 2 x^T Z u
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-J = Sum (x' Q x + u' R u + 2 x' Z u)
-@end example
-
-@end ifinfo
-@var{z} included.
+for @var{x} >= 0.
+@end deftypefn
+t_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} t_rnd (@var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} t_rnd (@var{n}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the t
+(Student) distribution with @var{n} degrees of freedom.  @var{n} must
+be a scalar or of size @var{r} by @var{c}. Or if @var{sz} is a
+vector create a matrix of size @var{sz}.
 
-The following values are returned:
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{n}.
+@end deftypefn
+hypergeometric_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} hypergeometric_pdf (@var{x}, @var{m}, @var{t}, @var{n})
+Compute the probability density function (PDF) at @var{x} of the
+hypergeometric distribution with parameters @var{m}, @var{t}, and
+@var{n}. This is the probability of obtaining @var{x} marked items
+when randomly drawing a sample of size @var{n} without replacement
+from a population of total size @var{t} containing @var{m} marked items.
 
-@table @var
-@item k
-The state feedback gain,
-@iftex
-@tex
-$(A - B K)$
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{b}@var{k})
-@end ifinfo
-is stable.
+The arguments must be of common size or scalar.
+@end deftypefn
+binomial_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} binomial_pdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the binomial distribution with parameters @var{n}
+and @var{p}.
+@end deftypefn
+chisquare_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} chisquare_rnd (@var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} chisquare_rnd (@var{n}, @var{sz})
+Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
+random samples from the chisquare distribution with @var{n} degrees 
+of freedom.  @var{n} must be a scalar or of size @var{r} by @var{c}.
 
-@item p
-The solution of algebraic Riccati equation.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{n}.
+@end deftypefn
+poisson_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} poisson_inv (@var{x}, @var{lambda})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Poisson distribution with parameter
+@var{lambda}.
+@end deftypefn
+beta_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} beta_rnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} beta_rnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
+random samples from the Beta distribution with parameters @var{a} and
+@var{b}.  Both @var{a} and @var{b} must be scalar or of size @var{r}
+ by @var{c}.
 
-@item e
-The closed loop poles of
-@iftex
-@tex
-$(A - B K)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{b}@var{k}).
-@end ifinfo
-@end table
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
 @end deftypefn
-dlyap
+chisquare_cdf
 -*- texinfo -*-
-@deftypefn {Function File} {} dlyap (@var{a}, @var{b})
-Solve the discrete-time Lyapunov equation
+@deftypefn {Function File} {} chisquare_cdf (@var{x}, @var{n})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the chisquare distribution with @var{n}
+degrees of freedom.
+@end deftypefn
+hypergeometric_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} hypergeometric_cdf (@var{x}, @var{m}, @var{t}, @var{n})
+Compute the cumulative distribution function (CDF) at @var{x} of the
+hypergeometric distribution with parameters @var{m}, @var{t}, and
+@var{n}.  This is the probability of obtaining not more than @var{x}
+marked items when randomly drawing a sample of size @var{n} without
+replacement from a population of total size @var{t} containing
+@var{m} marked items.
 
-@strong{Inputs}
-@table @var
-@item a
-@var{n} by @var{n} matrix;
-@item b
-  Matrix: @var{n} by @var{n}, @var{n} by @var{m}, or @var{p} by @var{n}.
-@end table
-
-@strong{Output}
-@table @var
-@item x
-matrix satisfying appropriate discrete time Lyapunov equation.
-@end table
-
-Options:
-@itemize @bullet
-@item @var{b} is square: solve 
-@iftex
-@tex
-$$ axa^T - x + b = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@code{a x a' - x + b = 0}
-@end ifinfo
-@item @var{b} is not square: @var{x} satisfies either
-@iftex
-@tex
-$$ axa^T - x + bb^T = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
-a x a' - x + b b' = 0
-@end example
-@end ifinfo
-@noindent
-or
-@iftex
-@tex
-$$ a^Txa - x + b^Tb = 0, $$
-@end tex
-@end iftex
-@ifinfo
-@example
-a' x a - x + b' b = 0,
-@end example
-@end ifinfo
-@noindent
-whichever is appropriate.
-@end itemize
-
-@strong{Method}
-Uses Schur decomposition method as in Kitagawa,
-@cite{An Algorithm for Solving the Matrix Equation @math{X = F X F' + S}},
-International Journal of Control, Volume 25, Number 5, pages 745--753
-(1977).
+The parameters @var{m}, @var{t}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
+@end deftypefn
+is_scalar
+-*- texinfo -*-
+@deftypefn {Function File} {} is_scalar (@var{a})
+This function has been deprecated.  Use isscalar instead.
+@end deftypefn
+uniform_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} uniform_rnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} uniform_rnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
+random samples from the uniform distribution on [@var{a}, @var{b}]. 
+Both @var{a} and @var{b} must be scalar or of size @var{r} by @var{c}.
 
-Column-by-column solution method as suggested in
-Hammarling, @cite{Numerical Solution of the Stable, Non-Negative
-Definite Lyapunov Equation}, @acronym{IMA} Journal of Numerical Analysis, Volume
-2, pages 303--323 (1982).
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
 @end deftypefn
-dre
+struct_elements
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{tvals}, @var{plist}] =} dre (@var{sys}, @var{q}, @var{r}, @var{qf}, @var{t0}, @var{tf}, @var{ptol}, @var{maxits})
-Solve the differential Riccati equation
-@ifinfo
-@example
-  -d P/dt = A'P + P A - P B inv(R) B' P + Q
-  P(tf) = Qf
-@end example
-@end ifinfo
-@iftex
-@tex
-$$ -{dP \over dt} = A^T P+PA-PBR^{-1}B^T P+Q $$
-$$ P(t_f) = Q_f $$
-@end tex
-@end iftex
-for the @acronym{LTI} system sys.  Solution of 
-standard @acronym{LTI} state feedback optimization
-@ifinfo
-@example
-  min int(t0, tf) ( x' Q x + u' R u ) dt + x(tf)' Qf x(tf)
-@end example
-@end ifinfo
-@iftex
-@tex
-$$ \min \int_{t_0}^{t_f} x^T Q x + u^T R u dt + x(t_f)^T Q_f x(t_f) $$
-@end tex
-@end iftex
-optimal input is
-@ifinfo
-@example
-  u = - inv(R) B' P(t) x
-@end example
-@end ifinfo
-@iftex
-@tex
-$$ u = - R^{-1} B^T P(t) x $$
-@end tex
-@end iftex
-@strong{Inputs}
-@table @var
-@item sys
-continuous time system data structure
-@item q
-state integral penalty
-@item r
-input integral penalty
-@item qf
-state terminal penalty
-@item t0
-@itemx tf
-limits on the integral
-@item ptol
-tolerance (used to select time samples; see below); default = 0.1
-@item maxits
-number of refinement iterations (default=10)
-@end table
-@strong{Outputs}
-@table @var
-@item tvals
-time values at which @var{p}(@var{t}) is computed
-@item plist
-list values of @var{p}(@var{t}); @var{plist} @{ @var{i} @}
-is @var{p}(@var{tvals}(@var{i}))
-@end table
-@var{tvals} is selected so that:
-@iftex
-@tex
-$$ \Vert plist_{i} - plist_{i-1} \Vert < ptol $$
-@end tex
-@end iftex
-@ifinfo
-@example
-|| Plist@{i@} - Plist@{i-1@} || < Ptol
-@end example
-@end ifinfo
-for every @var{i} between 2 and length(@var{tvals}).
+@deftypefn {Function File} {} struct_elements (@var{struct})
+This function has been deprecated.  Use fieldnames instead.
 @end deftypefn
-frdemo
+beta_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} frdemo ()
-Octave Control Toolbox demo: Frequency Response demo.
+@deftypefn {Function File} {} beta_inv (@var{x}, @var{a}, @var{b})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Beta distribution with parameters @var{a}
+and @var{b}.
 @end deftypefn
-freqchkw
+gamma_inv
 -*- texinfo -*-
-@deftypefn {Function File} {} freqchkw (@var{w})
-Used by @command{__freqresp__} to check that input frequency vector @var{w}
-is valid.
-Returns boolean value.
+@deftypefn {Function File} {} gamma_inv (@var{x}, @var{a}, @var{b})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Gamma distribution with parameters @var{a}
+and @var{b}. 
 @end deftypefn
-gram
+clg
 -*- texinfo -*-
-@deftypefn {Function File} {} gram (@var{a}, @var{b})
-Return controllability gramian @var{m} of the continuous time system
-@math{dx/dt = a x + b u}.
+@deftypefn {Function File} {} clg ()
+This function has been deprecated.  Use clf instead.
+@end deftypefn
+exponential_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} exponential_pdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the probability density function
+(PDF) of the exponential distribution with parameter @var{lambda}.
+@end deftypefn
+f_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} f_inv (@var{x}, @var{m}, @var{n})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the F distribution with parameters @var{m} and
+@var{n}.
+@end deftypefn
+normal_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} normal_pdf (@var{x}, @var{m}, @var{v})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the normal distribution with mean @var{m} and
+variance @var{v}.
 
-@var{m} satisfies @math{a m + m a' + b b' = 0}.
+Default values are @var{m} = 0, @var{v} = 1.
 @end deftypefn
-impulse
+binomial_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{y}, @var{t}] =} impulse (@var{sys}, @var{inp}, @var{tstop}, @var{n})
-Impulse response for a linear system.
-The system can be discrete or multivariable (or both).
-If no output arguments are specified, @code{impulse}
-produces a plot or the impulse response data for system @var{sys}.
+@deftypefn {Function File} {} binomial_rnd (@var{n}, @var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} binomial_rnd (@var{n}, @var{p}, @var{sz})
+Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
+random samples from the binomial distribution with parameters @var{n}
+and @var{p}.  Both @var{n} and @var{p} must be scalar or of size
+@var{r} by @var{c}.
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure.
-@item inp
-Index of input being excited
-@item tstop
-The argument @var{tstop} (scalar value) denotes the time when the
-simulation should end.
-@item n
-the number of data values.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{n} and @var{p}.
+@end deftypefn
+pascal_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} pascal_cdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the CDF at x of the Pascal
+(negative binomial) distribution with parameters @var{n} and @var{p}.
 
-Both parameters @var{tstop} and @var{n} can be omitted and will be
-computed from the eigenvalues of the A Matrix.
-@end table
-@strong{Outputs}
-@table @var
-@item y
-Values of the impulse response.
-@item t
-Times of the impulse response.
-@end table
-@seealso{step}
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution.
 @end deftypefn
-lqe
+geometric_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} lqe (@var{a}, @var{g}, @var{c}, @var{sigw}, @var{sigv}, @var{z})
-Construct the linear quadratic estimator (Kalman filter) for the
-continuous time system
-@iftex
-@tex
-$$
- {dx\over dt} = A x + G u
-$$
-$$
- y = C x + v
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-dx
--- = A x + G u
-dt
-
-y = C x + v
-@end example
+@deftypefn {Function File} {} geometric_pdf (@var{x}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the geometric distribution with parameter @var{p}.
+@end deftypefn
+is_vector
+-*- texinfo -*-
+@deftypefn {Function File} {} is_vector (@var{a})
+This function has been deprecated.  Use isvector instead.
+@end deftypefn
+f_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} f_cdf (@var{x}, @var{m}, @var{n})
+For each element of @var{x}, compute the CDF at @var{x} of the F
+distribution with @var{m} and @var{n} degrees of freedom, i.e.,
+PROB (F (@var{m}, @var{n}) <= @var{x}). 
+@end deftypefn
+normal_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} normal_inv (@var{x}, @var{m}, @var{v})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the normal distribution with mean @var{m} and
+variance @var{v}.
 
-@end ifinfo
-where @var{w} and @var{v} are zero-mean gaussian noise processes with
-respective intensities
+Default values are @var{m} = 0, @var{v} = 1.
+@end deftypefn
+uniform_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} uniform_inv (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the uniform distribution on [@var{a}, @var{b}].
 
-@example
-sigw = cov (w, w)
-sigv = cov (v, v)
-@end example
+Default values are @var{a} = 0, @var{b} = 1.
+@end deftypefn
+geometric_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} geometric_cdf (@var{x}, @var{p})
+For each element of @var{x}, compute the CDF at @var{x} of the
+geometric distribution with parameter @var{p}.
+@end deftypefn
+binomial_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} binomial_cdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the CDF at @var{x} of the
+binomial distribution with parameters @var{n} and @var{p}.
+@end deftypefn
+hypergeometric_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} hypergeometric_rnd (@var{m}, @var{t}, @var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} hygernd (@var{m}, @var{t}, @var{n}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+hypergeometric distribution with parameters @var{m}, @var{t},
+and @var{n}.
 
-The optional argument @var{z} is the cross-covariance
-@code{cov (@var{w}, @var{v})}.  If it is omitted,
-@code{cov (@var{w}, @var{v}) = 0} is assumed.
+The parameters @var{m}, @var{t}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
+@end deftypefn
+beta_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} beta_cdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, returns the CDF at @var{x} of the beta
+distribution with parameters @var{a} and @var{b}, i.e.,
+PROB (beta (@var{a}, @var{b}) <= @var{x}).
+@end deftypefn
+is_symmetric
+-*- texinfo -*-
+@deftypefn {Function File} {} issymmetric (@var{x}, @var{tol})
+This function has been deprecated.  Use issymmetric instead.
+@end deftypefn
+weibull_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} weibull_rnd (@var{shape}, @var{scale}, @var{r}, @var{c})
+@deftypefnx {Function File} {} weibull_rnd (@var{shape}, @var{scale}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+Weibull distribution with parameters @var{scale} and @var{shape}
+which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
+is a vector return a matrix of size @var{sz}.
 
-Observer structure is @code{dz/dt = A z + B u + k (y - C z - D u)}
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{alpha} and @var{sigma}.
+@end deftypefn
+is_list
+-*- texinfo -*-
+@deftypefn {Function File} {} is_list (@var{a})
+This function has been deprecated.  Use islist instead.
+@end deftypefn
+t_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} t_cdf (@var{x}, @var{n})
+For each element of @var{x}, compute the CDF at @var{x} of the
+t (Student) distribution with @var{n} degrees of freedom, i.e.,
+PROB (t(@var{n}) <= @var{x}).
+@end deftypefn
+poisson_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} poisson_cdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Poisson distribution with parameter
+lambda.
+@end deftypefn
+f_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} f_pdf (@var{x}, @var{m}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the F distribution with @var{m} and @var{n}
+degrees of freedom.
+@end deftypefn
+is_stream
+-*- texinfo -*-
+@deftypefn {Function File} {} is_stream (@var{a})
+This function has been deprecated.  Use isstream instead.
+@end deftypefn
+pascal_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} pascal_rnd (@var{n}, @var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} pascal_rnd (@var{n}, @var{p}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the Pascal
+(negative binomial) distribution with parameters @var{n} and @var{p}.
+Both @var{n} and @var{p} must be scalar or of size @var{r} by @var{c}.
 
-The following values are returned:
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{n} and @var{p}. Or if @var{sz} is a vector, 
+create a matrix of size @var{sz}.
+@end deftypefn
+hotelling_test
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{tsq}] =} hotelling_test (@var{x}, @var{m})
+For a sample @var{x} from a multivariate normal distribution with unknown
+mean and covariance matrix, test the null hypothesis that @code{mean
+(@var{x}) == @var{m}}.
 
-@table @var
-@item k
-The observer gain,
-@iftex
-@tex
-$(A - K C)$
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{k}@var{c})
-@end ifinfo
-is stable.
+Hotelling's @math{T^2} is returned in @var{tsq}.  Under the null,
+@math{(n-p) T^2 / (p(n-1))} has an F distribution with @math{p} and
+@math{n-p} degrees of freedom, where @math{n} and @math{p} are the
+numbers of samples and variables, respectively.
 
-@item p
-The solution of algebraic Riccati equation.
+The p-value of the test is returned in @var{pval}.
 
-@item e
-The vector of closed loop poles of
-@iftex
-@tex
-$(A - K C)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{k}@var{c}).
-@end ifinfo
-@end table
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-lqg
+t_test_2
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{k}, @var{q1}, @var{p1}, @var{ee}, @var{er}] =} lqg (@var{sys}, @var{sigw}, @var{sigv}, @var{q}, @var{r}, @var{in_idx})
-Design a linear-quadratic-gaussian optimal controller for the system
-@example
-dx/dt = A x + B u + G w       [w]=N(0,[Sigw 0    ])
-    y = C x + v               [v]  (    0   Sigv ])
-@end example
-or
-@example
-x(k+1) = A x(k) + B u(k) + G w(k)   [w]=N(0,[Sigw 0    ])
-  y(k) = C x(k) + v(k)              [v]  (    0   Sigv ])
-@end example
+@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test_2 (@var{x}, @var{y}, @var{alt})
+For two samples x and y from normal distributions with unknown means
+and unknown equal variances, perform a two-sample t-test of the null
+hypothesis of equal means.  Under the null, the test statistic
+@var{t} follows a Student distribution with @var{df} degrees of
+freedom.
 
-@strong{Inputs}
-@table @var
-@item  sys
-system data structure
-@item  sigw
-@itemx  sigv
-intensities of independent Gaussian noise processes (as above)
-@item  q
-@itemx  r
-state, control weighting respectively.  Control @acronym{ARE} is
-@item  in_idx
-names or indices of controlled inputs (see @command{sysidx}, @command{cellidx})
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{mean (@var{x}) != mean (@var{y})}.  If @var{alt} is @code{">"},
+the one-sided alternative @code{mean (@var{x}) > mean (@var{y})} is
+used.  Similarly for @code{"<"}, the one-sided alternative @code{mean
+(@var{x}) < mean (@var{y})} is used.  The default is the two-sided
+case.
 
-default: last dim(R) inputs are assumed to be controlled inputs, all
-others are assumed to be noise inputs.
-@end table
-@strong{Outputs}
-@table @var
-@item    k
-system data structure format @acronym{LQG} optimal controller (Obtain A, B, C
-matrices with @command{sys2ss}, @command{sys2tf}, or @command{sys2zp} as
-appropriate).
-@item    p1
-Solution of control (state feedback) algebraic Riccati equation.
-@item    q1
-Solution of estimation algebraic Riccati equation.
-@item    ee
-Estimator poles.
-@item    es
-Controller poles.
-@end table
-@seealso{h2syn, lqe, lqr}
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-lqr
+t_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} lqr (@var{a}, @var{b}, @var{q}, @var{r}, @var{z})
-construct the linear quadratic regulator for the continuous time system
-@iftex
-@tex
-$$
- {dx\over dt} = A x + B u
-$$
-@end tex
-@end iftex
-@ifinfo
-
-@example
-dx
--- = A x + B u
-dt
-@end example
+@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test (@var{x}, @var{m}, @var{alt})
+For a sample @var{x} from a normal distribution with unknown mean and
+variance, perform a t-test of the null hypothesis @code{mean
+(@var{x}) == @var{m}}.  Under the null, the test statistic @var{t}
+follows a Student distribution with @code{@var{df} = length (@var{x})
+- 1} degrees of freedom.
 
-@end ifinfo
-to minimize the cost functional
-@iftex
-@tex
-$$
- J = \int_0^\infty x^T Q x + u^T R u
-$$
-@end tex
-@end iftex
-@ifinfo
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
+one-sided alternative @code{mean (@var{x}) > @var{m}} is considered.
+Similarly for @var{"<"}, the one-sided alternative @code{mean
+(@var{x}) < @var{m}} is considered.  The default is the two-sided
+case.
 
-@example
-      infinity
-      /
-  J = |  x' Q x + u' R u
-     /
-    t=0
-@end example
-@end ifinfo
+The p-value of the test is returned in @var{pval}.
 
-@noindent
-@var{z} omitted or
-@iftex
-@tex
-$$
- J = \int_0^\infty x^T Q x + u^T R u + 2 x^T Z u
-$$
-@end tex
-@end iftex
-@ifinfo
+If no output argument is given, the p-value of the test is displayed.
+@end deftypefn
+cor_test
+-*- texinfo -*-
+@deftypefn {Function File} {} cor_test (@var{x}, @var{y}, @var{alt}, @var{method})
+Test whether two samples @var{x} and @var{y} come from uncorrelated
+populations.
 
-@example
-      infinity
-      /
-  J = |  x' Q x + u' R u + 2 x' Z u
-     /
-    t=0
-@end example
+The optional argument string @var{alt} describes the alternative
+hypothesis, and can be @code{"!="} or @code{"<>"} (non-zero),
+@code{">"} (greater than 0), or @code{"<"} (less than 0).  The
+default is the two-sided case.
 
-@end ifinfo
-@var{z} included.
+The optional argument string @var{method} specifies on which
+correlation coefficient the test should be based.  If @var{method} is
+@code{"pearson"} (default), the (usual) Pearson's product moment
+correlation coefficient is used.  In this case, the data should come
+from a bivariate normal distribution.  Otherwise, the other two
+methods offer nonparametric alternatives. If @var{method} is
+@code{"kendall"}, then Kendall's rank correlation tau is used.  If
+@var{method} is @code{"spearman"}, then Spearman's rank correlation
+rho is used.  Only the first character is necessary.
 
-The following values are returned:
+The output is a structure with the following elements:
 
 @table @var
-@item k
-The state feedback gain,
-@iftex
-@tex
-$(A - B K)$
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{b}@var{k})
-@end ifinfo
-is stable and minimizes the cost functional
-
-@item p
-The stabilizing solution of appropriate algebraic Riccati equation.
-
-@item e
-The vector of the closed loop poles of
-@iftex
-@tex
-$(A - B K)$.
-@end tex
-@end iftex
-@ifinfo
-(@var{a} - @var{b}@var{k}).
-@end ifinfo
+@item pval
+The p-value of the test.
+@item stat
+The value of the test statistic.
+@item dist
+The distribution of the test statistic.
+@item params
+The parameters of the null distribution of the test statistic.
+@item alternative
+The alternative hypothesis.
+@item method
+The method used for testing.
 @end table
 
-@strong{Reference}
-Anderson and Moore, @cite{Optimal control: linear quadratic methods},
-Prentice-Hall, 1990, pp. 56--58.
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-lsim
+f_test_regression
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{y}, @var{x}] =} lsim (@var{sys}, @var{u}, @var{t}, @var{x0})
-Produce output for a linear simulation of a system; produces 
-a plot for the output of the system, @var{sys}.
+@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_num}, @var{df_den}] =} f_test_regression (@var{y}, @var{x}, @var{rr}, @var{r})
+Perform an F test for the null hypothesis rr * b = r in a classical
+normal regression model y = X * b + e.
 
-@var{u} is an array that contains the system's inputs.  Each row in @var{u}
-corresponds to a different time step.  Each column in @var{u} corresponds to a
-different input.  @var{t} is an array that contains the time index of the
-system; @var{t} should be regularly spaced.  If initial conditions are required
-on the system, the @var{x0} vector should be added to the argument list.
+Under the null, the test statistic @var{f} follows an F distribution
+with @var{df_num} and @var{df_den} degrees of freedom.
 
-When the lsim function is invoked a plot is not displayed; 
-however, the data is returned in @var{y} (system output)
-and @var{x} (system states).
-@end deftypefn
-ltifr
--*- texinfo -*-
-@deftypefn {Function File} {@var{out} =} ltifr (@var{a}, @var{b}, @var{w})
-@deftypefnx {Function File} {@var{out} =} ltifr (@var{sys}, @var{w})
-Linear time invariant frequency response of single-input systems.
+The p-value (1 minus the CDF of this distribution at @var{f}) is
+returned in @var{pval}.
 
-@strong{Inputs}
-@table @var
-@item a
-@itemx b
-coefficient matrices of @math{dx/dt = A x + B u}
-@item sys
-system data structure
-@item w
-vector of frequencies
-@end table
-@strong{Output}
-@table @var
-@item out
-frequency response, that is:
-@end table
-@iftex
-@tex
-$$ G(j\omega) = (j\omega I-A)^{-1}B $$
-@end tex
-@end iftex
-@ifinfo
-@example
-                           -1
-             G(s) = (jw I-A) B
-@end example
-@end ifinfo
-for complex frequencies @math{s = jw}.
+If not given explicitly, @var{r} = 0.
+
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-lyap
+z_test
 -*- texinfo -*-
-@deftypefn {Function File} {} lyap (@var{a}, @var{b}, @var{c})
-@deftypefnx {Function File} {} lyap (@var{a}, @var{b})
-Solve the Lyapunov (or Sylvester) equation via the Bartels-Stewart
-algorithm (Communications of the @acronym{ACM}, 1972).
+@deftypefn {Function File} {[@var{pval}, @var{z}] =} z_test (@var{x}, @var{m}, @var{v}, @var{alt})
+Perform a Z-test of the null hypothesis @code{mean (@var{x}) ==
+@var{m}} for a sample @var{x} from a normal distribution with unknown
+mean and known variance @var{v}.  Under the null, the test statistic
+@var{z} follows a standard normal distribution.
 
-If @var{a}, @var{b}, and @var{c} are specified, then @code{lyap} returns
-the solution of the  Sylvester equation
-@iftex
-@tex
-  $$ A X + X B + C = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
-    a x + x b + c = 0
-@end example
-@end ifinfo
-If only @code{(a, b)} are specified, then @command{lyap} returns the
-solution of the Lyapunov equation
-@iftex
-@tex
-  $$ A^T X + X A + B = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
-    a' x + x a + b = 0
-@end example
-@end ifinfo
-If @var{b} is not square, then @code{lyap} returns the solution of either
-@iftex
-@tex
-  $$ A^T X + X A + B^T B = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
-    a' x + x a + b' b = 0
-@end example
-@end ifinfo
-@noindent
-or
-@iftex
-@tex
-  $$ A X + X A^T + B B^T = 0 $$
-@end tex
-@end iftex
-@ifinfo
-@example
-    a x + x a' + b b' = 0
-@end example
-@end ifinfo
-@noindent
-whichever is appropriate.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
+one-sided alternative @code{mean (@var{x}) > @var{m}} is considered.
+Similarly for @code{"<"}, the one-sided alternative @code{mean
+(@var{x}) < @var{m}} is considered.  The default is the two-sided
+case.
 
-Solves by using the Bartels-Stewart algorithm (1972).
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed
+along with some information.
 @end deftypefn
-nichols
+welch_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{mag}, @var{phase}, @var{w}] =} nichols (@var{sys}, @var{w}, @var{outputs}, @var{inputs})
-Produce Nichols plot of a system.
+@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} welch_test (@var{x}, @var{y}, @var{alt})
+For two samples @var{x} and @var{y} from normal distributions with
+unknown means and unknown and not necessarily equal variances,
+perform a Welch test of the null hypothesis of equal means.
+Under the null, the test statistic @var{t} approximately follows a
+Student distribution with @var{df} degrees of freedom.
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure (must be either purely continuous or discrete; 
-see @command{is_digital}).
-@item w
-Frequency values for evaluation.
-@itemize
-@item if sys is continuous, then nichols evaluates @math{G(jw)}.
-@item if sys is discrete, then nichols evaluates @math{G(exp(jwT))}, 
-where @var{T}=@var{sys}. @var{tsam} is the system sampling time.
-@item the default frequency range is selected as follows (These
-       steps are @strong{not} performed if @var{w} is specified):
-@enumerate
-@item via routine @command{__bodquist__}, isolate all poles and zeros away from
-@var{w}=0 (@math{jw=0} or @math{exp(jwT)=1}) and select the frequency range 
-based on the breakpoint locations of the frequencies.
-@item if sys is discrete time, the frequency range is limited to jwT in 
-@iftex
-@tex
-$ [0, 2p\pi] $.
-@end tex
-@end iftex
-@ifinfo
-[0,2p*pi].
-@end ifinfo
-@item A ``smoothing'' routine is used to ensure that the plot phase does
-not change excessively from point to point and that singular points 
-(e.g., crossovers from +/- 180) are accurately shown.
-@end enumerate
-@end itemize
-@item outputs
-@itemx inputs
-the names or indices of the output(s) and input(s) to be used in the 
-frequency response; see @command{sysprune}.
-@end table
-@strong{Outputs}
-@table @var
-@item mag
-@itemx phase
-The magnitude and phase of the frequency response @math{G(jw)} or 
-@math{G(exp(jwT))} at the selected frequency values.
-@item w
-The vector of frequency values used.
-@end table
-If no output arguments are given, @command{nichols} plots the results to the screen.
-Descriptive labels are automatically placed. See @command{xlabel}, 
-@command{ylabel}, and @command{title}.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
+one-sided alternative mean(x) > @var{m} is considered.  Similarly for
+@code{"<"}, the one-sided alternative mean(x) < @var{m} is
+considered.  The default is the two-sided case.
 
-Note: if the requested plot is for an @acronym{MIMO} system, @var{mag} is set to
-@iftex
-@tex
-$ \Vert G(jw) \Vert $ or $ \Vert G( {\rm exp}(jwT) \Vert $
-@end tex
-@end iftex
-@ifinfo
-||G(jw)|| or ||G(exp(jwT))||
-@end ifinfo
-and phase information is not computed.
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-nyquist
+mcnemar_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{realp}, @var{imagp}, @var{w}] =} nyquist (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx}, @var{atol})
-@deftypefnx {Function File} {} nyquist (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx}, @var{atol})
-Produce Nyquist plots of a system; if no output arguments are given, Nyquist
-plot is printed to the screen.
-
-Compute the frequency response of a system.
+@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} mcnemar_test (@var{x})
+For a square contingency table @var{x} of data cross-classified on
+the row and column variables, McNemar's test can be used for testing
+the null hypothesis of symmetry of the classification probabilities.
 
-@strong{Inputs} (pass as empty to get default values)
-@table @var
-@item sys
-system data structure (must be either purely continuous or discrete;
-see @code{is_digital})
-@item w
-frequency values for evaluation.
-If sys is continuous, then bode evaluates @math{G(@var{jw})}; 
-if sys is discrete, then bode evaluates @math{G(exp(@var{jwT}))},
-where @var{T} is the system sampling time.
-@item default
-the default frequency range is selected as follows: (These
-steps are @strong{not} performed if @var{w} is specified)
-@enumerate
-@item via routine @command{__bodquist__}, isolate all poles and zeros away from
-@var{w}=0 (@var{jw}=0 or @math{exp(@var{jwT})=1}) and select the frequency
-range based on the breakpoint locations of the frequencies.
-@item if @var{sys} is discrete time, the frequency range is limited
-to @var{jwT} in
-@ifinfo
-[0,2p*pi]
-@end ifinfo
-@iftex
-@tex
-$ [ 0,2  p \pi ] $
-@end tex
-@end iftex
-@item A ``smoothing'' routine is used to ensure that the plot phase does
-not change excessively from point to point and that singular
-points (e.g., crossovers from +/- 180) are accurately shown.
-@end enumerate
-@item   atol
-for interactive nyquist plots: atol is a change-in-slope tolerance
-for the of asymptotes (default = 0; 1e-2 is a good choice).  This allows
-the user to ``zoom in'' on portions of the Nyquist plot too small to be
-seen with large asymptotes.
-@end table
-@strong{Outputs}
-@table @var
-@item    realp
-@itemx   imagp
-the real and imaginary parts of the frequency response
-@math{G(jw)} or @math{G(exp(jwT))} at the selected frequency values.
-@item w
-the vector of frequency values used
-@end table
+Under the null, @var{chisq} is approximately distributed as chisquare
+with @var{df} degrees of freedom.
 
-If no output arguments are given, nyquist plots the results to the screen.
-If @var{atol} != 0 and asymptotes are detected then the user is asked
-interactively if they wish to zoom in (remove asymptotes)
-Descriptive labels are automatically placed.
+The p-value (1 minus the CDF of this distribution at @var{chisq}) is
+returned in @var{pval}.
 
-Note: if the requested plot is for an @acronym{MIMO} system, a warning message is
-presented; the returned information is of the magnitude
-@iftex
-@tex
-$ \Vert G(jw) \Vert $ or $ \Vert G( {\rm exp}(jwT) \Vert $
-@end tex
-@end iftex
-@ifinfo
-||G(jw)|| or ||G(exp(jwT))||
-@end ifinfo
-only; phase information is not computed.
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-obsv
+anova
 -*- texinfo -*-
-@deftypefn {Function File} {} obsv (@var{sys}, @var{c})
-@deftypefnx {Function File} {} obsv (@var{a}, @var{c})
-Build observability matrix:
-@iftex
-@tex
-$$ Q_b = \left[ \matrix{  C       \cr
-                          CA    \cr
-                          CA^2  \cr
-                          \vdots  \cr
-                          CA^{n-1} } \right ] $$
-@end tex
-@end iftex
-@ifinfo
-@example
-@group
-     | C        |
-     | CA       |
-Qb = | CA^2     |
-     | ...      |
-     | CA^(n-1) |
-@end group
-@end example
-@end ifinfo
-of a system data structure or the pair (@var{a}, @var{c}).
+@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_b}, @var{df_w}] =} anova (@var{y}, @var{g})
+Perform a one-way analysis of variance (ANOVA).  The goal is to test
+whether the population means of data taken from @var{k} different
+groups are all equal.
 
-The numerical properties of @command{is_observable}
-are much better for observability tests.
+Data may be given in a single vector @var{y} with groups specified by
+a corresponding vector of group labels @var{g} (e.g., numbers from 1
+to @var{k}). This is the general form which does not impose any
+restriction on the number of data in each group or the group labels.
+
+If @var{y} is a matrix and @var{g} is omitted, each column of @var{y}
+is treated as a group.  This form is only appropriate for balanced
+ANOVA in which the numbers of samples from each group are all equal.
+
+Under the null of constant means, the statistic @var{f} follows an F
+distribution with @var{df_b} and @var{df_w} degrees of freedom.
+
+The p-value (1 minus the CDF of this distribution at @var{f}) is
+returned in @var{pval}.
+
+If no output argument is given, the standard one-way ANOVA table is
+printed.
 @end deftypefn
-place
+kolmogorov_smirnov_test_2
 -*- texinfo -*-
-@deftypefn {Function File} {@var{K} =} place (@var{sys}, @var{p})
-Computes the matrix @var{K} such that if the state
-is feedback with gain @var{K}, then the eigenvalues  of the closed loop
-system (i.e. @math{A-BK}) are those specified in the vector @var{p}.
+@deftypefn {Function File} {[@var{pval}, @var{ks}, @var{d}] =} kolmogorov_smirnov_test_2 (@var{x}, @var{y}, @var{alt})
+Perform a 2-sample Kolmogorov-Smirnov test of the null hypothesis
+that the samples @var{x} and @var{y} come from the same (continuous)
+distribution.  I.e., if F and G are the CDFs corresponding to the
+@var{x} and @var{y} samples, respectively, then the null is that F ==
+G.
 
-Version: Beta (May-1997): If you have any comments, please let me know.
-(see the file place.m for my address)
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative F
+!= G.  In this case, the test statistic @var{ks} follows a two-sided
+Kolmogorov-Smirnov distribution.  If @var{alt} is @code{">"}, the
+one-sided alternative F > G is considered.  Similarly for @code{"<"},
+the one-sided alternative F < G is considered.  In this case, the
+test statistic @var{ks} has a one-sided Kolmogorov-Smirnov
+distribution.  The default is the two-sided case.
+
+The p-value of the test is returned in @var{pval}.
+
+The third returned value, @var{d}, is the test statistic, the maximum
+vertical distance between the two cumulative distribution functions.
+
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-pzmap
+chisquare_test_independence
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{zer}, @var{pol}] =} pzmap (@var{sys})
-Plots the zeros and poles of a system in the complex plane.
+@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} chisquare_test_independence (@var{x})
+Perform a chi-square test for independence based on the contingency
+table @var{x}.  Under the null hypothesis of independence,
+@var{chisq} approximately has a chi-square distribution with
+@var{df} degrees of freedom.
 
-@strong{Input}
-@table @var
-@item sys
-System data structure.
-@end table
+The p-value (1 minus the CDF of this distribution at chisq) of the
+test is returned in @var{pval}.
 
-@strong{Outputs}
-@table @var
-@item pol
-@item zer
-if omitted, the poles and zeros are plotted on the screen.
-otherwise, @var{pol} and @var{zer} are returned as the 
-system poles and zeros (see @command{sys2zp} for a preferable function call).
-@end table
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-rldemo
--*- texinfo -*-
-@deftypefn {Function File} {} rldemo (@var{inputs})
-Octave Control toolbox demo: Root Locus demo.
-@end deftypefn
-rlocus
+kruskal_wallis_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{rldata}, @var{k}] =} rlocus (@var{sys}[, @var{increment}, @var{min_k}, @var{max_k}])
+@deftypefn {Function File} {[@var{pval}, @var{k}, @var{df}] =} kruskal_wallis_test (@var{x1}, @dots{})
+Perform a Kruskal-Wallis one-factor "analysis of variance".
 
-Display root locus plot of the specified @acronym{SISO} system.
-@example
-@group
-       -----   ---     --------
-   --->| + |---|k|---->| SISO |----------->
-       -----   ---     --------        |
-       - ^                             |
-         |_____________________________|
-@end group
-@end example
+Suppose a variable is observed for @var{k} > 1 different groups, and
+let @var{x1}, @dots{}, @var{xk} be the corresponding data vectors.
 
-@strong{Inputs}
-@table @var
-@item sys
-system data structure
-@item min_k
-Minimum value of @var{k}
-@item max_k
-Maximum value of @var{k}
-@item increment
-The increment used in computing gain values
-@end table
+Under the null hypothesis that the ranks in the pooled sample are not
+affected by the group memberships, the test statistic @var{k} is
+approximately chi-square with @var{df} = @var{k} - 1 degrees of
+freedom.
 
-@strong{Outputs}
+If the data contains ties (some value appears more than once)
+@var{k} is divided by
 
-Plots the root locus to the screen.
-@table @var 
-@item rldata
-Data points plotted: in column 1 real values, in column 2 the imaginary values.
-@item k
-Gains for real axis break points.
-@end table
-@end deftypefn
-step
--*- texinfo -*-
-@deftypefn {Function File} {[@var{y}, @var{t}] =} step (@var{sys}, @var{inp}, @var{tstop}, @var{n})
-Step response for a linear system.
-The system can be discrete or multivariable (or both).
-If no output arguments are specified, @code{step}
-produces a plot or the step response data for system @var{sys}.
+1 - @var{sumTies} / ( @var{n}^3 - @var{n} )
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure.
-@item inp
-Index of input being excited
-@item tstop
-The argument @var{tstop} (scalar value) denotes the time when the
-simulation should end.
-@item n
-the number of data values.
+where @var{sumTies} is the sum of @var{t}^2 - @var{t} over each group
+of ties where @var{t} is the number of ties in the group and @var{n}
+is the total number of values in the input data. For more info on
+this adjustment see "Use of Ranks in One-Criterion Variance Analysis"
+in Journal of the American Statistical Association, Vol. 47,
+No. 260 (Dec 1952) by William H. Kruskal and W. Allen Wallis.
 
-Both parameters @var{tstop} and @var{n} can be omitted and will be
-computed from the eigenvalues of the A Matrix.
-@end table
-@strong{Outputs}
-@table @var
-@item y
-Values of the step response.
-@item t
-Times of the step response.
-@end table
+The p-value (1 minus the CDF of this distribution at @var{k}) is
+returned in @var{pval}.
 
-When invoked with the output parameter @var{y} the plot is not displayed.
-@seealso{impulse}
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-tzero
+run_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{zer}, @var{gain}] =} tzero (@var{a}, @var{b}, @var{c}, @var{d}, @var{opt})
-@deftypefnx {Function File} {[@var{zer}, @var{gain}] =} tzero (@var{sys}, @var{opt})
-Compute transmission zeros of a continuous system:
-@iftex
-@tex
-$$ \dot x = Ax + Bu $$
-$$ y = Cx + Du $$
-@end tex
-@end iftex
-@ifinfo
-@example
-.
-x = Ax + Bu
-y = Cx + Du
-@end example
-@end ifinfo
-or of a discrete one:
-@iftex
-@tex
-$$ x_{k+1} = Ax_k + Bu_k $$
-$$ y_k = Cx_k + Du_k $$
-@end tex
-@end iftex
-@ifinfo
-@example
-x(k+1) = A x(k) + B u(k)
-y(k)   = C x(k) + D u(k)
-@end example
-@end ifinfo
+@deftypefn {Function File} {[@var{pval}, @var{chisq}] =} run_test (@var{x})
+Perform a chi-square test with 6 degrees of freedom based on the
+upward runs in the columns of @var{x}.  Can be used to test whether
+@var{x} contains independent data.
 
-@strong{Outputs}
-@table @var
-@item zer
- transmission zeros of the system
-@item gain
-leading coefficient (pole-zero form) of @acronym{SISO} transfer function
-returns gain=0 if system is multivariable
-@end table
-@strong{References}
-@enumerate
-@item Emami-Naeini and Van Dooren, Automatica, 1982.
-@item Hodel, @cite{Computation of Zeros with Balancing}, 1992 Lin. Alg. Appl.
-@end enumerate
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-tzero2
+t_test_regression
 -*- texinfo -*-
-@deftypefn {Function File} {@var{zr} =} tzero2 (@var{a}, @var{b}, @var{c}, @var{d}, @var{bal})
-Compute the transmission zeros of @var{a}, @var{b}, @var{c}, @var{d}.
+@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test_regression (@var{y}, @var{x}, @var{rr}, @var{r}, @var{alt})
+Perform an t test for the null hypothesis @code{@var{rr} * @var{b} =
+@var{r}} in a classical normal regression model @code{@var{y} =
+@var{x} * @var{b} + @var{e}}.  Under the null, the test statistic @var{t}
+follows a @var{t} distribution with @var{df} degrees of freedom.
 
-@var{bal} = balancing option (see balance); default is @code{"B"}.
+If @var{r} is omitted, a value of 0 is assumed.
 
-Needs to incorporate @command{mvzero} algorithm to isolate finite zeros; 
-use @command{tzero} instead.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{@var{rr} * @var{b} != @var{r}}.  If @var{alt} is @code{">"}, the
+one-sided alternative @code{@var{rr} * @var{b} > @var{r}} is used.
+Similarly for @var{"<"}, the one-sided alternative @code{@var{rr} *
+@var{b} < @var{r}} is used.  The default is the two-sided case. 
+
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-dgkfdemo
+z_test_2
 -*- texinfo -*-
-@deftypefn {Function File} {} dgkfdemo ()
-Octave Controls toolbox demo: 
-@iftex
-@tex
-$ { \cal H }_2 $/$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-2/H-infinity
-@end ifinfo
-options demos.
+@deftypefn {Function File} {[@var{pval}, @var{z}] =} z_test_2 (@var{x}, @var{y}, @var{v_x}, @var{v_y}, @var{alt})
+For two samples @var{x} and @var{y} from normal distributions with
+unknown means and known variances @var{v_x} and @var{v_y}, perform a
+Z-test of the hypothesis of equal means.  Under the null, the test
+statistic @var{z} follows a standard normal distribution.
+
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{mean (@var{x}) != mean (@var{y})}.  If alt is @code{">"}, the
+one-sided alternative @code{mean (@var{x}) > mean (@var{y})} is used.
+Similarly for @code{"<"}, the one-sided alternative @code{mean
+(@var{x}) < mean (@var{y})} is used.  The default is the two-sided
+case.
+
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed
+along with some information.
 @end deftypefn
-dhinfdemo
+kolmogorov_smirnov_test
 -*- texinfo -*-
-@deftypefn {Function File} {} dhinfdemo ()
-Demonstrate the functions available to design a discrete
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-controller.  This is not a true discrete design. The
-design is carried out in continuous time while the effect of sampling
-is described by a bilinear transformation of the sampled system.
-This method works quite well if the sampling period is "small"
-compared to the plant time constants.
+@deftypefn {Function File} {[@var{pval}, @var{ks}] =} kolmogorov_smirnov_test (@var{x}, @var{dist}, @var{params}, @var{alt})
+Perform a Kolmogorov-Smirnov test of the null hypothesis that the
+sample @var{x} comes from the (continuous) distribution dist. I.e.,
+if F and G are the CDFs corresponding to the sample and dist,
+respectively, then the null is that F == G.
 
-Continuous plant:
-@iftex
-@tex
-$$ G(s) = { 1 \over (s+2) (s+1) } $$
-@end tex
-@end iftex
-@ifinfo
-@example
-@group
-                  1
-     G(s) = --------------
-            (s + 2)(s + 1)
-@end group
-@end example
-@end ifinfo
+The optional argument @var{params} contains a list of parameters of
+@var{dist}.  For example, to test whether a sample @var{x} comes from
+a uniform distribution on [2,4], use
 
-Discretised plant with @acronym{ZOH} (Sampling period = @var{Ts} = 1 second):
-@iftex
-@tex
-$$ G(z) = { 0.39958z + 0.14700 \over (z - 0.36788) (z - 0.13533) } $$
-@end tex
-@end iftex
-@ifinfo
 @example
-@group
-                0.39958z + 0.14700
-     G(z) = --------------------------
-            (z - 0.36788)(z - 0.13533)
-@end group
-@end example
-@end ifinfo
-
-@example
-@group
-                              +----+
-         -------------------->| W1 |---> v1
-     z   |                    +----+
-     ----|-------------+                   || T   ||     => min.
-         |             |                       vz   infty
-         |    +---+    v      +----+
-         *--->| G |--->O--*-->| W2 |---> v2
-         |    +---+       |   +----+
-         |                |
-         |    +---+       |
-         -----| K |<-------
-              +---+
-@end group
+kolmogorov_smirnov_test(x, "uniform", 2, 4)
 @end example
 
 @noindent
-W1 and W2 are the robustness and performancs weighting functions.
+@var{dist} can be any string for which a function @var{dist_cdf}
+that calculates the CDF of distribution @var{dist} exists.
+
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative F
+!= G.  In this case, the test statistic @var{ks} follows a two-sided
+Kolmogorov-Smirnov distribution.  If @var{alt} is @code{">"}, the
+one-sided alternative F > G is considered.  Similarly for @code{"<"},
+the one-sided alternative F > G is considered.  In this case, the
+test statistic @var{ks} has a one-sided Kolmogorov-Smirnov
+distribution.  The default is the two-sided case.
+
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value is displayed.
 @end deftypefn
-h2norm
+u_test
 -*- texinfo -*-
-@deftypefn {Function File} {} h2norm (@var{sys})
-Computes the 
-@iftex
-@tex
-$ { \cal H }_2 $
-@end tex
-@end iftex
-@ifinfo
-H-2
-@end ifinfo
-norm of a system data structure (continuous time only).
+@deftypefn {Function File} {[@var{pval}, @var{z}] =} u_test (@var{x}, @var{y}, @var{alt})
+For two samples @var{x} and @var{y}, perform a Mann-Whitney U-test of
+the null hypothesis PROB (@var{x} > @var{y}) == 1/2 == PROB (@var{x}
+< @var{y}).  Under the null, the test statistic @var{z} approximately
+follows a standard normal distribution.  Note that this test is
+equivalent to the Wilcoxon rank-sum test.
 
-Reference:
-Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions to Standard} 
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+PROB (@var{x} > @var{y}) != 1/2.  If @var{alt} is @code{">"}, the
+one-sided alternative PROB (@var{x} > @var{y}) > 1/2 is considered.
+Similarly for @code{"<"}, the one-sided alternative PROB (@var{x} >
+@var{y}) < 1/2 is considered.  The default is the two-sided case.
+
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-h2syn
+var_test
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{K}, @var{gain}, @var{kc}, @var{kf}, @var{pc}, @var{pf}] = } h2syn (@var{asys}, @var{nu}, @var{ny}, @var{tol})
-Design 
-@iftex
-@tex
-$ { \cal H }_2 $
-@end tex
-@end iftex
-@ifinfo
-H-2
-@end ifinfo
-optimal controller per procedure in 
-Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions to Standard}
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
+@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_num}, @var{df_den}] =} var_test (@var{x}, @var{y}, @var{alt})
+For two samples @var{x} and @var{y} from normal distributions with
+unknown means and unknown variances, perform an F-test of the null
+hypothesis of equal variances.  Under the null, the test statistic
+@var{f} follows an F-distribution with @var{df_num} and @var{df_den}
+degrees of freedom.
 
-Discrete-time control per Zhou, Doyle, and Glover, @cite{Robust and optimal control}, Prentice-Hall, 1996.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@code{var (@var{x}) != var (@var{y})}.  If @var{alt} is @code{">"},
+the one-sided alternative @code{var (@var{x}) > var (@var{y})} is
+used.  Similarly for "<", the one-sided alternative @code{var
+(@var{x}) > var (@var{y})} is used.  The default is the two-sided
+case.
 
-@strong{Inputs}
-@table @var
-@item asys
-system data structure (see ss, sys2ss)
-@itemize @bullet
-@item controller is implemented for continuous time systems
-@item controller is @strong{not} implemented for discrete time systems
-@end itemize
-@item nu
-number of controlled inputs
-@item ny
-number of measured outputs
-@item tol
-threshold for 0.  Default: 200*@code{eps}
-@end table
+The p-value of the test is returned in @var{pval}.
 
-@strong{Outputs}
-@table @var
-@item    k
-system controller
-@item    gain
-optimal closed loop gain
-@item    kc
-full information control (packed)
-@item    kf
-state estimator (packed)
-@item    pc
-@acronym{ARE} solution matrix for regulator subproblem
-@item    pf
-@acronym{ARE} solution matrix for filter subproblem
-@end table
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-hinf_ctr
+sign_test
 -*- texinfo -*-
-@deftypefn {Function File} {@var{K} =} hinf_ctr (@var{dgs}, @var{f}, @var{h}, @var{z}, @var{g})
-Called by @code{hinfsyn} to compute the 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-optimal controller.
+@deftypefn {Function File} {[@var{pval}, @var{b}, @var{n}] =} sign_test (@var{x}, @var{y}, @var{alt})
+For two matched-pair samples @var{x} and @var{y}, perform a sign test
+of the null hypothesis PROB (@var{x} > @var{y}) == PROB (@var{x} <
+@var{y}) == 1/2.  Under the null, the test statistic @var{b} roughly
+follows a binomial distribution with parameters @code{@var{n} = sum
+(@var{x} != @var{y})} and @var{p} = 1/2.
 
-@strong{Inputs}
-@table @var
-@item dgs
-data structure returned by @code{is_dgkf}
-@item f
-@itemx h
-feedback and filter gain (not partitioned)
-@item g
-final gamma value
-@end table
-@strong{Outputs}
-@table @var
-@item K
-controller (system data structure)
-@end table
+With the optional argument @code{alt}, the alternative of interest
+can be selected.  If @var{alt} is @code{"!="} or @code{"<>"}, the
+null hypothesis is tested against the two-sided alternative PROB
+(@var{x} < @var{y}) != 1/2.  If @var{alt} is @code{">"}, the
+one-sided alternative PROB (@var{x} > @var{y}) > 1/2 ("x is
+stochastically greater than y") is considered.  Similarly for
+@code{"<"}, the one-sided alternative PROB (@var{x} > @var{y}) < 1/2
+("x is stochastically less than y") is considered.  The default is
+the two-sided case.
 
-Do not attempt to use this at home; no argument checking performed.
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
 @end deftypefn
-hinfdemo
+manova
 -*- texinfo -*-
-@deftypefn {Function File} {} hinfdemo ()
+@deftypefn {Function File} {} manova (@var{y}, @var{g})
+Perform a one-way multivariate analysis of variance (MANOVA). The
+goal is to test whether the p-dimensional population means of data
+taken from @var{k} different groups are all equal.  All data are
+assumed drawn independently from p-dimensional normal distributions
+with the same covariance matrix.
+
+The data matrix is given by @var{y}.  As usual, rows are observations
+and columns are variables.  The vector @var{g} specifies the
+corresponding group labels (e.g., numbers from 1 to @var{k}).
+
+The LR test statistic (Wilks' Lambda) and approximate p-values are
+computed and displayed.
+@end deftypefn
+wilcoxon_test
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{z}] =} wilcoxon_test (@var{x}, @var{y}, @var{alt})
+For two matched-pair sample vectors @var{x} and @var{y}, perform a
+Wilcoxon signed-rank test of the null hypothesis PROB (@var{x} >
+@var{y}) == 1/2.  Under the null, the test statistic @var{z}
+approximately follows a standard normal distribution when @var{n} > 25.
+
+@strong{Warning}: This function assumes a normal distribution for @var{z}
+and thus is invalid for @var{n} <= 25.
+
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+PROB (@var{x} > @var{y}) != 1/2.  If alt is @code{">"}, the one-sided
+alternative PROB (@var{x} > @var{y}) > 1/2 is considered.  Similarly
+for @code{"<"}, the one-sided alternative PROB (@var{x} > @var{y}) <
+1/2 is considered.  The default is the two-sided case.
+
+The p-value of the test is returned in @var{pval}.
+
+If no output argument is given, the p-value of the test is displayed.
+@end deftypefn
+hotelling_test_2
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{tsq}] =} hotelling_test_2 (@var{x}, @var{y})
+For two samples @var{x} from multivariate normal distributions with
+the same number of variables (columns), unknown means and unknown
+equal covariance matrices, test the null hypothesis @code{mean
+(@var{x}) == mean (@var{y})}.
+
+Hotelling's two-sample @math{T^2} is returned in @var{tsq}.  Under the null,
 
 @iftex
 @tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-design demos for continuous @acronym{SISO} and @acronym{MIMO} systems and a
-discrete system.  The @acronym{SISO} system is difficult to control because
-it is non-minimum-phase and unstable. The second design example
-controls the @command{jet707} plant, the linearized state space model of a
-Boeing 707-321 aircraft at @var{v}=80 m/s 
-@iftex
-@tex
-($M = 0.26$, $G_{a0} = -3^{\circ}$, ${\alpha}_0 = 4^{\circ}$, ${\kappa}= 50^{\circ}$).
+$$
+{n_x+n_y-p-1) T^2 \over p(n_x+n_y-2)}
+$$
 @end tex
 @end iftex
-@ifinfo
-(@var{M} = 0.26, @var{Ga0} = -3 deg, @var{alpha0} = 4 deg, @var{kappa} = 50 deg).
-@end ifinfo
-Inputs: (1) thrust and (2) elevator angle
-Outputs: (1) airspeed and (2) pitch angle. The discrete system is a
-stable and second order.
-
-@table @asis
-@item @acronym{SISO} plant:
-
-@iftex
-@tex
-$$ G(s) = { s-2 \over (s+2) (s-1) } $$
-@end tex
-@end iftex
-@ifinfo
+@ifnottex
 @example
-@group
-                s - 2
-     G(s) = --------------
-            (s + 2)(s - 1)
-@end group
+(n_x+n_y-p-1) T^2 / (p(n_x+n_y-2))
 @end example
-@end ifinfo
+@end ifnottex
 
-@smallexample
-@group
+@noindent
+has an F distribution with @math{p} and @math{n_x+n_y-p-1} degrees of
+freedom, where @math{n_x} and @math{n_y} are the sample sizes and
+@math{p} is the number of variables.
 
-                              +----+
-         -------------------->| W1 |---> v1
-     z   |                    +----+
-     ----|-------------+
-         |             |
-         |    +---+    v   y  +----+
-       u *--->| G |--->O--*-->| W2 |---> v2
-         |    +---+       |   +----+
-         |                |
-         |    +---+       |
-         -----| K |<-------
-              +---+
-@end group
-@end smallexample
+The p-value of the test is returned in @var{pval}.
 
-@iftex
-@tex
-$$ { \rm min } \Vert T_{vz} \Vert _\infty $$
-@end tex
-@end iftex
-@ifinfo
-@example
-min || T   ||
-        vz   infty
-@end example
-@end ifinfo
+If no output argument is given, the p-value of the test is displayed.
+@end deftypefn
+prop_test_2
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{z}] =} prop_test_2 (@var{x1}, @var{n1}, @var{x2}, @var{n2}, @var{alt})
+If @var{x1} and @var{n1} are the counts of successes and trials in
+one sample, and @var{x2} and @var{n2} those in a second one, test the
+null hypothesis that the success probabilities @var{p1} and @var{p2}
+are the same.  Under the null, the test statistic @var{z}
+approximately follows a standard normal distribution.
 
-@var{W1} und @var{W2} are the robustness and performance weighting
-functions.
+With the optional argument string @var{alt}, the alternative of
+interest can be selected.  If @var{alt} is @code{"!="} or
+@code{"<>"}, the null is tested against the two-sided alternative
+@var{p1} != @var{p2}.  If @var{alt} is @code{">"}, the one-sided
+alternative @var{p1} > @var{p2} is used.  Similarly for @code{"<"},
+the one-sided alternative @var{p1} < @var{p2} is used.
+The default is the two-sided case.
 
-@item @acronym{MIMO} plant:
-The optimal controller minimizes the 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-norm of the
-augmented plant @var{P} (mixed-sensitivity problem):
-@smallexample
-@group
-     w
-      1 -----------+
-                   |                   +----+
-               +---------------------->| W1 |----> z1
-     w         |   |                   +----+
-      2 ------------------------+
-               |   |            |
-               |   v   +----+   v      +----+
-            +--*-->o-->| G  |-->o--*-->| W2 |---> z2
-            |          +----+      |   +----+
-            |                      |
-            ^                      v
-            u                       y (to K)
-         (from controller K)
-@end group
-@end smallexample
+The p-value of the test is returned in @var{pval}.
 
-@iftex
-@tex
-$$ \left [ \matrix{ z_1 \cr
-                    z_2 \cr
-                    y   } \right ] =  
- P \left [ \matrix{ w_1 \cr
-                    w_2 \cr
-                    u   } \right ] $$
-@end tex
-@end iftex
-@ifinfo
-@smallexample
-@group
-                  +    +           +    +
-                  | z  |           | w  |
-                  |  1 |           |  1 |
-                  | z  | = [ P ] * | w  |
-                  |  2 |           |  2 |
-                  | y  |           | u  |
-                  +    +           +    +
-@end group
-@end smallexample
-@end ifinfo
+If no output argument is given, the p-value of the test is displayed.
+@end deftypefn
+bartlett_test
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} bartlett_test (@var{x1}, @dots{}) 
+Perform a Bartlett test for the homogeneity of variances in the data
+vectors @var{x1}, @var{x2}, @dots{}, @var{xk}, where @var{k} > 1.
 
-@item Discrete system:
-This is not a true discrete design. The design is carried out
-in continuous time while the effect of sampling is described by
-a bilinear transformation of the sampled system.
-This method works quite well if the sampling period is ``small''
-compared to the plant time constants.
+Under the null of equal variances, the test statistic @var{chisq}
+approximately follows a chi-square distribution with @var{df} degrees of
+freedom.
 
-@item The continuous plant:
-@iftex
-@tex
-$$ G(s) = { 1 \over (s+2)(s+1) } $$
-@end tex
-@end iftex
+The p-value (1 minus the CDF of this distribution at @var{chisq}) is
+returned in @var{pval}.
 
-@ifinfo
-@example
-@group
-                   1
-     G (s) = --------------
-      k      (s + 2)(s + 1)
+If no output argument is given, the p-value is displayed.
+@end deftypefn
+chisquare_test_homogeneity
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} chisquare_test_homogeneity (@var{x}, @var{y}, @var{c})
+Given two samples @var{x} and @var{y}, perform a chisquare test for
+homogeneity of the null hypothesis that @var{x} and @var{y} come from
+the same distribution, based on the partition induced by the
+(strictly increasing) entries of @var{c}.
 
-@end group
-@end example
-@end ifinfo
+For large samples, the test statistic @var{chisq} approximately follows a
+chisquare distribution with @var{df} = @code{length (@var{c})}
+degrees of freedom.
 
-is discretised with a @acronym{ZOH} (Sampling period = @var{Ts} = 1 second):
-@iftex
-@tex
-$$ G(z) = { 0.199788z + 0.073498 \over (z - 0.36788) (z - 0.13534) } $$
-@end tex
-@end iftex
-@ifinfo
-@example
-@group
+The p-value (1 minus the CDF of this distribution at @var{chisq}) is
+returned in @var{pval}.
 
-               0.199788z + 0.073498
-     G(z) = --------------------------
-            (z - 0.36788)(z - 0.13534)
-@end group
-@end example
-@end ifinfo
+If no output argument is given, the p-value is displayed.
+@end deftypefn
+stdnormal_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} stdnormal_pdf (@var{x})
+For each element of @var{x}, compute the probability density function
+(PDF) of the standard normal distribution at @var{x}.
+@end deftypefn
+binoinv
+-*- texinfo -*-
+@deftypefn {Function File} {} binoinv (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+binomial distribution with parameters @var{n} and @var{p}.
+@end deftypefn
+frnd
+-*- texinfo -*-
+@deftypefn {Function File} {} frnd (@var{m}, @var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} frnd (@var{m}, @var{n}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the F
+distribution with @var{m} and @var{n} degrees of freedom.  Both
+@var{m} and @var{n} must be scalar or of size @var{r} by @var{c}.
+If @var{sz} is a vector the random samples are in a matrix of 
+size @var{sz}.
 
-@smallexample
-@group
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{m} and @var{n}.
+@end deftypefn
+gamrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} gamrnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} gamrnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
+random samples from the Gamma distribution with parameters @var{a}
+and @var{b}.  Both @var{a} and @var{b} must be scalar or of size 
+@var{r} by @var{c}.
 
-                              +----+
-         -------------------->| W1 |---> v1
-     z   |                    +----+
-     ----|-------------+
-         |             |
-         |    +---+    v      +----+
-         *--->| G |--->O--*-->| W2 |---> v2
-         |    +---+       |   +----+
-         |                |
-         |    +---+       |
-         -----| K |<-------
-              +---+
-@end group
-@end smallexample
-@iftex
-@tex
-$$ { \rm min } \Vert T_{vz} \Vert _\infty $$
-@end tex
-@end iftex
-@ifinfo
-@example
-min || T   ||
-        vz   infty
-@end example
-@end ifinfo
-@var{W1} and @var{W2} are the robustness and performance weighting
-functions.
-@end table
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
+@seealso{gamma, gammaln, gammainc, gampdf, gamcdf, gaminv}
 @end deftypefn
-hinfnorm
+norminv
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{g}, @var{gmin}, @var{gmax}] =} hinfnorm (@var{sys}, @var{tol}, @var{gmin}, @var{gmax}, @var{ptol})
-Computes the 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-norm of a system data structure.
+@deftypefn {Function File} {} norminv (@var{x}, @var{m}, @var{s})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the normal distribution with mean @var{m} and
+standard deviation @var{s}.
 
-@strong{Inputs}
-@table @var
-@item sys
-system data structure
-@item tol
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-norm search tolerance (default: 0.001)
-@item gmin
-minimum value for norm search (default: 1e-9)
-@item gmax
-maximum value for norm search (default: 1e+9)
-@item ptol
-pole tolerance:
-@itemize @bullet
-@item if sys is continuous, poles with
-@iftex
-@tex
-$ \vert {\rm real}(pole) \vert < ptol \Vert H \Vert $
-@end tex
-@end iftex
-@ifinfo
-@math{ |real(pole))| < ptol*||H|| }
-@end ifinfo
-(@var{H} is appropriate Hamiltonian)
-are considered to be on the imaginary axis.
+Default values are @var{m} = 0, @var{s} = 1.
+@end deftypefn
+poisscdf
+-*- texinfo -*-
+@deftypefn {Function File} {} poisscdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Poisson distribution with parameter
+lambda.
+@end deftypefn
+poisspdf
+-*- texinfo -*-
+@deftypefn {Function File} {} poisspdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the poisson distribution with parameter @var{lambda}.
+@end deftypefn
+geocdf
+-*- texinfo -*-
+@deftypefn {Function File} {} geocdf (@var{x}, @var{p})
+For each element of @var{x}, compute the CDF at @var{x} of the
+geometric distribution with parameter @var{p}.
+@end deftypefn
+empirical_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} empirical_inv (@var{x}, @var{data})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the empirical distribution obtained from the
+univariate sample @var{data}.
+@end deftypefn
+gaminv
+-*- texinfo -*-
+@deftypefn {Function File} {} gaminv (@var{x}, @var{a}, @var{b})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Gamma distribution with parameters @var{a}
+and @var{b}.
+@seealso{gamma, gammaln, gammainc, gampdf, gamcdf, gamrnd}
+@end deftypefn
+discrete_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} discrete_cdf (@var{x}, @var{v}, @var{p})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of a univariate discrete distribution which
+assumes the values in @var{v} with probabilities @var{p}.
+@end deftypefn
+cauchy_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} cauchy_pdf (@var{x}, @var{lambda}, @var{sigma})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the Cauchy distribution with location parameter
+@var{lambda} and scale parameter @var{sigma} > 0.  Default values are
+@var{lambda} = 0, @var{sigma} = 1. 
+@end deftypefn
+betarnd
+-*- texinfo -*-
+@deftypefn {Function File} {} betarnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} betarnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
+random samples from the Beta distribution with parameters @var{a} and
+@var{b}.  Both @var{a} and @var{b} must be scalar or of size @var{r}
+ by @var{c}.
 
-@item if sys is discrete, poles with
-@iftex
-@tex
-$ \vert { \rm pole } - 1 \vert < ptol \Vert [ s_1 s_2 ] \Vert $
-@end tex
-@end iftex
-@ifinfo
-@math{|abs(pole)-1| < ptol*||[s1,s2]||}
-@end ifinfo
-(appropriate symplectic pencil)
-are considered to be on the unit circle.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
+@end deftypefn
+empirical_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} empirical_rnd (@var{n}, @var{data})
+@deftypefnx {Function File} {} empirical_rnd (@var{data}, @var{r}, @var{c})
+@deftypefnx {Function File} {} empirical_rnd (@var{data}, @var{sz})
+Generate a bootstrap sample of size @var{n} from the empirical
+distribution obtained from the univariate sample @var{data}.
 
-@item Default value: 1e-9
-@end itemize
-@end table
+If @var{r} and @var{c} are given create a matrix with @var{r} rows and
+@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
+@var{sz}.
+@end deftypefn
+stdnormal_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} stdnormal_inv (@var{x})
+For each component of @var{x}, compute compute the quantile (the
+inverse of the CDF) at @var{x} of the standard normal distribution.
+@end deftypefn
+normcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} normcdf (@var{x}, @var{m}, @var{s})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the normal distribution with mean
+@var{m} and standard deviation @var{s}.
 
-@strong{Outputs}
-@table @var
-@item g
-Computed gain, within @var{tol} of actual gain.  @var{g} is returned as Inf
-if the system is unstable.
-@item gmin
-@itemx gmax
-Actual system gain lies in the interval [@var{gmin}, @var{gmax}].
-@end table
+Default values are @var{m} = 0, @var{s} = 1.
+@end deftypefn
+gampdf
+-*- texinfo -*-
+@deftypefn {Function File} {} gampdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, return the probability density function
+(PDF) at @var{x} of the Gamma distribution with parameters @var{a}
+and @var{b}.
+@seealso{gamma, gammaln, gammainc, gamcdf, gaminv, gamrnd}
+@end deftypefn
+discrete_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} discrete_rnd (@var{n}, @var{v}, @var{p})
+@deftypefnx {Function File} {} discrete_rnd (@var{v}, @var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} discrete_rnd (@var{v}, @var{p}, @var{sz})
+Generate a row vector containing a random sample of size @var{n} from
+the univariate distribution which assumes the values in @var{v} with
+probabilities @var{p}. @var{n} must be a scalar.
 
-References:
-Doyle, Glover, Khargonekar, Francis, @cite{State-space solutions to standard}
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{control problems}, @acronym{IEEE} @acronym{TAC} August 1989;
-Iglesias and Glover, @cite{State-Space approach to discrete-time}
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-infinity}
-@end ifinfo
-@cite{control}, Int. J. Control, vol 54, no. 5, 1991;
-Zhou, Doyle, Glover, @cite{Robust and Optimal Control}, Prentice-Hall, 1996.
+If @var{r} and @var{c} are given create a matrix with @var{r} rows and
+@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
+@var{sz}.
 @end deftypefn
-hinfsyn
+chi2cdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{k}, @var{g}, @var{gw}, @var{xinf}, @var{yinf}] =} hinfsyn (@var{asys}, @var{nu}, @var{ny}, @var{gmin}, @var{gmax}, @var{gtol}, @var{ptol}, @var{tol})
+@deftypefn {Function File} {} chi2cdf (@var{x}, @var{n})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the chisquare distribution with @var{n}
+degrees of freedom.
+@end deftypefn
+expinv
+-*- texinfo -*-
+@deftypefn {Function File} {} expinv (@var{x}, @var{lambda})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the exponential distribution with mean
+@var{lambda}.
+@end deftypefn
+chi2pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} chisquare_pdf (@var{x}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the chisquare distribution with @var{n} degrees
+of freedom.
+@end deftypefn
+unifcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} unifcdf (@var{x}, @var{a}, @var{b})
+Return the CDF at @var{x} of the uniform distribution on [@var{a},
+@var{b}], i.e., PROB (uniform (@var{a}, @var{b}) <= x).
 
-@strong{Inputs} input system is passed as either
-@table @var
-@item asys
-system data structure (see @command{ss}, @command{sys2ss})
-@itemize @bullet
-@item controller is implemented for continuous time systems
-@item controller is @strong{not} implemented for discrete time systems  (see
-bilinear transforms in @command{c2d}, @command{d2c})
-@end itemize
-@item nu
-number of controlled inputs
-@item ny
-number of measured outputs
-@item gmin
-initial lower bound on 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-optimal gain
-@item gmax
-initial upper bound on 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-Optimal gain.
-@item gtol
-Gain threshold.  Routine quits when @var{gmax}/@var{gmin} < 1+tol.
-@item ptol
-poles with @code{abs(real(pole))} 
-@iftex
-@tex
-$ < ptol \Vert H \Vert $
-@end tex
-@end iftex
-@ifinfo
-< ptol*||H|| 
-@end ifinfo
-(@var{H} is appropriate
-Hamiltonian) are considered to be on the imaginary axis.
-Default: 1e-9.
-@item tol
-threshold for 0.  Default: 200*@code{eps}.
-
-@var{gmax}, @var{min}, @var{tol}, and @var{tol} must all be positive scalars.
-@end table
-@strong{Outputs}
-@table @var
-@item k
-System controller.
-@item g
-Designed gain value.
-@item gw
-Closed loop system.
-@item xinf
-@acronym{ARE} solution matrix for regulator subproblem.
-@item yinf
-@acronym{ARE} solution matrix for filter subproblem.
-@end table
-
-References:
-@enumerate
-@item Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions
-to Standard}
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
+Default values are @var{a} = 0, @var{b} = 1.
+@end deftypefn
+betapdf
+-*- texinfo -*-
+@deftypefn {Function File} {} betapdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, returns the PDF at @var{x} of the beta
+distribution with parameters @var{a} and @var{b}.
+@end deftypefn
+stdnormal_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} stdnormal_rnd (@var{r}, @var{c})
+@deftypefnx {Function File} {} stdnormal_rnd (@var{sz})
+Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
+random numbers from the standard normal distribution.
+@end deftypefn
+unidrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} unidrnd (@var{mx});
+@deftypefnx {Function File} {} unidrnd (@var{mx}, @var{v});
+@deftypefnx {Function File} {} unidrnd (@var{mx}, @var{m}, @var{n}, @dots{});
+Return random values from discrete uniform distribution, with maximum
+value(s) given by the integer @var{mx}, which may be a scalar or
+multidimensional array.
 
-@item Maciejowksi, J.M., @cite{Multivariable feedback design},
-Addison-Wesley, 1989, @acronym{ISBN} 0-201-18243-2.
+If @var{mx} is a scalar, the size of the result is specified by
+the vector @var{v}, or by the optional arguments @var{m}, @var{n},
+@dots{}.  Otherwise, the size of the result is the same as the size
+of @var{mx}.
+@end deftypefn
+hygepdf
+-*- texinfo -*-
+@deftypefn {Function File} {} hygepdf (@var{x}, @var{t}, @var{m}, @var{n})
+Compute the probability density function (PDF) at @var{x} of the
+hypergeometric distribution with parameters @var{t}, @var{m}, and
+@var{n}. This is the probability of obtaining @var{x} marked items
+when randomly drawing a sample of size @var{n} without replacement
+from a population of total size @var{t} containing @var{m} marked items.
 
-@item Keith Glover and John C. Doyle, @cite{State-space formulae for all
-stabilizing controllers that satisfy an}
-@iftex
-@tex
-$ { \cal H }_\infty $@cite{norm}
-@end tex
-@end iftex
-@ifinfo
-@cite{H-infinity-norm}
-@end ifinfo
-@cite{bound and relations to risk sensitivity},
-Systems & Control Letters 11, Oct. 1988, pp 167--172.
-@end enumerate
+The arguments must be of common size or scalar.
 @end deftypefn
-hinfsyn_chk
+wblrnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{retval}, @var{pc}, @var{pf}] =} hinfsyn_chk (@var{a}, @var{b1}, @var{b2}, @var{c1}, @var{c2}, @var{d12}, @var{d21}, @var{g}, @var{ptol})
-Called by @code{hinfsyn} to see if gain @var{g} satisfies conditions in
-Theorem 3 of
-Doyle, Glover, Khargonekar, Francis, @cite{State Space Solutions to Standard}
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
+@deftypefn {Function File} {} wblrnd (@var{scale}, @var{shape}, @var{r}, @var{c})
+@deftypefnx {Function File} {} wblrnd (@var{scale}, @var{shape}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+Weibull distribution with parameters @var{scale} and @var{shape}
+which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
+is a vector return a matrix of size @var{sz}.
 
-@strong{Warning:} do not attempt to use this at home; no argument
-checking performed.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{alpha} and @var{sigma}.
+@end deftypefn
+cauchy_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} cauchy_cdf (@var{x}, @var{lambda}, @var{sigma})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Cauchy distribution with location
+parameter @var{lambda} and scale parameter @var{sigma}.  Default
+values are @var{lambda} = 0, @var{sigma} = 1. 
+@end deftypefn
+normrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} normrnd (@var{m}, @var{s}, @var{r}, @var{c})
+@deftypefnx {Function File} {} normrnd (@var{m}, @var{s}, @var{sz})
+Return an @var{r} by @var{c}  or @code{size (@var{sz})} matrix of
+random samples from the normal distribution with parameters mean @var{m} 
+and standard deviation @var{s}.  Both @var{m} and @var{s} must be scalar 
+or of size @var{r} by @var{c}.
 
-@strong{Inputs}
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{m} and @var{s}.
+@end deftypefn
+exppdf
+-*- texinfo -*-
+@deftypefn {Function File} {} exppdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the probability density function
+(PDF) of the exponential distribution with mean @var{lambda}.
+@end deftypefn
+unidinv
+-*- texinfo -*-
+@deftypefn {Function File} {} unidinv (@var{x}, @var{v})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the univariate discrete distribution which assumes the
+values in @var{v} with equal probability
+@end deftypefn
+finv
+-*- texinfo -*-
+@deftypefn {Function File} {} finv (@var{x}, @var{m}, @var{n})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the F distribution with parameters @var{m} and
+@var{n}.
+@end deftypefn
+normpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} normpdf (@var{x}, @var{m}, @var{s})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the normal distribution with mean @var{m} and
+standard deviation @var{s}.
 
-As returned by @code{is_dgkf}, except for:
-@table @var
-@item g
-candidate gain level
-@item ptol
- as in @code{hinfsyn}
-@end table
+Default values are @var{m} = 0, @var{s} = 1.
+@end deftypefn
+logninv
+-*- texinfo -*-
+@deftypefn {Function File} {} logninv (@var{x}, @var{mu}, @var{sigma})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the lognormal distribution with parameters @var{mu}
+and @var{sigma}.  If a random variable follows this distribution, its
+logarithm is normally distributed with mean @code{log (@var{mu})} and
+variance @var{sigma}.
 
-@strong{Outputs}
-@table @var
-@item retval
- 1 if g exceeds optimal Hinf closed loop gain, else 0
-@item pc
-solution of ``regulator'' 
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-@acronym{ARE}
-@item pf
-solution of ``filter''
-@iftex
-@tex
-$ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-infinity
-@end ifinfo
-@acronym{ARE}
-@end table
-Do not attempt to use this at home; no argument checking performed.
+Default values are @var{mu} = 1, @var{sigma} = 1.
 @end deftypefn
-hinfsyn_ric
+expcdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{xinf}, @var{x_ha_err}] =} hinfsyn_ric (@var{a}, @var{bb}, @var{c1}, @var{d1dot}, @var{r}, @var{ptol})
-Forms
-@example
-xx = ([bb; -c1'*d1dot]/r) * [d1dot'*c1 bb'];
-Ha = [a 0*a; -c1'*c1 - a'] - xx;
-@end example
-and solves associated Riccati equation.
-The error code @var{x_ha_err} indicates one of the following
-conditions:
-@table @asis
-@item 0
-successful
-@item 1
-@var{xinf} has imaginary eigenvalues
-@item 2
-@var{hx} not Hamiltonian
-@item 3
-@var{xinf} has infinite eigenvalues (numerical overflow)
-@item 4
-@var{xinf} not symmetric
-@item 5
-@var{xinf} not positive definite
-@item 6
-@var{r} is singular
-@end table
+@deftypefn {Function File} {} expcdf (@var{x}, @var{lambda})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the exponential distribution with
+mean @var{lambda}.
+
+The arguments can be of common size or scalar.
 @end deftypefn
-is_dgkf
+logncdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{retval}, @var{dgkf_struct} ] =} is_dgkf (@var{asys}, @var{nu}, @var{ny}, @var{tol} )
-Determine whether a continuous time state space system meets
-assumptions of @acronym{DGKF} algorithm.
-Partitions system into:
-@example
-[dx/dt]   [A  | Bw  Bu  ][w]
-[ z   ] = [Cz | Dzw Dzu ][u]
-[ y   ]   [Cy | Dyw Dyu ]
-@end example
-or similar discrete-time system.
-If necessary, orthogonal transformations @var{qw}, @var{qz} and nonsingular
-transformations @var{ru}, @var{ry} are applied to respective vectors
-@var{w}, @var{z}, @var{u}, @var{y} in order to satisfy @acronym{DGKF} assumptions.
-Loop shifting is used if @var{dyu} block is nonzero.
-
-@strong{Inputs}
-@table @var
-@item         asys
-system data structure
-@item           nu
-number of controlled inputs
-@item        ny
-number of measured outputs
-@item        tol
-threshold for 0; default: 200*@code{eps}.
-@end table
-@strong{Outputs}
-@table @var
-@item    retval
-true(1) if system passes check, false(0) otherwise
-@item    dgkf_struct
-data structure of @command{is_dgkf} results.  Entries:
-@table @var
-@item      nw
-@itemx     nz
-dimensions of @var{w}, @var{z}
-@item      a
-system @math{A} matrix
-@item      bw
-(@var{n} x @var{nw}) @var{qw}-transformed disturbance input matrix
-@item      bu
-(@var{n} x @var{nu}) @var{ru}-transformed controlled input matrix;
-
-@math{B = [Bw Bu]}
-@item      cz
-(@var{nz} x @var{n}) Qz-transformed error output matrix
-@item      cy
-(@var{ny} x @var{n}) @var{ry}-transformed measured output matrix
-
-@math{C = [Cz; Cy]}
-@item      dzu
-@item      dyw
-off-diagonal blocks of transformed system @math{D} matrix that enter
-@var{z}, @var{y} from @var{u}, @var{w} respectively
-@item      ru
-controlled input transformation matrix
-@item      ry
-observed output transformation matrix
-@item      dyu_nz
-nonzero if the @var{dyu} block is nonzero.
-@item      dyu
-untransformed @var{dyu} block
-@item      dflg
-nonzero if the system is discrete-time
-@end table
-@end table
-@code{is_dgkf} exits with an error if the system is mixed
-discrete/continuous.
+@deftypefn {Function File} {} logncdf (@var{x}, @var{mu}, @var{sigma})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the lognormal distribution with
+parameters @var{mu} and @var{sigma}.  If a random variable follows this
+distribution, its logarithm is normally distributed with mean
+@var{mu} and standard deviation @var{sigma}.
 
-@strong{References}
-@table @strong
-@item [1]
-Doyle, Glover, Khargonekar, Francis, @cite{State Space Solutions to Standard}
-@iftex
-@tex
-$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-@cite{H-2 and H-infinity}
-@end ifinfo
-@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
-@item [2]
-Maciejowksi, J.M., @cite{Multivariable Feedback Design}, Addison-Wesley, 1989.
-@end table
+Default values are @var{mu} = 1, @var{sigma} = 1.
 @end deftypefn
-wgt1o
+laplace_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {@var{W} =} wgt1o (@var{vl}, @var{vh}, @var{fc})
-State space description of a first order weighting function.
-
-Weighting function are needed by the 
-@iftex
-@tex
-$ { \cal H }_2 / { \cal H }_\infty $
-@end tex
-@end iftex
-@ifinfo
-H-2/H-infinity
-@end ifinfo
-design procedure.
-These functions are part of the augmented plant @var{P}
-(see @command{hinfdemo} for an application example).
-
-@strong{Inputs}
-@table @var
-@item vl
-Gain at low frequencies.
-@item vh
-Gain at high frequencies.
-@item fc
-Corner frequency (in Hz, @strong{not} in rad/sec)
-@end table
-
-@strong{Output}
-@table @var
-@item W
-Weighting function, given in form of a system data structure.
-@end table
+@deftypefn {Function File} {} laplace_pdf (@var{x})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the Laplace distribution.
 @end deftypefn
-dezero
+laplace_rnd
 -*- texinfo -*-
-@deftypefn {Functin File} {} dezero (@var{s})
-Remove trailing blank entries and all zero entries from the string s.
+@deftypefn {Function File} {} laplace_rnd (@var{r}, @var{c})
+@deftypefnx {Function File} {} laplace_rnd (@var{sz});
+Return an @var{r} by @var{c} matrix of random numbers from the
+Laplace distribution.  Or if @var{sz} is a vector, create a matrix of
+@var{sz}.
 @end deftypefn
-dlqg
- O B S O L E T E * * * D O   N O T   U S E!
-
- Use lqg instead.
-
-function [K,Q,P,Ee,Er] = dlqg(A,B,C,G,Sigw,Sigv,Q,R)
-function [K,Q,P,Ee,Er] = dlqg(Sys,Sigw,Sigv,Q,R)
-
-design a discrete-time linear quadratic gaussian optimal controller
-for the system
-
- x(k+1) = A x(k) + B u(k) + G w(k)       [w]=N(0,[Sigw 0    ])
-   y(k) = C x(k) + v(k)                  [v]  (    0   Sigv ])
-
-Outputs:
-   K: system data structure format LQG optimal controller
-   P: Solution of control (state feedback) algebraic Riccati equation
-   Q: Solution of estimation algebraic Riccati equation
-   Ee: estimator poles
-   Es: controller poles
-inputs:
- A,B,C,G, or Sys: state space representation of system.
- Sigw, Sigv: covariance matrices of independent Gaussian noise processes
-     (as above)
- Q, R: state, control weighting matrices for dlqr call respectively.
-
-See also: lqg, dlqe, dlqr
-minfo
+lognrnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{systype}, @var{nout}, @var{nin}, @var{ncstates}, @var{ndstates}] =} minfo (@var{inmat})
-Determines the type of system matrix.  @var{inmat} can be a varying, 
-a system, a constant, and an empty matrix.
+@deftypefn {Function File} {} lognrnd (@var{mu}, @var{sigma}, @var{r}, @var{c})
+@deftypefnx {Function File} {} lognrnd (@var{mu}, @var{sigma}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+lognormal distribution with parameters @var{mu} and @var{sigma}. Both
+@var{mu} and @var{sigma} must be scalar or of size @var{r} by @var{c}.
+Or if @var{sz} is a vector, create a matrix of size @var{sz}.
 
-@strong{Outputs}
-@table @var
-@item systype 
-Can be one of: varying, system, constant, and empty.
-@item nout 
-The number of outputs of the system.
-@item nin
-The number of inputs of the system.
-@item ncstates
-The number of continuous states of the system.
-@item ndstates 
-The number of discrete states of the system.
-@end table
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{mu} and @var{sigma}.
 @end deftypefn
-packsys
-O B S O L E T E: use ss instead.
-function Asys = packsys(a,b,c[,d,dflg])
-
-  dflg: 0 for continuous time system, 1 for discrete-time system.
-
-defaults:
-     D: 0 matrix of appropriate dimension.
-  dflg: 0 (continuous time)
-
-Note: discrete-state sampling time is not included!
-qzval
+poissinv
 -*- texinfo -*-
-@deftypefn {Function File} {} qzval (@var{a}, @var{b})
-Compute generalized eigenvalues of the matrix pencil
-@ifinfo
-@example
-(A - lambda B).
-@end example
-@end ifinfo
-@iftex
-@tex
-$(A - \lambda B)$.
-@end tex
-@end iftex
-
-@var{a} and @var{b} must be real matrices.
-
-@code{qzval} is obsolete; use @code{qz} instead.
+@deftypefn {Function File} {} poissinv (@var{x}, @var{lambda})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Poisson distribution with parameter
+@var{lambda}.
 @end deftypefn
-rotg
-function [c,s] = rotg(a,b)
-givens rotation calculation
-
-NOTE: Use [c,s] = givens(a,b) instead.
-series
-Forms the series connection of two systems.
-
-Superseded by sysmult.  Do not use this routine!
-used internally in zp2ss
-
-Type of input: Transfer functions
-Command:       [num,den]=series(num1,den1,num2,den2)
-Forms the series representation of the two transfer functions.
-
-Type of input: State space systems
-Command:       [a,b,c,d]=series(a1,b1,c1,d1,a2,b2,c2,d2)
-Forms the series representation of the two state space system arguments.
-The series connected system will have the inputs of system 1 and the
-outputs of system 2.
+hygeinv
+-*- texinfo -*-
+@deftypefn {Function File} {} hygeinv (@var{x}, @var{t}, @var{m}, @var{n})
+For each element of @var{x}, compute the quantile at @var{x} of the
+hypergeometric distribution with parameters @var{t}, @var{m}, and
+@var{n}.
 
-Type of input: system data structure
-Command:       syst=series(syst1,syst2)
-Forms the series representation of the two mu system arguments.
-swapcols
+The parameters @var{t}, @var{m}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
+@end deftypefn
+fcdf
 -*- texinfo -*-
-@deftypefn {Function File} {} swapcols (inputs)
-@format
- function B = swapcols(A)
- permute columns of A into reverse order
-@end format
+@deftypefn {Function File} {} fcdf (@var{x}, @var{m}, @var{n})
+For each element of @var{x}, compute the CDF at @var{x} of the F
+distribution with @var{m} and @var{n} degrees of freedom, i.e.,
+PROB (F (@var{m}, @var{n}) <= @var{x}). 
 @end deftypefn
-swaprows
+stdnormal_cdf
 -*- texinfo -*-
-@deftypefn {Function File} {} swaprows (inputs)
-@format
- function B = swaprows(A)
- permute rows of A into reverse order
-@end format
+@deftypefn {Function File} {} stdnormal_cdf (@var{x})
+For each component of @var{x}, compute the CDF of the standard normal
+distribution at @var{x}.
 @end deftypefn
-syschnames
+nbininv
 -*- texinfo -*-
-@deftypefn {Function File} {} syschnames (@var{sys}, @var{opt}, @var{list}, @var{names})
-Superseded by @command{syssetsignals}.
+@deftypefn {Function File} {} nbininv (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+Pascal (negative binomial) distribution with parameters @var{n} and
+@var{p}.
+
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution.
 @end deftypefn
-unpacksys
-[a,b,c,d] = unpacksys(sys)
-Obsolete.  Use sys2ss instead.
-__abcddims__
-Undocumented internal function.
-__syschnamesl__
-Undocumented internal function.
-__sysconcat__
-Undocumented internal function.
-__syscont_disc__
-Undocumented internal function.
-__sysdefioname__
-Undocumented internal function.
-__sysdefstname__
-Undocumented internal function.
-__sysgroupn__
-Undocumented internal function.
-__tf2sysl__
-Undocumented internal function.
-__tfl__
-Undocumented internal function.
-__zp2ssg2__
-Undocumented internal function.
-abcddim
+logistic_inv
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{n}, @var{m}, @var{p}] =} abcddim (@var{a}, @var{b}, @var{c}, @var{d})
-Check for compatibility of the dimensions of the matrices defining
-the linear system
+@deftypefn {Function File} {} logistic_inv (@var{x})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the logistic distribution.
+@end deftypefn
+hygecdf
+-*- texinfo -*-
+@deftypefn {Function File} {} hygecdf (@var{x}, @var{t}, @var{m}, @var{n})
+Compute the cumulative distribution function (CDF) at @var{x} of the
+hypergeometric distribution with parameters @var{t}, @var{m}, and
+@var{n}.  This is the probability of obtaining not more than @var{x}
+marked items when randomly drawing a sample of size @var{n} without
+replacement from a population of total size @var{t} containing
+@var{m} marked items.
+
+The parameters @var{t}, @var{m}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
+@end deftypefn
+unidpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} unidpdf (@var{x}, @var{v})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of a univariate discrete distribution which assumes
+the values in @var{v} with equal probability.
+@end deftypefn
+logistic_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} logistic_cdf (@var{x})
+For each component of @var{x}, compute the CDF at @var{x} of the
+logistic distribution.
+@end deftypefn
+gamcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} gamcdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Gamma distribution with parameters
+@var{a} and @var{b}.
+@seealso{gamma, gammaln, gammainc, gampdf, gaminv, gamrnd}
+@end deftypefn
+unifinv
+-*- texinfo -*-
+@deftypefn {Function File} {} unifinv (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the uniform distribution on [@var{a}, @var{b}].
+
+Default values are @var{a} = 0, @var{b} = 1.
+@end deftypefn
+tpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} tpdf (@var{x}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the @var{t} (Student) distribution with @var{n}
+degrees of freedom. 
+@end deftypefn
+nbinpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} nbinpdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the Pascal (negative binomial) distribution with
+parameters @var{n} and @var{p}.
+
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution. 
+@end deftypefn
+geoinv
+-*- texinfo -*-
+@deftypefn {Function File} {} geoinv (@var{x}, @var{p})
+For each element of @var{x}, compute the quantile at @var{x} of the
+geometric distribution with parameter @var{p}.
+@end deftypefn
+discrete_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} discrete_inv (@var{x}, @var{v}, @var{p})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the univariate distribution which assumes the
+values in @var{v} with probabilities @var{p}.
+@end deftypefn
+unidcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} unidcdf (@var{x}, @var{v})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of a univariate discrete distribution which
+assumes the values in @var{v} with equal probability.
+@end deftypefn
+binopdf
+-*- texinfo -*-
+@deftypefn {Function File} {} binopdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the binomial distribution with parameters @var{n}
+and @var{p}.
+@end deftypefn
+wblcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} wblcdf (@var{x}, @var{scale}, @var{shape})
+Compute the cumulative distribution function (CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}, which is
+
 @iftex
 @tex
-$[A, B, C, D]$ corresponding to
-$$
-\eqalign{
- {dx\over dt} &= A x + B u\cr
-            y &= C x + D u}
-$$
+$$ 1 - \exp(-(x/shape)^{scale}) $$
+for $x\geq 0$.
 @end tex
 @end iftex
-@ifinfo
-[A, B, C, D] corresponding to
-
+@ifnottex
 @example
-dx/dt = a x + b u
-y = c x + d u
+1 - exp(-(x/shape)^scale)
 @end example
+for @var{x} >= 0.
+@end ifnottex
+@end deftypefn
+hygernd
+-*- texinfo -*-
+@deftypefn {Function File} {} hygernd (@var{t}, @var{m}, @var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} hygernd (@var{t}, @var{m}, @var{n}, @var{sz})
+@deftypefnx {Function File} {} hygernd (@var{t}, @var{m}, @var{n})
+Return an @var{r} by @var{c} matrix of random samples from the
+hypergeometric distribution with parameters @var{t}, @var{m},
+and @var{n}.
 
-@end ifinfo
-or a similar discrete-time system.
-
-If the matrices are compatibly dimensioned, then @code{abcddim} returns
-
-@table @var
-@item n
-The number of system states.
-
-@item m
-The number of system inputs.
-
-@item p
-The number of system outputs.
-@end table
-
-Otherwise @code{abcddim} returns @var{n} = @var{m} = @var{p} = @minus{}1.
+The parameters @var{t}, @var{m}, and @var{n} must positive integers
+with @var{m} and @var{n} not greater than @var{t}.
 
-Note: n = 0 (pure gain block) is returned without warning.
-@seealso{is_abcd}
+The parameter @var{sz} must be scalar or a vector of matrix
+dimensions. If @var{sz} is scalar, then a @var{sz} by @var{sz}
+matrix of random samples is generated.
 @end deftypefn
-buildssic
+trnd
 -*- texinfo -*-
-@deftypefn {Function File} {} buildssic (@var{clst}, @var{ulst}, @var{olst}, @var{ilst}, @var{s1}, @var{s2}, @var{s3}, @var{s4}, @var{s5}, @var{s6}, @var{s7}, @var{s8})
+@deftypefn {Function File} {} trnd (@var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} trnd (@var{n}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the t
+(Student) distribution with @var{n} degrees of freedom.  @var{n} must
+be a scalar or of size @var{r} by @var{c}. Or if @var{sz} is a
+vector create a matrix of size @var{sz}.
 
-Form an arbitrary complex (open or closed loop) system in
-state-space form from several systems. @command{buildssic} can
-easily (despite its cryptic syntax) integrate transfer functions
-from a complex block diagram into a single system with one call.
-This function is especially useful for building open loop
-interconnections for 
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{n}.
+@end deftypefn
+kolmogorov_smirnov_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} kolmogorov_smirnov_cdf (@var{x}, @var{tol})
+Return the CDF at @var{x} of the Kolmogorov-Smirnov distribution,
 @iftex
 @tex
-$ { \cal H }_\infty $ and $ { \cal H }_2 $
+$$ Q(x) = \sum_{k=-\infty}^\infty (-1)^k \exp(-2 k^2 x^2) $$
 @end tex
 @end iftex
 @ifinfo
-H-infinity and H-2
+@example
+         Inf
+Q(x) =   SUM    (-1)^k exp(-2 k^2 x^2)
+       k = -Inf
+@end example
 @end ifinfo
-designs or for closing loops with these controllers.
-
-Although this function is general purpose, the use of @command{sysgroup}
-@command{sysmult}, @command{sysconnect} and the like is recommended for
-standard operations since they can handle mixed discrete and continuous
-systems and also the names of inputs, outputs, and states.
 
-The parameters consist of 4 lists that describe the connections
-outputs and inputs and up to 8 systems @var{s1}--@var{s8}.
-Format of the lists:
-@table @var
-@item      clst
-connection list, describes the input signal of
-each system. The maximum number of rows of Clst is
-equal to the sum of all inputs of s1-s8.
+@noindent
+for @var{x} > 0.
 
-Example:
-@code{[1 2 -1; 2 1 0]} means that:  new input 1 is old input 1
-+ output 2 - output 1, and new input 2 is old input 2
-+ output 1. The order of rows is arbitrary.
-
-@item ulst
-if not empty the old inputs in vector @var{ulst} will
-be appended to the outputs. You need this if you
-want to ``pull out'' the input of a system. Elements
-are input numbers of @var{s1}--@var{s8}.
+The optional parameter @var{tol} specifies the precision up to which
+the series should be evaluated;  the default is @var{tol} = @code{eps}.
+@end deftypefn
+laplace_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} laplace_cdf (@var{x})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the Laplace distribution.
+@end deftypefn
+exprnd
+-*- texinfo -*-
+@deftypefn {Function File} {} exprnd (@var{lambda}, @var{r}, @var{c})
+@deftypefnx {Function File} {} exprnd (@var{lambda}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+exponential distribution with mean @var{lambda}, which must be a
+scalar or of size @var{r} by @var{c}. Or if @var{sz} is a vector, 
+create a matrix of size @var{sz}.
 
-@item olst
-output list, specifies the outputs of the resulting
-systems. Elements are output numbers of @var{s1}--@var{s8}.
-The numbers are allowed to be negative and may
-appear in any order. An empty matrix means
-all outputs.
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{lambda}.
+@end deftypefn
+poissrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} poissrnd (@var{lambda}, @var{r}, @var{c})
+Return an @var{r} by @var{c} matrix of random samples from the
+Poisson distribution with parameter @var{lambda}, which must be a 
+scalar or of size @var{r} by @var{c}.
 
-@item ilst
-input list, specifies the inputs of the resulting
-systems. Elements are input numbers of @var{s1}--@var{s8}.
-The numbers are allowed to be negative and may
-appear in any order. An empty matrix means
-all inputs.
-@end table
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{lambda}.
+@end deftypefn
+chi2inv
+-*- texinfo -*-
+@deftypefn {Function File} {} chi2inv (@var{x}, @var{n})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the chisquare distribution with @var{n} degrees of
+freedom.
+@end deftypefn
+unifrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} unifrnd (@var{a}, @var{b}, @var{r}, @var{c})
+@deftypefnx {Function File} {} unifrnd (@var{a}, @var{b}, @var{sz})
+Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
+random samples from the uniform distribution on [@var{a}, @var{b}]. 
+Both @var{a} and @var{b} must be scalar or of size @var{r} by @var{c}.
 
-Example:  Very simple closed loop system.
-@example
-@group
-w        e  +-----+   u  +-----+
- --->o--*-->|  K  |--*-->|  G  |--*---> y
-     ^  |   +-----+  |   +-----+  |
-   - |  |            |            |
-     |  |            +----------------> u
-     |  |                         |
-     |  +-------------------------|---> e
-     |                            |
-     +----------------------------+
-@end group
-@end example
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{a} and @var{b}.
+@end deftypefn
+logistic_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} logistic_rnd (@var{r}, @var{c})
+@deftypefnx {Function File} {} logistic_rnd (@var{sz})
+Return an @var{r} by @var{c} matrix of random numbers from the
+logistic distribution. Or if @var{sz} is a vector, create a matrix of
+@var{sz}.
+@end deftypefn
+cauchy_rnd
+-*- texinfo -*-
+@deftypefn {Function File} {} cauchy_rnd (@var{lambda}, @var{sigma}, @var{r}, @var{c})
+@deftypefnx {Function File} {} cauchy_rnd (@var{lambda}, @var{sigma}, @var{sz})
+Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
+random samples from the Cauchy distribution with parameters @var{lambda} 
+and @var{sigma} which must both be scalar or of size @var{r} by @var{c}.
 
-The closed loop system @var{GW} can be obtained by
-@example
-GW = buildssic([1 2; 2 -1], 2, [1 2 3], 2, G, K);
-@end example
-@table @var
-@item clst
-1st row: connect input 1 (@var{G}) with output 2 (@var{K}).
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{lambda} and @var{sigma}.
+@end deftypefn
+betainv
+-*- texinfo -*-
+@deftypefn {Function File} {} betainv (@var{x}, @var{a}, @var{b})
+For each component of @var{x}, compute the quantile (the inverse of
+the CDF) at @var{x} of the Beta distribution with parameters @var{a}
+and @var{b}.
+@end deftypefn
+unifpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} unifpdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, compute the PDF at @var{x} of the uniform
+distribution on [@var{a}, @var{b}].
 
-2nd row: connect input 2 (@var{K}) with negative output 1 (@var{G}).
-@item ulst
-Append input of 2 (@var{K}) to the number of outputs.
-@item olst
-Outputs are output of 1 (@var{G}), 2 (@var{K}) and 
-appended output 3 (from @var{ulst}).
-@item ilst
-The only input is 2 (@var{K}).
-@end table
+Default values are @var{a} = 0, @var{b} = 1.
+@end deftypefn
+betacdf
+-*- texinfo -*-
+@deftypefn {Function File} {} betacdf (@var{x}, @var{a}, @var{b})
+For each element of @var{x}, returns the CDF at @var{x} of the beta
+distribution with parameters @var{a} and @var{b}, i.e.,
+PROB (beta (@var{a}, @var{b}) <= @var{x}).
+@end deftypefn
+lognpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} lognpdf (@var{x}, @var{mu}, @var{sigma})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the lognormal distribution with parameters
+@var{mu} and @var{sigma}.  If a random variable follows this distribution,
+its logarithm is normally distributed with mean @var{mu}
+and standard deviation @var{sigma}.
 
-Here is a real example:
-@example
-@group
-                         +----+
-    -------------------->| W1 |---> v1
-z   |                    +----+
-----|-------------+
-    |             |
-    |    +---+    v      +----+
-    *--->| G |--->O--*-->| W2 |---> v2
-    |    +---+       |   +----+
-    |                |
-    |                v
-   u                  y
-@end group
-@end example
-@iftex
-@tex
-$$ { \rm min } \Vert GW_{vz} \Vert _\infty $$  
-@end tex
-@end iftex
-@ifinfo
-@example
-min || GW   ||
-         vz   infty
-@end example
-@end ifinfo
+Default values are @var{mu} = 1, @var{sigma} = 1.
+@end deftypefn
+nbincdf
+-*- texinfo -*-
+@deftypefn {Function File} {} nbincdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the CDF at x of the Pascal
+(negative binomial) distribution with parameters @var{n} and @var{p}.
 
-The closed loop system @var{GW} 
-@iftex
-@tex
-from $ [z, u]^T $ to $ [v_1, v_2, y]^T $
-@end tex
-@end iftex
-@ifinfo
-from [z, u]' to [v1, v2, y]' 
-@end ifinfo
-can be obtained by (all @acronym{SISO} systems):
-@example
-GW = buildssic([1, 4; 2, 4; 3, 1], 3, [2, 3, 5],
-               [3, 4], G, W1, W2, One);
-@end example
-where ``One'' is a unity gain (auxiliary) function with order 0.
-(e.g. @code{One = ugain(1);})
+The number of failures in a Bernoulli experiment with success
+probability @var{p} before the @var{n}-th success follows this
+distribution.
 @end deftypefn
-c2d
+geopdf
 -*- texinfo -*-
-@deftypefn {Function File} {} c2d (@var{sys}, @var{opt}, @var{t})
-@deftypefnx {Function File} {} c2d (@var{sys}, @var{t})
+@deftypefn {Function File} {} geopdf (@var{x}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the geometric distribution with parameter @var{p}.
+@end deftypefn
+wienrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} wienrnd (@var{t}, @var{d}, @var{n})
+Return a simulated realization of the @var{d}-dimensional Wiener Process
+on the interval [0, @var{t}].  If @var{d} is omitted, @var{d} = 1 is
+used. The first column of the return matrix contains time, the
+remaining columns contain the Wiener process.
 
-Converts the system data structure describing:
-@iftex
-@tex
-$$ \dot x = A_cx + B_cu $$
-@end tex
-@end iftex
-@ifinfo
-@example
-.
-x = Ac x + Bc u
-@end example
-@end ifinfo
-into a discrete time equivalent model:
-@iftex
-@tex
-$$ x_{n+1} = A_dx_n + B_du_n $$
-@end tex
-@end iftex
-@ifinfo
-@example
-x[n+1] = Ad x[n] + Bd u[n]
-@end example
-@end ifinfo
-via the matrix exponential or bilinear transform.
+The optional parameter @var{n} gives the number of summands used for
+simulating the process over an interval of length 1.  If @var{n} is
+omitted, @var{n} = 1000 is used.
+@end deftypefn
+empirical_cdf
+-*- texinfo -*-
+@deftypefn {Function File} {} empirical_cdf (@var{x}, @var{data})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the empirical distribution obtained from
+the univariate sample @var{data}.
+@end deftypefn
+geornd
+-*- texinfo -*-
+@deftypefn {Function File} {} geornd (@var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} geornd (@var{p}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the
+geometric distribution with parameter @var{p}, which must be a scalar
+or of size @var{r} by @var{c}.
+
+If @var{r} and @var{c} are given create a matrix with @var{r} rows and
+@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
+@var{sz}.
+@end deftypefn
+binocdf
+-*- texinfo -*-
+@deftypefn {Function File} {} binocdf (@var{x}, @var{n}, @var{p})
+For each element of @var{x}, compute the CDF at @var{x} of the
+binomial distribution with parameters @var{n} and @var{p}.
+@end deftypefn
+tinv
+-*- texinfo -*-
+@deftypefn {Function File} {} tinv (@var{x}, @var{n})
+For each probability value @var{x}, compute the the inverse of the
+cumulative distribution function (CDF) of the t (Student)
+distribution with degrees of freedom @var{n}.  This function is
+analagous to looking in a table for the t-value of a single-tailed
+distribution.
+@end deftypefn
+binornd
+-*- texinfo -*-
+@deftypefn {Function File} {} binornd (@var{n}, @var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} binornd (@var{n}, @var{p}, @var{sz})
+Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
+random samples from the binomial distribution with parameters @var{n}
+and @var{p}.  Both @var{n} and @var{p} must be scalar or of size
+@var{r} by @var{c}.
+
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{n} and @var{p}.
+@end deftypefn
+tcdf
+-*- texinfo -*-
+@deftypefn {Function File} {} tcdf (@var{x}, @var{n})
+For each element of @var{x}, compute the cumulative distribution
+function (CDF) at @var{x} of the t (Student) distribution with
+@var{n} degrees of freedom, i.e., PROB (t(@var{n}) <= @var{x}).
+@end deftypefn
+fpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} fpdf (@var{x}, @var{m}, @var{n})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the F distribution with @var{m} and @var{n}
+degrees of freedom.
+@end deftypefn
+wblinv
+-*- texinfo -*-
+@deftypefn {Function File} {} wblinv (@var{x}, @var{scale}, @var{shape})
+Compute the quantile (the inverse of the CDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape}.
+@end deftypefn
+cauchy_inv
+-*- texinfo -*-
+@deftypefn {Function File} {} cauchy_inv (@var{x}, @var{lambda}, @var{sigma})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the Cauchy distribution with location parameter
+@var{lambda} and scale parameter @var{sigma}.  Default values are
+@var{lambda} = 0, @var{sigma} = 1. 
+@end deftypefn
+nbinrnd
+-*- texinfo -*-
+@deftypefn {Function File} {} nbinrnd (@var{n}, @var{p}, @var{r}, @var{c})
+@deftypefnx {Function File} {} nbinrnd (@var{n}, @var{p}, @var{sz})
+Return an @var{r} by @var{c} matrix of random samples from the Pascal
+(negative binomial) distribution with parameters @var{n} and @var{p}.
+Both @var{n} and @var{p} must be scalar or of size @var{r} by @var{c}.
+
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the common size of @var{n} and @var{p}. Or if @var{sz} is a vector, 
+create a matrix of size @var{sz}.
+@end deftypefn
+empirical_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} empirical_pdf (@var{x}, @var{data})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of the empirical distribution obtained from the
+univariate sample @var{data}.
+@end deftypefn
+wblpdf
+-*- texinfo -*-
+@deftypefn {Function File} {} wblpdf (@var{x}, @var{scale}, @var{shape})
+Compute the probability density function (PDF) at @var{x} of the
+Weibull distribution with shape parameter @var{scale} and scale
+parameter @var{shape} which is given by
 
-@strong{Inputs}
-@table @var
-@item sys
-system data structure (may have both continuous time and discrete
-time subsystems)
-@item opt
-string argument; conversion option (optional argument;
-may be omitted as shown above)
-@table @code
-@item "ex"
-use the matrix exponential (default)
-@item "bi"
-use the bilinear transformation
 @iftex
 @tex
-$$ s = { 2(z-1) \over T(z+1) } $$
+$$  scale \cdot shape^{-scale} x^{scale-1} \exp(-(x/shape)^{scale}) $$
 @end tex
 @end iftex
-@ifinfo
+@ifnottex
 @example
-    2(z-1)
-s = -----
-    T(z+1)
+   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
 @end example
-@end ifinfo
-FIXME: This option exits with an error if @var{sys} is not purely
-continuous. (The @code{ex} option can handle mixed systems.)
-@item "matched"
-Use the matched pole/zero equivalent transformation (currently only
-works for purely continuous @acronym{SISO} systems).
-@end table
-@item t
-sampling time; required if @var{sys} is purely continuous.
-
-@strong{Note} that if the second argument is not a string, @code{c2d()}
-assumes that the second argument is @var{t} and performs 
-appropriate argument checks.
-@end table
-
-@strong{Output}
-@table @var
-@item dsys 
-Discrete time equivalent via zero-order hold, sample each @var{t} sec.
-@end table
+@end ifnottex
 
-This function adds the suffix  @code{_d}
-to the names of the new discrete states.
+@noindent
+for @var{x} > 0.
 @end deftypefn
-cellidx
+laplace_inv
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{idxvec}, @var{errmsg}] =} cellidx (@var{listvar}, @var{strlist})
-Return indices of string entries in @var{listvar} that match strings
-in @var{strlist}.
-
-Both @var{listvar} and @var{strlist} may be passed as strings or
-string matrices.  If they are passed as string matrices, each entry
-is processed by @code{deblank} prior to searching for the entries.
-
-The first output is the vector of indices in @var{listvar}.
-
-If @var{strlist} contains a string not in @var{listvar}, then
-an error message is returned in @var{errmsg}.  If only one output
-argument is requested, then @var{cellidx} prints @var{errmsg} to the
-screen and exits with an error.
+@deftypefn {Function File} {} laplace_inv (@var{x})
+For each element of @var{x}, compute the quantile (the inverse of the
+CDF) at @var{x} of the Laplace distribution.
 @end deftypefn
-d2c
+chi2rnd
 -*- texinfo -*-
-@deftypefn {Function File} {} d2c (@var{sys}, @var{tol})
-@deftypefnx {Function File} {} d2c (@var{sys}, @var{opt})
-Convert a discrete (sub)system into a purely continuous one. 
-The sampling time used is @code{sysgettsam(@var{sys})}.
-
-@strong{Inputs}
-@table @var
-@item   sys
-system data structure with discrete components
-@item   tol
-Scalar value.
-Tolerance for convergence of default @code{"log"} option (see below)
-@item   opt
-conversion option.  Choose from:
-@table @code
-@item         "log"
-(default) Conversion is performed via a matrix logarithm.
-Due to some problems with this computation, it is
-followed by a steepest descent algorithm to identify continuous time
-@var{a}, @var{b}, to get a better fit to the original data.
-
-If called as @code{d2c (@var{sys}, @var{tol})}, with @var{tol}
-positive scalar, the @code{"log"} option is used.  The default value
-for @var{tol} is @code{1e-8}.
-@item        "bi"
-Conversion is performed via bilinear transform
-@math{z = (1 + s T / 2)/(1 - s T / 2)} where @math{T} is the
-system sampling time (see @code{sysgettsam}).
+@deftypefn {Function File} {} chi2rnd (@var{n}, @var{r}, @var{c})
+@deftypefnx {Function File} {} chi2rnd (@var{n}, @var{sz})
+Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
+random samples from the chisquare distribution with @var{n} degrees 
+of freedom.  @var{n} must be a scalar or of size @var{r} by @var{c}.
 
-FIXME: bilinear option exits with an error if @var{sys} is not purely
-discrete
-@end table
-@end table
-@strong{Output}
-@table @var
-@item csys 
-continuous time system (same dimensions and signal names as in @var{sys}).
-@end table
+If @var{r} and @var{c} are omitted, the size of the result matrix is
+the size of @var{n}.
 @end deftypefn
-dmr2d
+discrete_pdf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{dsys}, @var{fidx}] =} dmr2d (@var{sys}, @var{idx}, @var{sprefix}, @var{ts2}, @var{cuflg})
-convert a multirate digital system to a single rate digital system
-states specified by @var{idx}, @var{sprefix} are sampled at @var{ts2}, all
-others are assumed sampled at @var{ts1} = @code{sysgettsam (@var{sys})}.
+@deftypefn {Function File} {} discrete_pdf (@var{x}, @var{v}, @var{p})
+For each element of @var{x}, compute the probability density function
+(PDF) at @var{x} of a univariate discrete distribution which assumes
+the values in @var{v} with probabilities @var{p}.
+@end deftypefn
+logistic_pdf
+-*- texinfo -*-
+@deftypefn {Function File} {} logistic_pdf (@var{x})
+For each component of @var{x}, compute the PDF at @var{x} of the
+logistic distribution.
+@end deftypefn
+logistic_regression_derivatives
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{dl}, @var{d2l}] =} logistic_regression_derivatives (@var{x}, @var{z}, @var{z1}, @var{g}, @var{g1}, @var{p})
+Called by logistic_regression.  Calculates derivates of the
+log-likelihood for ordinal logistic regression model.
+@end deftypefn
+logistic_regression
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{theta}, @var{beta}, @var{dev}, @var{dl}, @var{d2l}, @var{p}] =} logistic_regression (@var{y}, @var{x}, @var{print}, @var{theta}, @var{beta})
+Perform ordinal logistic regression.
 
-@strong{Inputs}
-@table @var
-@item   sys
-discrete time system;
-@code{dmr2d} exits with an error if @var{sys} is not discrete
-@item   idx
-indices or names of states with sampling time 
-@code{sysgettsam(@var{sys})} (may be empty); see @code{cellidx}
-@item   sprefix
-list of string prefixes of states with sampling time
-@code{sysgettsam(@var{sys})} (may be empty)
-@item   ts2
-sampling time of states not specified by @var{idx}, @var{sprefix}
-must be an integer multiple of @code{sysgettsam(@var{sys})}
-@item   cuflg
-"constant u flag" if @var{cuflg} is nonzero then the system inputs are
-assumed to be constant over the revised sampling interval @var{ts2}.
-Otherwise, since the inputs can change during the interval
-@var{t} in @math{[k ts2, (k+1) ts2]}, an additional set of inputs is
-included in the revised B matrix so that these intersample inputs
-may be included in the single-rate system.
-default @var{cuflg} = 1.
-@end table
+Suppose @var{y} takes values in @var{k} ordered categories, and let
+@code{gamma_i (@var{x})} be the cumulative probability that @var{y}
+falls in one of the first @var{i} categories given the covariate
+@var{x}.  Then
 
-@strong{Outputs}
-@table @var
-@item   dsys
-equivalent discrete time system with sampling time @var{ts2}.
+@example
+[theta, beta] = logistic_regression (y, x)
+@end example
 
-The sampling time of sys is updated to @var{ts2}.
+@noindent
+fits the model
 
-if @var{cuflg}=0 then a set of additional inputs is added to
-the system with suffixes _d1, @dots{}, _dn to indicate their
-delay from the starting time k @var{ts2}, i.e.
-u = [u_1; u_1_d1; @dots{}, u_1_dn] where u_1_dk is the input
-k*ts1 units of time after u_1 is sampled. (@var{ts1} is
-the original sampling time of the discrete time system and
-@var{ts2} = (n+1)*ts1)
+@example
+logit (gamma_i (x)) = theta_i - beta' * x,   i = 1...k-1
+@end example
 
-@item   fidx
-indices of "formerly fast" states specified by @var{idx} and @var{sprefix};
-these states are updated to the new (slower) sampling interval @var{ts2}.
-@end table
+The number of ordinal categories, @var{k}, is taken to be the number
+of distinct values of @code{round (@var{y})}.  If @var{k} equals 2,
+@var{y} is binary and the model is ordinary logistic regression.  The
+matrix @var{x} is assumed to have full column rank.
 
-@strong{WARNING} Not thoroughly tested yet; especially when
-@var{cuflg} == 0.
+Given @var{y} only, @code{theta = logistic_regression (y)}
+fits the model with baseline logit odds only.
+
+The full form is
+
+@example
+[theta, beta, dev, dl, d2l, gamma]
+   = logistic_regression (y, x, print, theta, beta)
+@end example
+
+@noindent
+in which all output arguments and all input arguments except @var{y}
+are optional.
+
+Setting @var{print} to 1 requests summary information about the fitted
+model to be displayed.  Setting @var{print} to 2 requests information
+about convergence at each iteration.  Other values request no
+information to be displayed.  The input arguments @var{theta} and
+@var{beta} give initial estimates for @var{theta} and @var{beta}.
+
+The returned value @var{dev} holds minus twice the log-likelihood.
+
+The returned values @var{dl} and @var{d2l} are the vector of first
+and the matrix of second derivatives of the log-likelihood with
+respect to @var{theta} and @var{beta}.
+
+@var{p} holds estimates for the conditional distribution of @var{y}
+given @var{x}.
 @end deftypefn
-fir2sys
+logistic_regression_likelihood
 -*- texinfo -*-
-@deftypefn {Function File} {} fir2sys (@var{num}, @var{tsam}, @var{inname}, @var{outname})
-construct a system data structure from @acronym{FIR} description
+@deftypefn {Function File} {[@var{g}, @var{g1}, @var{p}, @var{dev}] =} logistic_regression_likelihood (@var{y}, @var{x}, @var{beta}, @var{z}, @var{z1})
+Calculates likelihood for the ordinal logistic regression model.
+Called by logistic_regression.
+@end deftypefn
+spearman
+-*- texinfo -*-
+@deftypefn {Function File} {} spearman (@var{x}, @var{y})
+Compute Spearman's rank correlation coefficient @var{rho} for each of
+the variables specified by the input arguments.
 
-@strong{Inputs}
-@table @var
-@item num
-vector of coefficients 
-@ifinfo
-[c0, c1, @dots{}, cn]
-@end ifinfo
+For matrices, each row is an observation and each column a variable;
+vectors are always observations and may be row or column vectors.
+
+@code{spearman (@var{x})} is equivalent to @code{spearman (@var{x},
+@var{x})}.
+
+For two data vectors @var{x} and @var{y}, Spearman's @var{rho} is the
+correlation of the ranks of @var{x} and @var{y}.
+
+If @var{x} and @var{y} are drawn from independent distributions,
+@var{rho} has zero mean and variance @code{1 / (n - 1)}, and is
+asymptotically normally distributed.
+@end deftypefn
+__quantile__
+-*- texinfo -*-
+@deftypefn {Function File} {@var{q} =} __quantile__ (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{q} =} __quantile__ (@var{x}, @var{p}, @var{method})
+For the cumulative probability values in @var{p}, compute the 
+quantiles, @var{q} (the inverse of the cdf), for the sample, @var{x}.
+
+The optional input, @var{method}, refers to nine methods available in R
+(http://www.r-project.org/). The default is @var{method} = 7. For more 
+detail, see `help quantile'.
+@seealso{prctile, quantile, statistics}
+@end deftypefn
+ols
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{beta}, @var{sigma}, @var{r}] =} ols (@var{y}, @var{x})
+Ordinary least squares estimation for the multivariate model
 @iftex
 @tex
-$ [c_0, c_1, \ldots, c_n ]$
+$y = x b + e$
+with
+$\bar{e} = 0$, and cov(vec($e$)) = kron ($s, I$)
 @end tex
 @end iftex
-of the @acronym{SISO} @acronym{FIR} transfer function
 @ifinfo
-C(z) = c0 + c1*z^(-1) + c2*z^(-2) + @dots{} + cn*z^(-n)
+@math{y = x b + e} with
+@math{mean (e) = 0} and @math{cov (vec (e)) = kron (s, I)}.
 @end ifinfo
+ where
 @iftex
 @tex
-$$ C(z) = c_0 + c_1z^{-1} + c_2z^{-2} + \ldots + c_nz^{-n} $$
+$y$ is a $t \times p$ matrix, $x$ is a $t \times k$ matrix,
+$b$ is a $k \times p$ matrix, and $e$ is a $t \times p$ matrix.
 @end tex
 @end iftex
+@ifinfo
+@math{y} is a @math{t} by @math{p} matrix, @math{x} is a @math{t} by
+@math{k} matrix, @math{b} is a @math{k} by @math{p} matrix, and
+@math{e} is a @math{t} by @math{p} matrix.
+@end ifinfo
 
-@item tsam
-sampling time (default: 1)
-
-@item inname
-name of input signal;  may be a string or a list with a single entry.
+Each row of @var{y} and @var{x} is an observation and each column a
+variable.
 
-@item outname
-name of output signal; may be a string or a list with a single entry.
-@end table
+The return values @var{beta}, @var{sigma}, and @var{r} are defined as
+follows.
 
-@strong{Output}
 @table @var
-@item sys
-system data structure
-@end table
+@item beta
+The OLS estimator for @var{b}, @code{@var{beta} = pinv (@var{x}) *
+@var{y}}, where @code{pinv (@var{x})} denotes the pseudoinverse of
+@var{x}.
+
+@item sigma
+The OLS estimator for the matrix @var{s},
 
-@strong{Example}
 @example
-octave:1> sys = fir2sys([1 -1 2 4],0.342,\
-> "A/D input","filter output");
-octave:2> sysout(sys)
-Input(s)
-        1: A/D input
+@group
+@var{sigma} = (@var{y}-@var{x}*@var{beta})'
+  * (@var{y}-@var{x}*@var{beta})
+  / (@var{t}-rank(@var{x}))
+@end group
+@end example
 
-Output(s):
-        1: filter output (discrete)
+@item r
+The matrix of OLS residuals, @code{@var{r} = @var{y} - @var{x} *
+@var{beta}}.
+@end table
+@end deftypefn
+mode
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{m}, @var{f}, @var{c}] =} mode (@var{x}, @var{dim})
+Count the most frequently appearing value. @code{mode} counts the 
+frequency along the first non-singleton dimension and if two or more
+values have te same frequency returns the smallest of the two in
+@var{m}. The dimension along which to count can be specified by the
+@var{dim} parameter.
 
-Sampling interval: 0.342
-transfer function form:
-1*z^3 - 1*z^2 + 2*z^1 + 4
--------------------------
-1*z^3 + 0*z^2 + 0*z^1 + 0
-@end example
+The variable @var{f} counts the frequency of each of the most frequently 
+occurring elements. The cell array @var{c} contains all of the elements
+with the maximum frequency .
 @end deftypefn
-is_abcd
+probit
 -*- texinfo -*-
-@deftypefn {Function File} {@var{retval} =} is_abcd (@var{a}, @var{b}, @var{c}, @var{d})
- Returns @var{retval} = 1 if the dimensions of @var{a}, @var{b},
-@var{c}, @var{d} are compatible, otherwise @var{retval} = 0 with an
- appropriate diagnostic message printed to the screen.  The matrices
-@var{b}, @var{c}, or @var{d} may be omitted.
-@seealso{abcddim}
+@deftypefn {Function File} {} probit (@var{p})
+For each component of @var{p}, return the probit (the quantile of the
+standard normal distribution) of @var{p}.
 @end deftypefn
-is_controllable
+ppplot
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{retval}, @var{u}] =} is_controllable (@var{sys}, @var{tol})
-@deftypefnx {Function File} {[@var{retval}, @var{u}] =} is_controllable (@var{a}, @var{b}, @var{tol})
-Logical check for system controllability.
+@deftypefn {Function File} {[@var{p}, @var{y}] =} ppplot (@var{x}, @var{dist}, @var{params})
+Perform a PP-plot (probability plot).
 
-@strong{Inputs}
-@table @var
-@item sys
-system data structure
-@item a
-@itemx b
-@var{n} by @var{n}, @var{n} by @var{m} matrices, respectively
-@item tol
-optional roundoff parameter.  Default value: @code{10*eps}
-@end table
+If F is the CDF of the distribution @var{dist} with parameters
+@var{params} and @var{x} a sample vector of length @var{n}, the
+PP-plot graphs ordinate @var{y}(@var{i}) = F (@var{i}-th largest
+element of @var{x}) versus abscissa @var{p}(@var{i}) = (@var{i} -
+0.5)/@var{n}.  If the sample comes from F, the pairs will
+approximately follow a straight line.
 
-@strong{Outputs}
-@table @var
-@item retval
-Logical flag; returns true (1) if the system @var{sys} or the
-pair (@var{a}, @var{b}) is controllable, whichever was passed as input
-arguments.
-@item u
-@var{u} is an orthogonal basis of the controllable subspace.
-@end table
+The default for @var{dist} is the standard normal distribution.  The
+optional argument @var{params} contains a list of parameters of
+@var{dist}.  For example, for a probability plot of the uniform
+distribution on [2,4] and @var{x}, use
 
-@strong{Method}
-Controllability is determined by applying Arnoldi iteration with
-complete re-orthogonalization to obtain an orthogonal basis of the
-Krylov subspace
 @example
-span ([b,a*b,...,a^@{n-1@}*b]).
+ppplot (x, "uniform", 2, 4)
 @end example
-The Arnoldi iteration is executed with @code{krylov} if the system
-has a single input; otherwise a block Arnoldi iteration is performed
-with @code{krylovb}.
-@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
-is_observable, is_stabilizable, is_detectable, krylov, krylovb}
-@end deftypefn
-is_detectable
--*- texinfo -*-
-@deftypefn {Function File} {@var{retval} =} is_detectable (@var{a}, @var{c}, @var{tol}, @var{dflg})
-@deftypefnx {Function File} {@var{retval} =} is_detectable (@var{sys}, @var{tol})
-Test for detectability (observability of unstable modes) of (@var{a}, @var{c}).
 
-Returns 1 if the system @var{a} or the pair (@var{a}, @var{c}) is
-detectable, 0 if not, and -1 if the system has unobservable modes at the
-imaginary axis (unit circle for discrete-time systems).
+@noindent
+@var{dist} can be any string for which a function @var{dist_cdf}
+that calculates the CDF of distribution @var{dist} exists.
 
-@strong{See} @command{is_stabilizable} for detailed description of
-arguments and computational method.
-@seealso{is_stabilizable, size, rows, columns, length, ismatrix,
-isscalar, isvector}
+If no output arguments are given, the data are plotted directly.
 @end deftypefn
-is_digital
+qqplot
 -*- texinfo -*-
-@deftypefn {Function File} {@var{digital} =} is_digital (@var{sys}, @var{eflg})
-Return nonzero if system is digital.
+@deftypefn {Function File} {[@var{q}, @var{s}] =} qqplot (@var{x}, @var{dist}, @var{params})
+Perform a QQ-plot (quantile plot).
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure.
-@item eflg
-When equal to 0 (default value), exits with an error if the system 
-is mixed (continuous and discrete components); when equal to 1, print
-a warning if the system is mixed (continuous and discrete); when equal
-to 2, operate silently.
-@end table
+If F is the CDF of the distribution @var{dist} with parameters
+@var{params} and G its inverse, and @var{x} a sample vector of length
+@var{n}, the QQ-plot graphs ordinate @var{s}(@var{i}) = @var{i}-th
+largest element of x versus abscissa @var{q}(@var{i}f) = G((@var{i} -
+0.5)/@var{n}).
 
-@strong{Output}
-@table @var
-@item digital
-When equal to 0, the system is purely continuous; when equal to 1, the
-system is purely discrete; when equal to -1, the system is mixed continuous 
-and discrete.
-@end table
-Exits with an error if @var{sys} is a mixed (continuous and discrete) system.
-@end deftypefn
-is_observable
--*- texinfo -*-
-@deftypefn {Function File} {[@var{retval}, @var{u}] =} is_observable (@var{a}, @var{c}, @var{tol})
-@deftypefnx {Function File} {[@var{retval}, @var{u}] =} is_observable (@var{sys}, @var{tol})
-Logical check for system observability.
+If the sample comes from F except for a transformation of location
+and scale, the pairs will approximately follow a straight line.
 
-Default: tol = @code{tol = 10*norm(a,'fro')*eps}
+The default for @var{dist} is the standard normal distribution.  The
+optional argument @var{params} contains a list of parameters of
+@var{dist}.  For example, for a quantile plot of the uniform
+distribution on [2,4] and @var{x}, use
 
-Returns 1 if the system @var{sys} or the pair (@var{a}, @var{c}) is
-observable, 0 if not.
+@example
+qqplot (x, "uniform", 2, 4)
+@end example
 
-See @command{is_controllable} for detailed description of arguments
-and default values.
-@seealso{size, rows, columns, length, ismatrix, isscalar, isvector}
-@end deftypefn
-is_sample
--*- texinfo -*-
-@deftypefn {Function File} {} is_sample (@var{ts})
-Return true if @var{ts} is a valid sampling time
-(real, scalar, > 0).
-@end deftypefn
-is_signal_list
--*- texinfo -*-
-@deftypefn {Function File} {} is_signal_list (@var{mylist})
-Return true if @var{mylist} is a list of individual strings.
+@noindent
+@var{dist} can be any string for which a function @var{dist_inv}
+that calculates the inverse CDF of distribution @var{dist} exists.
+
+If no output arguments are given, the data are plotted directly.
 @end deftypefn
-is_siso
+median
 -*- texinfo -*-
-@deftypefn {Function File} {} is_siso (@var{sys})
-Returns nonzero if the system data structure
-@var{sys} is single-input, single-output.
+@deftypefn {Function File} {} median (@var{x}, @var{dim})
+If @var{x} is a vector, compute the median value of the elements of
+@var{x}. If the elements of @var{x} are sorted, the median is defined
+as
+@iftex
+@tex
+$$
+{\rm median} (x) =
+  \cases{x(\lceil N/2\rceil), & $N$ odd;\cr
+          (x(N/2)+x(N/2+1))/2, & $N$ even.}
+$$
+@end tex
+@end iftex
+@ifinfo
+
+@example
+@group
+            x(ceil(N/2)),             N odd
+median(x) =
+            (x(N/2) + x((N/2)+1))/2,  N even
+@end group
+@end example
+@end ifinfo
+If @var{x} is a matrix, compute the median value for each
+column and return them in a row vector. If the optional @var{dim}
+argument is given, operate along this dimension.
+@seealso{std, mean}
 @end deftypefn
-is_stabilizable
+cov
 -*- texinfo -*-
-@deftypefn {Function File} {@var{retval} =} is_stabilizable (@var{sys}, @var{tol})
-@deftypefnx {Function File} {@var{retval} =} is_stabilizable (@var{a}, @var{b}, @var{tol}, @var{dflg})
-Logical check for system stabilizability (i.e., all unstable modes are controllable). 
-Returns 1 if the system is stabilizable, 0 if the system is not stabilizable, -1 
-if the system has non stabilizable modes at the imaginary axis (unit circle for 
-discrete-time systems.
+@deftypefn {Function File} {} cov (@var{x}, @var{y})
+Compute covariance.
 
-Test for stabilizability is performed via Hautus Lemma. If 
+If each row of @var{x} and @var{y} is an observation and each column is
+a variable, the (@var{i}, @var{j})-th entry of
+@code{cov (@var{x}, @var{y})} is the covariance between the @var{i}-th
+variable in @var{x} and the @var{j}-th variable in @var{y}.
 @iftex
 @tex
-@var{dflg}$\neq$0
+$$
+\sigma_{ij} = {1 \over N-1} \sum_{i=1}^N (x_i - \bar{x})(y_i - \bar{y})
+$$
+where $\bar{x}$ and $\bar{y}$ are the mean values of $x$ and $y$.
 @end tex
 @end iftex
-@ifinfo 
-@var{dflg}!=0
-@end ifinfo
-assume that discrete-time matrices (a,b) are supplied.
-@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
-is_observable, is_stabilizable, is_detectable}
+If called with one argument, compute @code{cov (@var{x}, @var{x})}.
 @end deftypefn
-is_stable
+table
 -*- texinfo -*-
-@deftypefn {Function File} {} is_stable (@var{a}, @var{tol}, @var{dflg})
-@deftypefnx {Function File} {} is_stable (@var{sys}, @var{tol})
-Returns 1 if the matrix @var{a} or the system @var{sys}
-is stable, or 0 if not.
-
-@strong{Inputs}
-@table @var
-@item  tol
-is a roundoff parameter, set to 200*@code{eps} if omitted.
-@item dflg
-Digital system flag (not required for system data structure):
-@table @code
-@item @var{dflg} != 0
-stable if eig(a) is in the unit circle
+@deftypefn {Function File} {[@var{t}, @var{l_x}] =} table (@var{x})
+@deftypefnx {Function File} {[@var{t}, @var{l_x}, @var{l_y}] =} table (@var{x}, @var{y})
+Create a contingency table @var{t} from data vectors.  The @var{l}
+vectors are the corresponding levels.
 
-@item @var{dflg} == 0
-stable if eig(a) is in the open LHP (default)
-@end table
-@end table
-@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
-is_observable, is_stabilizable, is_detectable, krylov, krylovb}
+Currently, only 1- and 2-dimensional tables are supported.
 @end deftypefn
-jet707
+std
 -*- texinfo -*-
-@deftypefn {Function File} {@var{sys} =} jet707 ()
-Creates a linearized state-space model of a Boeing 707-321 aircraft
-at @var{v}=80 m/s 
+@deftypefn {Function File} {} std (@var{x})
+@deftypefnx {Function File} {} std (@var{x}, @var{opt})
+@deftypefnx {Function File} {} std (@var{x}, @var{opt}, @var{dim})
+If @var{x} is a vector, compute the standard deviation of the elements
+of @var{x}.
 @iftex
 @tex
-($M = 0.26$, $G_{a0} = -3^{\circ}$, ${\alpha}_0 = 4^{\circ}$, ${\kappa}= 50^{\circ}$).
+$$
+{\rm std} (x) = \sigma (x) = \sqrt{{\sum_{i=1}^N (x_i - \bar{x})^2 \over N - 1}}
+$$
+where $\bar{x}$ is the mean value of $x$.
 @end tex
 @end iftex
-@ifinfo
-(@var{M} = 0.26, @var{Ga0} = -3 deg, @var{alpha0} = 4 deg, @var{kappa} = 50 deg).
-@end ifinfo
+@ifnottex
 
-System inputs: (1) thrust and (2) elevator angle.
+@example
+@group
+std (x) = sqrt (sumsq (x - mean (x)) / (n - 1))
+@end group
+@end example
+@end ifnottex
+If @var{x} is a matrix, compute the standard deviation for
+each column and return them in a row vector.
 
-System outputs:  (1) airspeed and (2) pitch angle.
+The argument @var{opt} determines the type of normalization to use. Valid values
+are
 
-@strong{Reference}: R. Brockhaus: @cite{Flugregelung} (Flight
-Control), Springer, 1994.
-@seealso{ord2}
+@table @asis 
+@item 0:
+  normalizes with @math{N-1}, provides the square root of best unbiased estimator of 
+  the variance [default]
+@item 1:
+  normalizes with @math{N}, this provides the square root of the second moment around 
+  the mean
+@end table
+
+The third argument @var{dim} determines the dimension along which the standard
+deviation is calculated.
+@seealso{mean, median}
 @end deftypefn
-listidx
+range
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{idxvec}, @var{errmsg}] =} listidx (@var{listvar}, @var{strlist})
-Return indices of string entries in @var{listvar} that match strings
-in @var{strlist}.
-
-Both @var{listvar} and @var{strlist} may be passed as strings or
-string matrices.  If they are passed as string matrices, each entry
-is processed by @code{deblank} prior to searching for the entries.
+@deftypefn {Function File} {} range (@var{x})
+@deftypefnx {Function File} {} range (@var{x}, @var{dim})
+If @var{x} is a vector, return the range, i.e., the difference
+between the maximum and the minimum, of the input data.
 
-The first output is the vector of indices in @var{listvar}.
+If @var{x} is a matrix, do the above for each column of @var{x}.
 
-If @var{strlist} contains a string not in @var{listvar}, then
-an error message is returned in @var{errmsg}.  If only one output
-argument is requested, then @var{listidx} prints @var{errmsg} to the
-screen and exits with an error.
-@end deftypefn
-moddemo
--*- texinfo -*-
-@deftypefn {Function File} {} moddemo (@var{inputs})
-Octave Control toolbox demo: Model Manipulations demo.
+If the optional argument @var{dim} is supplied, work along dimension
+@var{dim}.
 @end deftypefn
-ord2
+skewness
 -*- texinfo -*-
-@deftypefn {Function File} {} ord2 (@var{nfreq}, @var{damp}, @var{gain})
-Creates a continuous 2nd order system with parameters:
-
-@strong{Inputs}
-@table @var
-@item nfreq
-natural frequency [Hz]. (not in rad/s)
-@item damp
-damping coefficient
-@item gain
-dc-gain
-This is steady state value only for damp > 0.
-gain is assumed to be 1.0 if omitted.
-@end table
-
-@strong{Output}
-@table @var
-@item outsys
-system data structure has representation with 
-@ifinfo
-@math{w = 2 * pi * nfreq}:
-@end ifinfo
+@deftypefn {Function File} {} skewness (@var{x}, @var{dim})
+If @var{x} is a vector of length @math{n}, return the skewness
 @iftex
 @tex
-$ w = 2  \pi  f $:
+$$
+{\rm skewness} (x) = {1\over N \sigma(x)^3} \sum_{i=1}^N (x_i-\bar{x})^3
+$$
+where $\bar{x}$ is the mean value of $x$.
 @end tex
 @end iftex
+@ifinfo
+
 @example
-@group
-    /                                        \
-    | / -2w*damp -w \  / w \                 |
-G = | |             |, |   |, [ 0  gain ], 0 |
-    | \   w       0 /  \ 0 /                 |
-    \                                        /
-@end group
+skewness (x) = N^(-1) std(x)^(-3) sum ((x - mean(x)).^3)
 @end example
-@end table
-@strong{See also} @command{jet707} (@acronym{MIMO} example, Boeing 707-321
-aircraft model)
+@end ifinfo
+
+@noindent
+of @var{x}.  If @var{x} is a matrix, return the skewness along the
+first non-singleton dimension of the matrix. If the optional
+@var{dim} argument is given, operate along this dimension.
 @end deftypefn
-parallel
+studentize
 -*- texinfo -*-
-@deftypefn {Function File} {@var{ksys} =} parallel (@var{asys}, @var{bsys})
-Forms the parallel connection of two systems.
+@deftypefn {Function File} {} studentize (@var{x}, @var{dim})
+If @var{x} is a vector, subtract its mean and divide by its standard
+deviation.
 
-@example
-@group
-             --------------------
-             |      --------    |
-    u  ----->|----> | asys |--->|----> y1
-        |    |      --------    |
-        |    |      --------    |
-        |--->|----> | bsys |--->|----> y2
-             |      --------    |
-             --------------------
-                  ksys
-@end group
-@end example
+If @var{x} is a matrix, do the above along the first non-singleton
+dimension. If the optional argument @var{dim} is given then operate
+along this dimension.
 @end deftypefn
-ss
+var
 -*- texinfo -*-
-@deftypefn {Function File} {@var{outsys} =} ss (@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{outlist})
-Create system structure from state-space data.   May be continuous,
-discrete, or mixed (sampled data)
+@deftypefn {Function File} {} var (@var{x})
+For vector arguments, return the (real) variance of the values.
+For matrix arguments, return a row vector containing the variance for
+each column.
 
-@strong{Inputs}
-@table @var
-@item a
-@itemx b
-@itemx c
-@itemx d
-usual state space matrices.
+The argument @var{opt} determines the type of normalization to use.
+Valid values are
 
-default: @var{d} = zero matrix
+@table @asis 
+@item 0:
+Normalizes with @math{N-1}, provides the best unbiased estimator of the
+variance [default].
+@item 1:
+Normalizes with @math{N}, this provides the second moment around the mean.
+@end table
 
-@item   tsam
-sampling rate.  Default: @math{tsam = 0} (continuous system)
+The third argument @var{dim} determines the dimension along which the 
+variance is calculated.
+@end deftypefn
+values
+-*- texinfo -*-
+@deftypefn {Function File} {} values (@var{x})
+Return the different values in a column vector, arranged in ascending
+order.
 
-@item n
-@itemx nz
-number of continuous, discrete states in the system
+As an example, @code{values([1, 2, 3, 1])} returns the vector
+@code{[1, 2, 3]}.
+@end deftypefn
+ranks
+-*- texinfo -*-
+@deftypefn {Function File} {} ranks (@var{x}, @var{dim})
+Return the ranks of @var{x} along the first non-singleton dimension
+adjust for ties. If the optional argument @var{dim} is
+given, operate along this dimension.
+@end deftypefn
+prctile
+-*- texinfo -*-
+@deftypefn {Function File} {@var{y} =} prctile (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{q} =} prctile (@var{x}, @var{p}, @var{dim})
+For a sample @var{x}, compute the the quantiles, @var{y}, corresponding
+to the cumulative probability values, P, in percent. All non-numeric
+values (NaNs) of X are ignored.
+
+If @var{x} is a matrix, compute the the percentiles for each column and
+return them in a matrix, such that the i-th row of @var{y} contains the 
+@var{p}(i)th percentiles of each column of @var{x}.
+
+The optional argument @var{dim} determines the dimension along which
+the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+dimension whose size greater than unity.
 
-If @var{tsam} is 0, @math{n = @code{rows}(@var{a})}, @math{nz = 0}.
+@end deftypefn
+kendall
+-*- texinfo -*-
+@deftypefn {Function File} {} kendall (@var{x}, @var{y})
+Compute Kendall's @var{tau} for each of the variables specified by
+the input arguments.
 
-If @var{tsam} is greater than zero, @math{n = 0},
-@math{nz = @code{rows}(@var{a})}
+For matrices, each row is an observation and each column a variable;
+vectors are always observations and may be row or column vectors.
 
-see below for system partitioning
+@code{kendall (@var{x})} is equivalent to @code{kendall (@var{x},
+@var{x})}.
 
-@item  stname
-cell array of strings of state signal names
+For two data vectors @var{x}, @var{y} of common length @var{n},
+Kendall's @var{tau} is the correlation of the signs of all rank
+differences of @var{x} and @var{y};  i.e., if both @var{x} and
+@var{y} have distinct entries, then
 
-default (@var{stname}=[] on input): @code{x_n} for continuous states,
-@code{xd_n} for discrete states
+@iftex
+@tex
+$$ \tau = {1 \over n(n-1)} \sum_{i,j} {\rm sign}(q_i-q_j) {\rm sign}(r_i-r_j) $$
+@end tex
+@end iftex
+@ifinfo
+@example
+         1    
+tau = -------   SUM sign (q(i) - q(j)) * sign (r(i) - r(j))
+      n (n-1)   i,j
+@end example
+@end ifinfo
 
-@item inname
-cell array of strings of input signal names
+@noindent
+in which the
+@iftex
+@tex
+$q_i$ and $r_i$
+@end tex
+@end iftex
+@ifinfo
+@var{q}(@var{i}) and @var{r}(@var{i})
+@end ifinfo
+ are the ranks of
+@var{x} and @var{y}, respectively.
 
-default (@var{inname} = [] on input): @code{u_n}
+If @var{x} and @var{y} are drawn from independent distributions,
+Kendall's @var{tau} is asymptotically normal with mean 0 and variance
+@iftex
+@tex
+${2 (2n+5) \over 9n(n-1)}$.
+@end tex
+@end iftex
+@ifnottex
+@code{(2 * (2@var{n}+5)) / (9 * @var{n} * (@var{n}-1))}.
+@end ifnottex
+@end deftypefn
+center
+-*- texinfo -*-
+@deftypefn {Function File} {} center (@var{x})
+@deftypefnx {Function File} {} center (@var{x}, @var{dim})
+If @var{x} is a vector, subtract its mean.
+If @var{x} is a matrix, do the above for each column.
+If the optional argument @var{dim} is given, perform the above
+operation along this dimension
+@end deftypefn
+iqr
+-*- texinfo -*-
+@deftypefn {Function File} {} iqr (@var{x}, @var{dim})
+If @var{x} is a vector, return the interquartile range, i.e., the
+difference between the upper and lower quartile, of the input data.
 
-@item outname
-cell array of strings of output signal names
+If @var{x} is a matrix, do the above for first non singleton
+dimension of @var{x}. If the option @var{dim} argument is given,
+then operate along this dimension.
+@end deftypefn
+statistics
+-*- texinfo -*-
+@deftypefn {Function File} {} statistics (@var{x})
+If @var{x} is a matrix, return a matrix with the minimum, first
+quartile, median, third quartile, maximum, mean, standard deviation,
+skewness and kurtosis of the columns of @var{x} as its columns.
 
-default (@var{outname} = [] on input): @code{y_n}
+If @var{x} is a vector, calculate the statistics along the 
+non-singleton dimension.
+@end deftypefn
+meansq
+-*- texinfo -*-
+@deftypefn {Function File} {} meansq (@var{x})
+@deftypefnx {Function File} {} meansq (@var{x}, @var{dim})
+For vector arguments, return the mean square of the values.
+For matrix arguments, return a row vector containing the mean square
+of each column. With the optional @var{dim} argument, returns the
+mean squared of the values along this dimension.
+@end deftypefn
+mahalanobis
+-*- texinfo -*-
+@deftypefn {Function File} {} mahalanobis (@var{x}, @var{y})
+Return the Mahalanobis' D-square distance between the multivariate
+samples @var{x} and @var{y}, which must have the same number of
+components (columns), but may have a different number of observations
+(rows).
+@end deftypefn
+cloglog
+-*- texinfo -*-
+@deftypefn {Function File} {} cloglog (@var{x})
+Return the complementary log-log function of @var{x}, defined as
 
-@item   outlist
+@iftex
+@tex
+$$
+{\rm cloglog}(x) = - \log (- \log (x))
+$$
+@end tex
+@end iftex
+@ifnottex
+@example
+cloglog(x) = - log (- log (@var{x}))
+@end example
+@end ifnottex
+@end deftypefn
+quantile
+-*- texinfo -*-
+@deftypefn {Function File} {@var{q} =} quantile (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim})
+@deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim}, @var{method} )
+For a sample, @var{x}, calculate the quantiles, @var{q}, corresponding to
+the cumulative probability values in @var{p}. All non-numeric values (NaNs) of
+@var{x} are ignored.
+
+If @var{x} is a matrix, compute the quantiles for each column and
+return them in a matrix, such that the i-th row of @var{q} contains
+the @var{p}(i)th quantiles of each column of @var{x}.
+
+The optional argument @var{dim} determines the dimension along which 
+the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+dimension whose size greater than unity.
+
+The methods available to calculate sample quantiles are the nine methods
+used by R (http://www.r-project.org/). The default value is METHOD = 5.
+
+Discontinuous sample quantile methods 1, 2, and 3
+
+@enumerate 1
+@item Method 1: Inverse of empirical distribution function.
+@item Method 2: Similar to method 1 but with averaging at discontinuities.
+@item Method 3: SAS definition: nearest even order statistic.
+@end enumerate
 
-list of indices of outputs y that are sampled
+Continuous sample quantile methods 4 through 9, where p(k) is the linear
+interpolation function respecting each methods' representative cdf.
 
-If @var{tsam} is 0, @math{outlist = []}.
+@enumerate 4
+@item Method 4: p(k) = k / n. That is, linear interpolation of the empirical cdf.
+@item Method 5: p(k) = (k - 0.5) / n. That is a piecewise linear function where 
+the knots are the values midway through the steps of the empirical cdf. 
+@item Method 6: p(k) = k / (n + 1).
+@item Method 7: p(k) = (k - 1) / (n - 1).
+@item Method 8: p(k) = (k - 1/3) / (n + 1/3). The resulting quantile estimates 
+are approximately median-unbiased regardless of the distribution of @var{x}.
+@item Method 9: p(k) = (k - 3/8) / (n + 1/4). The resulting quantile estimates 
+are approximately unbiased for the expected order statistics if @var{x} is 
+normally distributed.
+@end enumerate
 
-If @var{tsam} is greater than 0, @math{outlist = 1:@code{rows}(@var{c})}.
-@end table
+Hyndman and Fan (1996) recommend method 8.  Maxima, S, and R
+(versions prior to 2.0.0) use 7 as their default.  Minitab and SPSS
+use method 6.  Matlab uses method 5.
 
-Unlike states, discrete/continuous outputs may appear in any order.
+References:
 
-@code{sys2ss} returns a vector @var{yd} where
-@var{yd}(@var{outlist}) = 1; all other entries of @var{yd} are 0.
+@itemize @bullet
+@item Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New
+S Language. Wadsworth & Brooks/Cole.
 
-@strong{Output}
-@table @var
-@item outsys
-system data structure
-@end table
+@item Hyndman, R. J. and Fan, Y. (1996) Sample quantiles in
+statistical packages, American Statistician, 50, 361-365.
 
-@strong{System partitioning}
+@item R: A Language and Environment for Statistical Computing;
+@url{http://cran.r-project.org/doc/manuals/fullrefman.pdf}.
+@end itemize
+@end deftypefn
+moment
+-*- texinfo -*-
+@deftypefn {Function File} {} moment (@var{x}, @var{p}, @var{opt}, @var{dim})
+If @var{x} is a vector, compute the @var{p}-th moment of @var{x}.
 
-Suppose for simplicity that outlist specified
-that the first several outputs were continuous and the remaining outputs
-were discrete.  Then the system is partitioned as
-@example
-@group
-x = [ xc ]  (n x 1)
-    [ xd ]  (nz x 1 discrete states)
-a = [ acc acd ]  b = [ bc ]
-    [ adc add ]      [ bd ]
-c = [ ccc ccd ]  d = [ dc ]
-    [ cdc cdd ]      [ dd ]
+If @var{x} is a matrix, return the row vector containing the
+@var{p}-th moment of each column.
 
-    (cdc = c(outlist,1:n), etc.)
-@end group
+With the optional string opt, the kind of moment to be computed can
+be specified.  If opt contains @code{"c"} or @code{"a"}, central
+and/or absolute moments are returned.  For example,
+
+@example
+moment (x, 3, "ac")
 @end example
-with dynamic equations:
-@ifinfo
-@math{d/dt xc(t)     = acc*xc(t)      + acd*xd(k*tsam) + bc*u(t)}
 
-@math{xd((k+1)*tsam) = adc*xc(k*tsam) + add*xd(k*tsam) + bd*u(k*tsam)}
+@noindent
+computes the third central absolute moment of @var{x}.
 
-@math{yc(t)      = ccc*xc(t)      + ccd*xd(k*tsam) + dc*u(t)}
+If the optional argument @var{dim} is supplied, work along dimension
+@var{dim}.
+@end deftypefn
+corrcoef
+-*- texinfo -*-
+@deftypefn {Function File} {} corrcoef (@var{x}, @var{y})
+Compute correlation.
+
+If each row of @var{x} and @var{y} is an observation and each column is
+a variable, the (@var{i}, @var{j})-th entry of
+@code{corrcoef (@var{x}, @var{y})} is the correlation between the
+@var{i}-th variable in @var{x} and the @var{j}-th variable in @var{y}.
 
-@math{yd(k*tsam) = cdc*xc(k*tsam) + cdd*xd(k*tsam) + dd*u(k*tsam)}
-@end ifinfo
 @iftex
 @tex
-$$\eqalign{
-{d \over dt} x_c(t)
-  & =   a_{cc} x_c(t)      + a_{cd} x_d(k*t_{sam}) + bc*u(t) \cr
-x_d((k+1)*t_{sam})
-  & =   a_{dc} x_c(k t_{sam}) + a_{dd} x_d(k t_{sam}) + b_d u(k t_{sam}) \cr
-y_c(t)
- & =  c_{cc} x_c(t) + c_{cd} x_d(k t_{sam}) + d_c u(t) \cr
-y_d(k t_{sam})
-  & =  c_{dc} x_c(k t_{sam}) + c_{dd} x_d(k t_{sam}) + d_d u(k t_{sam})
-}$$
+$$
+{\rm corrcoef}(x,y) = {{\rm cov}(x,y) \over {\rm std}(x) {\rm std}(y)}
+$$
 @end tex
 @end iftex
-
-@strong{Signal partitions}
+@ifnottex
 @example
-@group
-        | continuous      | discrete               |
-----------------------------------------------------
-states  | stname(1:n,:)   | stname((n+1):(n+nz),:) |
-----------------------------------------------------
-outputs | outname(cout,:) | outname(outlist,:)     |
-----------------------------------------------------
-@end group
+corrcoef(x,y) = cov(x,y)/(std(x)*std(y))
 @end example
-where @math{cout} is the list of in 1:@code{rows}(@var{p})
-that are not contained in outlist. (Discrete/continuous outputs
-may be entered in any order desired by the user.)
+@end ifnottex
 
-@strong{Example}
+If called with one argument, compute @code{corrcoef (@var{x}, @var{x})}.
+@end deftypefn
+logit
+-*- texinfo -*-
+@deftypefn {Function File} {} logit (@var{p})
+For each component of @var{p}, return the logit of @var{p} defined as
+@iftex
+@tex
+$$
+{\rm logit}(p) = \log\Big({p \over 1-p}\Big)
+$$
+@end tex
+@end iftex
+@ifnottex
 @example
-octave:1> a = [1 2 3; 4 5 6; 7 8 10];
-octave:2> b = [0 0 ; 0 1 ; 1 0];
-octave:3> c = eye (3);
-octave:4> sys = ss (a, b, c, [], 0, 3, 0, ...
->                   @{"volts", "amps", "joules"@});
-octave:5> sysout(sys);
-Input(s)
-        1: u_1
-        2: u_2
-
-Output(s):
-        1: y_1
-        2: y_2
-        3: y_3
-
-state-space form:
-3 continuous states, 0 discrete states
-State(s):
-        1: volts
-        2: amps
-        3: joules
-
-A matrix: 3 x 3
-   1   2   3
-   4   5   6
-   7   8  10
-B matrix: 3 x 2
-  0  0
-  0  1
-  1  0
-C matrix: 3 x 3
-  1  0  0
-  0  1  0
-  0  0  1
-D matrix: 3 x 3
-  0  0
-  0  0
-  0  0
+logit(@var{p}) = log (@var{p} / (1-@var{p}))
 @end example
-Notice that the @math{D} matrix is constructed  by default to the
-correct dimensions.  Default input and output signals names were assigned
-since none were given.
+@end ifnottex
 @end deftypefn
-ss2sys
+cor
 -*- texinfo -*-
-@deftypefn {Function File} {} ss2sys (@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{outlist})
-Create system structure from state-space data.   May be continuous,
-discrete, or mixed (sampled data)
+@deftypefn {Function File} {} cor (@var{x}, @var{y})
+Compute correlation.
 
-@strong{Inputs}
-@table @var
-@item a
-@itemx b
-@itemx c
-@itemx d
-usual state space matrices.
+The (@var{i}, @var{j})-th entry of @code{cor (@var{x}, @var{y})} is
+the correlation between the @var{i}-th variable in @var{x} and the
+@var{j}-th variable in @var{y}.
 
-default: @var{d} = zero matrix
+@iftex
+@tex
+$$
+{\rm corrcoef}(x,y) = {{\rm cov}(x,y) \over {\rm std}(x) {\rm std}(y)}
+$$
+@end tex
+@end iftex
+@ifnottex
+@example
+corrcoef(x,y) = cov(x,y)/(std(x)*std(y))
+@end example
+@end ifnottex
 
-@item   tsam
-sampling rate.  Default: @math{tsam = 0} (continuous system)
+For matrices, each row is an observation and each column a variable;
+vectors are always observations and may be row or column vectors.
 
-@item n
-@itemx nz
-number of continuous, discrete states in the system
+@code{cor (@var{x})} is equivalent to @code{cor (@var{x}, @var{x})}.
 
-If @var{tsam} is 0, @math{n = @code{rows}(@var{a})}, @math{nz = 0}.
+Note that the @code{corrcoef} function does the same as @code{cor}.
+@end deftypefn
+kurtosis
+-*- texinfo -*-
+@deftypefn {Function File} {} kurtosis (@var{x}, @var{dim})
+If @var{x} is a vector of length @math{N}, return the kurtosis
+@iftex
+@tex
+$$
+ {\rm kurtosis} (x) = {1\over N \sigma(x)^4} \sum_{i=1}^N (x_i-\bar{x})^4 - 3
+$$
+where $\bar{x}$ is the mean value of $x$.
+@end tex
+@end iftex
+@ifinfo
 
-If @var{tsam} is greater than zero, @math{n = 0},
-@math{nz = @code{rows}(@var{a})}
+@example
+kurtosis (x) = N^(-1) std(x)^(-4) sum ((x - mean(x)).^4) - 3
+@end example
+@end ifinfo
 
-see below for system partitioning
+@noindent
+of @var{x}.  If @var{x} is a matrix, return the kurtosis over the
+first non-singleton dimension. The optional argument @var{dim}
+can be given to force the kurtosis to be given over that 
+dimension.
+@end deftypefn
+cut
+-*- texinfo -*-
+@deftypefn {Function File} {} cut (@var{x}, @var{breaks})
+Create categorical data out of numerical or continuous data by
+cutting into intervals.
 
-@item  stname
-cell array of strings of state signal names
+If @var{breaks} is a scalar, the data is cut into that many
+equal-width intervals.  If @var{breaks} is a vector of break points,
+the category has @code{length (@var{breaks}) - 1} groups.
 
-default (@var{stname}=[] on input): @code{x_n} for continuous states,
-@code{xd_n} for discrete states
+The returned value is a vector of the same size as @var{x} telling
+which group each point in @var{x} belongs to.  Groups are labelled
+from 1 to the number of groups; points outside the range of
+@var{breaks} are labelled by @code{NaN}.
+@end deftypefn
+gls
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{beta}, @var{v}, @var{r}] =} gls (@var{y}, @var{x}, @var{o})
+Generalized least squares estimation for the multivariate model
+@iftex
+@tex
+$y = x b + e$
+with $\bar{e} = 0$ and cov(vec($e$)) = $(s^2)o$,
+@end tex
+@end iftex
+@ifinfo
+@math{y = x b + e} with @math{mean (e) = 0} and
+@math{cov (vec (e)) = (s^2) o},
+@end ifinfo
+ where
+@iftex
+@tex
+$y$ is a $t \times p$ matrix, $x$ is a $t \times k$ matrix, $b$ is a $k
+\times p$ matrix, $e$ is a $t \times p$ matrix, and $o$ is a $tp \times
+tp$ matrix.
+@end tex
+@end iftex
+@ifinfo
+@math{y} is a @math{t} by @math{p} matrix, @math{x} is a @math{t} by
+@math{k} matrix, @math{b} is a @math{k} by @math{p} matrix, @math{e}
+is a @math{t} by @math{p} matrix, and @math{o} is a @math{t p} by
+@math{t p} matrix.
+@end ifinfo
 
-@item inname
-cell array of strings of input signal names
+@noindent
+Each row of @var{y} and @var{x} is an observation and each column a
+variable.  The return values @var{beta}, @var{v}, and @var{r} are
+defined as follows.
 
-default (@var{inname} = [] on input): @code{u_n}
+@table @var
+@item beta
+The GLS estimator for @math{b}.
 
-@item outname
-cell array of strings of input signal names
+@item v
+The GLS estimator for @math{s^2}.
 
-default (@var{outname} = [] on input): @code{y_n}
+@item r
+The matrix of GLS residuals, @math{r = y - x beta}.
+@end table
+@end deftypefn
+run_count
+-*- texinfo -*-
+@deftypefn {Function File} {} run_count (@var{x}, @var{n})
+Count the upward runs along the first non-singleton dimension of
+@var{x} of length 1, 2, @dots{}, @var{n}-1 and greater than or equal 
+to @var{n}. If the optional argument @var{dim} is given operate
+along this dimension
+@end deftypefn
+mean
+-*- texinfo -*-
+@deftypefn {Function File} {} mean (@var{x}, @var{dim}, @var{opt})
+If @var{x} is a vector, compute the mean of the elements of @var{x}
+@iftex
+@tex
+$$ {\rm mean}(x) = \bar{x} = {1\over N} \sum_{i=1}^N x_i $$
+@end tex
+@end iftex
+@ifinfo
 
-@item   outlist
+@example
+mean (x) = SUM_i x(i) / N
+@end example
+@end ifinfo
+If @var{x} is a matrix, compute the mean for each column and return them
+in a row vector.
 
-list of indices of outputs y that are sampled
+With the optional argument @var{opt}, the kind of mean computed can be
+selected.  The following options are recognized:
 
-If @var{tsam} is 0, @math{outlist = []}.
+@table @code
+@item "a"
+Compute the (ordinary) arithmetic mean.  This is the default.
 
-If @var{tsam} is greater than 0, @math{outlist = 1:@code{rows}(@var{c})}.
+@item "g"
+Compute the geometric mean.
+
+@item "h"
+Compute the harmonic mean.
 @end table
 
-Unlike states, discrete/continuous outputs may appear in any order.
-
-@code{sys2ss} returns a vector @var{yd} where
-@var{yd}(@var{outlist}) = 1; all other entries of @var{yd} are 0.
-
-@strong{Outputs}
-@var{outsys} = system data structure
+If the optional argument @var{dim} is supplied, work along dimension
+@var{dim}.
 
-@strong{System partitioning}
+Both @var{dim} and @var{opt} are optional.  If both are supplied,
+either may appear first.
+@end deftypefn
+qmult
+-*- texinfo -*-
+@deftypefn {Function File} {} qmult (@var{a}, @var{b})
+Multiply two quaternions.
 
-Suppose for simplicity that outlist specified
-that the first several outputs were continuous and the remaining outputs
-were discrete.  Then the system is partitioned as
 @example
-@group
-x = [ xc ]  (n x 1)
-    [ xd ]  (nz x 1 discrete states)
-a = [ acc acd ]  b = [ bc ]
-    [ adc add ]      [ bd ]
-c = [ ccc ccd ]  d = [ dc ]
-    [ cdc cdd ]      [ dd ]
-
-    (cdc = c(outlist,1:n), etc.)
-@end group
+[w, x, y, z] = w*i + x*j + y*k + z
 @end example
-with dynamic equations:
-@ifinfo
-@math{d/dt xc(t)     = acc*xc(t)      + acd*xd(k*tsam) + bc*u(t)}
-
-@math{xd((k+1)*tsam) = adc*xc(k*tsam) + add*xd(k*tsam) + bd*u(k*tsam)}
 
-@math{yc(t)      = ccc*xc(t)      + ccd*xd(k*tsam) + dc*u(t)}
-
-@math{yd(k*tsam) = cdc*xc(k*tsam) + cdd*xd(k*tsam) + dd*u(k*tsam)}
-@end ifinfo
-@iftex
-@tex
-$$\eqalign{
-{d \over dt} x_c(t)
-  & =   a_{cc} x_c(t)      + a_{cd} x_d(k*t_{sam}) + bc*u(t) \cr
-x_d((k+1)*t_{sam})
-  & =   a_{dc} x_c(k t_{sam}) + a_{dd} x_d(k t_{sam}) + b_d u(k t_{sam}) \cr
-y_c(t)
- & =  c_{cc} x_c(t) + c_{cd} x_d(k t_{sam}) + d_c u(t) \cr
-y_d(k t_{sam})
-  & =  c_{dc} x_c(k t_{sam}) + c_{dd} x_d(k t_{sam}) + d_d u(k t_{sam})
-}$$
-@end tex
-@end iftex
+@noindent
+identities:
 
-@strong{Signal partitions}
 @example
-@group
-        | continuous      | discrete               |
-----------------------------------------------------
-states  | stname(1:n,:)   | stname((n+1):(n+nz),:) |
-----------------------------------------------------
-outputs | outname(cout,:) | outname(outlist,:)     |
-----------------------------------------------------
-@end group
+i^2 = j^2 = k^2 = -1
+ij = k                 jk = i
+ki = j                 kj = -i
+ji = -k                ik = -j
 @end example
-where @math{cout} is the list of in 1:@code{rows}(@var{p})
-that are not contained in outlist. (Discrete/continuous outputs
-may be entered in any order desired by the user.)
+@end deftypefn
+qderiv
+-*- texinfo -*-
+@deftypefn {Function File} {} qderiv (omega)
+Derivative of a quaternion.
 
-@strong{Example}
-@example
-octave:1> a = [1 2 3; 4 5 6; 7 8 10];
-octave:2> b = [0 0 ; 0 1 ; 1 0];
-octave:3> c = eye (3);
-octave:4> sys = ss (a, b, c, [], 0, 3, 0, 
->                   @{"volts", "amps", "joules"@});
-octave:5> sysout(sys);
-Input(s)
-        1: u_1
-        2: u_2
+Let Q be a quaternion to transform a vector from a fixed frame to
+a rotating frame.  If the rotating frame is rotating about the 
+[x, y, z] axes at angular rates [wx, wy, wz], then the derivative
+of Q is given by
 
-Output(s):
-        1: y_1
-        2: y_2
-        3: y_3
+@example
+Q' = qderivmat (omega) * Q
+@end example
 
-state-space form:
-3 continuous states, 0 discrete states
-State(s):
-        1: volts
-        2: amps
-        3: joules
+If the passive convention is used (rotate the frame, not the vector),
+then
 
-A matrix: 3 x 3
-   1   2   3
-   4   5   6
-   7   8  10
-B matrix: 3 x 2
-  0  0
-  0  1
-  1  0
-C matrix: 3 x 3
-  1  0  0
-  0  1  0
-  0  0  1
-D matrix: 3 x 3
-  0  0
-  0  0
-  0  0
+@example
+Q' = -qderivmat (omega) * Q
 @end example
-Notice that the @math{D} matrix is constructed  by default to the
-correct dimensions.  Default input and output signals names were assigned
-since none were given.
 @end deftypefn
-ss2tf
+qtrans
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{num}, @var{den}] =} ss2tf (@var{a}, @var{b}, @var{c}, @var{d})
-Conversion from transfer function to state-space.
-The state space system:
-@iftex
-@tex
-$$ \dot x = Ax + Bu $$
-$$ y = Cx + Du $$
-@end tex
-@end iftex
-@ifinfo
-@example
-      .
-      x = Ax + Bu
-      y = Cx + Du
-@end example
-@end ifinfo
+@deftypefn {Function File} {} qtrans (@var{v}, @var{q})
+Transform the unit quaternion @var{v} by the unit quaternion @var{q}.
+Returns @code{@var{v} = @var{q}*@var{v}/@var{q}}.
+@end deftypefn
+qconj
+-*- texinfo -*-
+@deftypefn {Function File} {} qconj (@var{q})
+Conjugate of a quaternion.
 
-is converted to a transfer function:
-@iftex
-@tex
-$$ G(s) = { { \rm num }(s) \over { \rm den }(s) } $$
-@end tex
-@end iftex
-@ifinfo
 @example
-
-                num(s)
-          G(s)=-------
-                den(s)
+q = [w, x, y, z] = w*i + x*j + y*k + z
+qconj (q) = -w*i -x*j -y*k + z
 @end example
-@end ifinfo
-
-used internally in system data structure format manipulations.
 @end deftypefn
-ss2zp
+qcoordinate_plot
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pol}, @var{zer}, @var{k}] =} ss2zp (@var{a}, @var{b}, @var{c}, @var{d})
-Converts a state space representation to a set of poles and zeros;
-@var{k} is a gain associated with the zeros.
+@deftypefn {Function File} {} qcoordinate_plot (@var{qf}, @var{qb}, @var{qv})
+Plot in the current figure a set of coordinate axes as viewed from 
+the orientation specified by quaternion @var{qv}.  Inertial axes are
+also plotted:
 
-Used internally in system data structure format manipulations.
+@table @var
+@item qf
+Quaternion from reference (x,y,z) to inertial.
+@item qb
+Quaternion from reference to body.
+@item qv
+Quaternion from reference to view angle.
+@end table
 @end deftypefn
-starp
+qinv
 -*- texinfo -*-
-@deftypefn {Function File} {} starp (@var{P}, @var{K}, @var{ny}, @var{nu})
+@deftypefn {Function File} {} qinv (@var{q})
+Return the inverse of a quaternion.
 
-Redheffer star product or upper/lower LFT, respectively.
 @example
-@group
-
-               +-------+
-     --------->|       |--------->
-               |   P   |
-          +--->|       |---+  ny
-          |    +-------+   |
-          +-------------------+
-                           |  |
-          +----------------+  |
-          |                   |
-          |    +-------+      |
-          +--->|       |------+ nu
-               |   K   |
-     --------->|       |--------->
-               +-------+
-@end group
+q = [w, x, y, z] = w*i + x*j + y*k + z
+qmult (q, qinv (q)) = 1 = [0 0 0 1]
 @end example
-If @var{ny} and @var{nu} ``consume'' all inputs and outputs of
-@var{K} then the result is a lower fractional transformation. 
-If @var{ny} and @var{nu} ``consume'' all inputs and outputs of 
-@var{P} then the result is an upper fractional transformation.
-
-@var{ny} and/or @var{nu} may be negative (i.e. negative feedback).
 @end deftypefn
-sys2fir
+qtransvmat
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{c}, @var{tsam}, @var{input}, @var{output}] =} sys2fir (@var{sys})
-
-Extract @acronym{FIR} data from system data structure; see @command{fir2sys} for
-parameter descriptions.
-@seealso{fir2sys}
+@deftypefn {Function File} {} qtransvmat (@var{qib})
+Construct a 3x3 transformation matrix from quaternion @var{qib} that
+is equivalent to rotation of th radians about axis @var{vv}, where
+@code{[@var{vv}, @var{th}] = quaternion (@var{qib})}.
 @end deftypefn
-sys2ss
+qderivmat
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{yd}] =} sys2ss (@var{sys})
-Extract state space representation from system data structure.
+@deftypefn {Function File} {} qderivmat (@var{omega})
+Derivative of a quaternion.
 
-@strong{Input}
-@table @var
-@item sys
-System data structure.
-@end table
+Let Q be a quaternion to transform a vector from a fixed frame to
+a rotating frame.  If the rotating frame is rotating about the 
+[x, y, z] axes at angular rates [wx, wy, wz], then the derivative
+of Q is given by
 
-@strong{Outputs}
-@table @var
-@item a
-@itemx b
-@itemx c
-@itemx d
-State space matrices for @var{sys}.
+@example
+Q' = qderivmat (omega) * Q
+@end example
 
-@item tsam
-Sampling time of @var{sys} (0 if continuous).
-
-@item n
-@itemx nz
-Number of continuous, discrete states (discrete states come
-last in state vector @var{x}).
-
-@item stname
-@itemx inname
-@itemx outname
-Signal names (lists of strings);  names of states,
-inputs, and outputs, respectively.
-
-@item yd
-Binary vector; @var{yd}(@var{ii}) is 1 if output @var{y}(@var{ii})
-is discrete (sampled); otherwise  @var{yd}(@var{ii}) is 0.
-
-@end table
-A warning massage is printed if the system is a mixed
-continuous and discrete system.
+If the passive convention is used (rotate the frame, not the vector),
+then
 
-@strong{Example}
 @example
-octave:1> sys=tf2sys([1 2],[3 4 5]);
-octave:2> [a,b,c,d] = sys2ss(sys)
-a =
-   0.00000   1.00000
-  -1.66667  -1.33333
-b =
-  0
-  1
-c = 0.66667  0.33333
-d = 0
+Q' = -qderivmat (omega) * Q.
 @end example
 @end deftypefn
-sys2tf
+demoquat
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname}] =} sys2tf (@var{sys})
-Extract transfer function data from a system data structure.
-
-See @command{tf} for parameter descriptions.
+@deftypefn {Function File} {} demoquat ()
+Demonstrate the functions available for manipulating quaternions.
 
-@strong{Example}
-@example
-octave:1> sys=ss([1 -2; -1.1,-2.1],[0;1],[1 1]);
-octave:2> [num,den] = sys2tf(sys)
-num = 1.0000  -3.0000
-den = 1.0000   1.1000  -4.3000
-@end example
+Thanks to Mr. Charles Hall, Dr. Don Krupp and Dr. Larry Mullins at
+NASA's Marshall Space Flight Center for notes and instruction in
+use and conventions with quaternions.  - A. S. Hodel
 @end deftypefn
-sys2zp
+quaternion
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname}] =} sys2zp (@var{sys})
-Extract zero/pole/leading coefficient information from a system data
-structure.
-
-See @command{zp} for parameter descriptions.
+@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} quaternion (w)
+@deftypefnx {Function File} {[@var{vv}, @var{theta}] =} quaternion (w)
+@deftypefnx {Function File} {@var{w} =} quaternion (@var{a}, @var{b}, @var{c}, @var{d})
+@deftypefnx {Function File} {@var{w} =} quaternion (@var{vv}, @var{theta})
+Construct or extract a quaternion
 
-@strong{Example}
 @example
-octave:1> sys=ss([1 -2; -1.1,-2.1],[0;1],[1 1]);
-octave:2> [zer,pol,k] = sys2zp(sys)
-zer = 3.0000
-pol =
-  -2.6953
-   1.5953
-k = 1
+w = a*i + b*j + c*k + d
 @end example
+
+@noindent
+from given data.
 @end deftypefn
-sysadd
+qtransv
 -*- texinfo -*-
-@deftypefn {Function File} {}  sysadd (@var{gsys}, @var{hsys})
-returns @var{sys} = @var{gsys} + @var{hsys}.
-@itemize @bullet
-@item Exits with
-an error if @var{gsys} and @var{hsys} are not compatibly dimensioned.
-@item Prints a warning message is system states have identical names;
-duplicate names are given a suffix to make them unique.
-@item @var{sys} input/output names are taken from @var{gsys}.
-@end itemize
+@deftypefn {Function File} {} qtransv (@var{v}, @var{q})
+Transform the 3-D vector @var{v} by the unit quaternion @var{q}.
+Return a column vector.
+
 @example
-@group
-          ________
-     ----|  gsys  |---
-u   |    ----------  +|
------                (_)----> y
-    |     ________   +|
-     ----|  hsys  |---
-          --------
-@end group
+vi = (2*real(q)^2 - 1)*vb + 2*imag(q)*(imag(q)'*vb) 
+   + 2*real(q)*cross(imag(q),vb)
 @end example
+
+@noindent
+Where imag(q) is a column vector of length 3.
 @end deftypefn
-sysappend
+griddatan
 -*- texinfo -*-
-@deftypefn {Function File} {@var{sys} =} sysappend (@var{syst}, @var{b}, @var{c}, @var{d}, @var{outname}, @var{inname}, @var{yd})
-appends new inputs and/or outputs to a system
-
-@strong{Inputs}
-@table @var
-@item syst
-system data structure
+@deftypefn {Function File} {@var{yi} =} griddatan (@var{x}, @var{y}, @var{xi}, @var{method}, @var{options})
 
-@item b
-matrix to be appended to sys "B" matrix (empty if none)
+Generate a regular mesh from irregular data using interpolation.
+The function is defined by @code{@var{y} = f (@var{x})}.
+The interpolation points are all @var{xi}.  
 
-@item c
-matrix to be appended to sys "C" matrix (empty if none)
+The interpolation method can be @code{"nearest"} or @code{"linear"}.
+If method is omitted it defaults to @code{"linear"}.
+@seealso{griddata, delaunayn}
+@end deftypefn
+delaunay3
+-*- texinfo -*-
+@deftypefn {Function File} {@var{T} =} delaunay3 (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {@var{T} =} delaunay3 (@var{x}, @var{y}, @var{z}, @var{opt})
+A matrix of size [n, 4] is returned. Each row contains a 
+set of tetrahedron which are
+described by the indices to the data point vectors (x,y,z).
 
-@item d
-revised sys d matrix (can be passed as [] if the revised d is all zeros)
+A fourth optional argument, which must be a string or cell array of strings,
+contains extra options passed to the underlying qhull command.  See the 
+documentation for the Qhull library for details.
+@seealso{delaunay,delaunayn}
+@end deftypefn
+griddata3
+-*- texinfo -*-
+@deftypefn {Function File} {@var{vi} =} griddata3 (@var{x}, @var{y}, @var{z}, @var{v} @var{xi}, @var{yi}, @var{zi}, @var{method}, @var{options})
 
-@item outname
-list of names for new outputs
+Generate a regular mesh from irregular data using interpolation.
+The function is defined by @code{@var{y} = f (@var{x},@var{y},@var{z})}.
+The interpolation points are all @var{xi}.  
 
-@item inname
-list of names for new inputs
+The interpolation method can be @code{"nearest"} or @code{"linear"}.
+If method is omitted it defaults to @code{"linear"}.
+@seealso{griddata, delaunayn}
+@end deftypefn
+voronoi
+-*- texinfo -*-
+@deftypefn {Function File} {} voronoi (@var{x}, @var{y})
+@deftypefnx {Function File} {} voronoi (@var{x}, @var{y}, "plotstyle")
+@deftypefnx {Function File} {} voronoi (@var{x}, @var{y}, "plotstyle", @var{options})
+@deftypefnx {Function File} {[@var{vx}, @var{vy}] =} voronoi (@dots{})
+plots voronoi diagram of points @code{(@var{x}, @var{y})}.
+The voronoi facets with points at infinity are not drawn.
+[@var{vx}, @var{vy}] = voronoi(...) returns the vertices instead plotting the
+diagram. plot (@var{vx}, @var{vy}) shows the voronoi diagram.
 
-@item yd
-binary vector; @math{yd(ii)=0} indicates a continuous output;
-@math{yd(ii)=1} indicates a discrete output.
-@end table
+A fourth optional argument, which must be a string, contains extra options
+passed to the underlying qhull command.  See the documentation for the
+Qhull library for details.
 
-@strong{Outputs}
-@table @var
-@item sys
 @example
 @group
-   sys.b := [syst.b , b]
-   sys.c := [syst.c  ]
-            [ c     ]
-   sys.d := [syst.d | D12 ]
-            [ D21   | D22 ]
+  x = rand (10, 1);
+  y = rand (size (x));
+  h = convhull (x, y);
+  [vx, vy] = voronoi (x, y);
+  plot (vx, vy, "-b", x, y, "o", x(h), y(h), "-g")
+  legend ("", "points", "hull");
 @end group
 @end example
-where @math{D12}, @math{D21}, and @math{D22} are the appropriate dimensioned
-blocks of the input parameter @var{d}.
-@itemize @bullet
-@item The leading block @math{D11} of @var{d} is ignored.
-@item If @var{inname} and @var{outname} are not given as arguments,
-     the new inputs and outputs are be assigned default names.
-@item @var{yd} is a binary vector of length rows(c) that indicates
-     continuous/sampled outputs.  Default value for @var{yd} is:
-@itemize @minus
-@item @var{sys} is continuous or mixed
-@var{yd} = @code{zeros(1,rows(c))}
 
-@item @var{sys} is discrete
-@var{yd} = @code{ones(1,rows(c))}
-@end itemize
-@end itemize
-@end table
+@seealso{voronoin, delaunay, convhull}
 @end deftypefn
-syschtsam
+dsearch
 -*- texinfo -*-
-@deftypefn {Function File} {} syschtsam (@var{sys}, @var{tsam})
-This function changes the sampling time (tsam) of the system.  Exits with
-an error if sys is purely continuous time.
+@deftypefn {Function File} {@var{idx} =} dsearch (@var{x}, @var{y}, @var{tri}, @var{xi}, @var{yi})
+@deftypefnx {Function File} {@var{idx} =} dsearch (@var{x}, @var{y}, @var{tri}, @var{xi}, @var{yi}, @var{s})
+Returns the index @var{idx} or the closest point in @code{@var{x}, @var{y})}
+to the elements @code{[@var{xi}(:), @var{yi}(:)]}. The variable @var{s} is
+accepted but ignored for compatibility.
+@seealso{dsearchn, tsearch}
 @end deftypefn
-sysconnect
+delaunayn
 -*- texinfo -*-
-@deftypefn {Function File} {@var{clsys} =} sysconnect (@var{sys}, @var{out_idx}, @var{in_idx}, @var{order}, @var{tol})
-Close the loop from specified outputs to respective specified inputs
+@deftypefn {Function File} {@var{T} =} delaunayn (@var{P})
+@deftypefnx {Function File} {@var{T} =} delaunayn (@var{P}, @var{opt})
+Form the Delaunay triangulation for a set of points.
+The Delaunay triangulation is a tessellation of the convex hull of the
+points such that no n-sphere defined by the n-triangles contains
+any other points from the set.
+The input matrix @var{P} of size @code{[n, dim]} contains @var{n}
+points in a space of dimension dim. The return matrix @var{T} has the
+size @code{[m, dim+1]}.  It contains for each row a set of indices to
+the points, which describes a simplex of dimension dim.  For example,
+a 2d simplex is a triangle and 3d simplex is a tetrahedron.
 
-@strong{Inputs}
-@table @var
-@item   sys
-System data structure.
-@item   out_idx
-@itemx  in_idx
-Names or indices of signals to connect (see @code{sysidx}).
-The output specified by @math{out_idx(ii)} is connected to the input
-specified by @math{in_idx(ii)}.
-@item   order
-logical flag (default = 0)
-@table @code
-@item        0
-Leave inputs and outputs in their original order.
-@item        1
-Permute inputs and outputs to the order shown in the diagram below.
-@end table
-@item     tol
-Tolerance for singularities in algebraic loops, default: 200@code{eps}.
-@end table
+Extra options for the underlying Qhull command can be specified by the
+second argument. This argument is a cell array of strings. The default
+options depend on the dimension of the input: 
 
-@strong{Outputs}
-@table @var
-@item clsys
-Resulting closed loop system.
-@end table
+@itemize 
+@item  2D and 3D: @var{opt} = @code{@{"Qt", "Qbb", "Qc"@}}
+@item  4D and higher: @var{opt} = @code{@{"Qt", "Qbb", "Qc", "Qz"@}} 
+@end itemize
 
-@strong{Method}
+If @var{opt} is [], then the default arguments are used. If @var{opt}
+is @code{@{"@w{}"@}}, then none of the default arguments are used by Qhull. 
+See the Qhull documentation for the available options. 
+
+All options can also be specified as single string, for example
+@code{"Qt Qbb Qc Qz"}.
 
-@code{sysconnect} internally permutes selected inputs, outputs as shown
-below, closes the loop, and then permutes inputs and outputs back to their
-original order
-@example
-@group
-                 --------------------
- u_1       ----->|                  |----> y_1
-                 |        sys       |
-         old u_2 |                  |
-u_2* ---->(+)--->|                  |----->y_2
-(in_idx)   ^     --------------------    | (out_idx)
-           |                             |
-           -------------------------------
-@end group
-@end example
-The input that has the summing junction added to it has an * added to
-the end  of the input name.
 @end deftypefn
-syscont
+tsearchn
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{csys}, @var{acd}, @var{ccd}] =} syscont (@var{sys})
-Extract the purely continuous subsystem of an input system.
-
-@strong{Input}
-@table @var
-@item sys
-system data structure.
-@end table
-
-@strong{Outputs}
-@table @var
-@item csys
-is the purely continuous input/output connections of @var{sys}
-@item acd
-@itemx ccd
-connections from discrete states to continuous states,
-discrete states to continuous outputs, respectively.
-
-If no continuous path exists, @var{csys} will be empty.
-@end table
+@deftypefn {Function File} {[@var{idx}, @var{p}] =} tsearchn (@var{x}, @var{t}, @var{xi})
+Searches for the enclosing Delaunay convex hull. For @code{@var{t} =
+delaunayn (@var{x})}, finds the index in @var{t} containing the
+points @var{xi}. For points outside the convex hull, @var{idx} is NaN.
+If requested @code{tsearchn} also returns the barycentric coordinates @var{p}
+of the enclosing triangles.
+@seealso{delaunay, delaunayn}
 @end deftypefn
-sysdimensions
+convhull
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{n}, @var{nz}, @var{m}, @var{p}, @var{yd}] =} sysdimensions (@var{sys}, @var{opt})
-return the number of states, inputs, and/or outputs in the system
-@var{sys}.
-
-@strong{Inputs}
-@table @var
-@item sys
-system data structure
-
-@item opt
-String indicating which dimensions are desired.  Values:
-@table @code
-@item "all"
-(default) return all parameters as specified under Outputs below.
-
-@item "cst"
-return @var{n}= number of continuous states
-
-@item "dst"
-return @var{n}= number of discrete states
+@deftypefn {Function File} {@var{H} =} convhull (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{H} =} convhull (@var{x}, @var{y}, @var{opt})
+Returns the index vector to the points of the enclosing convex hull.  The
+data points are defined by the x and y vectors.
 
-@item "in"
-return @var{n}= number of inputs
+A third optional argument, which must be a string, contains extra options
+passed to the underlying qhull command.  See the documentation for the 
+Qhull library for details.
 
-@item "out"
-return @var{n}= number of outputs
-@end table
-@end table
+@seealso{delaunay, convhulln}
+@end deftypefn
+voronoin
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{C}, @var{F}] =} voronoin (@var{pts})
+@deftypefnx {Function File} {[@var{C}, @var{F}] =} voronoin (@var{pts}, @var{options})
+computes n- dimensional voronoi facets.  The input matrix @var{pts}
+of size [n, dim] contains n points of dimension dim.
+@var{C} contains the points of the voronoi facets. The list @var{F}
+contains for each facet the indices of the voronoi points.
 
-@strong{Outputs}
-@table @var
-@item  n
- number of continuous states (or individual requested dimension as specified
-by @var{opt}).
-@item  nz
- number of discrete states
-@item  m
- number of system inputs
-@item  p
- number of system outputs
-@item  yd
- binary vector; @var{yd}(@var{ii}) is nonzero if output @var{ii} is
-discrete.
-@math{yd(ii) = 0} if output @var{ii} is continuous
-@end table
-@seealso{sysgetsignals, sysgettsam}
+A second optional argument, which must be a string, contains extra options
+passed to the underlying qhull command.  See the documentation for the
+Qhull library for details.
+@seealso{voronoin, delaunay, convhull}
 @end deftypefn
-sysdisc
+inpolygon
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{dsys}, @var{adc}, @var{cdc}] =} sysdisc (@var{sys})
+@deftypefn {Function File} {[@var{in}, @var{on}] = } inpolygon (@var{x}, @var{y}, @var{xv}, @var{xy})
 
-@strong{Input}
-@table @var
-@item sys
-System data structure.
-@end table
+For a polygon defined by @code{(@var{xv}, @var{yv})} points, determine
+if the points @code{(@var{x}, @var{y})} are inside or outside the polygon.
+The variables @var{x}, @var{y}, must have the same dimension. The optional
+output @var{on} gives the points that are on the polygon.
 
-@strong{Outputs}
-@table @var
-@item dsys
-Purely discrete portion of sys (returned empty if there is
-no purely discrete path from inputs to outputs).
-@item    adc
-@itemx   cdc
-Connections from continuous states to discrete states and discrete
-outputs, respectively.
-@end table
 @end deftypefn
-sysdup
+griddata
 -*- texinfo -*-
-@deftypefn {Function File} {@var{retsys} =} sysdup (@var{asys}, @var{out_idx}, @var{in_idx})
-Duplicate specified input/output connections of a system
+@deftypefn {Function File} {@var{zi} =} griddata (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{method})
+@deftypefnx {Function File} {[@var{xi}, @var{yi}, @var{zi}] =} griddata (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{method})
 
-@strong{Inputs}
-@table @var
-@item asys
-system data structure
-@item out_idx
-@itemx in_idx
-indices or names of desired signals (see @code{sigidx}).
-duplicates are made of @code{y(out_idx(ii))} and @code{u(in_idx(ii))}.
-@end table
+Generate a regular mesh from irregular data using interpolation.
+The function is defined by @code{@var{z} = f (@var{x}, @var{y})}.
+The interpolation points are all @code{(@var{xi}, @var{yi})}.  If
+@var{xi}, @var{yi} are vectors then they are made into a 2D mesh.
 
-@strong{Output}
-@table @var
-@item retsys
-Resulting closed loop system:
-duplicated i/o names are appended with a @code{"+"} suffix.
-@end table
+The interpolation method can be @code{"nearest"}, @code{"cubic"} or
+@code{"linear"}.  If method is omitted it defaults to @code{"linear"}.
+@seealso{delaunay}
+@end deftypefn
+trimesh
+-*- texinfo -*-
+@deftypefn {Function File} {} trimesh (@var{tri}, @var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {@var{h} = } trimesh (@dots{})
+Plot a triangular mesh in 3D. The variable @var{tri} is the triangular
+meshing of the points @code{(@var{x}, @var{y})} which is returned 
+from @code{delaunay}. The variable @var{z} is value at the point 
+@code{(@var{x}, @var{y})}. The output argument @var{h} is the graphic 
+handle to the plot.
+@seealso{triplot, delaunay3}
+@end deftypefn
+dsearchn
+-*- texinfo -*-
+@deftypefn {Function File} {@var{idx} =} dsearchn (@var{x}, @var{tri}, @var{xi})
+@deftypefnx {Function File} {@var{idx} =} dsearchn (@var{x}, @var{tri}, @var{xi}, @var{outval})
+@deftypefnx {Function File} {@var{idx} =} dsearchn (@var{x}, @var{xi})
+@deftypefnx {Function File} {[@var{idx}, @var{d}] =} dsearchn (@dots{})
+Returns the index @var{idx} or the closest point in @var{x} to the elements
+@var{xi}. If @var{outval} is supplied, then the values of @var{xi} that are
+not contained within one of the simplicies @var{tri} are set to 
+@var{outval}. Generally, @var{tri} is returned from @code{delaunayn 
+(@var{x})}.
+@seealso{dsearch, tsearch}
+@end deftypefn
+triplot
+-*- texinfo -*-
+@deftypefn {Function File} {} triplot (@var{tri}, @var{x}, @var{y})
+@deftypefnx {Function File} {} triplot (@var{tri}, @var{x}, @var{y}, @var{linespec})
+@deftypefnx {Function File} {@var{h} = } triplot (@dots{})
+Plot a triangular mesh in 2D. The variable @var{tri} is the triangular
+meshing of the points @code{(@var{x}, @var{y})} which is returned from
+@code{delaunay}. If given, the @var{linespec} determines the properties
+to use for the lines. The output argument @var{h} is the graphic handle
+to the plot.
+@seealso{plot, trimesh, delaunay}
+@end deftypefn
+delaunay
+-*- texinfo -*-
+@deftypefn {Function File} {@var{tri}=} delaunay (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{tri}=} delaunay (@var{x}, @var{y}, @var{opt})
+The return matrix of size [n, 3] contains a set triangles which are
+described by the indices to the data point x and y vector.
+The triangulation satisfies the Delaunay circumcircle criterion.
+No other data point is in the circumcircle of the defining triangle.
 
-@strong{Method}
+A third optional argument, which must be a string, contains extra options
+passed to the underlying qhull command.  See the documentation for the 
+Qhull library for details.
 
-@code{sysdup} creates copies of selected inputs and outputs as
-shown below.  @var{u1}, @var{y1} is the set of original inputs/outputs, and
-@var{u2}, @var{y2} is the set of duplicated inputs/outputs in the order 
-specified in @var{in_idx}, @var{out_idx}, respectively
 @example
 @group
-          ____________________
-u1  ----->|                  |----> y1
-          |       asys       |
-u2 ------>|                  |----->y2
-(in_idx)  -------------------- (out_idx)
+x = rand (1, 10);
+y = rand (size (x));
+T = delaunay (x, y);
+X = [x(T(:,1)); x(T(:,2)); x(T(:,3)); x(T(:,1))];
+Y = [y(T(:,1)); y(T(:,2)); y(T(:,3)); y(T(:,1))];
+axis ([0,1,0,1]);
+plot (X, Y, "b", x, y, "r*");
 @end group
 @end example
+@seealso{voronoi, delaunay3, delaunayn}
 @end deftypefn
-sysgetsignals
+__plt2mm__
+Undocumented internal function.
+grid
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{stname}, @var{inname}, @var{outname}, @var{yd}] =} sysgetsignals (@var{sys})
-@deftypefnx {Function File} {@var{siglist} =} sysgetsignals (@var{sys}, @var{sigid})
-@deftypefnx {Function File} {@var{signame} =} sysgetsignals (@var{sys}, @var{sigid}, @var{signum}, @var{strflg})
-Get signal names from a system
-
-@strong{Inputs}
-@table @var
-@item sys
-system data structure for the state space system
+@deftypefn {Function File} {} grid (@var{arg})
+@deftypefnx {Function File} {} grid ("minor", @var{arg2})
+@deftypefnx {Function File} {} grid (@var{hax}, @dots{})
+Force the display of a grid on the plot.
+The argument may be either @code{"on"}, or @code{"off"}.
+If it is omitted, the current grid state is toggled.
 
-@item sigid
-signal id.  String.  Must be one of
-@table @code
-@item "in"
-input signals
-@item "out"
-output signals
-@item "st"
-stage signals
-@item "yd"
-value of logical vector @var{yd}
-@end table
-
-@item signum
-index(indices) or name(s) or signals; see @code{sysidx}
-
-@item strflg
-flag to return a string instead of a cell array;  Values:
-@table @code
-@item 0
-(default) return a cell array (even if signum specifies an individual signal)
-
-@item 1
-return a string.  Exits with an error if signum does not specify an 
-individual signal.
-@end table
-
-@end table
+If @var{arg} is @code{"minor"} then the minor grid is toggled.  When
+using a minor grid a second argument @var{arg2} is allowed, which can
+be either @code{"on"} or @code{"off"} to explicitly set the state of
+the minor grid.
 
-@strong{Outputs}
-@table @bullet
-@item If @var{sigid} is not specified:
-@table @var
-@item stname
-@itemx inname
-@itemx outname
-signal names (cell array of strings);  names of states,
-inputs, and outputs, respectively.
-@item yd
-binary vector; @var{yd}(@var{ii}) is nonzero if output @var{ii} is
-discrete.
-@end table
+If the first argument is an axis handle, @var{hax}, operate on the
+specified axis object.
+@seealso{plot}
+@end deftypefn
+semilogx
+-*- texinfo -*-
+@deftypefn {Function File} {} semilogx (@var{args})
+Produce a two-dimensional plot using a log scale for the @var{x}
+axis.  See the description of @code{plot} for a description of the
+arguments that @code{semilogx} will accept.
+@seealso{plot, semilogy, loglog}
+@end deftypefn
+surface
+-*- texinfo -*-
+@deftypefn {Function File} {} surface (@var{x}, @var{y}, @var{z}, @var{c})
+@deftypefnx {Function File} {} surface (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {} surface (@var{z}, @var{c})
+@deftypefnx {Function File} {} surface (@var{z})
+@deftypefnx {Function File} {} surface (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} surface (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} = } surface (@dots{})
+Plot a surface graphic object given matrices @var{x}, and @var{y} from 
+@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
+@var{y} coordinates of the surface.  If @var{x} and @var{y} are vectors,
+then a typical vertex  is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
+columns of @var{z} correspond to different @var{x} values and rows of 
+@var{z} correspond to different @var{y} values. If @var{x} and @var{y}
+are missing, they are constructed from size of the matrix @var{z}.
 
-@item If @var{sigid} is specified but @var{signum} is not specified:
-@table @code
-@item sigid="in"
-@var{siglist} is set to the cell array of input names.
+Any additional properties passed are assigned the the surface..
+@seealso{surf, mesh, patch, line}
+@end deftypefn
+title
+-*- texinfo -*-
+@deftypefn {Function File} {} title (@var{title})
+Create a title object and return a handle to it.
+@end deftypefn
+ellipsoid
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} ellipsoid (@var{xc},@var{yc}, @var{zc}, @var{xr}, @var{yr}, @var{zr}, @var{n})
+@deftypefnx {Function File} {} ellipsoid (@var{h}, @dots{})
+Generate three matrices in @code{meshgrid} format that define an
+ellipsoid.   Called with no return arguments, @code{ellipsoid} calls
+directly @code{surf (@var{x}, @var{y}, @var{z})}.  If an axes handle
+is passed as the first argument, the the surface is plotted to this
+set of axes.
+@seealso{sphere}
+@end deftypefn
+isfigure
+-*- texinfo -*-
+@deftypefn {Function File} {} isfigure (@var{h})
+Return true if @var{h} is a graphics handle that contains a figure
+object and false otherwise.
+@end deftypefn
+findobj
+-*- texinfo -*-
+@deftypefn {Function File} {@var{h} =} findobj ()
+@deftypefnx {Function File} {@var{h} =} findobj (@var{propName}, @var{propValue})
+@deftypefnx {Function File} {@var{h} =} findobj ('-property', @var{propName})
+@deftypefnx {Function File} {@var{h} =} findobj ('-regexp', @var{propName},, @var{pattern})
+@deftypefnx {Function File} {@var{h} =} findobj ('flat', @dots{})
+@deftypefnx {Function File} {@var{h} =} findobj (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} findobj (@var{h}, '-depth', @var{d}, @dots{})
+Find object with specified property values. The simplest form is
 
-@item sigid="out"
-@var{siglist} is set to the cell array of output names.
+@example
+findobj (@var{propName}, @var{propValue})
+@end example
 
-@item sigid="st"
-@var{siglist} is set to the cell array of state names.
+@noindent
+which returns all of the handles to the objects with the name 
+@var{propName} and the name @var{propValue}. The search can be limited
+to a particular object or set of objects and their descendants by 
+passing a handle or set of handles @var{h} as the first argument to 
+@code{findobj}.
 
-stage signals
-@item sigid="yd"
-@var{siglist} is set to logical vector indicating discrete outputs;
-@var{siglist}(@var{ii}) = 0 indicates that output @var{ii} is continuous
-(unsampled), otherwise it is discrete.
+The depth of hierarchy of objects to which to search to can be limited
+with the '-depth' argument. To limit the number depth of the hierarchy
+to search to @var{d} generations of children, and example is
 
-@end table
+@example
+findobj (@var{h}, '-depth', @var{d}, @var{propName}, @var{propValue})
+@end example
 
-@item If the first three input arguments are specified:
-@var{signame} is a cell array of the specified signal names (@var{sigid} is 
-@code{"in"}, @code{"out"}, or @code{"st"}), or else the logical flag
-indicating whether output(s) @var{signum} is(are) discrete (@var{sigval}=1)
-or continuous (@var{sigval}=0).
-@end table
+Specifying a depth @var{d} of 0, limits the search to the set of object
+passed in @var{h}. A depth @var{d} of 0 is equivalent to the '-flat'
+argument. 
 
-@strong{Examples} (From @code{sysrepdemo})
-@example
-octave> sys=ss(rand(4),rand(4,2),rand(3,4));
-octave># get all signal names
-octave> [Ast,Ain,Aout,Ayd] = sysgetsignals(sys)
-Ast =
-(
-  [1] = x_1
-  [2] = x_2
-  [3] = x_3
-  [4] = x_4
-)
-Ain =
-(
-  [1] = u_1
-  [2] = u_2
-)
-Aout =
-(
-  [1] = y_1
-  [2] = y_2
-  [3] = y_3
-)
-Ayd =
+A specified logical operator may be applied to the pairs of @var{propName}
+and @var{propValue}. The supported logical operators are '-and', '-or', 
+'-xor', '-not'.
 
-  0  0  0
-octave> # get only input signal names:
-octave> Ain = sysgetsignals(sys,"in")
-Ain =
-(
-  [1] = u_1
-  [2] = u_2
-)
-octave> # get name of output 2 (in cell array):
-octave> Aout = sysgetsignals(sys,"out",2)
-Aout =
-(
-  [1] = y_2
-)
-octave> # get name of output 2 (as string):
-octave> Aout = sysgetsignals(sys,"out",2,1)
-Aout = y_2
-@end example
-@end deftypefn
-sysgettsam
--*- texinfo -*-
-@deftypefn {Function File} {} sysgettsam (@var{sys})
-Return the sampling time of the system @var{sys}.
+The objects may also be matched by comparing a regular expression to the 
+property values, where property values that match @code{regexp 
+(@var{propValue}, @var{pattern})} are returned.  Finally, objects may be 
+matched by property name only, using the '-property' option.
+@seealso{get, set}
 @end deftypefn
-sysgettype
+loglogerr
 -*- texinfo -*-
-@deftypefn {Function File} {} sysgettype (@var{sys})
-return the initial system type of the system
-
-@strong{Input}
-@table @var
-@item sys
-System data structure.
-@end table
+@deftypefn {Function File} {} loglogerr (@var{args})
+Produce two-dimensional plots on double logarithm axis with
+errorbars.  Many different combinations of arguments are possible.
+The most used form is
 
-@strong{Output}
-@table @var
-@item systype
-String indicating how the structure was initially
-constructed. Values: @code{"ss"}, @code{"zp"}, or @code{"tf"}.
-@end table
+@example
+loglogerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
+@end example
 
-@acronym{FIR} initialized systems return @code{systype="tf"}.
+@noindent
+which produces a double logarithm plot of @var{y} versus @var{x} 
+with errors in the @var{y}-scale defined by @var{ey} and the plot
+format defined by @var{fmt}. See errorbar for available formats and 
+additional information.
+@seealso{errorbar, semilogxerr, semilogyerr}
 @end deftypefn
-sysgroup
+__default_plot_options__
+Undocumented internal function.
+stem
 -*- texinfo -*-
-@deftypefn {Function File} {@var{sys} =} sysgroup (@var{asys}, @var{bsys})
-Combines two systems into a single system.
-
-@strong{Inputs}
-@table @var
-@item asys
-@itemx bsys
-System data structures.
-@end table
+@deftypefn {Function File} {@var{h} =} stem (@var{x}, @var{y}, @var{linespec})
+Plot a stem graph and return the handles of the line and marker
+objects used to draw the stems.  The default color is @code{"r"}
+(red).  The default line style is @code{"-"} and the default marker is
+@code{"o"}.
 
-@strong{Output}
-@table @var
-@item sys
-@math{sys = @r{block diag}(asys,bsys)}
-@end table
+For example,
 @example
-@group
-         __________________
-         |    ________    |
-u1 ----->|--> | asys |--->|----> y1
-         |    --------    |
-         |    ________    |
-u2 ----->|--> | bsys |--->|----> y2
-         |    --------    |
-         ------------------
-              Ksys
-@end group
+x = 1:10;
+stem (x);
 @end example
-The function also rearranges the internal state-space realization of @var{sys}
-so that the continuous states come first and the discrete states come last.
-If there are duplicate names, the second name has a unique suffix appended
-on to the end of the name.
-@end deftypefn
-sysidx
--*- texinfo -*-
-@deftypefn {Function File} {} sysidx (@var{sys}, @var{sigtype}, @var{signamelist})
-Return indices of signals with specified signal names
-inputs given a system data structure @var{sys}, a signal type to be
-selected @var{sigtype} (@code{"in"}, @code{"out"}, @code{"st"}), and
-a list of desired signal names @var{signamelist}.
-@end deftypefn
-sysmin
--*- texinfo -*-
-@deftypefn {Function File} {[@var{retsys}, @var{nc}, @var{no}] =} sysmin (@var{sys}, @var{flg})
-Returns a minimal (or reduced order) system
+@noindent
+plots 10 stems with heights from 1 to 10;
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure
-@item flg
-When equal to 0 (default value), returns minimal system,
-in which state names are lost; when equal to 1, returns system 
-with physical states removed that are either uncontrollable or 
-unobservable (cannot reduce further without discarding physical
-meaning of states).
-@end table
-@strong{Outputs}
-@table @var
-@item retsys
-Returned system.
-@item nc
-Number of controllable states in the returned system.
-@item no
-Number of observable states in the returned system.
-@item cflg
-@code{is_controllable(retsys)}.
-@item oflg
-@code{is_observable(retsys)}.
-@end table
-@end deftypefn
-sysmult
--*- texinfo -*-
-@deftypefn {Function File} {@var{sys} =} sysmult (@var{Asys}, @var{Bsys})
-Compute @math{sys = Asys*Bsys} (series connection):
 @example
-@group
-u   ----------     ----------
---->|  Bsys  |---->|  Asys  |--->
-    ----------     ----------
-@end group
+x = 1:10;
+y = ones (1, length (x))*2.*x;
+stem (x, y);
 @end example
-A warning occurs if there is direct feed-through from an input 
-or a continuous state of @var{Bsys}, through a discrete output 
-of @var{Bsys}, to a continuous state or output in @var{Asys}
-(system data structure does not recognize discrete inputs).
-@end deftypefn
-sysout
--*- texinfo -*-
-@deftypefn {Function File} {} sysout (@var{sys}, @var{opt})
-print out a system data structure in desired format
-@table @var
-@item  sys
-system data structure
-@item  opt
-Display option
-@table @code
-@item []
-primary system form (default)
-@item      "ss"
-state space form
-@item      "tf"
-transfer function form
-@item      "zp"
-zero-pole form
-@item      "all"
-all of the above
-@end table
-@end table
-@end deftypefn
-sysprune
--*- texinfo -*-
-@deftypefn {Function File} {@var{retsys} =} sysprune (@var{asys}, @var{out_idx}, @var{in_idx})
-Extract specified inputs/outputs from a system
-
-@strong{Inputs}
-@table @var
-@item asys
-system data structure
-@item out_idx
-@itemx in_idx
-Indices or signal names of the outputs and inputs to be kept in the returned
-system; remaining connections are ``pruned'' off.
-May select as [] (empty matrix) to specify all outputs/inputs.
+@noindent
+plots 10 stems with heights from 2 to 20;
 
 @example
-retsys = sysprune (Asys, [1:3,4], "u_1");
-retsys = sysprune (Asys, @{"tx", "ty", "tz"@}, 4);
+x = 1:10;
+y = ones (size (x))*2.*x;
+h = stem (x, y, "b");
 @end example
+@noindent
+plots 10 bars with heights from 2 to 20
+(the color is blue, and @var{h} is a 2-by-10 array of handles in
+which the first row holds the line handles and
+the second row holds the marker handles);
 
-@end table
-
-@strong{Output}
-@table @var
-@item retsys
-Resulting system.
-@end table
 @example
-@group
-           ____________________
-u1 ------->|                  |----> y1
- (in_idx)  |       Asys       | (out_idx)
-u2 ------->|                  |----| y2
-  (deleted)-------------------- (deleted)
-@end group
+x = 1:10;
+y = ones (size (x))*2.*x;
+h = stem (x, y, "-.k");
 @end example
-@end deftypefn
-sysreorder
--*- texinfo -*-
-@deftypefn {Function File} {@var{pv} =} sysreorder (@var{vlen}, @var{list})
+@noindent
+plots 10 stems with heights from 2 to 20
+(the color is black, line style is @code{"-."}, and @var{h} is a 2-by-10
+array of handles in which the first row holds the line handles and
+the second row holds the marker handles);
 
-@strong{Inputs}
-@table @var
-@item vlen
-Vector length.
-@item list
-A subset of @code{[1:vlen]}.
-@end table
+@example
+x = 1:10;
+y = ones (size (x))*2.*x;
+h = stem (x, y, "-.k.");
+@end example
+@noindent
+plots 10 stems with heights from 2 to 20
+(the color is black, line style is @code{"-."} and the marker style
+is @code{"."}, and @var{h} is a 2-by-10 array of handles in which the
+first row holds the line handles and the second row holds the marker
+handles);
 
-@strong{Output}
-@table @var
-@item pv
-A permutation vector to order elements of @code{[1:vlen]} in
-@code{list} to the end of a vector.
-@end table
+@example
+x = 1:10;
+y = ones (size (x))*2.*x;
+h = stem (x, y, "fill");
+@end example
+@noindent
+plots 10 stems with heights from 2 to 20
+(the color is rgb-triple defined, the line style is @code{"-"},
+the marker style is @code{"o"}, and @var{h} is a 2-by-10 array of
+handles in which the first row holds the line handles and the second
+row holds the marker handles).
 
-Used internally by @code{sysconnect} to permute vector elements to their
-desired locations.
+Color definitions with rgb-triples are not valid!
+@seealso{bar, barh, plot}
 @end deftypefn
-sysrepdemo
+orient
 -*- texinfo -*-
-@deftypefn {Function File} {} sysrepdemo
-Tutorial for the use of the system data structure functions.
+@deftypefn {Function File} {} orient (@var{orientation})
+Set the default print orientation.  Valid values for
+@var{orientation} include @code{"landscape"} and @code{"portrait"}.
+If called with no arguments, return the default print orientation.
 @end deftypefn
-sysscale
+__plt2__
+Undocumented internal function.
+barh
 -*- texinfo -*-
-@deftypefn {Function File} {@var{retsys} =} sysscale (@var{sys}, @var{outscale}, @var{inscale}, @var{outname}, @var{inname})
-scale inputs/outputs of a system.
+@deftypefn {Function File} {} barh (@var{x}, @var{y})
+@deftypefnx {Function File} {} barh (@var{y})
+@deftypefnx {Function File} {} barh (@var{x}, @var{y}, @var{w})
+@deftypefnx {Function File} {} barh (@var{x}, @var{y}, @var{w}, @var{style})
+@deftypefnx {Function File} {@var{h} =} barh (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} barh (@var{h}, @dots{})
+Produce a horizontal bar graph from two vectors of x-y data.
 
-@strong{Inputs}
-@table @var
-@item sys
-Structured system.
-@item outscale
-@itemx inscale
-Constant matrices of appropriate dimension.
-@item outname
-@itemx inname
-Lists of strings with the names of respectively outputs and inputs.
-@end table
+If only one argument is given, it is taken as a vector of y-values
+and the x coordinates are taken to be the indices of the elements.
 
-@strong{Output}
-@table @var
-@item retsys
-resulting open loop system:
-@smallexample
-      -----------    -------    -----------
-u --->| inscale |--->| sys |--->| outscale |---> y
-      -----------    -------    -----------
-@end smallexample
-@end table
-If the input names and output names (each a list of strings)
-are not given and the scaling matrices
-are not square, then default names will be given to the inputs and/or
-outputs.
+The default width of 0.8 for the bars can be changed using @var{w}. 
 
-A warning message is printed if outscale attempts to add continuous
-system outputs to discrete system outputs; otherwise @var{yd} is
-set appropriately in the returned value of @var{sys}.
-@end deftypefn
-syssetsignals
--*- texinfo -*-
-@deftypefn {Function File} {} syssetsignals (@var{sys}, @var{opt}, @var{names}, @var{sig_idx})
-change the names of selected inputs, outputs and states.
+If @var{y} is a matrix, then each column of @var{y} is taken to be a
+separate bar graph plotted on the same graph. By default the columns
+are plotted side-by-side. This behavior can be changed by the @var{style}
+argument, which can take the values @code{"grouped"} (the default),
+or @code{"stacked"}.
 
-@strong{Inputs}
-@table @var
-@item sys
-System data structure.
+The optional return value @var{h} provides a handle to the patch object.
+Whereas the option input handle @var{h} allows an axis handle to be passed.
+Properties of the patch graphics object can be changed using 
+@var{prop}, @var{val} pairs.
 
-@item opt
-Change default name (output).
+@seealso{bar, plot}
+@end deftypefn
+ylim
+-*- texinfo -*-
+@deftypefn {Function File} {@var{xl} =} ylim ()
+@deftypefnx {Function File} {} ylim (@var{xl})
+@deftypefnx {Function File} {@var{m} =} ylim ('mode')
+@deftypefnx {Function File} {} ylim (@var{m})
+@deftypefnx {Function File} {} ylim (@var{h}, @dots{})
+Get or set the limits of the y axis of the current plot. Called without
+argumenst @code{ylim] returns the y axis limits of the current plot.
+If passed a two element vector @var{xl}, the limits of the y axis are set
+to this value.
 
-@table @code
-@item "out"
-Change selected output names.
-@item "in"
-Change selected input names.
-@item "st"
-Change selected state names.
-@item "yd"
-Change selected outputs from discrete to continuous or
-from continuous to discrete.
-@end table
+The current mode for calculation of the y axis can be returned with a
+call @code{ylim ('mode')}, and can be either 'auto' or 'manual'. The 
+current plotting mode can be set by passing either 'auto' or 'manual' 
+as the argument.
 
-@item names
-@table @code
-@item opt = "out", "in", "st"
-string or string array containing desired signal names or values.
-@item opt = "yd"
-To desired output continuous/discrete flag.
-Set name to 0 for continuous, or 1 for discrete.
-@end table
-@item sig_idx
-indices or names of outputs, yd, inputs, or
-states whose respective names/values should be changed.
+If passed an handle as the first argument, then operate on this handle
+rather than the current axes handle.
+@seealso{xlim, zlim, set, get, gca}
+@end deftypefn
+__plt__
+Undocumented internal function.
+scatter3
+-*- texinfo -*-
+@deftypefn {Function File} {} scatter3 (@var{x}, @var{y}, @var{s}, @var{c})
+@deftypefnx {Function File} {} scatter3 (@dots{}, 'filled')
+@deftypefnx {Function File} {} scatter3 (@dots{}, @var{style})
+@deftypefnx {Function File} {} scatter3 (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} scatter3 (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} scatter3 (@dots{})
 
-Default: replace entire cell array of names/entire yd vector.
-@end table
+Plot a scatter plot of the data in 3D. A marker is plotted at each point 
+defined by the points in the vectors @var{x}, @var{y} and @var{z}. The size
+of the markers used is determined by @var{s}, which can be a scalar or
+a vector of the same length of @var{x}, @var{y} and @var{z}. If @var{s} is
+not given or is an empty matrix, then the default value of 8 points is used.
 
-@strong{Outputs}
-@table @var
-@item retsys
-@var{sys} with appropriate signal names changed
-(or @var{yd} values, where appropriate).
-@end table
+The color of the markers is determined by @var{c}, which can be a string
+defining a fixed color, a 3 element vector giving the red, green and blue 
+components of the color, a vector of the same length as @var{x} that gives
+a scaled index into the current colormap, or a @var{n}-by-3 matrix defining
+the colors of each of the markers individually.
+
+The marker to use can be changed with the @var{style} argument, that is a 
+string defining a marker in the same manner as the @code{plot} command. 
+If the argument 'filled' is given then the markers as filled. All 
+additional arguments are passed to the underlying patch command.
+
+The optional return value @var{h} provides a handle to the patch object
 
-@strong{Example}
 @example
-octave:1> sys=ss ([1 2; 3 4],[5;6],[7 8]);
-octave:2> sys = syssetsignals (sys, "st",
->                              str2mat("Posx","Velx"));
-octave:3> sysout(sys)
-Input(s)
-        1: u_1
-Output(s):
-        1: y_1
-state-space form:
-2 continuous states, 0 discrete states
-State(s):
-        1: Posx
-        2: Velx
-A matrix: 2 x 2
-  1  2
-  3  4
-B matrix: 2 x 1
-  5
-  6
-C matrix: 1 x 2
-  7  8
-D matrix: 1 x 1
-0
+@group
+[x, y, z] = peaks (20);
+scatter3 (x(:), y(:), z(:), [], z(:));
+@end group
 @end example
+
+@seealso{plot, patch, scatter}
 @end deftypefn
-syssub
+__bar__
+Undocumented internal function.
+patch
 -*- texinfo -*-
-@deftypefn {Function File} {@var{sys} =} syssub (@var{Gsys}, @var{Hsys})
-Return @math{sys = Gsys - Hsys}.
+@deftypefn {Function File} {} patch ()
+@deftypefnx {Function File} {} patch (@var{x}, @var{y}, @var{c})
+@deftypefnx {Function File} {} patch (@var{x}, @var{y}, @var{c}, @var{opts})
+@deftypefnx {Function File} {} patch ('Faces', @var{f}, 'Vertices', @var{v}, @dots{})
+@deftypefnx {Function File} {} patch (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} patch (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} = } patch (@dots{})
+Create patch object from @var{x} and @var{y} with color @var{c} and
+insert in the current axes object.  Return handle to patch object.
 
-@strong{Method}
+For a uniform colored patch, @var{c} can be given as an RGB vector,
+scalar value referring to the current colormap, or string value (for
+example, "r" or "red"). 
+@end deftypefn
+__stem__
+Undocumented internal function
+__gnuplot_version__
+Undocumented internal function.
+view
+-*- texinfo -*-
+@deftypefn {Function File} {} view (@var{azimuth}, @var{elevation})
+@deftypefnx {Function File} {} view (@var{dims})
+@deftypefnx {Function File} {[@var{azimuth}, @var{elevation}] =} view ()
+Set or get the viewpoint for the current axes.
+@end deftypefn
+gca
+-*- texinfo -*-
+@deftypefn {Function File} {} gca ()
+Return a handle to the current axis object.  If no axis object
+exists, create one and return its handle.  The handle may then be
+used to examine or set properties of the axes.  For example,
 
-@var{Gsys} and @var{Hsys} are connected in parallel.
-The input vector is connected to both systems; the outputs are
-subtracted.  Returned system names are those of @var{Gsys}.
 @example
 @group
-         +--------+
-    +--->|  Gsys  |---+
-    |    +--------+   |
-    |                +|
-u --+                (_)--> y
-    |                -|
-    |    +--------+   |
-    +--->|  Hsys  |---+
-         +--------+
+ax = gca ();
+set (ax, "position", [0.5, 0.5, 0.5, 0.5]);
 @end group
 @end example
+
+@noindent
+creates an empty axes object, then changes its location and size in
+the figure window.
+@seealso{get, set}
 @end deftypefn
-sysupdate
+semilogxerr
 -*- texinfo -*-
-@deftypefn {Function File} {} sysupdate (@var{sys}, @var{opt})
-Update the internal representation of a system.
-
-@strong{Inputs}
-@table @var
-@item sys:
-system data structure
-@item opt
-string:
-@table @code
-@item "tf"
-update transfer function form
-@item "zp"
-update zero-pole form
-@item "ss"
-update state space form
-@item "all"
-all of the above
-@end table
-@end table
+@deftypefn {Function File} {} semilogxerr (@var{args})
+Produce two-dimensional plots on a semilogarithm axis with errorbars.
+Many different combinations of arguments are possible.  The most used
+form is
 
-@strong{Outputs}
-@table @var
-@item retsys
-Contains union of data in sys and requested data.
-If requested data in @var{sys} is already up to date then @var{retsys}=@var{sys}.
-@end table
+@example
+semilogxerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
+@end example
 
-Conversion to @command{tf} or @command{zp} exits with an error if the system is
-mixed continuous/digital.
-@seealso{tf, ss, zp, sysout, sys2ss, sys2tf, sys2zp}
+@noindent
+which produces a semi-logarithm plot of @var{y} versus @var{x}
+with errors in the @var{y}-scale defined by @var{ey} and the plot
+format defined by @var{fmt}. See errorbar for available formats and 
+additional information.
+@seealso{errorbar, loglogerr semilogyerr}
 @end deftypefn
-tf
+semilogyerr
 -*- texinfo -*-
-@deftypefn {Function File} {} tf (@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname})
-build system data structure from transfer function format data
-
-@strong{Inputs}
-@table @var
-@item  num
-@itemx den
-coefficients of numerator/denominator polynomials
-@item tsam
-sampling interval. default: 0 (continuous time)
-@item inname
-@itemx outname
-input/output signal names; may be a string or cell array with a single string
-entry.
-@end table
-
-@strong{Outputs}
-@var{sys} = system data structure
+@deftypefn {Function File} {} semilogyerr (@var{args})
+Produce two-dimensional plots on a semilogarithm axis with errorbars.
+Many different combinations of arguments are possible.  The most used
+form is
 
-@strong{Example}
 @example
-octave:1> sys=tf([2 1],[1 2 1],0.1);
-octave:2> sysout(sys)
-Input(s)
-        1: u_1
-Output(s):
-        1: y_1 (discrete)
-Sampling interval: 0.1
-transfer function form:
-2*z^1 + 1
------------------
-1*z^2 + 2*z^1 + 1
+semilogyerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
 @end example
+
+@noindent
+which produces a semi-logarithm plot of @var{y} versus @var{x}
+with errors in the @var{y}-scale defined by @var{ey} and the plot
+format defined by @var{fmt}.  See errorbar for available formats and 
+additional information.
+@seealso{errorbar, loglogerr semilogxerr}
 @end deftypefn
-tf2ss
+sphere
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} tf2ss (@var{num}, @var{den})
-Conversion from transfer function to state-space.
-The state space system:
-@iftex
-@tex
-$$ \dot x = Ax + Bu $$
-$$ y = Cx + Du $$
-@end tex
-@end iftex
-@ifinfo
-@example
-      .
-      x = Ax + Bu
-      y = Cx + Du
-@end example
-@end ifinfo
-is obtained from a transfer function:
-@iftex
-@tex
-$$ G(s) = { { \rm num }(s) \over { \rm den }(s) } $$
-@end tex
-@end iftex
-@ifinfo
-@example
-                num(s)
-          G(s)=-------
-                den(s)
-@end example
-@end ifinfo
+@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} sphere (@var{n})
+@deftypefnx {Function File} {} sphere (@var{h}, @dots{})
+Generates three matrices in @code{meshgrid} format, such that 
+@code{surf (@var{x}, @var{y}, @var{z})} generates a unit sphere. 
+The matrices of @code{@var{n}+1}-by-@code{@var{n}+1}. If @var{n} is 
+omitted then a default value of 20 is assumed.
 
-The vector @var{den} must contain only one row, whereas the vector 
-@var{num} may contain as many rows as there are outputs @var{y} of 
-the system. The state space system matrices obtained from this function 
-will be in controllable canonical form as described in @cite{Modern Control 
-Theory}, (Brogan, 1991).
+Called with no return arguments, @code{sphere} call directly 
+@code{surf (@var{x}, @var{y}, @var{z})}. If an axes handle is passed
+as the first argument, the the surface is plotted to this set of axes.
+@seealso{peaks}
 @end deftypefn
-tf2sys
+xlabel
 -*- texinfo -*-
-@deftypefn {Function File} {} tf2sys (@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname})
-Build system data structure from transfer function format data.
-
-@strong{Inputs}
-@table @var
-@item  num
-@itemx den
-Coefficients of numerator/denominator polynomials.
-@item tsam
-Sampling interval; default: 0 (continuous time).
-@item inname
-@itemx outname
-Input/output signal names; may be a string or cell array with a single string
-entry.
-@end table
-
-@strong{Output}
-@table @var
-@item sys
-System data structure.
-@end table
-
-@strong{Example}
-@example
-octave:1> sys=tf2sys([2 1],[1 2 1],0.1);
-octave:2> sysout(sys)
-Input(s)
-        1: u_1
-Output(s):
-        1: y_1 (discrete)
-Sampling interval: 0.1
-transfer function form:
-2*z^1 + 1
------------------
-1*z^2 + 2*z^1 + 1
-@end example
+@deftypefn {Function File} {} xlabel (@var{string})
+@deftypefnx {Function File} {} ylabel (@var{string})
+@deftypefnx {Function File} {} zlabel (@var{string})
+@deftypefnx {Function File} {} xlabel (@var{h}, @var{string})
+Specify x, y, and z axis labels for the current figure. If @var{h} is
+specified then label the axis defined by @var{h}.
+@seealso{plot, semilogx, semilogy, loglog, polar, mesh, contour,
+bar, stairs,  ylabel, title}
 @end deftypefn
-tf2zp
+meshz
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{zer}, @var{pol}, @var{k}] =} tf2zp (@var{num}, @var{den})
-Converts transfer functions to poles-and-zero representations.
-
-Returns the zeros and poles of the @acronym{SISO} system defined 
-by @var{num}/@var{den}.
-@var{k} is a gain associated with the system zeros.
+@deftypefn {Function File} {} meshz (@var{x}, @var{y}, @var{z})
+Plot a curtain mesh given matrices @var{x}, and @var{y} from 
+@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
+@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
+then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
+columns of @var{z} correspond to different @var{x} values and rows of 
+@var{z} correspond to different @var{y} values.
+@seealso{meshgrid, mesh, contour}
 @end deftypefn
-tfout
+__quiver__
+Undocumented internal function
+hidden
 -*- texinfo -*-
-@deftypefn {Function File} {} tfout (@var{num}, @var{denom}, @var{x})
-Print formatted transfer function @math{n(s)/d(s)} to the screen.
-@var{x} defaults to the string @code{"s"}
-@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
-filter, polyderiv, polyinteg, polyout}
+@deftypefn {Function File} {} hidden (@var{mode})
+@deftypefnx {Function File} {} hidden ()
+Manipulation the mesh hidden line removal. Called with no argument
+the hidden line removal is toggled. The argument @var{mode} can be either
+'on' or 'off' and the set of the hidden line removal is set accordingly.
+@seealso{mesh, meshc, surf}
 @end deftypefn
-ugain
+shg
 -*- texinfo -*-
-@deftypefn {Function File} {} ugain (@var{n})
-Creates a system with unity gain, no states.
-This trivial system is sometimes needed to create arbitrary
-complex systems from simple systems with @command{buildssic}.
-Watch out if you are forming sampled systems since @command{ugain}
-does not contain a sampling period.
-@seealso{hinfdemo, jet707}
+@deftypefn {Function File} {} shg
+Show the graph window.  Currently, this is the same as executing
+@code{drawnow}.
+@seealso{drawnow, figure}
 @end deftypefn
-zp
+__plt2ss__
+Undocumented internal function.
+__plt2sv__
+Undocumented internal function.
+gcf
 -*- texinfo -*-
-@deftypefn {Function File} {} zp (@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname})
-Create system data structure from zero-pole data.
-
-@strong{Inputs}
-@table @var
-@item   zer
-vector of system zeros
-@item   pol
-vector of system poles
-@item   k
-scalar leading coefficient
-@item   tsam
-sampling period. default: 0 (continuous system)
-@item   inname
-@itemx  outname
-input/output signal names (lists of strings)
-@end table
-
-@strong{Outputs}
-sys: system data structure
+@deftypefn {Function File} {} gcf ()
+Return the current figure handle.  If a figure does not exist, create
+one and return its handle.  The handle may then be used to examine or
+set properties of the figure.  For example,
 
-@strong{Example}
 @example
-octave:1> sys=zp([1 -1],[-2 -2 0],1);
-octave:2> sysout(sys)
-Input(s)
-        1: u_1
-Output(s):
-        1: y_1
-zero-pole form:
-1 (s - 1) (s + 1)
------------------
-s (s + 2) (s + 2)
+@group
+fplot (@@sin, [-10, 10]);
+fig = gcf ();
+set (fig, "visible", "off");
+@end group
 @end example
+
+@noindent
+plots a sine wave, finds the handle of the current figure, and then
+makes that figure invisible.  Setting the visible property of the
+figure to @code{"on"} will cause it to be displayed again.
+@seealso{get, set}
 @end deftypefn
-zp2ss
+__patch__
+Undocumented internal function.
+bar
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} zp2ss (@var{zer}, @var{pol}, @var{k})
-Conversion from zero / pole to state space.
+@deftypefn {Function File} {} bar (@var{x}, @var{y})
+@deftypefnx {Function File} {} bar (@var{y})
+@deftypefnx {Function File} {} bar (@var{x}, @var{y}, @var{w})
+@deftypefnx {Function File} {} bar (@var{x}, @var{y}, @var{w}, @var{style})
+@deftypefnx {Function File} {@var{h} =} bar (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} bar (@var{h}, @dots{})
+Produce a bar graph from two vectors of x-y data.
 
-@strong{Inputs}
-@table @var
-@item zer
-@itemx pol
-Vectors of (possibly) complex poles and zeros of a transfer
-function. Complex values must come in conjugate pairs
-(i.e., @math{x+jy} in @var{zer} means that @math{x-jy} is also in @var{zer}).
-The number of zeros must not exceed the number of poles.
-@item k
-Real scalar (leading coefficient).
-@end table
+If only one argument is given, it is taken as a vector of y-values
+and the x coordinates are taken to be the indices of the elements.
 
-@strong{Outputs}
-@table @var
-@item @var{a}
-@itemx @var{b}
-@itemx @var{c}
-@itemx @var{d}
-The state space system, in the form:
-@iftex
-@tex
-$$ \dot x = Ax + Bu $$
-$$ y = Cx + Du $$
-@end tex
-@end iftex
-@ifinfo
-@example
-     .
-     x = Ax + Bu
-     y = Cx + Du
-@end example
-@end ifinfo
-@end table
+The default width of 0.8 for the bars can be changed using @var{w}. 
+
+If @var{y} is a matrix, then each column of @var{y} is taken to be a
+separate bar graph plotted on the same graph. By default the columns
+are plotted side-by-side. This behavior can be changed by the @var{style}
+argument, which can take the values @code{"grouped"} (the default),
+or @code{"stacked"}.
+
+The optional return value @var{h} provides a handle to the patch object.
+Whereas the option input handle @var{h} allows an axis handle to be passed.
+Properties of the patch graphics object can be changed using 
+@var{prop}, @var{val} pairs.
+
+@seealso{barh, plot}
 @end deftypefn
-zp2sys
+pie
 -*- texinfo -*-
-@deftypefn {Function File} {} zp2sys (@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname})
-Create system data structure from zero-pole data.
+@deftypefn {Function File} {} pie (@var{y})
+@deftypefnx {Function File} {} pie (@var{y}, @var{explode})
+@deftypefnx {Function File} {} pie (@dots{}, @var{labels})
+@deftypefnx {Function File} {} pie (@var{h}, @dots{});
+@deftypefnx {Function File} {@var{h} =} pie (@dots{});
+Produce a pie chart. 
 
-@strong{Inputs}
-@table @var
-@item   zer
-Vector of system zeros.
-@item   pol
-Vector of system poles.
-@item   k
-Scalar leading coefficient.
-@item   tsam
-Sampling period; default: 0 (continuous system).
-@item   inname
-@itemx  outname
-Input/output signal names (lists of strings).
-@end table
+Called with a single vector argument, produces a pie chart of the
+elements in @var{x}, with the size of the slice determined by percentage
+size of the values of @var{x}.
 
-@strong{Output}
-@table @var
-@item sys
-System data structure.
-@end table
+The variable @var{explode} is a vector of the same length as @var{x} that
+if non zero 'explodes' the slice from the pie chart.
 
-@strong{Example}
-@example
-octave:1> sys=zp2sys([1 -1],[-2 -2 0],1);
-octave:2> sysout(sys)
-Input(s)
-        1: u_1
-Output(s):
-        1: y_1
-zero-pole form:
-1 (s - 1) (s + 1)
------------------
-s (s + 2) (s + 2)
-@end example
-@end deftypefn
-zp2tf
--*- texinfo -*-
-@deftypefn {Function File} {[@var{num}, @var{den}] =} zp2tf (@var{zer}, @var{pol}, @var{k})
-Converts zeros / poles to a transfer function.
+If given @var{labels} is a cell array of strings of the same length as
+@var{x}, giving the labels of each of the slices of the pie chart. 
 
-@strong{Inputs}
-@table @var
-@item zer
-@itemx pol
-Vectors of (possibly complex) poles and zeros of a transfer
-function.  Complex values must appear in conjugate pairs.
-@item k
-Real scalar (leading coefficient).
-@end table
+The optional return value @var{h} provides a handle to the patch object.
+
+@seealso{bar, stem}
 @end deftypefn
-zpout
+surfc
 -*- texinfo -*-
-@deftypefn {Function File} {} zpout (@var{zer}, @var{pol}, @var{k}, @var{x})
-print formatted zero-pole form to the screen.
-@var{x} defaults to the string @code{"s"}
-@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
-filter, polyderiv, polyinteg, polyout}
+@deftypefn {Function File} {} surfc (@var{x}, @var{y}, @var{z})
+Plot a surface and contour given matrices @var{x}, and @var{y} from 
+@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
+@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
+then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
+columns of @var{z} correspond to different @var{x} values and rows of 
+@var{z} correspond to different @var{y} values.
+@seealso{meshgrid, surf, contour}
 @end deftypefn
-__outlist__
-Undocumented internal function.
-__zgpbal__
-Undocumented internal function.
-axis2dlim
+fplot
 -*- texinfo -*-
-@deftypefn {Function File} {} axis2dlim (@var{axdata})
-Determine axis limits for 2-D data (column vectors); leaves a 10%
-margin around the plots.
-Inserts margins of +/- 0.1 if data is one-dimensional 
-(or a single point).
-
-@strong{Input}
-@table @var
-@item axdata
-@var{n} by 2 matrix of data [@var{x}, @var{y}].
-@end table
+@deftypefn {Function File} {} fplot (@var{fn}, @var{limits})
+@deftypefnx {Function File} {} fplot (@var{fn}, @var{limits}, @var{tol})
+@deftypefnx {Function File} {} fplot (@var{fn}, @var{limits}, @var{n})
+@deftypefnx {Function File} {} fplot (@dots{}, @var{fmt})
+Plot a function @var{fn}, within the defined limits.  @var{fn}
+an be either a string, a function handle or an inline function.
+The limits of the plot are given by @var{limits} of the form
+@code{[@var{xlo}, @var{xhi}]} or @code{[@var{xlo}, @var{xhi},
+@var{ylo}, @var{yhi}]}. @var{tol} is the default tolerance to use for the
+plot, and if @var{tol} is an integer it is assumed that it defines the 
+number points to use in the plot.  The @var{fmt} argument is passed
+to the plot command.
 
-@strong{Output}
-@table @var
-@item axvec
-Vector of axis limits appropriate for call to @command{axis} function.
-@end table
+@example
+   fplot ("cos", [0, 2*pi])
+   fplot ("[cos(x), sin(x)]", [0, 2*pi])
+@end example
+@seealso{plot}
 @end deftypefn
-prompt
+ylabel
 -*- texinfo -*-
-@deftypefn {Function File} {} prompt (@var{str})
-Prompt user to continue
-
-@strong{Input}
-@table @var
-@item str
-Input string. Its default value is: 
-@example 
-\n ---- Press a key to  continue ---
-@end example
-@end table
+@deftypefn {Function File} {} ylabel (@var{string})
+@deftypefnx {Function File} {} ylabel (@var{h}, @var{string})
+See xlabel.
 @end deftypefn
-run_cmd
-run_cmd: short script used in demos
-prints string cmd to the screen, then executes after a pause
-sortcom
+sombrero
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{yy}, @var{idx}] =} sortcom (@var{xx}[, @var{opt}])
-Sort a complex vector.
+@deftypefn {Function File} {} sombrero (@var{n})
+Produce the familiar three-dimensional sombrero plot using @var{n}
+grid lines.  If @var{n} is omitted, a value of 41 is assumed.
 
-@strong{Inputs}
-@table @var
-@item xx
-Complex vector
-@item opt
-sorting option:
-@table @code
-@item "re"
-Real part (default);
-@item "mag"
-By magnitude;
-@item "im"
-By imaginary part.
-@end table
-if @var{opt} is not chosen as @code{"im"}, then complex conjugate pairs are grouped together,
-@math{a - jb} followed by @math{a + jb}.
-@end table
+The function plotted is
 
-@strong{Outputs}
-@table @var
-@item yy
-Sorted values
-@item idx
-Permutation vector: @code{yy = xx(idx)}
-@end table
-@end deftypefn
-strappend
--*- texinfo -*-
-@deftypefn {Function File} {} strappend (@var{strlist}, @var{suffix})
-Append string @var{suffix} to each string in the list @var{strlist}.
-@end deftypefn
-swap
--*- texinfo -*-
-@deftypefn {Function File} {} swap (@var{inputs})
-@format
-[a1,b1] = swap(a,b)
-interchange a and b
-@end format
-@end deftypefn
-zgfmul
--*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} zgfmul (@var{a}, @var{b}, @var{c}, @var{d}, @var{x})
-Compute product of @var{zgep} incidence matrix @math{F} with vector @var{x}.
-Used by @command{zgepbal} (in @command{zgscal}) as part of generalized conjugate gradient
-iteration.
+@example
+z = sin (sqrt (x^2 + y^2)) / (sqrt (x^2 + y^2))
+@end example
+@seealso{surf, meshgrid, mesh}
 @end deftypefn
-zgfslv
+pcolor
 -*- texinfo -*-
-@deftypefn {Function File} {} zgfslv (@var{n}, @var{m}, @var{p}, @var{b})
-Solve system of equations for dense zgep problem.
+@deftypefn {Function File} {} pcolor (@var{x}, @var{y}, @var{c})
+@deftypefnx {Function File} {} pcolor (@var{c})
+Density plot for given matrices @var{x}, and @var{y} from @code{meshgrid} and
+a matrix @var{c} corresponding to the @var{x} and @var{y} coordinates of
+the mesh's vertices. If @var{x} and @var{y} are vectors, then a typical vertex
+is (@var{x}(j), @var{y}(i), @var{c}(i,j)).  Thus, columns of @var{c}
+correspond to different @var{x} values and rows of @var{c} correspond
+to different @var{y} values.
+
+The @code{colormap} is scaled to the extents of @var{c}.
+Limits may be placed on the color axis by the
+command @code{caxis}, or by setting the @code{clim} property of the
+parent axis.
+
+The face color of each cell of the mesh is determined by interpolating
+the values of @var{c} for the cell's vertices. Contrast this with 
+@code{imagesc} which renders one cell for each element of @var{c}.
+
+@code{shading} modifies an attribute determining the manner by which the
+face color of each cell is interpolated from the values of @var{c},
+and the visibility of the cells' edges. By default the attribute is
+"faceted", which renders a single color for each cell's face with the edge
+visible.
+
+@var{h} is the handle to the surface object.
+
+@seealso{caxis, contour, meshgrid, imagesc, shading}
 @end deftypefn
-zginit
+surfnorm
 -*- texinfo -*-
-@deftypefn {Function File} {@var{zz} =} zginit (@var{a}, @var{b}, @var{c}, @var{d})
-Construct right hand side vector @var{zz}
-for the zero-computation generalized eigenvalue problem
-balancing procedure.  Called by @command{zgepbal}.
+@deftypefn {Function File} {} surfnorm (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {} surfnorm (@var{z})
+@deftypefnx {Function File} {[@var{nx}, @var{ny}, @var{nz}] =} surfnorm (@dots{})
+@deftypefnx {Function File} {} surfnorm (@var{h}, @dots{})
+Find the vectors normal to a meshgridded surface. The meshed gridded 
+surface is defined by @var{x}, @var{y}, and @var{z}. If @var{x} and 
+@var{y} are not defined, then it is assumed that they are given by
+
+@example
+[@var{x}, @var{y}] = meshgrid (1:size(@var{z}, 1), 
+                     1:size(@var{z}, 2));
+@end example
+
+If no return arguments are requested, a surface plot with the normal 
+vectors to the surface is plotted. Otherwise the componets of the normal
+vectors at the mesh gridded points are returned in @var{nx}, @var{ny},
+and @var{nz}.
+
+The normal vectors are calculated by taking the cross product of the 
+diagonals of eash of teh quadrilaterals in the meshgrid to find the 
+normal vectors of the centers of these quadrilaterals. The four nearest
+normal vectors to the meshgrid points are then averaged to obtain the 
+normal to the surface at the meshgridded points.
+
+An example of the use of @code{surfnorm} is
+
+@example
+surfnorm (peaks (25));
+@end example
+@seealso{surf, quiver3}
 @end deftypefn
-zgreduce
+text
 -*- texinfo -*-
-@deftypefn {Function File} {} zgreduce (@var{sys}, @var{meps})
-Implementation of procedure REDUCE in (Emami-Naeini and Van Dooren,
-Automatica, # 1982).
+@deftypefn {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{label})
+@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{z}, @var{label})
+@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{label}, @var{p1}, @var{v1}, @dots{})
+@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{z}, @var{label}, @var{p1}, @var{v1}, @dots{})
+Create a text object with text @var{label} at position @var{x},
+@var{y}, @var{z} on the current axes.  Property-value pairs following
+@var{label} may be used to specify the appearance of the text.
 @end deftypefn
-zgrownorm
+drawnow
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{nonz}, @var{zer}] =} zgrownorm (@var{mat}, @var{meps})
-Return @var{nonz} = number of rows of @var{mat} whose two norm
-exceeds @var{meps}, and @var{zer} = number of rows of mat whose two
-norm is less than @var{meps}.
+@deftypefn {Function File} {} drawnow ()
+Update and display the current graphics.
+
+Octave automatically calls drawnow just before printing a prompt,
+when @code{sleep} or @code{pause} is called, or while waiting for
+command-line input.
 @end deftypefn
-zgscal
+plotyy
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} zgscal (@var{f}, @var{z}, @var{n}, @var{m}, @var{p})
-Generalized conjugate gradient iteration to
-solve zero-computation generalized eigenvalue problem balancing equation
-@math{fx=z}; called by @command{zgepbal}.
+@deftypefn {Function File} {} plotyy (@var{x1}, @var{y1}, @var{x2}, @var{y2})
+@deftypefnx {Function File} {} plotyy (@dots{}, @var{fun})
+@deftypefnx {Function File} {} plotyy (@dots{}, @var{fun1}, @var{fun2})
+@deftypefnx {Function File} {} plotyy (@var{h}, @dots{})
+@deftypefnx {Function File} {[@var{ax}, @var{h1}, @var{h2}] =} plotyy (@dots{})
+Plots two sets of data with independent y-axes. The arguments @var{x1} and
+@var{y1} define the arguments for the first plot and @var{x1} and @var{y2}
+for the second. 
+
+By default the arguments are evaluated with 
+@code{feval (@@plot, @var{x}, @var{y})}. However the type of plot can be
+modified with the @var{fun} argument, in which case the plots are
+generated by @code{feval (@var{fun}, @var{x}, @var{y})}. @var{fun} can be 
+a function handle, an inline function or a string of a function name.
+
+The function to use for each of the plots can be independently defined 
+with @var{fun1} and @var{fun2}.
+
+If given, @var{h} defines the principal axis in which to plot the @var{x1}
+and @var{y1} data. The return value @var{ax} is a two element vector with
+the axis handles of the two plots. @var{h1} and @var{h2} are handles to
+the objects generated by the plot commands.
+
+@example
+@group
+x = 0:0.1:2*pi; 
+y1 = sin (x);
+y2 = exp (x - 1);
+ax = plotyy (x, y1, x - 1, y2, @@plot, @@semilogy);
+xlabel ("X");
+ylabel (ax(1), "Axis 1");
+ylabel (ax(2), "Axis 2");
+@end group
+@end example
 @end deftypefn
-zgsgiv
+rose
 -*- texinfo -*-
-@deftypefn {Function File} {[a, b] =} zgsgiv (@var{c}, @var{s}, @var{a}, @var{b})
-Apply givens rotation c,s to row vectors @var{a}, @var{b}.
-No longer used in zero-balancing (__zgpbal__); kept for backward
-compatibility.
+@deftypefn {Function File} {} rose (@var{th}, @var{r})
+@deftypefnx {Function File} {} rose (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} compass (@dots{})
+@deftypefnx {Function File} {[@var{r}, @var{th}] =} compass (@dots{})
+
+Plot an angular histogram. With one vector argument @var{th}, plots the
+histogram with 20 angular bins. If @var{th} is a matrix, then each column
+of @var{th} produces a separate histogram.
+
+If @var{r} is given and is a scalar, then the histogram is produced with
+@var{r} bins. If @var{r} is a vector, then the center of each bin are 
+defined by the values of @var{r}.
+
+The optional return value @var{h} provides a list of handles to the 
+the parts of the vector field (body, arrow and marker).
+
+If two output arguments are requested, then rather than plotting the 
+histogram, the polar vectors necessary to plot the histogram are 
+returned.
+axis
+-*- texinfo -*-
+@deftypefn {Function File} {} axis (@var{limits})
+Set axis limits for plots.
+
+The argument @var{limits} should be a 2, 4, or 6 element vector.  The
+first and second elements specify the lower and upper limits for the x
+axis.  The third and fourth specify the limits for the y axis, and the
+fifth and sixth specify the limits for the z axis.
+
+Without any arguments, @code{axis} turns autoscaling on.  
+
+With one output argument, @code{x=axis} returns the current axes 
+
+The vector argument specifying limits is optional, and additional
+string arguments may be used to specify various axis properties.  For
+example,
+
+@example
+axis ([1, 2, 3, 4], "square");
+@end example
+
+@noindent
+forces a square aspect ratio, and
+
+@example
+axis ("labely", "tic");
+@end example
+
+@noindent
+turns tic marks on for all axes and tic mark labels on for the y-axis
+only.
+
+@noindent
+The following options control the aspect ratio of the axes.
+
+@table @code
+@item "square"
+Force a square aspect ratio.
+@item "equal"
+Force x distance to equal y-distance.
+@item "normal"
+Restore the balance.
+@end table
+
+@noindent
+The following options control the way axis limits are interpreted.
+
+@table @code
+@item "auto" 
+Set the specified axes to have nice limits around the data
+or all if no axes are specified.
+@item "manual" 
+Fix the current axes limits.
+@item "tight"
+Fix axes to the limits of the data (not implemented).
+@end table
+
+@noindent
+The option @code{"image"} is equivalent to @code{"tight"} and
+@code{"equal"}.
+
+@noindent
+The following options affect the appearance of tic marks.
+
+@table @code
+@item "on" 
+Turn tic marks and labels on for all axes.
+@item "off"
+Turn tic marks off for all axes.
+@item "tic[xyz]"
+Turn tic marks on for all axes, or turn them on for the
+specified axes and off for the remainder.
+@item "label[xyz]"
+Turn tic labels on for all axes, or turn them on for the 
+specified axes and off for the remainder.
+@item "nolabel"
+Turn tic labels off for all axes.
+@end table
+Note, if there are no tic marks for an axis, there can be no labels.
+
+@noindent
+The following options affect the direction of increasing values on
+the axes.
+
+@table @code
+@item "ij"
+Reverse y-axis, so lower values are nearer the top.
+@item "xy" 
+Restore y-axis, so higher values are nearer the top. 
+@end table
+
+If an axes handle is passed as the first argument, then operate on
+this axes rather than the current axes.
 @end deftypefn
-zgshsr
+__plt_get_axis_arg__
+Undocumented internal function.
+subplot
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} zgshsr (@var{y})
-Apply householder vector based on 
+@deftypefn {Function File} {} subplot (@var{rows}, @var{cols}, @var{index})
+@deftypefnx {Function File} {} subplot (@var{rcn})
+Set up a plot grid with @var{cols} by @var{rows} subwindows and plot
+in location given by @var{index}.
+
+If only one argument is supplied, then it must be a three digit value
+specifying the location in digits 1 (rows) and 2 (columns) and the plot
+index in digit 3.
+
+The plot index runs row-wise.  First all the columns in a row are filled
+and then the next row is filled.
+
+For example, a plot with 2 by 3 grid will have plot indices running as
+follows:
 @iftex
 @tex
-$ e^m $
+\vskip 10pt
+\hfil\vbox{\offinterlineskip\hrule
+\halign{\vrule#&&\qquad\hfil#\hfil\qquad\vrule\cr
+height13pt&1&2&3\cr height12pt&&&\cr\noalign{\hrule}
+height13pt&4&5&6\cr height12pt&&&\cr\noalign{\hrule}}}
+\hfil
+\vskip 10pt
 @end tex
 @end iftex
 @ifinfo
-@math{e^(m)}
+@display
+@group
+@example
+
++-----+-----+-----+
+|  1  |  2  |  3  |
++-----+-----+-----+
+|  4  |  5  |  6  |
++-----+-----+-----+
+@end example
+@end group
+@end display
 @end ifinfo
-to column vector @var{y}.
-Called by @command{zgfslv}.
-@end deftypefn
-beta_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} beta_cdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, returns the CDF at @var{x} of the beta
-distribution with parameters @var{a} and @var{b}, i.e.,
-PROB (beta (@var{a}, @var{b}) <= @var{x}).
+@seealso{plot}
 @end deftypefn
-beta_inv
+__axis_label__
+Undocumented internal function.
+contourc
 -*- texinfo -*-
-@deftypefn {Function File} {} beta_inv (@var{x}, @var{a}, @var{b})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Beta distribution with parameters @var{a}
-and @var{b}.
+@deftypefn {Function File} {[@var{c}, @var{lev}] =}  contourc (@var{x}, @var{y}, @var{z}, @var{vn})
+Compute isolines (contour lines) of the matrix @var{z}. 
+Parameters @var{x}, @var{y} and @var{vn} are optional.
+
+The return value @var{lev} is a vector of the contour levels.
+The return value @var{c} is a 2 by @var{n} matrix containing the
+contour lines in the following format
+
+@example
+@var{c} = [lev1, x1, x2, ..., levn, x1, x2, ... 
+     len1, y1, y2, ..., lenn, y1, y2, ...]
+@end example
+
+@noindent
+in which contour line @var{n} has a level (height) of @var{levn} and
+length of @var{lenn}.
+
+If @var{x} and @var{y} are omitted they are taken as the row/column 
+index of @var{z}.  @var{vn} is either a scalar denoting the number of lines 
+to compute or a vector containing the values of the lines. If only one 
+value is wanted, set @code{@var{vn} = [val, val]};
+If @var{vn} is omitted it defaults to 10.
+
+For example,
+@example
+@group
+x = 0:2;
+y = x;
+z = x' * y;
+contourc (x, y, z, 2:3)
+@result{}   2.0000   2.0000   1.0000   3.0000   1.5000   2.0000
+     2.0000   1.0000   2.0000   2.0000   2.0000   1.5000
+
+@end group
+@end example
+@seealso{contour}
 @end deftypefn
-beta_pdf
+__plt2vv__
+Undocumented internal function.
+plot3
 -*- texinfo -*-
-@deftypefn {Function File} {} beta_pdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, returns the PDF at @var{x} of the beta
-distribution with parameters @var{a} and @var{b}.
-@end deftypefn
-beta_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} beta_rnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} beta_rnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
-random samples from the Beta distribution with parameters @var{a} and
-@var{b}.  Both @var{a} and @var{b} must be scalar or of size @var{r}
- by @var{c}.
+@deftypefn {Function File} {} plot3 (@var{args})
+Produce three-dimensional plots.  Many different combinations of
+arguments are possible.  The simplest form is
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
-@end deftypefn
-binomial_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} binomial_cdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the CDF at @var{x} of the
-binomial distribution with parameters @var{n} and @var{p}.
+@example
+plot3 (@var{x}, @var{y}, @var{z})
+@end example
+
+@noindent
+in which the arguments are taken to be the vertices of the points to
+be plotted in three dimensions. If all arguments are vectors of the
+same length, then a single continuous line is drawn. If all arguments
+are matrices, then each column of the matrices is treated as a
+separate line.  No attempt is made to transpose the arguments to make
+the number of rows match.
+
+If only two arguments are given, as
+
+@example
+plot3 (@var{x}, @var{c})
+@end example
+
+@noindent
+the real and imaginary parts of the second argument are used
+as the @var{y} and @var{z} coordinates, respectively.
+
+If only one argument is given, as
+
+@example
+plot3 (@var{c})
+@end example
+
+@noindent
+the real and imaginary parts of the argument are used as the @var{y}
+and @var{z} values, and they are plotted versus their index.
+
+Arguments may also be given in groups of three as
+
+@example
+plot3 (@var{x1}, @var{y1}, @var{z1}, @var{x2}, @var{y2}, @var{z2}, @dots{})
+@end example
+
+@noindent
+in which each set of three arguments is treated as a separate line or
+set of lines in three dimensions.
+
+To plot multiple one- or two-argument groups, separate each group
+with an empty format string, as
+
+@example
+plot3 (@var{x1}, @var{c1}, "", @var{c2}, "", @dots{})
+@end example
+
+An example of the use of @code{plot3} is
+
+@example
+@group
+   z = [0:0.05:5];
+   plot3 (cos(2*pi*z), sin(2*pi*z), z, ";helix;");
+   plot3 (z, exp(2i*pi*z), ";complex sinusoid;");
+@end group
+@end example
+@seealso{plot}
 @end deftypefn
-binomial_inv
+ribbon
 -*- texinfo -*-
-@deftypefn {Function File} {} binomial_inv (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-binomial distribution with parameters @var{n} and @var{p}.
+@deftypefn {Function File}  ribbon (@var{x}, @var{y}, @var{width})
+@deftypefnx {Function File}  ribbon (@var{y})
+@deftypefnx {Function File}  @var{h} = ribbon (@dots{})
+Plot a ribbon plot for the columns of @var{y} vs. @var{x}. The
+optional parameter @var{width} specifies the width of a single ribbon
+(default is 0.75).  If @var{x} is omitted, a vector containing the
+row numbers is assumed (1:rows(Y)).  If requested, return a vector
+@var{h} of the handles to the surface objects.
+@seealso{gca, colorbar}
 @end deftypefn
-binomial_pdf
+__go_draw_figure__
+Undocumented internal function.
+pareto
 -*- texinfo -*-
-@deftypefn {Function File} {} binomial_pdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the binomial distribution with parameters @var{n}
-and @var{p}.
+@deftypefn {Function File} {} pareto (@var{x})
+@deftypefnx {Function File} {} pareto (@var{x}, @var{y})
+@deftypefnx {Function File} {} pareto (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} pareto (@dots{})
+Draw a Pareto chart, also called ABC chart. A Pareto chart is a bar graph 
+used to arrange information in such a way that priorities for process 
+improvement can be established. It organizes and displays information 
+to show the relative importance of data. The chart is similar to the 
+histogram or bar chart, except that the bars are arranged in decreasing 
+order from left to right along the abscissa.
+
+The fundamental idea (Pareto principle) behind the use of Pareto 
+diagrams is that the majority of an effect is due to a small subset of the
+causes, so for quality improvement the first few (as presented on the 
+diagram) contributing causes to a problem usually account for the majority 
+of the result. Thus, targeting these "major causes" for elimination 
+results in the most cost-effective improvement scheme.
+
+The data are passed as @var{x} and the abscissa as @var{y}. If @var{y} is
+absent, then the abscissa are assumed to be @code{1 : length (@var{x})}.
+@var{y} can be a string array, a cell array of strings or a numerical
+vector.
+
+An example of the use of @code{pareto} is
+
+@example
+@group
+Cheese = @{"Cheddar", "Swiss", "Camembert", "Munster", "Stilton", ...
+   "Blue"@};
+Sold = [105, 30, 70, 10, 15, 20];
+pareto(Sold, Cheese);
+@end group
+@end example
 @end deftypefn
-binomial_rnd
+legend
 -*- texinfo -*-
-@deftypefn {Function File} {} binomial_rnd (@var{n}, @var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} binomial_rnd (@var{n}, @var{p}, @var{sz})
-Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
-random samples from the binomial distribution with parameters @var{n}
-and @var{p}.  Both @var{n} and @var{p} must be scalar or of size
-@var{r} by @var{c}.
+@deftypefn {Function File} {} legend (@var{st1}, @var{st2}, @dots{})
+@deftypefnx {Function File} {} legend (@var{st1}, @var{st2}, @dots{}, "location", @var{pos})
+@deftypefnx {Function File} {} legend (@var{matstr})
+@deftypefnx {Function File} {} legend (@var{matstr}, "location", @var{pos})
+@deftypefnx {Function File} {} legend (@var{cell})
+@deftypefnx {Function File} {} legend (@var{cell}, "location", @var{pos})
+@deftypefnx {Function File} {} legend ('@var{func}')
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{n} and @var{p}.
+Display a legend for the current axes using the specified strings
+as labels.  Legend entries may be specified as individual character
+string arguments, a character array, or a cell array of character
+strings.  Legend works on line graphs, bar graphs, etc.  A plot must
+exist before legend is called.
+
+The optional parameter @var{pos} specifies the location of the legend
+as follows:
+
+@multitable @columnfractions 0.06 0.14 0.80
+@item @tab north @tab
+  center top
+@item @tab south @tab
+  center bottom
+@item @tab east @tab
+  right center
+@item @tab west @tab
+  left center
+@item @tab northeast @tab
+  right top (default)
+@item @tab northwest @tab
+  left top
+@item @tab southeast @tab
+  right bottom
+@item @tab southwest @tab
+  left bottom
+@item 
+@item @tab outside @tab
+  can be appended to any location string
+@end multitable
+
+Some specific functions are directly available using @var{func}:
+
+@table @asis
+@item "show"
+  Show legends from the plot
+@item "hide"
+@itemx "off"
+  Hide legends from the plot
+@item "boxon"
+  Draw a box around legends
+@item "boxoff"
+  Withdraw the box around legends
+@item "left"
+  Text is to the left of the keys
+@item "right"
+  Text is to the right of the keys
+@end table
 @end deftypefn
-chisquare_cdf
+mesh
 -*- texinfo -*-
-@deftypefn {Function File} {} chisquare_cdf (@var{x}, @var{n})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the chisquare distribution with @var{n}
-degrees of freedom.
+@deftypefn {Function File} {} mesh (@var{x}, @var{y}, @var{z})
+Plot a mesh given matrices @var{x}, and @var{y} from @code{meshgrid} and
+a matrix @var{z} corresponding to the @var{x} and @var{y} coordinates of
+the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
+is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, columns of @var{z}
+correspond to different @var{x} values and rows of @var{z} correspond
+to different @var{y} values.
+@seealso{meshgrid, contour}
 @end deftypefn
-chisquare_inv
+peaks
 -*- texinfo -*-
-@deftypefn {Function File} {} chisquare_inv (@var{x}, @var{n})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the chisquare distribution with @var{n} degrees of
-freedom.
+@deftypefn {Function File} {} peaks ()
+@deftypefnx {Function File} {} peaks (@var{n})
+@deftypefnx {Function File} {} peaks (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{z} =} peaks (@dots{})
+@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} peaks (@dots{})
+Generate a function with lots of local maxima and minima. The function
+has the form
+
+@iftex
+@tex
+$f(x,y) = 3 (1 - x) ^ 2 e ^ {\left(-x^2 - (y+1)^2\right)} - 10 \left({x \over 5} - x^3 - y^5)\right) - {1 \over 3} e^{\left(-(x+1)^2 - y^2\right)}$
+@end tex
+@end iftex
+@ifnottex
+@verbatim
+f(x,y) = 3*(1-x)^2*exp(-x^2 - (y+1)^2) ...
+         - 10*(x/5 - x^3 - y^5)*exp(-x^2-y^2) ...
+         - 1/3*exp(-(x+1)^2 - y^2)
+@end verbatim
+@end ifnottex
+
+Called without a return argument, @code{peaks} plots the surface of the 
+above function using @code{mesh}. If @var{n} is a scalar, the @code{peaks}
+returns the values of the above function on a @var{n}-by-@var{n} mesh over
+the range @code{[-3,3]}. The default value for @var{n} is 49.
+
+If @var{n} is a vector, then it represents the @var{x} and @var{y} values
+of the grid on which to calculate the above function. The @var{x} and 
+@var{y} values can be specified separately.
+@seealso{surf, mesh, meshgrid}
 @end deftypefn
-chisquare_pdf
+contour
 -*- texinfo -*-
-@deftypefn {Function File} {} chisquare_pdf (@var{x}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the chisquare distribution with @var{n} degrees
-of freedom. 
-@end deftypefn
-chisquare_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} chisquare_rnd (@var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} chisquare_rnd (@var{n}, @var{sz})
-Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
-random samples from the chisquare distribution with @var{n} degrees 
-of freedom.  @var{n} must be a scalar or of size @var{r} by @var{c}.
+@deftypefn {Function File} {} contour (@var{z})
+@deftypefnx {Function File} {} contour (@var{z}, @var{vn})
+@deftypefnx {Function File} {} contour (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {} contour (@var{x}, @var{y}, @var{z}, @var{vn})
+@deftypefnx {Function File} {} contour (@dots{}, @var{style})
+@deftypefnx {Function File} {} contour (@var{h}, @dots{})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contour (@dots{})
+Plot level curves (contour lines) of the matrix @var{z}, using the
+contour matrix @var{c} computed by @code{contourc} from the same
+arguments; see the latter for their interpretation.  The set of
+contour levels, @var{c}, is only returned if requested.  For example:
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{n}.
-@end deftypefn
-clearplot
--*- texinfo -*-
-@deftypefn {Function File} {} clearplot ()
-This function has been deprecated.  Use clf instead.
-@end deftypefn
-clg
--*- texinfo -*-
-@deftypefn {Function File} {} clg ()
-This function has been deprecated.  Use clf instead.
-@end deftypefn
-com2str
--*- texinfo -*-
-@deftypefn {Function File} {} com2str (@var{zz}, @var{flg})
-This function has been deprecated.  Use num2str instead.
+@example
+@group
+x = 0:2;
+y = x;
+z = x' * y;
+contour (x, y, z, 2:3)
+@end group
+@end example
 
-Convert complex number to a string.
-@strong{Inputs}
-@table @var
-@item zz
-complex number
-@item flg
-format flag
-0 (default):            -1, 0, 1,   1i,   1 + 0.5i
-1 (for use with zpout): -1, 0, + 1, + 1i, + 1 + 0.5i
-@end table
-@end deftypefn
-exponential_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} exponential_cdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the exponential distribution with
-parameter @var{lambda}.
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
+Any markers defined by @var{style} are ignored.
 
-The arguments can be of common size or scalar.
-@end deftypefn
-exponential_inv
--*- texinfo -*-
-@deftypefn {Function File} {} exponential_inv (@var{x}, @var{lambda})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the exponential distribution with parameter
-@var{lambda}.
-@end deftypefn
-exponential_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} exponential_pdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the probability density function
-(PDF) of the exponential distribution with parameter @var{lambda}.
+The optional input and output argument @var{h} allows an axis handle to 
+be passed to @code{contour} and the handles to the contour objects to be
+returned.
+@seealso{contourc, patch, plot}
 @end deftypefn
-exponential_rnd
+quiver3
 -*- texinfo -*-
-@deftypefn {Function File} {} exponential_rnd (@var{lambda}, @var{r}, @var{c})
-@deftypefnx {Function File} {} exponential_rnd (@var{lambda}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-exponential distribution with parameter @var{lambda}, which must be a
-scalar or of size @var{r} by @var{c}. Or if @var{sz} is a vector, 
-create a matrix of size @var{sz}.
+@deftypefn {Function File} {} quiver3 (@var{u}, @var{v}, @var{w})
+@deftypefnx {Function File} {} quiver3 (@var{x}, @var{y}, @var{z}, @var{u}, @var{v}, @var{w})
+@deftypefnx {Function File} {} quiver3 (@dots{}, @var{s})
+@deftypefnx {Function File} {} quiver3 (@dots{}, @var{style})
+@deftypefnx {Function File} {} quiver3 (@dots{}, 'filled')
+@deftypefnx {Function File} {} quiver3 (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} quiver3 (@dots{})
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{lambda}.
-@end deftypefn
-f_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} f_cdf (@var{x}, @var{m}, @var{n})
-For each element of @var{x}, compute the CDF at @var{x} of the F
-distribution with @var{m} and @var{n} degrees of freedom, i.e.,
-PROB (F (@var{m}, @var{n}) <= @var{x}). 
-@end deftypefn
-f_inv
--*- texinfo -*-
-@deftypefn {Function File} {} f_inv (@var{x}, @var{m}, @var{n})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the F distribution with parameters @var{m} and
-@var{n}.
-@end deftypefn
-f_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} f_pdf (@var{x}, @var{m}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the F distribution with @var{m} and @var{n}
-degrees of freedom.
-@end deftypefn
-f_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} f_rnd (@var{m}, @var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} f_rnd (@var{m}, @var{n}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the F
-distribution with @var{m} and @var{n} degrees of freedom.  Both
-@var{m} and @var{n} must be scalar or of size @var{r} by @var{c}.
-If @var{sz} is a vector the random samples are in a matrix of 
-size @var{sz}.
+Plot the @code{(@var{u}, @var{v}, @var{w})} components of a vector field in 
+an @code{(@var{x}, @var{y}), @var{z}} meshgrid. If the grid is uniform, you 
+can specify @var{x}, @var{y} @var{z} as vectors.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{m} and @var{n}.
-@end deftypefn
-gamma_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} gamma_cdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Gamma distribution with parameters
-@var{a} and @var{b}.
-@end deftypefn
-gamma_inv
--*- texinfo -*-
-@deftypefn {Function File} {} gamma_inv (@var{x}, @var{a}, @var{b})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Gamma distribution with parameters @var{a}
-and @var{b}. 
-@end deftypefn
-gamma_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} gamma_pdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, return the probability density function
-(PDF) at @var{x} of the Gamma distribution with parameters @var{a}
-and @var{b}.
-@end deftypefn
-gamma_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} gamma_rnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} gamma_rnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
-random samples from the Gamma distribution with parameters @var{a}
-and @var{b}.  Both @var{a} and @var{b} must be scalar or of size 
-@var{r} by @var{c}.
+If @var{x}, @var{y} and @var{z} are undefined they are assumed to be
+@code{(1:@var{m}, 1:@var{n}, 1:@var{p})} where @code{[@var{m}, @var{n}] = 
+size(@var{u})} and @code{@var{p} = max (size (@var{w}))}.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
-@end deftypefn
-geometric_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} geometric_cdf (@var{x}, @var{p})
-For each element of @var{x}, compute the CDF at @var{x} of the
-geometric distribution with parameter @var{p}.
+The variable @var{s} is a scalar defining a scaling factor to use for
+ the arrows of the field relative to the mesh spacing. A value of 0 
+disables all scaling. The default value is 1.
+
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
+If a marker is specified then markers at the grid points of the vectors are
+printed rather than arrows. If the argument 'filled' is given then the
+markers as filled.
+
+The optional return value @var{h} provides a list of handles to the 
+the parts of the vector field (body, arrow and marker).
+
+@example
+@group
+[x, y, z] = peaks (25);
+surf (x, y, z);
+hold on;
+[u, v, w] = surfnorm (x, y, z / 10);
+quiver3 (x, y, z, u, v, w);
+@end group
+@end example
+
+@seealso{plot}
 @end deftypefn
-geometric_inv
+clf
 -*- texinfo -*-
-@deftypefn {Function File} {} geometric_inv (@var{x}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-geometric distribution with parameter @var{p}.
+@deftypefn {Function File} {} clf ()
+@deftypefnx {Function File} {} clf ("reset")
+@deftypefnx {Function File} {} clf (@var{hfig})
+@deftypefnx {Function File} {} clf (@var{hfig}, "reset")
+@deftypefnx {Function File} {@var{hfig} =} clf (@dots{})
+Delete the children of the current figure with visible handles.
+If @var{hfig} is specified and is an figure object handle, operate on it
+instead of the current figure.  If the optional argument @code{"reset"}
+is specified, also delete the figure's children with hidden handles.
+@seealso{cla, close, delete}
 @end deftypefn
-geometric_pdf
+__errcomm__
+Undocumented internal function.
+line
 -*- texinfo -*-
-@deftypefn {Function File} {} geometric_pdf (@var{x}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the geometric distribution with parameter @var{p}.
+@deftypefn {Function File} {} line ()
+@deftypefnx {Function File} {} line (@var{x}, @var{y})
+@deftypefnx {Function File} {} line (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {} line (@var{x}, @var{y}, @var{z}, @var{property}, @var{value}, @dots{})
+Create line object from @var{x} and @var{y} and insert in current
+axes object.  Return a handle (or vector of handles) to the line
+objects created.
+
+Multiple property-value pairs may be specified for the line, but they
+must appear in pairs.
 @end deftypefn
-geometric_rnd
+__next_line_color__
+Undocumented internal function.
+caxis
 -*- texinfo -*-
-@deftypefn {Function File} {} geometric_rnd (@var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} geometric_rnd (@var{p}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-geometric distribution with parameter @var{p}, which must be a scalar
-or of size @var{r} by @var{c}.
+@deftypefn {Function File} {} caxis (@var{limits})
+@deftypefnx {Function File} {} caxis (@var{h}, @dots{})
+Set color axis limits for plots.
 
-If @var{r} and @var{c} are given create a matrix with @var{r} rows and
-@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
-@var{sz}.
+The argument @var{limits} should be a 2 element vector specifying the 
+lower and upper limits to assign to the first and last value in the
+colormap. Values outside this range are clamped to the first and last
+colormap entries. 
+
+If @var{limits} is 'auto', then automatic colormap scaling is applied,
+whereas if @var{limits} is 'manual' the colormap scaling is set to manual.
+
+Called without any arguments to current color axis limits are returned.
+
+If an axes handle is passed as the first argument, then operate on
+this axes rather than the current axes.
 @end deftypefn
-hypergeometric_cdf
+quiver
 -*- texinfo -*-
-@deftypefn {Function File} {} hypergeometric_cdf (@var{x}, @var{m}, @var{t}, @var{n})
-Compute the cumulative distribution function (CDF) at @var{x} of the
-hypergeometric distribution with parameters @var{m}, @var{t}, and
-@var{n}.  This is the probability of obtaining not more than @var{x}
-marked items when randomly drawing a sample of size @var{n} without
-replacement from a population of total size @var{t} containing
-@var{m} marked items.
+@deftypefn {Function File} {} quiver (@var{u}, @var{v})
+@deftypefnx {Function File} {} quiver (@var{x}, @var{y}, @var{u}, @var{v})
+@deftypefnx {Function File} {} quiver (@dots{}, @var{s})
+@deftypefnx {Function File} {} quiver (@dots{}, @var{style})
+@deftypefnx {Function File} {} quiver (@dots{}, 'filled')
+@deftypefnx {Function File} {} quiver (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} quiver (@dots{})
 
-The parameters @var{m}, @var{t}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
-@end deftypefn
-hypergeometric_inv
--*- texinfo -*-
-@deftypefn {Function File} {} hypergeometric_inv (@var{x}, @var{m}, @var{t}, @var{n})
-For each element of @var{x}, compute the quantile at @var{x} of the
-hypergeometric distribution with parameters @var{m}, @var{t}, and
-@var{n}.
+Plot the @code{(@var{u}, @var{v})} components of a vector field in 
+an @code{(@var{x}, @var{y})} meshgrid. If the grid is uniform, you can 
+specify @var{x} and @var{y} as vectors.
 
-The parameters @var{m}, @var{t}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
-@end deftypefn
-hypergeometric_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} hypergeometric_pdf (@var{x}, @var{m}, @var{t}, @var{n})
-Compute the probability density function (PDF) at @var{x} of the
-hypergeometric distribution with parameters @var{m}, @var{t}, and
-@var{n}. This is the probability of obtaining @var{x} marked items
-when randomly drawing a sample of size @var{n} without replacement
-from a population of total size @var{t} containing @var{m} marked items.
+If @var{x} and @var{y} are undefined they are assumed to be
+@code{(1:@var{m}, 1:@var{n})} where @code{[@var{m}, @var{n}] = 
+size(@var{u})}.
 
-The arguments must be of common size or scalar.
-@end deftypefn
-hypergeometric_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} hypergeometric_rnd (@var{m}, @var{t}, @var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} hygernd (@var{m}, @var{t}, @var{n}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-hypergeometric distribution with parameters @var{m}, @var{t},
-and @var{n}.
+The variable @var{s} is a scalar defining a scaling factor to use for
+ the arrows of the field relative to the mesh spacing. A value of 0 
+disables all scaling. The default value is 1.
 
-The parameters @var{m}, @var{t}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
-@end deftypefn
-intersection
--*- texinfo -*-
-@deftypefn {Function File} {} intersection (@var{x}, @var{y})
-This function has been deprecated.  Use intersect instead.
-@end deftypefn
-is_bool
--*- texinfo -*-
-@deftypefn {Function File} {} is_bool (@var{a})
-This function has been deprecated.  Use isbool instead.
-@end deftypefn
-is_complex
--*- texinfo -*-
-@deftypefn {Function File} {} is_complex (@var{a})
-This function has been deprecated.  Use iscomplex instead.
-@end deftypefn
-is_list
--*- texinfo -*-
-@deftypefn {Function File} {} is_list (@var{a})
-This function has been deprecated.  Use islist instead.
-@end deftypefn
-is_matrix
--*- texinfo -*-
-@deftypefn {Function File} {} is_matrix (@var{a})
-This function has been deprecated.  Use ismatrix instead.
-@end deftypefn
-is_scalar
--*- texinfo -*-
-@deftypefn {Function File} {} is_scalar (@var{a})
-This function has been deprecated.  Use isscalar instead.
-@end deftypefn
-is_square
--*- texinfo -*-
-@deftypefn {Function File} {} is_square (@var{x})
-This function has been deprecated.  Use issquare instead.
-@end deftypefn
-is_stream
--*- texinfo -*-
-@deftypefn {Function File} {} is_stream (@var{a})
-This function has been deprecated.  Use isstream instead.
-@end deftypefn
-is_struct
--*- texinfo -*-
-@deftypefn {Function File} {} is_struct (@var{a})
-This function has been deprecated.  Use isstruct instead.
-@end deftypefn
-is_symmetric
--*- texinfo -*-
-@deftypefn {Function File} {} issymmetric (@var{x}, @var{tol})
-This function has been deprecated.  Use issymmetric instead.
-@end deftypefn
-is_vector
--*- texinfo -*-
-@deftypefn {Function File} {} is_vector (@var{a})
-This function has been deprecated.  Use isvector instead.
-@end deftypefn
-isstr
--*- texinfo -*-
-@deftypefn {Function File} {} isstr (@var{a})
-This function has been deprecated.  Use ischar instead.
-@end deftypefn
-lognormal_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} lognormal_cdf (@var{x}, @var{a}, @var{v})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the lognormal distribution with
-parameters @var{a} and @var{v}.  If a random variable follows this
-distribution, its logarithm is normally distributed with mean
-@code{log (@var{a})} and variance @var{v}.
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
+If a marker is specified then markers at the grid points of the vectors are
+printed rather than arrows. If the argument 'filled' is given then the
+markers as filled.
 
-Default values are @var{a} = 1, @var{v} = 1.
-@end deftypefn
-lognormal_inv
--*- texinfo -*-
-@deftypefn {Function File} {} lognormal_inv (@var{x}, @var{a}, @var{v})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the lognormal distribution with parameters @var{a}
-and @var{v}.  If a random variable follows this distribution, its
-logarithm is normally distributed with mean @code{log (@var{a})} and
-variance @var{v}.
+The optional return value @var{h} provides a list of handles to the 
+the parts of the vector field (body, arrow and marker).
 
-Default values are @var{a} = 1, @var{v} = 1.
-@end deftypefn
-lognormal_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} lognormal_pdf (@var{x}, @var{a}, @var{v})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the lognormal distribution with parameters
-@var{a} and @var{v}.  If a random variable follows this distribution,
-its logarithm is normally distributed with mean @code{log (@var{a})}
-and variance @var{v}.
+@example
+@group
+[x, y] = meshgrid (1:2:20);
+quiver (x, y, sin (2*pi*x/10), sin (2*pi*y/10));
+@end group
+@end example
 
-Default values are @var{a} = 1, @var{v} = 1.
+@seealso{plot}
 @end deftypefn
-lognormal_rnd
+plot
 -*- texinfo -*-
-@deftypefn {Function File} {} lognormal_rnd (@var{a}, @var{v}, @var{r}, @var{c})
-@deftypefnx {Function File} {} lognormal_rnd (@var{a}, @var{v}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-lognormal distribution with parameters @var{a} and @var{v}. Both
-@var{a} and @var{v} must be scalar or of size @var{r} by @var{c}.
-Or if @var{sz} is a vector, create a matrix of size @var{sz}.
+@deftypefn {Function File} {} plot (@var{y})
+@deftypefnx {Function File} {} plot (@var{x}, @var{y})
+@deftypefnx {Function File} {} plot (@var{x}, @var{y}, @var{property}, @var{value}, @dots{})
+@deftypefnx {Function File} {} plot (@var{x}, @var{y}, @var{fmt})
+@deftypefnx {Function File} {} plot (@var{h}, @dots{})
+Produces two-dimensional plots.  Many different combinations of
+arguments are possible.  The simplest form is
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{v}.
-@end deftypefn
-meshdom
--*- texinfo -*-
-@deftypefn {Function File} {} meshdom (@var{x}, @var{y})
-This function has been deprecated.  Use @code{meshgrid} instead.
-@end deftypefn
-normal_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} normal_cdf (@var{x}, @var{m}, @var{v})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the normal distribution with mean
-@var{m} and variance @var{v}.
+@example
+plot (@var{y})
+@end example
 
-Default values are @var{m} = 0, @var{v} = 1.
-@end deftypefn
-normal_inv
--*- texinfo -*-
-@deftypefn {Function File} {} normal_inv (@var{x}, @var{m}, @var{v})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the normal distribution with mean @var{m} and
-variance @var{v}.
+@noindent
+where the argument is taken as the set of @var{y} coordinates and the
+@var{x} coordinates are taken to be the indices of the elements,
+starting with 1.
 
-Default values are @var{m} = 0, @var{v} = 1.
-@end deftypefn
-normal_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} normal_pdf (@var{x}, @var{m}, @var{v})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the normal distribution with mean @var{m} and
-variance @var{v}.
+To save a plot, in one of several image formats such as PostScript
+or PNG, use the @code{print} command.
 
-Default values are @var{m} = 0, @var{v} = 1.
-@end deftypefn
-normal_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} normal_rnd (@var{m}, @var{v}, @var{r}, @var{c})
-@deftypefnx {Function File} {} normal_rnd (@var{m}, @var{v}, @var{sz})
-Return an @var{r} by @var{c}  or @code{size (@var{sz})} matrix of
-random samples from the normal distribution with parameters @var{m} 
-and @var{v}.  Both @var{m} and @var{v} must be scalar or of size 
-@var{r} by @var{c}.
+If more than one argument is given, they are interpreted as
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{m} and @var{v}.
-@end deftypefn
-pascal_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} pascal_cdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the CDF at x of the Pascal
-(negative binomial) distribution with parameters @var{n} and @var{p}.
+@example
+plot (@var{y}, @var{property}, @var{value}, @dots{})
+@end example
 
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution.
-@end deftypefn
-pascal_inv
--*- texinfo -*-
-@deftypefn {Function File} {} pascal_inv (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-Pascal (negative binomial) distribution with parameters @var{n} and
-@var{p}.
+@noindent
+or
 
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution.
-@end deftypefn
-pascal_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} pascal_pdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the Pascal (negative binomial) distribution with
-parameters @var{n} and @var{p}.
+@example
+plot (@var{x}, @var{y}, @var{property}, @var{value}, @dots{})
+@end example
 
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution. 
-@end deftypefn
-pascal_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} pascal_rnd (@var{n}, @var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} pascal_rnd (@var{n}, @var{p}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the Pascal
-(negative binomial) distribution with parameters @var{n} and @var{p}.
-Both @var{n} and @var{p} must be scalar or of size @var{r} by @var{c}.
+@noindent
+or
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{n} and @var{p}. Or if @var{sz} is a vector, 
-create a matrix of size @var{sz}.
-@end deftypefn
-poisson_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} poisson_cdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Poisson distribution with parameter
-lambda.
-@end deftypefn
-poisson_inv
--*- texinfo -*-
-@deftypefn {Function File} {} poisson_inv (@var{x}, @var{lambda})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Poisson distribution with parameter
-@var{lambda}.
-@end deftypefn
-poisson_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} poisson_pdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the poisson distribution with parameter @var{lambda}.
-@end deftypefn
-poisson_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} poisson_rnd (@var{lambda}, @var{r}, @var{c})
-Return an @var{r} by @var{c} matrix of random samples from the
-Poisson distribution with parameter @var{lambda}, which must be a 
-scalar or of size @var{r} by @var{c}.
+@example
+plot (@var{x}, @var{y}, @var{fmt}, @dots{})
+@end example
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{lambda}.
-@end deftypefn
-polyinteg
--*- texinfo -*-
-@deftypefn {Function File} {} polyinteg (@var{c})
-Return the coefficients of the integral of the polynomial whose
-coefficients are represented by the vector @var{c}.
+@noindent
+and so on.  Any number of argument sets may appear.  The @var{x} and
+@var{y} values are interpreted as follows:
 
-The constant of integration is set to zero.
-@seealso{poly, polyderiv, polyreduce, roots, conv, deconv, residue,
-filter, polyval, and polyvalm}
-@end deftypefn
-setstr
--*- texinfo -*-
-@deftypefn {Function File} {} setstr (@var{s})
-This function has been deprecated.  Use char instead.
-@end deftypefn
-struct_contains
--*- texinfo -*-
-@deftypefn {Function File} {} struct_contains (@var{expr}, @var{name})
-This function has been deprecated.  Use isfield instead.
-@end deftypefn
-struct_elements
--*- texinfo -*-
-@deftypefn {Function File} {} struct_elements (@var{struct})
-This function has been deprecated.  Use fieldnames instead.
-@end deftypefn
-t_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} t_cdf (@var{x}, @var{n})
-For each element of @var{x}, compute the CDF at @var{x} of the
-t (Student) distribution with @var{n} degrees of freedom, i.e.,
-PROB (t(@var{n}) <= @var{x}).
-@end deftypefn
-t_inv
--*- texinfo -*-
-@deftypefn {Function File} {} t_inv (@var{x}, @var{n})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the t (Student) distribution with parameter
-@var{n}.
-@end deftypefn
-t_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} t_pdf (@var{x}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the @var{t} (Student) distribution with @var{n}
-degrees of freedom. 
-@end deftypefn
-t_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} t_rnd (@var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} t_rnd (@var{n}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the t
-(Student) distribution with @var{n} degrees of freedom.  @var{n} must
-be a scalar or of size @var{r} by @var{c}. Or if @var{sz} is a
-vector create a matrix of size @var{sz}.
+@itemize @bullet
+@item
+If a single data argument is supplied, it is taken as the set of @var{y}
+coordinates and the @var{x} coordinates are taken to be the indices of
+the elements, starting with 1.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{n}.
-@end deftypefn
-uniform_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} uniform_cdf (@var{x}, @var{a}, @var{b})
-Return the CDF at @var{x} of the uniform distribution on [@var{a},
-@var{b}], i.e., PROB (uniform (@var{a}, @var{b}) <= x).
+@item
+If the @var{x} is a vector and @var{y} is a matrix, then
+the columns (or rows) of @var{y} are plotted versus @var{x}.
+(using whichever combination matches, with columns tried first.)
 
-Default values are @var{a} = 0, @var{b} = 1.
-@end deftypefn
-uniform_inv
--*- texinfo -*-
-@deftypefn {Function File} {} uniform_inv (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the uniform distribution on [@var{a}, @var{b}].
+@item
+If the @var{x} is a matrix and @var{y} is a vector,
+@var{y} is plotted versus the columns (or rows) of @var{x}.
+(using whichever combination matches, with columns tried first.)
 
-Default values are @var{a} = 0, @var{b} = 1.
-@end deftypefn
-uniform_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} uniform_pdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the PDF at @var{x} of the uniform
-distribution on [@var{a}, @var{b}].
+@item
+If both arguments are vectors, the elements of @var{y} are plotted versus
+the elements of @var{x}.
 
-Default values are @var{a} = 0, @var{b} = 1.
-@end deftypefn
-uniform_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} uniform_rnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} uniform_rnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
-random samples from the uniform distribution on [@var{a}, @var{b}]. 
-Both @var{a} and @var{b} must be scalar or of size @var{r} by @var{c}.
+@item
+If both arguments are matrices, the columns of @var{y} are plotted
+versus the columns of @var{x}.  In this case, both matrices must have
+the same number of rows and columns and no attempt is made to transpose
+the arguments to make the number of rows match.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
-@end deftypefn
-weibcdf
--*- texinfo -*-
-@deftypefn {Function File} {} weibcdf (@var{x}, @var{scale}, @var{shape})
-Compute the cumulative distribution function (CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}, which is
+If both arguments are scalars, a single point is plotted.
+@end itemize
 
-@example
-1 - exp(-(x/shape)^scale)
-@end example
+Multiple property-value pairs may be specified, but they must appear
+in pairs.  These arguments are applied to the lines drawn by
+@code{plot}.
 
-@noindent
-for @var{x} >= 0.
-@end deftypefn
-weibinv
--*- texinfo -*-
-@deftypefn {Function File} {} weibinv (@var{x}, @var{scale}, @var{shape})
-Compute the quantile (the inverse of the CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}.
-@end deftypefn
-weibpdf
--*- texinfo -*-
-@deftypefn {Function File} {} weibpdf (@var{x}, @var{scale}, @var{shape})
-Compute the probability density function (PDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape} which is given by
+If the @var{fmt} argument is supplied, it is interpreted as
+follows.  If @var{fmt} is missing, the default gnuplot line style
+is assumed.
 
-@example
-   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
-@end example
+@table @samp
+@item -
+Set lines plot style (default).
 
-@noindent
-for @var{x} > 0.
-@end deftypefn
-weibrnd
--*- texinfo -*-
-@deftypefn {Function File} {} weibrnd (@var{scale}, @var{shape}, @var{r}, @var{c})
-@deftypefnx {Function File} {} weibrnd (@var{scale}, @var{shape}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-Weibull distribution with parameters @var{scale} and @var{shape}
-which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
-is a vector return a matrix of size @var{sz}.
+@item .
+Set dots plot style.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{alpha} and @var{sigma}.
-@end deftypefn
-weibull_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} weibull_cdf (@var{x}, @var{shape}, @var{scale})
-Compute the cumulative distribution function (CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}, which is
+@item L
+Set steps plot style.
 
-@example
-1 - exp(-(x/shape)^scale)
-@end example
+@item @var{n}
+Interpreted as the plot color if @var{n} is an integer in the range 1 to
+6.
 
-@noindent
-for @var{x} >= 0.
-@end deftypefn
-weibull_inv
--*- texinfo -*-
-@deftypefn {Function File} {} weibull_inv (@var{x}, @var{shape}, @var{scale})
-Compute the quantile (the inverse of the CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}.
-@end deftypefn
-weibull_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} weibull_pdf (@var{x}, @var{shape}, @var{scale})
-Compute the probability density function (PDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape} which is given by
+@item @var{nm}
+If @var{nm} is a two digit integer and @var{m} is an integer in the
+range 1 to 6, @var{m} is interpreted as the point style.  This is only
+valid in combination with the @code{@@} or @code{-@@} specifiers.
 
-@example
-   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
-@end example
+@item @var{c}
+If @var{c} is one of @code{"k"} (black), @code{"r"} (red), @code{"g"}
+(green), @code{"b"} (blue), @code{"m"} (magenta), @code{"c"} (cyan),
+or @code{"w"} (white), it is interpreted as the line plot color.
 
-@noindent
-for @var{x} > 0.
-@end deftypefn
-weibull_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} weibull_rnd (@var{shape}, @var{scale}, @var{r}, @var{c})
-@deftypefnx {Function File} {} weibull_rnd (@var{shape}, @var{scale}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-Weibull distribution with parameters @var{scale} and @var{shape}
-which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
-is a vector return a matrix of size @var{sz}.
+@item ";title;"
+Here @code{"title"} is the label for the key.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{alpha} and @var{sigma}.
+@item +
+@itemx *
+@itemx o
+@itemx x
+@itemx ^
+Used in combination with the points or linespoints styles, set the point
+style.
+@end table
+
+The @var{fmt} argument may also be used to assign key titles.
+To do so, include the desired title between semi-colons after the
+formatting sequence described above, e.g. "+3;Key Title;"
+Note that the last semi-colon is required and will generate an error if
+it is left out.
+
+Here are some plot examples:
+
+@example
+plot (x, y, "@@12", x, y2, x, y3, "4", x, y4, "+")
+@end example
+
+This command will plot @code{y} with points of type 2 (displayed as
+@samp{+}) and color 1 (red), @code{y2} with lines, @code{y3} with lines of
+color 4 (magenta) and @code{y4} with points displayed as @samp{+}.
+
+@example
+plot (b, "*", "markersize", 3)
+@end example
+
+This command will plot the data in the variable @code{b},
+with points displayed as @samp{*} with a marker size of 3.
+
+@example
+t = 0:0.1:6.3;
+plot (t, cos(t), "-;cos(t);", t, sin(t), "+3;sin(t);");
+@end example
+
+This will plot the cosine and sine functions and label them accordingly
+in the key.
+
+If the first argument is an axis handle, then plot into these axes, 
+rather than the current axis handle returned by @code{gca}. 
+@seealso{semilogx, semilogy, loglog, polar, mesh, contour, bar,
+stairs, errorbar, xlabel, ylabel, title, print}
 @end deftypefn
-wiener_rnd
+scatter
 -*- texinfo -*-
-@deftypefn {Function File} {} wiener_rnd (@var{t}, @var{d}, @var{n})
-Return a simulated realization of the @var{d}-dimensional Wiener Process
-on the interval [0, @var{t}].  If @var{d} is omitted, @var{d} = 1 is
-used. The first column of the return matrix contains time, the
-remaining columns contain the Wiener process.
+@deftypefn {Function File} {} scatter (@var{x}, @var{y}, @var{s}, @var{c})
+@deftypefnx {Function File} {} scatter (@dots{}, 'filled')
+@deftypefnx {Function File} {} scatter (@dots{}, @var{style})
+@deftypefnx {Function File} {} scatter (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} scatter (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} scatter (@dots{})
 
-The optional parameter @var{n} gives the number of summands used for
-simulating the process over an interval of length 1.  If @var{n} is
-omitted, @var{n} = 1000 is used.
+Plot a scatter plot of the data. A marker is ploted at each point 
+defined by the points in the vectors @var{x} and @var{y}. The size of
+the markers used is determined by the @var{s}, which can be a scalar, 
+a vector of the same length of @var{x} and @var{y}. If @var{s} is not 
+given or is an empty matrix, then the default value of 8 points is used.
+
+The color of the markers is determined by @var{c}, which can be a string
+defining a fixed color, a 3 element vector giving the red, green and blue 
+components of the color, a vector of the same length as @var{x} that gives
+a scaled index into the current colormap, or a @var{n}-by-3 matrix defining
+the colors of each of the markers individually.
+
+The marker to use can be changed with the @var{style} argument, that is a 
+string defining a marker in the same manner as the @code{plot} command. 
+If the argument 'filled' is given then the markers as filled. All 
+additional arguments are passed to the underlying patch command.
+
+The optional return value @var{h} provides a handle to the patch object
+
+@example
+@group
+x = randn (100, 1);
+y = randn (100, 1);
+scatter (x, y, [], sqrt(x.^2 + y.^2));
+@end group
+@end example
+
+@seealso{plot, patch, scatter3}
 @end deftypefn
-acosd
+__axes_limits__
+Undocumented internal function.
+surf
 -*- texinfo -*-
-@deftypefn {Function File} {} acosd (@var{x})
-Compute the inverse cosine of an angle in degrees.
-@seealso{acos, cosd, asecd}
+@deftypefn {Function File} {} surf (@var{x}, @var{y}, @var{z})
+Plot a surface given matrices @var{x}, and @var{y} from @code{meshgrid} and
+a matrix @var{z} corresponding to the @var{x} and @var{y} coordinates of
+the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
+is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, columns of @var{z}
+correspond to different @var{x} values and rows of @var{z} correspond
+to different @var{y} values.
+@seealso{mesh, surface}
 @end deftypefn
-acot
+__scatter__
+Undocumented internal function.
+feather
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} acot (@var{x})
-Compute the inverse cotangent of each element of @var{x}.
+@deftypefn {Function File} {} feather (@var{u}, @var{v})
+@deftypefnx {Function File} {} feather (@var{z})
+@deftypefnx {Function File} {} feather (@dots{}, @var{style})
+@deftypefnx {Function File} {} feather (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} feather (@dots{})
+
+Plot the @code{(@var{u}, @var{v})} components of a vector field emanating
+from equidistant points on the x-axis. If a single complex argument
+@var{z} is given, then @code{@var{u} = real (@var{z})} and
+@code{@var{v} = imag (@var{z})}.
+
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
+
+The optional return value @var{h} provides a list of handles to the 
+the parts of the vector field (body, arrow and marker).
+
+@example
+@group
+phi = [0 : 15 : 360] * pi / 180;
+feather (sin (phi), cos (phi))
+@end group
+@end example
+
+@seealso{plot, quiver, compass}
 @end deftypefn
-acotd
+newplot
 -*- texinfo -*-
-@deftypefn {Function File} {} acotd (@var{x})
-Compute the inverse cotangent of an angle in degrees.
-@seealso{atan, tand}
+@deftypefn {Function File} {} newplot ()
+Prepare graphics engine to produce a new plot.  This function should
+be called at the beginning of all high-level plotting functions.
 @end deftypefn
-acoth
+__area__
+Undocumented internal function.
+__plr2__
+Undocumented internal function.
+polar
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} acoth (@var{x})
-Compute the inverse hyperbolic cotangent of each element of @var{x}.
+@deftypefn {Function File} {} polar (@var{theta}, @var{rho}, @var{fmt})
+Make a two-dimensional plot given the polar coordinates @var{theta} and
+@var{rho}.
+
+The optional third argument specifies the line type.
+@seealso{plot}
 @end deftypefn
-acsc
+closereq
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} acsc (@var{x})
-Compute the inverse cosecant of each element of @var{x}.
+@deftypefn {Function File} {} closereq ()
+Close the current figure and delete all graphics objects associated
+with it.
+@seealso{close, delete}
 @end deftypefn
-acscd
+area
 -*- texinfo -*-
-@deftypefn {Function File} {} acscd (@var{x})
-Compute the inverse cosecant of an angle in degrees.
-@seealso{acsc, cscd, asecd}
+@deftypefn {Function File} {} area (@var{x}, @var{y})
+@deftypefnx {Function File} {} area (@var{x}, @var{y}, @var{lvl})
+@deftypefnx {Function File} {} area (@dots{}, @var{prop}, @var{val}, @dots{})
+@deftypefnx {Function File} {} area (@var{y}, @dots{})
+@deftypefnx {Function File} {} area (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} area (@dots{})
+Area plot of cumulative sum of the columns of @var{y}. This shows the
+contributions of a value to a sum, and is functionally similar to 
+@code{plot (@var{x}, cumsum (@var{y}, 2))}, except that the area under 
+the curve is shaded.
+
+If the @var{x} argument is omitted it is assumed to be given by
+@code{1 : rows (@var{y})}. A value @var{lvl} can be defined that determines
+where the base level of the shading under the curve should be defined.
+
+Additional arguments to the @code{area} function are passed to the 
+@code{patch}. The optional return value @var{h} provides a handle to 
+the list of patch objects.
+@seealso{plot, patch}
 @end deftypefn
-acsch
+xlim
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} acsch (@var{x})
-Compute the inverse hyperbolic cosecant of each element of @var{x}.
+@deftypefn {Function File} {@var{xl} =} xlim ()
+@deftypefnx {Function File} {} xlim (@var{xl})
+@deftypefnx {Function File} {@var{m} =} xlim ('mode')
+@deftypefnx {Function File} {} xlim (@var{m})
+@deftypefnx {Function File} {} xlim (@var{h}, @dots{})
+Get or set the limits of the x axis of the current plot. Called without
+argumenst @code{xlim] returns the x axis limits of the current plot.
+If passed a two element vector @var{xl}, the limits of the x axis are set
+to this value.
+
+The current mode for calculation of the x axis can be returned with a
+call @code{xlim ('mode')}, and can be either 'auto' or 'manual'. The 
+current plotting mode can be set by passing either 'auto' or 'manual' 
+as the argument.
+
+If passed an handle as the first argument, then operate on this handle
+rather than the current axes handle.
+@seealso{ylim, zlim, set, get, gca}
 @end deftypefn
-asec
+__go_draw_axes__
+Undocumented internal function.
+ancestor
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} asec (@var{x})
-Compute the inverse secant of each element of @var{x}.
+@deftypefn {Function File} {@var{parent} =} ancestor (@var{h}, @var{type})
+@deftypefnx {Function File} {@var{parent} =} ancestor (@var{h}, @var{type}, 'toplevel')
+Return the first ancestor of handle object @var{h} whose type matches
+@var{type}, where @var{type} is a character string. If @var{type} is a
+cell array of strings, return the first parent whose type matches
+any of the given type strings.
+
+If the handle object @var{h} is of type @var{type}, return @var{h}.
+
+If @code{"toplevel"} is given as a 3rd argument, return the highest
+parent in the object hierarchy that matches the condition, instead
+of the first (nearest) one.
+@seealso{get, set}
 @end deftypefn
-asecd
+spinmap
 -*- texinfo -*-
-@deftypefn {Function File} {} asecd (@var{x})
-Compute inverse secant in degrees.
-@seealso{asec, secd, acscd}
+@deftypefn {Function File}  spinmap (@var{t}, @var{inc})
+Cycle the colormap for @var{t} seconds with an increment
+of @var{inc}.  Both parameters are optional.   The default cycle time
+is 5 seconds and the default increment is 2.
+
+A higher value of @var{inc} causes a faster cycle through the
+colormap.
+@seealso{gca, colorbar}
 @end deftypefn
-asech
--*- texinfo -*-
-@deftypefn {Mapping Function} {} asech (@var{x})
-Compute the inverse hyperbolic secant of each element of @var{x}.
-@end deftypefn
-asind
--*- texinfo -*-
-@deftypefn {Function File} {} asind (@var{x})
-Compute the inverse sine of an angle in degrees.
-@seealso{asin, sind, acosd}
-@end deftypefn
-atand
--*- texinfo -*-
-@deftypefn {Function File} {} atand (@var{x})
-Compute the inverse tangent of an angle in degrees.
-@seealso{acot, tand}
-@end deftypefn
-cosd
+__pltopt__
+Undocumented internal function.
+__errplot__
+Undocumented internal function.
+ishold
 -*- texinfo -*-
-@deftypefn {Function File} {} cosd (@var{x})
-Compute the cosine of an angle in degrees.  Returns zero in elements
-for which @code{(@var{x}-90)/180} is an integer.
-@seealso{cos, sind, tand, acosd, asind, atand}
+@deftypefn {Function File} {} ishold
+Return true if the next line will be added to the current plot, or
+false if the plot device will be cleared before drawing the next line.
 @end deftypefn
-cot
+__bars__
+Undocumented internal function.
+semilogy
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} cot (@var{x})
-Compute the cotangent of each element of @var{x}.
+@deftypefn {Function File} {} semilogy (@var{args})
+Produce a two-dimensional plot using a log scale for the @var{y}
+axis.  See the description of @code{plot} for a description of the
+arguments that @code{semilogy} will accept.
+@seealso{plot, semilogx, loglog}
 @end deftypefn
-cotd
+figure
 -*- texinfo -*-
-@deftypefn {Function File} {} cotd (@var{x})
-Compute the cotangent of an angle in degrees.
-@seealso{cot, tand}
+@deftypefn {Function File} {} figure (@var{n})
+@deftypefnx {Function File} {} figure (@var{n}, @var{property}, @var{value}, @dots{})
+Set the current plot window to plot window @var{n}.  If no arguments are
+specified, the next available window number is chosen.
+
+Multiple property-value pairs may be specified for the figure, but they
+must appear in pairs.
 @end deftypefn
-coth
+stem3
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} coth (@var{x})
-Compute the hyperbolic cotangent of each element of @var{x}.
+@deftypefn {Function File} {@var{h} =} stem3 (@var{x}, @var{y}, @var{z}, @var{linespec})
+Plot a three-dimensional stem graph and return the handles of the line
+and marker objects used to draw the stems.  The default color is @code{"r"}
+(red).  The default line style is @code{"-"} and the default marker is
+@code{"o"}.
+
+For example,
+@example
+theta = 0:0.2:6; 
+stem3 (cos (theta), sin (theta), theta) 
+@end example
+
+@noindent
+plots 31 stems with heights from 0 to 6 lying on a circle. Color 
+definitions with rgb-triples are not valid!
+@seealso{bar, barh, stem, plot}
 @end deftypefn
-csc
+__go_close_all__
+Undocumented internal function.
+zlabel
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} csc (@var{x})
-Compute the cosecant of each element of @var{x}.
+@deftypefn {Function File} {} zlabel (@var{string})
+@deftypefnx {Function File} {} zlabel (@var{h}, @var{string})
+See xlabel.
 @end deftypefn
-cscd
+__contour__
+Undocumented internal function.
+print
 -*- texinfo -*-
-@deftypefn {Function File} {} cscd (@var{x})
-Compute the cosecant of an angle in degrees.
-@seealso{csc, secd, sind, cosd}
+@deftypefn {Function File} {} print (@var{filename}, @var{options})
+Print a graph, or save it to a file
+
+@var{filename} defines the file name of the output file. If no
+filename is specified, output is sent to the printer.
+
+@var{options}:
+@table @code
+@item -P@var{printer}
+  Set the @var{printer} name to which the graph is sent if no
+@var{filename} is specified.
+@item -color
+@itemx -mono
+  Monochrome or colour lines.
+@item -solid
+@itemx -dashed
+  Solid or dashed lines.
+@item -portrait
+@itemx -landscape
+  Plot orientation, as returned by "orient".
+@item -d@var{device}
+  Output device, where @var{device} is one of:
+@table @code
+@item ps
+@itemx ps2
+@itemx psc
+@itemx psc2
+    Postscript (level 1 and 2, mono and color)
+@item eps
+@itemx eps2
+@itemx epsc
+@itemx epsc2
+    Encapsulated postscript (level 1 and 2, mono and color)
+@item tex
+@itemx epslatex
+@itemx epslatexstandalone
+@itemx pstex
+@itemx pslatex
+    Generate a LaTeX (or TeX) file for labels, and eps/ps for
+    graphics.  The file produced by @code{epslatexstandalone} can be
+    processed directly by LaTeX.  The other formats are intended to
+    be included in a LaTeX (or TeX) document.  The @code{tex} device
+    is the same as the @code{epslatex} device.
+@item ill
+@itemx aifm
+    Adobe Illustrator
+@item cdr
+@itemx corel
+    CorelDraw
+@item dxf
+    AutoCAD
+@item emf
+    Microsoft Enhanced Metafile
+@item fig
+    XFig.  If this format is selected the additional options
+@code{-textspecial} or @code{-textnormal} can be used to control
+    whether the special flag should be set for the text in the figure
+    (default is @code{-textnormal}). 
+@item hpgl
+    HP plotter language
+@item mf
+    Metafont
+@item png
+    Portable network graphics
+@item jpg
+@itemx jpeg
+    JPEG image
+@item gif
+    GIF image
+@item pbm
+    PBMplus
+@item svg
+    Scalable vector graphics
+@item pdf
+    Portable document format
+@end table
+
+  Other devices are supported by "convert" from ImageMagick.  Type
+  system("convert") to see what formats are available.
+
+  If the device is omitted, it is inferred from the file extension,
+  or if there is no filename it is sent to the printer as postscript.
+
+@itemx -S@var{xsize},@var{ysize}
+  Plot size in pixels for PNG and SVG.  If using the command form of
+  the print function, you must quote the @var{xsize},@var{ysize}
+  option.  For example, by writing @code{"-S640,480"}.
+
+@item -F@var{fontname}
+@itemx -F@var{fontname}:@var{size}
+@itemx -F:@var{size}
+@var{fontname} set the postscript font (for use with postscript,
+  aifm, corel and fig). By default, 'Helvetica' is set for PS/Aifm,
+  and 'SwitzerlandLight' for Corel. It can also be 'Times-Roman'.
+@var{size} is given in points. @var{fontname} is ignored for the
+  fig device.
+@end table
+
+The filename and options can be given in any order.
 @end deftypefn
-csch
+fill
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} csch (@var{x})
-Compute the hyperbolic cosecant of each element of @var{x}.
+@deftypefn {Function File} {} fill (@var{x}, @var{y}, @var{c})
+@deftypefnx {Function File} {} fill (@var{x1}, @var{y1}, @var{c1}, @var{x2}, @var{y2}, @var{c2})
+@deftypefnx {Function File} {} fill (@dots{}, @var{prop}, @var{val})
+@deftypefnx {Function File} {} fill (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} = } fill (@dots{})
+Create one or more filled patch objects, returning a patch object for each.
 @end deftypefn
-lcm
+cylinder
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} lcm (@var{x}, @dots{})
-Compute the least common multiple of the elements of @var{x}, or
-the list of all the arguments.  For example,
-
-@example
-lcm (a1, ..., ak)
-@end example
+@deftypefn {Function File} {} cylinder
+@deftypefnx {Function File} {} cylinder (@var{r})
+@deftypefnx {Function File} {} cylinder (@var{r}, @var{n})
+@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} cylinder (@dots{})
+@deftypefnx {Function File} {} cylinder (@var{ax}, @dots{})
+Generates three matrices in @code{meshgrid} format, such that
+@code{surf (@var{x}, @var{y}, @var{z})} generates a unit cylinder.
+The matrices are of size @code{@var{n}+1}-by-@code{@var{n}+1}. 
+@var{r} is a vector containing the radius along the z-axis.
+If @var{n} or @var{r} are omitted then default values of 20 or [1 1]
+are assumed.
 
-@noindent
-is the same as
+Called with no return arguments, @code{cylinder} calls directly
+@code{surf (@var{x}, @var{y}, @var{z})}. If an axes handle @var{ax}
+is passed as the first argument, the surface is plotted to this set
+of axes.
 
+Examples:
 @example
-lcm ([a1, ..., ak]).
+disp ("plotting a cone")
+[x, y, z] = cylinder (10:-1:0,50);
+surf (x, y, z);
 @end example
-
-All elements must be the same size or scalar.
-@seealso{gcd, min, max, ceil, floor}
+@seealso{sphere}
 @end deftypefn
-sec
+meshc
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} sec (@var{x})
-Compute the secant of each element of @var{x}.
+@deftypefn {Function File} {} meshc (@var{x}, @var{y}, @var{z})
+Plot a mesh and contour given matrices @var{x}, and @var{y} from 
+@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
+@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
+then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
+columns of @var{z} correspond to different @var{x} values and rows of 
+@var{z} correspond to different @var{y} values.
+@seealso{meshgrid, mesh, contour}
 @end deftypefn
-secd
+box
 -*- texinfo -*-
-@deftypefn {Function File} {} secd (@var{x})
-Compute the secant of an angle in degrees.
-@seealso{sec, cscd, sind, cosd}
+@deftypefn {Function File} {} box (@var{arg})
+@deftypefnx {Function File} {} box (@var{h}, @dots{})
+Control the display of a border around the plot.
+The argument may be either @code{"on"} or @code{"off"}.  If it is
+omitted, the current box state is toggled.
+@seealso{grid}
 @end deftypefn
-sech
+compass
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} sech (@var{x})
-Compute the hyperbolic secant of each element of @var{x}.
-@end deftypefn
-sind
--*- texinfo -*-
-@deftypefn {Function File} {} sind (@var{x})
-Compute the sine of each element of @var{x}.  Returns zero in elements
-for which @code{@var{x}/180} is an integer.
-@seealso{sin, cosd, tand, acosd, asind, atand}
-@end deftypefn
-tand
--*- texinfo -*-
-@deftypefn {Function File} {} tand (@var{x})
-Compute the tangent of an angle in degrees.  Returns zero for elements
-of for which @code{@var{x}/180} is an integer and @code{Inf} for elements
-where @code{(@var{x}-90)/180} is an integer.
-@seealso{tan, cosd, sind, acosd, asind, atand}
-@end deftypefn
-fv
--*- texinfo -*-
-@deftypefn {Function File} {} fv (@var{r}, @var{n}, @var{p}, @var{l}, @var{method})
-Return the future value at the end of period @var{n} of an investment
-which consists of @var{n} payments of @var{p} in each period,
-assuming an interest rate @var{r}.
+@deftypefn {Function File} {} compass (@var{u}, @var{v})
+@deftypefnx {Function File} {} compass (@var{z})
+@deftypefnx {Function File} {} compass (@dots{}, @var{style})
+@deftypefnx {Function File} {} compass (@var{h}, @dots{})
+@deftypefnx {Function File} {@var{h} =} compass (@dots{})
 
-The optional argument @var{l} may be used to specify an
-additional lump-sum payment.
+Plot the @code{(@var{u}, @var{v})} components of a vector field emanating
+from the origin of a polar polt. If a single complex argument @var{z} is 
+given, then @code{@var{u} = real (@var{z})} and @code{@var{v} = imag 
+(@var{z})}.
 
-The optional argument @var{method} may be used to specify whether the
-payments are made at the end (@code{"e"}, default) or at the
-beginning (@code{"b"}) of each period.
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
 
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
-@end deftypefn
-fvl
--*- texinfo -*-
-@deftypefn {Function File} {} fvl (@var{r}, @var{n}, @var{l})
-Return the future value at the end of @var{n} periods of an initial
-lump sum investment @var{l}, given a per-period interest rate
-@var{r}.
+The optional return value @var{h} provides a list of handles to the 
+the parts of the vector field (body, arrow and marker).
 
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
+@example
+@group
+a = toeplitz([1;randn(9,1)],[1,randn(1,9)]);
+compass (eig (a))
+@end group
+@end example
+
+@seealso{plot, polar, quiver, feather}
 @end deftypefn
-irr
+loglog
 -*- texinfo -*-
-@deftypefn {Function File} {} irr (@var{p}, @var{i})
-Return the internal rate of return of a series of payments @var{p}
-from an initial investment @var{i} (i.e., the solution of
-@code{npv (r, p) = i}.  If the second argument is omitted, a value of
-0 is used.
-@seealso{npv, pv, rate}
+@deftypefn {Function File} {} loglog (@var{args})
+Produce a two-dimensional plot using log scales for both axes.  See
+the description of @code{plot} for a description of the arguments
+that @code{loglog} will accept.
+@seealso{plot, semilogx, semilogy}
 @end deftypefn
-nper
+meshgrid
 -*- texinfo -*-
-@deftypefn {Function File} {} nper (@var{r}, @var{p}, @var{a}, @var{l}, @var{method})
-Return the number of regular payments of @var{p} necessary to
-amortize @var{a} loan of amount @var{a} and interest @var{r}.
-
-The optional argument @var{l} may be used to specify an additional
-lump-sum payment of @var{l} made at the end of the amortization time.
-
-The optional argument @var{method} may be used to specify whether
-payments are made at the end (@var{"e"}, default) or at the beginning
-(@var{"b"}) of each period.
-
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
-@seealso{pv, pmt, rate, npv}
+@deftypefn {Function File} {[@var{xx}, @var{yy}, @var{zz}] =} meshgrid (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {[@var{xx}, @var{yy}] =} meshgrid (@var{x}, @var{y})
+@deftypefnx {Function File} {[@var{xx}, @var{yy}] =} meshgrid (@var{x})
+Given vectors of @var{x} and @var{y} and @var{z} coordinates, and
+returning 3 arguments, return three dimensional arrays corresponding
+to the @var{x}, @var{y}, and @var{z} coordinates of a mesh.  When
+returning only 2 arguments, return matrices corresponding to the
+@var{x} and @var{y} coordinates of a mesh.  The rows of @var{xx} are
+copies of @var{x}, and the columns of @var{yy} are copies of @var{y}.
+If @var{y} is omitted, then it is assumed to be the same as @var{x},
+and @var{z} is assumed the same as @var{y}.
+@seealso{mesh, contour}
 @end deftypefn
-npv
+ndgrid
 -*- texinfo -*-
-@deftypefn {Function File} {} npv (@var{r}, @var{p}, @var{i})
-Returns the net present value of a series of irregular (i.e., not
-necessarily identical) payments @var{p} which occur at the ends of @var{n}
-consecutive periods.  @var{r} specifies the one-period interest rates and
-can either be a scalar (constant rates) or a vector of the same
-length as @var{p}.
-
-The optional argument @var{i} may be used to specify an initial
-investment.
+@deftypefn {Function File} {[@var{y1}, @var{y2}, @dots{},  @var{y}n] =} ndgrid (@var{x1}, @var{x2}, @dots{}, @var{x}n)
+@deftypefnx {Function File} {[@var{y1}, @var{y2}, @dots{},  @var{y}n] =} ndgrid (@var{x})
+Given n vectors @var{x1}, @dots{} @var{x}n, @code{ndgrid} returns
+n arrays of dimension n.  The elements of the ith output argument
+contains the elements of the vector @var{x}i repeated over all
+dimensions different from the ith dimension.  Calling ndgrid with
+only one input argument @var{x} is equivalent of calling ndgrid with
+all n input arguments equal to @var{x}:
 
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
-@seealso{irr, pv}
+[@var{y1}, @var{y2}, @dots{},  @var{y}n] = ndgrid (@var{x}, @dots{}, @var{x})
+@seealso{meshgrid}
 @end deftypefn
-pmt
+hist
 -*- texinfo -*-
-@deftypefn {Function File} {} pmt (@var{r}, @var{n}, @var{a}, @var{l}, @var{method})
-Return the amount of periodic payment necessary to amortize a loan
-of amount a with interest rate @var{r} in @var{n} periods.
+@deftypefn {Function File} {} hist (@var{y}, @var{x}, @var{norm})
+Produce histogram counts or plots.
 
-The optional argument @var{l} may be used to specify a terminal
-lump-sum payment.
+With one vector input argument, plot a histogram of the values with
+10 bins.  The range of the histogram bins is determined by the range
+of the data.  With one matrix input argument, plot a hystogram where
+each bin contains a bar per input column.
 
-The optional argument @var{method} may be used to specify whether
-payments are made at the end (@var{"e"}, default) or at the beginning
-(@var{"b"}) of each period.
-@seealso{pv, nper, rate}
-@end deftypefn
-pv
--*- texinfo -*-
-@deftypefn {Function File} {} pv (@var{r}, @var{n}, @var{p}, @var{l}, @var{method})
-Returns the present value of an investment that will pay off @var{p} for @var{n}
-consecutive periods, assuming an interest @var{r}.
+Given a second scalar argument, use that as the number of bins.
 
-The optional argument @var{l} may be used to specify an additional
-lump-sum payment made at the end of @var{n} periods.
+Given a second vector argument, use that as the centers of the bins,
+with the width of the bins determined from the adjacent values in
+the vector.
 
-The optional argument @var{method} may be used to specify whether
-payments are made at the end (@code{"e"}, default) or at the
-beginning (@code{"b"}) of each period.
+If third argument is provided, the histogram is normalised such that
+the sum of the bars is equal to @var{norm}.
 
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
-@seealso{pmt, nper, rate, npv}
-@end deftypefn
-pvl
--*- texinfo -*-
-@deftypefn {Function File} {} pvl (@var{r}, @var{n}, @var{p})
-Return the present value of an investment that will pay off @var{p}
-in one lump sum at the end of @var{n} periods, given the interest
-rate @var{r}.
+Extreme values are lumped in the first and last bins.
 
-Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
-not 5 percent).
+With two output arguments, produce the values @var{nn} and @var{xx} such
+that @code{bar (@var{xx}, @var{nn})} will plot the histogram.
+@seealso{bar}
 @end deftypefn
-rate
+errorbar
 -*- texinfo -*-
-@deftypefn {Function File} {} rate (@var{n}, @var{p}, @var{v}, @var{l}, @var{method})
-Return the rate of return on an investment of present value @var{v} which
-pays @var{p} in @var{n} consecutive periods.
+@deftypefn {Function File} {} errorbar (@var{args})
+This function produces two-dimensional plots with errorbars. Many
+different combinations of arguments are possible.  The simplest form is
 
-The optional argument @var{l} may be used to specify an additional
-lump-sum payment made at the end of @var{n} periods.
+@example
+errorbar (@var{y}, @var{ey})
+@end example
 
-The optional string argument @var{method} may be used to specify
-whether payments are made at the end (@code{"e"}, default) or at the
-beginning (@code{"b"}) of each period.
-@seealso{pv, pmt, nper, npv}
-@end deftypefn
-vol
--*- texinfo -*-
-@deftypefn {Function File} {} vol (@var{x}, @var{m}, @var{n})
-Return the volatility of each column of the input matrix @var{x}.
-The number of data sets per period is given by @var{m} (e.g. the
-number of data per year if you want to compute the volatility per
-year).  The optional parameter @var{n} gives the number of past
-periods used for computation, if it is omitted, a value of 1 is used.
-If @var{t} is the number of rows of @var{x}, @code{vol} returns the
-volatility from @code{n*m} to @var{t}.
-@end deftypefn
-__isequal__
-Undocumented internal function.
-__splinen__
-Undocumented internal function.
-accumarray
--*- texinfo -*-
-@deftypefn {Function File} {} accumarray (@var{subs}, @var{vals}, @var{sz}, @var{fun}, @var{fillval}, @var{issparse})
-@deftypefnx {Function File} {} accumarray (@var{csubs}, @var{vals}, @dots{})
+@noindent
+where the first argument is taken as the set of @var{y} coordinates
+and the second argument @var{ey} is taken as the errors of the
+@var{y} values. @var{x} coordinates are taken to be the indices
+of the elements, starting with 1.
 
-Create an array by accumulating the elements of a vector into the
-positions defined by their subscripts. The subscripts are defined by
-the rows of the matrix @var{subs} and the values by @var{vals}. Each row
-of @var{subs} corresponds to one of the values in @var{vals}.
+If more than two arguments are given, they are interpreted as
 
-The size of the matrix will be determined by the subscripts themselves.
-However, if @var{sz} is defined it determines the matrix size. The length
-of @var{sz} must correspond to the number of columns in @var{subs}.
+@example
+errorbar (@var{x}, @var{y}, @dots{}, @var{fmt}, @dots{})
+@end example
 
-The default action of @code{accumarray} is to sum the elements with the
-same subscripts. This behavior can be modified by defining the @var{fun}
-function. This should be a function or function handle that accepts a 
-column vector and returns a scalar. The result of the function should not
-depend on the order of the subscripts.
+@noindent
+where after @var{x} and @var{y} there can be up to four error
+parameters such as @var{ey}, @var{ex}, @var{ly}, @var{uy} etc.,
+depending on the plot type. Any number of argument sets may appear,
+as long as they are separated with a format string @var{fmt}.
 
-The elements of the returned array that have no subscripts assoicated with
-them are set to zero. Defining @var{fillval} to some other value allows
-these values to be defined.
+If @var{y} is a matrix, @var{x} and error parameters must also be matrices
+having same dimensions. The columns of @var{y} are plotted versus the
+corresponding columns of @var{x} and errorbars are drawn from
+the corresponding columns of error parameters.
 
-By default @code{accumarray} returns a full matrix. If @var{issparse} is
-logically true, then a sparse matrix is returned instead.
+If @var{fmt} is missing, yerrorbars ("~") plot style is assumed.
 
-An example of the use of @code{accumarray} is:
+If the @var{fmt} argument is supplied, it is interpreted as in
+normal plots. In addition the following plot styles are supported by
+errorbar:
 
-@example
-@group
-accumarray ([1,1,1;2,1,2;2,3,2;2,1,2;2,3,2], 101:105)
-@result{} ans(:,:,1) = [101, 0, 0; 0, 0, 0]
-   ans(:,:,2) = [0, 0, 0; 206, 0, 208]
-@end group
-@end example
-@end deftypefn
-arrayfun
--*- texinfo -*-
-@deftypefn {Function File} {@var{a} =} arrayfun (@var{name}, @var{c})
-@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c})
-@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c}, @var{d})
-@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c}, @var{options})
-@deftypefnx {Function File} {[@var{a}, @var{b}, @dots{}] =} arrayfun (@var{func}, @var{c}, @dots{})
-Execute a function on each element of an array.  This is useful for
-functions that do not accept array arguments.  If the function does
-accept array arguments it is better to call the function directly.
+@table @samp
+@item ~
+Set yerrorbars plot style (default).
 
-See @code{cellfun} for complete usage instructions.
-@seealso{cellfun}
-@end deftypefn
-bicubic
--*- texinfo -*-
-@deftypefn {Function File} {@var{zi}=} bicubic (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{extrapval})
+@item >
+Set xerrorbars plot style.
 
-Return a matrix @var{zi} corresponding to the bicubic
-interpolations at @var{xi} and @var{yi} of the data supplied
-as @var{x}, @var{y} and @var{z}. Points outside the grid are set
-to @var{extrapval}
+@item ~>
+Set xyerrorbars plot style.
 
-See @url{http://wiki.woodpecker.org.cn/moin/Octave/Bicubic}
-for further information.
-@seealso{interp2}
-@end deftypefn
-bitcmp
--*- texinfo -*-
-@deftypefn {Function File} {} bitcmp (@var{a}, @var{k})
-Return the @var{k}-bit complement of integers in @var{a}.  If
-@var{k} is omitted @code{k = log2 (bitmax) + 1} is assumed.
+@item #
+Set boxes plot style.
+
+@item #~
+Set boxerrorbars plot style.
+
+@item #~>
+Set boxxyerrorbars plot style.
+@end table
+
+Examples:
 
 @example
-bitcmp(7,4)
-@result{} 8
-dec2bin(11)
-@result{} 1011
-dec2bin(bitcmp(11, 6))
-@result{} 110100
+errorbar (@var{x}, @var{y}, @var{ex}, ">")
 @end example
-@seealso{bitand, bitor, bitxor, bitset, bitget, bitcmp, bitshift, bitmax}
-@end deftypefn
-bitget
--*- texinfo -*-
-@deftypefn {Function File} {@var{X} =} bitget (@var{a},@var{n})
-Return the status of bit(s) @var{n} of unsigned integers in @var{a}
-the lowest significant bit is @var{n} = 1.
+
+produces an xerrorbar plot of @var{y} versus @var{x} with @var{x}
+errorbars drawn from @var{x}-@var{ex} to @var{x}+@var{ex}.
 
 @example
-bitget (100, 8:-1:1)
-@result{} 0  1  1  0  0  1  0  0 
+errorbar (@var{x}, @var{y1}, @var{ey}, "~",
+@var{x}, @var{y2}, @var{ly}, @var{uy})
 @end example
-@seealso{bitand, bitor, bitxor, bitset, bitcmp, bitshift, bitmax}
-@end deftypefn
-bitset
--*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} bitset (@var{a}, @var{n})
-@deftypefnx {Function File} {@var{x} =} bitset (@var{a}, @var{n}, @var{v})
-Set or reset bit(s) @var{n} of unsigned integers in @var{a}.
-@var{v} = 0 resets and @var{v} = 1 sets the bits.
-The lowest significant bit is: @var{n} = 1
+
+produces yerrorbar plots with @var{y1} and @var{y2} versus @var{x}.
+Errorbars for @var{y1} are drawn from @var{y1}-@var{ey} to
+@var{y1}+@var{ey}, errorbars for @var{y2} from @var{y2}-@var{ly} to
+@var{y2}+@var{uy}.
 
 @example
-dec2bin (bitset (10, 1))
-@result{} 1011
+errorbar (@var{x}, @var{y}, @var{lx}, @var{ux},
+@var{ly}, @var{uy}, "~>")
 @end example
-@seealso{bitand, bitor, bitxor, bitget, bitcmp, bitshift, bitmax}
-@end deftypefn
-blkdiag
--*- texinfo -*-
-@deftypefn {Function File} {} blkdiag (@var{a}, @var{b}, @var{c}, @dots{})
-Build a block diagonal matrix from @var{a}, @var{b}, @var{c}, @dots{}.
-All the arguments must be numeric and are two-dimensional matrices or
-scalars.
-@seealso{diag, horzcat, vertcat}
-@end deftypefn
-cart2pol
--*- texinfo -*-
-@deftypefn {Function File} {[@var{theta}, @var{r}] =} cart2pol (@var{x}, @var{y})
-@deftypefnx {Function File} {[@var{theta}, @var{r}, @var{z}] =} cart2pol (@var{x}, @var{y}, @var{z})
-Transform cartesian to polar or cylindrical coordinates.
-@var{x}, @var{y} (and @var{z}) must be of same shape.
-@var{theta} describes the angle relative to the x - axis.
-@var{r} is the distance to the z - axis (0, 0, z).
-@seealso{pol2cart, cart2sph, sph2cart}
-@end deftypefn
-cart2sph
--*- texinfo -*-
-@deftypefn {Function File} {[@var{theta}, @var{phi}, @var{r}] =} cart2sph (@var{x}, @var{y}, @var{z})
-Transform cartesian to spherical coordinates.
-@var{x}, @var{y} and @var{z} must be of same shape.
-@var{theta} describes the angle relative to the x - axis.
-@var{phi} is the angle relative to the xy - plane.
-@var{r} is the distance to the origin (0, 0, 0).
-@seealso{pol2cart, cart2pol, sph2cart}
-@end deftypefn
-cell2mat
--*- texinfo -*-
-@deftypefn {Function File} {@var{m} =} cell2mat (@var{c})
-Convert the cell array @var{c} into a matrix by concatenating all
-elements of @var{c} into a hyperrectangle.  Elements of @var{c} must
-be numeric, logical or char, and @code{cat} must be able to
-concatenate them together.
-@seealso{mat2cell, num2cell}
+
+produces an xyerrorbar plot of @var{y} versus @var{x} in which
+@var{x} errorbars are drawn from @var{x}-@var{lx} to @var{x}+@var{ux}
+and @var{y} errorbars from @var{y}-@var{ly} to @var{y}+@var{uy}.
+@seealso{semilogxerr, semilogyerr, loglogerr}
 @end deftypefn
-celldisp
+__plt2mv__
+Undocumented internal function.
+__plt2vs__
+Undocumented internal function.
+zlim
 -*- texinfo -*-
-@deftypefn {Function File} {} celldisp (@var{c}, @var{name})
-Recursively display the contents of a cell array. By default the values
-are displayed with the name of the variable @var{c}. However, this name
-can be replaced with the variable @var{name}.
-@seealso{disp}
+@deftypefn {Function File} {@var{xl} =} zlim ()
+@deftypefnx {Function File} {} zlim (@var{xl})
+@deftypefnx {Function File} {@var{m} =} zlim ('mode')
+@deftypefnx {Function File} {} zlim (@var{m})
+@deftypefnx {Function File} {} zlim (@var{h}, @dots{})
+Get or set the limits of the z axis of the current plot. Called without
+argumenst @code{zlim] returns the z axis limits of the current plot.
+If passed a two element vector @var{xl}, the limits of the z axis are set
+to this value.
+
+The current mode for calculation of the z axis can be returned with a
+call @code{zlim ('mode')}, and can be either 'auto' or 'manual'. The 
+current plotting mode can be set by passing either 'auto' or 'manual' 
+as the argument.
+
+If passed an handle as the first argument, then operate on this handle
+rather than the current axes handle.
+@seealso{xlim, ylim, set, get, gca}
 @end deftypefn
-circshift
+contour3
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} circshift (@var{x}, @var{n})
-Circularly shifts the values of the array @var{x}. @var{n} must be
-a vector of integers no longer than the number of dimensions in 
-@var{x}. The values of @var{n} can be either positive or negative,
-which determines the direction in which the values or @var{x} are
-shifted. If an element of @var{n} is zero, then the corresponding
-dimension of @var{x} will not be shifted. For example
+@deftypefn {Function File} {} contour3 (@var{z})
+@deftypefnx {Function File} {} contour3 (@var{z}, @var{vn})
+@deftypefnx {Function File} {} contour3 (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {} contour3 (@var{x}, @var{y}, @var{z}, @var{vn})
+@deftypefnx {Function File} {} contour3 (@dots{}, @var{style})
+@deftypefnx {Function File} {} contour3 (@var{h}, @dots{})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contour3 (@dots{})
+Plot level curves (contour lines) of the matrix @var{z}, using the
+contour matrix @var{c} computed by @code{contourc} from the same
+arguments; see the latter for their interpretation.  The contours are
+ploted at the Z level corresponding to their contour. The set of
+contour levels, @var{c}, is only returned if requested.  For example:
 
 @example
 @group
-x = [1, 2, 3; 4, 5, 6; 7, 8, 9];
-circshift (x, 1)
-@result{}  7, 8, 9
-    1, 2, 3
-    4, 5, 6
-circshift (x, -2)
-@result{}  7, 8, 9
-    1, 2, 3
-    4, 5, 6
-circshift (x, [0,1])
-@result{}  3, 1, 2
-    6, 4, 5
-    9, 7, 8
+contour3 (peaks (19));
+hold on
+surface (peaks (19), 'FaceColor', 'none', 'EdgeColor', 'black')
+colormap hot
 @end group
 @end example
-@seealso {permute, ipermute, shiftdim}
+
+The style to use for the plot can be defined with a line style @var{style}
+in a similar manner to the line styles used with the @code{plot} command.
+Any markers defined by @var{style} are ignored.
+
+The optional input and output argument @var{h} allows an axis handle to 
+be passed to @code{contour} and the handles to the contour objects to be
+returned.
+@seealso{contourc, patch, plot}
 @end deftypefn
-common_size
+stairs
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{err}, @var{y1}, @dots{}] =} common_size (@var{x1}, @dots{})
-Determine if all input arguments are either scalar or of common
-size.  If so, @var{err} is zero, and @var{yi} is a matrix of the
-common size with all entries equal to @var{xi} if this is a scalar or
-@var{xi} otherwise.  If the inputs cannot be brought to a common size,
-errorcode is 1, and @var{yi} is @var{xi}.  For example,
+@deftypefn {Function File} {} stairs (@var{x}, @var{y})
+Produce a stairstep plot.  The arguments may be vectors or matrices.
+
+If only one argument is given, it is taken as a vector of y-values
+and the x coordinates are taken to be the indices of the elements.
+
+If two output arguments are specified, the data are generated but
+not plotted.  For example,
+
+@example
+stairs (x, y);
+@end example
+
+@noindent
+and
 
 @example
 @group
-[errorcode, a, b] = common_size ([1 2; 3 4], 5)
-@result{} errorcode = 0
-@result{} a = [ 1, 2; 3, 4 ]
-@result{} b = [ 5, 5; 5, 5 ]
+[xs, ys] = stairs (x, y);
+plot (xs, ys);
 @end group
 @end example
 
 @noindent
-This is useful for implementing functions where arguments can either
-be scalars or of common size.
+are equivalent.
+@seealso{plot, semilogx, semilogy, loglog, polar, mesh, contour,
+bar, xlabel, ylabel, title}
 @end deftypefn
-cplxpair
+__pltopt1__
+Undocumented internal function.
+close
 -*- texinfo -*-
-@deftypefn {Function File} {} cplxpair (@var{z}, @var{tol}, @var{dim})
-Sort the numbers @var{z} into complex conjugate pairs ordered by 
-increasing real part.  With identical real parts, order by increasing
-imaginary magnitude. Place the negative imaginary complex number
-first within each pair. Place all the real numbers after all the 
-complex pairs (those with @code{abs (imag (@var{z}) / @var{z}) < 
-@var{tol})}, where the default value of @var{tol} is @code{100 * 
-@var{eps}}.
-
-By default the complex pairs are sorted along the first non-singleton
-dimension of @var{z}. If @var{dim} is specified, then the complex
-pairs are sorted along this dimension.
+@deftypefn {Command} {} close
+@deftypefnx {Command} {} close (@var{n})
+@deftypefnx {Command} {} close all
+@deftypefnx {Command} {} close all hidden
+Close figure window(s) by calling the function specified by the
+@code{"closerequestfcn"} property for each figure.  By default, the
+function @code{closereq} is used.
+@seealso{closereq}
+@end deftypefn
+axes
+-*- texinfo -*-
+@deftypefn {Function File} {} axes ()
+@deftypefnx {Function File} {} axes (@var{property}, @var{value}, @dots{})
+@deftypefnx {Function File} {} axes (@var{h})
+Create an axes object and return a handle to it.
+@end deftypefn
+colorbar
+-*- texinfo -*-
+@deftypefn {Function File} {} colorbar (@var{s})
+@deftypefnx {Function File} {} colorbar ('peer', @var{h}, @dots{})
+Adds a colorbar to the current axes. Valid values for @var{s} are
 
-Signal an error if some complex numbers could not be paired. Requires
-all complex numbers to be exact conjugates within tol, or signals an 
-error. Note that there are no guarantees on the order of the returned
-pairs with identical real parts but differing imaginary parts.
+@table @asis
+@item 'EastOutside'
+Place the colorbar outside the plot to the right. This is the default.
+@item 'East'
+Place the colorbar inside the plot to the right.
+@item 'WestOutside'
+Place the colorbar outside the plot to the left.
+@item 'West'
+Place the colorbar inside the plot to the left.
+@item 'NorthOutside'
+Place the colorbar above the plot.
+@item 'North'
+Place the colorbar at the top of the plot.
+@item 'SouthOutside'
+Place the colorbar under the plot.
+@item 'South'
+Place the colorbar at the bottom of the plot.
+@item 'Off', 'None'
+Remove any existing colorbar from the plot.
+@end table
 
-@c Using 'smallexample' to make text fit in page when using 'smallbook'
-@smallexample
-cplxpair (exp(2i*pi*[0:4]'/5)) == exp(2i*pi*[3; 2; 4; 1; 0]/5)
-@end smallexample
+If the argument 'peer' is given, then the following argument is treated
+as the axes handle on which to add the colorbar.
 @end deftypefn
-cumtrapz
+shading
 -*- texinfo -*-
-@deftypefn {Function File} {@var{z} =} cumtrapz (@var{y})
-@deftypefnx {Function File} {@var{z} =} cumtrapz (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{z} =} cumtrapz (@dots{}, @var{dim})
+@deftypefn {Function File} {} shading (@var{type})
+@deftypefnx {Function File} {} shading (@var{ax}, @dots{})
+Set the shading of surface or patch graphic objects. Valid arguments
+for @var{type} are
 
-Cumulative numerical integration using trapezoidal method.
-@code{cumtrapz (@var{y})} computes the cumulative integral of the 
-@var{y} along the first non singleton dimension. If the argument 
-@var{x} is omitted a equally spaced vector is assumed. @code{cumtrapz 
-(@var{x}, @var{y})} evaluates the cumulative integral with respect 
-to @var{x}.
- 
-@seealso{trapz,cumsum}
+@table @code
+@item "flat"
+Single colored patches with invisible edges.
+
+@item "faceted"
+Single colored patches with visible edges.
+
+@item "interp"
+Color between patch vertices are interpolated and the patch edges are
+invisible.
+@end table
+
+If @var{ax} is given the shading is applied to axis @var{ax} instead
+of the current axis.
 @end deftypefn
-deal
+contourf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{r1}, @var{r2}, @dots{}, @var{rn}] =} deal (@var{a})
-@deftypefnx {Function File} {[@var{r1}, @var{r2}, @dots{}, @var{rn}] =} deal (@var{a1}, @var{a2}, @dots{}, @var{an})
+@deftypefn {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{lvl})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{n})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{n})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{lvl})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{ax}, @dots{})
+@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@dots{}, @var{"property"}, @var{val})
+Compute and plot filled contours of the matrix @var{z}.
+Parameters @var{x}, @var{y} and @var{n} or @var{lvl} are optional.
 
-Copy the input parameters into the corresponding output parameters.
-If only one input parameter is supplied, its value is copied to each
-of the outputs.
+The return value @var{c} is a 2xn matrix containing the contour lines
+as described in the help to the contourc function.
 
-For example,
+The return value @var{h} is handle-vector to the patch objects creating
+the filled contours.
 
-@example
-[a, b, c] = deal (x, y, z);
-@end example
+If @var{x} and @var{y} are ommited they are taken as the row/column
+index of @var{z}.  @var{n} is a scalar denoting the number of lines
+to compute.  Alternatively @var{lvl} is a vector containing the
+contour levels. If only one value (e.g. lvl0) is wanted, set
+@var{lvl} to [lvl0, lvl0].  If both @var{n} or @var{lvl} are omitted
+a default value of 10 contour level is assumed.
 
-@noindent
-is equivalent to
+If provided, the filled contours are added to the axes object
+@var{ax} instead of the current axis.
 
+The following example plots filled contours of the @code{peaks}
+function.
 @example
-@group
-a = x;
-b = y;
-c = z;
-@end group
+[x, y, z] = peaks (50);
+contourf (x, y, z, -7:9)
 @end example
-
-@noindent
-and
+@seealso{contour, contourc, patch}
+@end deftypefn
+__plr1__
+Undocumented internal function.
+__plt2vm__
+Undocumented internal function.
+__line__
+Undocumented internal function.
+replot
+-*- texinfo -*-
+@deftypefn {Function File} {} replot ()
+Refresh the plot window.
+@end deftypefn
+__plt1__
+Undocumented internal function.
+hold
+-*- texinfo -*-
+@deftypefn {Function File} {} hold @var{args}
+Tell Octave to `hold' the current data on the plot when executing
+subsequent plotting commands.  This allows you to execute a series of
+plot commands and have all the lines end up on the same figure.  The
+default is for each new plot command to clear the plot device first.
+For example, the command
 
 @example
-[a, b, c] = deal (x);
+hold on
 @end example
 
 @noindent
-is equivalent to
-
-@example
-a = b = c = x;
-@end example
+turns the hold state on.  An argument of @code{"off"} turns the hold
+state off, and @code{hold} with no arguments toggles the current hold
+state.
 @end deftypefn
-del2
+slice
 -*- texinfo -*-
-@deftypefn {Function File} {@var{d} =} del2 (@var{m})
-@deftypefnx {Function File} {@var{d} =} del2 (@var{m}, @var{h})
-@deftypefnx {Function File} {@var{d} =} del2 (@var{m}, @var{dx}, @var{dy}, @dots{})
+@deftypefn {Function File} {} slice (@var{x}, @var{y}, @var{z}, @var{v}, @var{sx}, @var{sy}, @var{sz})
+@deftypefnx {Function File} {} slice (@var{x}, @var{y}, @var{z}, @var{v}, @var{xi}, @var{yi}, @var{zi})
+@deftypefnx {Function File} {} slice (@var{v}, @var{sx}, @var{sy}, @var{sz})
+@deftypefnx {Function File} {} slice (@var{v}, @var{xi}, @var{yi}, @var{zi})
+@deftypefnx {Function File} {@var{h} =} slice (@dots{})
+@deftypefnx {Function File} {@var{h} =} slice (@dots{}, @var{method})
+Plot slices of 3D data/scalar fields. Each element of the 3-dimensional 
+array @var{v} represents a scalar value at a location given by the
+parameters @var{x}, @var{y}, and @var{z}. The parameters @var{x},
+@var{x}, and @var{z} are either 3-dimensional arrays of the same size
+as the array @var{v} in the "meshgrid" format or vectors. The
+parameters @var{xi}, etc respect a similar format to @var{x}, etc,
+and they represent the points at which the array @var{vi} is
+interpolated using interp3. The vectors @var{sx}, @var{sy}, and
+@var{sz} contain points of orthogonal slices of the respective axes.
 
-Calculates the discrete Laplace operator. If @var{m} is a matrix this is
-defined as
+If @var{x}, @var{y}, @var{z} are omitted, they are assumed to be 
+@code{x = 1:size (@var{v}, 2)}, @code{y = 1:size (@var{v}, 1)} and
+@code{z = 1:size (@var{v}, 3)}. 
 
-@iftex
-@tex
-$d = {1 \over 4} \left( {d^2 \over dx^2} M(x,y) + {d^2 \over dy^2} M(x,y) \right)$
-@end tex
-@end iftex
-@ifnottex
+@var{Method} is one of:
+
+@table @code
+@item "nearest"
+Return the nearest neighbour.
+@item "linear"
+Linear interpolation from nearest neighbours.
+@item "cubic"
+Cubic interpolation from four nearest neighbours (not implemented yet).
+@item "spline"
+Cubic spline interpolation---smooth first and second derivatives
+throughout the curve.
+@end table
+
+The default method is @code{"linear"}.
+The optional return value @var{h} is a vector of handles to the
+surface graphic objects.
+
+Examples:
 @example
-@group
-      1    / d^2            d^2         \
-D  = --- * | ---  M(x,y) +  ---  M(x,y) | 
-      4    \ dx^2           dy^2        /
-@end group
+[x, y, z] = meshgrid (linspace (-8, 8, 32));
+v = sin (sqrt (x.^2 + y.^2 + z.^2)) ./ (sqrt (x.^2 + y.^2 + z.^2));
+slice (x, y, z, v, [], 0, []);
+[xi, yi] = meshgrid (linspace (-7, 7));
+zi = xi + yi;
+slice (x, y, z, v, xi, yi, zi);
 @end example
-@end ifnottex
+@seealso{interp3, surface, pcolor}
+@end deftypefn
+unpack
+-*- texinfo -*-
+@deftypefn {Function File} {@var{files} =} unpack (@var{file}, @var{dir})
+@deftypefnx {Function File} {@var{files} =} unpack (@var{file}, @var{dir}, @var{filetype})
+Unpack the archive @var{file} based on its extension to the directory
+@var{dir}.  If @var{file} is a cellstr, then all files will be
+handled individually.  If @var{dir} is not specified, it defaults to
+the current directory.  It returns a list of @var{files}
+unpacked. If a directory is in the file list, then the
+@var{filetype} to unpack must also be specified.
 
-The above to continued to N-dimensional arrays calculating the second
-derivative over the higher dimensions.
+The @var{files} includes the entire path to the output files.
+@seealso{bzip2,bunzip2,tar,untar,gzip,gunzip,zip,unzip}
+@end deftypefn
+orderfields
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{t}, @var{p}] =} orderfields (@var{s1}, @var{s2})
+Return a struct with fields arranged alphabetically or as specified
+by @var{s2} and a corresponding permutation vector.
 
-The spacing between evaluation points may be defined by @var{h}, which is a
-scalar defining the spacing in all dimensions. Or alternative, the spacing
-in each dimension may be defined separately by @var{dx}, @var{dy}, etc. 
-Scalar spacing values give equidistant spacing, whereas vector spacing 
-values can be used to specify variable spacing. The length of the vectors
-must match the respective dimension of @var{m}. The default spacing value
-is 1.
+Given one struct, arrange field names in @var{s1} alphabetically.
 
-You need at least 3 data points for each dimension. Boundary points are
-calculated as the linear extrapolation of the interior points.
+Given two structs, arrange field names in @var{s1} as they appear
+in @var{s2}.  The second argument may also specify the order in
+a permutation vector or a cell array of strings.
 
-@seealso{gradient, diff}
+@seealso{getfield, rmfield, isfield, isstruct, fieldnames, struct}
 @end deftypefn
-diff
+movefile
 -*- texinfo -*-
-@deftypefn {Function File} {} diff (@var{x}, @var{k}, @var{dim})
-If @var{x} is a vector of length @var{n}, @code{diff (@var{x})} is the
-vector of first differences
-@iftex
-@tex
- $x_2 - x_1, \ldots{}, x_n - x_{n-1}$.
-@end tex
-@end iftex
-@ifinfo
-@var{x}(2) - @var{x}(1), @dots{}, @var{x}(n) - @var{x}(n-1).
-@end ifinfo
-
-If @var{x} is a matrix, @code{diff (@var{x})} is the matrix of column
-differences along the first non-singleton dimension.
-
-The second argument is optional.  If supplied, @code{diff (@var{x},
-@var{k})}, where @var{k} is a nonnegative integer, returns the
-@var{k}-th differences. It is possible that @var{k} is larger than
-then first non-singleton dimension of the matrix. In this case,
-@code{diff} continues to take the differences along the next
-non-singleton dimension.
+@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} movefile (@var{f1}, @var{f2})
+Move the file @var{f1} to the new name @var{f2}.  The name @var{f1}
+may contain globbing patterns.  If @var{f1} expands to multiple file
+names, @var{f2} must be a directory.
 
-The dimension along which to take the difference can be explicitly
-stated with the optional variable @var{dim}. In this case the 
-@var{k}-th order differences are calculated along this dimension.
-In the case where @var{k} exceeds @code{size (@var{x}, @var{dim})}
-then an empty matrix is returned.
+If successful, @var{status} is 1, with @var{msg} and @var{msgid} empty\n\
+character strings.  Otherwise, @var{status} is 0, @var{msg} contains a\n\
+system-dependent error message, and @var{msgid} contains a unique\n\
+message identifier.\n\
+@seealso{glob}
 @end deftypefn
-flipdim
+tempname
 -*- texinfo -*-
-@deftypefn {Function File} {} flipdim (@var{x}, @var{dim})
-Return a copy of @var{x} flipped about the dimension @var{dim}.
-For example
-
-@example
-@group
-flipdim ([1, 2; 3, 4], 2)
-@result{}  2  1
-         4  3
-@end group
-@end example
-@seealso{fliplr, flipud, rot90, rotdim}
+@deftypefn {Function File} {filename = } tempname ()
+This function is an alias for @code{tmpnam}.
 @end deftypefn
-fliplr
+unzip
 -*- texinfo -*-
-@deftypefn {Function File} {} fliplr (@var{x})
-Return a copy of @var{x} with the order of the columns reversed.  For
-example,
-
-@example
-@group
-fliplr ([1, 2; 3, 4])
-@result{}  2  1
-         4  3
-@end group
-@end example
-
-Note that @code{fliplr} only work with 2-D arrays.  To flip N-d arrays
-use @code{flipdim} instead.
-@seealso{flipud, flipdim, rot90, rotdim}
+@deftypefn {Function File} {} unzip (@var{zipfile}, @var{dir})
+Unpack the ZIP archive @var{zipfile} to the directory @var{dir}.
+If @var{dir} is not specified, it defaults to the current directory.
+@seealso{unpack, bzip2, bunzip2, tar, untar, gzip, gunzip, zip}
 @end deftypefn
-flipud
+ispc
 -*- texinfo -*-
-@deftypefn {Function File} {} flipud (@var{x})
-Return a copy of @var{x} with the order of the rows reversed.  For
-example,
+@deftypefn {Function File} {} ispc ()
+Return 1 if Octave is running on a Windows system and 0 otherwise.
+@seealso{ismac, isunix}
+@end deftypefn
+tar
+-*- texinfo -*-
+@deftypefn {Function File} {@var{entries} =} tar (@var{tarfile}, @var{files}, @var{root})
+Pack @var{files} @var{files} into the TAR archive @var{tarfile}.  The
+list of files must be a string or a cell array of strings.
 
-@example
-@group
-flipud ([1, 2; 3, 4])
-@result{}  3  4
-         1  2
-@end group
-@end example
+The optional argument @var{root} changes the relative path of @var{files}
+from the current directory.
 
-Due to the difficulty of defining which axis about which to flip the 
-matrix @code{flipud} only work with 2-d arrays.  To flip N-d arrays
-use @code{flipdim} instead.
-@seealso{fliplr, flipdim, rot90, rotdim}
+If an output argument is requested the entries in the archive are
+returned in a cell array.
+@seealso{untar, gzip, gunzip, zip, unzip}
 @end deftypefn
-lookup
+warning_ids
 -*- texinfo -*-
-@deftypefn {Function File} {@var{idx} =} lookup (@var{table}, @var{y})
-Lookup values in a sorted table.  Usually used as a prelude to
-interpolation.
+@table @code
+@item Octave:array-to-scalar
+If the @code{Octave:array-to-scalar} warning is enabled, Octave will
+warn when an implicit conversion from an array to a scalar value is
+attempted.  By default, the @code{Octave:array-to-scalar} warning is
+disabled.
 
-If table is strictly increasing and @code{idx = lookup (table, y)}, then
-@code{table(idx(i)) <= y(i) < table(idx(i+1))} for all @code{y(i)}
-within the table.  If @code{y(i)} is before the table, then 
-@code{idx(i)} is 0. If @code{y(i)} is after the table then
-@code{idx(i)} is @code{table(n)}.
+@item Octave:array-to-vector
+If the @code{Octave:array-to-vector} warning is enabled, Octave will
+warn when an implicit conversion from an array to a vector value is
+attempted.  By default, the @code{Octave:array-to-vector} warning is
+disabled.
 
-If the table is strictly decreasing, then the tests are reversed.
-There are no guarantees for tables which are non-monotonic or are not
-strictly monotonic.
+@item Octave:assign-as-truth-value
+If the @code{Octave:assign-as-truth-value} warning is
+enabled, a warning is issued for statements like
 
-To get an index value which lies within an interval of the table,
-use:
+@example
+if (s = t)
+  ...
+@end example
+
+@noindent
+since such statements are not common, and it is likely that the intent
+was to write
 
 @example
-idx = lookup (table(2:length(table)-1), y) + 1
+if (s == t)
+  ...
 @end example
 
 @noindent
-This expression puts values before the table into the first
-interval, and values after the table into the last interval.
-@end deftypefn
-gradient
--*- texinfo -*-
-@deftypefn {Function File} {@var{x} = } gradient (@var{M})
-@deftypefnx {Function File} {[@var{x}, @var{y}, @dots{}] = } gradient (@var{M})
-@deftypefnx {Function File} {[@dots{}] = } gradient (@var{M}, @var{s})
-@deftypefnx {Function File} {[@dots{}] = } gradient (@var{M}, @var{dx}, @var{dy}, @dots{})
+instead.
 
-Calculates the gradient. @code{@var{x} = gradient (@var{M})}
-calculates the one dimensional gradient if @var{M} is a vector. If
-@var{M} is a matrix the gradient is calculated for each row.
+There are times when it is useful to write code that contains
+assignments within the condition of a @code{while} or @code{if}
+statement.  For example, statements like
 
-@code{[@var{x}, @var{y}] = gradient (@var{M})} calculates the one
-dimensional gradient for each direction if @var{M} if @var{M} is a
-matrix. Additional return arguments can be use for multi-dimensional
-matrices.
+@example
+while (c = getc())
+  ...
+@end example
 
-Spacing values between two points can be provided by the
-@var{dx}, @var{dy} or @var{h} parameters. If @var{h} is supplied it
-is assumed to be the spacing in all directions. Otherwise, separate
-values of the spacing can be supplied by the @var{dx}, etc variables.
-A scalar value specifies an equidistant spacing, while a vector value
-can be used to specify a variable spacing. The length must match
-their respective dimension of @var{M}.
+@noindent
+are common in C programming.
 
-At boundary points a linear extrapolation is applied. Interior points
-are calculated with the first approximation of the numerical gradient
+It is possible to avoid all warnings about such statements by
+disabling the @code{Octave:assign-as-truth-value} warning,
+but that may also let real errors like
 
 @example
-y'(i) = 1/(x(i+1)-x(i-1)) *(y(i-1)-y(i+1)).
+if (x = 1)  # intended to test (x == 1)!
+  ...
 @end example
 
-@end deftypefn
-ind2sub
--*- texinfo -*-
-@deftypefn {Function File} {[@var{s1}, @var{s2}, @dots{}, @var{sN}] =} ind2sub (@var{dims}, @var{ind})
-Convert a linear index into subscripts.
+@noindent
+slip by.
 
-The following example shows how to convert the linear index @code{8}
-in a 3-by-3 matrix into a subscript.
+In such cases, it is possible suppress errors for specific statements by
+writing them with an extra set of parentheses.  For example, writing the
+previous example as
 
 @example
-[r, c] = ind2sub ([3, 3], 8)
-@result{} r =  2
-c =  3
+while ((c = getc()))
+  ...
 @end example
-@seealso{sub2ind}
-@end deftypefn
-int2str
--*- texinfo -*-
-@deftypefn {Function File} {} int2str (@var{n})
-Convert an integer to a string.  This function is not very flexible.
-For better control over the results, use @code{sprintf}
-(@pxref{Formatted Output}). 
-@seealso{sprintf, num2str}
-@end deftypefn
-interp1
--*- texinfo -*-
-@deftypefn {Function File} {@var{yi} =} interp1 (@var{x}, @var{y}, @var{xi})
-@deftypefnx {Function File} {@var{yi} =} interp1 (@dots{}, @var{method})
-@deftypefnx {Function File} {@var{yi} =} interp1 (@dots{}, @var{extrap})
-@deftypefnx {Function File} {@var{pp} =} interp1 (@dots{}, 'pp')
-
-One-dimensional interpolation. Interpolate @var{y}, defined at the
-points @var{x}, at the points @var{xi}. The sample points @var{x} 
-must be strictly monotonic. If @var{y} is an array, treat the columns
-of @var{y} separately.
 
-Method is one of:
+@noindent
+will prevent the warning from being printed for this statement, while
+allowing Octave to warn about other assignments used in conditional
+contexts.
 
-@table @asis
-@item 'nearest'
-Return the nearest neighbour.
-@item 'linear'
-Linear interpolation from nearest neighbours
-@item 'pchip'
-Piece-wise cubic hermite interpolating polynomial
-@item 'cubic'
-Cubic interpolation from four nearest neighbours
-@item 'spline'
-Cubic spline interpolation--smooth first and second derivatives
-throughout the curve
-@end table
+By default, the @code{Octave:assign-as-truth-value} warning is enabled.
 
-Appending '*' to the start of the above method forces @code{interp1}
-to assume that @var{x} is uniformly spaced, and only @code{@var{x}
-(1)} and @code{@var{x} (2)} are referenced. This is usually faster,
-and is never slower. The default method is 'linear'.
+@item Octave:associativity-change
+If the @code{Octave:associativity-change} warning is
+enabled, Octave will warn about possible changes in the meaning of
+some code due to changes in associativity for some operators.
+Associativity changes have typically been made for @sc{Matlab}
+compatibility.  By default, the @code{Octave:associativity-change}
+warning is enabled.
 
-If @var{extrap} is the string 'extrap', then extrapolate values beyond
-the endpoints.  If @var{extrap} is a number, replace values beyond the
-endpoints with that number.  If @var{extrap} is missing, assume NA.
+@item Octave:divide-by-zero
+If the @code{Octave:divide-by-zero} warning is enabled, a
+warning is issued when Octave encounters a division by zero.  By
+default, the @code{Octave:divide-by-zero} warning is enabled.
 
-If the string argument 'pp' is specified, then @var{xi} should not be
-supplied and @code{interp1} returns the piece-wise polynomial that
-can later be used with @code{ppval} to evaluate the interpolation.
-There is an equivalence, such that @code{ppval (interp1 (@var{x},
-@var{y}, @var{method}, 'pp'), @var{xi}) == interp1 (@var{x}, @var{y},
-@var{xi}, @var{method}, 'extrap')}.
-
-An example of the use of @code{interp1} is
+@item Octave:empty-list-elements
+If the @code{Octave:empty-list-elements} warning is enabled, a
+warning is issued when an empty matrix is found in a matrix list.
+For example,
 
 @example
-@group
-   xf=[0:0.05:10]; yf = sin(2*pi*xf/5);
-   xp=[0:10];      yp = sin(2*pi*xp/5);
-   lin=interp1(xp,yp,xf);
-   spl=interp1(xp,yp,xf,'spline');
-   cub=interp1(xp,yp,xf,'cubic');
-   near=interp1(xp,yp,xf,'nearest');
-   plot(xf,yf,"r",xf,lin,"g",xf,spl,"b", ...
-        xf,cub,"c",xf,near,"m",xp,yp,"r*");
-   legend ("original","linear","spline","cubic","nearest")
-@end group
+a = [1, [], 3, [], 5]
 @end example
 
-@seealso{interpft}
-@end deftypefn
-interp2
--*- texinfo -*-
-@deftypefn {Function File} {@var{zi}=} interp2 (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi})
-@deftypefnx {Function File} {@var{zi}=} interp2 (@var{Z}, @var{xi}, @var{yi})
-@deftypefnx {Function File} {@var{zi}=} interp2 (@var{Z}, @var{n})
-@deftypefnx {Function File} {@var{zi}=} interp2 (@dots{}, @var{method})
-@deftypefnx {Function File} {@var{zi}=} interp2 (@dots{}, @var{method}, @var{extrapval})
-
-Two-dimensional interpolation. @var{x}, @var{y} and @var{z} describe a
-surface function. If @var{x} and @var{y} are vectors their length
-must correspondent to the size of @var{z}. @var{x} and @var{Yy} must be
-monotonic. If they are matrices they  must have the @code{meshgrid} 
-format. 
+@noindent
+By default, the @code{Octave:empty-list-elements} warning is enabled.
 
-@table @code
-@item interp2 (@var{x}, @var{y}, @var{Z}, @var{xi}, @var{yi}, @dots{}) 
-Returns a matrix corresponding to the points described by the
-matrices  @var{XI}, @var{YI}. 
+@item Octave:fortran-indexing
+If the @code{Octave:fortran-indexing} warning is enabled, a warning is
+printed for expressions which select elements of a two-dimensional matrix
+using a single index.  By default, the @code{Octave:fortran-indexing}
+warning is disabled.
 
-If the last argument is a string, the interpolation method can
-be specified. The method can be 'linear', 'nearest' or 'cubic'.
-If it is omitted 'linear' interpolation  is assumed.
+@item Octave:function-name-clash
+If the @code{Octave:function-name-clash} warning is enabled, a
+warning is issued when Octave finds that the name of a function
+defined in a function file differs from the name of the file.  (If
+the names disagree, the name declared inside the file is ignored.)
+By default, the @code{Octave:function-name-clash} warning is enabled.
 
-@item  interp2 (@var{z}, @var{xi}, @var{yi})
-Assumes @code{@var{x} = 1:rows (@var{z})} and @code{@var{y} = 
-1:columns (@var{z})}
+@item Octave:future-time-stamp
+If the @code{Octave:future-time-stamp} warning is enabled, Octave
+will print a warning if it finds a function file with a time stamp
+that is in the future.  By default, the
+@code{Octave:future-time-stamp} warning is enabled.
 
-@item interp2 (@var{z}, @var{n}) 
-Interleaves the Matrix @var{z} n-times. If @var{n} is omitted a value
-of @code{@var{n} = 1} is assumed.
-@end table
+@item Octave:imag-to-real
+If the @code{Octave:imag-to-real} warning is enabled, a warning is
+printed for implicit conversions of complex numbers to real numbers.
+By default, the @code{Octave:imag-to-real} warning is disabled.
 
-The variable @var{method} defines the method to use for the
-interpolation. It can take one of the values
+@item Octave:matlab-incompatible
+Print warnings for Octave language features that may cause
+compatibility problems with @sc{Matlab}.
 
-@table @asis
-@item 'nearest'
-Return the nearest neighbor.
-@item 'linear'
-Linear interpolation from nearest neighbors.
-@item 'pchip'
-Piece-wise cubic hermite interpolating polynomial (not implemented yet).
-@item 'cubic'
-Cubic interpolation from four nearest neighbors.
-@item 'spline'
-Cubic spline interpolation--smooth first and second derivatives
-throughout the curve.
-@end table
+@item Octave:missing-semicolon
+If the @code{Octave:missing-semicolon} warning is enabled, Octave
+will warn when statements in function definitions don't end in
+semicolons.  By default the @code{Octave:missing-semicolon} warning
+is disabled.
 
-If a scalar value @var{extrapval} is defined as the final value, then
-values outside the mesh as set to this value. Note that in this case 
-@var{method} must be defined as well. If @var{extrapval} is not
-defined then NA is assumed. 
+@item Octave:neg-dim-as-zero
+If the @code{Octave:neg-dim-as-zero} warning is enabled, print a warning
+for expressions like
 
-@seealso{interp1}
-@end deftypefn
-interp3
--*- texinfo -*-
-@deftypefn {Function File} {@var{vi} =} interp3 (@var{x}, @var{y},@var{z}, @var{v}, @var{xi}, @var{yi}, @var{zi})
-@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v}, @var{xi}, @var{yi}, @var{zi})
-@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v}, @var{m})
-@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v})
-@deftypefnx {Function File} {@var{vi} =} interp3 (@dots{}, @var{method})
-@deftypefnx {Function File} {@var{vi} =} interp3 (@dots{}, @var{method}, @var{extrapval})
+@example
+eye (-1)
+@end example
 
-Perform 3-dimensional interpolation. Each element of then 3-dimensional 
-array @var{v} represents a value at a location given by the parameters 
-@var{x}, @var{y}, and @var{z}. The parameters @var{x}, @var{x}, and 
-@var{z} are either 3-dimensional arrays of the same size as the array 
-@var{v} in the 'meshgrid' format or vectors. The parameters @var{xi}, etc 
-respect a similar format to @var{x}, etc, and they represent the points 
-at which the array @var{vi} is interpolated.
+@noindent
+By default, the @code{Octave:neg-dim-as-zero} warning is disabled.
 
-If @var{x}, @var{y}, @var{z} are omitted, they are assumed to be 
-@code{x = 1 : size (@var{v}, 2)}, @code{y = 1 : size (@var{v}, 1)} and
-@code{z = 1 : size (@var{v}, 3)}. If @var{m} is specified, then
-the interpolation adds a point half way between each of the interpolation 
-points. This process is performed @var{m} times. If only @var{v} is 
-specified, then @var{m} is assumed to be @code{1}.
+@item Octave:num-to-str
+If the @code{Octave:num-to-str} warning is enable, a warning is
+printed for implicit conversions of numbers to their ASCII character
+equivalents when strings are constructed using a mixture of strings and
+numbers in matrix notation.  For example,
 
-Method is one of:
+@example
+@group
+[ "f", 111, 111 ]
+@result{} "foo"
+@end group
+@end example
+elicits a warning if the @code{Octave:num-to-str} warning is
+enabled.  By default, the @code{Octave:num-to-str} warning is enabled.
 
-@table @asis
-@item 'nearest'
-Return the nearest neighbour.
-@item 'linear'
-Linear interpolation from nearest neighbours.
-@item 'cubic'
-Cubic interpolation from four nearest neighbours (not implemented yet).
-@item 'spline'
-Cubic spline interpolation--smooth first and second derivatives
-throughout the curve.
-@end table
+@item Octave:precedence-change
+If the @code{Octave:precedence-change} warning is enabled, Octave
+will warn about possible changes in the meaning of some code due to
+changes in precedence for some operators.  Precedence changes have
+typically been made for @sc{Matlab} compatibility.  By default, the
+@code{Octave:precedence-change} warning is enabled.
 
-The default method is 'linear'.
+@item Octave:reload-forces-clear
+If several functions have been loaded from the same file, Octave must
+clear all the functions before any one of them can be reloaded.  If
+the @code{Octave:reload-forces-clear} warning is enabled, Octave will
+warn you when this happens, and print a list of the additional
+functions that it is forced to clear.  By default, the
+@code{Octave:reload-forces-clear} warning is enabled.
 
-If @var{extrap} is the string 'extrap', then extrapolate values beyond
-the endpoints.  If @var{extrap} is a number, replace values beyond the
-endpoints with that number.  If @var{extrap} is missing, assume NA.
-@seealso{interp1, interp2, spline, meshgrid}
-@end deftypefn
-interpft
--*- texinfo -*-
-@deftypefn {Function File} {} interpft (@var{x}, @var{n})
-@deftypefnx {Function File} {} interpft (@var{x}, @var{n}, @var{dim})
+@item Octave:resize-on-range-error
+If the @code{Octave:resize-on-range-error} warning is enabled, print a
+warning when a matrix is resized by an indexed assignment with
+indices outside the current bounds.  By default, the
+@code{Octave:resize-on-range-error} warning is disabled.
 
-Fourier interpolation. If @var{x} is a vector, then @var{x} is
-resampled with @var{n} points. The data in @var{x} is assumed to be
-equispaced. If @var{x} is an array, then operate along each column of
-the array separately. If @var{dim} is specified, then interpolate
-along the dimension @var{dim}.
+@item Octave:separator-insert
+Print warning if commas or semicolons might be inserted
+automatically in literal matrices.
 
-@code{interpft} assumes that the interpolated function is periodic,
-and so assumptions are made about the end points of the interpolation.
+@item Octave:single-quote-string
+Print warning if a single quote character is used to introduce a
+string constant.
 
-@seealso{interp1}
-@end deftypefn
-interpn
--*- texinfo -*-
-@deftypefn {Function File} {@var{vi} =} interpn (@var{x1}, @var{x2}, @dots{}, @var{v}, @var{y1}, @var{y2}, @dots{})
-@deftypefnx {Function File} {@var{vi} =} interpn (@var{v}, @var{y1}, @var{y2}, @dots{})
-@deftypefnx {Function File} {@var{vi} =} interpn (@var{v}, @var{m})
-@deftypefnx {Function File} {@var{vi} =} interpn (@var{v})
-@deftypefnx {Function File} {@var{vi} =} interpn (@dots{}, @var{method})
-@deftypefnx {Function File} {@var{vi} =} interpn (@dots{}, @var{method}, @var{extrapval})
+@item Octave:str-to-num
+If the @code{Octave:str-to-num} warning is enabled, a warning is printed
+for implicit conversions of strings to their numeric ASCII equivalents.
+For example,
+@example
+@group
+"abc" + 0
+@result{} 97 98 99
+@end group
+@end example
+elicits a warning if the @code{Octave:str-to-num} warning is enabled.
+By default, the @code{Octave:str-to-num} warning is disabled.
 
-Perform @var{n}-dimensional interpolation, where @var{n} is at least two. 
-Each element of then @var{n}-dimensional array @var{v} represents a value 
-at a location given by the parameters @var{x1}, @var{x2}, @dots{}, @var{xn}. 
-The parameters @var{x1}, @var{x2}, @dots{}, @var{xn} are either 
-@var{n}-dimensional arrays of the same size as the array @var{v} in 
-the 'ndgrid' format or vectors. The parameters @var{y1}, etc respect a 
-similar format to @var{x1}, etc, and they represent the points at which
-the array @var{vi} is interpolated.
+@item Octave:string-concat
+If the @code{Octave:string-concat} warning is enabled, print a
+warning when concatenating a mixture of double and single quoted strings.
+By default, the @code{Octave:string-concat} warning is disabled.
 
-If @var{x1}, @dots{}, @var{xn} are omitted, they are assumed to be 
-@code{x1 = 1 : size (@var{v}, 1)}, etc. If @var{m} is specified, then
-the interpolation adds a point half way between each of the interpolation 
-points. This process is performed @var{m} times. If only @var{v} is 
-specified, then @var{m} is assumed to be @code{1}.
+@item Octave:undefined-return-values
+If the @code{Octave:undefined-return-values} warning is disabled,
+print a warning if a function does not define all the values in
+the return list which are expected.  By default, the
+@code{Octave:undefined-return-values} warning is enabled.
 
-Method is one of:
+@item Octave:variable-switch-label
+If the @code{Octave:variable-switch-label} warning is enabled, Octave
+will print a warning if a switch label is not a constant or constant
+expression.  By default, the @code{Octave:variable-switch-label}
+warning is disabled.
+@end table
+dir
+-*- texinfo -*-
+@deftypefn {Function File} {} dir (@var{directory})
+@deftypefnx {Function File} {[@var{list}] =} dir (@var{directory})
+Display file listing for directory @var{directory}.  If a return
+value is requested, return a structure array with the fields
 
-@table @asis
-@item 'nearest'
-Return the nearest neighbour.
-@item 'linear'
-Linear interpolation from nearest neighbours.
-@item 'cubic'
-Cubic interpolation from four nearest neighbours (not implemented yet).
-@item 'spline'
-Cubic spline interpolation--smooth first and second derivatives
-throughout the curve.
-@end table
+@example
+@group
+name
+bytes
+date
+isdir
+statinfo
+@end group
+@end example
 
-The default method is 'linear'.
+@noindent
+in which @code{statinfo} is the structure returned from @code{stat}.
 
-If @var{extrap} is the string 'extrap', then extrapolate values beyond
-the endpoints.  If @var{extrap} is a number, replace values beyond the
-endpoints with that number.  If @var{extrap} is missing, assume NA.
-@seealso{interp1, interp2, spline, ndgrid}
-@end deftypefn
-is_duplicate_entry
--*- texinfo -*-
-@deftypefn {Function File} {} is_duplicate_entry (@var{x})
-Return non-zero if any entries in @var{x} are duplicates of one
-another.
-@end deftypefn
-isa
--*- texinfo -*-
-@deftypefn {Function File} {} isa (@var{x}, @var{class})
-Return true if @var{x} is a value from the class @var{class}.
-@end deftypefn
-isdefinite
--*- texinfo -*-
-@deftypefn {Function File} {} isdefinite (@var{x}, @var{tol})
-Return 1 if @var{x} is symmetric positive definite within the
-tolerance specified by @var{tol} or 0 if @var{x} is symmetric
-positive semidefinite.  Otherwise, return -1.  If @var{tol}
-is omitted, use a tolerance equal to 100 times the machine precision.
-@seealso{issymmetric}
-@end deftypefn
-isdir
--*- texinfo -*-
-@deftypefn {Function File} {} isdir (@var{f})
-Return true if @var{f} is a directory.
+If @var{directory} is not a directory, return information about the
+named @var{filename}.  @var{directory} may be a list of directories
+specified either by name or with wildcard characters (like * and ?)
+which will be expanded with glob.
+
+Note that for symbolic links, @code{dir} returns information about
+the file that a symbolic link points to instead of the link itself.
+However, if the link points to a nonexistent file, @code{dir} returns
+information about the link.
+@seealso{ls, stat, lstat, readdir, glob, filesep}
 @end deftypefn
-isequal
+license
 -*- texinfo -*-
-@deftypefn {Function File} {} isequal (@var{x1}, @var{x2}, @dots{})
-Return true if all of @var{x1}, @var{x2}, @dots{} are equal.
-@seealso{isequalwithequalnans}
+@deftypefn {Function File} {} license
+Display the license of Octave.
+
+@deftypefnx {Function File} {} license ("inuse")
+Display a list of packages currently being used.
+
+@deftypefnx {Function File} {@var{retval} =} license ("inuse")
+Return a structure containing the fields @code{feature} and @code{user}.
+
+@deftypefnx {Function File} {@var{retval} =} license ("test", @var{feature})
+Return 1 if a license exists for the product identified by the string
+@var{feature} and 0 otherwise.  The argument @var{feature} is case
+insensitive and only the first 27 characters are checked.
+
+@deftypefnx {Function File} {} license ("test", @var{feature}, @var{toggle})
+Enable or disable license testing for @var{feature}, depending on
+@var{toggle}, which may be one of:
+
+@table @samp
+@item "enable"
+Future tests for the specified license of @var{feature} are conducted
+as usual.
+@item "disable"
+Future tests for the specified license of @var{feature} return 0.
+@end table
+
+@deftypefnx {Function File} {@var{retval} =} license ("checkout", @var{feature})
+Check out a license for @var{feature}, returning 1 on success and 0
+on failure.
+
+This function is provided for compatibility with @sc{Matlab}.
+@seealso{ver, version}
 @end deftypefn
-isequalwithequalnans
+xor
 -*- texinfo -*-
-@deftypefn {Function File} {} isequalwithequalnans (@var{x1}, @var{x2}, @dots{})
-Assuming NaN == NaN, return true if all of @var{x1}, @var{x2}, @dots{}
-are equal.
-@seealso{isequal}
+@deftypefn {Mapping Function} {} xor (@var{x}, @var{y})
+Return the `exclusive or' of the entries of @var{x} and @var{y}.
+For boolean expressions @var{x} and @var{y},
+@code{xor (@var{x}, @var{y})} is true if and only if @var{x} or @var{y}
+is true, but not if both @var{x} and @var{y} are true.
 @end deftypefn
-isscalar
+menu
 -*- texinfo -*-
-@deftypefn {Function File} {} isscalar (@var{a})
-Return 1 if @var{a} is a scalar.  Otherwise, return 0.
-@seealso{size, rows, columns, length, isscalar, ismatrix}
+@deftypefn {Function File} {} menu (@var{title}, @var{opt1}, @dots{})
+Print a title string followed by a series of options.  Each option will
+be printed along with a number.  The return value is the number of the
+option selected by the user.  This function is useful for interactive
+programs.  There is no limit to the number of options that may be passed
+in, but it may be confusing to present more than will fit easily on one
+screen.
+@seealso{disp, printf, input}
 @end deftypefn
-issquare
+compare_versions
 -*- texinfo -*-
-@deftypefn {Function File} {} issquare (@var{x})
-If @var{x} is a square matrix, then return the dimension of @var{x}.
-Otherwise, return 0.
-@seealso{size, rows, columns, length, ismatrix, isscalar, isvector}
+@deftypefn {Function File} {} compare_versions (@var{v1}, @var{v2}, @var{operator})
+Compares to version strings using the given @var{operator}.
+
+This function assumes that versions @var{v1} and @var{v2} are
+arbitrarily long strings made of numeric and period characters
+possibly followed by an arbitrary string (e.g. "1.2.3", "0.3",
+"0.1.2+", or "1.2.3.4-test1").
+
+The version is first split into the numeric and the character parts
+then the parts are padded to be the same length (i.e. "1.1" would be
+padded to be like "1.1.0" when being compared with "1.1.1", and
+separately, the character parts of the strings are padded with
+nulls).
+
+The operator can be any logical operator from the set
+
+@itemize @bullet
+@item
+"=="
+equal
+@item
+"<"
+less than
+@item
+"<="
+less than or equal to
+@item
+">"
+greater than
+@item
+">="
+greater than or equal to
+@item
+"!="
+not equal
+@item
+"~="
+not equal
+@end itemize
+
+Note that version "1.1-test2" would compare as greater than
+"1.1-test10". Also, since the numeric part is compared first, "a"
+compares less than "1a" because the second string starts with a
+numeric part even though double("a") is greater than double("1").
 @end deftypefn
-issymmetric
+bincoeff
 -*- texinfo -*-
-@deftypefn {Function File} {} issymmetric (@var{x}, @var{tol})
-If @var{x} is symmetric within the tolerance specified by @var{tol},
-then return the dimension of @var{x}.  Otherwise, return 0.  If
-@var{tol} is omitted, use a tolerance equal to the machine precision.
-Matrix @var{x} is considered symmetric if
-@code{norm (@var{x} - @var{x}.', inf) / norm (@var{x}, inf) < @var{tol}}.
-@seealso{size, rows, columns, length, ishermitian, ismatrix, isscalar,
-issquare, isvector}
+@deftypefn {Mapping Function} {} bincoeff (@var{n}, @var{k})
+Return the binomial coefficient of @var{n} and @var{k}, defined as
+@iftex
+@tex
+$$
+ {n \choose k} = {n (n-1) (n-2) \cdots (n-k+1) \over k!}
+$$
+@end tex
+@end iftex
+@ifinfo
+
+@example
+@group
+ /   \
+ | n |    n (n-1) (n-2) ... (n-k+1)
+ |   |  = -------------------------
+ | k |               k!
+ \   /
+@end group
+@end example
+@end ifinfo
+
+For example,
+
+@example
+@group
+bincoeff (5, 2)
+@result{} 10
+@end group
+@end example
 @end deftypefn
-isvector
+delete
 -*- texinfo -*-
-@deftypefn {Function File} {} isvector (@var{a})
-Return 1 if @var{a} is a vector.  Otherwise, return 0.
-@seealso{size, rows, columns, length, isscalar, ismatrix}
+@deftypefn {Function File} {} delete (@var{file})
+@deftypefnx {Function File} {} delete (@var{h})
+Delete the named file or figure handle.
 @end deftypefn
-logical
+ans
 -*- texinfo -*-
-@deftypefn {Function File} {} logical (@var{arg})
-Convert @var{arg} to a logical value.  For example,
+@defvr {Automatic Variable} ans
+The most recently computed result that was not
+explicitly assigned to a variable.  For example, after the expression
 
 @example
-logical ([-1, 0, 1])
+3^2 + 4^2
 @end example
 
 @noindent
-is equivalent to
-
-@example
-[-1, 0, 1] != 0
-@end example
-@end deftypefn
-logspace
+is evaluated, the value returned by @code{ans} is 25.
+@end defvr
+list_primes
 -*- texinfo -*-
-@deftypefn {Function File} {} logspace (@var{base}, @var{limit}, @var{n})
-Similar to @code{linspace} except that the values are logarithmically
-spaced from
+@deftypefn {Function File} {} list_primes (@var{n})
+List the first @var{n} primes.  If @var{n} is unspecified, the first
+30 primes are listed.
+
+The algorithm used is from page 218 of the
 @iftex
 @tex
-$10^{base}$ to $10^{limit}$.
+ {\TeX}book.
 @end tex
 @end iftex
 @ifinfo
-10^base to 10^limit.
+ TeXbook.
 @end ifinfo
-
-If @var{limit} is equal to
-@iftex
-@tex
-$\pi$,
-@end tex
-@end iftex
-@ifinfo
-pi,
-@end ifinfo
-the points are between
-@iftex
-@tex
-$10^{base}$ and $\pi$,
-@end tex
-@end iftex
-@ifinfo
-10^base and pi,
-@end ifinfo
-@emph{not}
-@iftex
-@tex
-$10^{base}$ and $10^{\pi}$,
-@end tex
-@end iftex
-@ifinfo
-10^base and 10^pi,
-@end ifinfo
-in order to  be compatible with the corresponding @sc{Matlab}
-function.
-
-Also for compatibility, return the second argument if fewer than two
-values are requested.
-@seealso{linspace}
 @end deftypefn
-mod
+comma
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} mod (@var{x}, @var{y})
-Compute modulo function, using
+@deffn {Operator} ,
+Array index, function argument, or command separator.
+@seealso{semicolon}
+@end deffn
+mkoctfile
+-*- texinfo -*-
+@deftypefn {Function File} {} mkoctfile [-options] file @dots{}
 
-@example
-x - y .* floor (x ./ y)
+The @code{mkoctfile} function compiles source code written in C,
+C++, or Fortran.  Depending on the options used with @code{mkoctfile}, the
+compiled code can be called within Octave or can be used as a stand-alone
+application.
+
+@code{mkoctfile} can be called from the shell prompt or from the Octave
+prompt.
+
+@code{mkoctfile} accepts the following options, all of which are optional
+except for the file name of the code you wish to compile:
+
+@table @samp
+@item -I DIR
+Add the include directory DIR to compile commands.
+
+@item -D DEF
+Add the definition DEF to the compiler call.
+
+@item -l LIB
+Add the library LIB to the link command.
+         
+@item -L DIR
+Add the library directory DIR to the link command.
+
+@item -M
+@itemx --depend 
+Generate dependency files (.d) for C and C++ source files.
+         
+@item -c
+Compile but do not link.
+
+@item -g
+Enable debugging options for compilers.
+
+@item -o FILE
+@itemx --output FILE  
+Output file name.  Default extension is .oct
+(or .mex if --mex is specified) unless linking
+a stand-alone executable.
+
+@item -p VAR
+@itemx --print VAR
+Print the configuration variable VAR.  Recognized variables are: 
+
+@example             
+   ALL_CFLAGS                FFTW_LIBS     
+   ALL_CXXFLAGS              FLIBS       
+   ALL_FFLAGS                FPICFLAG      
+   ALL_LDFLAGS               INCFLAGS      
+   BLAS_LIBS                 LDFLAGS             
+   CC                        LD_CXX              
+   CFLAGS                    LD_STATIC_FLAG
+   CPICFLAG                  LFLAGS              
+   CPPFLAGS                  LIBCRUFT      
+   CXX                       LIBOCTAVE     
+   CXXFLAGS                  LIBOCTINTERP  
+   CXXPICFLAG                LIBREADLINE   
+   DEPEND_EXTRA_SED_PATTERN  LIBS        
+   DEPEND_FLAGS              OCTAVE_LIBS   
+   DL_LD                     RDYNAMIC_FLAG 
+   DL_LDFLAGS                RLD_FLAG      
+   F2C                       SED         
+   F2CFLAGS                  XTRA_CFLAGS   
+   F77                       XTRA_CXXFLAGS 
+   FFLAGS
 @end example
 
-Note that this handles negative numbers correctly:
-@code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
-Also, @code{mod (@var{x}, 0)} returns @var{x}.
+@item --link-stand-alone
+Link a stand-alone executable file.
 
-An error message is printed if the dimensions of the arguments do not
-agree, or if either of the arguments is complex.
-@seealso{rem, round}
-@end deftypefn
-nargchk
--*- texinfo -*-
-@deftypefn {Function File} {} nargchk (@var{nargin_min}, @var{nargin_max}, @var{n})
-If @var{n} is in the range @var{nargin_min} through @var{nargin_max}
-inclusive, return the empty matrix.  Otherwise, return a message
-indicating whether @var{n} is too large or too small.
+@item --mex
+Assume we are creating a MEX file.  Set the default output extension 
+to ".mex".
 
-This is useful for checking to see that the number of arguments supplied
-to a function is within an acceptable range.
-@end deftypefn
-nextpow2
--*- texinfo -*-
-@deftypefn {Function File} {} nextpow2 (@var{x})
-If @var{x} is a scalar, returns the first integer @var{n} such that
-@iftex
-@tex
- $2^n \ge |x|$.
-@end tex
-@end iftex
-@ifinfo
- 2^n >= abs (x).
-@end ifinfo
+@item -s
+@itemx --strip
+Strip the output file.
 
-If @var{x} is a vector, return @code{nextpow2 (length (@var{x}))}.
-@seealso{pow2}
-@end deftypefn
-nthroot
--*- texinfo -*-
-@deftypefn {Function File} {} nthroot (@var{x}, @var{n})
+@item -v
+@itemx --verbose
+Echo commands as they are executed.
 
-Compute the nth root of @var{x}, returning real results for real 
-components of @var{x}. For example
+@item file
+The file to compile or link. Recognised file types are
 
 @example
-@group
-nthroot (-1, 3)
-@result{} -1
-(-1) ^ (1 / 3)
-@result{} 0.50000 - 0.86603i
-@end group
+                  .c    C source
+                  .cc   C++ source
+                  .C    C++ source
+                  .cpp  C++ source
+                  .f    Fortran source
+                  .F    Fortran source
+                  .o    object file
 @end example
 
+@end table
 @end deftypefn
-num2str
+dump_prefs
 -*- texinfo -*-
-@deftypefn {Function File} {} num2str (@var{n})
-@deftypefnx {Function File} {} num2str (@var{x}, @var{precision})
-@deftypefnx {Function File} {} num2str (@var{x}, @var{format})
-Convert a number to a string.  This function is not very flexible.
-For better control over the results, use @code{sprintf}
-(@pxref{Formatted Output}).
-@seealso{sprintf, int2str}
+@deftypefn {Function File} {} dump_prefs (@var{file})
+Have Octave dump all the current user preference variables to
+@var{file} in a format that can be parsed by Octave later.  If
+@var{file} is omitted, the listing is printed to stdout.
 @end deftypefn
-perror
+untar
 -*- texinfo -*-
-@deftypefn {Function File} {} perror (@var{name}, @var{num})
-Print the error message for function @var{name} corresponding to the
-error number @var{num}.  This function is intended to be used to print
-useful error messages for those functions that return numeric error
-codes.
-@seealso{strerror}
+@deftypefn {Function File} {} untar (@var{tarfile}, @var{dir})
+Unpack the TAR archive @var{tarfile} to the directory @var{dir}.
+If @var{dir} is not specified, it defaults to the current directory.
+@seealso{unpack, bzip2, bunzip2, tar, gzip, gunzip, zip, unzip}
 @end deftypefn
-pol2cart
+fullfile
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{y}] =} pol2cart (@var{theta}, @var{r})
-@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} pol2cart (@var{theta}, @var{r}, @var{z})
-Transform polar or cylindrical to cartesian coordinates.
-@var{theta}, @var{r} (and @var{z}) must be of same shape.
-@var{theta} describes the angle relative to the x - axis.
-@var{r} is the distance to the z - axis (0, 0, z).
-@seealso{cart2pol, cart2sph, sph2cart}
+@deftypefn {Function File} {@var{filename} =} fullfile (@var{dir1}, @var{dir2}, @dots{}, @var{file})
+Return a complete filename constructed from the given components.
+@seealso{fileparts}
 @end deftypefn
-polyarea
+fileattrib
 -*- texinfo -*-
-@deftypefn {Function File} {} polyarea (@var{x}, @var{y})
-@deftypefnx {Function File} {} polyarea (@var{x}, @var{y}, @var{dim})
+@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} fileattrib (@var{file})
+Return information about @var{file}.
 
-Determines area of a polygon by triangle method. The variables
-@var{x} and @var{y} define the vertex pairs, and must therefore have
-the same shape. They can be either vectors or arrays. If they are
-arrays then the columns of @var{x} and @var{y} are treated separately
-and an area returned for each.
+If successful, @var{status} is 1, with @var{result} containing a
+structure with the following fields:
 
-If the optional @var{dim} argument is given, then @code{polyarea}
-works along this dimension of the arrays @var{x} and @var{y}.
+@table @code
+@item Name
+Full name of @var{file}.
+@item archive
+True if @var{file} is an archive (Windows).
+@item system
+True if @var{file} is a system file (Windows).
+@item hidden
+True if @var{file} is a hidden file (Windows).
+@item directory
+True if @var{file} is a directory.
+@item UserRead
+@itemx GroupRead
+@itemx OtherRead
+True if the user (group; other users) has read permission for
+@var{file}.
+@item UserWrite
+@itemx GroupWrite
+@itemx OtherWrite
+True if the user (group; other users) has write permission for
+@var{file}.
+@item UserExecute
+@itemx GroupExecute
+@itemx OtherExecute
+True if the user (group; other users) has execute permission for
+@var{file}.
+@end table
+If an attribute does not apply (i.e., archive on a Unix system) then
+the field is set to NaN.
 
+With no input arguments, return information about the current
+directory.
+
+If @var{file} contains globbing characters, return information about
+all the matching files.
+@seealso{glob}
 @end deftypefn
-postpad
+setfield
 -*- texinfo -*-
-@deftypefn {Function File} {} postpad (@var{x}, @var{l}, @var{c})
-See prepad.
-@end deftypefn
-prepad
--*- texinfo -*-
-@deftypefn {Function File} {} prepad (@var{x}, @var{l}, @var{c})
-@deftypefnx {Function File} {} postpad (@var{x}, @var{l}, @var{c})
-@deftypefnx {Function File} {} postpad (@var{x}, @var{l}, @var{c}, @var{dim})
-
-Prepends (appends) the scalar value @var{c} to the vector @var{x}
-until it is of length @var{l}.  If the third argument is not
-supplied, a value of 0 is used.
+@deftypefn {Function File} {[@var{k1}, @dots{}, @var{v1}] =} setfield (@var{s}, @var{k1}, @var{v1}, @dots{})
+Set field members in a structure.
 
-If @code{length (@var{x}) > @var{l}}, elements from the beginning (end) of
-@var{x} are removed until a vector of length @var{l} is obtained.
+@example
+@group
+oo(1,1).f0= 1;
+oo = setfield(oo,@{1,2@},'fd',@{3@},'b', 6);
+oo(1,2).fd(3).b == 6
+@result{} ans = 1
+@end group
+@end example
 
-If @var{x} is a matrix, elements are prepended or removed from each row.
+Note that this function could be written
 
-If the optional @var{dim} argument is given, then operate along this
-dimension.
+@example
+         i1= @{1,2@}; i2= 'fd'; i3= @{3@}; i4= 'b';
+         oo( i1@{:@} ).( i2 )( i3@{:@} ).( i4 ) == 6;
+@end example
+@seealso{getfield, rmfield, isfield, isstruct, fieldnames, struct}
 @end deftypefn
-quadl
+what
 -*- texinfo -*-
-@deftypefn {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b})
-@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol})
-@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol}, @var{trace})
-@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol}, @var{trace}, @var{p1}, @var{p2}, @dots{})
-
-Numerically evaluate integral using adaptive Lobatto rule.
-@code{quadl (@var{f}, @var{a}, @var{b})} approximates the integral of
-@code{@var{f}(@var{x})} to machine precision. @var{f} is either a
-function handle, inline function or string containing the name of
-the function to evaluate. The function @var{f} must return a vector
-of output values if given a vector of input values.
+@deftypefn {Command} {} what 
+@deftypefnx {Command} {} what @var{dir}
+@deftypefnx {Function File} {w =} what (@var{dir})
+List the Octave specific files in a directory. If the variable @var{dir}
+is given then check that directory rather than the current directory. If
+a return argument is requested, the files found are returned in the 
+structure @var{w}.
+@seealso{which}
+@end deftypefn
+computer
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{c}, @var{maxsize}, @var{endian}] =} computer ()
+Print or return a string of the form @var{cpu}-@var{vendor}-@var{os}
+that identifies the kind of computer Octave is running on.  If invoked
+with an output argument, the value is returned instead of printed.  For
+example,
 
-If defined, @var{tol} defines the relative tolerance to which to
-which to integrate @code{@var{f}(@var{x})}. While if @var{trace} is
-defined, displays the left end point of the current interval, the 
-interval length, and the partial integral.
+@example
+@group
+computer ()
+@print{} i586-pc-linux-gnu
 
-Additional arguments @var{p1}, etc, are passed directly to @var{f}.
-To use default values for @var{tol} and @var{trace}, one may pass
-empty matrices.
+x = computer ()
+@result{} x = "i586-pc-linux-gnu"
+@end group
+@end example
 
-Reference: W. Gander and W. Gautschi, 'Adaptive Quadrature - 
-Revisited', BIT Vol. 40, No. 1, March 2000, pp. 84--101.
-@url{http://www.inf.ethz.ch/personal/gander/}
+If two output arguments are requested, also return the maximum number
+of elements for an array.
 
+If three output arguments are requested, also return the byte order
+of the current system as a character (@code{"B"} for big-endian or
+@code{"L"} for little-endian).
 @end deftypefn
-randperm
+ls_command
 -*- texinfo -*-
-@deftypefn {Function File} {} randperm (@var{n})
-Return a row vector containing a random permutation of the
-integers from 1 to @var{n}.
+@deftypefn {Function File} {[@var{old_cmd} =} ls_command (@var{cmd})
+Set or return the shell command used by Octave's @code{ls} command.
+The value of @var{cmd} must be a character string.
+With no arguments, simply return the previous value.
+@seealso{ls}
 @end deftypefn
-rat
+flops
 -*- texinfo -*-
-@deftypefn {Function File} {@var{s} =} rat (@var{x}, @var{tol})
-@deftypefnx {Function File} {[@var{n}, @var{d}] =} rat (@var{x}, @var{tol})
-
-Find a rational approximation to @var{x} within tolerance defined
-by @var{tol} using a continued fraction expansion. E.g,
-
-@example
-rat(pi) = 3 + 1/(7 + 1/16) = 355/113
-rat(e) = 3 + 1/(-4 + 1/(2 + 1/(5 + 1/(-2 + 1/(-7))))) 
-       = 1457/536
-@end example
-
-Called with two arguments returns the numerator and denominator separately
-as two matrices.
+@deftypefn {Function File} {} flops ()
+This function is provided for @sc{Matlab} compatibility, but it doesn't
+actually do anything.
 @end deftypefn
-@seealso{rats}
-rem
+copyfile
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} rem (@var{x}, @var{y})
-Return the remainder of @code{@var{x} / @var{y}}, computed using the
-expression
-
-@example
-x - y .* fix (x ./ y)
-@end example
+@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} copyfile (@var{f1}, @var{f2}, @var{force})
+Copy the file @var{f1} to the new name @var{f2}.  The name @var{f1}
+may contain globbing patterns.  If @var{f1} expands to multiple file
+names, @var{f2} must be a directory. If @var{force} is given and equals
+the string "f" the copy operation will be forced.
 
-An error message is printed if the dimensions of the arguments do not
-agree, or if either of the arguments is complex.
-@seealso{mod, round}
+If successful, @var{status} is 1, with @var{msg} and @var{msgid} empty\n\
+character strings.  Otherwise, @var{status} is 0, @var{msg} contains a\n\
+system-dependent error message, and @var{msgid} contains a unique\n\
+message identifier.\n\
+@seealso{glob, movefile}
 @end deftypefn
-repmat
+zip
 -*- texinfo -*-
-@deftypefn {Function File} {} repmat (@var{A}, @var{m}, @var{n})
-@deftypefnx {Function File} {} repmat (@var{A}, [@var{m} @var{n}])
-@deftypefnx {Function File} {} repmat (@var{A}, [@var{m} @var{n} @var{p} ...])
-Form a block matrix of size @var{m} by @var{n}, with a copy of matrix
-@var{A} as each element.  If @var{n} is not specified, form an 
-@var{m} by @var{m} block matrix.
+@deftypefn {Function File} {@var{entries} =} zip (@var{zipfile}, @var{files})
+@deftypefnx {Function File} {@var{entries} =} zip (@var{zipfile}, @var{files}, @var{rootdir})
+Compress the list of files and/or directories specified in @var{files} 
+into the archive @var{zipfiles} in the same directory. If @var{rootdir} 
+is defined the @var{files} is located relative to @var{rootdir} rather 
+than the current directory
+@seealso{unzip,tar}
 @end deftypefn
-rot90
+tempdir
 -*- texinfo -*-
-@deftypefn {Function File} {} rot90 (@var{x}, @var{n})
-Return a copy of @var{x} with the elements rotated counterclockwise in
-90-degree increments.  The second argument is optional, and specifies
-how many 90-degree rotations are to be applied (the default value is 1).
-Negative values of @var{n} rotate the matrix in a clockwise direction.
-For example,
+@deftypefn {Function File} {@var{dir} =} tempdir ()
+Return the name of the system's directory for temporary files.
+@end deftypefn
+semicolon
+-*- texinfo -*-
+@deffn {Operator} ;
+Array row or command separator.
+@seealso{comma}
+@end deffn
+pack
+-*- texinfo -*-
+@deftypefn {Function File} {} pack ()
+This function is provided for compatibility with @sc{Matlab}, but it
+doesn't actually do anything.
+@end deftypefn
+version
+-*- texinfo -*-
+@deftypefn {Function File} {} version ()
+Return Octave's version number as a string.  This is also the value of
+the built-in variable @code{OCTAVE_VERSION}.
+@end deftypefn
+cast
+-*- texinfo -*-
+@deftypefn {Function File} {} cast (@var{val}, @var{type})
+Convert @var{val} to data type @var{type}.
+@seealso{int8, uint8, int16, uint16, int32, uint32, int64, uint64, double}
+@end deftypefn
+bunzip2
+-*- texinfo -*-
+@deftypefn {Function File} {} bunzip2 (@var{bzfile}, @var{dir})
+Unpack the bzip2 archive @var{bzfile} to the directory @var{dir}. If
+@var{dir} is not specified, it defaults to the current directory.
+@seealso{unpack, bzip2, tar, untar, gzip, gunzip, zip, unzip}
+@end deftypefn
+bug_report
+-*- texinfo -*-
+@deftypefn {Function File} {} bug_report ()
+Have Octave create a bug report template file, invoke your favorite
+editor, and submit the report to the bug-octave mailing list when
+you are finished editing.
+@end deftypefn
+isunix
+-*- texinfo -*-
+@deftypefn {Function File} {} isunix ()
+Return 1 if Octave is running on a Unix-like system and 0 otherwise.
+@seealso{ismac, ispc}
+@end deftypefn
+getfield
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{v1}, @dots{}] =} getfield (@var{s}, @var{key}, @dots{}) 
+Extract fields from a structure. For example
 
 @example
 @group
-rot90 ([1, 2; 3, 4], -1)
-@result{}  3  1
-         4  2
+ss(1,2).fd(3).b=5;
+getfield (ss, @{1,2@}, "fd", @{3@}, "b")
+@result{} ans = 5
 @end group
 @end example
 
-@noindent
-rotates the given matrix clockwise by 90 degrees.  The following are all
-equivalent statements:
+Note that the function call in the previous example is equivalent to
+the expression
 
 @example
-@group
-rot90 ([1, 2; 3, 4], -1)
-rot90 ([1, 2; 3, 4], 3)
-rot90 ([1, 2; 3, 4], 7)
-@end group
+         i1= @{1,2@}; i2= "fd"; i3= @{3@}; i4= "b";
+         ss(i1@{:@}).(i2)(i3@{:@}).(i4)
 @end example
-
-Due to the difficulty of defining an axis about which to rotate the 
-matrix @code{rot90} only work with 2-D arrays.  To rotate N-d arrays
-use @code{rotdim} instead.
-@seealso{rotdim, flipud, fliplr, flipdim}
+@seealso{setfield, rmfield, isfield, isstruct, fieldnames, struct}
 @end deftypefn
-rotdim
+ver
 -*- texinfo -*-
-@deftypefn {Function File} {} rotdim (@var{x}, @var{n}, @var{plane})
-Return a copy of @var{x} with the elements rotated counterclockwise in
-90-degree increments.  The second argument is optional, and specifies
-how many 90-degree rotations are to be applied (the default value is 1).
-The third argument is also optional and defines the plane of the
-rotation. As such @var{plane} is a two element vector containing two
-different valid dimensions of the matrix. If @var{plane} is not given
-Then the first two non-singleton dimensions are used.
-
-Negative values of @var{n} rotate the matrix in a clockwise direction.
-For example,
-
-@example
-@group
-rotdim ([1, 2; 3, 4], -1, [1, 2])
-@result{}  3  1
-         4  2
-@end group
-@end example
-
-@noindent
-rotates the given matrix clockwise by 90 degrees.  The following are all
-equivalent statements:
+@deftypefn {Function File} {} ver ()
+Display a header containing the current Octave version
+number, license string and operating system.
+@seealso{license, version}
+@end deftypefn
+news
+-*- texinfo -*-
+@deftypefn {Function File} {} news ()
+Display the current NEWS file for Octave.
+@end deftypefn
+gzip
+-*- texinfo -*-
+@deftypefn {Function File} {@var{entries} =} gzip (@var{files})
+@deftypefnx {Function File} {@var{entries} =} gzip (@var{files}, @var{outdir})
+Compress the list of files and/or directories specified in @var{files}.
+Each file is compressed separately and a new file with a '.gz' extension
+is created. The original file is not touched. If @var{rootdir} is defined 
+the compressed versions of the files are placed in this directory.
+@seealso{gunzip, zip, tar}
+@end deftypefn
+parseparams
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{reg}, @var{prop}] =} parseparams (@var{params})
+Return in @var{reg} the cell elements of @var{param} up to the first
+string element and in @var{prop} all remaining elements beginning
+with the first string element.  For example 
 
 @example
 @group
-rotdim ([1, 2; 3, 4], -1, [1, 2])
-rotdim ([1, 2; 3, 4], 3, [1, 2])
-rotdim ([1, 2; 3, 4], 7, [1, 2])
+[reg, prop] = parseparams (@{1, 2, "linewidth", 10@})
+reg =
+@{
+  [1,1] = 1
+  [1,2] = 2
+@}
+prop =
+@{
+  [1,1] = linewidth
+  [1,2] = 10
+@}
 @end group
 @end example
-@seealso{rot90, flipud, fliplr, flipdim}
+
+The parseparams function may be used to separate 'regular'
+arguments and additional arguments given as property/value pairs of
+the @var{varargin} cell array.
+@seealso{varargin}
 @end deftypefn
-runlength
+ls
 -*- texinfo -*-
-@deftypefn {Function File} {} runlength (@var{x})
-Find the lengths of all sequences of common values.  Return the
-vector of lengths and the value that was repeated.
+@deffn {Command} ls options
+List directory contents.  For example,
 
 @example
-runlength ([2, 2, 0, 4, 4, 4, 0, 1, 1, 1, 1])
-@result{}  [2, 1, 3, 1, 4]
+ls -l
+@print{} total 12
+@print{} -rw-r--r--   1 jwe  users  4488 Aug 19 04:02 foo.m
+@print{} -rw-r--r--   1 jwe  users  1315 Aug 17 23:14 bar.m
 @end example
+
+The @code{dir} and @code{ls} commands are implemented by calling your
+system's directory listing command, so the available options may vary
+from system to system.
+@seealso{dir, stat, readdir, glob, filesep, ls_command}
+@end deffn
+ismac
+-*- texinfo -*-
+@deftypefn {Function File} {} ismac ()
+Return 1 if Octave is running on a Mac OS X system and 0 otherwise.
+@seealso{ispc, isunix}
 @end deftypefn
-shift
+unix
 -*- texinfo -*-
-@deftypefn {Function File} {} shift (@var{x}, @var{b})
-@deftypefnx {Function File} {} shift (@var{x}, @var{b}, @var{dim})
-If @var{x} is a vector, perform a circular shift of length @var{b} of
-the elements of @var{x}.
-
-If @var{x} is a matrix, do the same for each column of @var{x}.
-If the optional @var{dim} argument is given, operate along this 
-dimension
+@deftypefn {Function File} {[@var{status}, @var{text}]} unix (@var{command})
+@deftypefnx {Function File} {[@var{status}, @var{text}]} unix (@var{command}, "-echo")
+Execute a system command if running under a Unix-like operating
+system, otherwise do nothing.  Return the exit status of the program
+in @var{status} and any output sent to the standard output in
+@var{text}.  If the optional second argument @code{"-echo"} is given,
+then also send the output from the command to the standard output.
+@seealso{isunix, ispc, system}
 @end deftypefn
-shiftdim
+inputname
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} shiftdim (@var{x}, @var{n})
-@deftypefnx {Function File} {[@var{y}, @var{ns}] =} shiftdim (@var{x})
-Shifts the dimension of @var{x} by @var{n}, where @var{n} must be
-an integer scalar. When @var{n} is positive, the dimensions of
-@var{x} are shifted to the left, with the leading dimensions
-circulated to the end. If @var{n} is negative, then the dimensions
-of @var{x} are shifted to the right, with @var{n} leading singleton
-dimensions added.
-
-Called with a single argument, @code{shiftdim}, removes the leading
-singleton dimensions, returning the number of dimensions removed
-in the second output argument @var{ns}.
-
-For example 
-
-@example
-@group
-x = ones (1, 2, 3);
-size (shiftdim (x, -1))
-@result{} [1, 1, 2, 3]
-size (shiftdim (x, 1))
-@result{} [2, 3]
-[b, ns] = shiftdim (x);
-@result{} b =  [1, 1, 1; 1, 1, 1]
-@result{} ns = 1
-@end group
-@end example
-@seealso {reshape, permute, ipermute, circshift, squeeze}
+@deftypefn {Function File} {} inputname (@var{n})
+Return the text defining @var{n}-th input to the function.
 @end deftypefn
-sortrows
+fileparts
 -*- texinfo -*-
-@deftypefn {Function File} {} sortrows (@var{a}, @var{c})
-Sort the rows of the matrix @var{a} according to the order of the
-columns specified in @var{c}.  If @var{c} is omitted, a
-lexicographical sort is used. By default ascending order is used 
-however if elements of @var{c} are negative then the corrosponding 
-column is sorted in descending order.
+@deftypefn {Function File} {[@var{dir}, @var{name}, @var{ext}, @var{ver}] =} fileparts (@var{filename})
+Return the directory, name, extension, and version components of
+@var{filename}.
+@seealso{fullfile}
 @end deftypefn
-sph2cart
+single
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} sph2cart (@var{theta}, @var{phi}, @var{r})
-Transform spherical to cartesian coordinates.
-@var{x}, @var{y} and @var{z} must be of same shape.
-@var{theta} describes the angle relative to the x-axis.
-@var{phi} is the angle relative to the xy-plane.
-@var{r} is the distance to the origin (0, 0, 0).
-@seealso{pol2cart, cart2pol, cart2sph}
+@deftypefn {Function File} {} single (@var{val})
+Convert the numeric value @var{val} to single precision.
+
+@strong{Note}: this function currently returns its argument converted
+to double precision because Octave does not yet have a single-precision
+numeric data type.
 @end deftypefn
-strerror
+substruct
 -*- texinfo -*-
-@deftypefn {Function File} {} strerror (@var{name}, @var{num})
-Return the text of an error message for function @var{name}
-corresponding to the error number @var{num}.  This function is intended
-to be used to print useful error messages for those functions that
-return numeric error codes.
+@deftypefn {Function File} {} substruct (@var{type}, @var{subs}, @dots{})
+Create a subscript structure for use with @code{subsref} or
+@code{subsasgn}.
+@seealso{subsref, subsasgn}
 @end deftypefn
-structfun
+swapbytes
 -*- texinfo -*-
-@deftypefn {Function File} {} structfun (@var{func}, @var{s})
-@deftypefnx {Function File} {[@var{a}, @var{b}] =} structfun (@dots{})
-@deftypefnx {Function File} {} structfun (@dots{}, 'ErrorHandler', @var{errfunc})
-@deftypefnx {Function File} {} structfun (@dots{}, 'UniformOutput', @var{val})
-
-Evaluate the function named @var{name} on the fields of the structure
-@var{s}. The fields of @var{s} are passed to the function @var{func}
-individually.
-
-@code{structfun} accepts an arbitrary function @var{func} in the form of 
-an inline function, function handle, or the name of a function (in a 
-character string). In the case of a character string argument, the 
-function must accept a single argument named @var{x}, and it must return 
-a string value. If the function returns more than one argument, they are
-returned as separate output variables.
-
-If the param 'UniformOutput' is set to true (the default), then the function
-must return either a single element which will be concatenated into the
-return value. If 'UniformOutput is false, the outputs placed in a structure
-with the same fieldnames as the input structure.
+@deftypefn {Function File} {} swapbytes (@var{x})
+Swaps the byte order on values, converting from little endian to big 
+endian and visa-versa. For example
 
 @example
 @group
-s.name1 = "John Smith"; 
-s.name2 = "Jill Jones"; 
-structfun (@@(x) regexp (x, '(\w+)$', 'matches')@{1@}, s, 
-           'UniformOutput', false)
+swapbytes (uint16 (1:4))
+@result{} [   256   512   768  1024]
 @end group
 @end example
 
-Given the parameter 'ErrorHandler', then @var{errfunc} defines a function to
-call in case @var{func} generates an error. The form of the function is
-
-@example
-function [@dots{}] = errfunc (@var{se}, @dots{})
-@end example
-
-where there is an additional input argument to @var{errfunc} relative to
-@var{func}, given by @var{se}. This is a structure with the elements
-'identifier', 'message' and 'index', giving respectively the error
-identifier, the error message, and the index into the input arguments
-of the element that caused the error.
-@seealso{cellfun, arrayfun}
+@seealso{typecast, cast}
 @end deftypefn
-sub2ind
+mexext
 -*- texinfo -*-
-@deftypefn {Function File} {@var{ind} =} sub2ind (@var{dims}, @var{i}, @var{j})
-@deftypefnx {Function File} {@var{ind} =} sub2ind (@var{dims}, @var{s1}, @var{s2}, @dots{}, @var{sN})
-Convert subscripts into a linear index.
-
-The following example shows how to convert the two-dimensional
-index @code{(2,3)} of a 3-by-3 matrix to a linear index.
-
-@example
-linear_index = sub2ind ([3, 3], 2, 3)
-@result{} 8
-@end example
-@seealso{ind2sub}
+@deftypefn {Function File} {} mexext ()
+Return the filename extension used for MEX files.
 @end deftypefn
-trapz
+paren
 -*- texinfo -*-
-@deftypefn {Function File} {@var{z} =} trapz (@var{y})
-@deftypefnx {Function File} {@var{z} =} trapz (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{z} =} trapz (@dots{}, @var{dim})
-
-Numerical integration using trapezoidal method. @code{trapz
-(@var{y})} computes the integral of the @var{y} along the first
-non singleton dimension. If the argument @var{x} is omitted a 
-equally spaced vector is assumed. @code{trapz (@var{x}, @var{y})} 
-evaluates the integral with respect to @var{x}.
- 
-@seealso{cumtrapz}
+@deffn {Operator} (
+@deffnx {Operator} )
+Array index or function argument delimeter.
+@end deffn
+dos
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{status}, @var{text}] =} dos (@var{command})
+@deftypefnx {Function File} {[@var{status}, @var{text}] =} dos (@var{command}, "-echo")
+Execute a system command if running under a Windows-like operating
+system, otherwise do nothing.  Return the exit status of the program
+in @var{status} and any output sent to the standard output in
+@var{text}.  If the optional second argument @code{"-echo"} is given,
+then also send the output from the command to the standard output.
+@seealso{unix, isunix, ispc, system}
 @end deftypefn
-tril
+run
 -*- texinfo -*-
-@deftypefn {Function File} {} tril (@var{a}, @var{k})
-@deftypefnx {Function File} {} triu (@var{a}, @var{k})
-Return a new matrix formed by extracting the lower (@code{tril})
-or upper (@code{triu}) triangular part of the matrix @var{a}, and
-setting all other elements to zero.  The second argument is optional,
-and specifies how many diagonals above or below the main diagonal should
-also be set to zero.
-
-The default value of @var{k} is zero, so that @code{triu} and
-@code{tril} normally include the main diagonal as part of the result
-matrix.
-
-If the value of @var{k} is negative, additional elements above (for
-@code{tril}) or below (for @code{triu}) the main diagonal are also
-selected.
-
-The absolute value of @var{k} must not be greater than the number of
-sub- or super-diagonals.
-
-For example,
-
-@example
-@group
-tril (ones (3), -1)
-@result{}  0  0  0
-         1  0  0
-         1  1  0
-@end group
-@end example
-
-@noindent
-and
-
-@example
-@group
-tril (ones (3), 1)
-@result{}  1  1  0
-         1  1  1
-         1  1  1
-@end group
-@end example
-@seealso{triu, diag}
+@deftypefn {Function File} {} run (@var{f})
+@deftypefnx {Command} {} run @var{f}
+Run scripts in the current workspace that are not necessarily on the
+path. If @var{f} is the script to run, including its path, then @code{run}
+change the directory to the directory where @var{f} is found. @code{run}
+then executes the script, and returns to the original directory.
+@seealso{system}
 @end deftypefn
-triu
+texas_lotto
 -*- texinfo -*-
-@deftypefn {Function File} {} triu (@var{a}, @var{k})
-See tril.
+@deftypefn {Function File} {} texas_lotto ()
+Pick 6 unique numbers between 1 and 50 that are guaranteed to win
+the Texas Lotto.
+@seealso{rand}
 @end deftypefn
-convhull
+mex
 -*- texinfo -*-
-@deftypefn {Function File} {@var{H} =} convhull (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{H} =} convhull (@var{x}, @var{y}, @var{opt})
-Returns the index vector to the points of the enclosing convex hull.  The
-data points are defined by the x and y vectors.
-
-A third optional argument, which must be a string, contains extra options
-passed to the underlying qhull command.  See the documentation for the 
-Qhull library for details.
-
-@seealso{delaunay, convhulln}
+@deftypefn {Function File} {} mex [options] file @dots{}
+Compile source code written in C, C++, or Fortran, to a MEX file.
+This is equivalent to @code{mkoctfile --mex [options] file}.
+@seealso{mkoctfile}
 @end deftypefn
-delaunay
+gunzip
 -*- texinfo -*-
-@deftypefn {Function File} {@var{tri}=} delaunay (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{tri}=} delaunay (@var{x}, @var{y}, @var{opt})
-The return matrix of size [n, 3] contains a set triangles which are
-described by the indices to the data point x and y vector.
-The triangulation satisfies the Delaunay circumcircle criterion.
-No other data point is in the circumcircle of the defining triangle.
-
-A third optional argument, which must be a string, contains extra options
-passed to the underlying qhull command.  See the documentation for the 
-Qhull library for details.
-
-@example
-@group
-x = rand (1, 10);
-y = rand (size (x));
-T = delaunay (x, y);
-X = [x(T(:,1)); x(T(:,2)); x(T(:,3)); x(T(:,1))];
-Y = [y(T(:,1)); y(T(:,2)); y(T(:,3)); y(T(:,1))];
-axis ([0,1,0,1]);
-plot (X, Y, "b", x, y, "r*");
-@end group
-@end example
-@seealso{voronoi, delaunay3, delaunayn}
+@deftypefn {Function File} {} gunzip (@var{gzfile}, @var{dir})
+Unpack the gzip archive @var{gzfile} to the directory @var{dir}. If
+@var{dir} is not specified, it defaults to the current directory. If
+the @var{gzfile} is a directory, all files in the directory will be
+recursively gunzipped.
+@seealso{unpack, bzip2, bunzip2, tar, untar, gzip, gunzip, zip, unzip}
 @end deftypefn
-delaunay3
+doc
 -*- texinfo -*-
-@deftypefn {Function File} {@var{T} =} delaunay3 (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {@var{T} =} delaunay3 (@var{x}, @var{y}, @var{z}, @var{opt})
-A matrix of size [n, 4] is returned. Each row contains a 
-set of tetrahedron which are
-described by the indices to the data point vectors (x,y,z).
+@deftypefn {Command} doc @var{function_name}
+Display documentation for the function @var{function_name}
+directly from an on-line version of
+the printed manual, using the GNU Info browser.  If invoked without
+any arguments, the manual is shown from the beginning.
 
-A fourth optional argument, which must be a string or cell array of strings,
-contains extra options passed to the underlying qhull command.  See the 
-documentation for the Qhull library for details.
-@seealso{delaunay,delaunayn}
+For example, the command @kbd{doc rand} starts the GNU Info browser
+at this node in the on-line version of the manual.
+
+Once the GNU Info browser is running, help for using it is available
+using the command @kbd{C-h}.
+@seealso{help}
 @end deftypefn
-delaunayn
+edit
 -*- texinfo -*-
-@deftypefn {Function File} {@var{T} =} delaunayn (@var{P})
-@deftypefnx {Function File} {@var{T} =} delaunayn (@var{P}, @var{opt})
-Form the Delaunay triangulation for a set of points.
-The Delaunay triangulation is a tessellation of the convex hull of the
-points such that no n-sphere defined by the n-triangles contains
-any other points from the set.
-The input matrix @var{P} of size @code{[n, dim]} contains @var{n}
-points in a space of dimension dim. The return matrix @var{T} has the
-size @code{[m, dim+1]}.  It contains for each row a set of indices to
-the points, which describes a simplex of dimension dim.  For example,
-a 2d simplex is a triangle and 3d simplex is a tetrahedron.
+@deftypefn {Command} edit @var{name}
+@deftypefnx {Command} edit @var{field} @var{value}
+@deftypefnx {Command} @var{value} = edit get @var{field}
+Edit the named function, or change editor settings.
 
-Extra options for the underlying Qhull command can be specified by the
-second argument. This argument is a cell array of strings. The default
-options depend on the dimension of the input: 
+If @code{edit} is called with the name of a file or function as
+its argument it will be opened in a text editor.
 
-@itemize 
-@item  2D and 3D: @var{opt} = @code{@{"Qt", "Qbb", "Qc"@}}
-@item  4D and higher: @var{opt} = @code{@{"Qt", "Qbb", "Qc", "Qz"@}} 
-@end itemize
+@itemize @bullet
+@item
+If the function @var{name} is available in a file on your path and
+that file is modifiable, then it will be edited in place.  If it 
+is a system function, then it will first be copied to the directory
+@code{HOME} (see further down) and then edited.  
 
-If @var{opt} is [], then the default arguments are used. If @var{opt}
-is @code{@{"@w{}"@}}, then none of the default arguments are used by Qhull. 
-See the Qhull documentation for the available options. 
+@item
+If @var{name} is the name of a function defined in the interpreter but 
+not in an m-file, then an m-file will be created in @code{HOME}
+to contain that function along with its current definition.  
 
-All options can also be specified as single string, for example
-@code{"Qt Qbb Qc Qz"}.
+@item
+If @code{name.cc} is specified, then it will search for @code{name.cc}
+in the path and try to modify it, otherwise it will create a new
+@file{.cc} file in @code{HOME}.  If @var{name} happens to be an
+m-file or interpreter defined function, then the text of that
+function will be inserted into the .cc file as a comment.
 
-@end deftypefn
-dsearch
--*- texinfo -*-
-@deftypefn {Function File} {@var{idx} =} dsearch (@var{x}, @var{y}, @var{tri}, @var{xi}, @var{yi})
-@deftypefnx {Function File} {@var{idx} =} dsearch (@var{x}, @var{y}, @var{tri}, @var{xi}, @var{yi}, @var{s})
-Returns the index @var{idx} or the closest point in @code{@var{x}, @var{y})}
-to the elements @code{[@var{xi}(:), @var{yi}(:)]}. The variable @var{s} is
-accepted but ignored for compatibility.
-@seealso{dsearchn, tsearch}
-@end deftypefn
-dsearchn
--*- texinfo -*-
-@deftypefn {Function File} {@var{idx} =} dsearchn (@var{x}, @var{tri}, @var{xi})
-@deftypefnx {Function File} {@var{idx} =} dsearchn (@var{x}, @var{tri}, @var{xi}, @var{outval})
-@deftypefnx {Function File} {@var{idx} =} dsearchn (@var{x}, @var{xi})
-@deftypefnx {Function File} {[@var{idx}, @var{d}] =} dsearchn (@dots{})
-Returns the index @var{idx} or the closest point in @var{x} to the elements
-@var{xi}. If @var{outval} is supplied, then the values of @var{xi} that are
-not contained within one of the simplicies @var{tri} are set to 
-@var{outval}. Generally, @var{tri} is returned from @code{delaunayn 
-(@var{x})}.
-@seealso{dsearch, tsearch}
-@end deftypefn
-griddata
--*- texinfo -*-
-@deftypefn {Function File} {@var{zi} =} griddata (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{method})
-@deftypefnx {Function File} {[@var{xi}, @var{yi}, @var{zi}] =} griddata (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{method})
+@item
+If @var{name.ext} is on your path then it will be editted, otherwise
+the editor will be started with @file{HOME/name.ext} as the
+filename.  If @file{name.ext} is not modifiable, it will be copied to
+@code{HOME} before editing.
 
-Generate a regular mesh from irregular data using interpolation.
-The function is defined by @code{@var{z} = f (@var{x}, @var{y})}.
-The interpolation points are all @code{(@var{xi}, @var{yi})}.  If
-@var{xi}, @var{yi} are vectors then they are made into a 2D mesh.
+@strong{WARNING!} You may need to clear name before the new definition
+is available.  If you are editing a .cc file, you will need
+to mkoctfile @file{name.cc} before the definition will be available.
+@end itemize
 
-The interpolation method can be @code{"nearest"}, @code{"cubic"} or
-@code{"linear"}.  If method is omitted it defaults to @code{"linear"}.
-@seealso{delaunay}
-@end deftypefn
-griddata3
--*- texinfo -*-
-@deftypefn {Function File} {@var{vi} =} griddata3 (@var{x}, @var{y}, @var{z}, @var{v} @var{xi}, @var{yi}, @var{zi}, @var{method}, @var{options})
+If @code{edit} is called with @var{field} and @var{value} variables,
+the value of the control field @var{field} will be @var{value}.
+If an output argument is requested and the first argument is @code{get}
+then @code{edit} will return the value of the control field @var{field}.
+The following control fields are used:
 
-Generate a regular mesh from irregular data using interpolation.
-The function is defined by @code{@var{y} = f (@var{x},@var{y},@var{z})}.
-The interpolation points are all @var{xi}.  
+@table @samp
+@item editor
+This is the editor to use to modify the functions.  By default it uses
+Octave's @code{EDITOR} built-in function, which comes from 
+@code{getenv("EDITOR")} and defaults to @code{emacs}.  Use @code{%s}
+In place of the function name.  For example,
+@table @samp
+@item [EDITOR, " %s"]
+Use the editor which Octave uses for @code{bug_report}.
+@item "xedit %s &"           
+pop up simple X11 editor in a separate window
+@item "gnudoit -q \"(find-file \\\"%s\\\")\""   
+Send it to current Emacs; must have @code{(gnuserv-start)} in @file{.emacs}.
+@end table
 
-The interpolation method can be @code{"nearest"} or @code{"linear"}.
-If method is omitted it defaults to @code{"linear"}.
-@seealso{griddata, delaunayn}
-@end deftypefn
-griddatan
--*- texinfo -*-
-@deftypefn {Function File} {@var{yi} =} griddatan (@var{x}, @var{y}, @var{xi}, @var{method}, @var{options})
+On cygwin, you will need to convert the cygwin path to a windows
+path if you are using a native Windows editor.  For example
+@example
+'"C:/Program Files/Good Editor/Editor.exe" "$(cygpath -wa %s)"'
+@end example
 
-Generate a regular mesh from irregular data using interpolation.
-The function is defined by @code{@var{y} = f (@var{x})}.
-The interpolation points are all @var{xi}.  
+@item home
+This is the location of user local m-files. Be be sure it is in your
+path. The default is @file{~/octave}.
 
-The interpolation method can be @code{"nearest"} or @code{"linear"}.
-If method is omitted it defaults to @code{"linear"}.
-@seealso{griddata, delaunayn}
-@end deftypefn
-inpolygon
--*- texinfo -*-
-@deftypefn {Function File} {[@var{in}, @var{on}] = } inpolygon (@var{x}, @var{y}, @var{xv}, @var{xy})
+@item author
+This is the name to put after the "## Author:" field of new functions.
+By default it guesses from the @code{gecos} field of password database.
 
-For a polygon defined by @code{(@var{xv}, @var{yv})} points, determine
-if the points @code{(@var{x}, @var{y})} are inside or outside the polygon.
-The variables @var{x}, @var{y}, must have the same dimension. The optional
-output @var{on} gives the points that are on the polygon.
+@item email
+This is the e-mail address to list after the name in the author field.
+By default it guesses @code{<$LOGNAME@@$HOSTNAME>}, and if @code{$HOSTNAME}
+is not defined it uses @code{uname -n}.  You probably want to override this.
+Be sure to use @code{<user@@host>} as your format.
 
+@item license
+@table @samp
+@item gpl
+GNU General Public License (default).
+@item bsd
+BSD-style license without advertising clause.
+@item pd
+Public domain.
+@item "text"
+Your own default copyright and license.
+@end table
+
+@item mode
+This value determines whether the editor should be started in async mode
+or sync mode. Set it to "async" to start the editor in async mode. The
+default is "sync" (see also "system").
+
+Unless you specify @samp{pd}, edit will prepend the copyright statement 
+with "Copyright (C) yyyy Function Author".
+@end table
 @end deftypefn
-trimesh
--*- texinfo -*-
-@deftypefn {Function File} {} trimesh (@var{tri}, @var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {@var{h} = } trimesh (@dots{})
-Plot a triangular mesh in 3D. The variable @var{tri} is the triangular
-meshing of the points @code{(@var{x}, @var{y})} which is returned 
-from @code{delaunay}. The variable @var{z} is value at the point 
-@code{(@var{x}, @var{y})}. The output argument @var{h} is the graphic 
-handle to the plot.
-@seealso{triplot, delaunay3}
-@end deftypefn
-triplot
--*- texinfo -*-
-@deftypefn {Function File} {} triplot (@var{tri}, @var{x}, @var{y})
-@deftypefnx {Function File} {} triplot (@var{tri}, @var{x}, @var{y}, @var{linespec})
-@deftypefnx {Function File} {@var{h} = } triplot (@dots{})
-Plot a triangular mesh in 2D. The variable @var{tri} is the triangular
-meshing of the points @code{(@var{x}, @var{y})} which is returned from
-@code{delaunay}. If given, the @var{linespec} determines the properties
-to use for the lines. The output argument @var{h} is the graphic handle
-to the plot.
-@seealso{plot, trimesh, delaunay}
-@end deftypefn
-tsearchn
--*- texinfo -*-
-@deftypefn {Function File} {[@var{idx}, @var{p}] =} tsearchn (@var{x}, @var{t}, @var{xi})
-Searches for the enclosing Delaunay convex hull. For @code{@var{t} =
-delaunayn (@var{x})}, finds the index in @var{t} containing the
-points @var{xi}. For points outside the convex hull, @var{idx} is NaN.
-If requested @code{tsearchn} also returns the barycentric coordinates @var{p}
-of the enclosing triangles.
-@seealso{delaunay, delaunayn}
-@end deftypefn
-voronoi
+pkg
 -*- texinfo -*-
-@deftypefn {Function File} {} voronoi (@var{x}, @var{y})
-@deftypefnx {Function File} {} voronoi (@var{x}, @var{y}, "plotstyle")
-@deftypefnx {Function File} {} voronoi (@var{x}, @var{y}, "plotstyle", @var{options})
-@deftypefnx {Function File} {[@var{vx}, @var{vy}] =} voronoi (@dots{})
-plots voronoi diagram of points @code{(@var{x}, @var{y})}.
-The voronoi facets with points at infinity are not drawn.
-[@var{vx}, @var{vy}] = voronoi(...) returns the vertices instead plotting the
-diagram. plot (@var{vx}, @var{vy}) shows the voronoi diagram.
-
-A fourth optional argument, which must be a string, contains extra options
-passed to the underlying qhull command.  See the documentation for the
-Qhull library for details.
+@deftypefn  {Command} pkg @var{command} @var{pkg_name}
+@deftypefnx {Command} pkg @var{command} @var{option} @var{pkg_name}
+This command interacts with the package manager. Different actions will
+be taken depending on the value of @var{command}.
 
+@table @samp
+@item install
+Install named packages.  For example,
 @example
-@group
-  x = rand (10, 1);
-  y = rand (size (x));
-  h = convhull (x, y);
-  [vx, vy] = voronoi (x, y);
-  plot (vx, vy, "-b", x, y, "o", x(h), y(h), "-g")
-  legend ("", "points", "hull");
-@end group
+pkg install image-1.0.0.tar.gz
 @end example
+@noindent
+installs the package found in the file @code{image-1.0.0.tar.gz}.
 
-@seealso{voronoin, delaunay, convhull}
-@end deftypefn
-voronoin
--*- texinfo -*-
-@deftypefn {Function File} {[@var{C}, @var{F}] =} voronoin (@var{pts})
-@deftypefnx {Function File} {[@var{C}, @var{F}] =} voronoin (@var{pts}, @var{options})
-computes n- dimensional voronoi facets.  The input matrix @var{pts}
-of size [n, dim] contains n points of dimension dim.
-@var{C} contains the points of the voronoi facets. The list @var{F}
-contains for each facet the indices of the voronoi points.
+The @var{option} variable can contain options that affect the manner
+in which a package is installed. These options can be one or more of
 
-A second optional argument, which must be a string, contains extra options
-passed to the underlying qhull command.  See the documentation for the
-Qhull library for details.
-@seealso{voronoin, delaunay, convhull}
-@end deftypefn
-__img__
-Undocumented internal function.
-__img_via_file__
-Undocumented internal function.
-autumn
--*- texinfo -*-
-@deftypefn {Function File} {} autumn (@var{n})
-Create color colormap. This colormap is red through orange to yellow.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-bone
--*- texinfo -*-
-@deftypefn {Function File} {} bone (@var{n})
-Create color colormap. This colormap is a gray colormap with a light 
-blue tone. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-brighten
--*- texinfo -*-
-@deftypefn {Function File} {@var{map_out} =} brighten (@var{map}, @var{beta})
-@deftypefnx {Function File} {@var{map_out} =} brighten (@var{h}, @var{beta})
-@deftypefnx {Function File} {@var{map_out} =} brighten (@var{beta})
-Darkens or brightens the given colormap. If the @var{map} argument 
-is omitted, the function is applied to the current colormap. The first
-argument can also be a valid graphics handle @var{h}, in which case 
-@code{brighten} is applied to the colormap associated with this handle.
+@table @code
+@item -nodeps
+The package manager will disable the dependency checking. That way it 
+is possible to install a package even if it depends on another package 
+that's not installed on the system. @strong{Use this option with care.}
 
-Should the resulting colormap @var{map_out} not be assigned, it will be
-written to the current colormap.
+@item -noauto
+The package manager will not automatically load the installed package 
+when starting Octave, even if the package requests that it is.
 
-The argument @var{beta} should be a scalar between -1 and 1,
-where a negative value darkens and a positive value brightens
-the colormap.
-@seealso{colormap}
-@end deftypefn
-colormap
--*- texinfo -*-
-@deftypefn {Function File} {} colormap (@var{map})
-@deftypefnx {Function File} {} colormap ("default")
-Set the current colormap.
+@item -auto
+The package manager will automatically load the installed package when 
+starting Octave, even if the package requests that it isn't.
 
-@code{colormap (@var{map})} sets the current colormap to @var{map}.  The
-color map should be an @var{n} row by 3 column matrix.  The columns
-contain red, green, and blue intensities respectively.  All entries
-should be between 0 and 1 inclusive.  The new colormap is returned.
+@item -local
+A local installation is forced, even if the user has system privileges.
 
-@code{colormap ("default")} restores the default colormap (the
-@code{jet} map with 64 entries).  The default colormap is returned.
+@item -global
+A global installation is forced, even if the user doesn't normally have
+system privileges
 
-With no arguments, @code{colormap} returns the current color map.
-@seealso{jet}
-@end deftypefn
-cool
--*- texinfo -*-
-@deftypefn {Function File} {} cool (@var{n})
-Create color colormap. The colormap is cyan to magenta. The argument 
-@var{n} should be a scalar.  If it is omitted, the length of the current
-colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-copper
--*- texinfo -*-
-@deftypefn {Function File} {} copper (@var{n})
-Create color colormap. This colormap is black to a light copper tone.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-flag
--*- texinfo -*-
-@deftypefn {Function File} {} flag (@var{n})
-Create color colormap. This colormap cycles through red, white, blue 
-and black. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-gmap40
--*- texinfo -*-
-@deftypefn {Function File} {} gmap40 (@var{n})
-Create a color colormap. The colormap is red, green, blue, yellow,
-magneta and cyan. These are the colors that are allowed with patch
-objects using gnuplot 4.0, and so this colormap function is specially
-designed for users of gnuplot 4.0.  The argument @var{n} should be 
-a scalar.  If it is omitted, a length of 6 is assumed. Larger values
-of @var{n} result in a repetition of the above colors
-@seealso{colormap}
-@end deftypefn
-gray
--*- texinfo -*-
-@deftypefn {Function File} {} gray (@var{n})
-Return a gray colormap with @var{n} entries corresponding to values from
-0 to @var{n}-1.  The argument @var{n} should be a scalar.  If it is
-omitted, the length of the current colormap or 64 is assumed.
-@end deftypefn
-gray2ind
--*- texinfo -*-
-@deftypefn {Function File} {[@var{img}, @var{map}] =} gray2ind (@var{})
-Convert a gray scale intensity image to an Octave indexed image.
-@end deftypefn
-hot
--*- texinfo -*-
-@deftypefn {Function File} {} hot (@var{n})
-Create color colormap. This colormap is black through dark red, red, 
-orange, yellow to white. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-hsv
--*- texinfo -*-
-@deftypefn {Function File} {} hsv (@var{n})
-Create color colormap. This colormap is red through yellow, green, cyan,
-blue, magenta to red. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-hsv2rgb
--*- texinfo -*-
-@deftypefn {Function File} {@var{rgb_map} =} hsv2rgb (@var{hsv_map})
-Transform a colormap from the hsv space to the rgb space. 
-@seealso{rgb2hsv}
-@end deftypefn
-image
--*- texinfo -*-
-@deftypefn {Function File} {} image (@var{img})
-@deftypefnx {Function File} {} image (@var{x}, @var{y}, @var{img})
-Display a matrix as a color image.  The elements of @var{x} are indices
-into the current colormap, and the colormap will be scaled so that the
-extremes of @var{x} are mapped to the extremes of teh colormap.
+@item -verbose
+The package manager will print the output of all of the commands that are 
+performed.
+@end table
 
-It first tries to use @code{gnuplot}, then @code{display} from 
-@code{ImageMagick}, then @code{xv}, and then @code{xloadimage}.
-The actual program used can be changed using the @code{image_viewer}
-function.
+@item uninstall
+Uninstall named packages.  For example,
+@example
+pkg uninstall image
+@end example
+@noindent
+removes the @code{image} package from the system. If another installed
+package depends on the @code{image} package an error will be issued.
+The package can be uninstalled anyway by using the @code{-nodeps} option.
+@item load
+Add named packages to the path. After loading a package it is
+possible to use the functions provided by the package. For example,
+@example
+pkg load image
+@end example
+@noindent
+adds the @code{image} package to the path. It is possible to load all
+installed packages at once with the command
+@example
+pkg load all
+@end example
+@item unload
+Removes named packages from the path. After unloading a package it is
+no longer possible to use the functions provided by the package.
+This command behaves like the @code{load} command.
+@item list
+Show a list of the currently installed packages. By requesting one or two
+output argument it is possible to get a list of the currently installed
+packages. For example,
+@example
+installed_packages = pkg list;
+@end example
+@noindent
+returns a cell array containing a structure for each installed package.
+The command
+@example
+[@var{user_packages}, @var{system_packages}] = pkg list
+@end example
+@noindent
+splits the list of installed packages into those who are installed by
+the current user, and those installed by the system administrator.
+@item describe
+Show a short description of the named installed packages, with the option
+'-verbose' also list functions provided by the package, e.g.:
+@example
+ pkg describe -verbose all
+@end example
+@noindent
+will describe all installed packages and the functions they provide.
+If one output is requested a cell of structure containing the
+description and list of functions of each package is returned as
+output rather than printed on screen:
+@example
+ desc = pkg ("describe", "secs1d", "image")
+@end example
+@noindent
+If any of the requested packages is not installed, pkg returns an
+error, unless a second output is requested:
+@example
+ [ desc, flag] = pkg ("describe", "secs1d", "image")
+@end example
+@noindent
+@var{flag} will take one of the values "Not installed", "Loaded" or
+"Not loaded" for each of the named packages.
+@item prefix
+Set the installation prefix directory. For example,
+@example
+pkg prefix ~/my_octave_packages
+@end example
+@noindent
+sets the installation prefix to @code{~/my_octave_packages}.
+Packages will be installed in this directory.
 
-The axis values corresponding to the matrix elements are specified in
-@var{x} and @var{y}. If you're not using gnuplot 4.2 or later, these
-variables are ignored.
-@seealso{imshow, imagesc, colormap, image_viewer}
-@end deftypefn
-image_viewer
--*- texinfo -*-
-@deftypefn {Function File} {[@var{fcn}, @var{default_zoom}] =} image_viewer (@var{fcn}, @var{default_zoom})
-Change the program or function used for viewing images and return the
-previous values.
+It is possible to get the current installation prefix by requesting an
+output argument.  For example,
+@example
+p = pkg prefix
+@end example
 
-When the @code{image} or @code{imshow} function is called it will
-launch an external program to display the image.  The default behaviour
-is to use gnuplot if the installed version supports image viewing,
-and otherwise try the programs @code{display}, @code{xv}, and
-@code{xloadimage}.  Using this function it is possible to change that
-behaviour.
+The location in which to install the architecture dependent files can be
+independent specified with an addition argument. For example
 
-When called with one input argument images will be displayed by saving
-the image to a file and the system command @var{command} will called
-to view the image.  The @var{command} must be a string containing
-@code{%s} and possibly @code{%f}. The @code{%s} will be replaced by
-the filename of the image, and the @code{%f} will (if present) be
-replaced by the zoom factor given to the @code{image} function.
-For example,
 @example
-image_viewer ("eog %s");
+pkg prefix ~/my_octave_packages ~/my_octave_packages_for_my_pc
 @end example
-changes the image viewer to the @code{eog} program.
-
-With two input arguments, images will be displayed by calling
-the function @var{function_handle}.  For example,
+@item local_list
+Set the file in which to look for information on the locally
+installed packages. Locally installed packages are those that are
+typically available only to the current user. For example
 @example
-image_viewer (data, @@my_image_viewer);
+pkg local_list ~/.octave_packages
 @end example
-sets the image viewer function to @code{my_image_viewer}.  The image
-viewer function is called with
+It is possible to get the current value of local_list with the following
 @example
-my_image_viewer (@var{x}, @var{y}, @var{im}, @var{zoom}, @var{data})
+pkg local_list
 @end example
-where @var{x} and @var{y} are the axis of the image, @var{im} is the image
-variable, and @var{data} is extra user-supplied data to be passed to
-the viewer function.
+@item global_list
+Set the file in which to look for, for information on the globally
+installed packages. Globally installed packages are those that are
+typically available to all users. For example
+@example
+pkg global_list /usr/share/octave/octave_packages
+@end example
+It is possible to get the current value of global_list with the following
+@example
+pkg global_list
+@end example
+@item rebuild
+Rebuilds the package database from the installed directories. This can 
+be used in cases where for some reason the package database is corrupted.
+It can also take the @code{-auto} and @code{-noauto} options to allow the
+autolaoding state of a package to be changed. For example
 
-With three input arguments it is possible to change the zooming.
-Some programs (like @code{xloadimage}) require the zoom factor to be
-between 0 and 100, and not 0 and 1 like Octave assumes. This is
-solved by setting the third argument to 100.
+@example
+pkg rebuild -noauto image
+@end example
 
-@seealso{image, imshow}
-@end deftypefn
-imagesc
--*- texinfo -*-
-@deftypefn {Function File} {} imagesc (@var{a})
-@deftypefnx {Function File} {} imagesc (@var{x}, @var{y}, @var{a})
-@deftypefnx {Function File} {} imagesc (@dots{}, @var{limits})
-@deftypefnx {Function File} {} imagesc (@var{h}, @dots{})
-@deftypefnx {Function File} { @var{h} = } imagesc (@dots{})
-Display a scaled version of the matrix @var{a} as a color image.  The
-colormap is scaled so that the entries of the matrix occupy the entire
-colormap.  If @var{limits} = [@var{lo}, @var{hi}] are given, then that
-range is set to the 'clim' of the current axes.
+will remove the autoloading status of the image package.
+@item build
+Builds a binary form of a package or packages. The binary file produced
+will itself be an Octave package that can be installed normally with
+@code{pkg}. The form of the command to build a binary package is
 
-The axis values corresponding to the matrix elements are specified in
-@var{x} and @var{y}, either as pairs giving the minimum and maximum
-values for the respective axes, or as values for each row and column
-of the matrix @var{a}.
+@example
+pkg build builddir image-1.0.0.tar.gz @dots{}
+@end example
 
-@seealso{image, imshow, clim, caxis}
+@noindent
+where @code{buiddir} is the name of a directory where the temporary
+installation will be produced and the binary packages will be found.
+The options @code{-verbose} and @code{-nodeps} are respected, while 
+the other options are ignored.
+@end table
 @end deftypefn
-imshow
+beep
 -*- texinfo -*-
-@deftypefn {Function File} {} imshow (@var{im})
-@deftypefnx {Function File} {} imshow (@var{im}, @var{limits})
-@deftypefnx {Function File} {} imshow (@var{im}, @var{map})
-@deftypefnx {Function File} {} imshow (@var{rgb}, @dots{})
-@deftypefnx {Function File} {} imshow (@var{filename})
-@deftypefnx {Function File} {} imshow (@dots{}, @var{string_param1}, @var{value1}, @dots{})
-Display the image @var{im}, where @var{im} can be a 2-dimensional
-(gray-scale image) or a 3-dimensional (RGB image) matrix.
+@deftypefn {Function File} {} beep ()
+Produce a beep from the speaker (or visual bell).
+@seealso{puts, fputs, printf, fprintf}
+@end deftypefn
+magic
+-*- texinfo -*-
+@deftypefn {Function File} {} magic (@var{n})
 
-If @var{limits} is a 2-element vector @code{[@var{low}, @var{high}]},
-the image is shown using a display range between @var{low} and
-@var{high}.  If an empty matrix is passed for @var{limits}, the
-display range is computed as the range between the minimal and the
-maximal value in the image.
+Create an @var{n}-by-@var{n} magic square. Note that @code{magic
+(@var{2})} is undefined since there is no 2-by-2 magic square.
 
-If @var{map} is a valid color map, the image will be shown as an indexed
-image using the supplied color map.
+@end deftypefn
+hankel
+-*- texinfo -*-
+@deftypefn {Function File} {} hankel (@var{c}, @var{r})
+Return the Hankel matrix constructed given the first column @var{c}, and
+(optionally) the last row @var{r}.  If the last element of @var{c} is
+not the same as the first element of @var{r}, the last element of
+@var{c} is used.  If the second argument is omitted, it is assumed to
+be a vector of zeros with the same size as @var{c}.
 
-If a file name is given instead of an image, the file will be read and
-shown.
+A Hankel matrix formed from an m-vector @var{c}, and an n-vector
+@var{r}, has the elements
+@iftex
+@tex
+$$
+H (i, j) = \cases{c_{i+j-1},&$i+j-1\le m$;\cr r_{i+j-m},&otherwise.\cr}
+$$
+@end tex
+@end iftex
+@ifinfo
 
-If given, the parameter @var{string_param1} has value
-@var{value1}. @var{string_param1} can be any of the following:
-@table @samp
-@item "displayrange"
-@var{value1} is the display range as described above.
-@end table
-@seealso{image, imagesc, colormap, gray2ind, rgb2ind}
+@example
+@group
+H(i,j) = c(i+j-1),  i+j-1 <= m;
+H(i,j) = r(i+j-m),  otherwise
+@end group
+@end example
+@end ifinfo
+@seealso{vander, sylvester_matrix, hilb, invhilb, toeplitz}
 @end deftypefn
-ind2gray
+hilb
 -*- texinfo -*-
-@deftypefn {Function File} {} ind2gray (@var{x}, @var{map})
-Convert an Octave indexed image to a gray scale intensity image.
-If @var{map} is omitted, the current colormap is used to determine the
-intensities.
-@seealso{gray2ind, rgb2ntsc, image, colormap}
-@end deftypefn
-ind2rgb
--*- texinfo -*-
-@deftypefn {Function File} {@var{rgb} =} ind2rgb (@var{x}, @var{map})
-@deftypefnx {Function File} {[@var{r}, @var{g}, @var{b}] =} ind2rgb (@var{x}, @var{map})
-Convert an indexed image to red, green, and blue color components.
-If the colormap doesn't contain enough colors, pad it with the
-last color in the map.
-If @var{map} is omitted, the current colormap is used for the conversion.
-@seealso{rgb2ind, image, imshow, ind2gray, gray2ind}
-@end deftypefn
-jet
--*- texinfo -*-
-@deftypefn {Function File} {} jet (@var{n})
-Create color colormap. This colormap is dark blue through blue, cyan, 
-green, yellow, red to dark red. The argument @var{n} should be a scalar. 
-If it is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-loadimage
--*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{map}] =} loadimage (@var{file})
-Load an image file and it's associated color map from the specified
-@var{file}.  The image must be stored in Octave's image format.
-@seealso{saveimage, load, save}
-@end deftypefn
-ntsc2rgb
--*- texinfo -*-
-@deftypefn {Function File} {} ntsc2rgb (@var{yiq})
-Image format conversion.
-@end deftypefn
-ocean
--*- texinfo -*-
-@deftypefn {Function File} {} ocean (@var{n})
-Create color colormap.  The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@end deftypefn
-pink
--*- texinfo -*-
-@deftypefn {Function File} {} pink (@var{n})
-Create color colormap. This colormap gives a sephia tone on black and
-white images. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-prism
--*- texinfo -*-
-@deftypefn {Function File} {} prism (@var{n})
-Create color colormap. This colormap cycles trough red, orange, yellow,
-green, blue and violet. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-rainbow
--*- texinfo -*-
-@deftypefn {Function File} {} rainbow (@var{n})
-Create color colormap. This colormap is red through orange, yellow, green, 
-blue to violet. The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-rgb2hsv
--*- texinfo -*-
-@deftypefn {Function File} {@var{hsv_map} =} rgb2hsv (@var{rgb_map})
-Transform a colormap from the rgb space to the hsv space.
-
-A color n the RGB space consists of the red, green and blue intensities.
-
-In the HSV space each color is represented by their hue, saturation
-and value (brightness).  Value gives the amount of light in the color.
-Hue describes the dominant wavelength. 
-Saturation is the amount of Hue mixed into the color.
-@seealso{hsv2rgb}
-@end deftypefn
-rgb2ind
--*- texinfo -*-
-@deftypefn  {Function File} {[@var{x}, @var{map}] =} rgb2ind (@var{rgb})
-@deftypefnx {Function File} {[@var{x}, @var{map}] =} rgb2ind (@var{r}, @var{g}, @var{b})
-Convert and RGB image to an Octave indexed image.
-@seealso{ind2rgb, rgb2ntsc}
-@end deftypefn
-rgb2ntsc
--*- texinfo -*-
-@deftypefn {Function File} {} rgb2ntsc (@var{rgb})
-Image format conversion.
-@end deftypefn
-saveimage
--*- texinfo -*-
-@deftypefn {Function File} {} saveimage (@var{file}, @var{x}, @var{fmt}, @var{map})
-Save the matrix @var{x} to @var{file} in image format @var{fmt}.  Valid
-values for @var{fmt} are
-
-@table @code
-@item "img"
-Octave's image format.  The current colormap is also saved in the file.
-
-@item "ppm"
-Portable pixmap format.
-
-@item "ps"
-PostScript format.  Note that images saved in PostScript format can not
-be read back into Octave with loadimage.
-@end table
-
-If the fourth argument is supplied, the specified colormap will also be
-saved along with the image.
-
-Note: if the colormap contains only two entries and these entries are
-black and white, the bitmap ppm and PostScript formats are used.  If the
-image is a gray scale image (the entries within each row of the colormap
-are equal) the gray scale ppm and PostScript image formats are used,
-otherwise the full color formats are used.
-@seealso{loadimage, save, load, colormap}
-@end deftypefn
-spring
--*- texinfo -*-
-@deftypefn {Function File} {} spring (@var{n})
-Create color colormap. This colormap is magenta to yellow.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-summer
--*- texinfo -*-
-@deftypefn {Function File} {} summer (@var{n})
-Create color colormap. This colormap is green to yellow.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-white
--*- texinfo -*-
-@deftypefn {Function File} {} white (@var{n})
-Create color colormap.  This colormap is completely white.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-winter
--*- texinfo -*-
-@deftypefn {Function File} {} winter (@var{n})
-Create color colormap. This colormap is blue to green.
-The argument @var{n} should be a scalar.  If it
-is omitted, the length of the current colormap or 64 is assumed.
-@seealso{colormap}
-@end deftypefn
-beep
--*- texinfo -*-
-@deftypefn {Function File} {} beep ()
-Produce a beep from the speaker (or visual bell).
-@seealso{puts, fputs, printf, fprintf}
-@end deftypefn
-__norm__
-Undocumented internal function.
-commutation_matrix
--*- texinfo -*-
-@deftypefn {Function File} {} commutation_matrix (@var{m}, @var{n})
-Return the commutation matrix
-@iftex
-@tex
- $K_{m,n}$
-@end tex
-@end iftex
-@ifinfo
- K(m,n)
-@end ifinfo
- which is the unique
-@iftex
-@tex
- $m n \times m n$
-@end tex
-@end iftex
-@ifinfo
-@var{m}*@var{n} by @var{m}*@var{n}
-@end ifinfo
- matrix such that
+@deftypefn {Function File} {} hilb (@var{n})
+Return the Hilbert matrix of order @var{n}.  The
 @iftex
 @tex
- $K_{m,n} \cdot {\rm vec} (A) = {\rm vec} (A^T)$
+$i,\,j$
 @end tex
 @end iftex
 @ifinfo
-@math{K(m,n) * vec(A) = vec(A')}
+i, j
 @end ifinfo
- for all
+element of a Hilbert matrix is defined as
 @iftex
 @tex
- $m\times n$
+$$
+H (i, j) = {1 \over (i + j - 1)}
+$$
 @end tex
 @end iftex
 @ifinfo
-@math{m} by @math{n}
+
+@example
+H (i, j) = 1 / (i + j - 1)
+@end example
 @end ifinfo
- matrices
+@seealso{hankel, vander, sylvester_matrix, invhilb, toeplitz}
+@end deftypefn
+pascal
+-*- texinfo -*-
+@deftypefn {Function File} {} pascal (@var{n}, @var{t})
+
+Return the Pascal matrix of order @var{n} if @code{@var{t} = 0}.
+@var{t} defaults to 0. Return lower triangular Cholesky factor of 
+the Pascal matrix if @code{@var{t} = 1}. This matrix is its own
+inverse, that is @code{pascal (@var{n}, 1) ^ 2 == eye (@var{n})}.
+If @code{@var{t} = 2}, return a transposed and  permuted version of
+@code{pascal (@var{n}, 1)}, which is the cube-root of the identity
+matrix. That is @code{pascal (@var{n}, 2) ^ 3 == eye (@var{n})}.
+
+@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
+          hadamard, wilkinson, compan, rosser}
+@end deftypefn
+vander
+-*- texinfo -*-
+@deftypefn {Function File} {} vander (@var{c})
+Return the Vandermonde matrix whose next to last column is @var{c}.
+
+A Vandermonde matrix has the form:
 @iftex
 @tex
- $A$.
+$$
+\left[\matrix{c_1^{n-1}  & \cdots & c_1^2  & c_1    & 1      \cr
+              c_2^{n-1}  & \cdots & c_2^2  & c_2    & 1      \cr
+              \vdots     & \ddots & \vdots & \vdots & \vdots \cr
+              c_n^{n-1}  & \cdots & c_n^2  & c_n    & 1      }\right]
+$$
 @end tex
 @end iftex
 @ifinfo
-@math{A}.
+
+@example
+@group
+c(1)^(n-1) ... c(1)^2  c(1)  1
+c(2)^(n-1) ... c(2)^2  c(2)  1
+    .     .      .      .    .
+    .       .    .      .    .
+    .         .  .      .    .
+c(n)^(n-1) ... c(n)^2  c(n)  1
+@end group
+@end example
 @end ifinfo
+@seealso{hankel, sylvester_matrix, hilb, invhilb, toeplitz}
+@end deftypefn
+wilkinson
+-*- texinfo -*-
+@deftypefn {Function File} {} wilkinson (@var{n})
 
-If only one argument @var{m} is given,
+Return the Wilkinson matrix of order @var{n}.
+
+@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
+          hadamard, rosser, compan, pascal}
+@end deftypefn
+sylvester_matrix
+-*- texinfo -*-
+@deftypefn {Function File} {} sylvester_matrix (@var{k})
+Return the Sylvester matrix of order
 @iftex
 @tex
- $K_{m,m}$
+$n = 2^k$.
 @end tex
 @end iftex
 @ifinfo
-@math{K(m,m)}
+n = 2^k.
 @end ifinfo
- is returned.
-
-See Magnus and Neudecker (1988), Matrix differential calculus with
-applications in statistics and econometrics.
+@seealso{hankel, vander, hilb, invhilb, toeplitz}
 @end deftypefn
-cond
+invhilb
 -*- texinfo -*-
-@deftypefn {Function File} {} cond (@var{a},@var{p})
-Compute the @var{p}-norm condition number of a matrix. @code{cond (@var{a})} is
-defined as @code{norm (@var{a}, @var{p}) * norm (inv (@var{a}), @var{p})}.
-By default @code{@var{p}=2} is used which implies a (relatively slow)
-singular value decomposition. Other possible selections are 
-@code{@var{p}= 1, Inf, inf, 'Inf', 'fro'} which are generally faster.
-@seealso{norm, inv, det, svd, rank}
+@deftypefn {Function File} {} invhilb (@var{n})
+Return the inverse of a Hilbert matrix of order @var{n}.  This can be 
+computed exactly using
+@tex
+$$\eqalign{
+  A_{ij} &= -1^{i+j} (i+j-1)
+             \left( \matrix{n+i-1 \cr n-j } \right)
+             \left( \matrix{n+j-1 \cr n-i } \right)
+             \left( \matrix{i+j-2 \cr i-2 } \right)^2 \cr
+         &= { p(i)p(j) \over (i+j-1) }
+}$$
+where
+$$
+  p(k) = -1^k \left( \matrix{ k+n-1 \cr k-1 } \right)
+              \left( \matrix{ n \cr k } \right)
+$$
+@end tex
+@ifinfo
+@example
+
+            (i+j)         /n+i-1\  /n+j-1\   /i+j-2\ 2
+ A(i,j) = -1      (i+j-1)(       )(       ) (       )
+                          \ n-j /  \ n-i /   \ i-2 /
+
+        = p(i) p(j) / (i+j-1)
+
+@end example
+where
+@example
+             k  /k+n-1\   /n\
+    p(k) = -1  (       ) (   )
+                \ k-1 /   \k/
+@end example
+@end ifinfo
+
+The validity of this formula can easily be checked by expanding 
+the binomial coefficients in both formulas as factorials.  It can 
+be derived more directly via the theory of Cauchy matrices: 
+see J. W. Demmel, Applied Numerical Linear Algebra, page 92.
+
+Compare this with the numerical calculation of @code{inverse (hilb (n))},
+which suffers from the ill-conditioning of the Hilbert matrix, and the
+finite precision of your computer's floating point arithmetic.
+@seealso{hankel, vander, sylvester_matrix, hilb, toeplitz}
 @end deftypefn
-condest
+hadamard
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{est}, @var{v}] =} condest (@var{a}, @var{t}) 
-@deftypefnx {Function File} {[@var{est}, @var{v}] =} condest (@var{a}, @var{solve}, @var{solve_t}, @var{t})
-@deftypefnx {Function File} {[@var{est}, @var{v}] =} condest (@var{apply}, @var{apply_t}, @var{solve}, @var{solve_t}, @var{n}, @var{t})
+@deftypefn {Function File} {} hadamard (@var{n})
+Construct a Hadamard matrix @var{Hn} of size @var{n}-by-@var{n}. The 
+size @var{n} must be of the form @code{2 ^ @var{k} * @var{p}} in which
+@var{p} is one of 1, 12, 20 or 28. The returned matrix is normalized,
+meaning @code{Hn(:,1) == 1} and @code{H(1,:) == 1}.
 
-Estimate the 1-norm condition number of a matrix matrix @var{A}
-using @var{t} test vectors using a randomized 1-norm estimator.
-If @var{t} exceeds 5, then only 5 test vectors are used.
+Some of the properties of Hadamard matrices are:
 
-If the matrix is not explicit, e.g. when  estimating the condition 
-number of @var{a} given an LU factorization, @code{condest} uses the 
-following functions:
+@itemize @bullet
+@item
+@code{kron (@var{Hm}, @var{Hn})} is a Hadamard matrix of size 
+@var{m}-by-@var{n}.
+@item
+@code{Hn * Hn' == @var{n} * eye (@var{n})}.
+@item
+The rows of @var{Hn} are orthogonal.
+@item
+@code{det (@var{A}) <= det (@var{Hn})} for all @var{A} with 
+@code{abs (@var{A} (@var{i}, @var{j})) <= 1}.
+@item
+Multiply any row or column by -1 and still have a Hadamard matrix.
+@end itemize
 
-@table @var
-@item apply
-@code{A*x} for a matrix @code{x} of size @var{n} by @var{t}.
-@item apply_t
-@code{A'*x} for a matrix @code{x} of size @var{n} by @var{t}.
-@item solve
-@code{A \ b} for a matrix @code{b} of size @var{n} by @var{t}.
-@item solve_t
-@code{A' \ b} for a matrix @code{b} of size @var{n} by @var{t}.
-@end table
+@end deftypefn
+rosser
+-*- texinfo -*-
+@deftypefn {Function File} {} rosser ()
 
-The implicit version requires an explicit dimension @var{n}.
+Returns the Rosser matrix. This is a difficult test case used to test
+eigenvalue algorithms.
 
-@code{condest} uses a randomized algorithm to approximate
-the 1-norms.
+@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
+          hadamard, wilkinson, compan, pascal}
+@end deftypefn
+toeplitz
+-*- texinfo -*-
+@deftypefn {Function File} {} toeplitz (@var{c}, @var{r})
+Return the Toeplitz matrix constructed given the first column @var{c},
+and (optionally) the first row @var{r}.  If the first element of @var{c}
+is not the same as the first element of @var{r}, the first element of
+@var{c} is used.  If the second argument is omitted, the first row is
+taken to be the same as the first column.
 
-@code{condest} returns the 1-norm condition estimate @var{est} and
-a vector @var{v} satisfying @code{norm (A*v, 1) == norm (A, 1) * norm
-(@var{v}, 1) / @var{est}}. When @var{est} is large, @var{v} is an
-approximate null vector.
+A square Toeplitz matrix has the form:
+@iftex
+@tex
+$$
+\left[\matrix{c_0    & r_1     & r_2      & \cdots & r_n\cr
+              c_1    & c_0     & r_1      & \cdots & r_{n-1}\cr
+              c_2    & c_1     & c_0      & \cdots & r_{n-2}\cr
+              \vdots & \vdots  & \vdots   & \ddots & \vdots\cr
+              c_n    & c_{n-1} & c_{n-2} & \ldots & c_0}\right]
+$$
+@end tex
+@end iftex
+@ifinfo
 
-References: 
-@itemize
-@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
-for Matrix 1-Norm Estimation, with an Application to 1-Norm
-Pseudospectra." SIMAX vol 21, no 4, pp 1185-1201.
-@url{http://dx.doi.org/10.1137/S0895479899356080}
-@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
-for Matrix 1-Norm Estimation, with an Application to 1-Norm
-Pseudospectra." @url{http://citeseer.ist.psu.edu/223007.html}
-@end itemize
+@example
+@group
+c(0)  r(1)   r(2)  ...  r(n)
+c(1)  c(0)   r(1)  ... r(n-1)
+c(2)  c(1)   c(0)  ... r(n-2)
+ .     ,      ,   .      .
+ .     ,      ,     .    .
+ .     ,      ,       .  .
+c(n) c(n-1) c(n-2) ...  c(0)
+@end group
+@end example
+@end ifinfo
+@seealso{hankel, vander, sylvester_matrix, hilb, invhilb}
+@end deftypefn
+logm
+-*- texinfo -*-
+@deftypefn {Function File} {} logm (@var{a})
+Compute the matrix logarithm of the square matrix @var{a}.  Note that
+this is currently implemented in terms of an eigenvalue expansion and
+needs to be improved to be more robust.
+@end deftypefn
+commutation_matrix
+-*- texinfo -*-
+@deftypefn {Function File} {} commutation_matrix (@var{m}, @var{n})
+Return the commutation matrix
+@iftex
+@tex
+ $K_{m,n}$
+@end tex
+@end iftex
+@ifinfo
+ K(m,n)
+@end ifinfo
+ which is the unique
+@iftex
+@tex
+ $m n \times m n$
+@end tex
+@end iftex
+@ifinfo
+@var{m}*@var{n} by @var{m}*@var{n}
+@end ifinfo
+ matrix such that
+@iftex
+@tex
+ $K_{m,n} \cdot {\rm vec} (A) = {\rm vec} (A^T)$
+@end tex
+@end iftex
+@ifinfo
+@math{K(m,n) * vec(A) = vec(A')}
+@end ifinfo
+ for all
+@iftex
+@tex
+ $m\times n$
+@end tex
+@end iftex
+@ifinfo
+@math{m} by @math{n}
+@end ifinfo
+ matrices
+@iftex
+@tex
+ $A$.
+@end tex
+@end iftex
+@ifinfo
+@math{A}.
+@end ifinfo
 
-@seealso{norm, cond, onenormest}
+If only one argument @var{m} is given,
+@iftex
+@tex
+ $K_{m,m}$
+@end tex
+@end iftex
+@ifinfo
+@math{K(m,m)}
+@end ifinfo
+ is returned.
+
+See Magnus and Neudecker (1988), Matrix differential calculus with
+applications in statistics and econometrics.
+@end deftypefn
+dot
+-*- texinfo -*-
+@deftypefn {Function File} {} dot (@var{x}, @var{y}, @var{dim})
+Computes the dot product of two vectors. If @var{x} and @var{y}
+are matrices, calculate the dot-product along the first 
+non-singleton dimension. If the optional argument @var{dim} is
+given, calculate the dot-product along this dimension.
 @end deftypefn
 cross
 -*- texinfo -*-
@@ -8002,13 +7254,15 @@ the dimension defined by @var{dim}.
 If @var{a} is a vector of length @code{rows (@var{b})}, return
 @code{diag (@var{a}) * @var{b}} (but computed much more efficiently).
 @end deftypefn
-dot
+cond
 -*- texinfo -*-
-@deftypefn {Function File} {} dot (@var{x}, @var{y}, @var{dim})
-Computes the dot product of two vectors. If @var{x} and @var{y}
-are matrices, calculate the dot-product along the first 
-non-singleton dimension. If the optional argument @var{dim} is
-given, calculate the dot-product along this dimension.
+@deftypefn {Function File} {} cond (@var{a},@var{p})
+Compute the @var{p}-norm condition number of a matrix. @code{cond (@var{a})} is
+defined as @code{norm (@var{a}, @var{p}) * norm (inv (@var{a}), @var{p})}.
+By default @code{@var{p}=2} is used which implies a (relatively slow)
+singular value decomposition. Other possible selections are 
+@code{@var{p}= 1, Inf, inf, 'Inf', 'fro'} which are generally faster.
+@seealso{norm, inv, det, svd, rank}
 @end deftypefn
 duplication_matrix
 -*- texinfo -*-
@@ -8062,11 +7316,46 @@ Return the duplication matrix
 See Magnus and Neudecker (1988), Matrix differential calculus with
 applications in statistics and econometrics.
 @end deftypefn
-housh
+onenormest
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{housv}, @var{beta}, @var{zer}] =} housh (@var{x}, @var{j}, @var{z})
-Compute Householder reflection vector @var{housv} to reflect @var{x}
-to be the jth column of identity, i.e.,
+@deftypefn {Function File} {[@var{est}, @var{v}, @var{w}, @var{iter}] =} onenormest (@var{a}, @var{t}) 
+@deftypefnx {Function File} {[@var{est}, @var{v}, @var{w}, @var{iter}] =} onenormest (@var{apply}, @var{apply_t}, @var{n}, @var{t})
+
+Apply Higham and Tisseur's randomized block 1-norm estimator to
+matrix @var{a} using @var{t} test vectors. If @var{t} exceeds 5, then
+only 5 test vectors are used.
+
+If the matrix is not explicit, e.g. when estimating the norm of 
+@code{inv (@var{A})} given an LU factorization, @code{onenormest} applies 
+@var{A} and its conjugate transpose through a pair of functions 
+@var{apply} and @var{apply_t}, respectively, to a dense matrix of size 
+@var{n} by @var{t}. The implicit version requires an explicit dimension 
+@var{n}.
+
+Returns the norm estimate @var{est}, two vectors @var{v} and
+@var{w} related by norm
+@code{(@var{w}, 1) = @var{est} * norm (@var{v}, 1)},
+and the number of iterations @var{iter}.  The number of
+iterations is limited to 10 and is at least 2.
+
+References: 
+@itemize
+@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
+for Matrix 1-Norm Estimation, with an Application to 1-Norm
+Pseudospectra." SIMAX vol 21, no 4, pp 1185-1201.
+@url{http://dx.doi.org/10.1137/S0895479899356080}
+@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
+for Matrix 1-Norm Estimation, with an Application to 1-Norm
+Pseudospectra." @url{http://citeseer.ist.psu.edu/223007.html}
+@end itemize
+
+@seealso{condest, norm, cond}
+@end deftypefn
+housh
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{housv}, @var{beta}, @var{zer}] =} housh (@var{x}, @var{j}, @var{z})
+Compute Householder reflection vector @var{housv} to reflect @var{x}
+to be the jth column of identity, i.e.,
 
 @example
 @group
@@ -8097,6 +7386,18 @@ If beta = 0, then no reflection need be 
 householder vector
 @end table
 @end deftypefn
+rref
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{r}, @var{k}] =} rref (@var{a}, @var{tol})
+
+Returns the reduced row echelon form of @var{a}. @var{tol} defaults
+to @code{eps * max (size (@var{a})) * norm (@var{a}, inf)}.
+
+Called with two return arguments, @var{k} returns the vector of
+"bound variables", which are those columns on which elimination 
+has been performed.
+
+@end deftypefn
 krylov
 -*- texinfo -*-
 @deftypefn {Function File} {[@var{u}, @var{h}, @var{nu}] =} krylov (@var{a}, @var{v}, @var{k}, @var{eps1}, @var{pflg})
@@ -8135,79 +7436,6 @@ Reference: Hodel and Misra, "Partial Piv
 Krylov Subspaces", to be submitted to Linear Algebra and its
 Applications
 @end deftypefn
-krylovb
--*- texinfo -*-
-@deftypefn {Function File} {[@var{u}, @var{ucols}] =} krylovb (@var{a}, @var{v}, @var{k}, @var{eps1}, @var{pflg})
-See @code{krylov}.
-@end deftypefn
-logm
--*- texinfo -*-
-@deftypefn {Function File} {} logm (@var{a})
-Compute the matrix logarithm of the square matrix @var{a}.  Note that
-this is currently implemented in terms of an eigenvalue expansion and
-needs to be improved to be more robust.
-@end deftypefn
-null
--*- texinfo -*-
-@deftypefn {Function File} {} null (@var{a}, @var{tol})
-Return an orthonormal basis of the null space of @var{a}.
-
-The dimension of the null space is taken as the number of singular
-values of @var{a} not greater than @var{tol}.  If the argument @var{tol}
-is missing, it is computed as
-
-@example
-max (size (@var{a})) * max (svd (@var{a})) * eps
-@end example
-@end deftypefn
-onenormest
--*- texinfo -*-
-@deftypefn {Function File} {[@var{est}, @var{v}, @var{w}, @var{iter}] =} onenormest (@var{a}, @var{t}) 
-@deftypefnx {Function File} {[@var{est}, @var{v}, @var{w}, @var{iter}] =} onenormest (@var{apply}, @var{apply_t}, @var{n}, @var{t})
-
-Apply Higham and Tisseur's randomized block 1-norm estimator to
-matrix @var{a} using @var{t} test vectors. If @var{t} exceeds 5, then
-only 5 test vectors are used.
-
-If the matrix is not explicit, e.g. when estimating the norm of 
-@code{inv (@var{A})} given an LU factorization, @code{onenormest} applies 
-@var{A} and its conjugate transpose through a pair of functions 
-@var{apply} and @var{apply_t}, respectively, to a dense matrix of size 
-@var{n} by @var{t}. The implicit version requires an explicit dimension 
-@var{n}.
-
-Returns the norm estimate @var{est}, two vectors @var{v} and
-@var{w} related by norm
-@code{(@var{w}, 1) = @var{est} * norm (@var{v}, 1)},
-and the number of iterations @var{iter}.  The number of
-iterations is limited to 10 and is at least 2.
-
-References: 
-@itemize
-@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
-for Matrix 1-Norm Estimation, with an Application to 1-Norm
-Pseudospectra." SIMAX vol 21, no 4, pp 1185-1201.
-@url{http://dx.doi.org/10.1137/S0895479899356080}
-@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
-for Matrix 1-Norm Estimation, with an Application to 1-Norm
-Pseudospectra." @url{http://citeseer.ist.psu.edu/223007.html}
-@end itemize
-
-@seealso{condest, norm, cond}
-@end deftypefn
-orth
--*- texinfo -*-
-@deftypefn {Function File} {} orth (@var{a}, @var{tol})
-Return an orthonormal basis of the range space of @var{a}.
-
-The dimension of the range space is taken as the number of singular
-values of @var{a} greater than @var{tol}.  If the argument @var{tol} is
-missing, it is computed as
-
-@example
-max (size (@var{a})) * max (svd (@var{a})) * eps
-@end example
-@end deftypefn
 qzhess
 -*- texinfo -*-
 @deftypefn {Function File} {[@var{aa}, @var{bb}, @var{q}, @var{z}] =} qzhess (@var{a}, @var{b})
@@ -8233,6 +7461,66 @@ Moler and Stewart's QZ decomposition alg
 Algorithm taken from Golub and Van Loan, @cite{Matrix Computations, 2nd
 edition}.
 @end deftypefn
+vech
+-*- texinfo -*-
+@deftypefn {Function File} {} vech (@var{x})
+Return the vector obtained by eliminating all supradiagonal elements of
+the square matrix @var{x} and stacking the result one column above the
+other.
+@end deftypefn
+krylovb
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{u}, @var{ucols}] =} krylovb (@var{a}, @var{v}, @var{k}, @var{eps1}, @var{pflg})
+See @code{krylov}.
+@end deftypefn
+condest
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{est}, @var{v}] =} condest (@var{a}, @var{t}) 
+@deftypefnx {Function File} {[@var{est}, @var{v}] =} condest (@var{a}, @var{solve}, @var{solve_t}, @var{t})
+@deftypefnx {Function File} {[@var{est}, @var{v}] =} condest (@var{apply}, @var{apply_t}, @var{solve}, @var{solve_t}, @var{n}, @var{t})
+
+Estimate the 1-norm condition number of a matrix matrix @var{A}
+using @var{t} test vectors using a randomized 1-norm estimator.
+If @var{t} exceeds 5, then only 5 test vectors are used.
+
+If the matrix is not explicit, e.g. when  estimating the condition 
+number of @var{a} given an LU factorization, @code{condest} uses the 
+following functions:
+
+@table @var
+@item apply
+@code{A*x} for a matrix @code{x} of size @var{n} by @var{t}.
+@item apply_t
+@code{A'*x} for a matrix @code{x} of size @var{n} by @var{t}.
+@item solve
+@code{A \ b} for a matrix @code{b} of size @var{n} by @var{t}.
+@item solve_t
+@code{A' \ b} for a matrix @code{b} of size @var{n} by @var{t}.
+@end table
+
+The implicit version requires an explicit dimension @var{n}.
+
+@code{condest} uses a randomized algorithm to approximate
+the 1-norms.
+
+@code{condest} returns the 1-norm condition estimate @var{est} and
+a vector @var{v} satisfying @code{norm (A*v, 1) == norm (A, 1) * norm
+(@var{v}, 1) / @var{est}}. When @var{est} is large, @var{v} is an
+approximate null vector.
+
+References: 
+@itemize
+@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
+for Matrix 1-Norm Estimation, with an Application to 1-Norm
+Pseudospectra." SIMAX vol 21, no 4, pp 1185-1201.
+@url{http://dx.doi.org/10.1137/S0895479899356080}
+@item Nicholas J. Higham and Françoise Tisseur, "A Block Algorithm
+for Matrix 1-Norm Estimation, with an Application to 1-Norm
+Pseudospectra." @url{http://citeseer.ist.psu.edu/223007.html}
+@end itemize
+
+@seealso{norm, cond, onenormest}
+@end deftypefn
 rank
 -*- texinfo -*-
 @deftypefn {Function File} {} rank (@var{a}, @var{tol})
@@ -8249,22 +7537,36 @@ tol = max (size (@var{a})) * sigma(1) * 
 where @code{eps} is machine precision and @code{sigma(1)} is the largest
 singular value of @var{a}.
 @end deftypefn
-rref
+trace
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{r}, @var{k}] =} rref (@var{a}, @var{tol})
-
-Returns the reduced row echelon form of @var{a}. @var{tol} defaults
-to @code{eps * max (size (@var{a})) * norm (@var{a}, inf)}.
+@deftypefn {Function File} {} trace (@var{a})
+Compute the trace of @var{a}, @code{sum (diag (@var{a}))}.
+@end deftypefn
+null
+-*- texinfo -*-
+@deftypefn {Function File} {} null (@var{a}, @var{tol})
+Return an orthonormal basis of the null space of @var{a}.
 
-Called with two return arguments, @var{k} returns the vector of
-"bound variables", which are those columns on which elimination 
-has been performed.
+The dimension of the null space is taken as the number of singular
+values of @var{a} not greater than @var{tol}.  If the argument @var{tol}
+is missing, it is computed as
 
+@example
+max (size (@var{a})) * max (svd (@var{a})) * eps
+@end example
 @end deftypefn
-trace
+orth
 -*- texinfo -*-
-@deftypefn {Function File} {} trace (@var{a})
-Compute the trace of @var{a}, @code{sum (diag (@var{a}))}.
+@deftypefn {Function File} {} orth (@var{a}, @var{tol})
+Return an orthonormal basis of the range space of @var{a}.
+
+The dimension of the range space is taken as the number of singular
+values of @var{a} greater than @var{tol}.  If the argument @var{tol} is
+missing, it is computed as
+
+@example
+max (size (@var{a})) * max (svd (@var{a})) * eps
+@end example
 @end deftypefn
 vec
 -*- texinfo -*-
@@ -8272,9682 +7574,10679 @@ Compute the trace of @var{a}, @code{sum 
 Return the vector obtained by stacking the columns of the matrix @var{x}
 one above the other.
 @end deftypefn
-vech
--*- texinfo -*-
-@deftypefn {Function File} {} vech (@var{x})
-Return the vector obtained by eliminating all supradiagonal elements of
-the square matrix @var{x} and stacking the result one column above the
-other.
-@end deftypefn
-ans
+__norm__
+Undocumented internal function.
+findstr
 -*- texinfo -*-
-@defvr {Automatic Variable} ans
-The most recently computed result that was not
-explicitly assigned to a variable.  For example, after the expression
+@deftypefn {Function File} {} findstr (@var{s}, @var{t}, @var{overlap})
+Return the vector of all positions in the longer of the two strings
+@var{s} and @var{t} where an occurrence of the shorter of the two starts.
+If the optional argument @var{overlap} is nonzero, the returned vector
+can include overlapping positions (this is the default).  For example,
 
 @example
-3^2 + 4^2
+findstr ("ababab", "a")
+@result{} [ 1, 3, 5 ]
+findstr ("abababa", "aba", 0)
+@result{} [ 1, 5 ]
 @end example
-
-@noindent
-is evaluated, the value returned by @code{ans} is 25.
-@end defvr
-bincoeff
+@end deftypefn
+strtrunc
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} bincoeff (@var{n}, @var{k})
-Return the binomial coefficient of @var{n} and @var{k}, defined as
-@iftex
-@tex
-$$
- {n \choose k} = {n (n-1) (n-2) \cdots (n-k+1) \over k!}
-$$
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {} strtrunc (@var{s}, @var{n})
+Truncate the character string @var{s} to length @var{n}. If @var{s}
+is a char matrix, then the number of columns are adjusted.
+
+If @var{s} is a cell array of strings, then the operation is performed
+on its members and the new cell array is returned.
+@end deftypefn
+bin2dec
+-*- texinfo -*-
+@deftypefn {Function File} {} bin2dec (@var{s})
+Return the decimal number corresponding to the binary number stored
+in the string @var{s}.  For example,
 
 @example
-@group
- /   \
- | n |    n (n-1) (n-2) ... (n-k+1)
- |   |  = -------------------------
- | k |               k!
- \   /
-@end group
+bin2dec ("1110")
+@result{} 14
 @end example
-@end ifinfo
 
-For example,
+If @var{s} is a string matrix, returns a column vector of converted
+numbers, one per row of @var{s}.  Invalid rows evaluate to NaN.
+@seealso{dec2hex, base2dec, dec2base, hex2dec, dec2bin}
+@end deftypefn
+strcmpi
+-*- texinfo -*-
+@deftypefn {Function File} {} strcmpi (@var{s1}, @var{s2})
+Ignoring case, return 1 if the character strings @var{s1} and @var{s2}
+are the same, and 0 otherwise.
 
-@example
-@group
-bincoeff (5, 2)
-@result{} 10
-@end group
-@end example
+If either @var{s1} or @var{s2} is a cell array of strings, then an array
+of the same size is returned, containing the values described above for
+every member of the cell array. The other argument may also be a cell
+array of strings (of the same size or with only one element), char matrix
+or character string.
+
+@strong{Caution:} For compatibility with @sc{Matlab}, Octave's strcmpi
+function returns 1 if the character strings are equal, and 0 otherwise.
+This is just the opposite of the corresponding C library function.
+@seealso{strcmp, strncmp, strncmpi}
 @end deftypefn
-bug_report
+isletter
 -*- texinfo -*-
-@deftypefn {Function File} {} bug_report ()
-Have Octave create a bug report template file, invoke your favorite
-editor, and submit the report to the bug-octave mailing list when
-you are finished editing.
+@deftypefn {Function File} {} isletter (@var{s})
+Returns true if @var{s} is a letter false otherwise.
+@seealso{isalpha}
 @end deftypefn
-bunzip2
+strvcat
 -*- texinfo -*-
-@deftypefn {Function File} {} bunzip2 (@var{bzfile}, @var{dir})
-Unpack the bzip2 archive @var{bzfile} to the directory @var{dir}. If
-@var{dir} is not specified, it defaults to the current directory.
-@seealso{unpack, bzip2, tar, untar, gzip, gunzip, zip, unzip}
+@deftypefn {Function File} {} strvcat (@var{s_1}, @dots{}, @var{s_n})
+Return a matrix containing the strings (and cell-strings) 
+@var{s_1}, @dots{}, @var{s_n} as
+its rows.  Each string is padded with blanks in order to form a valid
+matrix.  Unlike @var{str2mat}, empty strings are ignored.
+@seealso{strcat, str2mat}
 @end deftypefn
-cast
+str2mat
 -*- texinfo -*-
-@deftypefn {Function File} {} cast (@var{val}, @var{type})
-Convert @var{val} to data type @var{type}.
-@seealso{int8, uint8, int16, uint16, int32, uint32, int64, uint64, double}
+@deftypefn {Function File} {} str2mat (@var{s_1}, @dots{}, @var{s_n})
+Return a matrix containing the strings @var{s_1}, @dots{}, @var{s_n} as
+its rows.  Each string is padded with blanks in order to form a valid
+matrix.
+
+This function is modelled after @sc{Matlab}.  In Octave, you can create
+a matrix of strings by @code{[@var{s_1}; @dots{}; @var{s_n}]} even if
+the strings are not all the same length.
 @end deftypefn
-comma
+upper
 -*- texinfo -*-
-@deffn {Operator} ,
-Array index, function argument, or command separator.
-@seealso{semicolon}
-@end deffn
-compare_versions
+@deftypefn {Function File} {} upper (@var{s})
+Transform all letters in the character string (or cell array of
+character strings) @var{s} to upper case.
+@seealso{lower, tolower, toupper}
+@end deftypefn
+mat2str
 -*- texinfo -*-
-@deftypefn {Function File} {} compare_versions (@var{v1}, @var{v2}, @var{operator})
-Compares to version strings using the given @var{operator}.
+@deftypefn {Function File} {@var{s} =} mat2str (@var{x}, @var{n})
+@deftypefnx {Function File} {@var{s} =} mat2str (@dots{}, 'class')
 
-This function assumes that versions @var{v1} and @var{v2} are
-arbitrarily long strings made of numeric and period characters
-possibly followed by an arbitrary string (e.g. "1.2.3", "0.3",
-"0.1.2+", or "1.2.3.4-test1").
+Format real/complex numerical matrices as strings. This function
+returns values that are suitable for the use of the @code{eval}
+function.
 
-The version is first split into the numeric and the character parts
-then the parts are padded to be the same length (i.e. "1.1" would be
-padded to be like "1.1.0" when being compared with "1.1.1", and
-separately, the character parts of the strings are padded with
-nulls).
+The precision of the values is given by @var{n}. If @var{n} is a
+scalar then both real and imaginary parts of the matrix are printed
+to the same precision. Otherwise @code{@var{n} (1)} defines the
+precision of the real part and @code{@var{n} (2)} defines the
+precision of the imaginary part. The default for @var{n} is 17.
 
-The operator can be any logical operator from the set
+If the argument 'class' is given, then the class of @var{x} is
+included in the string in such a way that the eval will result in the
+construction of a matrix of the same class.
 
-@itemize @bullet
-@item
-"=="
-equal
-@item
-"<"
-less than
-@item
-"<="
-less than or equal to
-@item
-">"
-greater than
-@item
-">="
-greater than or equal to
-@item
-"!="
-not equal
-@item
-"~="
-not equal
-@end itemize
+@example
+@group
+   mat2str( [ -1/3 + i/7; 1/3 - i/7 ], [4 2] )
+@result{} '[-0.3333+0.14i;0.3333-0.14i]'
+   mat2str( [ -1/3 +i/7; 1/3 -i/7 ], [4 2] )
+@result{} '[-0.3333+0i,0+0.14i;0.3333+0i,-0-0.14i]'
+   mat2str( int16([1 -1]), 'class')
+@result{} 'int16([1,-1])'
+@end group
+@end example
 
-Note that version "1.1-test2" would compare as greater than
-"1.1-test10". Also, since the numeric part is compared first, "a"
-compares less than "1a" because the second string starts with a
-numeric part even though double("a") is greater than double("1").
+@seealso{sprintf, int2str}
 @end deftypefn
-computer
+base2dec
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{c}, @var{maxsize}, @var{endian}] =} computer ()
-Print or return a string of the form @var{cpu}-@var{vendor}-@var{os}
-that identifies the kind of computer Octave is running on.  If invoked
-with an output argument, the value is returned instead of printed.  For
-example,
+@deftypefn {Function File} {} base2dec (@var{s}, @var{b})
+Convert @var{s} from a string of digits of base @var{b} into an
+integer.
 
 @example
-@group
-computer ()
-@print{} i586-pc-linux-gnu
-
-x = computer ()
-@result{} x = "i586-pc-linux-gnu"
-@end group
+base2dec ("11120", 3)
+@result{} 123
 @end example
 
-If two output arguments are requested, also return the maximum number
-of elements for an array.
+If @var{s} is a matrix, returns a column vector with one value per
+row of @var{s}.  If a row contains invalid symbols then the
+corresponding value will be NaN.  Rows are right-justified before
+converting so that trailing spaces are ignored.
 
-If three output arguments are requested, also return the byte order
-of the current system as a character (@code{"B"} for big-endian or
-@code{"L"} for little-endian).
+If @var{b} is a string, the characters of @var{b} are used as the
+symbols for the digits of @var{s}. Space (' ') may not be used as a
+symbol.
+
+@example
+base2dec ("yyyzx", "xyz")
+@result{} 123
+@end example
+@seealso{dec2base, dec2bin, bin2dec, hex2dec, dec2hex}
 @end deftypefn
-copyfile
+strmatch
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} copyfile (@var{f1}, @var{f2}, @var{force})
-Copy the file @var{f1} to the new name @var{f2}.  The name @var{f1}
-may contain globbing patterns.  If @var{f1} expands to multiple file
-names, @var{f2} must be a directory. If @var{force} is given and equals
-the string "f" the copy operation will be forced.
+@deftypefn {Function File} {} strmatch (@var{s}, @var{a}, "exact")
+Return indices of entries of @var{a} that match the string @var{s}.
+The second argument @var{a} may be a string matrix or a cell array of
+strings.  If the third argument @code{"exact"} is not given, then
+@var{s} only needs to match @var{a} up to the length of @var{s}.  Nul
+characters match blanks.  Results are returned as a column vector.
+@end deftypefn
+strncmpi
+-*- texinfo -*-
+@deftypefn {Function File} {} strncmpi (@var{s1}, @var{s2}, @var{n})
+Ignoring case, return 1 if the first @var{n} characters of character
+strings @var{s1} and @var{s2} are the same, and 0 otherwise.
 
-If successful, @var{status} is 1, with @var{msg} and @var{msgid} empty\n\
-character strings.  Otherwise, @var{status} is 0, @var{msg} contains a\n\
-system-dependent error message, and @var{msgid} contains a unique\n\
-message identifier.\n\
-@seealso{glob, movefile}
+If either @var{s1} or @var{s2} is a cell array of strings, then an array
+of the same size is returned, containing the values described above for
+every member of the cell array. The other argument may also be a cell
+array of strings (of the same size or with only one element), char matrix
+or character string.
+
+@strong{Caution:} For compatibility with @sc{Matlab}, Octave's strncmpi
+function returns 1 if the character strings are equal, and 0 otherwise.
+This is just the opposite of the corresponding C library function.
+@seealso{strcmp, strcmpi, strncmp}
 @end deftypefn
-delete
+strfind
 -*- texinfo -*-
-@deftypefn {Function File} {} delete (@var{file})
-@deftypefnx {Function File} {} delete (@var{h})
-Delete the named file or figure handle.
+@deftypefn {Function File} {@var{idx} =} strfind (@var{str}, @var{pattern})
+@deftypefnx {Function File} {@var{idx} =} strfind (@var{cellstr}, @var{pattern})
+Search for @var{pattern} in the string @var{str} and return the
+starting index of every such occurrence in the vector @var{idx}.
+If there is no such occurrence, or if @var{pattern} is longer
+than @var{str}, then @var{idx} is the empty array @code{[]}.
+
+If the cell array of strings @var{cellstr} is specified instead of the
+string @var{str}, then @var{idx} is a cell array of vectors, as specified
+above.
+@seealso{findstr, strmatch, strcmp, strncmp, strcmpi, strncmpi}
 @end deftypefn
-dir
+strtok
 -*- texinfo -*-
-@deftypefn {Function File} {} dir (@var{directory})
-@deftypefnx {Function File} {[@var{list}] =} dir (@var{directory})
-Display file listing for directory @var{directory}.  If a return
-value is requested, return a structure array with the fields
+@deftypefn {Function File} {[@var{tok}, @var{rem}] =} strtok (@var{str}, @var{delim})
+
+Find all characters up to but not including the first character which
+is in the string delim.  If @var{rem} is requested, it contains the
+remainder of the string, starting at the first deliminator. Leading
+delimiters are ignored.  If @var{delim} is not specified, space is assumed.
+
+@end deftypefn
+strrep
+-*- texinfo -*-
+@deftypefn {Function File} {} strrep (@var{s}, @var{x}, @var{y})
+Replaces all occurrences of the substring @var{x} of the string @var{s}
+with the string @var{y} and returns the result.  For example,
 
 @example
-@group
-name
-bytes
-date
-isdir
-statinfo
-@end group
+strrep ("This is a test string", "is", "&%$")
+@result{} "Th&%$ &%$ a test string"
 @end example
+@end deftypefn
+dec2base
+-*- texinfo -*-
+@deftypefn {Function File} {} dec2base (@var{n}, @var{b}, @var{len})
+Return a string of symbols in base @var{b} corresponding to
+the nonnegative integer @var{n}.
 
-@noindent
-in which @code{statinfo} is the structure returned from @code{stat}.
+@example
+dec2base (123, 3)
+@result{} "11120"
+@end example
 
-If @var{directory} is not a directory, return information about the
-named @var{filename}.  @var{directory} may be a list of directories
-specified either by name or with wildcard characters (like * and ?)
-which will be expanded with glob.
+If @var{n} is a vector, return a string matrix with one row per value,
+padded with leading zeros to the width of the largest value.
 
-Note that for symbolic links, @code{dir} returns information about
-the file that a symbolic link points to instead of the link itself.
-However, if the link points to a nonexistent file, @code{dir} returns
-information about the link.
-@seealso{ls, stat, lstat, readdir, glob, filesep}
-@end deftypefn
-doc
--*- texinfo -*-
-@deftypefn {Command} doc @var{function_name}
-Display documentation for the function @var{function_name}
-directly from an on-line version of
-the printed manual, using the GNU Info browser.  If invoked without
-any arguments, the manual is shown from the beginning.
+If @var{b} is a string then the characters of @var{b} are used as
+the symbols for the digits of @var{n}.  Space (' ') may not be used
+as a symbol.
 
-For example, the command @kbd{doc rand} starts the GNU Info browser
-at this node in the on-line version of the manual.
+@example
+dec2base (123, "aei")
+@result{} "eeeia"
+@end example
 
-Once the GNU Info browser is running, help for using it is available
-using the command @kbd{C-h}.
-@seealso{help}
-@end deftypefn
-dos
--*- texinfo -*-
-@deftypefn {Function File} {[@var{status}, @var{text}] =} dos (@var{command})
-@deftypefnx {Function File} {[@var{status}, @var{text}] =} dos (@var{command}, "-echo")
-Execute a system command if running under a Windows-like operating
-system, otherwise do nothing.  Return the exit status of the program
-in @var{status} and any output sent to the standard output in
-@var{text}.  If the optional second argument @code{"-echo"} is given,
-then also send the output from the command to the standard output.
-@seealso{unix, isunix, ispc, system}
+The optional third argument, @var{len}, specifies the minimum
+number of digits in the result.
+@seealso{base2dec, dec2bin, bin2dec, hex2dec, dec2hex}
 @end deftypefn
-dump_prefs
+dec2hex
 -*- texinfo -*-
-@deftypefn {Function File} {} dump_prefs (@var{file})
-Have Octave dump all the current user preference variables to
-@var{file} in a format that can be parsed by Octave later.  If
-@var{file} is omitted, the listing is printed to stdout.
+@deftypefn {Function File} {} dec2hex (@var{n}, @var{len})
+Return the hexadecimal string corresponding to the nonnegative 
+integer @var{n}.  For example,
+
+@example
+dec2hex (2748)
+@result{} "ABC"
+@end example
+
+If @var{n} is a vector, returns a string matrix, one row per value,
+padded with leading zeros to the width of the largest value.
+
+The optional second argument, @var{len}, specifies the minimum
+number of digits in the result.
+@seealso{hex2dec, dec2base, base2dec, bin2dec, dec2bin}
 @end deftypefn
-edit
+str2double
 -*- texinfo -*-
-@deftypefn {Command} edit @var{name}
-@deftypefnx {Command} edit @var{field} @var{value}
-@deftypefnx {Command} @var{value} = edit get @var{field}
-Edit the named function, or change editor settings.
+@deftypefn {Function File} {[@var{num}, @var{status}, @var{strarray}] =} str2double (@var{str}, @var{cdelim}, @var{rdelim}, @var{ddelim})
+Convert strings into numeric values.
 
-If @code{edit} is called with the name of a file or function as
-its argument it will be opened in a text editor.
+@code{str2double} can replace @code{str2num}, but avoids the use of
+@code{eval} on unknown data.
 
-@itemize @bullet
-@item
-If the function @var{name} is available in a file on your path and
-that file is modifiable, then it will be edited in place.  If it 
-is a system function, then it will first be copied to the directory
-@code{HOME} (see further down) and then edited.  
+@var{str} can be the form @samp{[+-]d[.]dd[[eE][+-]ddd]} in which
+@samp{d} can be any of digit from 0 to 9, and @samp{[]} indicate
+optional elements.
 
-@item
-If @var{name} is the name of a function defined in the interpreter but 
-not in an m-file, then an m-file will be created in @code{HOME}
-to contain that function along with its current definition.  
+@var{num} is the corresponding numeric value.  If the conversion
+fails, status is -1 and @var{num} is NaN.
 
-@item
-If @code{name.cc} is specified, then it will search for @code{name.cc}
-in the path and try to modify it, otherwise it will create a new
-@file{.cc} file in @code{HOME}.  If @var{name} happens to be an
-m-file or interpreter defined function, then the text of that
-function will be inserted into the .cc file as a comment.
+@var{status} is 0 if the conversion was successful and -1 otherwise.
 
-@item
-If @var{name.ext} is on your path then it will be editted, otherwise
-the editor will be started with @file{HOME/name.ext} as the
-filename.  If @file{name.ext} is not modifiable, it will be copied to
-@code{HOME} before editing.
+@var{strarray} is a cell array of strings.
 
-@strong{WARNING!} You may need to clear name before the new definition
-is available.  If you are editing a .cc file, you will need
-to mkoctfile @file{name.cc} before the definition will be available.
-@end itemize
+Elements which are not defined or not valid return NaN and the
+@var{status} becomes -1.
 
-If @code{edit} is called with @var{field} and @var{value} variables,
-the value of the control field @var{field} will be @var{value}.
-If an output argument is requested and the first argument is @code{get}
-then @code{edit} will return the value of the control field @var{field}.
-The following control fields are used:
+If @var{str} is a character array or a cell array of strings, then
+@var{num} and @var{status} return matrices of appropriate size. 
 
-@table @samp
-@item editor
-This is the editor to use to modify the functions.  By default it uses
-Octave's @code{EDITOR} built-in function, which comes from 
-@code{getenv("EDITOR")} and defaults to @code{emacs}.  Use @code{%s}
-In place of the function name.  For example,
-@table @samp
-@item [EDITOR, " %s"]
-Use the editor which Octave uses for @code{bug_report}.
-@item "xedit %s &"           
-pop up simple X11 editor in a separate window
-@item "gnudoit -q \"(find-file \\\"%s\\\")\""   
-Send it to current Emacs; must have @code{(gnuserv-start)} in @file{.emacs}.
-@end table
+@var{str} can also contain multiple elements separated by row and
+column delimiters (@var{cdelim} and @var{rdelim}).
 
-On cygwin, you will need to convert the cygwin path to a windows
-path if you are using a native Windows editor.  For example
-@example
-'"C:/Program Files/Good Editor/Editor.exe" "$(cygpath -wa %s)"'
-@end example
+The parameters @var{cdelim}, @var{rdelim}, and @var{ddelim} are
+optional column, row, and decimal delimiters.
 
-@item home
-This is the location of user local m-files. Be be sure it is in your
-path. The default is @file{~/octave}.
+The default row-delimiters are newline, carriage return and semicolon
+(ASCII 10, 13 and 59).  The default column-delimiters are tab, space
+and comma (ASCII 9, 32, and 44).  The default decimal delimiter is
+@samp{.} (ASCII 46).
 
-@item author
-This is the name to put after the "## Author:" field of new functions.
-By default it guesses from the @code{gecos} field of password database.
+@var{cdelim}, @var{rdelim}, and @var{ddelim} must contain only nul,
+newline, carriage return, semicolon, colon, slash, tab, space, comma,
+or @samp{()[]@{@}} (ASCII 0, 9, 10, 11, 12, 13, 14, 32, 33, 34, 40,
+41, 44, 47, 58, 59, 91, 93, 123, 124, 125).
 
-@item email
-This is the e-mail address to list after the name in the author field.
-By default it guesses @code{<$LOGNAME@@$HOSTNAME>}, and if @code{$HOSTNAME}
-is not defined it uses @code{uname -n}.  You probably want to override this.
-Be sure to use @code{<user@@host>} as your format.
+Examples:
 
-@item license
-@table @samp
-@item gpl
-GNU General Public License (default).
-@item bsd
-BSD-style license without advertising clause.
-@item pd
-Public domain.
-@item "text"
-Your own default copyright and license.
-@end table
+@example
+str2double ("-.1e-5")
+@result{} -1.0000e-006
 
-@item mode
-This value determines whether the editor should be started in async mode
-or sync mode. Set it to "async" to start the editor in async mode. The
-default is "sync" (see also "system").
+str2double (".314e1, 44.44e-1, .7; -1e+1")
+@result{}
+   3.1400    4.4440    0.7000
+ -10.0000       NaN       NaN
 
-Unless you specify @samp{pd}, edit will prepend the copyright statement 
-with "Copyright (C) yyyy Function Author".
-@end table
+line = "200, 300, NaN, -inf, yes, no, 999, maybe, NaN";
+[x, status] = str2double (line)
+@result{} x =
+    200   300   NaN  -Inf   NaN   NaN   999   NaN   NaN
+@result{} status =
+      0     0     0     0    -1    -1     0    -1     0
+@end example
 @end deftypefn
-fileattrib
+strtrim
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} fileattrib (@var{file})
-Return information about @var{file}.
+@deftypefn {Function File} {} deblank (@var{s})
+Remove leading and trailing blanks and nulls from @var{s}.  If
+@var{s} is a matrix, @var{deblank} trims each row to the length of
+longest string.  If @var{s} is a cell array, operate recursively on
+each element of the cell array. 
+@end deftypefn
+substr
+-*- texinfo -*-
+@deftypefn {Function File} {} substr (@var{s}, @var{offset}, @var{len})
+Return the substring of @var{s} which starts at character number
+@var{offset} and is @var{len} characters long.
 
-If successful, @var{status} is 1, with @var{result} containing a
-structure with the following fields:
+If @var{offset} is negative, extraction starts that far from the end of
+the string.  If @var{len} is omitted, the substring extends to the end
+of S.
 
-@table @code
-@item Name
-Full name of @var{file}.
-@item archive
-True if @var{file} is an archive (Windows).
-@item system
-True if @var{file} is a system file (Windows).
-@item hidden
-True if @var{file} is a hidden file (Windows).
-@item directory
-True if @var{file} is a directory.
-@item UserRead
-@itemx GroupRead
-@itemx OtherRead
-True if the user (group; other users) has read permission for
-@var{file}.
-@item UserWrite
-@itemx GroupWrite
-@itemx OtherWrite
-True if the user (group; other users) has write permission for
-@var{file}.
-@item UserExecute
-@itemx GroupExecute
-@itemx OtherExecute
-True if the user (group; other users) has execute permission for
-@var{file}.
-@end table
-If an attribute does not apply (i.e., archive on a Unix system) then
-the field is set to NaN.
+For example,
 
-With no input arguments, return information about the current
-directory.
+@example
+substr ("This is a test string", 6, 9)
+@result{} "is a test"
+@end example
 
-If @var{file} contains globbing characters, return information about
-all the matching files.
-@seealso{glob}
-@end deftypefn
-fileparts
--*- texinfo -*-
-@deftypefn {Function File} {[@var{dir}, @var{name}, @var{ext}, @var{ver}] =} fileparts (@var{filename})
-Return the directory, name, extension, and version components of
-@var{filename}.
-@seealso{fullfile}
-@end deftypefn
-flops
--*- texinfo -*-
-@deftypefn {Function File} {} flops ()
-This function is provided for @sc{Matlab} compatibility, but it doesn't
-actually do anything.
-@end deftypefn
-fullfile
--*- texinfo -*-
-@deftypefn {Function File} {@var{filename} =} fullfile (@var{dir1}, @var{dir2}, @dots{}, @var{file})
-Return a complete filename constructed from the given components.
-@seealso{fileparts}
+This function is patterned after AWK.  You can get the same result by
+@code{@var{s} (@var{offset} : (@var{offset} + @var{len} - 1))}.
 @end deftypefn
-getfield
+split
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{v1}, @dots{}] =} getfield (@var{s}, @var{key}, @dots{}) 
-Extract fields from a structure. For example
+@deftypefn {Function File} {} split (@var{s}, @var{t}, @var{n})
+Divides the string @var{s} into pieces separated by @var{t}, returning
+the result in a string array (padded with blanks to form a valid
+matrix).  If the optional input @var{n} is supplied, split @var{s}
+into at most @var{n} different pieces.
+
+For example,
 
 @example
-@group
-ss(1,2).fd(3).b=5;
-getfield (ss, @{1,2@}, "fd", @{3@}, "b")
-@result{} ans = 5
-@end group
+split ("Test string", "t")
+@result{} "Tes "
+        " s  "
+        "ring"
 @end example
 
-Note that the function call in the previous example is equivalent to
-the expression
-
 @example
-         i1= @{1,2@}; i2= "fd"; i3= @{3@}; i4= "b";
-         ss(i1@{:@}).(i2)(i3@{:@}).(i4)
+split ("Test string", "t", 2)
+@result{} "Tes    "
+        " string"
 @end example
-@seealso{setfield, rmfield, isfield, isstruct, fieldnames, struct}
 @end deftypefn
-gunzip
+deblank
 -*- texinfo -*-
-@deftypefn {Function File} {} gunzip (@var{gzfile}, @var{dir})
-Unpack the gzip archive @var{gzfile} to the directory @var{dir}. If
-@var{dir} is not specified, it defaults to the current directory. If
-the @var{gzfile} is a directory, all files in the directory will be
-recursively gunzipped.
-@seealso{unpack, bzip2, bunzip2, tar, untar, gzip, gunzip, zip, unzip}
+@deftypefn {Function File} {} deblank (@var{s})
+Remove trailing blanks and nulls from @var{s}.  If @var{s}
+is a matrix, @var{deblank} trims each row to the length of longest
+string.  If @var{s} is a cell array, operate recursively on each
+element of the cell array.
 @end deftypefn
-gzip
+dec2bin
 -*- texinfo -*-
-@deftypefn {Function File} {@var{entries} =} gzip (@var{files})
-@deftypefnx {Function File} {@var{entries} =} gzip (@var{files}, @var{outdir})
-Compress the list of files and/or directories specified in @var{files}.
-Each file is compressed separately and a new file with a '.gz' extension
-is created. The original file is not touched. If @var{rootdir} is defined 
-the compressed versions of the files are placed in this directory.
-@seealso{gunzip, zip, tar}
+@deftypefn {Function File} {} dec2bin (@var{n}, @var{len})
+Return a binary number corresponding the nonnegative decimal number
+@var{n}, as a string of ones and zeros.  For example,
+
+@example
+dec2bin (14)
+@result{} "1110"
+@end example
+
+If @var{n} is a vector, returns a string matrix, one row per value,
+padded with leading zeros to the width of the largest value.
+
+The optional second argument, @var{len}, specifies the minimum
+number of digits in the result.
+@seealso{bin2dec, dec2base, base2dec, hex2dec, dec2hex}
 @end deftypefn
-inputname
+blanks
 -*- texinfo -*-
-@deftypefn {Function File} {} inputname (@var{n})
-Return the text defining @var{n}-th input to the function.
+@deftypefn {Function File} {} blanks (@var{n})
+Return a string of @var{n} blanks.
+@seealso{repmat}
 @end deftypefn
-ismac
+lower
 -*- texinfo -*-
-@deftypefn {Function File} {} ismac ()
-Return 1 if Octave is running on a Mac OS X system and 0 otherwise.
-@seealso{ispc, isunix}
+@deftypefn {Function File} {} lower (@var{s})
+Transform all letters in the character string (or cell array of
+character strings) @var{s} to lower case.
+@seealso{upper, tolower, toupper}
 @end deftypefn
-ispc
+str2num
 -*- texinfo -*-
-@deftypefn {Function File} {} ispc ()
-Return 1 if Octave is running on a Windows system and 0 otherwise.
-@seealso{ismac, isunix}
+@deftypefn {Function File} {} str2num (@var{s})
+Convert the string @var{s} to a number.
 @end deftypefn
-isunix
+hex2dec
 -*- texinfo -*-
-@deftypefn {Function File} {} isunix ()
-Return 1 if Octave is running on a Unix-like system and 0 otherwise.
-@seealso{ismac, ispc}
+@deftypefn {Function File} {} hex2dec (@var{s})
+Return the integer corresponding to the hexadecimal number stored
+in the string @var{s}.  For example,
+
+@example
+hex2dec ("12B")
+@result{} 299
+hex2dec ("12b")
+@result{} 299
+@end example
+
+If @var{s} is a string matrix, returns a column vector of converted
+numbers, one per row of @var{s}.  Invalid rows evaluate to NaN.
+@seealso{dec2hex, base2dec, dec2base, bin2dec, dec2bin}
 @end deftypefn
-license
+strcat
 -*- texinfo -*-
-@deftypefn {Function File} {} license
-Display the license of Octave.
-
-@deftypefnx {Function File} {} license ("inuse")
-Display a list of packages currently being used.
+@deftypefn {Function File} {} strcat (@var{s1}, @var{s2}, @dots{})
+Return a string containing all the arguments concatenated.  For example,
 
-@deftypefnx {Function File} {@var{retval} =} license ("inuse")
-Return a structure containing the fields @code{feature} and @code{user}.
+@example
+@group
+s = [ "ab"; "cde" ];
+strcat (s, s, s)
+@result{} "ab ab ab "
+        "cdecdecde"
+@end group
+@end example
+@end deftypefn
+index
+-*- texinfo -*-
+@deftypefn {Function File} {} index (@var{s}, @var{t})
+@deftypefnx {Function File} {} index (@var{s}, @var{t}, @var{direction})
+Return the position of the first occurrence of the string @var{t} in the
+string @var{s}, or 0 if no occurrence is found.  For example,
 
-@deftypefnx {Function File} {@var{retval} =} license ("test", @var{feature})
-Return 1 if a license exists for the product identified by the string
-@var{feature} and 0 otherwise.  The argument @var{feature} is case
-insensitive and only the first 27 characters are checked.
+@example
+index ("Teststring", "t")
+@result{} 4
+@end example
 
-@deftypefnx {Function File} {} license ("test", @var{feature}, @var{toggle})
-Enable or disable license testing for @var{feature}, depending on
-@var{toggle}, which may be one of:
+If @var{direction} is @samp{"first"}, return the first element found.
+If @var{direction} is @samp{"last"}, return the last element found.
+The @code{rindex} function is equivalent to @code{index} with
+@var{direction} set to @samp{"last"}.
 
-@table @samp
-@item "enable"
-Future tests for the specified license of @var{feature} are conducted
-as usual.
-@item "disable"
-Future tests for the specified license of @var{feature} return 0.
-@end table
+@strong{Caution:}  This function does not work for arrays of
+character strings.
+@seealso{find, rindex}
+@end deftypefn
+strjust
+-*- texinfo -*-
+@deftypefn {Function File} {} strjust (@var{s}, ["left"|"right"|"center"])
+Shift the non-blank text of @var{s} to the left, right or center of
+the string.  If @var{s} is a string array, justify each string in the
+array.  Null characters are replaced by blanks.  If no justification
+is specified, then all rows are right-justified.
+@end deftypefn
+rindex
+-*- texinfo -*-
+@deftypefn {Function File} {} rindex (@var{s}, @var{t})
+Return the position of the last occurrence of the character string
+@var{t} in the character string @var{s}, or 0 if no occurrence is
+found.  For example,
 
-@deftypefnx {Function File} {@var{retval} =} license ("checkout", @var{feature})
-Check out a license for @var{feature}, returning 1 on success and 0
-on failure.
+@example
+rindex ("Teststring", "t")
+@result{} 6
+@end example
 
-This function is provided for compatibility with @sc{Matlab}.
-@seealso{ver, version}
+@strong{Caution:}  This function does not work for arrays of
+character strings.
+@seealso{find, index}
 @end deftypefn
-list_primes
+glpk
 -*- texinfo -*-
-@deftypefn {Function File} {} list_primes (@var{n})
-List the first @var{n} primes.  If @var{n} is unspecified, the first
-30 primes are listed.
+@deftypefn {Function File} {[@var{xopt}, @var{fmin}, @var{status}, @var{extra}] =} glpk (@var{c}, @var{a}, @var{b}, @var{lb}, @var{ub}, @var{ctype}, @var{vartype}, @var{sense}, @var{param})
+Solve a linear program using the GNU GLPK library.  Given three
+arguments, @code{glpk} solves the following standard LP:
 
-The algorithm used is from page 218 of the
 @iftex
 @tex
- {\TeX}book.
+$$
+  \min_x C^T x
+$$
 @end tex
 @end iftex
-@ifinfo
- TeXbook.
-@end ifinfo
-@end deftypefn
-ls
--*- texinfo -*-
-@deffn {Command} ls options
-List directory contents.  For example,
-
+@ifnottex
 @example
-ls -l
-@print{} total 12
-@print{} -rw-r--r--   1 jwe  users  4488 Aug 19 04:02 foo.m
-@print{} -rw-r--r--   1 jwe  users  1315 Aug 17 23:14 bar.m
+min C'*x
 @end example
+@end ifnottex
 
-The @code{dir} and @code{ls} commands are implemented by calling your
-system's directory listing command, so the available options may vary
-from system to system.
-@seealso{dir, stat, readdir, glob, filesep, ls_command}
-@end deffn
-ls_command
--*- texinfo -*-
-@deftypefn {Function File} {[@var{old_cmd} =} ls_command (@var{cmd})
-Set or return the shell command used by Octave's @code{ls} command.
-The value of @var{cmd} must be a character string.
-With no arguments, simply return the previous value.
-@seealso{ls}
-@end deftypefn
-menu
--*- texinfo -*-
-@deftypefn {Function File} {} menu (@var{title}, @var{opt1}, @dots{})
-Print a title string followed by a series of options.  Each option will
-be printed along with a number.  The return value is the number of the
-option selected by the user.  This function is useful for interactive
-programs.  There is no limit to the number of options that may be passed
-in, but it may be confusing to present more than will fit easily on one
-screen.
-@seealso{disp, printf, input}
-@end deftypefn
-mex
--*- texinfo -*-
-@deftypefn {Function File} {} mex [options] file @dots{}
-Compile source code written in C, C++, or Fortran, to a MEX file.
-This is equivalent to @code{mkoctfile --mex [options] file}.
-@seealso{mkoctfile}
-@end deftypefn
-mexext
--*- texinfo -*-
-@deftypefn {Function File} {} mexext ()
-Return the filename extension used for MEX files.
-@end deftypefn
-mkoctfile
--*- texinfo -*-
-@deftypefn {Function File} {} mkoctfile [-options] file @dots{}
+subject to
 
-The @code{mkoctfile} function compiles source code written in C,
-C++, or Fortran.  Depending on the options used with @code{mkoctfile}, the
-compiled code can be called within Octave or can be used as a stand-alone
-application.
+@iftex
+@tex
+$$
+  Ax = b \qquad x \geq 0
+$$
+@end tex
+@end iftex
+@ifnottex
+@example
+@group
+A*x  = b
+  x >= 0
+@end group
+@end example
+@end ifnottex
 
-@code{mkoctfile} can be called from the shell prompt or from the Octave
-prompt.
+but may also solve problems of the form
 
-@code{mkoctfile} accepts the following options, all of which are optional
-except for the file name of the code you wish to compile:
+@iftex
+@tex
+$$
+  [ \min_x | \max_x ] C^T x
+$$
+@end tex
+@end iftex
+@ifnottex
+@example
+[ min | max ] C'*x
+@end example
+@end ifnottex
 
-@table @samp
-@item -I DIR
-Add the include directory DIR to compile commands.
+subject to
 
-@item -D DEF
-Add the definition DEF to the compiler call.
+@iftex
+@tex
+$$
+ Ax [ = | \leq | \geq ] b \qquad  LB \leq x \leq UB
+$$
+@end tex
+@end iftex
+@ifnottex
+@example
+@group
+A*x [ "=" | "<=" | ">=" ] b
+  x >= LB
+  x <= UB
+@end group
+@end example
+@end ifnottex
 
-@item -l LIB
-Add the library LIB to the link command.
-         
-@item -L DIR
-Add the library directory DIR to the link command.
+Input arguments:
 
-@item -M
-@itemx --depend 
-Generate dependency files (.d) for C and C++ source files.
-         
-@item -c
-Compile but do not link.
+@table @var
+@item c
+A column array containing the objective function coefficients.
 
-@item -g
-Enable debugging options for compilers.
+@item a
+A matrix containing the constraints coefficients.
 
-@item -o FILE
-@itemx --output FILE  
-Output file name.  Default extension is .oct
-(or .mex if --mex is specified) unless linking
-a stand-alone executable.
+@item b
+A column array containing the right-hand side value for each constraint
+in the constraint matrix.
 
-@item -p VAR
-@itemx --print VAR
-Print the configuration variable VAR.  Recognized variables are: 
+@item lb
+An array containing the lower bound on each of the variables.  If
+@var{lb} is not supplied, the default lower bound for the variables is
+zero.
 
-@example             
-   ALL_CFLAGS                FFTW_LIBS     
-   ALL_CXXFLAGS              FLIBS       
-   ALL_FFLAGS                FPICFLAG      
-   ALL_LDFLAGS               INCFLAGS      
-   BLAS_LIBS                 LDFLAGS             
-   CC                        LD_CXX              
-   CFLAGS                    LD_STATIC_FLAG
-   CPICFLAG                  LFLAGS              
-   CPPFLAGS                  LIBCRUFT      
-   CXX                       LIBOCTAVE     
-   CXXFLAGS                  LIBOCTINTERP  
-   CXXPICFLAG                LIBREADLINE   
-   DEPEND_EXTRA_SED_PATTERN  LIBS        
-   DEPEND_FLAGS              OCTAVE_LIBS   
-   DL_LD                     RDYNAMIC_FLAG 
-   DL_LDFLAGS                RLD_FLAG      
-   F2C                       SED         
-   F2CFLAGS                  XTRA_CFLAGS   
-   F77                       XTRA_CXXFLAGS 
-   FFLAGS
-@end example
+@item ub
+An array containing the upper bound on each of the variables.  If
+@var{ub} is not supplied, the default upper bound is assumed to be
+infinite.
 
-@item --link-stand-alone
-Link a stand-alone executable file.
+@item ctype
+An array of characters containing the sense of each constraint in the
+constraint matrix.  Each element of the array may be one of the
+following values
+@table @code
+@item "F"
+A free (unbounded) constraint (the constraint is ignored).
+@item "U"
+An inequality constraint with an upper bound (@code{A(i,:)*x <= b(i)}).
+@item "S"
+An equality constraint (@code{A(i,:)*x = b(i)}).
+@item "L"
+An inequality with a lower bound (@code{A(i,:)*x >= b(i)}).
+@item "D"
+An inequality constraint with both upper and lower bounds
+(@code{A(i,:)*x >= -b(i)} @emph{and} (@code{A(i,:)*x <= b(i)}).
+@end table
 
-@item --mex
-Assume we are creating a MEX file.  Set the default output extension 
-to ".mex".
+@item vartype
+A column array containing the types of the variables.
+@table @code
+@item "C"
+A continuous variable.
+@item "I"
+An integer variable.
+@end table
 
-@item -s
-@itemx --strip
-Strip the output file.
+@item sense
+If @var{sense} is 1, the problem is a minimization.  If @var{sense} is
+-1, the problem is a maximization.  The default value is 1.
 
-@item -v
-@itemx --verbose
-Echo commands as they are executed.
+@item param
+A structure containing the following parameters used to define the
+behavior of solver.  Missing elements in the structure take on default
+values, so you only need to set the elements that you wish to change
+from the default.
 
-@item file
-The file to compile or link. Recognised file types are
+Integer parameters:
 
-@example
-                  .c    C source
-                  .cc   C++ source
-                  .C    C++ source
-                  .cpp  C++ source
-                  .f    Fortran source
-                  .F    Fortran source
-                  .o    object file
-@end example
+@table @code
+@item msglev (@code{LPX_K_MSGLEV}, default: 1)
+Level of messages output by solver routines:
+@table @asis
+@item 0
+No output.
+@item 1
+Error messages only.
+@item 2
+Normal output .
+@item 3
+Full output (includes informational messages).
+@end table
 
+@item scale (@code{LPX_K_SCALE}, default: 1)
+Scaling option: 
+@table @asis
+@item 0
+No scaling.
+@item 1
+Equilibration scaling.
+@item 2
+Geometric mean scaling, then equilibration scaling.
 @end table
-@end deftypefn
-movefile
--*- texinfo -*-
-@deftypefn {Function File} {[@var{status}, @var{msg}, @var{msgid}] =} movefile (@var{f1}, @var{f2})
-Move the file @var{f1} to the new name @var{f2}.  The name @var{f1}
-may contain globbing patterns.  If @var{f1} expands to multiple file
-names, @var{f2} must be a directory.
 
-If successful, @var{status} is 1, with @var{msg} and @var{msgid} empty\n\
-character strings.  Otherwise, @var{status} is 0, @var{msg} contains a\n\
-system-dependent error message, and @var{msgid} contains a unique\n\
-message identifier.\n\
-@seealso{glob}
-@end deftypefn
-news
--*- texinfo -*-
-@deftypefn {Function File} {} news ()
-Display the current NEWS file for Octave.
-@end deftypefn
-orderfields
--*- texinfo -*-
-@deftypefn {Function File} {[@var{t}, @var{p}] =} orderfields (@var{s1}, @var{s2})
-Return a struct with fields arranged alphabetically or as specified
-by @var{s2} and a corresponding permutation vector.
+@item dual	 (@code{LPX_K_DUAL}, default: 0)
+Dual simplex option:
+@table @asis
+@item 0
+Do not use the dual simplex.
+@item 1
+If initial basic solution is dual feasible, use the dual simplex.
+@end table
 
-Given one struct, arrange field names in @var{s1} alphabetically.
+@item price	 (@code{LPX_K_PRICE}, default: 1)
+Pricing option (for both primal and dual simplex):
+@table @asis
+@item 0
+Textbook pricing.
+@item 1
+Steepest edge pricing.
+@end table
+  
+@item round	 (@code{LPX_K_ROUND}, default: 0)
+Solution rounding option:
+@table @asis
+@item 0
+Report all primal and dual values "as is".
+@item 1
+Replace tiny primal and dual values by exact zero.
+@end table
 
-Given two structs, arrange field names in @var{s1} as they appear
-in @var{s2}.  The second argument may also specify the order in
-a permutation vector or a cell array of strings.
+@item itlim	 (@code{LPX_K_ITLIM}, default: -1)
+Simplex iterations limit.  If this value is positive, it is decreased by
+one each time when one simplex iteration has been performed, and
+reaching zero value signals the solver to stop the search.  Negative
+value means no iterations limit.
 
-@seealso{getfield, rmfield, isfield, isstruct, fieldnames, struct}
-@end deftypefn
-pack
--*- texinfo -*-
-@deftypefn {Function File} {} pack ()
-This function is provided for compatibility with @sc{Matlab}, but it
-doesn't actually do anything.
-@end deftypefn
-paren
--*- texinfo -*-
-@deffn {Operator} (
-@deffnx {Operator} )
-Array index or function argument delimeter.
-@end deffn
-parseparams
--*- texinfo -*-
-@deftypefn {Function File} {[@var{reg}, @var{prop}] =} parseparams (@var{params})
-Return in @var{reg} the cell elements of @var{param} up to the first
-string element and in @var{prop} all remaining elements beginning
-with the first string element.  For example 
+@item itcnt (@code{LPX_K_OUTFRQ}, default: 200)
+Output frequency, in iterations.  This parameter specifies how
+frequently the solver sends information about the solution to the
+standard output.
 
-@example
-@group
-[reg, prop] = parseparams (@{1, 2, "linewidth", 10@})
-reg =
-@{
-  [1,1] = 1
-  [1,2] = 2
-@}
-prop =
-@{
-  [1,1] = linewidth
-  [1,2] = 10
-@}
-@end group
-@end example
+@item branch (@code{LPX_K_BRANCH}, default: 2)
+Branching heuristic option (for MIP only):
+@table @asis
+@item 0
+Branch on the first variable.
+@item 1
+Branch on the last variable.
+@item 2
+Branch using a heuristic by Driebeck and Tomlin.
+@end table
 
-The parseparams function may be used to separate 'regular'
-arguments and additional arguments given as property/value pairs of
-the @var{varargin} cell array.
-@seealso{varargin}
-@end deftypefn
-run
--*- texinfo -*-
-@deftypefn {Function File} {} run (@var{f})
-@deftypefnx {Command} {} run @var{f}
-Run scripts in the current workspace that are not necessarily on the
-path. If @var{f} is the script to run, including its path, then @code{run}
-change the directory to the directory where @var{f} is found. @code{run}
-then executes the script, and returns to the original directory.
-@seealso{system}
-@end deftypefn
-semicolon
--*- texinfo -*-
-@deffn {Operator} ;
-Array row or command separator.
-@seealso{comma}
-@end deffn
-setfield
--*- texinfo -*-
-@deftypefn {Function File} {[@var{k1}, @dots{}, @var{v1}] =} setfield (@var{s}, @var{k1}, @var{v1}, @dots{})
-Set field members in a structure.
+@item btrack (@code{LPX_K_BTRACK}, default: 2)
+Backtracking heuristic option (for MIP only):
+@table @asis
+@item 0
+Depth first search.
+@item 1
+Breadth first search.
+@item 2
+Backtrack using the best projection heuristic.
+@end table        
 
-@example
-@group
-oo(1,1).f0= 1;
-oo = setfield(oo,@{1,2@},'fd',@{3@},'b', 6);
-oo(1,2).fd(3).b == 6
-@result{} ans = 1
-@end group
-@end example
+@item presol (@code{LPX_K_PRESOL}, default: 1)
+If this flag is set, the routine lpx_simplex solves the problem using
+the built-in LP presolver.  Otherwise the LP presolver is not used.
 
-Note that this function could be written
+@item lpsolver (default: 1)
+Select which solver to use.  If the problem is a MIP problem this flag
+will be ignored.
+@table @asis
+@item 1
+Revised simplex method.
+@item 2
+Interior point method.
+@end table
+@item save (default: 0)
+If this parameter is nonzero, save a copy of the problem in
+CPLEX LP format to the file @file{"outpb.lp"}.  There is currently no
+way to change the name of the output file.
+@end table
 
-@example
-         i1= @{1,2@}; i2= 'fd'; i3= @{3@}; i4= 'b';
-         oo( i1@{:@} ).( i2 )( i3@{:@} ).( i4 ) == 6;
-@end example
-@seealso{getfield, rmfield, isfield, isstruct, fieldnames, struct}
-@end deftypefn
-single
--*- texinfo -*-
-@deftypefn {Function File} {} single (@var{val})
-Convert the numeric value @var{val} to single precision.
+Real parameters:
 
-@strong{Note}: this function currently returns its argument converted
-to double precision because Octave does not yet have a single-precision
-numeric data type.
-@end deftypefn
-substruct
--*- texinfo -*-
-@deftypefn {Function File} {} substruct (@var{type}, @var{subs}, @dots{})
-Create a subscript structure for use with @code{subsref} or
-@code{subsasgn}.
-@seealso{subsref, subsasgn}
-@end deftypefn
-swapbytes
--*- texinfo -*-
-@deftypefn {Function File} {} swapbytes (@var{x})
-Swaps the byte order on values, converting from little endian to big 
-endian and visa-versa. For example
+@table @code
+@item relax (@code{LPX_K_RELAX}, default: 0.07)
+Relaxation parameter used in the ratio test. If it is zero, the textbook
+ratio test is used. If it is non-zero (should be positive), Harris'
+two-pass ratio test is used. In the latter case on the first pass of the
+ratio test basic variables (in the case of primal simplex) or reduced
+costs of non-basic variables (in the case of dual simplex) are allowed
+to slightly violate their bounds, but not more than
+@code{relax*tolbnd} or @code{relax*toldj (thus, @code{relax} is a
+percentage of @code{tolbnd} or @code{toldj}}.
 
-@example
-@group
-swapbytes (uint16 (1:4))
-@result{} [   256   512   768  1024]
-@end group
-@end example
+@item tolbnd (@code{LPX_K_TOLBND}, default: 10e-7)
+Relative tolerance used to check if the current basic solution is primal
+feasible.  It is not recommended that you change this parameter unless you
+have a detailed understanding of its purpose.
 
-@seealso{typecast, cast}
-@end deftypefn
-tar
--*- texinfo -*-
-@deftypefn {Function File} {@var{entries} =} tar (@var{tarfile}, @var{files}, @var{root})
-Pack @var{files} @var{files} into the TAR archive @var{tarfile}.  The
-list of files must be a string or a cell array of strings.
+@item toldj (@code{LPX_K_TOLDJ}, default: 10e-7)
+Absolute tolerance used to check if the current basic solution is dual
+feasible.  It is not recommended that you change this parameter unless you
+have a detailed understanding of its purpose.
 
-The optional argument @var{root} changes the relative path of @var{files}
-from the current directory.
+@item tolpiv (@code{LPX_K_TOLPIV}, default: 10e-9)
+Relative tolerance used to choose eligible pivotal elements of the
+simplex table.  It is not recommended that you change this parameter unless you
+have a detailed understanding of its purpose.
 
-If an output argument is requested the entries in the archive are
-returned in a cell array.
-@seealso{untar, gzip, gunzip, zip, unzip}
-@end deftypefn
-tempdir
--*- texinfo -*-
-@deftypefn {Function File} {@var{dir} =} tempdir ()
-Return the name of the system's directory for temporary files.
-@end deftypefn
-tempname
--*- texinfo -*-
-@deftypefn {Function File} {filename = } tempname ()
-This function is an alias for @code{tmpnam}.
-@end deftypefn
-texas_lotto
--*- texinfo -*-
-@deftypefn {Function File} {} texas_lotto ()
-Pick 6 unique numbers between 1 and 50 that are guaranteed to win
-the Texas Lotto.
-@seealso{rand}
-@end deftypefn
-unix
--*- texinfo -*-
-@deftypefn {Function File} {[@var{status}, @var{text}]} unix (@var{command})
-@deftypefnx {Function File} {[@var{status}, @var{text}]} unix (@var{command}, "-echo")
-Execute a system command if running under a Unix-like operating
-system, otherwise do nothing.  Return the exit status of the program
-in @var{status} and any output sent to the standard output in
-@var{text}.  If the optional second argument @code{"-echo"} is given,
-then also send the output from the command to the standard output.
-@seealso{isunix, ispc, system}
-@end deftypefn
-unpack
--*- texinfo -*-
-@deftypefn {Function File} {@var{files} =} unpack (@var{file}, @var{dir})
-@deftypefnx {Function File} {@var{files} =} unpack (@var{file}, @var{dir}, @var{filetype})
-Unpack the archive @var{file} based on its extension to the directory
-@var{dir}.  If @var{file} is a cellstr, then all files will be
-handled individually.  If @var{dir} is not specified, it defaults to
-the current directory.  It returns a list of @var{files}
-unpacked. If a directory is in the file list, then the
-@var{filetype} to unpack must also be specified.
+@item objll (@code{LPX_K_OBJLL}, default: -DBL_MAX)
+Lower limit of the objective function.  If on the phase II the objective
+function reaches this limit and continues decreasing, the solver stops
+the search.  This parameter is used in the dual simplex method only.
 
-The @var{files} includes the entire path to the output files.
-@seealso{bzip2,bunzip2,tar,untar,gzip,gunzip,zip,unzip}
-@end deftypefn
-untar
--*- texinfo -*-
-@deftypefn {Function File} {} untar (@var{tarfile}, @var{dir})
-Unpack the TAR archive @var{tarfile} to the directory @var{dir}.
-If @var{dir} is not specified, it defaults to the current directory.
-@seealso{unpack, bzip2, bunzip2, tar, gzip, gunzip, zip, unzip}
-@end deftypefn
-unzip
--*- texinfo -*-
-@deftypefn {Function File} {} unzip (@var{zipfile}, @var{dir})
-Unpack the ZIP archive @var{zipfile} to the directory @var{dir}.
-If @var{dir} is not specified, it defaults to the current directory.
-@seealso{unpack, bzip2, bunzip2, tar, untar, gzip, gunzip, zip}
-@end deftypefn
-ver
--*- texinfo -*-
-@deftypefn {Function File} {} ver ()
-Display a header containing the current Octave version
-number, license string and operating system.
-@seealso{license, version}
-@end deftypefn
-version
--*- texinfo -*-
-@deftypefn {Function File} {} version ()
-Return Octave's version number as a string.  This is also the value of
-the built-in variable @code{OCTAVE_VERSION}.
-@end deftypefn
-warning_ids
--*- texinfo -*-
-@table @code
-@item Octave:array-to-scalar
-If the @code{Octave:array-to-scalar} warning is enabled, Octave will
-warn when an implicit conversion from an array to a scalar value is
-attempted.  By default, the @code{Octave:array-to-scalar} warning is
-disabled.
+@item objul (@code{LPX_K_OBJUL}, default: +DBL_MAX)
+Upper limit of the objective function. If on the phase II the objective
+function reaches this limit and continues increasing, the solver stops
+the search.  This parameter is used in the dual simplex only.
 
-@item Octave:array-to-vector
-If the @code{Octave:array-to-vector} warning is enabled, Octave will
-warn when an implicit conversion from an array to a vector value is
-attempted.  By default, the @code{Octave:array-to-vector} warning is
-disabled.
+@item tmlim (@code{LPX_K_TMLIM}, default: -1.0)
+Searching time limit, in seconds. If this value is positive, it is
+decreased each time when one simplex iteration has been performed by the
+amount of time spent for the iteration, and reaching zero value signals
+the solver to stop the search.  Negative value means no time limit.
 
-@item Octave:assign-as-truth-value
-If the @code{Octave:assign-as-truth-value} warning is
-enabled, a warning is issued for statements like
+@item outdly (@code{LPX_K_OUTDLY}, default: 0.0)
+Output delay, in seconds. This parameter specifies how long the solver
+should delay sending information about the solution to the standard
+output. Non-positive value means no delay.
 
-@example
-if (s = t)
-  ...
-@end example
+@item tolint (@code{LPX_K_TOLINT}, default: 10e-5)
+Relative tolerance used to check if the current basic solution is integer
+feasible.  It is not recommended that you change this parameter unless
+you have a detailed understanding of its purpose.
 
-@noindent
-since such statements are not common, and it is likely that the intent
-was to write
+@item tolobj (@code{LPX_K_TOLOBJ}, default: 10e-7)
+Relative tolerance used to check if the value of the objective function
+is not better than in the best known integer feasible solution.  It is
+not recommended that you change this parameter unless you have a
+detailed understanding of its purpose.
+@end table
+@end table
 
-@example
-if (s == t)
-  ...
-@end example
+Output values:
+
+@table @var
+@item xopt
+The optimizer (the value of the decision variables at the optimum).
+@item fopt
+The optimum value of the objective function.
+@item status
+Status of the optimization.
 
+Simplex Method:
+@table @asis
+@item 180 (@code{LPX_OPT})
+Solution is optimal.
+@item 181 (@code{LPX_FEAS})
+Solution is feasible.
+@item 182 (@code{LPX_INFEAS})
+Solution is infeasible.
+@item 183 (@code{LPX_NOFEAS})
+Problem has no feasible solution.
+@item 184 (@code{LPX_UNBND})
+Problem has no unbounded solution.
+@item 185 (@code{LPX_UNDEF})
+Solution status is undefined.
+@end table
+Interior Point Method:
+@table @asis
+@item 150 (@code{LPX_T_UNDEF})
+The interior point method is undefined.
+@item 151 (@code{LPX_T_OPT})
+The interior point method is optimal.
+@end table
+Mixed Integer Method:
+@table @asis
+@item 170 (@code{LPX_I_UNDEF})
+The status is undefined.
+@item 171 (@code{LPX_I_OPT})
+The solution is integer optimal.
+@item 172 (@code{LPX_I_FEAS})
+Solution integer feasible but its optimality has not been proven
+@item 173 (@code{LPX_I_NOFEAS})
+No integer feasible solution.
+@end table
 @noindent
-instead.
+If an error occurs, @var{status} will contain one of the following
+codes:
 
-There are times when it is useful to write code that contains
-assignments within the condition of a @code{while} or @code{if}
-statement.  For example, statements like
+@table @asis
+@item 204 (@code{LPX_E_FAULT})
+Unable to start the search.
+@item 205 (@code{LPX_E_OBJLL})
+Objective function lower limit reached.
+@item 206 (@code{LPX_E_OBJUL})
+Objective function upper limit reached.
+@item 207 (@code{LPX_E_ITLIM})
+Iterations limit exhausted.
+@item 208 (@code{LPX_E_TMLIM})
+Time limit exhausted.
+@item 209 (@code{LPX_E_NOFEAS})
+No feasible solution.
+@item 210 (@code{LPX_E_INSTAB})
+Numerical instability.
+@item 211 (@code{LPX_E_SING})
+Problems with basis matrix.
+@item 212 (@code{LPX_E_NOCONV})
+No convergence (interior).
+@item 213 (@code{LPX_E_NOPFS})
+No primal feasible solution (LP presolver).
+@item 214 (@code{LPX_E_NODFS})
+No dual feasible solution (LP presolver).
+@end table
+@item extra
+A data structure containing the following fields:
+@table @code
+@item lambda
+Dual variables.
+@item redcosts
+Reduced Costs.
+@item time
+Time (in seconds) used for solving LP/MIP problem.
+@item mem
+Memory (in bytes) used for solving LP/MIP problem (this is not 
+available if the version of GLPK is 4.15 or later).
+@end table
+@end table
+
+Example:
 
 @example
-while (c = getc())
-  ...
-@end example
+@group
+c = [10, 6, 4]';
+a = [ 1, 1, 1;
+     10, 4, 5;
+      2, 2, 6];
+b = [100, 600, 300]';
+lb = [0, 0, 0]';
+ub = [];
+ctype = "UUU";
+vartype = "CCC";
+s = -1;
 
-@noindent
-are common in C programming.
+param.msglev = 1;
+param.itlim = 100;
 
-It is possible to avoid all warnings about such statements by
-disabling the @code{Octave:assign-as-truth-value} warning,
-but that may also let real errors like
+[xmin, fmin, status, extra] = ...
+   glpk (c, a, b, lb, ub, ctype, vartype, s, param);
+@end group
+@end example
+@end deftypefn
+__fsolve_defopts__
+Undocumented internal function.
+glpkmex
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{xopt}, @var{fmin}, @var{status}, @var{extra}] =} glpkmex (@var{sense}, @var{c}, @var{a}, @var{b}, @var{ctype}, @var{lb}, @var{ub}, @var{vartype}, @var{param}, @var{lpsolver}, @var{save_pb})
+This function is provided for compatibility with the old @sc{Matlab}
+interface to the GNU GLPK library.  For Octave code, you should use
+the @code{glpk} function instead.
+@end deftypefn
+qp
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{lambda}] =} qp (@var{x0}, @var{H}, @var{q}, @var{A}, @var{b}, @var{lb}, @var{ub}, @var{A_lb}, @var{A_in}, @var{A_ub})
+Solve the quadratic program
+@iftex
+@tex
+$$
+ \min_x {1 \over 2} x^T H x + x^T q
+$$
+@end tex
+@end iftex
+@ifnottex
 
 @example
-if (x = 1)  # intended to test (x == 1)!
-  ...
+     min 0.5 x'*H*x + x'*q
+      x
 @end example
 
-@noindent
-slip by.
-
-In such cases, it is possible suppress errors for specific statements by
-writing them with an extra set of parentheses.  For example, writing the
-previous example as
+@end ifnottex
+subject to
+@iftex
+@tex
+$$
+ Ax = b \qquad lb \leq x \leq ub \qquad A_{lb} \leq A_{in} \leq A_{ub}
+$$
+@end tex
+@end iftex
+@ifnottex
 
 @example
-while ((c = getc()))
-  ...
+     A*x = b
+     lb <= x <= ub
+     A_lb <= A_in*x <= A_ub
 @end example
+@end ifnottex
 
 @noindent
-will prevent the warning from being printed for this statement, while
-allowing Octave to warn about other assignments used in conditional
-contexts.
+using a null-space active-set method.
 
-By default, the @code{Octave:assign-as-truth-value} warning is enabled.
+Any bound (@var{A}, @var{b}, @var{lb}, @var{ub}, @var{A_lb},
+@var{A_ub}) may be set to the empty matrix (@code{[]}) if not
+present.  If the initial guess is feasible the algorithm is faster.
 
-@item Octave:associativity-change
-If the @code{Octave:associativity-change} warning is
-enabled, Octave will warn about possible changes in the meaning of
-some code due to changes in associativity for some operators.
-Associativity changes have typically been made for @sc{Matlab}
-compatibility.  By default, the @code{Octave:associativity-change}
-warning is enabled.
+The value @var{info} is a structure with the following fields:
+@table @code
+@item solveiter
+The number of iterations required to find the solution.
+@item info
+An integer indicating the status of the solution, as follows:
+@table @asis
+@item 0
+The problem is feasible and convex.  Global solution found.
+@item 1
+The problem is not convex.  Local solution found.
+@item 2
+The problem is not convex and unbounded.
+@item 3
+Maximum number of iterations reached.
+@item 6
+The problem is infeasible.
+@end table
+@end table
+@end deftypefn
+sqp
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h}, @var{lb}, @var{ub}, @var{maxiter}, @var{tolerance})
+Solve the nonlinear program
+@iftex
+@tex
+$$
+\min_x \phi (x)
+$$
+@end tex
+@end iftex
+@ifnottex
 
-@item Octave:divide-by-zero
-If the @code{Octave:divide-by-zero} warning is enabled, a
-warning is issued when Octave encounters a division by zero.  By
-default, the @code{Octave:divide-by-zero} warning is enabled.
+@example
+     min phi (x)
+      x
+@end example
 
-@item Octave:empty-list-elements
-If the @code{Octave:empty-list-elements} warning is enabled, a
-warning is issued when an empty matrix is found in a matrix list.
-For example,
+@end ifnottex
+subject to
+@iftex
+@tex
+$$
+ g(x) = 0 \qquad h(x) \geq 0 \qquad lb \leq x \leq ub
+$$
+@end tex
+@end iftex
+@ifnottex
 
 @example
-a = [1, [], 3, [], 5]
+     g(x)  = 0
+     h(x) >= 0
+     lb <= x <= ub
 @end example
+@end ifnottex
 
 @noindent
-By default, the @code{Octave:empty-list-elements} warning is enabled.
-
-@item Octave:fortran-indexing
-If the @code{Octave:fortran-indexing} warning is enabled, a warning is
-printed for expressions which select elements of a two-dimensional matrix
-using a single index.  By default, the @code{Octave:fortran-indexing}
-warning is disabled.
+using a successive quadratic programming method.
 
-@item Octave:function-name-clash
-If the @code{Octave:function-name-clash} warning is enabled, a
-warning is issued when Octave finds that the name of a function
-defined in a function file differs from the name of the file.  (If
-the names disagree, the name declared inside the file is ignored.)
-By default, the @code{Octave:function-name-clash} warning is enabled.
+The first argument is the initial guess for the vector @var{x}.
 
-@item Octave:future-time-stamp
-If the @code{Octave:future-time-stamp} warning is enabled, Octave
-will print a warning if it finds a function file with a time stamp
-that is in the future.  By default, the
-@code{Octave:future-time-stamp} warning is enabled.
+The second argument is a function handle pointing to the objective
+function.  The objective function must be of the form
 
-@item Octave:imag-to-real
-If the @code{Octave:imag-to-real} warning is enabled, a warning is
-printed for implicit conversions of complex numbers to real numbers.
-By default, the @code{Octave:imag-to-real} warning is disabled.
+@example
+     y = phi (x)
+@end example
 
-@item Octave:matlab-incompatible
-Print warnings for Octave language features that may cause
-compatibility problems with @sc{Matlab}.
+@noindent
+in which @var{x} is a vector and @var{y} is a scalar.
 
-@item Octave:missing-semicolon
-If the @code{Octave:missing-semicolon} warning is enabled, Octave
-will warn when statements in function definitions don't end in
-semicolons.  By default the @code{Octave:missing-semicolon} warning
-is disabled.
+The second argument may also be a 2- or 3-element cell array of
+function handles.  The first element should point to the objective
+function, the second should point to a function that computes the
+gradient of the objective function, and the third should point to a
+function to compute the hessian of the objective function.  If the
+gradient function is not supplied, the gradient is computed by finite
+differences.  If the hessian function is not supplied, a BFGS update
+formula is used to approximate the hessian.
 
-@item Octave:neg-dim-as-zero
-If the @code{Octave:neg-dim-as-zero} warning is enabled, print a warning
-for expressions like
+If supplied, the gradient function must be of the form
 
 @example
-eye (-1)
+g = gradient (x)
 @end example
 
 @noindent
-By default, the @code{Octave:neg-dim-as-zero} warning is disabled.
+in which @var{x} is a vector and @var{g} is a vector.
 
-@item Octave:num-to-str
-If the @code{Octave:num-to-str} warning is enable, a warning is
-printed for implicit conversions of numbers to their ASCII character
-equivalents when strings are constructed using a mixture of strings and
-numbers in matrix notation.  For example,
+If supplied, the hessian function must be of the form
 
 @example
-@group
-[ "f", 111, 111 ]
-@result{} "foo"
-@end group
+h = hessian (x)
 @end example
-elicits a warning if the @code{Octave:num-to-str} warning is
-enabled.  By default, the @code{Octave:num-to-str} warning is enabled.
 
-@item Octave:precedence-change
-If the @code{Octave:precedence-change} warning is enabled, Octave
-will warn about possible changes in the meaning of some code due to
-changes in precedence for some operators.  Precedence changes have
-typically been made for @sc{Matlab} compatibility.  By default, the
-@code{Octave:precedence-change} warning is enabled.
-
-@item Octave:reload-forces-clear
-If several functions have been loaded from the same file, Octave must
-clear all the functions before any one of them can be reloaded.  If
-the @code{Octave:reload-forces-clear} warning is enabled, Octave will
-warn you when this happens, and print a list of the additional
-functions that it is forced to clear.  By default, the
-@code{Octave:reload-forces-clear} warning is enabled.
+@noindent
+in which @var{x} is a vector and @var{h} is a matrix.
 
-@item Octave:resize-on-range-error
-If the @code{Octave:resize-on-range-error} warning is enabled, print a
-warning when a matrix is resized by an indexed assignment with
-indices outside the current bounds.  By default, the
-@code{Octave:resize-on-range-error} warning is disabled.
+The third and fourth arguments are function handles pointing to
+functions that compute the equality constraints and the inequality
+constraints, respectively.
 
-@item Octave:separator-insert
-Print warning if commas or semicolons might be inserted
-automatically in literal matrices.
+If your problem does not have equality (or inequality) constraints,
+you may pass an empty matrix for @var{cef} (or @var{cif}).
 
-@item Octave:single-quote-string
-Print warning if a signle quote character is used to introduce a
-string constant.
+If supplied, the equality and inequality constraint functions must be
+of the form
 
-@item Octave:str-to-num
-If the @code{Octave:str-to-num} warning is enabled, a warning is printed
-for implicit conversions of strings to their numeric ASCII equivalents.
-For example,
 @example
-@group
-"abc" + 0
-@result{} 97 98 99
-@end group
+r = f (x)
 @end example
-elicits a warning if the @code{Octave:str-to-num} warning is enabled.
-By default, the @code{Octave:str-to-num} warning is disabled.
-
-@item Octave:string-concat
-If the @code{Octave:string-concat} warning is enabled, print a
-warning when concatenating a mixture of double and single quoted strings.
-By default, the @code{Octave:string-concat} warning is disabled.
 
-@item Octave:undefined-return-values
-If the @code{Octave:undefined-return-values} warning is disabled,
-print a warning if a function does not define all the values in
-the return list which are expected.  By default, the
-@code{Octave:undefined-return-values} warning is enabled.
+@noindent
+in which @var{x} is a vector and @var{r} is a vector.
 
-@item Octave:variable-switch-label
-If the @code{Octave:variable-switch-label} warning is enabled, Octave
-will print a warning if a switch label is not a constant or constant
-expression.  By default, the @code{Octave:variable-switch-label}
-warning is disabled.
-@end table
-what
--*- texinfo -*-
-@deftypefn {Command} {} what 
-@deftypefnx {Command} {} what @var{dir}
-@deftypefnx {Function File} {w =} what (@var{dir})
-List the Octave specific files in a directory. If the variable @var{dir}
-is given then check that directory rather than the current directory. If
-a return argument is requested, the files found are returned in the 
-structure @var{w}.
-@seealso{which}
-@end deftypefn
-xor
--*- texinfo -*-
-@deftypefn {Mapping Function} {} xor (@var{x}, @var{y})
-Return the `exclusive or' of the entries of @var{x} and @var{y}.
-For boolean expressions @var{x} and @var{y},
-@code{xor (@var{x}, @var{y})} is true if and only if @var{x} or @var{y}
-is true, but not if both @var{x} and @var{y} are true.
-@end deftypefn
-zip
--*- texinfo -*-
-@deftypefn {Function File} {@var{entries} =} zip (@var{zipfile}, @var{files})
-@deftypefnx {Function File} {@var{entries} =} zip (@var{zipfile}, @var{files}, @var{rootdir})
-Compress the list of files and/or directories specified in @var{files} 
-into the archive @var{zipfiles} in the same directory. If @var{rootdir} 
-is defined the @var{files} is located relative to @var{rootdir} rather 
-than the current directory
-@seealso{unzip,tar}
-@end deftypefn
-__fsolve_defopts__
-Undocumented internal function.
-glpk
--*- texinfo -*-
-@deftypefn {Function File} {[@var{xopt}, @var{fmin}, @var{status}, @var{extra}] =} glpk (@var{c}, @var{a}, @var{b}, @var{lb}, @var{ub}, @var{ctype}, @var{vartype}, @var{sense}, @var{param})
-Solve a linear program using the GNU GLPK library.  Given three
-arguments, @code{glpk} solves the following standard LP:
+The third and fourth arguments may also be 2-element cell arrays of
+function handles.  The first element should point to the constraint
+function and the second should point to a function that computes the
+gradient of the constraint function:
 
 @iftex
 @tex
 $$
-  \min_x C^T x
+ \Bigg( {\partial f(x) \over \partial x_1}, 
+        {\partial f(x) \over \partial x_2}, \ldots,
+        {\partial f(x) \over \partial x_N} \Bigg)^T
 $$
 @end tex
 @end iftex
 @ifnottex
 @example
-min C'*x
+                [ d f(x)   d f(x)        d f(x) ]
+    transpose ( [ ------   -----   ...   ------ ] )
+                [  dx_1     dx_2          dx_N  ]
 @end example
 @end ifnottex
 
-subject to
+The fifth and sixth arguments are vectors containing lower and upper bounds
+on @var{x}. These must be consistent with equality and inequality
+constraints @var{g} and @var{h}. If the bounds are not specified, or are
+empty, they are set to -@var{realmax} and @var{realmax} by default.
 
-@iftex
-@tex
-$$
-  Ax = b \qquad x \geq 0
-$$
-@end tex
-@end iftex
-@ifnottex
-@example
-@group
-A*x  = b
-  x >= 0
-@end group
-@end example
-@end ifnottex
-
-but may also solve problems of the form
+The seventh argument is max. number of iterations. If not specified,
+the default value is 100.
 
-@iftex
-@tex
-$$
-  [ \min_x | \max_x ] C^T x
-$$
-@end tex
-@end iftex
-@ifnottex
-@example
-[ min | max ] C'*x
-@end example
-@end ifnottex
+The eighth argument is tolerance for stopping criteria. If not specified,
+the default value is @var{eps}.
 
-subject to
+Here is an example of calling @code{sqp}:
 
-@iftex
-@tex
-$$
- Ax [ = | \leq | \geq ] b \qquad  LB \leq x \leq UB
-$$
-@end tex
-@end iftex
-@ifnottex
 @example
-@group
-A*x [ "=" | "<=" | ">=" ] b
-  x >= LB
-  x <= UB
-@end group
-@end example
-@end ifnottex
-
-Input arguments:
-
-@table @var
-@item c
-A column array containing the objective function coefficients.
-
-@item a
-A matrix containing the constraints coefficients.
-
-@item b
-A column array containing the right-hand side value for each constraint
-in the constraint matrix.
-
-@item lb
-An array containing the lower bound on each of the variables.  If
-@var{lb} is not supplied, the default lower bound for the variables is
-zero.
-
-@item ub
-An array containing the upper bound on each of the variables.  If
-@var{ub} is not supplied, the default upper bound is assumed to be
-infinite.
-
-@item ctype
-An array of characters containing the sense of each constraint in the
-constraint matrix.  Each element of the array may be one of the
-following values
-@table @code
-@item "F"
-A free (unbounded) constraint (the constraint is ignored).
-@item "U"
-An inequality constraint with an upper bound (@code{A(i,:)*x <= b(i)}).
-@item "S"
-An equality constraint (@code{A(i,:)*x = b(i)}).
-@item "L"
-An inequality with a lower bound (@code{A(i,:)*x >= b(i)}).
-@item "D"
-An inequality constraint with both upper and lower bounds
-(@code{A(i,:)*x >= -b(i)} @emph{and} (@code{A(i,:)*x <= b(i)}).
-@end table
-
-@item vartype
-A column array containing the types of the variables.
-@table @code
-@item "C"
-A continuous variable.
-@item "I"
-An integer variable.
-@end table
-
-@item sense
-If @var{sense} is 1, the problem is a minimization.  If @var{sense} is
--1, the problem is a maximization.  The default value is 1.
+function r = g (x)
+  r = [ sumsq(x)-10;
+        x(2)*x(3)-5*x(4)*x(5); 
+        x(1)^3+x(2)^3+1 ];
+endfunction
 
-@item param
-A structure containing the following parameters used to define the
-behavior of solver.  Missing elements in the structure take on default
-values, so you only need to set the elements that you wish to change
-from the default.
+function obj = phi (x)
+  obj = exp(prod(x)) - 0.5*(x(1)^3+x(2)^3+1)^2;
+endfunction
 
-Integer parameters:
+x0 = [-1.8; 1.7; 1.9; -0.8; -0.8];
 
-@table @code
-@item msglev (@code{LPX_K_MSGLEV}, default: 1)
-Level of messages output by solver routines:
-@table @asis
-@item 0
-No output.
-@item 1
-Error messages only.
-@item 2
-Normal output .
-@item 3
-Full output (includes informational messages).
-@end table
+[x, obj, info, iter, nf, lambda] = sqp (x0, @@phi, @@g, [])
 
-@item scale (@code{LPX_K_SCALE}, default: 1)
-Scaling option: 
-@table @asis
-@item 0
-No scaling.
-@item 1
-Equilibration scaling.
-@item 2
-Geometric mean scaling, then equilibration scaling.
-@end table
+x =
+    
+  -1.71714
+   1.59571
+   1.82725
+  -0.76364
+  -0.76364
+     
+obj = 0.053950
+info = 101
+iter = 8
+nf = 10
+lambda =
+    
+  -0.0401627
+   0.0379578
+  -0.0052227
+@end example
 
-@item dual	 (@code{LPX_K_DUAL}, default: 0)
-Dual simplex option:
+The value returned in @var{info} may be one of the following:
 @table @asis
-@item 0
-Do not use the dual simplex.
-@item 1
-If initial basic solution is dual feasible, use the dual simplex.
+@item 101
+The algorithm terminated because the norm of the last step was less
+than @code{tol * norm (x))} (the value of tol is currently fixed at
+@code{sqrt (eps)}---edit @file{sqp.m} to modify this value.
+@item 102
+The BFGS update failed.
+@item 103
+The maximum number of iterations was reached (the maximum number of
+allowed iterations is currently fixed at 100---edit @file{sqp.m} to
+increase this value).
 @end table
+@seealso{qp}
+@end deftypefn
+optimset
+-*- texinfo -*-
+@deftypefn {Function File} {} optimset ()
+@deftypefnx {Function File} {} optimset (@var{par}, @var{val}, @dots{})
+@deftypefnx {Function File} {} optimset (@var{old}, @var{par}, @var{val}, @dots{})
+@deftypefnx {Function File} {} optimset (@var{old}, @var{new})
+Create options struct for optimization functions.
+@end deftypefn
+acoth
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} acoth (@var{x})
+Compute the inverse hyperbolic cotangent of each element of @var{x}.
+@end deftypefn
+acotd
+-*- texinfo -*-
+@deftypefn {Function File} {} acotd (@var{x})
+Compute the inverse cotangent of an angle in degrees.
+@seealso{atan, tand}
+@end deftypefn
+tand
+-*- texinfo -*-
+@deftypefn {Function File} {} tand (@var{x})
+Compute the tangent of an angle in degrees.  Returns zero for elements
+of for which @code{@var{x}/180} is an integer and @code{Inf} for elements
+where @code{(@var{x}-90)/180} is an integer.
+@seealso{tan, cosd, sind, acosd, asind, atand}
+@end deftypefn
+acot
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} acot (@var{x})
+Compute the inverse cotangent of each element of @var{x}.
+@end deftypefn
+coth
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} coth (@var{x})
+Compute the hyperbolic cotangent of each element of @var{x}.
+@end deftypefn
+sec
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} sec (@var{x})
+Compute the secant of each element of @var{x}.
+@end deftypefn
+atand
+-*- texinfo -*-
+@deftypefn {Function File} {} atand (@var{x})
+Compute the inverse tangent of an angle in degrees.
+@seealso{acot, tand}
+@end deftypefn
+lcm
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} lcm (@var{x}, @dots{})
+Compute the least common multiple of the elements of @var{x}, or
+the list of all the arguments.  For example,
 
-@item price	 (@code{LPX_K_PRICE}, default: 1)
-Pricing option (for both primal and dual simplex):
-@table @asis
-@item 0
-Textbook pricing.
-@item 1
-Steepest edge pricing.
-@end table
-  
-@item round	 (@code{LPX_K_ROUND}, default: 0)
-Solution rounding option:
-@table @asis
-@item 0
-Report all primal and dual values "as is".
-@item 1
-Replace tiny primal and dual values by exact zero.
-@end table
+@example
+lcm (a1, ..., ak)
+@end example
 
-@item itlim	 (@code{LPX_K_ITLIM}, default: -1)
-Simplex iterations limit.  If this value is positive, it is decreased by
-one each time when one simplex iteration has been performed, and
-reaching zero value signals the solver to stop the search.  Negative
-value means no iterations limit.
+@noindent
+is the same as
 
-@item itcnt (@code{LPX_K_OUTFRQ}, default: 200)
-Output frequency, in iterations.  This parameter specifies how
-frequently the solver sends information about the solution to the
-standard output.
+@example
+lcm ([a1, ..., ak]).
+@end example
 
-@item branch (@code{LPX_K_BRANCH}, default: 2)
-Branching heuristic option (for MIP only):
-@table @asis
-@item 0
-Branch on the first variable.
-@item 1
-Branch on the last variable.
-@item 2
-Branch using a heuristic by Driebeck and Tomlin.
-@end table
-
-@item btrack (@code{LPX_K_BTRACK}, default: 2)
-Backtracking heuristic option (for MIP only):
-@table @asis
-@item 0
-Depth first search.
-@item 1
-Breadth first search.
-@item 2
-Backtrack using the best projection heuristic.
-@end table        
-
-@item presol (@code{LPX_K_PRESOL}, default: 1)
-If this flag is set, the routine lpx_simplex solves the problem using
-the built-in LP presolver.  Otherwise the LP presolver is not used.
-
-@item lpsolver (default: 1)
-Select which solver to use.  If the problem is a MIP problem this flag
-will be ignored.
-@table @asis
-@item 1
-Revised simplex method.
-@item 2
-Interior point method.
-@end table
-@item save (default: 0)
-If this parameter is nonzero, save a copy of the problem in
-CPLEX LP format to the file @file{"outpb.lp"}.  There is currently no
-way to change the name of the output file.
-@end table
-
-Real parameters:
-
-@table @code
-@item relax (@code{LPX_K_RELAX}, default: 0.07)
-Relaxation parameter used in the ratio test. If it is zero, the textbook
-ratio test is used. If it is non-zero (should be positive), Harris'
-two-pass ratio test is used. In the latter case on the first pass of the
-ratio test basic variables (in the case of primal simplex) or reduced
-costs of non-basic variables (in the case of dual simplex) are allowed
-to slightly violate their bounds, but not more than
-@code{relax*tolbnd} or @code{relax*toldj (thus, @code{relax} is a
-percentage of @code{tolbnd} or @code{toldj}}.
-
-@item tolbnd (@code{LPX_K_TOLBND}, default: 10e-7)
-Relative tolerance used to check if the current basic solution is primal
-feasible.  It is not recommended that you change this parameter unless you
-have a detailed understanding of its purpose.
-
-@item toldj (@code{LPX_K_TOLDJ}, default: 10e-7)
-Absolute tolerance used to check if the current basic solution is dual
-feasible.  It is not recommended that you change this parameter unless you
-have a detailed understanding of its purpose.
-
-@item tolpiv (@code{LPX_K_TOLPIV}, default: 10e-9)
-Relative tolerance used to choose eligible pivotal elements of the
-simplex table.  It is not recommended that you change this parameter unless you
-have a detailed understanding of its purpose.
-
-@item objll (@code{LPX_K_OBJLL}, default: -DBL_MAX)
-Lower limit of the objective function.  If on the phase II the objective
-function reaches this limit and continues decreasing, the solver stops
-the search.  This parameter is used in the dual simplex method only.
-
-@item objul (@code{LPX_K_OBJUL}, default: +DBL_MAX)
-Upper limit of the objective function. If on the phase II the objective
-function reaches this limit and continues increasing, the solver stops
-the search.  This parameter is used in the dual simplex only.
-
-@item tmlim (@code{LPX_K_TMLIM}, default: -1.0)
-Searching time limit, in seconds. If this value is positive, it is
-decreased each time when one simplex iteration has been performed by the
-amount of time spent for the iteration, and reaching zero value signals
-the solver to stop the search.  Negative value means no time limit.
-
-@item outdly (@code{LPX_K_OUTDLY}, default: 0.0)
-Output delay, in seconds. This parameter specifies how long the solver
-should delay sending information about the solution to the standard
-output. Non-positive value means no delay.
-
-@item tolint (@code{LPX_K_TOLINT}, default: 10e-5)
-Relative tolerance used to check if the current basic solution is integer
-feasible.  It is not recommended that you change this parameter unless
-you have a detailed understanding of its purpose.
-
-@item tolobj (@code{LPX_K_TOLOBJ}, default: 10e-7)
-Relative tolerance used to check if the value of the objective function
-is not better than in the best known integer feasible solution.  It is
-not recommended that you change this parameter unless you have a
-detailed understanding of its purpose.
-@end table
-@end table
-
-Output values:
-
-@table @var
-@item xopt
-The optimizer (the value of the decision variables at the optimum).
-@item fopt
-The optimum value of the objective function.
-@item status
-Status of the optimization.
-
-Simplex Method:
-@table @asis
-@item 180 (@code{LPX_OPT})
-Solution is optimal.
-@item 181 (@code{LPX_FEAS})
-Solution is feasible.
-@item 182 (@code{LPX_INFEAS})
-Solution is infeasible.
-@item 183 (@code{LPX_NOFEAS})
-Problem has no feasible solution.
-@item 184 (@code{LPX_UNBND})
-Problem has no unbounded solution.
-@item 185 (@code{LPX_UNDEF})
-Solution status is undefined.
-@end table
-Interior Point Method:
-@table @asis
-@item 150 (@code{LPX_T_UNDEF})
-The interior point method is undefined.
-@item 151 (@code{LPX_T_OPT})
-The interior point method is optimal.
-@end table
-Mixed Integer Method:
-@table @asis
-@item 170 (@code{LPX_I_UNDEF})
-The status is undefined.
-@item 171 (@code{LPX_I_OPT})
-The solution is integer optimal.
-@item 172 (@code{LPX_I_FEAS})
-Solution integer feasible but its optimality has not been proven
-@item 173 (@code{LPX_I_NOFEAS})
-No integer feasible solution.
-@end table
-@noindent
-If an error occurs, @var{status} will contain one of the following
-codes:
-
-@table @asis
-@item 204 (@code{LPX_E_FAULT})
-Unable to start the search.
-@item 205 (@code{LPX_E_OBJLL})
-Objective function lower limit reached.
-@item 206 (@code{LPX_E_OBJUL})
-Objective function upper limit reached.
-@item 207 (@code{LPX_E_ITLIM})
-Iterations limit exhausted.
-@item 208 (@code{LPX_E_TMLIM})
-Time limit exhausted.
-@item 209 (@code{LPX_E_NOFEAS})
-No feasible solution.
-@item 210 (@code{LPX_E_INSTAB})
-Numerical instability.
-@item 211 (@code{LPX_E_SING})
-Problems with basis matrix.
-@item 212 (@code{LPX_E_NOCONV})
-No convergence (interior).
-@item 213 (@code{LPX_E_NOPFS})
-No primal feasible solution (LP presolver).
-@item 214 (@code{LPX_E_NODFS})
-No dual feasible solution (LP presolver).
-@end table
-@item extra
-A data structure containing the following fields:
-@table @code
-@item lambda
-Dual variables.
-@item redcosts
-Reduced Costs.
-@item time
-Time (in seconds) used for solving LP/MIP problem.
-@item mem
-Memory (in bytes) used for solving LP/MIP problem (this is not 
-available if the version of GLPK is 4.15 or later).
-@end table
-@end table
-
-Example:
-
-@example
-@group
-c = [10, 6, 4]';
-a = [ 1, 1, 1;
-     10, 4, 5;
-      2, 2, 6];
-b = [100, 600, 300]';
-lb = [0, 0, 0]';
-ub = [];
-ctype = "UUU";
-vartype = "CCC";
-s = -1;
+All elements must be the same size or scalar.
+@seealso{gcd, min, max, ceil, floor}
+@end deftypefn
+secd
+-*- texinfo -*-
+@deftypefn {Function File} {} secd (@var{x})
+Compute the secant of an angle in degrees.
+@seealso{sec, cscd, sind, cosd}
+@end deftypefn
+cotd
+-*- texinfo -*-
+@deftypefn {Function File} {} cotd (@var{x})
+Compute the cotangent of an angle in degrees.
+@seealso{cot, tand}
+@end deftypefn
+csch
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} csch (@var{x})
+Compute the hyperbolic cosecant of each element of @var{x}.
+@end deftypefn
+asind
+-*- texinfo -*-
+@deftypefn {Function File} {} asind (@var{x})
+Compute the inverse sine of an angle in degrees.
+@seealso{asin, sind, acosd}
+@end deftypefn
+asec
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} asec (@var{x})
+Compute the inverse secant of each element of @var{x}.
+@end deftypefn
+acosd
+-*- texinfo -*-
+@deftypefn {Function File} {} acosd (@var{x})
+Compute the inverse cosine of an angle in degrees.
+@seealso{acos, cosd, asecd}
+@end deftypefn
+acsc
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} acsc (@var{x})
+Compute the inverse cosecant of each element of @var{x}.
+@end deftypefn
+csc
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} csc (@var{x})
+Compute the cosecant of each element of @var{x}.
+@end deftypefn
+cot
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} cot (@var{x})
+Compute the cotangent of each element of @var{x}.
+@end deftypefn
+sind
+-*- texinfo -*-
+@deftypefn {Function File} {} sind (@var{x})
+Compute the sine of each element of @var{x}.  Returns zero in elements
+for which @code{@var{x}/180} is an integer.
+@seealso{sin, cosd, tand, acosd, asind, atand}
+@end deftypefn
+sech
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} sech (@var{x})
+Compute the hyperbolic secant of each element of @var{x}.
+@end deftypefn
+asech
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} asech (@var{x})
+Compute the inverse hyperbolic secant of each element of @var{x}.
+@end deftypefn
+asecd
+-*- texinfo -*-
+@deftypefn {Function File} {} asecd (@var{x})
+Compute inverse secant in degrees.
+@seealso{asec, secd, acscd}
+@end deftypefn
+cosd
+-*- texinfo -*-
+@deftypefn {Function File} {} cosd (@var{x})
+Compute the cosine of an angle in degrees.  Returns zero in elements
+for which @code{(@var{x}-90)/180} is an integer.
+@seealso{cos, sind, tand, acosd, asind, atand}
+@end deftypefn
+cscd
+-*- texinfo -*-
+@deftypefn {Function File} {} cscd (@var{x})
+Compute the cosecant of an angle in degrees.
+@seealso{csc, secd, sind, cosd}
+@end deftypefn
+acscd
+-*- texinfo -*-
+@deftypefn {Function File} {} acscd (@var{x})
+Compute the inverse cosecant of an angle in degrees.
+@seealso{acsc, cscd, asecd}
+@end deftypefn
+acsch
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} acsch (@var{x})
+Compute the inverse hyperbolic cosecant of each element of @var{x}.
+@end deftypefn
+etreeplot
+-*- texinfo -*-
+@deftypefn {Function File} {} etreeplot (@var{tree})
+@deftypefnx {Function File} {} etreeplot (@var{tree}, @var{node_style}, @var{edge_style})
+Plot the elimination tree of the matrix @var{s} or
+@code{@var{s}+@var{s}'}  if @var{s} in non-symmetric.  The optional
+parameters @var{line_style} and @var{edge_style} define the output
+style.
+@seealso{treeplot, gplot}
+@end deftypefn
+gplot
+-*- texinfo -*-
+@deftypefn {Function File} {} gplot (@var{a}, @var{xy})
+@deftypefnx {Function File} {} gplot (@var{a}, @var{xy}, @var{line_style})
+@deftypefnx {Function File} {[@var{x}, @var{y}] =} gplot (@var{a}, @var{xy})
+Plot a graph defined by @var{A} and @var{xy} in the graph theory
+sense.  @var{A} is the adjacency matrix of the array to be plotted
+and @var{xy} is an @var{n}-by-2 matrix containing the coordinates of
+the nodes of the graph.
 
-param.msglev = 1;
-param.itlim = 100;
+The optional parameter @var{line_style} defines the output style for
+the plot.  Called with no output arguments the graph is plotted
+directly.  Otherwise, return the coordinates of the plot in @var{x}
+and @var{y}.
+@seealso{treeplot, etreeplot, spy}
+@end deftypefn
+spstats
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{count}, @var{mean}, @var{var}] =} spstats (@var{s})
+@deftypefnx {Function File} {[@var{count}, @var{mean}, @var{var}] =} spstats (@var{s}, @var{j})
+Return the stats for the non-zero elements of the sparse matrix @var{s}.
+@var{count} is the number of non-zeros in each column, @var{mean}
+is the mean of the non-zeros in each column, and @var{var} is the  
+variance of the non-zeros in each column.
 
-[xmin, fmin, status, extra] = ...
-   glpk (c, a, b, lb, ub, ctype, vartype, s, param);
-@end group
-@end example
+Called with two input arguments, if @var{s} is the data and @var{j}
+is the bin number for the data, compute the stats for each bin.  In 
+this case, bins can contain data values of zero, whereas with 
+@code{spstats (@var{s})} the zeros may disappear.
+@end deftypefn
+treeplot
+-*- texinfo -*-
+@deftypefn {Function File} {} treeplot (@var{Tree})
+@deftypefnx {Function File} {} treeplot (@var{Tree}, @var{LineStyle}, @var{EdgeStyle})
+Produces a graph of tree or forest. The first argument is vector of
+predecessors, optional parameters @var{LineStyle} and @var{EdgeStyle}
+define the output style. The complexity of the algorithm is O(n) in
+terms of is time and memory requirements.
+@seealso{etreeplot, gplot}
 @end deftypefn
-glpkmex
+spones
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{xopt}, @var{fmin}, @var{status}, @var{extra}] =} glpkmex (@var{sense}, @var{c}, @var{a}, @var{b}, @var{ctype}, @var{lb}, @var{ub}, @var{vartype}, @var{param}, @var{lpsolver}, @var{save_pb})
-This function is provided for compatibility with the old @sc{Matlab}
-interface to the GNU GLPK library.  For Octave code, you should use
-the @code{glpk} function instead.
+@deftypefn {Function File} {@var{y} =} spones (@var{x})
+Replace the non-zero entries of @var{x} with ones. This creates a
+sparse matrix with the same structure as @var{x}.
 @end deftypefn
-optimset
+nonzeros
 -*- texinfo -*-
-@deftypefn {Function File} {} optimset ()
-@deftypefnx {Function File} {} optimset (@var{par}, @var{val}, @dots{})
-@deftypefnx {Function File} {} optimset (@var{old}, @var{par}, @var{val}, @dots{})
-@deftypefnx {Function File} {} optimset (@var{old}, @var{new})
-Create options struct for optimization functions.
+@deftypefn {Function File} {} nonzeros (@var{s})
+Returns a vector of the non-zero values of the sparse matrix @var{s}.
 @end deftypefn
-qp
+sphcat
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{lambda}] =} qp (@var{x0}, @var{H}, @var{q}, @var{A}, @var{b}, @var{lb}, @var{ub}, @var{A_lb}, @var{A_in}, @var{A_ub})
-Solve the quadratic program
-@iftex
-@tex
-$$
- \min_x {1 \over 2} x^T H x + x^T q
-$$
-@end tex
-@end iftex
-@ifnottex
+@deftypefn {Function File} {@var{y} =} sphcat (@var{a1}, @var{a2}, @dots{}, @var{aN})
+Return the horizontal concatenation of sparse matrices. This function
+is obselete and @code{horzcat} should be used.
+@seealso {spvcat, vertcat, horzcat, cat}
+@end deftypefn
+sprandsym
+-*- texinfo -*-
+@deftypefn {Function File} {} sprandsym (@var{n}, @var{d})
+@deftypefnx {Function File} {} sprandsym (@var{s})
+Generate a symmetric random sparse matrix. The size of the matrix will be
+@var{n} by @var{n}, with a density of values given by @var{d}.
+@var{d} should be between 0 and 1. Values will be normally
+distributed with mean of zero and variance 1.
 
-@example
-     min 0.5 x'*H*x + x'*q
-      x
-@end example
+Note: sometimes the actual density  may be a bit smaller than @var{d}. 
+This is unlikely to happen for large really sparse matrices.
 
-@end ifnottex
-subject to
-@iftex
-@tex
-$$
- Ax = b \qquad lb \leq x \leq ub \qquad A_{lb} \leq A_{in} \leq A_{ub}
-$$
-@end tex
-@end iftex
-@ifnottex
+If called with a single matrix argument, a random sparse matrix is
+generated wherever the matrix @var{S} is non-zero in its lower
+triangular part.
+@seealso{sprand, sprandn}
+@end deftypefn
+pcg
+-*- texinfo -*-
+@deftypefn {Function File} {@var{x} =} pcg (@var{a}, @var{b}, @var{tol}, @var{maxit}, @var{m1}, @var{m2}, @var{x0}, @dots{})
+@deftypefnx {Function File} {[@var{x}, @var{flag}, @var{relres}, @var{iter}, @var{resvec}, @var{eigest}] =} pcg (@dots{})
 
-@example
-     A*x = b
-     lb <= x <= ub
-     A_lb <= A_in*x <= A_ub
-@end example
-@end ifnottex
+Solves the linear system of equations @code{@var{a} * @var{x} =
+@var{b}} by means of the  Preconditioned Conjugate Gradient iterative
+method. The input arguments are
 
-@noindent
-using a null-space active-set method.
+@itemize
+@item
+@var{a} can be either a square (preferably sparse) matrix or a
+function handle, inline function or string containing the name
+of a function which computes @code{@var{a} * @var{x}}. In principle
+@var{a} should be symmetric and positive definite; if @code{pcg}
+finds @var{a} to not be positive definite, you will get a warning
+message and the @var{flag} output parameter will be set.
 
-Any bound (@var{A}, @var{b}, @var{lb}, @var{ub}, @var{A_lb},
-@var{A_ub}) may be set to the empty matrix (@code{[]}) if not
-present.  If the initial guess is feasible the algorithm is faster.
+@item
+@var{b} is the right hand side vector.
 
-The value @var{info} is a structure with the following fields:
-@table @code
-@item solveiter
-The number of iterations required to find the solution.
-@item info
-An integer indicating the status of the solution, as follows:
-@table @asis
-@item 0
-The problem is feasible and convex.  Global solution found.
-@item 1
-The problem is not convex.  Local solution found.
-@item 2
-The problem is not convex and unbounded.
-@item 3
-Maximum number of iterations reached.
-@item 6
-The problem is infeasible.
-@end table
-@end table
-@end deftypefn
-sqp
--*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h})
-Solve the nonlinear program
-@iftex
-@tex
-$$
-\min_x \phi (x)
-$$
-@end tex
-@end iftex
-@ifnottex
+@item
+@var{tol} is the required relative tolerance for the residual error,
+@code{@var{b} - @var{a} * @var{x}}. The iteration stops if @code{norm
+(@var{b} - @var{a} * @var{x}) <= @var{tol} * norm (@var{b} - @var{a} *
+@var{x0})}. If @var{tol} is empty or is omitted, the function sets
+@code{@var{tol} = 1e-6} by default.
 
-@example
-     min phi (x)
-      x
-@end example
+@item
+@var{maxit} is the maximum allowable number of iterations; if
+@code{[]} is supplied for @code{maxit}, or @code{pcg} has less
+arguments, a default value equal to 20 is used.
 
-@end ifnottex
-subject to
-@iftex
-@tex
-$$
- g(x) = 0 \qquad h(x) \geq 0
-$$
-@end tex
-@end iftex
-@ifnottex
+@item
+@var{m} = @var{m1} * @var{m2} is the (left) preconditioning matrix, so that the iteration is
+(theoretically) equivalent to solving by @code{pcg} @code{@var{P} *
+@var{x} = @var{m} \ @var{b}}, with @code{@var{P} = @var{m} \ @var{a}}.
+Note that a proper choice of the preconditioner may dramatically
+improve the overall performance of the method. Instead of matrices
+@var{m1} and @var{m2}, the user may pass two functions which return 
+the results of applying the inverse of @var{m1} and @var{m2} to 
+a vector (usually this is the preferred way of using the preconditioner). 
+If @code{[]} is supplied for @var{m1}, or @var{m1} is omitted, no 
+preconditioning is applied. If @var{m2} is omitted, @var{m} = @var{m1}
+will be used as preconditioner.
 
-@example
-     g(x)  = 0
-     h(x) >= 0
-@end example
-@end ifnottex
+@item
+@var{x0} is the initial guess. If @var{x0} is empty or omitted, the 
+function sets @var{x0} to a zero vector by default.
+@end itemize
 
-@noindent
-using a successive quadratic programming method.
+The arguments which follow @var{x0} are treated as parameters, and
+passed in a proper way to any of the functions (@var{a} or @var{m})
+which are passed to @code{pcg}. See the examples below for further
+details. The output arguments are
 
-The first argument is the initial guess for the vector @var{x}.
+@itemize
+@item
+@var{x} is the computed approximation to the solution of
+@code{@var{a} * @var{x} = @var{b}}.
 
-The second argument is a function handle pointing to the objective
-function.  The objective function must be of the form
+@item
+@var{flag} reports on the convergence. @code{@var{flag} = 0} means
+the solution converged and the tolerance criterion given by @var{tol}
+is satisfied. @code{@var{flag} = 1} means that the @var{maxit} limit
+for the iteration count was reached. @code{@var{flag} = 3} reports that
+the (preconditioned) matrix was found not positive definite.
 
-@example
-     y = phi (x)
-@end example
+@item
+@var{relres} is the ratio of the final residual to its initial value,
+measured in the Euclidean norm.
 
-@noindent
-in which @var{x} is a vector and @var{y} is a scalar.
+@item
+@var{iter} is the actual number of iterations performed.
 
-The second argument may also be a 2- or 3-element cell array of
-function handles.  The first element should point to the objective
-function, the second should point to a function that computes the
-gradient of the objective function, and the third should point to a
-function to compute the hessian of the objective function.  If the
-gradient function is not supplied, the gradient is computed by finite
-differences.  If the hessian function is not supplied, a BFGS update
-formula is used to approximate the hessian.
+@item 
+@var{resvec} describes the convergence history of the method.
+@code{@var{resvec} (i,1)} is the Euclidean norm of the residual, and
+@code{@var{resvec} (i,2)} is the preconditioned residual norm,
+after the (@var{i}-1)-th iteration, @code{@var{i} =
+1, 2, @dots{}, @var{iter}+1}. The preconditioned residual norm
+is defined as
+@code{norm (@var{r}) ^ 2 = @var{r}' * (@var{m} \ @var{r})} where
+@code{@var{r} = @var{b} - @var{a} * @var{x}}, see also the
+description of @var{m}. If @var{eigest} is not required, only
+@code{@var{resvec} (:,1)} is returned.
 
-If supplied, the gradient function must be of the form
+@item
+@var{eigest} returns the estimate for the smallest @code{@var{eigest}
+(1)} and largest @code{@var{eigest} (2)} eigenvalues of the
+preconditioned matrix @code{@var{P} = @var{m} \ @var{a}}. In 
+particular, if no preconditioning is used, the estimates for the
+extreme eigenvalues of @var{a} are returned. @code{@var{eigest} (1)}
+is an overestimate and @code{@var{eigest} (2)} is an underestimate, 
+so that @code{@var{eigest} (2) / @var{eigest} (1)} is a lower bound
+for @code{cond (@var{P}, 2)}, which nevertheless in the limit should
+theoretically be equal to the actual value of the condition number. 
+The method which computes @var{eigest} works only for symmetric positive
+definite @var{a} and @var{m}, and the user is responsible for
+verifying this assumption. 
+@end itemize
+
+Let us consider a trivial problem with a diagonal matrix (we exploit the
+sparsity of A) 
 
 @example
-g = gradient (x)
+@group
+	N = 10; 
+	A = spdiag ([1:N]);
+	b = rand (N, 1);
+     [L, U, P, Q] = luinc (A,1.e-3);
+@end group
 @end example
 
-@noindent
-in which @var{x} is a vector and @var{g} is a vector.
+@sc{Example 1:} Simplest use of @code{pcg}
 
-If supplied, the hessian function must be of the form
+@example
+  x = pcg(A,b)
+@end example
+
+@sc{Example 2:} @code{pcg} with a function which computes
+@code{@var{a} * @var{x}}
 
 @example
-h = hessian (x)
-@end example
+@group
+  function y = applyA (x)
+    y = [1:N]'.*x; 
+  endfunction
 
-@noindent
-in which @var{x} is a vector and @var{h} is a matrix.
+  x = pcg ("applyA", b)
+@end group
+@end example
 
-The third and fourth arguments are function handles pointing to
-functions that compute the equality constraints and the inequality
-constraints, respectively.
+@sc{Example 3:} @code{pcg} with a preconditioner: @var{l} * @var{u}
 
-If your problem does not have equality (or inequality) constraints,
-you may pass an empty matrix for @var{cef} (or @var{cif}).
+@example
+x=pcg(A,b,1.e-6,500,L*U);
+@end example
 
-If supplied, the equality and inequality constraint functions must be
-of the form
+@sc{Example 4:} @code{pcg} with a preconditioner: @var{l} * @var{u}.
+Faster than @sc{Example 3} since lower and upper triangular matrices 
+are easier to invert
 
 @example
-r = f (x)
+x=pcg(A,b,1.e-6,500,L,U);
 @end example
 
-@noindent
-in which @var{x} is a vector and @var{r} is a vector.
-
-The third and fourth arguments may also be 2-element cell arrays of
-function handles.  The first element should point to the constraint
-function and the second should point to a function that computes the
-gradient of the constraint function:
+@sc{Example 5:} Preconditioned iteration, with full diagnostics. The
+preconditioner (quite strange, because even the original matrix
+@var{a} is trivial) is defined as a function
 
-@iftex
-@tex
-$$
- \Bigg( {\partial f(x) \over \partial x_1}, 
-        {\partial f(x) \over \partial x_2}, \ldots,
-        {\partial f(x) \over \partial x_N} \Bigg)^T
-$$
-@end tex
-@end iftex
-@ifnottex
 @example
-                [ d f(x)   d f(x)        d f(x) ]
-    transpose ( [ ------   -----   ...   ------ ] )
-                [  dx_1     dx_2          dx_N  ]
+@group
+  function y = applyM(x)
+    K = floor (length (x) - 2);
+    y = x;
+    y(1:K) = x(1:K)./[1:K]';
+  endfunction
+
+  [x, flag, relres, iter, resvec, eigest] = ...
+                     pcg (A, b, [], [], "applyM");
+  semilogy (1:iter+1, resvec);
+@end group
 @end example
-@end ifnottex
 
-Here is an example of calling @code{sqp}:
+@sc{Example 6:} Finally, a preconditioner which depends on a
+parameter @var{k}.
 
 @example
-function r = g (x)
-  r = [ sumsq(x)-10;
-        x(2)*x(3)-5*x(4)*x(5); 
-        x(1)^3+x(2)^3+1 ];
-endfunction
+@group
+  function y = applyM (x, varargin)
+  K = varargin@{1@}; 
+  y = x;
+  y(1:K) = x(1:K)./[1:K]';
+  endfunction
 
-function obj = phi (x)
-  obj = exp(prod(x)) - 0.5*(x(1)^3+x(2)^3+1)^2;
-endfunction
+  [x, flag, relres, iter, resvec, eigest] = ...
+       pcg (A, b, [], [], "applyM", [], [], 3)
+@end group
+@end example
 
-x0 = [-1.8; 1.7; 1.9; -0.8; -0.8];
+@sc{References}
 
-[x, obj, info, iter, nf, lambda] = sqp (x0, @@phi, @@g, [])
+	[1] C.T.Kelley, 'Iterative methods for linear and nonlinear equations',
+	SIAM, 1995 (the base PCG algorithm) 
+	
+	[2] Y.Saad, 'Iterative methods for sparse linear systems', PWS 1996
+	(condition number estimate from PCG) Revised version of this book is
+	available online at http://www-users.cs.umn.edu/~saad/books.html
 
-x =
-    
-  -1.71714
-   1.59571
-   1.82725
-  -0.76364
-  -0.76364
-     
-obj = 0.053950
-info = 101
-iter = 8
-nf = 10
-lambda =
-    
-  -0.0401627
-   0.0379578
-  -0.0052227
-@end example
 
-The value returned in @var{info} may be one of the following:
-@table @asis
-@item 101
-The algorithm terminated because the norm of the last step was less
-than @code{tol * norm (x))} (the value of tol is currently fixed at
-@code{sqrt (eps)}---edit @file{sqp.m} to modify this value.
-@item 102
-The BFGS update failed.
-@item 103
-The maximum number of iterations was reached (the maximum number of
-allowed iterations is currently fixed at 100---edit @file{sqp.m} to
-increase this value).
-@end table
-@seealso{qp}
+@seealso{sparse, pcr}
 @end deftypefn
-savepath
+spvcat
 -*- texinfo -*-
-@deftypefn {Function File} {} savepath (@var{file})
-Save the current function search path to @var{file}.  If @var{file}
-is omitted, @file{~/.octaverc} is used.  If successful,
-@code{savepath} returns 0.
-@seealso{path, addpath, rmpath, genpath, pathdef, pathsep}
+@deftypefn {Function File} {@var{y} =} spvcat (@var{a1}, @var{a2}, @dots{}, @var{aN})
+Return the vertical concatenation of sparse matrices. This function
+is obselete and @code{vertcat} should be used
+@seealso{sphcat, vertcat, horzcat, cat}
 @end deftypefn
-pkg
+normest
 -*- texinfo -*-
-@deftypefn  {Command} pkg @var{command} @var{pkg_name}
-@deftypefnx {Command} pkg @var{command} @var{option} @var{pkg_name}
-This command interacts with the package manager. Different actions will
-be taken depending on the value of @var{command}.
+@deftypefn {Function File} {[@var{n}, @var{c}] =} normest (@var{a}, @var{tol})
+Estimate the 2-norm of the matrix @var{a} using a power series
+analysis. This is typically used for large matrices, where the cost
+of calculating the @code{norm (@var{a})} is prohibitive and an approximation
+to the 2-norm is acceptable.
 
-@table @samp
-@item install
-Install named packages.  For example,
-@example
-pkg install image-1.0.0.tar.gz
-@end example
-@noindent
-installs the package found in the file @code{image-1.0.0.tar.gz}.
+@var{tol} is the tolerance to which the 2-norm is calculated. By default
+@var{tol} is 1e-6. @var{c} returns the number of iterations needed for
+@code{normest} to converge.
+@end deftypefn
+pcr
+-*- texinfo -*-
+@deftypefn {Function File} {@var{x} =} pcr (@var{a}, @var{b}, @var{tol}, @var{maxit}, @var{m}, @var{x0}, @dots{})
+@deftypefnx {Function File} {[@var{x}, @var{flag}, @var{relres}, @var{iter}, @var{resvec}] =} pcr (@dots{})
 
-The @var{option} variable can contain options that affect the manner
-in which a package is installed. These options can be one or more of
+Solves the linear system of equations @code{@var{a} * @var{x} =
+@var{b}} by means of the  Preconditioned Conjugate Residuals iterative
+method. The input arguments are
 
-@table @code
-@item -nodeps
-The package manager will disable the dependency checking. That way it 
-is possible to install a package even if it depends on another package 
-that's not installed on the system. @strong{Use this option with care.}
+@itemize
+@item
+@var{a} can be either a square (preferably sparse) matrix or a
+function handle, inline function or string containing the name
+of a function which computes @code{@var{a} * @var{x}}. In principle
+@var{a} should be symmetric and non-singular; if @code{pcr}
+finds @var{a} to be numerically singular, you will get a warning
+message and the @var{flag} output parameter will be set.
 
-@item -noauto
-The package manager will not automatically load the installed package 
-when starting Octave, even if the package requests that it is.
+@item
+@var{b} is the right hand side vector.
 
-@item -auto
-The package manager will automatically load the installed package when 
-starting Octave, even if the package requests that it isn't.
+@item
+@var{tol} is the required relative tolerance for the residual error,
+@code{@var{b} - @var{a} * @var{x}}. The iteration stops if @code{norm
+(@var{b} - @var{a} * @var{x}) <= @var{tol} * norm (@var{b} - @var{a} *
+@var{x0})}. If @var{tol} is empty or is omitted, the function sets
+@code{@var{tol} = 1e-6} by default.
 
-@item -local
-A local installation is forced, even if the user has system privileges.
+@item
+@var{maxit} is the maximum allowable number of iterations; if
+@code{[]} is supplied for @code{maxit}, or @code{pcr} has less
+arguments, a default value equal to 20 is used.
 
-@item -global
-A global installation is forced, even if the user doesn't normally have
-system privileges
+@item
+@var{m} is the (left) preconditioning matrix, so that the iteration is
+(theoretically) equivalent to solving by @code{pcr} @code{@var{P} *
+@var{x} = @var{m} \ @var{b}}, with @code{@var{P} = @var{m} \ @var{a}}.
+Note that a proper choice of the preconditioner may dramatically
+improve the overall performance of the method. Instead of matrix
+@var{m}, the user may pass a function which returns the results of 
+applying the inverse of @var{m} to a vector (usually this is the
+preferred way of using the preconditioner). If @code{[]} is supplied
+for @var{m}, or @var{m} is omitted, no preconditioning is applied.
 
-@item -verbose
-The package manager will print the output of all of the commands that are 
-performed.
-@end table
+@item
+@var{x0} is the initial guess. If @var{x0} is empty or omitted, the 
+function sets @var{x0} to a zero vector by default.
+@end itemize
+
+The arguments which follow @var{x0} are treated as parameters, and
+passed in a proper way to any of the functions (@var{a} or @var{m})
+which are passed to @code{pcr}. See the examples below for further
+details. The output arguments are
+
+@itemize
+@item
+@var{x} is the computed approximation to the solution of
+@code{@var{a} * @var{x} = @var{b}}.
+
+@item
+@var{flag} reports on the convergence. @code{@var{flag} = 0} means
+the solution converged and the tolerance criterion given by @var{tol}
+is satisfied. @code{@var{flag} = 1} means that the @var{maxit} limit
+for the iteration count was reached. @code{@var{flag} = 3} reports t
+@code{pcr} breakdown, see [1] for details.
+
+@item
+@var{relres} is the ratio of the final residual to its initial value,
+measured in the Euclidean norm.
+
+@item
+@var{iter} is the actual number of iterations performed.
+
+@item 
+@var{resvec} describes the convergence history of the method,
+so that @code{@var{resvec} (i)} contains the Euclidean norms of the 
+residual after the (@var{i}-1)-th iteration, @code{@var{i} =
+1,2, @dots{}, @var{iter}+1}.
+@end itemize
+
+Let us consider a trivial problem with a diagonal matrix (we exploit the
+sparsity of A) 
 
-@item uninstall
-Uninstall named packages.  For example,
-@example
-pkg uninstall image
-@end example
-@noindent
-removes the @code{image} package from the system. If another installed
-package depends on the @code{image} package an error will be issued.
-The package can be uninstalled anyway by using the @code{-nodeps} option.
-@item load
-Add named packages to the path. After loading a package it is
-possible to use the functions provided by the package. For example,
-@example
-pkg load image
-@end example
-@noindent
-adds the @code{image} package to the path. It is possible to load all
-installed packages at once with the command
-@example
-pkg load all
-@end example
-@item unload
-Removes named packages from the path. After unloading a package it is
-no longer possible to use the functions provided by the package.
-This command behaves like the @code{load} command.
-@item list
-Show a list of the currently installed packages. By requesting one or two
-output argument it is possible to get a list of the currently installed
-packages. For example,
-@example
-installed_packages = pkg list;
-@end example
-@noindent
-returns a cell array containing a structure for each installed package.
-The command
-@example
-[@var{user_packages}, @var{system_packages}] = pkg list
-@end example
-@noindent
-splits the list of installed packages into those who are installed by
-the current user, and those installed by the system administrator.
-@item describe
-Show a short description of the named installed packages, with the option
-'-verbose' also list functions provided by the package, e.g.:
-@example
- pkg describe -verbose all
-@end example
-@noindent
-will describe all installed packages and the functions they provide.
-If one output is requested a cell of structure containing the
-description and list of functions of each package is returned as
-output rather than printed on screen:
-@example
- desc = pkg ("describe", "secs1d", "image")
-@end example
-@noindent
-If any of the requested packages is not installed, pkg returns an
-error, unless a second output is requested:
-@example
- [ desc, flag] = pkg ("describe", "secs1d", "image")
-@end example
-@noindent
-@var{flag} will take one of the values "Not installed", "Loaded" or
-"Not loaded" for each of the named packages.
-@item prefix
-Set the installation prefix directory. For example,
 @example
-pkg prefix ~/my_octave_packages
+@group
+	N = 10; 
+	A = diag([1:N]); A = sparse(A);  
+	b = rand(N,1);
+@end group
 @end example
-@noindent
-sets the installation prefix to @code{~/my_octave_packages}.
-Packages will be installed in this directory.
 
-It is possible to get the current installation prefix by requesting an
-output argument.  For example,
+@sc{Example 1:} Simplest use of @code{pcr}
+
 @example
-p = pkg prefix
+  x = pcr(A, b)
 @end example
 
-The location in which to install the architecture dependent files can be
-independent specified with an addition argument. For example
+@sc{Example 2:} @code{pcr} with a function which computes
+@code{@var{a} * @var{x}}.
 
 @example
-pkg prefix ~/my_octave_packages ~/my_octave_packages_for_my_pc
-@end example
-@item local_list
-Set the file in which to look for information on the locally
-installed packages. Locally installed packages are those that are
-typically available only to the current user. For example
-@example
-pkg local_list ~/.octave_packages
-@end example
-It is possible to get the current value of local_list with the following
-@example
-pkg local_list
-@end example
-@item global_list
-Set the file in which to look for, for information on the globally
-installed packages. Globally installed packages are those that are
-typically available to all users. For example
-@example
-pkg global_list /usr/share/octave/octave_packages
-@end example
-It is possible to get the current value of global_list with the following
-@example
-pkg global_list
+@group
+  function y = applyA(x) 
+    y = [1:10]'.*x; 
+  endfunction
+
+  x = pcr('applyA',b)
+@end group
 @end example
-@item rebuild
-Rebuilds the package database from the installed directories. This can 
-be used in cases where for some reason the package database is corrupted.
-It can also take the @code{-auto} and @code{-noauto} options to allow the
-autolaoding state of a package to be changed. For example
+
+@sc{Example 3:}  Preconditioned iteration, with full diagnostics. The
+preconditioner (quite strange, because even the original matrix
+@var{a} is trivial) is defined as a function
 
 @example
-pkg rebuild -noauto image
+@group
+  function y = applyM(x)		
+    K = floor(length(x)-2); 
+    y = x; 
+    y(1:K) = x(1:K)./[1:K]';	
+  endfunction
+
+  [x, flag, relres, iter, resvec] = ...
+                     pcr(A, b, [], [], 'applyM')
+  semilogy([1:iter+1], resvec);
+@end group
 @end example
 
-will remove the autoloading status of the image package.
-@item build
-Builds a binary form of a package or packages. The binary file produced
-will itself be an Octave package that can be installed normally with
-@code{pkg}. The form of the command to build a binary package is
+@sc{Example 4:} Finally, a preconditioner which depends on a
+parameter @var{k}.
 
 @example
-pkg build builddir image-1.0.0.tar.gz @dots{}
+@group
+  function y = applyM(x, varargin)
+    K = varargin@{1@}; 
+    y = x; y(1:K) = x(1:K)./[1:K]';	 
+  endfunction
+
+  [x, flag, relres, iter, resvec] = ...
+                     pcr(A, b, [], [], 'applyM', [], 3)
+@end group
 @end example
 
-@noindent
-where @code{buiddir} is the name of a directory where the temporary
-installation will be produced and the binary packages will be found.
-The options @code{-verbose} and @code{-nodeps} are respected, while 
-the other options are ignored.
-@end table
+@sc{References}
+
+	[1] W. Hackbusch, "Iterative Solution of Large Sparse Systems of
+ 	Equations", section 9.5.4; Springer, 1994
+
+@seealso{sparse, pcg}
 @end deftypefn
-__area__
-Undocumented internal function.
-__axes_limits__
-Undocumented internal function.
-__axis_label__
-Undocumented internal function.
-__bar__
-Undocumented internal function.
-__bars__
-Undocumented internal function.
-__contour__
-Undocumented internal function.
-__default_plot_options__
-Undocumented internal function.
-__errcomm__
-Undocumented internal function.
-__errplot__
-Undocumented internal function.
-drawnow
+spy
 -*- texinfo -*-
-@deftypefn {Function File} {} drawnow ()
-Update and display the current graphics.
-
-Octave automatically calls drawnow just before printing a prompt,
-when @code{sleep} or @code{pause} is called, or while waiting for
-command-line input.
+@deftypefn {Function File} {} spy (@var{x})
+@deftypefnx {Function File} {} spy (@dots{}, @var{markersize})
+@deftypefnx {Function File} {} spy (@dots{}, @var{LineSpec})
+Plot the sparsity pattern of the sparse matrix @var{x}. If the argument
+@var{markersize} is given as an scalar value, it is used to determine the
+point size in the plot. If the string @var{LineSpec} is given it is
+passed to @code{plot} and determines the appearance of the plot.
+@seealso{plot}
 @end deftypefn
-__gnuplot_version__
-Undocumented internal function.
-__go_close_all__
-Undocumented internal function.
-__go_draw_axes__
-Undocumented internal function.
-__go_draw_figure__
-Undocumented internal function.
-__line__
-Undocumented internal function.
-__next_line_color__
-Undocumented internal function.
-__patch__
-Undocumented internal function.
-__plr1__
-Undocumented internal function.
-__plr2__
-Undocumented internal function.
-__plt1__
-Undocumented internal function.
-__plt2__
-Undocumented internal function.
-__plt2mm__
-Undocumented internal function.
-__plt2mv__
-Undocumented internal function.
-__plt2ss__
-Undocumented internal function.
-__plt2sv__
-Undocumented internal function.
-__plt2vm__
-Undocumented internal function.
-__plt2vs__
-Undocumented internal function.
-__plt2vv__
-Undocumented internal function.
-__plt__
-Undocumented internal function.
-__plt_get_axis_arg__
-Undocumented internal function.
-__pltopt1__
-Undocumented internal function.
-__pltopt__
-Undocumented internal function.
-__quiver__
-Undocumented internal function
-__scatter__
-Undocumented internal function.
-__stem__
-Undocumented internal function
-ancestor
+spconvert
+-*- texinfo -*-
+@deftypefn {Function File} {@var{x} =} spconvert (@var{m})
+This function converts for a simple sparse matrix format easily
+produced by other programs into Octave's internal sparse format. The
+input @var{x} is either a 3 or 4 column real matrix, containing
+the row, column, real and imaginary parts of the elements of the
+sparse matrix. An element with a zero real and imaginary part can
+be used to force a particular matrix size.
+@end deftypefn
+spalloc
 -*- texinfo -*-
-@deftypefn {Function File} {@var{parent} =} ancestor (@var{h}, @var{type})
-@deftypefnx {Function File} {@var{parent} =} ancestor (@var{h}, @var{type}, 'toplevel')
-Return the first ancestor of handle object @var{h} whose type matches
-@var{type}, where @var{type} is a character string. If @var{type} is a
-cell array of strings, return the first parent whose type matches
-any of the given type strings.
+@deftypefn {Function File} {@var{s} =} spalloc (@var{r}, @var{c}, @var{nz})
+Returns an empty sparse matrix of size @var{r}-by-@var{c}. As Octave
+resizes sparse matrices at the first opportunity, so that no additional 
+space is needed, the argument @var{nz} is ignored. This function is 
+provided only for compatibility reasons.
 
-If the handle object @var{h} is of type @var{type}, return @var{h}.
+It should be noted that this means that code like
 
-If @code{"toplevel"} is given as a 3rd argument, return the highest
-parent in the object hierarchy that matches the condition, instead
-of the first (nearest) one.
-@seealso{get, set}
+@example
+k = 5;
+nz = r * k;
+s = spalloc (r, c, nz)
+for j = 1:c
+  idx = randperm (r);
+  s (:, j) = [zeros(r - k, 1); rand(k, 1)] (idx);
+endfor
+@end example
+
+will reallocate memory at each step. It is therefore vitally important
+that code like this is vectorized as much as possible.
+@seealso{sparse, nzmax}
 @end deftypefn
-area
+spdiags
 -*- texinfo -*-
-@deftypefn {Function File} {} area (@var{x}, @var{y})
-@deftypefnx {Function File} {} area (@var{x}, @var{y}, @var{lvl})
-@deftypefnx {Function File} {} area (@dots{}, @var{prop}, @var{val}, @dots{})
-@deftypefnx {Function File} {} area (@var{y}, @dots{})
-@deftypefnx {Function File} {} area (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} area (@dots{})
-Area plot of cummulative sum of the columns of @var{y}. This shows the
-contributions of a value to a sum, and is functionally similar to 
-@code{plot (@var{x}, cumsum (@var{y}, 2))}, except that the area under 
-the curve is shaded.
+@deftypefn {Function File} {[@var{b}, @var{c}] =} spdiags (@var{a})
+@deftypefnx {Function File} {@var{b} =} spdiags (@var{a}, @var{c})
+@deftypefnx {Function File} {@var{b} =} spdiags (@var{v}, @var{c}, @var{a})
+@deftypefnx {Function File} {@var{b} =} spdiags (@var{v}, @var{c}, @var{m}, @var{n})
+A generalization of the function @code{spdiag}. Called with a single
+input argument, the non-zero diagonals @var{c} of @var{A} are extracted.
+With two arguments the diagonals to extract are given by the vector 
+@var{c}.
 
-If the @var{x} argument is ommitted it is assumed to be given by
-@code{1 : rows (@var{y})}. A value @var{lvl} can be defined that determines
-where the base level of the shading under the curve should be defined.
+The other two forms of @code{spdiags} modify the input matrix by
+replacing the diagonals. They use the columns of @var{v} to replace
+the columns represented by the vector @var{c}. If the sparse matrix
+@var{a} is defined then the diagonals of this matrix are replaced.
+Otherwise a matrix of @var{m} by @var{n} is created with the
+diagonals given by @var{v}.
+
+Negative values of @var{c} represent diagonals below the main
+diagonal, and positive values of @var{c} diagonals above the main
+diagonal.
+
+For example
+
+@example
+@group
+spdiags (reshape (1:12, 4, 3), [-1 0 1], 5, 4)
+@result{}    5 10  0  0
+      1  6 11  0
+      0  2  7 12
+      0  0  3  8
+      0  0  0  4
+@end group
+@end example
 
-Additional arguments to the @code{area} function are passed to the 
-@code{patch}. The optional return value @var{h} provides a handle to 
-the list of patch objects.
-@seealso{plot, patch}
 @end deftypefn
-axes
+spfun
 -*- texinfo -*-
-@deftypefn {Function File} {} axes ()
-@deftypefnx {Function File} {} axes (@var{property}, @var{value}, @dots{})
-@deftypefnx {Function File} {} axes (@var{h})
-Create an axes object and return a handle to it.
+@deftypefn {Function File} {@var{y} =} spfun (@var{f},@var{x})
+Compute @code{f(@var{x})} for the non-zero values of @var{x}.
+This results in a sparse matrix with the same structure as 
+@var{x}. The function @var{f} can be passed as a string, a
+function handle or an inline function.
 @end deftypefn
-axis
+colperm
 -*- texinfo -*-
-@deftypefn {Function File} {} axis (@var{limits})
-Set axis limits for plots.
-
-The argument @var{limits} should be a 2, 4, or 6 element vector.  The
-first and second elements specify the lower and upper limits for the x
-axis.  The third and fourth specify the limits for the y axis, and the
-fifth and sixth specify the limits for the z axis.
+@deftypefn {Function File} {@var{p} =} colperm (@var{s})
+Returns the column permutations such that the columns of
+@code{@var{s} (:, @var{p})} are ordered in terms of increase number
+of non-zero elements. If @var{s} is symmetric, then @var{p} is chosen
+such that @code{@var{s} (@var{p}, @var{p})} orders the rows and
+columns with increasing number of non zeros elements.
+@end deftypefn
+sprand
+-*- texinfo -*-
+@deftypefn {Function File} {} sprand (@var{m}, @var{n}, @var{d})
+@deftypefnx {Function File} {} sprand (@var{s})
+Generate a random sparse matrix. The size of the matrix will be
+@var{m} by @var{n}, with a density of values given by @var{d}.
+@var{d} should be between 0 and 1. Values will be uniformly
+distributed between 0 and 1.
 
-Without any arguments, @code{axis} turns autoscaling on.  
+Note: sometimes the actual density  may be a bit smaller than @var{d}. 
+This is unlikely to happen for large really sparse matrices.
 
-With one output argument, @code{x=axis} returns the current axes 
+If called with a single matrix argument, a random sparse matrix is
+generated wherever the matrix @var{S} is non-zero.
+@seealso{sprandn}
+@end deftypefn
+speye
+-*- texinfo -*-
+@deftypefn {Function File} {@var{y} =} speye (@var{m})
+@deftypefnx {Function File} {@var{y} =} speye (@var{m}, @var{n})
+@deftypefnx {Function File} {@var{y} =} speye (@var{sz})
+Returns a sparse identity matrix. This is significantly more
+efficient than @code{sparse (eye (@var{m}))} as the full matrix
+is not constructed.
 
-The vector argument specifying limits is optional, and additional
-string arguments may be used to specify various axis properties.  For
-example,
+Called with a single argument a square matrix of size @var{m} by
+@var{m} is created. Otherwise a matrix of @var{m} by @var{n} is
+created. If called with a single vector argument, this argument 
+is taken to be the size of the matrix to create.
+@end deftypefn
+sprandn
+-*- texinfo -*-
+@deftypefn {Function File} {} sprandn (@var{m}, @var{n}, @var{d})
+@deftypefnx {Function File} {} sprandn (@var{s})
+Generate a random sparse matrix. The size of the matrix will be
+@var{m} by @var{n}, with a density of values given by @var{d}.
+@var{d} should be between 0 and 1. Values will be normally
+distributed with mean of zero and variance 1.
 
-@example
-axis ([1, 2, 3, 4], "square");
-@end example
+Note: sometimes the actual density  may be a bit smaller than @var{d}. 
+This is unlikely to happen for large really sparse matrices.
 
-@noindent
-forces a square aspect ratio, and
+If called with a single matrix argument, a random sparse matrix is
+generated wherever the matrix @var{S} is non-zero.
+@seealso{sprand}
+@end deftypefn
+assert
+-*- texinfo -*-
+@deftypefn {Function File} {} assert (@var{cond})
+@deftypefnx {Function File} {} assert (@var{observed},@var{expected})
+@deftypefnx {Function File} {} assert (@var{observed},@var{expected},@var{tol})
 
-@example
-axis ("labely", "tic");
-@end example
+Produces an error if the condition is not met. @code{assert} can be
+called in three different ways.
 
-@noindent
-turns tic marks on for all axes and tic mark labels on for the y-axis
-only.
+@table @code
+@item assert (@var{cond})
+Called with a single argument @var{cond}, @code{assert} produces an
+error if @var{cond} is zero.
 
-@noindent
-The following options control the aspect ratio of the axes.
+@item assert (@var{observed}, @var{expected})
+Produce an error if observed is not the same as expected. Note that 
+observed and expected can be strings, scalars, vectors, matrices, 
+lists or structures.
 
-@table @code
-@item "square"
-Force a square aspect ratio.
-@item "equal"
-Force x distance to equal y-distance.
-@item "normal"
-Restore the balance.
+@item assert(@var{observed}, @var{expected}, @var{tol})
+Accept a tolerance when comparing numbers. 
+If @var{tol} is positive use it as an absolute tolerance, will produce an error if
+@code{abs(@var{observed} - @var{expected}) > abs(@var{tol})}.
+If @var{tol} is negative use it as a relative tolerance, will produce an error if
+@code{abs(@var{observed} - @var{expected}) > abs(@var{tol} * @var{expected})}.
+If @var{expected} is zero @var{tol} will always be used as an absolute tolerance.
 @end table
+@seealso{test}
+@end deftypefn
+example
+-*- texinfo -*-
+@deftypefn {Function File} {} example ('@var{name}',@var{n})
+@deftypefnx {Function File} {[@var{x}, @var{idx}] =} example ('@var{name}',@var{n})
 
-@noindent
-The following options control the way axis limits are interpreted.
+ Display the code for example @var{n} associated with the function 
+'@var{name}', but do not run it. If @var{n} is not given, all examples 
+are displayed.
+
+Called with output arguments, the examples are returned in the form of
+a string @var{x}, with @var{idx} indicating the ending position of the 
+various examples.
+
+See @code{demo} for a complete explanation.
+@seealso{demo, test}
+@end deftypefn
+speed
+-*- texinfo -*-
+@deftypefn {Function File} {} speed (@var{f}, @var{init}, @var{max_n}, @var{f2}, @var{tol})
+@deftypefnx {Function File} {[@var{order}, @var{n}, @var{T_f}, @var{T_f2}] =} speed (@dots{})
+
+Determine the execution time of an expression for various @var{n}.
+The @var{n} are log-spaced from 1 to @var{max_n}.  For each @var{n},
+an initialization expression is computed to create whatever data
+are needed for the test.  If a second expression is given, the
+execution times of the two expressions will be compared.  Called 
+without output arguments the results are presented graphically.
 
 @table @code
-@item "auto" 
-Set the specified axes to have nice limits around the data
-or all if no axes are specified.
-@item "manual" 
-Fix the current axes limits.
-@item "tight"
-Fix axes to the limits of the data (not implemented).
-@end table
+@item @var{f}
+The expression to evaluate.
+
+@item @var{max_n}
+The maximum test length to run. Default value is 100.  Alternatively,
+use @code{[min_n,max_n]} or for complete control, @code{[n1,n2,@dots{},nk]}.
+
+@item @var{init}
+Initialization expression for function argument values.  Use @var{k} 
+for the test number and @var{n} for the size of the test.  This should
+compute values for all variables listed in args.  Note that init will
+be evaluated first for k=0, so things which are constant throughout
+the test can be computed then. The default value is @code{@var{x} =
+randn (@var{n}, 1);}.
+
+@item @var{f2}
+An alternative expression to evaluate, so the speed of the two
+can be compared. Default is @code{[]}.
+
+@item @var{tol}
+If @var{tol} is @code{Inf}, then no comparison will be made between the
+results of expression @var{f} and expression @var{f2}.  Otherwise,
+expression @var{f} should produce a value @var{v} and expression @var{f2} 
+should produce a value @var{v2}, and these shall be compared using 
+@code{assert(@var{v},@var{v2},@var{tol})}. If @var{tol} is positive,
+the tolerance is assumed to be absolute. If @var{tol} is negative,
+the tolerance is assumed to be relative. The default is @code{eps}.
 
-@noindent
-The option @code{"image"} is equivalent to @code{"tight"} and
-@code{"equal"}.
+@item @var{order}
+The time complexity of the expression @code{O(a n^p)}.  This
+is a structure with fields @code{a} and @code{p}.
 
-@noindent
-The following options affect the appearance of tic marks.
+@item @var{n}
+The values @var{n} for which the expression was calculated and
+the execution time was greater than zero.
 
-@table @code
-@item "on" 
-Turn tic marks and labels on for all axes.
-@item "off"
-Turn tic marks off for all axes.
-@item "tic[xyz]"
-Turn tic marks on for all axes, or turn them on for the
-specified axes and off for the remainder.
-@item "label[xyz]"
-Turn tic labels on for all axes, or turn them on for the 
-specified axes and off for the remainder.
-@item "nolabel"
-Turn tic labels off for all axes.
-@end table
-Note, if there are no tic marks for an axis, there can be no labels.
+@item @var{T_f}
+The nonzero execution times recorded for the expression @var{f} in seconds.
 
-@noindent
-The following options affect the direction of increasing values on
-the axes.
+@item @var{T_f2}
+The nonzero execution times recorded for the expression @var{f2} in seconds.
+If it is needed, the mean time ratio is just @code{mean(T_f./T_f2)}.
 
-@table @code
-@item "ij"
-Reverse y-axis, so lower values are nearer the top.
-@item "xy" 
-Restore y-axis, so higher values are nearer the top. 
 @end table
 
-If an axes handle is passed as the first argument, then operate on
-this axes rather than the current axes.
-@end deftypefn
-bar
--*- texinfo -*-
-@deftypefn {Function File} {} bar (@var{x}, @var{y})
-@deftypefnx {Function File} {} bar (@var{y})
-@deftypefnx {Function File} {} bar (@var{x}, @var{y}, @var{w})
-@deftypefnx {Function File} {} bar (@var{x}, @var{y}, @var{w}, @var{style})
-@deftypefnx {Function File} {@var{h} =} bar (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} bar (@var{h}, @dots{})
-Produce a bar graph from two vectors of x-y data.
+The slope of the execution time graph shows the approximate
+power of the asymptotic running time @code{O(n^p)}.  This
+power is plotted for the region over which it is approximated
+(the latter half of the graph).  The estimated power is not
+very accurate, but should be sufficient to determine the
+general order of your algorithm.  It should indicate if for 
+example your implementation is unexpectedly @code{O(n^2)} 
+rather than @code{O(n)} because it extends a vector each 
+time through the loop rather than preallocating one which is 
+big enough.  For example, in the current version of Octave,
+the following is not the expected @code{O(n)}:
 
-If only one argument is given, it is taken as a vector of y-values
-and the x coordinates are taken to be the indices of the elements.
+@example
+  speed("for i=1:n,y@{i@}=x(i); end", "", [1000,10000])
+@end example
 
-The default width of 0.8 for the bars can be changed using @var{w}. 
+but it is if you preallocate the cell array @code{y}:
 
-If @var{y} is a matrix, then each column of @var{y} is taken to be a
-separate bar graph plotted on the same graph. By default the columns
-are plotted side-by-side. This behavior can be changed by the @var{style}
-argument, which can take the values @code{"grouped"} (the default),
-or @code{"stacked"}.
+@example
+  speed("for i=1:n,y@{i@}=x(i);end", ...
+        "x=rand(n,1);y=cell(size(x));", [1000,10000])
+@end example
 
-The optional return value @var{h} provides a handle to the patch object.
-Whereas the option input handle @var{h} allows an axis handle to be passed.
-Properties of the patch graphics object can be changed using 
-@var{prop}, @var{val} pairs.
+An attempt is made to approximate the cost of the individual 
+operations, but it is wildly inaccurate.  You can improve the
+stability somewhat by doing more work for each @code{n}.  For
+example:
 
-@seealso{barh, plot}
-@end deftypefn
-barh
--*- texinfo -*-
-@deftypefn {Function File} {} barh (@var{x}, @var{y})
-@deftypefnx {Function File} {} barh (@var{y})
-@deftypefnx {Function File} {} barh (@var{x}, @var{y}, @var{w})
-@deftypefnx {Function File} {} barh (@var{x}, @var{y}, @var{w}, @var{style})
-@deftypefnx {Function File} {@var{h} =} barh (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} barh (@var{h}, @dots{})
-Produce a horizontal bar graph from two vectors of x-y data.
+@example
+  speed("airy(x)", "x=rand(n,10)", [10000,100000])
+@end example
 
-If only one argument is given, it is taken as a vector of y-values
-and the x coordinates are taken to be the indices of the elements.
+When comparing a new and original expression, the line on the
+speedup ratio graph should be larger than 1 if the new expression
+is faster.  Better algorithms have a shallow slope.  Generally, 
+vectorizing an algorithm will not change the slope of the execution 
+time graph, but it will shift it relative to the original.  For
+example:
 
-The default width of 0.8 for the bars can be changed using @var{w}. 
+@example
+  speed("v=sum(x)", "", [10000,100000], ...
+        "v=0;for i=1:length(x),v+=x(i);end")
+@end example
 
-If @var{y} is a matrix, then each column of @var{y} is taken to be a
-separate bar graph plotted on the same graph. By default the columns
-are plotted side-by-side. This behavior can be changed by the @var{style}
-argument, which can take the values @code{"grouped"} (the default),
-or @code{"stacked"}.
+A more complex example, if you had an original version of @code{xcorr}
+using for loops and another version using an FFT, you could compare the
+run speed for various lags as follows, or for a fixed lag with varying
+vector lengths as follows:
 
-The optional return value @var{h} provides a handle to the patch object.
-Whereas the option input handle @var{h} allows an axis handle to be passed.
-Properties of the patch graphics object can be changed using 
-@var{prop}, @var{val} pairs.
+@example
+  speed("v=xcorr(x,n)", "x=rand(128,1);", 100, ...
+        "v2=xcorr_orig(x,n)", -100*eps)
+  speed("v=xcorr(x,15)", "x=rand(20+n,1);", 100, ...
+        "v2=xcorr_orig(x,n)", -100*eps)
+@end example
 
-@seealso{bar, plot}
-@end deftypefn
-box
--*- texinfo -*-
-@deftypefn {Function File} {} box (@var{arg})
-@deftypefnx {Function File} {} box (@var{h}, @dots{})
-Control the display of a border around the plot.
-The argument may be either @code{"on"} or @code{"off"}.  If it is
-omitted, the current box state is toggled.
-@seealso{grid}
+Assuming one of the two versions is in @var{xcorr_orig}, this
+would compare their speed and their output values.  Note that the
+FFT version is not exact, so we specify an acceptable tolerance on
+the comparison @code{100*eps}, and the errors should be computed
+relatively, as @code{abs((@var{x} - @var{y})./@var{y})} rather than 
+absolutely as @code{abs(@var{x} - @var{y})}.
+
+Type @code{example('speed')} to see some real examples. Note for 
+obscure reasons, you can't run examples 1 and 2 directly using 
+@code{demo('speed')}. Instead use, @code{eval(example('speed',1))}
+and @code{eval(example('speed',2))}.
 @end deftypefn
-caxis
+test
 -*- texinfo -*-
-@deftypefn {Function File} {} caxis (@var{limits})
-@deftypefnx {Function File} {} caxis (@var{h}, @dots{})
-Set color axis limits for plots.
+@deftypefn {Function File} {} test @var{name}
+@deftypefnx {Function File} {} test @var{name} quiet|normal|verbose
+@deftypefnx {Function File} {} test ('@var{name}', 'quiet|normal|verbose', @var{fid})
+@deftypefnx {Function File} {} test ([], 'explain', @var{fid})
+@deftypefnx {Function File} {@var{success} =} test (@dots{})
+@deftypefnx {Function File} {[@var{n}, @var{max}] =} test (@dots{})
+@deftypefnx {Function File} {[@var{code}, @var{idx}] =} test ('@var{name}','grabdemo')
 
-The argument @var{limits} should be a 2 element vector specifying the 
-lower and upper limits to assign to the first and last value in the
-colormap. Values outside this range are clamped to the first and last
-colormap entries. 
+Perform tests from the first file in the loadpath matching @var{name}.
+@code{test} can be called as a command or as a function. Called with 
+a single argument @var{name}, the tests are run interactively and stop
+after the first error is encountered.
 
-If @var{limits} is 'auto', then automatic colormap scaling is applied,
-whereas if @var{limits} is 'manual' the colormap scaling is set to manual.
+With a second argument the tests which are performed and the amount of
+output is selected.
 
-Called without any arguments to current color axis limits are returned.
+@table @asis
+@item 'quiet'
+ Don't report all the tests as they happen, just the errors.
 
-If an axes handle is passed as the first argument, then operate on
-this axes rather than the current axes.
-@end deftypefn
-clf
--*- texinfo -*-
-@deftypefn {Function File} {} clf ()
-Clear the current figure.
-@seealso{close, delete}
-@end deftypefn
-close
--*- texinfo -*-
-@deftypefn {Command} {} close
-@deftypefnx {Command} {} close (@var{n})
-@deftypefnx {Command} {} close all
-@deftypefnx {Command} {} close all hidden
-Close figure window(s) by calling the function specified by the
-@code{"closerequestfcn"} property for each figure.  By default, the
-function @code{closereq} is used.
-@seealso{closereq}
-@end deftypefn
-closereq
--*- texinfo -*-
-@deftypefn {Function File} {} closereq ()
-Close the current figure and delete all graphics objects associated
-with it.
-@seealso{close, delete}
-@end deftypefn
-colorbar
--*- texinfo -*-
-@deftypefn {Function File} {} colorbar (@var{s})
-@deftypefnx {Function File} {} colorbar ('peer', @var{h}, @dots{})
-Adds a colorbar to the current axes. Valid values for @var{s} are
+@item 'normal'
+Report all tests as they happen, but don't do tests which require 
+user interaction.
 
-@table @asis
-@item 'EastOutside'
-Place the colorbar outside the plot to the right. This is the default.
-@item 'East'
-Place the colorbar inside the plot to the right.
-@item 'WestOutside'
-Place the colorbar outside the plot to the left.
-@item 'West'
-Place the colorbar inside the plot to the left.
-@item 'NorthOutside'
-Place the colorbar above the plot.
-@item 'North'
-Place the colorbar at the top of the plot.
-@item 'SouthOutside'
-Place the colorbar under the plot.
-@item 'South'
-Place the colorbar at the bottom of the plot.
-@item 'Off', 'None'
-Remove any existing colorbar from the plot.
+@item 'verbose'
+Do tests which require user interaction.
 @end table
 
-If the argument 'peer' is given, then the following argument is treated
-as the axes handle on which to add the colorbar.
+The argument @var{fid} can be used to allow batch processing. Errors
+can be written to the already open file defined by @var{fid}, and 
+hopefully when octave crashes this file will tell you what was happening
+when it did. You can use @code{stdout} if you want to see the results as
+they happen.  You can also give a file name rather than an @var{fid}, in
+which case the contents of the file will be replaced with the log from 
+the current test.
+
+Called with a single output argument @var{success}, @code{test} returns
+true if all of the tests were successful. Called with two output arguments
+@var{n} and @var{max}, the number of successful tests and the total number
+of tests in the file @var{name} are returned.
+
+If the second argument is the string 'grabdemo', the contents of the demo
+blocks are extracted but not executed. Code for all code blocks is
+concatenated and returned as @var{code} with @var{idx} being a vector of
+positions of the ends of the demo blocks.
+
+If the second argument is 'explain', then @var{name} is ignored and an
+explanation of the line markers used is written to the file @var{fid}.
+@seealso{error, assert, fail, demo, example}
 @end deftypefn
-compass
+fail
 -*- texinfo -*-
-@deftypefn {Function File} {} compass (@var{u}, @var{v})
-@deftypefnx {Function File} {} compass (@var{z})
-@deftypefnx {Function File} {} compass (@dots{}, @var{style})
-@deftypefnx {Function File} {} compass (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} compass (@dots{})
-
-Plot the @code{(@var{u}, @var{v})} components of a vector field emanating
-from the origin of a polar polt. If a single complex argument @var{z} is 
-given, then @code{@var{u} = real (@var{z})} and @code{@var{v} = imag 
-(@var{z})}.
-
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
+@deftypefn {Function File} {} fail (@var{code},@var{pattern})
+@deftypefnx {Function File} {} fail (@var{code},'warning',@var{pattern})
 
-The optional return value @var{h} provides a list of handles to the 
-the parts of the vector field (body, arrow and marker).
+Return true if @var{code} fails with an error message matching
+@var{pattern}, otherwise produce an error. Note that @var{code}
+is a string and if @var{code} runs successfully, the error produced is:
 
 @example
-@group
-a = toeplitz([1;randn(9,1)],[1,randn(1,9)]);
-compass (eig (a))
-@end group
+          expected error but got none  
 @end example
 
-@seealso{plot, polar, quiver, feather}
-@end deftypefn
-contour
--*- texinfo -*-
-@deftypefn {Function File} {} contour (@var{z})
-@deftypefnx {Function File} {} contour (@var{z}, @var{vn})
-@deftypefnx {Function File} {} contour (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {} contour (@var{x}, @var{y}, @var{z}, @var{vn})
-@deftypefnx {Function File} {} contour (@dots{}, @var{style})
-@deftypefnx {Function File} {} contour (@var{h}, @dots{})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contour (@dots{})
-Plot level curves (contour lines) of the matrix @var{z}, using the
-contour matrix @var{c} computed by @code{contourc} from the same
-arguments; see the latter for their interpretation.  The set of
-contour levels, @var{c}, is only returned if requested.  For example:
+If the code fails with a different error, the message produced is:
 
 @example
-@group
-x = 0:2;
-y = x;
-z = x' * y;
-contour (x, y, z, 2:3)
-@end group
+          expected <pattern>
+          but got <text of actual error>
 @end example
 
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
-Any markers defined by @var{style} are ignored.
+The angle brackets are not part of the output.
+
+Called with three arguments, the behavior is similar to 
+@code{fail(@var{code}, @var{pattern})}, but produces an error if no 
+warning is given during code execution or if the code fails.
 
-The optional input and output argument @var{h} allows an axis handle to 
-be passed to @code{contour} and the handles to the contour objects to be
-returned.
-@seealso{contourc, patch, plot}
 @end deftypefn
-contour3
+demo
 -*- texinfo -*-
-@deftypefn {Function File} {} contour3 (@var{z})
-@deftypefnx {Function File} {} contour3 (@var{z}, @var{vn})
-@deftypefnx {Function File} {} contour3 (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {} contour3 (@var{x}, @var{y}, @var{z}, @var{vn})
-@deftypefnx {Function File} {} contour3 (@dots{}, @var{style})
-@deftypefnx {Function File} {} contour3 (@var{h}, @dots{})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contour3 (@dots{})
-Plot level curves (contour lines) of the matrix @var{z}, using the
-contour matrix @var{c} computed by @code{contourc} from the same
-arguments; see the latter for their interpretation.  The contours are
-ploted at the Z level corresponding to their contour. The set of
-contour levels, @var{c}, is only returned if requested.  For example:
+@deftypefn {Function File} {} demo ('@var{name}',@var{n})
+
+Runs any examples associated with the function '@var{name}'.  
+Examples are stored in the script file, or in a file with the same 
+name but no extension somewhere on your path.  To keep them separate 
+from the usual script code, all lines are prefixed by @code{%!}. Each
+example is introduced by the keyword 'demo' flush left to the prefix,
+with no intervening spaces.  The remainder of the example can contain 
+arbitrary octave code. For example:
 
 @example
-@group
-contour3 (peaks (19));
-hold on
-surface (peaks (19), 'FaceColor', 'none', 'EdgeColor', 'black')
-colormap hot
-@end group
+   %!demo
+   %! t=0:0.01:2*pi; x = sin(t);
+   %! plot(t,x)
+   %! %-------------------------------------------------
+   %! % the figure window shows one cycle of a sine wave
 @end example
 
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
-Any markers defined by @var{style} are ignored.
-
-The optional input and output argument @var{h} allows an axis handle to 
-be passed to @code{contour} and the handles to the contour objects to be
-returned.
-@seealso{contourc, patch, plot}
-@end deftypefn
-contourc
--*- texinfo -*-
-@deftypefn {Function File} {[@var{c}, @var{lev}] =}  contourc (@var{x}, @var{y}, @var{z}, @var{vn})
-Compute isolines (countour lines) of the matrix @var{z}. 
-Parameters @var{x}, @var{y} and @var{vn} are optional.
+Note that the code is displayed before it is executed, so a simple
+comment at the end suffices.  It is generally not necessary to use
+disp or printf within the demo.
 
-The return value @var{lev} is a vector of the contour levels.
-The return value @var{c} is a 2 by @var{n} matrix containing the
-contour lines in the following format
+Demos are run in a function environment with no access to external
+variables. This means that all demos in your function must use
+separate initialization code. Alternatively, you can combine your
+demos into one huge demo, with the code:
 
 @example
-@var{c} = [lev1, x1, x2, ..., levn, x1, x2, ... 
-     len1, y1, y2, ..., lenn, y1, y2, ...]
+   %! input("Press <enter> to continue: ","s");
 @end example
 
-@noindent
-in which contour line @var{n} has a level (height) of @var{levn} and
-length of @var{lenn}.
+between the sections, but this is discouraged.  Other techniques
+include using multiple plots by saying figure between each, or
+using subplot to put multiple plots in the same window.
 
-If @var{x} and @var{y} are omitted they are taken as the row/column 
-index of @var{z}.  @var{vn} is either a scalar denoting the number of lines 
-to compute or a vector containing the values of the lines. If only one 
-value is wanted, set @code{@var{vn} = [val, val]};
-If @var{vn} is omitted it defaults to 10.
+Also, since demo evaluates inside a function context, you cannot
+define new functions inside a demo.  Instead you will have to
+use @code{eval(example('function',n))} to see them.  Because eval only
+evaluates one line, or one statement if the statement crosses
+multiple lines, you must wrap your demo in "if 1 <demo stuff> endif"
+with the 'if' on the same line as 'demo'. For example,
 
-For example,
 @example
-@group
-x = 0:2;
-y = x;
-z = x' * y;
-contourc (x, y, z, 2:3)
-@result{}   2.0000   2.0000   1.0000   3.0000   1.5000   2.0000
-     2.0000   1.0000   2.0000   2.0000   2.0000   1.5000
-
-@end group
+  %!demo if 1
+  %!  function y=f(x)
+  %!    y=x;
+  %!  endfunction
+  %!  f(3)
+  %! endif
 @end example
-@seealso{contour}
+@seealso{test, example}
 @end deftypefn
-contourf
+setdiff
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{lvl})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z}, @var{n})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{n})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z}, @var{lvl})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{z})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@var{ax}, @dots{})
-@deftypefnx {Function File} {[@var{c}, @var{h}] =} contourf (@dots{}, @var{"property"}, @var{val})
-Compute and plot filled contours of the matrix @var{z}.
-Parameters @var{x}, @var{y} and @var{n} or @var{lvl} are optional.
+@deftypefn {Function File} {} setdiff (@var{a}, @var{b})
+@deftypefnx {Function File} {} setdiff (@var{a}, @var{b}, "rows")
+@deftypefnx {Function File} {[@var{c}, @var{i}] = } setdiff (@var{a}, @var{b})
+Return the elements in @var{a} that are not in @var{b}, sorted in
+ascending order.  If @var{a} and @var{b} are both column vectors
+return a column vector, otherwise return a row vector.
 
-The return value @var{c} is a 2xn matrix containing the contour lines
-as described in the help to the contourc function.
+Given the optional third argument @samp{"rows"}, return the rows in
+@var{a} that are not in @var{b}, sorted in ascending order by rows.
 
-The return value @var{h} is handle-vector to the patch objects creating
-the filled contours.
+If requested, return @var{i} such that @code{c = a(i)}.
+@seealso{unique, union, intersect, setxor, ismember}
+@end deftypefn
+intersect
+-*- texinfo -*-
+@deftypefn {Function File} {} intersect (@var{a}, @var{b})
+@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} intersect (@var{a}, @var{b})
 
-If @var{x} and @var{y} are ommited they are taken as the row/column
-index of @var{z}.  @var{n} is a scalar denoting the number of lines
-to compute.  Alternatively @var{lvl} is a vector containing the
-contour levels. If only one value (e.g. lvl0) is wanted, set
-@var{lvl} to [lvl0, lvl0].  If both @var{n} or @var{lvl} are omitted
-a default value of 10 contour level is assumed.
+Return the elements in both @var{a} and @var{b}, sorted in ascending
+order. If @var{a} and @var{b} are both column vectors return a column
+vector, otherwise return a row vector.
 
-If provided, the filled contours are added to the axes object
-@var{ax} instead of the current axis.
+Return index vectors @var{ia} and @var{ib} such that @code{a(ia)==c} and
+@code{b(ib)==c}.
 
-The following example plots filled contours of the @code{peaks}
-function.
-@example
-[x, y, z] = peaks (50);
-contourf (x, y, z, -7:9)
-@end example
-@seealso{contour, contourc, patch}
 @end deftypefn
-cylinder
+@seealso{unique, union, setxor, setdiff, ismember}
+complement
 -*- texinfo -*-
-@deftypefn {Function File} {} cylinder
-@deftypefnx {Function File} {} cylinder (@var{r})
-@deftypefnx {Function File} {} cylinder (@var{r}, @var{n})
-@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} cylinder (@dots{})
-@deftypefnx {Function File} {} cylinder (@var{ax}, @dots{})
-Generates three matrices in @code{meshgrid} format, such that
-@code{surf (@var{x}, @var{y}, @var{z})} generates a unit cylinder.
-The matrices are of size @code{@var{n}+1}-by-@code{@var{n}+1}. 
-@var{r} is a vector containing the radius along the z-axis.
-If @var{n} or @var{r} are omitted then default values of 20 or [1 1]
-are assumed.
-
-Called with no return arguments, @code{cylinder} calls directly
-@code{surf (@var{x}, @var{y}, @var{z})}. If an axes handle @var{ax}
-is passed as the first argument, the surface is plotted to this set
-of axes.
+@deftypefn {Function File} {} complement (@var{x}, @var{y})
+Return the elements of set @var{y} that are not in set @var{x}.  For
+example,
 
-Examples:
 @example
-disp ("plotting a cone")
-[x, y, z] = cylinder (10:-1:0,50);
-surf (x, y, z);
-@end example
-@seealso{sphere}
-@end deftypefn
-ellipsoid
--*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} ellipsoid (@var{xc},@var{yc}, @var{zc}, @var{xr}, @var{yr}, @var{zr}, @var{n})
-@deftypefnx {Function File} {} ellipsoid (@var{h}, @dots{})
-Generate three matrices in @code{meshgrid} format that define an
-ellipsoid.   Called with no return arguments, @code{ellipsoid} calls
-directly @code{surf (@var{x}, @var{y}, @var{z})}.  If an axes handle
-is passed as the first argument, the the surface is plotted to this
-set of axes.
-@seealso{sphere}
+@group
+complement ([ 1, 2, 3 ], [ 2, 3, 5 ])
+@result{} 5
+@end group
+@end example
+@seealso{create_set, union, intersection}
 @end deftypefn
-errorbar
+union
 -*- texinfo -*-
-@deftypefn {Function File} {} errorbar (@var{args})
-This function produces two-dimensional plots with errorbars. Many
-different combinations of arguments are possible.  The simplest form is
+@deftypefn {Function File} {} union (@var{a}, @var{b})
+@deftypefnx{Function File} {} union (@var{a}, @var{b}, "rows")
+Return the set of elements that are in either of the sets @var{a} and
+@var{b}.  For example,
 
 @example
-errorbar (@var{y}, @var{ey})
+@group
+union ([1, 2, 4], [2, 3, 5])
+@result{} [1, 2, 3, 4, 5]
+@end group
 @end example
 
-@noindent
-where the first argument is taken as the set of @var{y} coordinates
-and the second argument @var{ey} is taken as the errors of the
-@var{y} values. @var{x} coordinates are taken to be the indices
-of the elements, starting with 1.
-
-If more than two arguments are given, they are interpreted as
-
+If the optional third input argument is the string "rows" each row of
+the matrices @var{a} and @var{b} will be considered an element of sets.
+For example,
 @example
-errorbar (@var{x}, @var{y}, @dots{}, @var{fmt}, @dots{})
+@group
+union([1, 2; 2, 3], [1, 2; 3, 4], "rows")
+@result{}  1   2
+    2   3
+    3   4
+@end group
 @end example
 
-@noindent
-where after @var{x} and @var{y} there can be up to four error
-parameters such as @var{ey}, @var{ex}, @var{ly}, @var{uy} etc.,
-depending on the plot type. Any number of argument sets may appear,
-as long as they are separated with a format string @var{fmt}.
+@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} union (@var{a}, @var{b})
 
-If @var{y} is a matrix, @var{x} and error parameters must also be matrices
-having same dimensions. The columns of @var{y} are plotted versus the
-corresponding columns of @var{x} and errorbars are drawn from
-the corresponding columns of error parameters.
+Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+@code{b==c(ib)}.
 
-If @var{fmt} is missing, yerrorbars ("~") plot style is assumed.
+@seealso{create_set, intersection, complement}
+@end deftypefn
+unique
+-*- texinfo -*-
+@deftypefn {Function File} {} unique (@var{x})
 
-If the @var{fmt} argument is supplied, it is interpreted as in
-normal plots. In addition the following plot styles are supported by
-errorbar:
+Return the unique elements of @var{x}, sorted in ascending order.
+If @var{x} is a row vector, return a row vector, but if @var{x}
+is a column vector or a matrix return a column vector.
 
-@table @samp
-@item ~
-Set yerrorbars plot style (default).
+@deftypefnx {Function File} {} unique (@var{A}, 'rows')
 
-@item >
-Set xerrorbars plot style.
+Return the unique rows of @var{A}, sorted in ascending order.
 
-@item ~>
-Set xyerrorbars plot style.
+@deftypefnx {Function File} {[@var{y}, @var{i}, @var{j}] = } unique (@var{x})
 
-@item #
-Set boxes plot style.
+Return index vectors @var{i} and @var{j} such that @code{x(i)==y} and
+@code{y(j)==x}.
 
-@item #~
-Set boxerrorbars plot style.
+Additionally, one of 'first' or 'last' can be given as an argument.
+'last' (default) specifies that the highest possible indices are returned
+in @var{i}, while 'first' means the lowest.
+@seealso{union, intersect, setdiff, setxor, ismember}
+@end deftypefn
+create_set
+-*- texinfo -*-
+@deftypefn {Function File} {} create_set (@var{x})
+@deftypefnx{Function File} {} create_set (@var{x}, "rows")
+Return a row vector containing the unique values in @var{x}, sorted in
+ascending order.  For example,
 
-@item #~>
-Set boxxyerrorbars plot style.
-@end table
+@example
+@group
+create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ])
+@result{} [ 1, 2, 3, 4 ]
+@end group
+@end example
 
-Examples:
+If the optional second input argument is the string "rows" each row of
+the matrix @var{x} will be considered an element of set.  For example,
+@example
+@group
+create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ], "rows")
+@result{}  1   2
+    3   4
+    4   2
+@end group
+@end example
+@seealso{union, intersection, complement, unique}
+@end deftypefn
+ismember
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{tf}, @var{a_idx}] =} ismember (@var{A}, @var{S}) 
+@deftypefnx {Function File} {[@var{tf}, @var{a_idx}] =} ismember (@var{A}, @var{S}, "rows")
+Return a matrix @var{tf} the same shape as @var{A} which has 1 if 
+@code{A(i,j)} is in @var{S} or 0 if it isn't. If a second output argument 
+is requested, the indexes into @var{S} of the matching elements are
+also returned. 
 
 @example
-errorbar (@var{x}, @var{y}, @var{ex}, ">")
+@group
+a = [3, 10, 1];
+s = [0:9];
+[tf, a_idx] = residue (a, s);
+@result{} tf = [1, 0, 1]
+@result{} a_idx = [4, 0, 2]
+@end group
 @end example
 
-produces an xerrorbar plot of @var{y} versus @var{x} with @var{x}
-errorbars drawn from @var{x}-@var{ex} to @var{x}+@var{ex}.
+The inputs, @var{A} and @var{S}, may also be cell arrays.
 
 @example
-errorbar (@var{x}, @var{y1}, @var{ey}, "~",
-@var{x}, @var{y2}, @var{ly}, @var{uy})
+@group
+a = @{'abc'@};
+s = @{'abc', 'def'@};
+[tf, a_idx] = residue (a, s);
+@result{} tf = [1, 0]
+@result{} a_idx = [1, 0]
+@end group
 @end example
 
-produces yerrorbar plots with @var{y1} and @var{y2} versus @var{x}.
-Errorbars for @var{y1} are drawn from @var{y1}-@var{ey} to
-@var{y1}+@var{ey}, errorbars for @var{y2} from @var{y2}-@var{ly} to
-@var{y2}+@var{uy}.
+With the optional third argument @code{"rows"}, and matrices 
+@var{A} and @var{S} with the same number of columns, compare rows in
+@var{A} with the rows in @var{S}.
 
 @example
-errorbar (@var{x}, @var{y}, @var{lx}, @var{ux},
-@var{ly}, @var{uy}, "~>")
+@group
+a = [1:3; 5:7; 4:6];
+s = [0:2; 1:3; 2:4; 3:5; 4:6];
+[tf, a_idx] = ismember(a, s, 'rows');
+@result{} tf = logical ([1; 0; 1])
+@result{} a_idx = [2; 0; 5];
+@end group
 @end example
 
-produces an xyerrorbar plot of @var{y} versus @var{x} in which
-@var{x} errorbars are drawn from @var{x}-@var{lx} to @var{x}+@var{ux}
-and @var{y} errorbars from @var{y}-@var{ly} to @var{y}+@var{uy}.
-@seealso{semilogxerr, semilogyerr, loglogerr}
+@seealso{unique, union, intersection, setxor, setdiff}
 @end deftypefn
-feather
+setxor
 -*- texinfo -*-
-@deftypefn {Function File} {} feather (@var{u}, @var{v})
-@deftypefnx {Function File} {} feather (@var{z})
-@deftypefnx {Function File} {} feather (@dots{}, @var{style})
-@deftypefnx {Function File} {} feather (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} feather (@dots{})
-
-Plot the @code{(@var{u}, @var{v})} components of a vector field emanating
-from equidistant points on the x-axis. If a single complex argument
-@var{z} is given, then @code{@var{u} = real (@var{z})} and
-@code{@var{v} = imag (@var{z})}.
+@deftypefn {Function File} {} setxor (@var{a}, @var{b})
+@deftypefnx {Function File} {} setxor (@var{a}, @var{b}, 'rows')
 
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
+Return the elements exclusive to @var{a} or @var{b}, sorted in ascending
+order. If @var{a} and @var{b} are both column vectors return a column
+vector, otherwise return a row vector.
 
-The optional return value @var{h} provides a list of handles to the 
-the parts of the vector field (body, arrow and marker).
+@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} setxor (@var{a}, @var{b})
 
-@example
-@group
-phi = [0 : 15 : 360] * pi / 180;
-feather (sin (phi), cos (phi))
-@end group
-@end example
+Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+@code{b==c(ib)}.
 
-@seealso{plot, quiver, compass}
+@seealso{unique, union, intersect, setdiff, ismember}
 @end deftypefn
-figure
+brighten
 -*- texinfo -*-
-@deftypefn {Function File} {} figure (@var{n})
-@deftypefnx {Function File} {} figure (@var{n}, @var{property}, @var{value}, @dots{})
-Set the current plot window to plot window @var{n}.  If no arguments are
-specified, the next available window number is chosen.
+@deftypefn {Function File} {@var{map_out} =} brighten (@var{map}, @var{beta})
+@deftypefnx {Function File} {@var{map_out} =} brighten (@var{h}, @var{beta})
+@deftypefnx {Function File} {@var{map_out} =} brighten (@var{beta})
+Darkens or brightens the given colormap. If the @var{map} argument 
+is omitted, the function is applied to the current colormap. The first
+argument can also be a valid graphics handle @var{h}, in which case 
+@code{brighten} is applied to the colormap associated with this handle.
 
-Multiple property-value pairs may be specified for the figure, but they
-must appear in pairs.
+Should the resulting colormap @var{map_out} not be assigned, it will be
+written to the current colormap.
+
+The argument @var{beta} should be a scalar between -1 and 1,
+where a negative value darkens and a positive value brightens
+the colormap.
+@seealso{colormap}
 @end deftypefn
-fill
+gmap40
 -*- texinfo -*-
-@deftypefn {Function File} {} fill (@var{x}, @var{y}, @var{c})
-@deftypefnx {Function File} {} fill (@var{x1}, @var{y1}, @var{c1}, @var{x2}, @var{y2}, @var{c2})
-@deftypefnx {Function File} {} fill (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} fill (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} = } fill (@dots{})
-Create one or more filled patch objects, returning a patch object for each.
+@deftypefn {Function File} {} gmap40 (@var{n})
+Create a color colormap. The colormap is red, green, blue, yellow,
+magenta and cyan. These are the colors that are allowed with patch
+objects using gnuplot 4.0, and so this colormap function is specially
+designed for users of gnuplot 4.0.  The argument @var{n} should be 
+a scalar.  If it is omitted, a length of 6 is assumed. Larger values
+of @var{n} result in a repetition of the above colors
+@seealso{colormap}
 @end deftypefn
-findobj
+imshow
 -*- texinfo -*-
-@deftypefn {Function File} {@var{h} =} findobj ()
-@deftypefnx {Function File} {@var{h} =} findobj (@var{propName}, @var{propValue})
-@deftypefnx {Function File} {@var{h} =} findobj ('-property', @var{propName})
-@deftypefnx {Function File} {@var{h} =} findobj ('-regexp', @var{propName},, @var{pattern})
-@deftypefnx {Function File} {@var{h} =} findobj ('flat', @dots{})
-@deftypefnx {Function File} {@var{h} =} findobj (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} findobj (@var{h}, '-depth', @var{d}, @dots{})
-Find object with specified property values. The simplest form is
-
-@example
-findobj (@var{propName}, @var{propValue})
-@end example
-
-@noindent
-which returns all of the handles to the objects with the name 
-@var{propName} and the name @var{propValue}. The search can be limited
-to a particular object or set of objects and their descendants by 
-passing a handle or set of handles @var{h} as the first argument to 
-@code{findobj}.
-
-The depth of hierarchy of objects to which to search to can be limited
-with the '-depth' argument. To limit the number depth of the hierarchy
-to search to @var{d} generations of children, and example is
+@deftypefn {Function File} {} imshow (@var{im})
+@deftypefnx {Function File} {} imshow (@var{im}, @var{limits})
+@deftypefnx {Function File} {} imshow (@var{im}, @var{map})
+@deftypefnx {Function File} {} imshow (@var{rgb}, @dots{})
+@deftypefnx {Function File} {} imshow (@var{filename})
+@deftypefnx {Function File} {} imshow (@dots{}, @var{string_param1}, @var{value1}, @dots{})
+Display the image @var{im}, where @var{im} can be a 2-dimensional
+(gray-scale image) or a 3-dimensional (RGB image) matrix.
 
-@example
-findobj (@var{h}, '-depth', @var{d}, @var{propName}, @var{propValue})
-@end example
+If @var{limits} is a 2-element vector @code{[@var{low}, @var{high}]},
+the image is shown using a display range between @var{low} and
+@var{high}.  If an empty matrix is passed for @var{limits}, the
+display range is computed as the range between the minimal and the
+maximal value in the image.
 
-Specifying a depth @var{d} of 0, limits the search to the set of object
-passed in @var{h}. A depth @var{d} of 0 is equivalent to the '-flat'
-argument. 
+If @var{map} is a valid color map, the image will be shown as an indexed
+image using the supplied color map.
 
-A specified logical operator may be applied to the pairs of @var{propName}
-and @var{propValue}. The supported logical operators are '-and', '-or', 
-'-xor', '-not'.
+If a file name is given instead of an image, the file will be read and
+shown.
 
-The objects may also be matched by comparing a regular expression to the 
-property values, where property values that match @code{regexp 
-(@var{propValue}, @var{pattern})} are returned.  Finally, objects may be 
-matched by property name only, using the '-property' option.
-@seealso{get, set}
+If given, the parameter @var{string_param1} has value
+@var{value1}. @var{string_param1} can be any of the following:
+@table @samp
+@item "displayrange"
+@var{value1} is the display range as described above.
+@end table
+@seealso{image, imagesc, colormap, gray2ind, rgb2ind}
 @end deftypefn
-fplot
+gray2ind
 -*- texinfo -*-
-@deftypefn {Function File} {} fplot (@var{fn}, @var{limits})
-@deftypefnx {Function File} {} fplot (@var{fn}, @var{limits}, @var{tol})
-@deftypefnx {Function File} {} fplot (@var{fn}, @var{limits}, @var{n})
-@deftypefnx {Function File} {} fplot (@dots{}, @var{fmt})
-Plot a function @var{fn}, within the defined limits.  @var{fn}
-an be either a string, a function handle or an inline function.
-The limits of the plot are given by @var{limits} of the form
-@code{[@var{xlo}, @var{xhi}]} or @code{[@var{xlo}, @var{xhi},
-@var{ylo}, @var{yhi}]}. @var{tol} is the default tolerance to use for the
-plot, and if @var{tol} is an integer it is assumed that it defines the 
-number points to use in the plot.  The @var{fmt} argument is passed
-to the plot command.
-
-@example
-   fplot ("cos", [0, 2*pi])
-   fplot ("[cos(x), sin(x)]", [0, 2*pi])
-@end example
-@seealso{plot}
+@deftypefn {Function File} {[@var{img}, @var{map}] =} gray2ind (@var{})
+Convert a gray scale intensity image to an Octave indexed image.
 @end deftypefn
-gca
+spring
 -*- texinfo -*-
-@deftypefn {Function File} {} gca ()
-Return a handle to the current axis object.  If no axis object
-exists, create one and return its handle.  The handle may then be
-used to examine or set properties of the axes.  For example,
-
-@example
-@group
-ax = gca ();
-set (ax, "position", [0.5, 0.5, 0.5, 0.5]);
-@end group
-@end example
-
-@noindent
-creates an empty axes object, then changes its location and size in
-the figure window.
-@seealso{get, set}
+@deftypefn {Function File} {} spring (@var{n})
+Create color colormap. This colormap is magenta to yellow.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-gcf
+__img_via_file__
+Undocumented internal function.
+winter
 -*- texinfo -*-
-@deftypefn {Function File} {} gcf ()
-Return the current figure handle.  If a figure does not exist, create
-one and return its handle.  The handle may then be used to examine or
-set properties of the figure.  For example,
-
-@example
-@group
-fplot (@@sin, [-10, 10]);
-fig = gcf ();
-set (fig, "visible", "off");
-@end group
-@end example
-
-@noindent
-plots a sine wave, finds the handle of the current figure, and then
-makes that figure invisible.  Setting the visible property of the
-figure to @code{"on"} will cause it to be displayed again.
-@seealso{get, set}
+@deftypefn {Function File} {} winter (@var{n})
+Create color colormap. This colormap is blue to green.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-grid
+prism
 -*- texinfo -*-
-@deftypefn {Function File} {} grid (@var{arg})
-@deftypefnx {Function File} {} grid ("minor", @var{arg2})
-Force the display of a grid on the plot.
-The argument may be either @code{"on"} or @code{"off"}.  If it is
-omitted, the current grid state is toggled.
-
-If @var{arg} is @code{"minor"} then the minor grid is toggled.  When
-using a minor grid a second argument @var{arg2} is allowed, which can
-be either @code{"on"} or @code{"off"} to explicitly set the state of
-the minor grid.
-@seealso{plot}
+@deftypefn {Function File} {} prism (@var{n})
+Create color colormap. This colormap cycles trough red, orange, yellow,
+green, blue and violet. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-hidden
+gray
 -*- texinfo -*-
-@deftypefn {Function File} {} hidden (@var{mode})
-@deftypefnx {Function File} {} hidden ()
-Manipulation the mesh hidden line removal. Called with no argument
-the hidden line removal is toggled. The argument @var{mode} can be either
-'on' or 'off' and the set of the hidden line removal is set accordingly.
-@seealso{mesh, meshc, surf}
+@deftypefn {Function File} {} gray (@var{n})
+Return a gray colormap with @var{n} entries corresponding to values from
+0 to @var{n}-1.  The argument @var{n} should be a scalar.  If it is
+omitted, the length of the current colormap or 64 is assumed.
 @end deftypefn
-hist
+autumn
 -*- texinfo -*-
-@deftypefn {Function File} {} hist (@var{y}, @var{x}, @var{norm})
-Produce histogram counts or plots.
-
-With one vector input argument, plot a histogram of the values with
-10 bins.  The range of the histogram bins is determined by the range
-of the data.
+@deftypefn {Function File} {} autumn (@var{n})
+Create color colormap. This colormap is red through orange to yellow.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+ind2gray
+-*- texinfo -*-
+@deftypefn {Function File} {} ind2gray (@var{x}, @var{map})
+Convert an Octave indexed image to a gray scale intensity image.
+If @var{map} is omitted, the current colormap is used to determine the
+intensities.
+@seealso{gray2ind, rgb2ntsc, image, colormap}
+@end deftypefn
+flag
+-*- texinfo -*-
+@deftypefn {Function File} {} flag (@var{n})
+Create color colormap. This colormap cycles through red, white, blue 
+and black. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+saveimage
+-*- texinfo -*-
+@deftypefn {Function File} {} saveimage (@var{file}, @var{x}, @var{fmt}, @var{map})
+Save the matrix @var{x} to @var{file} in image format @var{fmt}.  Valid
+values for @var{fmt} are
 
-Given a second scalar argument, use that as the number of bins.
+@table @code
+@item "img"
+Octave's image format.  The current colormap is also saved in the file.
 
-Given a second vector argument, use that as the centers of the bins,
-with the width of the bins determined from the adjacent values in
-the vector.
+@item "ppm"
+Portable pixmap format.
 
-If third argument is provided, the histogram is normalised such that
-the sum of the bars is equal to @var{norm}.
+@item "ps"
+PostScript format.  Note that images saved in PostScript format can not
+be read back into Octave with loadimage.
+@end table
 
-Extreme values are lumped in the first and last bins.
+If the fourth argument is supplied, the specified colormap will also be
+saved along with the image.
 
-With two output arguments, produce the values @var{nn} and @var{xx} such
-that @code{bar (@var{xx}, @var{nn})} will plot the histogram.
-@seealso{bar}
+Note: if the colormap contains only two entries and these entries are
+black and white, the bitmap ppm and PostScript formats are used.  If the
+image is a gray scale image (the entries within each row of the colormap
+are equal) the gray scale ppm and PostScript image formats are used,
+otherwise the full color formats are used.
+@seealso{loadimage, save, load, colormap}
 @end deftypefn
-hold
+ntsc2rgb
 -*- texinfo -*-
-@deftypefn {Function File} {} hold @var{args}
-Tell Octave to `hold' the current data on the plot when executing
-subsequent plotting commands.  This allows you to execute a series of
-plot commands and have all the lines end up on the same figure.  The
-default is for each new plot command to clear the plot device first.
-For example, the command
-
-@example
-hold on
-@end example
-
-@noindent
-turns the hold state on.  An argument of @code{"off"} turns the hold
-state off, and @code{hold} with no arguments toggles the current hold
-state.
+@deftypefn {Function File} {} ntsc2rgb (@var{yiq})
+Image format conversion.
 @end deftypefn
-isfigure
+ind2rgb
 -*- texinfo -*-
-@deftypefn {Function File} {} isfigure (@var{h})
-Return true if @var{h} is a graphics handle that contains a figure
-object and false otherwise.
+@deftypefn {Function File} {@var{rgb} =} ind2rgb (@var{x}, @var{map})
+@deftypefnx {Function File} {[@var{r}, @var{g}, @var{b}] =} ind2rgb (@var{x}, @var{map})
+Convert an indexed image to red, green, and blue color components.
+If the colormap doesn't contain enough colors, pad it with the
+last color in the map.
+If @var{map} is omitted, the current colormap is used for the conversion.
+@seealso{rgb2ind, image, imshow, ind2gray, gray2ind}
 @end deftypefn
-ishold
+rgb2ind
 -*- texinfo -*-
-@deftypefn {Function File} {} ishold
-Return true if the next line will be added to the current plot, or
-false if the plot device will be cleared before drawing the next line.
+@deftypefn  {Function File} {[@var{x}, @var{map}] =} rgb2ind (@var{rgb})
+@deftypefnx {Function File} {[@var{x}, @var{map}] =} rgb2ind (@var{r}, @var{g}, @var{b})
+Convert and RGB image to an Octave indexed image.
+@seealso{ind2rgb, rgb2ntsc}
 @end deftypefn
-legend
+jet
 -*- texinfo -*-
-@deftypefn {Function File} {} legend (@var{st1}, @var{st2}, @dots{})
-@deftypefnx {Function File} {} legend (@var{st1}, @var{st2}, @dots{}, "location", @var{pos})
-@deftypefnx {Function File} {} legend (@var{matstr})
-@deftypefnx {Function File} {} legend (@var{matstr}, "location", @var{pos})
-@deftypefnx {Function File} {} legend (@var{cell})
-@deftypefnx {Function File} {} legend (@var{cell}, "location", @var{pos})
-@deftypefnx {Function File} {} legend ('@var{func}')
-
-Display a legend for the current axes using the specified strings
-as labels.  Legend entries may be specified as individual character
-string arguments, a character array, or a cell array of character
-strings.  Legend works on line graphs, bar graphs, etc.  A plot must
-exist before legend is called.
-
-The optional parameter @var{pos} specifies the location of the legend
-as follows:
-
-@multitable @columnfractions 0.06 0.14 0.80
-@item @tab north @tab
-  center top
-@item @tab south @tab
-  center bottom
-@item @tab east @tab
-  right center
-@item @tab west @tab
-  left center
-@item @tab northeast @tab
-  right top (default)
-@item @tab northwest @tab
-  left top
-@item @tab southeast @tab
-  right bottom
-@item @tab southwest @tab
-  left bottom
-@item 
-@item @tab outside @tab
-  can be appended to any location string
-@end multitable
+@deftypefn {Function File} {} jet (@var{n})
+Create color colormap. This colormap is dark blue through blue, cyan, 
+green, yellow, red to dark red. The argument @var{n} should be a scalar. 
+If it is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+hot
+-*- texinfo -*-
+@deftypefn {Function File} {} hot (@var{n})
+Create color colormap. This colormap is black through dark red, red, 
+orange, yellow to white. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+colormap
+-*- texinfo -*-
+@deftypefn {Function File} {} colormap (@var{map})
+@deftypefnx {Function File} {} colormap ("default")
+Set the current colormap.
 
-Some specific functions are directly available using @var{func}:
+@code{colormap (@var{map})} sets the current colormap to @var{map}.  The
+color map should be an @var{n} row by 3 column matrix.  The columns
+contain red, green, and blue intensities respectively.  All entries
+should be between 0 and 1 inclusive.  The new colormap is returned.
 
-@table @asis
-@item "show"
-  Show legends from the plot
-@item "hide"
-@itemx "off"
-  Hide legends from the plot
-@item "boxon"
-  Draw a box around legends
-@item "boxoff"
-  Withdraw the box around legends
-@item "left"
-  Text is to the left of the keys
-@item "right"
-  Text is to the right of the keys
-@end table
+@code{colormap ("default")} restores the default colormap (the
+@code{jet} map with 64 entries).  The default colormap is returned.
+
+With no arguments, @code{colormap} returns the current color map.
+@seealso{jet}
 @end deftypefn
-line
+ocean
 -*- texinfo -*-
-@deftypefn {Function File} {} line ()
-@deftypefnx {Function File} {} line (@var{x}, @var{y})
-@deftypefnx {Function File} {} line (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {} line (@var{x}, @var{y}, @var{z}, @var{property}, @var{value}, @dots{})
-Create line object from @var{x} and @var{y} and insert in current
-axes object.  Return a handle (or vector of handles) to the line
-objects created.
+@deftypefn {Function File} {} ocean (@var{n})
+Create color colormap.  The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@end deftypefn
+bone
+-*- texinfo -*-
+@deftypefn {Function File} {} bone (@var{n})
+Create color colormap. This colormap is a gray colormap with a light 
+blue tone. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+rgb2hsv
+-*- texinfo -*-
+@deftypefn {Function File} {@var{hsv_map} =} rgb2hsv (@var{rgb_map})
+Transform a colormap from the rgb space to the hsv space.
 
-Multiple property-value pairs may be specified for the line, but they
-must appear in pairs.
+A color n the RGB space consists of the red, green and blue intensities.
+
+In the HSV space each color is represented by their hue, saturation
+and value (brightness).  Value gives the amount of light in the color.
+Hue describes the dominant wavelength. 
+Saturation is the amount of Hue mixed into the color.
+@seealso{hsv2rgb}
 @end deftypefn
-loglog
+__img__
+Undocumented internal function.
+cool
 -*- texinfo -*-
-@deftypefn {Function File} {} loglog (@var{args})
-Produce a two-dimensional plot using log scales for both axes.  See
-the description of @code{plot} for a description of the arguments
-that @code{loglog} will accept.
-@seealso{plot, semilogx, semilogy}
+@deftypefn {Function File} {} cool (@var{n})
+Create color colormap. The colormap is cyan to magenta. The argument 
+@var{n} should be a scalar.  If it is omitted, the length of the current
+colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-loglogerr
+rainbow
 -*- texinfo -*-
-@deftypefn {Function File} {} loglogerr (@var{args})
-Produce two-dimensional plots on double logarithm axis with
-errorbars.  Many different combinations of arguments are possible.
-The most used form is
+@deftypefn {Function File} {} rainbow (@var{n})
+Create color colormap. This colormap is red through orange, yellow, green, 
+blue to violet. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+imagesc
+-*- texinfo -*-
+@deftypefn {Function File} {} imagesc (@var{a})
+@deftypefnx {Function File} {} imagesc (@var{x}, @var{y}, @var{a})
+@deftypefnx {Function File} {} imagesc (@dots{}, @var{limits})
+@deftypefnx {Function File} {} imagesc (@var{h}, @dots{})
+@deftypefnx {Function File} { @var{h} = } imagesc (@dots{})
+Display a scaled version of the matrix @var{a} as a color image.  The
+colormap is scaled so that the entries of the matrix occupy the entire
+colormap.  If @var{limits} = [@var{lo}, @var{hi}] are given, then that
+range is set to the 'clim' of the current axes.
 
-@example
-loglogerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
-@end example
+The axis values corresponding to the matrix elements are specified in
+@var{x} and @var{y}, either as pairs giving the minimum and maximum
+values for the respective axes, or as values for each row and column
+of the matrix @var{a}.
 
-@noindent
-which produces a double logarithm plot of @var{y} versus @var{x} 
-with errors in the @var{y}-scale defined by @var{ey} and the plot
-format defined by @var{fmt}. See errorbar for available formats and 
-additional information.
-@seealso{errorbar, semilogxerr, semilogyerr}
+@seealso{image, imshow, clim, caxis}
 @end deftypefn
-mesh
+loadimage
 -*- texinfo -*-
-@deftypefn {Function File} {} mesh (@var{x}, @var{y}, @var{z})
-Plot a mesh given matrices @var{x}, and @var{y} from @code{meshgrid} and
-a matrix @var{z} corresponding to the @var{x} and @var{y} coordinates of
-the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
-is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, columns of @var{z}
-correspond to different @var{x} values and rows of @var{z} correspond
-to different @var{y} values.
-@seealso{meshgrid, contour}
+@deftypefn {Function File} {[@var{x}, @var{map}] =} loadimage (@var{file})
+Load an image file and it's associated color map from the specified
+@var{file}.  The image must be stored in Octave's image format.
+@seealso{saveimage, load, save}
 @end deftypefn
-meshc
+summer
 -*- texinfo -*-
-@deftypefn {Function File} {} meshc (@var{x}, @var{y}, @var{z})
-Plot a mesh and contour given matrices @var{x}, and @var{y} from 
-@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
-@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
-then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
-columns of @var{z} correspond to different @var{x} values and rows of 
-@var{z} correspond to different @var{y} values.
-@seealso{meshgrid, mesh, contour}
+@deftypefn {Function File} {} summer (@var{n})
+Create color colormap. This colormap is green to yellow.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-meshgrid
+hsv
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{xx}, @var{yy}, @var{zz}] =} meshgrid (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {[@var{xx}, @var{yy}] =} meshgrid (@var{x}, @var{y})
-@deftypefnx {Function File} {[@var{xx}, @var{yy}] =} meshgrid (@var{x})
-Given vectors of @var{x} and @var{y} and @var{z} coordinates, and
-returning 3 arguments, return three dimensional arrays corresponding
-to the @var{x}, @var{y}, and @var{z} coordinates of a mesh.  When
-returning only 2 arguments, return matrices corresponding to the
-@var{x} and @var{y} coordinates of a mesh.  The rows of @var{xx} are
-copies of @var{x}, and the columns of @var{yy} are copies of @var{y}.
-If @var{y} is omitted, then it is assumed to be the same as @var{x},
-and @var{z} is assumed the same as @var{y}.
-@seealso{mesh, contour}
+@deftypefn {Function File} {} hsv (@var{n})
+Create color colormap. This colormap is red through yellow, green, cyan,
+blue, magenta to red. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-meshz
+image
 -*- texinfo -*-
-@deftypefn {Function File} {} meshz (@var{x}, @var{y}, @var{z})
-Plot a curtain mesh given matrices @var{x}, and @var{y} from 
-@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
-@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
-then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
-columns of @var{z} correspond to different @var{x} values and rows of 
-@var{z} correspond to different @var{y} values.
-@seealso{meshgrid, mesh, contour}
+@deftypefn {Function File} {} image (@var{img})
+@deftypefnx {Function File} {} image (@var{x}, @var{y}, @var{img})
+Display a matrix as a color image.  The elements of @var{x} are indices
+into the current colormap, and the colormap will be scaled so that the
+extremes of @var{x} are mapped to the extremes of the colormap.
+
+It first tries to use @code{gnuplot}, then @code{display} from 
+@code{ImageMagick}, then @code{xv}, and then @code{xloadimage}.
+The actual program used can be changed using the @code{image_viewer}
+function.
+
+The axis values corresponding to the matrix elements are specified in
+@var{x} and @var{y}. If you're not using gnuplot 4.2 or later, these
+variables are ignored.
+@seealso{imshow, imagesc, colormap, image_viewer}
 @end deftypefn
-ndgrid
+white
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{y1}, @var{y2}, @dots{},  @var{y}n] =} ndgrid (@var{x1}, @var{x2}, @dots{}, @var{x}n)
-@deftypefnx {Function File} {[@var{y1}, @var{y2}, @dots{},  @var{y}n] =} ndgrid (@var{x})
-Given n vectors @var{x1}, @dots{} @var{x}n, @code{ndgrid} returns
-n arrays of dimension n.  The elements of the ith output argument
-contains the elements of the vector @var{x}i repeated over all
-dimensions different from the ith dimension.  Calling ndgrid with
-only one input argument @var{x} is equivalent of calling ndgrid with
-all n input arguments equal to @var{x}:
+@deftypefn {Function File} {} white (@var{n})
+Create color colormap.  This colormap is completely white.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+image_viewer
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{fcn}, @var{default_zoom}] =} image_viewer (@var{fcn}, @var{default_zoom})
+Change the program or function used for viewing images and return the
+previous values.
 
-[@var{y1}, @var{y2}, @dots{},  @var{y}n] = ndgrid (@var{x}, @dots{}, @var{x})
-@seealso{meshgrid}
+When the @code{image} or @code{imshow} function is called it will
+launch an external program to display the image.  The default behaviour
+is to use gnuplot if the installed version supports image viewing,
+and otherwise try the programs @code{display}, @code{xv}, and
+@code{xloadimage}.  Using this function it is possible to change that
+behaviour.
+
+When called with one input argument images will be displayed by saving
+the image to a file and the system command @var{command} will called
+to view the image.  The @var{command} must be a string containing
+@code{%s} and possibly @code{%f}. The @code{%s} will be replaced by
+the filename of the image, and the @code{%f} will (if present) be
+replaced by the zoom factor given to the @code{image} function.
+For example,
+@example
+image_viewer ("eog %s");
+@end example
+changes the image viewer to the @code{eog} program.
+
+With two input arguments, images will be displayed by calling
+the function @var{function_handle}.  For example,
+@example
+image_viewer (data, @@my_image_viewer);
+@end example
+sets the image viewer function to @code{my_image_viewer}.  The image
+viewer function is called with
+@example
+my_image_viewer (@var{x}, @var{y}, @var{im}, @var{zoom}, @var{data})
+@end example
+where @var{x} and @var{y} are the axis of the image, @var{im} is the image
+variable, and @var{data} is extra user-supplied data to be passed to
+the viewer function.
+
+With three input arguments it is possible to change the zooming.
+Some programs (like @code{xloadimage}) require the zoom factor to be
+between 0 and 100, and not 0 and 1 like Octave assumes. This is
+solved by setting the third argument to 100.
+
+@seealso{image, imshow}
+@end deftypefn
+hsv2rgb
+-*- texinfo -*-
+@deftypefn {Function File} {@var{rgb_map} =} hsv2rgb (@var{hsv_map})
+Transform a colormap from the hsv space to the rgb space. 
+@seealso{rgb2hsv}
 @end deftypefn
-newplot
+rgb2ntsc
 -*- texinfo -*-
-@deftypefn {Function File} {} newplot ()
-Prepare graphics engine to produce a new plot.  This function should
-be called at the beginning of all high-level plotting functions.
+@deftypefn {Function File} {} rgb2ntsc (@var{rgb})
+Image format conversion.
 @end deftypefn
-orient
+pink
 -*- texinfo -*-
-@deftypefn {Function File} {} orient (@var{orientation})
-Set the default print orientation.  Valid values for
-@var{orientation} include @code{"landscape"} and @code{"portrait"}.
-If called with no arguments, return the default print orientation.
+@deftypefn {Function File} {} pink (@var{n})
+Create color colormap. This colormap gives a sephia tone on black and
+white images. The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
 @end deftypefn
-pareto
+copper
 -*- texinfo -*-
-@deftypefn {Function File} {} pareto (@var{x})
-@deftypefnx {Function File} {} pareto (@var{x}, @var{y})
-@deftypefnx {Function File} {} pareto (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} pareto (@dots{})
-Draw a Pareto chart, also called ABC chart. A Pareto chart is a bar graph 
-used to arrange information in such a way that priorities for process 
-improvement can be established. It organizes and displays information 
-to show the relative importance of data. The chart is similar to the 
-histogram or bar chart, except that the bars are arranged in decreasing 
-order from left to right along the abscissa.
+@deftypefn {Function File} {} copper (@var{n})
+Create color colormap. This colormap is black to a light copper tone.
+The argument @var{n} should be a scalar.  If it
+is omitted, the length of the current colormap or 64 is assumed.
+@seealso{colormap}
+@end deftypefn
+factor
+-*- texinfo -*-
+@deftypefn {Function File} {@var{p} =} factor (@var{q})
+@deftypefnx {Function File} {[@var{p}, @var{n}] =} factor (@var{q})
 
-The fundamental idea (Pareto principle) behind the use of Pareto 
-diagrams is that the majority of an effect is due to a small subset of the
-causes, so for quality improvement the first few (as presented on the 
-diagram) contributing causes to a problem usually account for the majority 
-of the result. Thus, targeting these "major causes" for elimination 
-results in the most cost-effective improvement scheme.
+Return prime factorization of @var{q}. That is @code{prod (@var{p})
+== @var{q}}. If @code{@var{q} == 1}, returns 1. 
 
-The data are passed as @var{x} and the abscissa as @var{y}. If @var{y} is
-absent, then the abscissa are assumed to be @code{1 : length (@var{x})}.
-@var{y} can be a string array, a cell array of strings or a numerical
-vector.
+With two output arguments, returns the unique primes @var{p} and
+their multiplicities. That is @code{prod (@var{p} .^ @var{n}) ==
+@var{q}}.
 
-An example of the use of @code{pareto} is
+@end deftypefn
+legendre
+-*- texinfo -*-
+@deftypefn {Function File} {@var{L} =} legendre (@var{n}, @var{X})
+
+Legendre Function of degree n and order m
+where all values for m = 0..@var{n} are returned.
+@var{n} must be a scalar in the range [0..255].
+The return value has one dimension more than @var{x}.
 
 @example
+The Legendre Function of degree n and order m
+
 @group
-Cheese = @{"Cheddar", "Swiss", "Camembert", "Munster", "Stilton", ...
-   "Blue"@};
-Sold = [105, 30, 70, 10, 15, 20];
-pareto(Sold, Cheese);
+ m        m       2  m/2   d^m
+P(x) = (-1) * (1-x  )    * ----  P (x)
+ n                         dx^m   n
+@end group
+
+with:
+Legendre polynomial of degree n
+
+@group
+          1     d^n   2    n
+P (x) = ------ [----(x - 1)  ] 
+ n      2^n n!  dx^n
+@end group
+
+legendre(3,[-1.0 -0.9 -0.8]) returns the matrix
+
+@group
+ x  |   -1.0   |   -0.9   |  -0.8
+------------------------------------
+m=0 | -1.00000 | -0.47250 | -0.08000
+m=1 |  0.00000 | -1.99420 | -1.98000
+m=2 |  0.00000 | -2.56500 | -4.32000
+m=3 |  0.00000 | -1.24229 | -3.24000 
 @end group
 @end example
 @end deftypefn
-patch
+betai
 -*- texinfo -*-
-@deftypefn {Function File} {} patch ()
-@deftypefnx {Function File} {} patch (@var{x}, @var{y}, @var{c})
-@deftypefnx {Function File} {} patch (@var{x}, @var{y}, @var{c}, @var{opts})
-@deftypefnx {Function File} {} patch ('Faces', @var{f}, 'Vertices', @var{v}, @dots{})
-@deftypefnx {Function File} {} patch (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} patch (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} = } patch (@dots{})
-Create patch object from @var{x} and @var{y} with color @var{c} and
-insert in the current axes object.  Return handle to patch object.
+@deftypefn {Function File} {} betai (@var{a}, @var{b}, @var{x})
+This function is provided for compatibility with older versions of
+Octave.  New programs should use betainc instead.
 
-For a uniform colored patch, @var{c} can be given as an RGB vector,
-scalar value referring to the current colormap, or string value (for
-example, "r" or "red"). 
+@code{betai (@var{a}, @var{b}, @var{x})} is the same as @code{betainc
+(@var{x}, @var{a}, @var{b})}. 
 @end deftypefn
-pcolor
+perms
 -*- texinfo -*-
-@deftypefn {Function File} {} pcolor (@var{x}, @var{y}, @var{c})
-@deftypefnx {Function File} {} pcolor (@var{c})
-Density plot for given matrices @var{x}, and @var{y} from @code{meshgrid} and
-a matrix @var{c} corresponding to the @var{x} and @var{y} coordinates of
-the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
-is (@var{x}(j), @var{y}(i), @var{c}(i,j)).  Thus, columns of @var{c}
-correspond to different @var{x} values and rows of @var{c} correspond
-to different @var{y} values.
-@seealso{meshgrid, contour}
+@deftypefn {Function File} {} perms (@var{v})
+
+Generate all permutations of @var{v}, one row per permutation. The
+result has size @code{factorial (@var{n}) * @var{n}}, where @var{n}
+is the length of @var{v}.
+
+As an example, @code{perms([1, 2, 3])} returns the matrix
+@example
+  1   2   3
+  2   1   3
+  1   3   2
+  2   3   1
+  3   1   2
+  3   2   1
+@end example
 @end deftypefn
-peaks
+log2
 -*- texinfo -*-
-@deftypefn {Function File} {} peaks ()
-@deftypefnx {Function File} {} peaks (@var{n})
-@deftypefnx {Function File} {} peaks (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{z} =} peaks (@dots{})
-@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} peaks (@dots{})
-Generate a function with lots of local maxima and minima. The function
-has the form
-
+@deftypefn {Mapping Function} {} log2 (@var{x})
+@deftypefnx {Mapping Function} {[@var{f}, @var{e}] =} log2 (@var{x})
+Compute the base-2 logarithm of @var{x}.  With two outputs, returns
+@var{f} and @var{e} such that
 @iftex
 @tex
-$f(x,y) = 3 (1 - x) ^ 2 e ^ {\left(-x^2 - (y+1)^2\right)} - 10 \left({x \over 5} - x^3 - y^5)\right) - {1 \over 3} e^{\left(-(x+1)^2 - y^2\right)}$
+ $1/2 <= |f| < 1$ and $x = f \cdot 2^e$.
 @end tex
 @end iftex
-@ifnottex
-@verbatim
-f(x,y) = 3*(1-x)^2*exp(-x^2 - (y+1)^2) ...
-         - 10*(x/5 - x^3 - y^5)*exp(-x^2-y^2) ...
-         - 1/3*exp(-(x+1)^2 - y^2)
-@end verbatim
-@end ifnottex
+@ifinfo
+ 1/2 <= abs(f) < 1 and x = f * 2^e.
+@end ifinfo
+@seealso{log, log10, logspace, exp}
+@end deftypefn
+isprime
+-*- texinfo -*-
+@deftypefn {Function File} {} isprime (@var{n})
 
-Called without a return argument, @code{peaks} plots the surface of the 
-above function using @code{mesh}. If @var{n} is a scalar, the @code{peaks}
-returns the values of the above function on a @var{n}-by-@var{n} mesh over
-the range @code{[-3,3]}. The default value for @var{n} is 49.
+Return true if @var{n} is a prime number, false otherwise.
 
-If @var{n} is a vector, then it represents the @var{x} and @var{y} values
-of the grid on which to calculate the above function. The @var{x} and 
-@var{y} values can be specified separately.
-@seealso{surf, mesh, meshgrid}
+Something like the following is much faster if you need to test a lot
+of small numbers:
+
+@example
+@var{t} = ismember (@var{n}, primes (max (@var{n} (:))));
+@end example
+
+If max(n) is very large, then you should be using special purpose 
+factorization code.
+
+@seealso{primes, factor, gcd, lcm}
 @end deftypefn
-pie
+factorial
 -*- texinfo -*-
-@deftypefn {Function File} {} pie (@var{y})
-@deftypefnx {Function File} {} pie (@var{y}, @var{explode})
-@deftypefnx {Function File} {} pie (@dots{}, @var{labels})
-@deftypefnx {Function File} {} pie (@var{h}, @dots{});
-@deftypefnx {Function File} {@var{h} =} pie (@dots{});
-Produce a pie chart. 
+@deftypefn {Function File} {} factorial (@var{n})
+Return the factorial of @var{n}. If @var{n} is scalar, this is
+equivalent to @code{prod (1:@var{n})}.  If @var{n} is an array,
+the factorial of the elements of the array are returned.
+@end deftypefn
+erfinv
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} erfinv (@var{z})
+Computes the inverse of the error function.
+@seealso{erf, erfc}
+@end deftypefn
+betaln
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} betaln (@var{a}, @var{b})
+Return the log of the Beta function,
+@iftex
+@tex
+$$
+ B (a, b) = \log {\Gamma (a) \Gamma (b) \over \Gamma (a + b)}.
+$$
+@end tex
+@end iftex
+@ifinfo
 
-Called with a single vector arrgument, produces a pie chart of the
-elements in @var{x}, with the size of the slice determined by percentage
-size of the values of @var{x}.
+@example
+betaln (a, b) = gammaln (a) + gammaln (b) - gammaln (a + b)
+@end example
+@end ifinfo
+@seealso{beta, betai, gammaln}
+@end deftypefn
+bessel
+-*- texinfo -*-
+@deftypefn {Loadable Function} {[@var{j}, @var{ierr}] =} besselj (@var{alpha}, @var{x}, @var{opt})
+@deftypefnx {Loadable Function} {[@var{y}, @var{ierr}] =} bessely (@var{alpha}, @var{x}, @var{opt})
+@deftypefnx {Loadable Function} {[@var{i}, @var{ierr}] =} besseli (@var{alpha}, @var{x}, @var{opt})
+@deftypefnx {Loadable Function} {[@var{k}, @var{ierr}] =} besselk (@var{alpha}, @var{x}, @var{opt})
+@deftypefnx {Loadable Function} {[@var{h}, @var{ierr}] =} besselh (@var{alpha}, @var{k}, @var{x}, @var{opt})
+Compute Bessel or Hankel functions of various kinds:
 
-The variable @var{explode} is a vector of the same length as @var{x} that
-if non zero 'explodes' the slice from the pie chart.
+@table @code
+@item besselj
+Bessel functions of the first kind. If the argument @var{opt} is supplied, 
+the result is multiplied by @code{exp(-abs(imag(x)))}.
+@item bessely
+Bessel functions of the second kind. If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(imag(x)))}.
+@item besseli
+Modified Bessel functions of the first kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(real(x)))}.
+@item besselk
+Modified Bessel functions of the second kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(x)}.
+@item besselh
+Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}
+= 2) kind. If the argument @var{opt} is supplied, the result is multiplied by
+@code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for
+@var{k} = 2.
+@end table
+
+If @var{alpha} is a scalar, the result is the same size as @var{x}.
+If @var{x} is a scalar, the result is the same size as @var{alpha}.
+If @var{alpha} is a row vector and @var{x} is a column vector, the
+result is a matrix with @code{length (@var{x})} rows and
+@code{length (@var{alpha})} columns.  Otherwise, @var{alpha} and
+@var{x} must conform and the result will be the same size.
 
-If given @var{labels} is a cell array of strings of the same length as
-@var{x}, giving the labels of each of the slices of the pie chart. 
+The value of @var{alpha} must be real. The value of @var{x} may be
+complex.
 
-The optional return value @var{h} provides a handle to the patch object.
+If requested, @var{ierr} contains the following status information
+and is the same size as the result.
 
-@seealso{bar, stem}
+@enumerate 0
+@item
+Normal return.
+@item
+Input error, return @code{NaN}.
+@item
+Overflow, return @code{Inf}.
+@item
+Loss of significance by argument reduction results in less than
+half of machine accuracy.
+@item
+Complete loss of significance by argument reduction, return @code{NaN}.
+@item
+Error---no computation, algorithm termination condition not met,
+return @code{NaN}.
+@end enumerate
 @end deftypefn
-plot
+gammai
 -*- texinfo -*-
-@deftypefn {Function File} {} plot (@var{y})
-@deftypefnx {Function File} {} plot (@var{x}, @var{y})
-@deftypefnx {Function File} {} plot (@var{x}, @var{y}, @var{property}, @var{value}, @dots{})
-@deftypefnx {Function File} {} plot (@var{x}, @var{y}, @var{fmt})
-@deftypefnx {Function File} {} plot (@var{h}, @dots{})
-Produces two-dimensional plots.  Many different combinations of
-arguments are possible.  The simplest form is
+@deftypefn {Function File} {} gammai (@var{a}, @var{x})
+This function is provided for compatibility with older versions of
+Octave.  New programs should use @code{gammainc} instead.
 
-@example
-plot (@var{y})
-@end example
+@code{gammai (@var{a}, @var{x})} is the same as @code{gammainc
+(@var{x}, @var{a})}.
+@end deftypefn
+primes
+-*- texinfo -*-
+@deftypefn {Function File} {} primes (@var{n})
 
-@noindent
-where the argument is taken as the set of @var{y} coordinates and the
-@var{x} coordinates are taken to be the indices of the elements,
-starting with 1.
+Return all primes up to @var{n}.  
 
-To save a plot, in one of several image formats such as PostScript
-or PNG, use the @code{print} command.
+Note that if you need a specific number of primes, you can use the
+fact the distance from one prime to the next is on average
+proportional to the logarithm of the prime.  Integrating, you find
+that there are about @math{k} primes less than @math{k \log ( 5 k )}.
 
-If more than one argument is given, they are interpreted as
+The algorithm used is called the Sieve of Erastothenes.
+@end deftypefn
+pow2
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} pow2 (@var{x})
+@deftypefnx {Mapping Function} {} pow2 (@var{f}, @var{e})
+With one argument, computes
+@iftex
+@tex
+ $2^x$
+@end tex
+@end iftex
+@ifinfo
+ 2 .^ x
+@end ifinfo
+for each element of @var{x}.  With two arguments, returns
+@iftex
+@tex
+ $f \cdot 2^e$.
+@end tex
+@end iftex
+@ifinfo
+ f .* (2 .^ e).
+@end ifinfo
+@seealso{nextpow2}
+@end deftypefn
+beta
+-*- texinfo -*-
+@deftypefn {Mapping Function} {} beta (@var{a}, @var{b})
+Return the Beta function,
+@iftex
+@tex
+$$
+ B (a, b) = {\Gamma (a) \Gamma (b) \over \Gamma (a + b)}.
+$$
+@end tex
+@end iftex
+@ifinfo
 
 @example
-plot (@var{y}, @var{property}, @var{value}, @dots{})
+beta (a, b) = gamma (a) * gamma (b) / gamma (a + b).
 @end example
+@end ifinfo
+@end deftypefn
+nchoosek
+-*- texinfo -*-
+@deftypefn {Function File} {@var{c} =} nchoosek (@var{n}, @var{k})
 
-@noindent
-or
-
-@example
-plot (@var{x}, @var{y}, @var{property}, @var{value}, @dots{})
-@end example
+Compute the binomial coefficient or all combinations of @var{n}.
+If @var{n} is a scalar then, calculate the binomial coefficient
+of @var{n} and @var{k}, defined as
 
-@noindent
-or
+@iftex
+@tex
+$$
+ {n \choose k} = {n (n-1) (n-2) \cdots (n-k+1) \over k!}
+               = {n! \over k! (n-k)!}
+$$
+@end tex
+@end iftex
+@ifinfo
 
 @example
-plot (@var{x}, @var{y}, @var{fmt}, @dots{})
+@group
+ /   \
+ | n |    n (n-1) (n-2) ... (n-k+1)       n!
+ |   |  = ------------------------- =  ---------
+ | k |               k!                k! (n-k)!
+ \   /
+@end group
 @end example
+@end ifinfo
 
-@noindent
-and so on.  Any number of argument sets may appear.  The @var{x} and
-@var{y} values are interpreted as follows:
-
-@itemize @bullet
-@item
-If a single data argument is supplied, it is taken as the set of @var{y}
-coordinates and the @var{x} coordinates are taken to be the indices of
-the elements, starting with 1.
-
-@item
-If the @var{x} is a vector and @var{y} is a matrix, then
-the columns (or rows) of @var{y} are plotted versus @var{x}.
-(using whichever combination matches, with columns tried first.)
-
-@item
-If the @var{x} is a matrix and @var{y} is a vector,
-@var{y} is plotted versus the columns (or rows) of @var{x}.
-(using whichever combination matches, with columns tried first.)
-
-@item
-If both arguments are vectors, the elements of @var{y} are plotted versus
-the elements of @var{x}.
-
-@item
-If both arguments are matrices, the columns of @var{y} are plotted
-versus the columns of @var{x}.  In this case, both matrices must have
-the same number of rows and columns and no attempt is made to transpose
-the arguments to make the number of rows match.
-
-If both arguments are scalars, a single point is plotted.
-@end itemize
-
-Multiple property-value pairs may be specified, but they must appear
-in pairs.  These arguments are applied to the lines drawn by
-@code{plot}.
+If @var{n} is a vector generate all combinations of the elements
+of @var{n}, taken @var{k} at a time, one row per combination. The 
+resulting @var{c} has size @code{[nchoosek (length (@var{n}), 
+@var{k}), @var{k}]}.
 
-If the @var{fmt} argument is supplied, it is interpreted as
-follows.  If @var{fmt} is missing, the default gnuplot line style
-is assumed.
+@seealso{bincoeff}
+@end deftypefn
+wavread
+-*- texinfo -*-
+@deftypefn {Function File} {@var{y} =} wavread (@var{filename})
+Load the RIFF/WAVE sound file @var{filename}, and return the samples
+in vector @var{y}.  If the file contains multichannel data, then
+@var{y} is a matrix with the channels represented as columns.
 
-@table @samp
-@item -
-Set lines plot style (default).
+@deftypefnx {Function File} {[@var{y}, @var{Fs}, @var{bits}] =} wavread (@var{filename})
+Additionally return the sample rate (@var{fs}) in Hz and the number of bits 
+per sample (@var{bits}).
 
-@item .
-Set dots plot style.
+@deftypefnx {Function File} {[@dots{}] =} wavread (@var{filename}, @var{n})
+Read only the first @var{n} samples from each channel.
 
-@item ^
-Set impulses plot style.
+@deftypefnx {Function File} {[@dots{}] =} wavread (@var{filename},[@var{n1} @var{n2}])
+Read only samples @var{n1} through @var{n2} from each channel.
 
-@item L
-Set steps plot style.
+@deftypefnx {Function File} {[@var{samples}, @var{channels}] =} wavread (@var{filename}, "size")
+Return the number of samples (@var{n}) and channels (@var{ch})
+instead of the audio data.
+@seealso{wavwrite}
+@end deftypefn
+lin2mu
+-*- texinfo -*-
+@deftypefn {Function File} {} lin2mu (@var{x}, @var{n})
+Converts audio data from linear to mu-law.  Mu-law values use 8-bit
+unsigned integers.  Linear values use @var{n}-bit signed integers or 
+floating point values in the range -1<=@var{x}<=1 if @var{n} is 0.  
+If @var{n} is not specified it defaults to 0, 8 or 16 depending on 
+the range values in @var{x}.
+@seealso{mu2lin, loadaudio, saveaudio, playaudio, setaudio, record}
+@end deftypefn
+setaudio
+-*- texinfo -*-
+@deftypefn {Function File} {} setaudio ([@var{w_type} [, @var{value}]])
+Execute the shell command @samp{mixer [@var{w_type} [, @var{value}]]}
+@end deftypefn
+record
+-*- texinfo -*-
+@deftypefn {Function File} {} record (@var{sec}, @var{sampling_rate})
+Records @var{sec} seconds of audio input into the vector @var{x}.  The
+default value for @var{sampling_rate} is 8000 samples per second, or
+8kHz.  The program waits until the user types @key{RET} and then
+immediately starts to record.
+@seealso{lin2mu, mu2lin, loadaudio, saveaudio, playaudio, setaudio}
+@end deftypefn
+mu2lin
+-*- texinfo -*-
+@deftypefn {Function File} {} mu2lin (@var{x}, @var{bps})
+Converts audio data from linear to mu-law.  Mu-law values are 8-bit
+unsigned integers.  Linear values use @var{n}-bit signed integers
+or floating point values in the range -1<=y<=1 if @var{n} is 0.  If
+@var{n} is not specified it defaults to 8.
+@seealso{lin2mu, loadaudio, saveaudio, playaudio, setaudio, record}
+@end deftypefn
+saveaudio
+-*- texinfo -*-
+@deftypefn {Function File} {} saveaudio (@var{name}, @var{x}, @var{ext}, @var{bps})
+Saves a vector @var{x} of audio data to the file
+@file{@var{name}.@var{ext}}.  The optional parameters @var{ext} and
+@var{bps} determine the encoding and the number of bits per sample used
+in the audio file (see @code{loadaudio});  defaults are @file{lin} and
+8, respectively.
+@seealso{lin2mu, mu2lin, loadaudio, playaudio, setaudio, record}
+@end deftypefn
+wavwrite
+-*- texinfo -*-
+@deftypefn {Function File} {} wavwrite (@var{y}, @var{filename})
+@deftypefnx {Function File} {} wavwrite (@var{y}, @var{fs}, @var{filename})
+@deftypefnx {Function File} {} wavwrite (@var{y}, @var{fs}, @var{bits}, @var{filename})
+Write @var{y} to the canonical RIFF/WAVE sound file @var{filename}
+with sample rate @var{fs} and bits per sample @var{bits}.  The
+default sample rate is 8000 Hz with 16-bits per sample.  Each column
+of the data represents a separate channel.
+@seealso{wavread}
+@end deftypefn
+playaudio
+-*- texinfo -*-
+@deftypefn {Function File} {} playaudio (@var{name}, @var{ext})
+@deftypefnx {Function File} {} playaudio (@var{x})
+Plays the audio file @file{@var{name}.@var{ext}} or the audio data
+stored in the vector @var{x}.
+@seealso{lin2mu, mu2lin, loadaudio, saveaudio, setaudio, record}
+@end deftypefn
+loadaudio
+-*- texinfo -*-
+@deftypefn {Function File} {} loadaudio (@var{name}, @var{ext}, @var{bps})
+Loads audio data from the file @file{@var{name}.@var{ext}} into the
+vector @var{x}.
 
-@item @var{n}
-Interpreted as the plot color if @var{n} is an integer in the range 1 to
-6.
+The extension @var{ext} determines how the data in the audio file is
+interpreted;  the extensions @file{lin} (default) and @file{raw}
+correspond to linear, the extensions @file{au}, @file{mu}, or @file{snd}
+to mu-law encoding.
 
-@item @var{nm}
-If @var{nm} is a two digit integer and @var{m} is an integer in the
-range 1 to 6, @var{m} is interpreted as the point style.  This is only
-valid in combination with the @code{@@} or @code{-@@} specifiers.
+The argument @var{bps} can be either 8 (default) or 16, and specifies
+the number of bits per sample used in the audio file.
+@seealso{lin2mu, mu2lin, saveaudio, playaudio, setaudio, record}
+@end deftypefn
+savepath
+-*- texinfo -*-
+@deftypefn {Function File} {} savepath (@var{file})
+Save the current function search path to @var{file}.  If @var{file}
+is omitted, @file{~/.octaverc} is used.  If successful,
+@code{savepath} returns 0.
+@seealso{path, addpath, rmpath, genpath, pathdef, pathsep}
+@end deftypefn
+hinfsyn_chk
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{retval}, @var{pc}, @var{pf}] =} hinfsyn_chk (@var{a}, @var{b1}, @var{b2}, @var{c1}, @var{c2}, @var{d12}, @var{d21}, @var{g}, @var{ptol})
+Called by @code{hinfsyn} to see if gain @var{g} satisfies conditions in
+Theorem 3 of
+Doyle, Glover, Khargonekar, Francis, @cite{State Space Solutions to Standard}
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
 
-@item @var{c}
-If @var{c} is one of @code{"k"} (black), @code{"r"} (red), @code{"g"}
-(green), @code{"b"} (blue), @code{"m"} (magenta), @code{"c"} (cyan),
-or @code{"w"} (white), it is interpreted as the line plot color.
+@strong{Warning:} do not attempt to use this at home; no argument
+checking performed.
 
-@item ";title;"
-Here @code{"title"} is the label for the key.
+@strong{Inputs}
 
-@item +
-@itemx *
-@itemx o
-@itemx x
-Used in combination with the points or linespoints styles, set the point
-style.
+As returned by @code{is_dgkf}, except for:
+@table @var
+@item g
+candidate gain level
+@item ptol
+ as in @code{hinfsyn}
 @end table
 
-The @var{fmt} argument may also be used to assign key titles.
-To do so, include the desired title between semi-colons after the
-formatting sequence described above, e.g. "+3;Key Title;"
-Note that the last semi-colon is required and will generate an error if
-it is left out.
+@strong{Outputs}
+@table @var
+@item retval
+ 1 if g exceeds optimal Hinf closed loop gain, else 0
+@item pc
+solution of ``regulator'' 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+@acronym{ARE}
+@item pf
+solution of ``filter''
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+@acronym{ARE}
+@end table
+Do not attempt to use this at home; no argument checking performed.
+@end deftypefn
+dgkfdemo
+-*- texinfo -*-
+@deftypefn {Function File} {} dgkfdemo ()
+Octave Controls toolbox demo: 
+@iftex
+@tex
+$ { \cal H }_2 $/$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-2/H-infinity
+@end ifinfo
+options demos.
+@end deftypefn
+hinfsyn
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{k}, @var{g}, @var{gw}, @var{xinf}, @var{yinf}] =} hinfsyn (@var{asys}, @var{nu}, @var{ny}, @var{gmin}, @var{gmax}, @var{gtol}, @var{ptol}, @var{tol})
 
-Here are some plot examples:
+@strong{Inputs} input system is passed as either
+@table @var
+@item asys
+system data structure (see @command{ss}, @command{sys2ss})
+@itemize @bullet
+@item controller is implemented for continuous time systems
+@item controller is @strong{not} implemented for discrete time systems  (see
+bilinear transforms in @command{c2d}, @command{d2c})
+@end itemize
+@item nu
+number of controlled inputs
+@item ny
+number of measured outputs
+@item gmin
+initial lower bound on 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+optimal gain
+@item gmax
+initial upper bound on 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+Optimal gain.
+@item gtol
+Gain threshold.  Routine quits when @var{gmax}/@var{gmin} < 1+tol.
+@item ptol
+poles with @code{abs(real(pole))} 
+@iftex
+@tex
+$ < ptol \Vert H \Vert $
+@end tex
+@end iftex
+@ifinfo
+< ptol*||H|| 
+@end ifinfo
+(@var{H} is appropriate
+Hamiltonian) are considered to be on the imaginary axis.
+Default: 1e-9.
+@item tol
+threshold for 0.  Default: 200*@code{eps}.
 
-@example
-plot (x, y, "@@12", x, y2, x, y3, "4", x, y4, "+")
-@end example
+@var{gmax}, @var{min}, @var{tol}, and @var{tol} must all be positive scalars.
+@end table
+@strong{Outputs}
+@table @var
+@item k
+System controller.
+@item g
+Designed gain value.
+@item gw
+Closed loop system.
+@item xinf
+@acronym{ARE} solution matrix for regulator subproblem.
+@item yinf
+@acronym{ARE} solution matrix for filter subproblem.
+@end table
 
-This command will plot @code{y} with points of type 2 (displayed as
-@samp{+}) and color 1 (red), @code{y2} with lines, @code{y3} with lines of
-color 4 (magenta) and @code{y4} with points displayed as @samp{+}.
+References:
+@enumerate
+@item Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions
+to Standard}
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
 
-@example
-plot (b, "*", "markersize", 3)
-@end example
+@item Maciejowksi, J.M., @cite{Multivariable feedback design},
+Addison-Wesley, 1989, @acronym{ISBN} 0-201-18243-2.
 
-This command will plot the data in the variable @code{b},
-with points displayed as @samp{*} with a marker size of 3.
+@item Keith Glover and John C. Doyle, @cite{State-space formulae for all
+stabilizing controllers that satisfy an}
+@iftex
+@tex
+$ { \cal H }_\infty $@cite{norm}
+@end tex
+@end iftex
+@ifinfo
+@cite{H-infinity-norm}
+@end ifinfo
+@cite{bound and relations to risk sensitivity},
+Systems & Control Letters 11, Oct. 1988, pp 167--172.
+@end enumerate
+@end deftypefn
+wgt1o
+-*- texinfo -*-
+@deftypefn {Function File} {@var{W} =} wgt1o (@var{vl}, @var{vh}, @var{fc})
+State space description of a first order weighting function.
 
-@example
-t = 0:0.1:6.3;
-plot (t, cos(t), "-;cos(t);", t, sin(t), "+3;sin(t);");
-@end example
+Weighting function are needed by the 
+@iftex
+@tex
+$ { \cal H }_2 / { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-2/H-infinity
+@end ifinfo
+design procedure.
+These functions are part of the augmented plant @var{P}
+(see @command{hinfdemo} for an application example).
 
-This will plot the cosine and sine functions and label them accordingly
-in the key.
+@strong{Inputs}
+@table @var
+@item vl
+Gain at low frequencies.
+@item vh
+Gain at high frequencies.
+@item fc
+Corner frequency (in Hz, @strong{not} in rad/sec)
+@end table
 
-If the first argument is an axis handle, then plot into these axes, 
-rather than the current axis handle returned by @code{gca}. 
-@seealso{semilogx, semilogy, loglog, polar, mesh, contour, bar,
-stairs, errorbar, xlabel, ylabel, title, print}
+@strong{Output}
+@table @var
+@item W
+Weighting function, given in form of a system data structure.
+@end table
 @end deftypefn
-plot3
+dhinfdemo
 -*- texinfo -*-
-@deftypefn {Function File} {} plot3 (@var{args})
-Produce three-dimensional plots.  Many different combinations of
-arguments are possible.  The simplest form is
+@deftypefn {Function File} {} dhinfdemo ()
+Demonstrate the functions available to design a discrete
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+controller.  This is not a true discrete design. The
+design is carried out in continuous time while the effect of sampling
+is described by a bilinear transformation of the sampled system.
+This method works quite well if the sampling period is "small"
+compared to the plant time constants.
 
+Continuous plant:
+@iftex
+@tex
+$$ G(s) = { 1 \over (s+2) (s+1) } $$
+@end tex
+@end iftex
+@ifinfo
 @example
-plot3 (@var{x}, @var{y}, @var{z})
+@group
+                  1
+     G(s) = --------------
+            (s + 2)(s + 1)
+@end group
 @end example
+@end ifinfo
 
-@noindent
-in which the arguments are taken to be the vertices of the points to
-be plotted in three dimensions. If all arguments are vectors of the
-same length, then a single continuous line is drawn. If all arguments
-are matrices, then each column of the matrices is treated as a
-separate line.  No attempt is made to transpose the arguments to make
-the number of rows match.
-
-If only two arguments are given, as
-
+Discretised plant with @acronym{ZOH} (Sampling period = @var{Ts} = 1 second):
+@iftex
+@tex
+$$ G(z) = { 0.39958z + 0.14700 \over (z - 0.36788) (z - 0.13533) } $$
+@end tex
+@end iftex
+@ifinfo
 @example
-plot3 (@var{x}, @var{c})
+@group
+                0.39958z + 0.14700
+     G(z) = --------------------------
+            (z - 0.36788)(z - 0.13533)
+@end group
 @end example
-
-@noindent
-the real and imaginary parts of the second argument are used
-as the @var{y} and @var{z} coordinates, respectively.
-
-If only one argument is given, as
+@end ifinfo
 
 @example
-plot3 (@var{c})
+@group
+                              +----+
+         -------------------->| W1 |---> v1
+     z   |                    +----+
+     ----|-------------+                   || T   ||     => min.
+         |             |                       vz   infty
+         |    +---+    v      +----+
+         *--->| G |--->O--*-->| W2 |---> v2
+         |    +---+       |   +----+
+         |                |
+         |    +---+       |
+         -----| K |<-------
+              +---+
+@end group
 @end example
 
 @noindent
-the real and imaginary parts of the argument are used as the @var{y}
-and @var{z} values, and they are plotted versus their index.
-
-Arguments may also be given in groups of three as
-
+W1 and W2 are the robustness and performancs weighting functions.
+@end deftypefn
+is_dgkf
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{retval}, @var{dgkf_struct} ] =} is_dgkf (@var{asys}, @var{nu}, @var{ny}, @var{tol} )
+Determine whether a continuous time state space system meets
+assumptions of @acronym{DGKF} algorithm.
+Partitions system into:
 @example
-plot3 (@var{x1}, @var{y1}, @var{z1}, @var{x2}, @var{y2}, @var{z2}, @dots{})
+[dx/dt]   [A  | Bw  Bu  ][w]
+[ z   ] = [Cz | Dzw Dzu ][u]
+[ y   ]   [Cy | Dyw Dyu ]
 @end example
+or similar discrete-time system.
+If necessary, orthogonal transformations @var{qw}, @var{qz} and nonsingular
+transformations @var{ru}, @var{ry} are applied to respective vectors
+@var{w}, @var{z}, @var{u}, @var{y} in order to satisfy @acronym{DGKF} assumptions.
+Loop shifting is used if @var{dyu} block is nonzero.
 
-@noindent
-in which each set of three arguments is treated as a separate line or
-set of lines in three dimensions.
-
-To plot multiple one- or two-argument groups, separate each group
-with an empty format string, as
+@strong{Inputs}
+@table @var
+@item         asys
+system data structure
+@item           nu
+number of controlled inputs
+@item        ny
+number of measured outputs
+@item        tol
+threshold for 0; default: 200*@code{eps}.
+@end table
+@strong{Outputs}
+@table @var
+@item    retval
+true(1) if system passes check, false(0) otherwise
+@item    dgkf_struct
+data structure of @command{is_dgkf} results.  Entries:
+@table @var
+@item      nw
+@itemx     nz
+dimensions of @var{w}, @var{z}
+@item      a
+system @math{A} matrix
+@item      bw
+(@var{n} x @var{nw}) @var{qw}-transformed disturbance input matrix
+@item      bu
+(@var{n} x @var{nu}) @var{ru}-transformed controlled input matrix;
 
-@example
-plot3 (@var{x1}, @var{c1}, "", @var{c2}, "", @dots{})
-@end example
+@math{B = [Bw Bu]}
+@item      cz
+(@var{nz} x @var{n}) Qz-transformed error output matrix
+@item      cy
+(@var{ny} x @var{n}) @var{ry}-transformed measured output matrix
 
-An example of the use of @code{plot3} is
+@math{C = [Cz; Cy]}
+@item      dzu
+@item      dyw
+off-diagonal blocks of transformed system @math{D} matrix that enter
+@var{z}, @var{y} from @var{u}, @var{w} respectively
+@item      ru
+controlled input transformation matrix
+@item      ry
+observed output transformation matrix
+@item      dyu_nz
+nonzero if the @var{dyu} block is nonzero.
+@item      dyu
+untransformed @var{dyu} block
+@item      dflg
+nonzero if the system is discrete-time
+@end table
+@end table
+@code{is_dgkf} exits with an error if the system is mixed
+discrete/continuous.
 
+@strong{References}
+@table @strong
+@item [1]
+Doyle, Glover, Khargonekar, Francis, @cite{State Space Solutions to Standard}
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
+@item [2]
+Maciejowksi, J.M., @cite{Multivariable Feedback Design}, Addison-Wesley, 1989.
+@end table
+@end deftypefn
+hinfsyn_ric
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{xinf}, @var{x_ha_err}] =} hinfsyn_ric (@var{a}, @var{bb}, @var{c1}, @var{d1dot}, @var{r}, @var{ptol})
+Forms
 @example
-@group
-   z = [0:0.05:5];
-   plot3 (cos(2*pi*z), sin(2*pi*z), z, ";helix;");
-   plot3 (z, exp(2i*pi*z), ";complex sinusoid;");
-@end group
+xx = ([bb; -c1'*d1dot]/r) * [d1dot'*c1 bb'];
+Ha = [a 0*a; -c1'*c1 - a'] - xx;
 @end example
-@seealso{plot}
+and solves associated Riccati equation.
+The error code @var{x_ha_err} indicates one of the following
+conditions:
+@table @asis
+@item 0
+successful
+@item 1
+@var{xinf} has imaginary eigenvalues
+@item 2
+@var{hx} not Hamiltonian
+@item 3
+@var{xinf} has infinite eigenvalues (numerical overflow)
+@item 4
+@var{xinf} not symmetric
+@item 5
+@var{xinf} not positive definite
+@item 6
+@var{r} is singular
+@end table
 @end deftypefn
-plotyy
+h2norm
 -*- texinfo -*-
-@deftypefn {Function File} {} plotyy (@var{x1}, @var{y1}, @var{x2}, @var{y2})
-@deftypefnx {Function File} {} plotyy (@dots{}, @var{fun})
-@deftypefnx {Function File} {} plotyy (@dots{}, @var{fun1}, @var{fun2})
-@deftypefnx {Function File} {} plotyy (@var{h}, @dots{})
-@deftypefnx {Function File} {[@var{ax}, @var{h1}, @var{h2}] =} plotyy (@dots{})
-Plots two sets of data with independent y-axes. The arguments @var{x1} and
-@var{y1} define the arguments for the first plot and @var{x1} and @var{y2}
-for the second. 
-
-By default the arguments are evaluated with 
-@code{feval (@@plot, @var{x}, @var{y})}. However the type of plot can be
-modified with the @var{fun} argument, in which case the plots are
-generated by @code{feval (@var{fun}, @var{x}, @var{y})}. @var{fun} can be 
-a function handle, an inline function or a string of a function name.
-
-The function to use for each of the plots can be independently defined 
-with @var{fun1} and @var{fun2}.
-
-If given, @var{h} defines the principal axis in which to plot the @var{x1}
-and @var{y1} data. The return value @var{ax} is a two element vector with
-the axis handles of the two plots. @var{h1} and @var{h2} are handles to
-the objects generated by the plot commands.
+@deftypefn {Function File} {} h2norm (@var{sys})
+Computes the 
+@iftex
+@tex
+$ { \cal H }_2 $
+@end tex
+@end iftex
+@ifinfo
+H-2
+@end ifinfo
+norm of a system data structure (continuous time only).
 
-@example
-@group
-x = 0:0.1:2*pi; 
-y1 = sin (x);
-y2 = exp (x - 1);
-ax = plotyy (x, y1, x - 1, y2, @@plot, @@semilogy);
-xlabel ("X");
-ylabel (ax(1), "Axis 1");
-ylabel (ax(2), "Axis 2");
-@end group
-@end example
+Reference:
+Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions to Standard} 
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
 @end deftypefn
-polar
+hinf_ctr
 -*- texinfo -*-
-@deftypefn {Function File} {} polar (@var{theta}, @var{rho}, @var{fmt})
-Make a two-dimensional plot given the polar coordinates @var{theta} and
-@var{rho}.
+@deftypefn {Function File} {@var{K} =} hinf_ctr (@var{dgs}, @var{f}, @var{h}, @var{z}, @var{g})
+Called by @code{hinfsyn} to compute the 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+optimal controller.
 
-The optional third argument specifies the line type.
-@seealso{plot}
+@strong{Inputs}
+@table @var
+@item dgs
+data structure returned by @code{is_dgkf}
+@item f
+@itemx h
+feedback and filter gain (not partitioned)
+@item g
+final gamma value
+@end table
+@strong{Outputs}
+@table @var
+@item K
+controller (system data structure)
+@end table
+
+Do not attempt to use this at home; no argument checking performed.
 @end deftypefn
-print
+hinfnorm
 -*- texinfo -*-
-@deftypefn {Function File} {} print (@var{filename}, @var{options})
-Print a graph, or save it to a file
+@deftypefn {Function File} {[@var{g}, @var{gmin}, @var{gmax}] =} hinfnorm (@var{sys}, @var{tol}, @var{gmin}, @var{gmax}, @var{ptol})
+Computes the 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+norm of a system data structure.
 
-@var{filename} defines the file name of the output file. If no
-filename is specified, output is sent to the printer.
+@strong{Inputs}
+@table @var
+@item sys
+system data structure
+@item tol
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+norm search tolerance (default: 0.001)
+@item gmin
+minimum value for norm search (default: 1e-9)
+@item gmax
+maximum value for norm search (default: 1e+9)
+@item ptol
+pole tolerance:
+@itemize @bullet
+@item if sys is continuous, poles with
+@iftex
+@tex
+$ \vert {\rm real}(pole) \vert < ptol \Vert H \Vert $
+@end tex
+@end iftex
+@ifinfo
+@math{ |real(pole))| < ptol*||H|| }
+@end ifinfo
+(@var{H} is appropriate Hamiltonian)
+are considered to be on the imaginary axis.
 
-@var{options}:
-@table @code
-@item -P@var{printer}
-  Set the @var{printer} name to which the graph is sent if no
-@var{filename} is specified.
-@item -color
-@itemx -mono
-  Monochrome or colour lines.
-@item -solid
-@itemx -dashed
-  Solid or dashed lines.
-@item -portrait
-@itemx -landscape
-  Plot orientation, as returned by "orient".
-@item -d@var{device}
-  Output device, where @var{device} is one of:
-@table @code
-@item ps
-@itemx ps2
-@itemx psc
-@itemx psc2
-    Postscript (level 1 and 2, mono and color)
-@item eps
-@itemx eps2
-@itemx epsc
-@itemx epsc2
-    Encapsulated postscript (level 1 and 2, mono and color)
-@item tex
-@itemx epslatex
-@itemx epslatexstandalone
-@itemx pstex
-@itemx pslatex
-    Generate a LaTeX (or TeX) file for labels, and eps/ps for
-    graphics.  The file produced by @code{epslatexstandalone} can be
-    processed directly by LaTeX.  The other formats are intended to
-    be included in a LaTeX (or TeX) document.  The @code{tex} device
-    is the same as the @code{epslatex} device.
-@item ill
-@itemx aifm
-    Adobe Illustrator
-@item cdr
-@itemx corel
-    CorelDraw
-@item dxf
-    AutoCAD
-@item emf
-    Microsoft Enhanced Metafile
-@item fig
-    XFig.  If this format is selected the additional options
-@code{-textspecial} or @code{-textnormal} can be used to control
-    whether the special flag should be set for the text in the figure
-    (default is @code{-textnormal}). 
-@item hpgl
-    HP plotter language
-@item mf
-    Metafont
-@item png
-    Portable network graphics
-@item jpg
-@itemx jpeg
-    JPEG image
-@item gif
-    GIF image
-@item pbm
-    PBMplus
-@item svg
-    Scalable vector graphics
-@item pdf
-    Portable document format
-@end table
+@item if sys is discrete, poles with
+@iftex
+@tex
+$ \vert { \rm pole } - 1 \vert < ptol \Vert [ s_1 s_2 ] \Vert $
+@end tex
+@end iftex
+@ifinfo
+@math{|abs(pole)-1| < ptol*||[s1,s2]||}
+@end ifinfo
+(appropriate symplectic pencil)
+are considered to be on the unit circle.
 
-  Other devices are supported by "convert" from ImageMagick.  Type
-  system("convert") to see what formats are available.
+@item Default value: 1e-9
+@end itemize
+@end table
 
-  If the device is omitted, it is inferred from the file extension,
-  or if there is no filename it is sent to the printer as postscript.
+@strong{Outputs}
+@table @var
+@item g
+Computed gain, within @var{tol} of actual gain.  @var{g} is returned as Inf
+if the system is unstable.
+@item gmin
+@itemx gmax
+Actual system gain lies in the interval [@var{gmin}, @var{gmax}].
+@end table
 
-@itemx -S@var{xsize},@var{ysize}
-  Plot size in pixels for PNG and SVG.  If using the command form of
-  the print function, you must quote the @var{xsize},@var{ysize}
-  option.  For example, by writing @code{"-S640,480"}.
+References:
+Doyle, Glover, Khargonekar, Francis, @cite{State-space solutions to standard}
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{control problems}, @acronym{IEEE} @acronym{TAC} August 1989;
+Iglesias and Glover, @cite{State-Space approach to discrete-time}
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-infinity}
+@end ifinfo
+@cite{control}, Int. J. Control, vol 54, no. 5, 1991;
+Zhou, Doyle, Glover, @cite{Robust and Optimal Control}, Prentice-Hall, 1996.
+@end deftypefn
+h2syn
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{K}, @var{gain}, @var{kc}, @var{kf}, @var{pc}, @var{pf}] = } h2syn (@var{asys}, @var{nu}, @var{ny}, @var{tol})
+Design 
+@iftex
+@tex
+$ { \cal H }_2 $
+@end tex
+@end iftex
+@ifinfo
+H-2
+@end ifinfo
+optimal controller per procedure in 
+Doyle, Glover, Khargonekar, Francis, @cite{State-Space Solutions to Standard}
+@iftex
+@tex
+$ { \cal H }_2 $ @cite{and} $ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+@cite{H-2 and H-infinity}
+@end ifinfo
+@cite{Control Problems}, @acronym{IEEE} @acronym{TAC} August 1989.
 
-@item -F@var{fontname}
-@itemx -F@var{fontname}:@var{size}
-@itemx -F:@var{size}
-@var{fontname} set the postscript font (for use with postscript,
-  aifm, corel and fig). By default, 'Helvetica' is set for PS/Aifm,
-  and 'SwitzerlandLight' for Corel. It can also be 'Times-Roman'.
-@var{size} is given in points. @var{fontname} is ignored for the
-  fig device.
+Discrete-time control per Zhou, Doyle, and Glover, @cite{Robust and optimal control}, Prentice-Hall, 1996.
+
+@strong{Inputs}
+@table @var
+@item asys
+system data structure (see ss, sys2ss)
+@itemize @bullet
+@item controller is implemented for continuous time systems
+@item controller is @strong{not} implemented for discrete time systems
+@end itemize
+@item nu
+number of controlled inputs
+@item ny
+number of measured outputs
+@item tol
+threshold for 0.  Default: 200*@code{eps}
 @end table
 
-The filename and options can be given in any order.
+@strong{Outputs}
+@table @var
+@item    k
+system controller
+@item    gain
+optimal closed loop gain
+@item    kc
+full information control (packed)
+@item    kf
+state estimator (packed)
+@item    pc
+@acronym{ARE} solution matrix for regulator subproblem
+@item    pf
+@acronym{ARE} solution matrix for filter subproblem
+@end table
 @end deftypefn
-quiver
+hinfdemo
 -*- texinfo -*-
-@deftypefn {Function File} {} quiver (@var{u}, @var{v})
-@deftypefnx {Function File} {} quiver (@var{x}, @var{y}, @var{u}, @var{v})
-@deftypefnx {Function File} {} quiver (@dots{}, @var{s})
-@deftypefnx {Function File} {} quiver (@dots{}, @var{style})
-@deftypefnx {Function File} {} quiver (@dots{}, 'filled')
-@deftypefnx {Function File} {} quiver (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} quiver (@dots{})
-
-Plot the @code{(@var{u}, @var{v})} components of a vector field in 
-an @code{(@var{x}, @var{y})} meshgrid. If the grid is uniform, you can 
-specify @var{x} and @var{y} as vectors.
-
-If @var{x} and @var{y} are undefined they are assumed to be
-@code{(1:@var{m}, 1:@var{n})} where @code{[@var{m}, @var{n}] = 
-size(@var{u})}.
-
-The variable @var{s} is a scalar defining a scaling factor to use for
- the arrows of the field relative to the mesh spacing. A value of 0 
-disables all scaling. The default value is 1.
+@deftypefn {Function File} {} hinfdemo ()
 
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
-If a marker is specified then markers at the grid points of the vectors are
-printed rather than arrows. If the argument 'filled' is given then the
-markers as filled.
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+design demos for continuous @acronym{SISO} and @acronym{MIMO} systems and a
+discrete system.  The @acronym{SISO} system is difficult to control because
+it is non-minimum-phase and unstable. The second design example
+controls the @command{jet707} plant, the linearized state space model of a
+Boeing 707-321 aircraft at @var{v}=80 m/s 
+@iftex
+@tex
+($M = 0.26$, $G_{a0} = -3^{\circ}$, ${\alpha}_0 = 4^{\circ}$, ${\kappa}= 50^{\circ}$).
+@end tex
+@end iftex
+@ifinfo
+(@var{M} = 0.26, @var{Ga0} = -3 deg, @var{alpha0} = 4 deg, @var{kappa} = 50 deg).
+@end ifinfo
+Inputs: (1) thrust and (2) elevator angle
+Outputs: (1) airspeed and (2) pitch angle. The discrete system is a
+stable and second order.
 
-The optional return value @var{h} provides a list of handles to the 
-the parts of the vector field (body, arrow and marker).
+@table @asis
+@item @acronym{SISO} plant:
 
+@iftex
+@tex
+$$ G(s) = { s-2 \over (s+2) (s-1) } $$
+@end tex
+@end iftex
+@ifinfo
 @example
 @group
-[x, y] = meshgrid (1:2:20);
-quiver (x, y, sin (2*pi*x/10), sin (2*pi*y/10));
+                s - 2
+     G(s) = --------------
+            (s + 2)(s - 1)
 @end group
 @end example
+@end ifinfo
 
-@seealso{plot}
-@end deftypefn
-quiver3
--*- texinfo -*-
-@deftypefn {Function File} {} quiver3 (@var{u}, @var{v}, @var{w})
-@deftypefnx {Function File} {} quiver3 (@var{x}, @var{y}, @var{z}, @var{u}, @var{v}, @var{w})
-@deftypefnx {Function File} {} quiver3 (@dots{}, @var{s})
-@deftypefnx {Function File} {} quiver3 (@dots{}, @var{style})
-@deftypefnx {Function File} {} quiver3 (@dots{}, 'filled')
-@deftypefnx {Function File} {} quiver3 (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} quiver3 (@dots{})
-
-Plot the @code{(@var{u}, @var{v}, @var{w})} components of a vector field in 
-an @code{(@var{x}, @var{y}), @var{z}} meshgrid. If the grid is uniform, you 
-can specify @var{x}, @var{y} @var{z} as vectors.
-
-If @var{x}, @var{y} and @var{z} are undefined they are assumed to be
-@code{(1:@var{m}, 1:@var{n}, 1:@var{p})} where @code{[@var{m}, @var{n}] = 
-size(@var{u})} and @code{@var{p} = max (size (@var{w}))}.
-
-The variable @var{s} is a scalar defining a scaling factor to use for
- the arrows of the field relative to the mesh spacing. A value of 0 
-disables all scaling. The default value is 1.
-
-The style to use for the plot can be defined with a line style @var{style}
-in a similar manner to the line styles used with the @code{plot} command.
-If a marker is specified then markers at the grid points of the vectors are
-printed rather than arrows. If the argument 'filled' is given then the
-markers as filled.
+@smallexample
+@group
 
-The optional return value @var{h} provides a list of handles to the 
-the parts of the vector field (body, arrow and marker).
+                              +----+
+         -------------------->| W1 |---> v1
+     z   |                    +----+
+     ----|-------------+
+         |             |
+         |    +---+    v   y  +----+
+       u *--->| G |--->O--*-->| W2 |---> v2
+         |    +---+       |   +----+
+         |                |
+         |    +---+       |
+         -----| K |<-------
+              +---+
+@end group
+@end smallexample
 
+@iftex
+@tex
+$$ { \rm min } \Vert T_{vz} \Vert _\infty $$
+@end tex
+@end iftex
+@ifinfo
 @example
-@group
-[x, y, z] = peaks (25);
-surf (x, y, z);
-hold on;
-[u, v, w] = surfnorm (x, y, z / 10);
-quiver3 (x, y, z, u, v, w);
-@end group
+min || T   ||
+        vz   infty
 @end example
+@end ifinfo
 
-@seealso{plot}
-@end deftypefn
-replot
--*- texinfo -*-
-@deftypefn {Function File} {} replot ()
-Refresh the plot window.
-@end deftypefn
-ribbon
--*- texinfo -*-
-@deftypefn {Function File}  ribbon (@var{x}, @var{y}, @var{width})
-@deftypefnx {Function File}  ribbon (@var{y})
-@deftypefnx {Function File}  @var{h} = ribbon (@dots{})
-Plot a ribbon plot for the columns of @var{y} vs. @var{x}. The
-optional parameter @var{width} specifies the width of a single ribbon
-(default is 0.75).  If @var{x} is omitted, a vector containing the
-row numbers is assumed (1:rows(Y)).  If requested, return a vector
-@var{h} of the handles to the surface objects.
-@seealso{gca, colorbar}
-@end deftypefn
-rose
--*- texinfo -*-
-@deftypefn {Function File} {} rose (@var{th}, @var{r})
-@deftypefnx {Function File} {} rose (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} compass (@dots{})
-@deftypefnx {Function File} {[@var{r}, @var{th}] =} compass (@dots{})
-
-Plot an angular histogram. With one vector argument @var{th}, plots the
-histogram with 20 angular bins. If @var{th} is a matrix, then each column
-of @var{th} produces a separate histogram.
-
-If @var{r} is given and is a scalar, then the histogram is produced with
-@var{r} bins. If @var{r} is a vector, then the center of each bin are 
-defined by the values of @var{r}.
-
-The optional return value @var{h} provides a list of handles to the 
-the parts of the vector field (body, arrow and marker).
-
-If two output arguments are requested, then rather than plotting the 
-histogram, the polar vectors necessary to plot the histogram are 
-returned.
-scatter
--*- texinfo -*-
-@deftypefn {Function File} {} scatter (@var{x}, @var{y}, @var{s}, @var{c})
-@deftypefnx {Function File} {} scatter (@dots{}, 'filled')
-@deftypefnx {Function File} {} scatter (@dots{}, @var{style})
-@deftypefnx {Function File} {} scatter (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} scatter (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} scatter (@dots{})
-
-Plot a scatter plot of the data. A marker is ploted at each point 
-defined by the points in the vectors @var{x} and @var{y}. The size of
-the markers used is determined by the @var{s}, which can be a scalar, 
-a vector of the same length of @var{x} and @var{y}. If @var{s} is not 
-given or is an empty matrix, then the default value of 8 points is used.
-
-The color of the markers is determined by @var{c}, which can be a string
-defining a fixed color, a 3 element vector giving the red, green and blue 
-components of the color, a vector of the same length as @var{x} that gives
-a scaled index into the current colormap, or a @var{n}-by-3 matrix defining
-the colors of each of the markers individually.
-
-The marker to use can be changed with the @var{style} argument, that is a 
-string defining a marker in the same manner as the @code{plot} command. 
-If the argument 'filled' is given then the markers as filled. All 
-additional arguments are passed to the underlying patch command.
+@var{W1} und @var{W2} are the robustness and performance weighting
+functions.
 
-The optional return value @var{h} provides a handle to the patch object
+@item @acronym{MIMO} plant:
+The optimal controller minimizes the 
+@iftex
+@tex
+$ { \cal H }_\infty $
+@end tex
+@end iftex
+@ifinfo
+H-infinity
+@end ifinfo
+norm of the
+augmented plant @var{P} (mixed-sensitivity problem):
+@smallexample
+@group
+     w
+      1 -----------+
+                   |                   +----+
+               +---------------------->| W1 |----> z1
+     w         |   |                   +----+
+      2 ------------------------+
+               |   |            |
+               |   v   +----+   v      +----+
+            +--*-->o-->| G  |-->o--*-->| W2 |---> z2
+            |          +----+      |   +----+
+            |                      |
+            ^                      v
+            u                       y (to K)
+         (from controller K)
+@end group
+@end smallexample
 
-@example
+@iftex
+@tex
+$$ \left [ \matrix{ z_1 \cr
+                    z_2 \cr
+                    y   } \right ] =  
+ P \left [ \matrix{ w_1 \cr
+                    w_2 \cr
+                    u   } \right ] $$
+@end tex
+@end iftex
+@ifinfo
+@smallexample
 @group
-x = randn (100, 1);
-y = randn (100, 1);
-scatter (x, y, [], sqrt(x.^2 + y.^2));
+                  +    +           +    +
+                  | z  |           | w  |
+                  |  1 |           |  1 |
+                  | z  | = [ P ] * | w  |
+                  |  2 |           |  2 |
+                  | y  |           | u  |
+                  +    +           +    +
 @end group
-@end example
-
-@seealso{plot, patch, scatter3}
-@end deftypefn
-scatter3
--*- texinfo -*-
-@deftypefn {Function File} {} scatter3 (@var{x}, @var{y}, @var{s}, @var{c})
-@deftypefnx {Function File} {} scatter3 (@dots{}, 'filled')
-@deftypefnx {Function File} {} scatter3 (@dots{}, @var{style})
-@deftypefnx {Function File} {} scatter3 (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} scatter3 (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} =} scatter3 (@dots{})
-
-Plot a scatter plot of the data in 3D. A marker is ploted at each point 
-defined by the points in the vectors @var{x} and @var{y}. The size of
-the markers used is determined by the @var{s}, which can be a scalar, 
-a vector of the same length of @var{x} and @var{y}. If @var{s} is not 
-given or is an empty matrix, then the default value of 8 points is used.
-
-The color of the markers is determined by @var{c}, which can be a string
-defining a fixed color, a 3 element vector giving the red, green and blue 
-components of the color, a vector of the same length as @var{x} that gives
-a scaled index into the current colormap, or a @var{n}-by-3 matrix defining
-the colors of each of the markers individually.
+@end smallexample
+@end ifinfo
 
-The marker to use can be changed with the @var{style} argument, that is a 
-string defining a marker in the same manner as the @code{plot} command. 
-If the argument 'filled' is given then the markers as filled. All 
-additional arguments are passed to the underlying patch command.
+@item Discrete system:
+This is not a true discrete design. The design is carried out
+in continuous time while the effect of sampling is described by
+a bilinear transformation of the sampled system.
+This method works quite well if the sampling period is ``small''
+compared to the plant time constants.
 
-The optional return value @var{h} provides a handle to the patch object
+@item The continuous plant:
+@iftex
+@tex
+$$ G(s) = { 1 \over (s+2)(s+1) } $$
+@end tex
+@end iftex
 
+@ifinfo
 @example
 @group
-[x, y, z] = peaks (20);
-scatter3 (x(:), y(:), z(:), [], z(:));
+                   1
+     G (s) = --------------
+      k      (s + 2)(s + 1)
+
 @end group
 @end example
+@end ifinfo
 
-@seealso{plot, patch, scatter}
-@end deftypefn
-semilogx
--*- texinfo -*-
-@deftypefn {Function File} {} semilogx (@var{args})
-Produce a two-dimensional plot using a log scale for the @var{x}
-axis.  See the description of @code{plot} for a description of the
-arguments that @code{semilogx} will accept.
-@seealso{plot, semilogy, loglog}
-@end deftypefn
-semilogxerr
--*- texinfo -*-
-@deftypefn {Function File} {} semilogxerr (@var{args})
-Produce two-dimensional plots on a semilogarithm axis with errorbars.
-Many different combinations of arguments are possible.  The most used
-form is
-
+is discretised with a @acronym{ZOH} (Sampling period = @var{Ts} = 1 second):
+@iftex
+@tex
+$$ G(z) = { 0.199788z + 0.073498 \over (z - 0.36788) (z - 0.13534) } $$
+@end tex
+@end iftex
+@ifinfo
 @example
-semilogxerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
+@group
+
+               0.199788z + 0.073498
+     G(z) = --------------------------
+            (z - 0.36788)(z - 0.13534)
+@end group
 @end example
+@end ifinfo
 
-@noindent
-which produces a semi-logarithm plot of @var{y} versus @var{x}
-with errors in the @var{y}-scale defined by @var{ey} and the plot
-format defined by @var{fmt}. See errorbar for available formats and 
-additional information.
-@seealso{errorbar, loglogerr semilogyerr}
-@end deftypefn
-semilogy
--*- texinfo -*-
-@deftypefn {Function File} {} semilogy (@var{args})
-Produce a two-dimensional plot using a log scale for the @var{y}
-axis.  See the description of @code{plot} for a description of the
-arguments that @code{semilogy} will accept.
-@seealso{plot, semilogx, loglog}
-@end deftypefn
-semilogyerr
--*- texinfo -*-
-@deftypefn {Function File} {} semilogyerr (@var{args})
-Produce two-dimensional plots on a semilogarithm axis with errorbars.
-Many different combinations of arguments are possible.  The most used
-form is
+@smallexample
+@group
 
+                              +----+
+         -------------------->| W1 |---> v1
+     z   |                    +----+
+     ----|-------------+
+         |             |
+         |    +---+    v      +----+
+         *--->| G |--->O--*-->| W2 |---> v2
+         |    +---+       |   +----+
+         |                |
+         |    +---+       |
+         -----| K |<-------
+              +---+
+@end group
+@end smallexample
+@iftex
+@tex
+$$ { \rm min } \Vert T_{vz} \Vert _\infty $$
+@end tex
+@end iftex
+@ifinfo
 @example
-semilogyerr (@var{x}, @var{y}, @var{ey}, @var{fmt})
+min || T   ||
+        vz   infty
 @end example
-
-@noindent
-which produces a semi-logarithm plot of @var{y} versus @var{x}
-with errors in the @var{y}-scale defined by @var{ey} and the plot
-format defined by @var{fmt}.  See errorbar for available formats and 
-additional information.
-@seealso{errorbar, loglogerr semilogxerr}
-@end deftypefn
-shading
--*- texinfo -*-
-@deftypefn {Function File} {} shading (@var{type})
-@deftypefnx {Function File} {} shading (@var{ax}, @dots{})
-Set the shading of surface or patch graphic objects. Valid arguments
-for @var{type} are @code{"flat"}, @code{"interp"}, or
-@code{"faceted"}.  If @var{ax} is given the shading is applied to
-axis @var{ax} instead of the current axis.
-@end deftypefn
-shg
--*- texinfo -*-
-@deftypefn {Function File} {} shg
-Show the graph window.  Currently, this is the same as executing
-@code{drawnow}.
-@seealso{drawnow, figure}
+@end ifinfo
+@var{W1} and @var{W2} are the robustness and performance weighting
+functions.
+@end table
 @end deftypefn
-slice
+syschnames
 -*- texinfo -*-
-@deftypefn {Function File} {} slice (@var{x}, @var{y}, @var{z}, @var{v}, @var{sx}, @var{sy}, @var{sz})
-@deftypefnx {Function File} {} slice (@var{x}, @var{y}, @var{z}, @var{v}, @var{xi}, @var{yi}, @var{zi})
-@deftypefnx {Function File} {} slice (@var{v}, @var{sx}, @var{sy}, @var{sz})
-@deftypefnx {Function File} {} slice (@var{v}, @var{xi}, @var{yi}, @var{zi})
-@deftypefnx {Function File} {@var{h} =} slice (@dots{})
-@deftypefnx {Function File} {@var{h} =} slice (@dots{}, @var{method})
-Plot slices of 3D data/scalar fields. Each element of the 3-dimensional 
-array @var{v} represents a scalar value at a location given by the
-parameters @var{x}, @var{y}, and @var{z}. The parameters @var{x},
-@var{x}, and @var{z} are either 3-dimensional arrays of the same size
-as the array @var{v} in the "meshgrid" format or vectors. The
-parameters @var{xi}, etc respect a similar format to @var{x}, etc,
-and they represent the points at which the array @var{vi} is
-interpolated using interp3. The vectors @var{sx}, @var{sy}, and
-@var{sz} contain points of orthogonal slices of the respective axes.
-
-If @var{x}, @var{y}, @var{z} are omitted, they are assumed to be 
-@code{x = 1:size (@var{v}, 2)}, @code{y = 1:size (@var{v}, 1)} and
-@code{z = 1:size (@var{v}, 3)}. 
-
-@var{Method} is one of:
-
-@table @code
-@item "nearest"
-Return the nearest neighbour.
-@item "linear"
-Linear interpolation from nearest neighbours.
-@item "cubic"
-Cubic interpolation from four nearest neighbours (not implemented yet).
-@item "spline"
-Cubic spline interpolation---smooth first and second derivatives
-throughout the curve.
-@end table
-
-The default method is @code{"linear"}.
-The optional return value @var{h} is a vector of handles to the
-surface graphic objects.
-
-Examples:
-@example
-[x, y, z] = meshgrid (linspace (-8, 8, 32));
-v = sin (sqrt (x.^2 + y.^2 + z.^2)) ./ (sqrt (x.^2 + y.^2 + z.^2));
-slice (x, y, z, v, [], 0, []);
-[xi, yi] = meshgrid (linspace (-7, 7));
-zi = xi + yi;
-slice (x, y, z, v, xi, yi, zi);
-@end example
-@seealso{interp3, surface, pcolor}
+@deftypefn {Function File} {} syschnames (@var{sys}, @var{opt}, @var{list}, @var{names})
+Superseded by @command{syssetsignals}.
 @end deftypefn
-sombrero
+swaprows
 -*- texinfo -*-
-@deftypefn {Function File} {} sombrero (@var{n})
-Produce the familiar three-dimensional sombrero plot using @var{n}
-grid lines.  If @var{n} is omitted, a value of 41 is assumed.
-
-The function plotted is
-
-@example
-z = sin (sqrt (x^2 + y^2)) / (sqrt (x^2 + y^2))
-@end example
-@seealso{surf, meshgrid, mesh}
+@deftypefn {Function File} {} swaprows (inputs)
+@format
+ function B = swaprows(A)
+ permute rows of A into reverse order
+@end format
 @end deftypefn
-sphere
+swapcols
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} sphere (@var{n})
-@deftypefnx {Function File} {} sphere (@var{h}, @dots{})
-Generates three matrices in @code{meshgrid} format, such that 
-@code{surf (@var{x}, @var{y}, @var{z})} generates a unit sphere. 
-The matrices of @code{@var{n}+1}-by-@code{@var{n}+1}. If @var{n} is 
-omitted then a default value of 20 is assumed.
-
-Called with no return arguments, @code{sphere} call directly 
-@code{surf (@var{x}, @var{y}, @var{z})}. If an axes handle is passed
-as the first argument, the the surface is plotted to this set of axes.
-@seealso{peaks}
+@deftypefn {Function File} {} swapcols (inputs)
+@format
+ function B = swapcols(A)
+ permute columns of A into reverse order
+@end format
 @end deftypefn
-spinmap
+minfo
 -*- texinfo -*-
-@deftypefn {Function File}  spinmap (@var{t}, @var{inc})
-Cycle the colormap for @var{t} seconds with an increment
-of @var{inc}.  Both parameters are optional.   The default cycle time
-is 5 seconds and the default increment is 2.
+@deftypefn {Function File} {[@var{systype}, @var{nout}, @var{nin}, @var{ncstates}, @var{ndstates}] =} minfo (@var{inmat})
+Determines the type of system matrix.  @var{inmat} can be a varying, 
+a system, a constant, and an empty matrix.
 
-A higher value of @var{inc} causes a faster cycle through the
-colormap.
-@seealso{gca, colorbar}
+@strong{Outputs}
+@table @var
+@item systype 
+Can be one of: varying, system, constant, and empty.
+@item nout 
+The number of outputs of the system.
+@item nin
+The number of inputs of the system.
+@item ncstates
+The number of continuous states of the system.
+@item ndstates 
+The number of discrete states of the system.
+@end table
 @end deftypefn
-stairs
--*- texinfo -*-
-@deftypefn {Function File} {} stairs (@var{x}, @var{y})
-Produce a stairstep plot.  The arguments may be vectors or matrices.
-
-If only one argument is given, it is taken as a vector of y-values
-and the x coordinates are taken to be the indices of the elements.
-
-If two output arguments are specified, the data are generated but
-not plotted.  For example,
+packsys
+O B S O L E T E: use ss instead.
+function Asys = packsys(a,b,c[,d,dflg])
 
-@example
-stairs (x, y);
-@end example
+  dflg: 0 for continuous time system, 1 for discrete-time system.
 
-@noindent
-and
+defaults:
+     D: 0 matrix of appropriate dimension.
+  dflg: 0 (continuous time)
 
-@example
-@group
-[xs, ys] = stairs (x, y);
-plot (xs, ys);
-@end group
-@end example
+Note: discrete-state sampling time is not included!
+dlqg
+ O B S O L E T E * * * D O   N O T   U S E!
 
-@noindent
-are equivalent.
-@seealso{plot, semilogx, semilogy, loglog, polar, mesh, contour,
-bar, xlabel, ylabel, title}
-@end deftypefn
-stem
--*- texinfo -*-
-@deftypefn {Function File} {@var{h} =} stem (@var{x}, @var{y}, @var{linespec})
-Plot a stem graph and return the handles of the line and marker
-objects used to draw the stems.  The default color is @code{"r"}
-(red).  The default line style is @code{"-"} and the default marker is
-@code{"o"}.
+ Use lqg instead.
 
-For example,
-@example
-x = 1:10;
-stem (x);
-@end example
-@noindent
-plots 10 stems with heights from 1 to 10;
+function [K,Q,P,Ee,Er] = dlqg(A,B,C,G,Sigw,Sigv,Q,R)
+function [K,Q,P,Ee,Er] = dlqg(Sys,Sigw,Sigv,Q,R)
 
-@example
-x = 1:10;
-y = ones (1, length (x))*2.*x;
-stem (x, y);
-@end example
-@noindent
-plots 10 stems with heights from 2 to 20;
+design a discrete-time linear quadratic gaussian optimal controller
+for the system
 
-@example
-x = 1:10;
-y = ones (size (x))*2.*x;
-h = stem (x, y, "b");
-@end example
-@noindent
-plots 10 bars with heights from 2 to 20
-(the color is blue, and @var{h} is a 2-by-10 array of handles in
-which the first row holds the line handles and
-the second row holds the marker handles);
+ x(k+1) = A x(k) + B u(k) + G w(k)       [w]=N(0,[Sigw 0    ])
+   y(k) = C x(k) + v(k)                  [v]  (    0   Sigv ])
 
-@example
-x = 1:10;
-y = ones (size (x))*2.*x;
-h = stem (x, y, "-.k");
-@end example
-@noindent
-plots 10 stems with heights from 2 to 20
-(the color is black, line style is @code{"-."}, and @var{h} is a 2-by-10
-array of handles in which the first row holds the line handles and
-the second row holds the marker handles);
+Outputs:
+   K: system data structure format LQG optimal controller
+   P: Solution of control (state feedback) algebraic Riccati equation
+   Q: Solution of estimation algebraic Riccati equation
+   Ee: estimator poles
+   Es: controller poles
+inputs:
+ A,B,C,G, or Sys: state space representation of system.
+ Sigw, Sigv: covariance matrices of independent Gaussian noise processes
+     (as above)
+ Q, R: state, control weighting matrices for dlqr call respectively.
 
+See also: lqg, dlqe, dlqr
+qzval
+-*- texinfo -*-
+@deftypefn {Function File} {} qzval (@var{a}, @var{b})
+Compute generalized eigenvalues of the matrix pencil
+@ifinfo
 @example
-x = 1:10;
-y = ones (size (x))*2.*x;
-h = stem (x, y, "-.k.");
+(A - lambda B).
 @end example
-@noindent
-plots 10 stems with heights from 2 to 20
-(the color is black, line style is @code{"-."} and the marker style
-is @code{"."}, and @var{h} is a 2-by-10 array of handles in which the
-first row holds the line handles and the second row holds the marker
-handles);
+@end ifinfo
+@iftex
+@tex
+$(A - \lambda B)$.
+@end tex
+@end iftex
 
-@example
-x = 1:10;
-y = ones (size (x))*2.*x;
-h = stem (x, y, "fill");
-@end example
-@noindent
-plots 10 stems with heights from 2 to 20
-(the color is rgb-triple defined, the line style is @code{"-"},
-the marker style is @code{"o"}, and @var{h} is a 2-by-10 array of
-handles in which the first row holds the line handles and the second
-row holds the marker handles).
+@var{a} and @var{b} must be real matrices.
 
-Color definitions with rgb-triples are not valid!
-@seealso{bar, barh, plot}
+@code{qzval} is obsolete; use @code{qz} instead.
 @end deftypefn
-stem3
--*- texinfo -*-
-@deftypefn {Function File} {@var{h} =} stem3 (@var{x}, @var{y}, @var{z}, @var{linespec})
-Plot a three-dimensional stem graph and return the handles of the line
-and marker objects used to draw the stems.  The default color is @code{"r"}
-(red).  The default line style is @code{"-"} and the default marker is
-@code{"o"}.
-
-For example,
-@example
-theta = 0:0.2:6; 
-stem3 (cos (theta), sin (theta), theta) 
-@end example
+series
+Forms the series connection of two systems.
 
-@noindent
-plots 31 stems with heights from 0 to 6 lying on a circle. Color 
-definitions with rgb-triples are not valid!
-@seealso{bar, barh, stem, plot}
-@end deftypefn
-subplot
--*- texinfo -*-
-@deftypefn {Function File} {} subplot (@var{rows}, @var{cols}, @var{index})
-@deftypefnx {Function File} {} subplot (@var{rcn})
-Set up a plot grid with @var{cols} by @var{rows} subwindows and plot
-in location given by @var{index}.
+Superseded by sysmult.  Do not use this routine!
+used internally in zp2ss
 
-If only one argument is supplied, then it must be a three digit value
-specifying the location in digits 1 (rows) and 2 (columns) and the plot
-index in digit 3.
+Type of input: Transfer functions
+Command:       [num,den]=series(num1,den1,num2,den2)
+Forms the series representation of the two transfer functions.
 
-The plot index runs row-wise.  First all the columns in a row are filled
-and then the next row is filled.
+Type of input: State space systems
+Command:       [a,b,c,d]=series(a1,b1,c1,d1,a2,b2,c2,d2)
+Forms the series representation of the two state space system arguments.
+The series connected system will have the inputs of system 1 and the
+outputs of system 2.
 
-For example, a plot with 2 by 3 grid will have plot indices running as
-follows:
-@iftex
-@tex
-\vskip 10pt
-\hfil\vbox{\offinterlineskip\hrule
-\halign{\vrule#&&\qquad\hfil#\hfil\qquad\vrule\cr
-height13pt&1&2&3\cr height12pt&&&\cr\noalign{\hrule}
-height13pt&4&5&6\cr height12pt&&&\cr\noalign{\hrule}}}
-\hfil
-\vskip 10pt
-@end tex
-@end iftex
-@ifinfo
-@display
-@group
-@example
+Type of input: system data structure
+Command:       syst=series(syst1,syst2)
+Forms the series representation of the two mu system arguments.
+rotg
+function [c,s] = rotg(a,b)
+givens rotation calculation
 
-+-----+-----+-----+
-|  1  |  2  |  3  |
-+-----+-----+-----+
-|  4  |  5  |  6  |
-+-----+-----+-----+
-@end example
-@end group
-@end display
-@end ifinfo
-@seealso{plot}
+NOTE: Use [c,s] = givens(a,b) instead.
+dezero
+-*- texinfo -*-
+@deftypefn {Functin File} {} dezero (@var{s})
+Remove trailing blank entries and all zero entries from the string s.
 @end deftypefn
-surf
+unpacksys
+[a,b,c,d] = unpacksys(sys)
+Obsolete.  Use sys2ss instead.
+zgscal
 -*- texinfo -*-
-@deftypefn {Function File} {} surf (@var{x}, @var{y}, @var{z})
-Plot a surface given matrices @var{x}, and @var{y} from @code{meshgrid} and
-a matrix @var{z} corresponding to the @var{x} and @var{y} coordinates of
-the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
-is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, columns of @var{z}
-correspond to different @var{x} values and rows of @var{z} correspond
-to different @var{y} values.
-@seealso{mesh, surface}
+@deftypefn {Function File} {@var{x} =} zgscal (@var{f}, @var{z}, @var{n}, @var{m}, @var{p})
+Generalized conjugate gradient iteration to
+solve zero-computation generalized eigenvalue problem balancing equation
+@math{fx=z}; called by @command{zgepbal}.
 @end deftypefn
-surface
+__zgpbal__
+Undocumented internal function.
+zgrownorm
 -*- texinfo -*-
-@deftypefn {Function File} {} surface (@var{x}, @var{y}, @var{z}, @var{c})
-@deftypefnx {Function File} {} surface (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {} surface (@var{z}, @var{c})
-@deftypefnx {Function File} {} surface (@var{z})
-@deftypefnx {Function File} {} surface (@dots{}, @var{prop}, @var{val})
-@deftypefnx {Function File} {} surface (@var{h}, @dots{})
-@deftypefnx {Function File} {@var{h} = } surface (@dots{})
-Plot a surface graphic object given matrices @var{x}, and @var{y} from 
-@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
-@var{y} coordinates of the surface.  If @var{x} and @var{y} are vectors,
-then a typical vertex  is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
-columns of @var{z} correspond to different @var{x} values and rows of 
-@var{z} correspond to different @var{y} values. If @var{x} and @var{y}
-are missing, they are constructed from size of the matrix @var{z}.
-
-Any additional properties passed are assigned the the surface..
-@seealso{surf, mesh, patch, line}
+@deftypefn {Function File} {[@var{nonz}, @var{zer}] =} zgrownorm (@var{mat}, @var{meps})
+Return @var{nonz} = number of rows of @var{mat} whose two norm
+exceeds @var{meps}, and @var{zer} = number of rows of mat whose two
+norm is less than @var{meps}.
 @end deftypefn
-surfc
+strappend
 -*- texinfo -*-
-@deftypefn {Function File} {} surfc (@var{x}, @var{y}, @var{z})
-Plot a surface and contour given matrices @var{x}, and @var{y} from 
-@code{meshgrid} and a matrix @var{z} corresponding to the @var{x} and 
-@var{y} coordinates of the mesh.  If @var{x} and @var{y} are vectors, 
-then a typical vertex is (@var{x}(j), @var{y}(i), @var{z}(i,j)).  Thus, 
-columns of @var{z} correspond to different @var{x} values and rows of 
-@var{z} correspond to different @var{y} values.
-@seealso{meshgrid, surf, contour}
+@deftypefn {Function File} {} strappend (@var{strlist}, @var{suffix})
+Append string @var{suffix} to each string in the list @var{strlist}.
 @end deftypefn
-surfnorm
+zginit
 -*- texinfo -*-
-@deftypefn {Function File} {} surfnorm (@var{x}, @var{y}, @var{z})
-@deftypefnx {Function File} {} surfnorm (@var{z})
-@deftypefnx {Function File} {[@var{nx}, @var{ny}, @var{nz}] =} surfnorm (@dots{})
-@deftypefnx {Function File} {} surfnorm (@var{h}, @dots{})
-Find the vectors normal to a meshgridded surface. The meshed gridded 
-surface is defined by @var{x}, @var{y}, and @var{z}. If @var{x} and 
-@var{y} are not defined, then it is assumed that they are given by
-
-@example
-[@var{x}, @var{y}] = meshgrid (1:size(@var{z}, 1), 
-                     1:size(@var{z}, 2));
-@end example
-
-If no return arguments are requested, a surface plot with the normal 
-vectors to the surface is plotted. Otherwise the componets of the normal
-vectors at the mesh gridded points are returned in @var{nx}, @var{ny},
-and @var{nz}.
-
-The normal vectors are calculated by taking the cross product of the 
-diagonals of eash of teh quadrilaterals in the meshgrid to find the 
-normal vectors of the centers of these quadrilaterals. The four nearest
-normal vectors to the meshgrid points are then averaged to obtain the 
-normal to the surface at the meshgridded points.
+@deftypefn {Function File} {@var{zz} =} zginit (@var{a}, @var{b}, @var{c}, @var{d})
+Construct right hand side vector @var{zz}
+for the zero-computation generalized eigenvalue problem
+balancing procedure.  Called by @command{zgepbal}.
+@end deftypefn
+axis2dlim
+-*- texinfo -*-
+@deftypefn {Function File} {} axis2dlim (@var{axdata})
+Determine axis limits for 2-D data (column vectors); leaves a 10%
+margin around the plots.
+Inserts margins of +/- 0.1 if data is one-dimensional 
+(or a single point).
 
-An example of the use of @code{surfnorm} is
+@strong{Input}
+@table @var
+@item axdata
+@var{n} by 2 matrix of data [@var{x}, @var{y}].
+@end table
 
-@example
-surfnorm (peaks (25));
-@end example
-@seealso{surf, quiver3}
+@strong{Output}
+@table @var
+@item axvec
+Vector of axis limits appropriate for call to @command{axis} function.
+@end table
 @end deftypefn
-text
+prompt
 -*- texinfo -*-
-@deftypefn {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{label})
-@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{z}, @var{label})
-@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{label}, @var{p1}, @var{v1}, @dots{})
-@deftypefnx {Function File} {@var{h} =} text (@var{x}, @var{y}, @var{z}, @var{label}, @var{p1}, @var{v1}, @dots{})
-Create a text object with text @var{label} at position @var{x},
-@var{y}, @var{z} on the current axes.  Property-value pairs following
-@var{label} may be used to specify the appearance of the text.
+@deftypefn {Function File} {} prompt (@var{str})
+Prompt user to continue
+
+@strong{Input}
+@table @var
+@item str
+Input string. Its default value is: 
+@example 
+\n ---- Press a key to  continue ---
+@end example
+@end table
 @end deftypefn
-title
+swap
 -*- texinfo -*-
-@deftypefn {Function File} {} title (@var{title})
-Create a title object and return a handle to it.
+@deftypefn {Function File} {} swap (@var{inputs})
+@format
+[a1,b1] = swap(a,b)
+interchange a and b
+@end format
 @end deftypefn
-view
+zgsgiv
 -*- texinfo -*-
-@deftypefn {Function File} {} view (@var{azimuth}, @var{elevation})
-@deftypefnx {Function File} {} view (@var{dims})
-@deftypefnx {Function File} {[@var{azimuth}, @var{elevation}] =} view ()
-Set or get the viewpoint for the current axes.
+@deftypefn {Function File} {[a, b] =} zgsgiv (@var{c}, @var{s}, @var{a}, @var{b})
+Apply givens rotation c,s to row vectors @var{a}, @var{b}.
+No longer used in zero-balancing (__zgpbal__); kept for backward
+compatibility.
 @end deftypefn
-xlabel
+zgshsr
 -*- texinfo -*-
-@deftypefn {Function File} {} xlabel (@var{string})
-@deftypefnx {Function File} {} ylabel (@var{string})
-@deftypefnx {Function File} {} zlabel (@var{string})
-@deftypefnx {Function File} {} xlabel (@var{h}, @var{string})
-Specify x, y, and z axis labels for the current figure. If @var{h} is
-specified then label the axis defined by @var{h}.
-@seealso{plot, semilogx, semilogy, loglog, polar, mesh, contour,
-bar, stairs,  ylabel, title}
+@deftypefn {Function File} {@var{x} =} zgshsr (@var{y})
+Apply householder vector based on 
+@iftex
+@tex
+$ e^m $
+@end tex
+@end iftex
+@ifinfo
+@math{e^(m)}
+@end ifinfo
+to column vector @var{y}.
+Called by @command{zgfslv}.
 @end deftypefn
-xlim
+sortcom
 -*- texinfo -*-
-@deftypefn {Function File} {@var{xl} =} xlim ()
-@deftypefnx {Function File} {} xlim (@var{xl})
-@deftypefnx {Function File} {@var{m} =} xlim ('mode')
-@deftypefnx {Function File} {} xlim (@var{m})
-@deftypefnx {Function File} {} xlim (@var{h}, @dots{})
-Get or set the limits of the x axis of the current plot. Called without
-argumenst @code{xlim] returns the x axis limits of the current plot.
-If passed a two element vector @var{xl}, the limits of the x axis are set
-to this value.
+@deftypefn {Function File} {[@var{yy}, @var{idx}] =} sortcom (@var{xx}[, @var{opt}])
+Sort a complex vector.
 
-The current mode for calculation of the x axis can be returned with a
-call @code{xlim ('mode')}, and can be either 'auto' or 'manual'. The 
-current plotting mode can be set by passing either 'auto' or 'manual' 
-as the argument.
+@strong{Inputs}
+@table @var
+@item xx
+Complex vector
+@item opt
+sorting option:
+@table @code
+@item "re"
+Real part (default);
+@item "mag"
+By magnitude;
+@item "im"
+By imaginary part.
+@end table
+if @var{opt} is not chosen as @code{"im"}, then complex conjugate pairs are grouped together,
+@math{a - jb} followed by @math{a + jb}.
+@end table
 
-If passed an handle as the first argument, then operate on this handle
-rather than the current axes handle.
-@seealso{ylim, zlim, set, get, gca}
+@strong{Outputs}
+@table @var
+@item yy
+Sorted values
+@item idx
+Permutation vector: @code{yy = xx(idx)}
+@end table
 @end deftypefn
-ylabel
+run_cmd
+run_cmd: short script used in demos
+prints string cmd to the screen, then executes after a pause
+zgfslv
 -*- texinfo -*-
-@deftypefn {Function File} {} ylabel (@var{string})
-@deftypefnx {Function File} {} ylabel (@var{h}, @var{string})
-See xlabel.
+@deftypefn {Function File} {} zgfslv (@var{n}, @var{m}, @var{p}, @var{b})
+Solve system of equations for dense zgep problem.
 @end deftypefn
-ylim
+zgreduce
 -*- texinfo -*-
-@deftypefn {Function File} {@var{xl} =} ylim ()
-@deftypefnx {Function File} {} ylim (@var{xl})
-@deftypefnx {Function File} {@var{m} =} ylim ('mode')
-@deftypefnx {Function File} {} ylim (@var{m})
-@deftypefnx {Function File} {} ylim (@var{h}, @dots{})
-Get or set the limits of the y axis of the current plot. Called without
-argumenst @code{ylim] returns the y axis limits of the current plot.
-If passed a two element vector @var{xl}, the limits of the y axis are set
-to this value.
+@deftypefn {Function File} {} zgreduce (@var{sys}, @var{meps})
+Implementation of procedure REDUCE in (Emami-Naeini and Van Dooren,
+Automatica, # 1982).
+@end deftypefn
+zgfmul
+-*- texinfo -*-
+@deftypefn {Function File} {@var{y} =} zgfmul (@var{a}, @var{b}, @var{c}, @var{d}, @var{x})
+Compute product of @var{zgep} incidence matrix @math{F} with vector @var{x}.
+Used by @command{zgepbal} (in @command{zgscal}) as part of generalized conjugate gradient
+iteration.
+@end deftypefn
+__outlist__
+Undocumented internal function.
+__bodquist__
+Undocumented internal function.
+analdemo
+-*- texinfo -*-
+@deftypefn {Function File} {} analdemo ()
+Octave Controls toolbox demo: State Space analysis demo
+@end deftypefn
+tzero2
+-*- texinfo -*-
+@deftypefn {Function File} {@var{zr} =} tzero2 (@var{a}, @var{b}, @var{c}, @var{d}, @var{bal})
+Compute the transmission zeros of @var{a}, @var{b}, @var{c}, @var{d}.
 
-The current mode for calculation of the y axis can be returned with a
-call @code{ylim ('mode')}, and can be either 'auto' or 'manual'. The 
-current plotting mode can be set by passing either 'auto' or 'manual' 
-as the argument.
+@var{bal} = balancing option (see balance); default is @code{"B"}.
 
-If passed an handle as the first argument, then operate on this handle
-rather than the current axes handle.
-@seealso{xlim, zlim, set, get, gca}
+Needs to incorporate @command{mvzero} algorithm to isolate finite zeros; 
+use @command{tzero} instead.
 @end deftypefn
-zlabel
+controldemo
 -*- texinfo -*-
-@deftypefn {Function File} {} zlabel (@var{string})
-@deftypefnx {Function File} {} zlabel (@var{h}, @var{string})
-See xlabel.
+@deftypefn {Function File} {} controldemo ()
+Control Systems Toolbox demo.
+@seealso{Demo programs: bddemo, frdemo, analdemo, moddmeo, rldemo}
 @end deftypefn
-zlim
+dlyap
 -*- texinfo -*-
-@deftypefn {Function File} {@var{xl} =} zlim ()
-@deftypefnx {Function File} {} zlim (@var{xl})
-@deftypefnx {Function File} {@var{m} =} zlim ('mode')
-@deftypefnx {Function File} {} zlim (@var{m})
-@deftypefnx {Function File} {} zlim (@var{h}, @dots{})
-Get or set the limits of the z axis of the current plot. Called without
-argumenst @code{zlim] returns the z axis limits of the current plot.
-If passed a two element vector @var{xl}, the limits of the z axis are set
-to this value.
+@deftypefn {Function File} {} dlyap (@var{a}, @var{b})
+Solve the discrete-time Lyapunov equation
 
-The current mode for calculation of the z axis can be returned with a
-call @code{zlim ('mode')}, and can be either 'auto' or 'manual'. The 
-current plotting mode can be set by passing either 'auto' or 'manual' 
-as the argument.
+@strong{Inputs}
+@table @var
+@item a
+@var{n} by @var{n} matrix;
+@item b
+  Matrix: @var{n} by @var{n}, @var{n} by @var{m}, or @var{p} by @var{n}.
+@end table
 
-If passed an handle as the first argument, then operate on this handle
-rather than the current axes handle.
-@seealso{xlim, ylim, set, get, gca}
-@end deftypefn
-compan
--*- texinfo -*-
-@deftypefn {Function File} {} compan (@var{c})
-Compute the companion matrix corresponding to polynomial coefficient
-vector @var{c}.
+@strong{Output}
+@table @var
+@item x
+matrix satisfying appropriate discrete time Lyapunov equation.
+@end table
 
-The companion matrix is
+Options:
+@itemize @bullet
+@item @var{b} is square: solve 
 @iftex
 @tex
-$$
-A = \left[\matrix{
- -c_2/c_1 & -c_3/c_1 & \cdots & -c_N/c_1 & -c_{N+1}/c_1\cr
-     1    &     0    & \cdots &     0    &         0   \cr
-     0    &     1    & \cdots &     0    &         0   \cr
-  \vdots  &   \vdots & \ddots &  \vdots  &      \vdots \cr
-     0    &     0    & \cdots &     1    &         0}\right].
-$$
+$$ axa^T - x + b = 0 $$
 @end tex
 @end iftex
-@ifnottex
-
-@smallexample
-     _                                                        _
-    |  -c(2)/c(1)   -c(3)/c(1)  ...  -c(N)/c(1)  -c(N+1)/c(1)  |
-    |       1            0      ...       0             0      |
-    |       0            1      ...       0             0      |
-A = |       .            .   .            .             .      |
-    |       .            .       .        .             .      |
-    |       .            .           .    .             .      |
-    |_      0            0      ...       1             0     _|
-@end smallexample
-@end ifnottex
+@ifinfo
+@code{a x a' - x + b = 0}
+@end ifinfo
+@item @var{b} is not square: @var{x} satisfies either
+@iftex
+@tex
+$$ axa^T - x + bb^T = 0 $$
+@end tex
+@end iftex
+@ifinfo
+@example
+a x a' - x + b b' = 0
+@end example
+@end ifinfo
+@noindent
+or
+@iftex
+@tex
+$$ a^Txa - x + b^Tb = 0, $$
+@end tex
+@end iftex
+@ifinfo
+@example
+a' x a - x + b' b = 0,
+@end example
+@end ifinfo
+@noindent
+whichever is appropriate.
+@end itemize
 
-The eigenvalues of the companion matrix are equal to the roots of the
-polynomial.
-@seealso{poly, roots, residue, conv, deconv, polyval, polyderiv,
-polyinteg}
-@end deftypefn
-conv
--*- texinfo -*-
-@deftypefn {Function File} {} conv (@var{a}, @var{b})
-Convolve two vectors.
+@strong{Method}
+Uses Schur decomposition method as in Kitagawa,
+@cite{An Algorithm for Solving the Matrix Equation @math{X = F X F' + S}},
+International Journal of Control, Volume 25, Number 5, pages 745--753
+(1977).
 
-@code{y = conv (a, b)} returns a vector of length equal to
-@code{length (a) + length (b) - 1}.
-If @var{a} and @var{b} are polynomial coefficient vectors, @code{conv}
-returns the coefficients of the product polynomial.
-@seealso{deconv, poly, roots, residue, polyval, polyderiv, polyinteg}
+Column-by-column solution method as suggested in
+Hammarling, @cite{Numerical Solution of the Stable, Non-Negative
+Definite Lyapunov Equation}, @acronym{IMA} Journal of Numerical Analysis, Volume
+2, pages 303--323 (1982).
 @end deftypefn
-deconv
+gram
 -*- texinfo -*-
-@deftypefn {Function File} {} deconv (@var{y}, @var{a})
-Deconvolve two vectors.
-
-@code{[b, r] = deconv (y, a)} solves for @var{b} and @var{r} such that
-@code{y = conv (a, b) + r}.
+@deftypefn {Function File} {} gram (@var{a}, @var{b})
+Return controllability gramian @var{m} of the continuous time system
+@math{dx/dt = a x + b u}.
 
-If @var{y} and @var{a} are polynomial coefficient vectors, @var{b} will
-contain the coefficients of the polynomial quotient and @var{r} will be
-a remainder polynomial of lowest order.
-@seealso{conv, poly, roots, residue, polyval, polyderiv, polyinteg}
+@var{m} satisfies @math{a m + m a' + b b' = 0}.
 @end deftypefn
-mkpp
+bddemo
 -*- texinfo -*-
-@deftypefn {Function File} {@var{pp} = } mkpp (@var{x}, @var{p})
-@deftypefnx {Function File} {@var{pp} = } mkpp (@var{x}, @var{p}, @var{d})
-
-Construct a piece-wise polynomial structure from sample points
-@var{x} and coefficients @var{p}.  The ith row of @var{p},
-@code{@var{p} (@var{i},:)}, contains the coefficients for the polynomial
-over the @var{i}-th interval, ordered from highest to 
-lowest. There must be one row for each interval in @var{x}, so 
-@code{rows (@var{p}) == length (@var{x}) - 1}.  
-
-You can concatenate multiple polynomials of the same order over the 
-same set of intervals using @code{@var{p} = [ @var{p1}; @var{p2}; 
-@dots{}; @var{pd} ]}.  In this case, @code{rows (@var{p}) == @var{d} 
-* (length (@var{x}) - 1)}.
-
-@var{d} specifies the shape of the matrix @var{p} for all except the
-last dimension. If @var{d} is not specified it will be computed as
-@code{round (rows (@var{p}) / (length (@var{x}) - 1))} instead.
-
-@seealso{unmkpp, ppval, spline}
+@deftypefn {Function File} {} bddemo (@var{inputs})
+Octave Controls toolbox demo: Block Diagram Manipulations demo.
 @end deftypefn
-mpoles
+are
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p})
-@deftypefnx {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p}, @var{tol})
-@deftypefnx {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p}, @var{tol}, @var{reorder})
-Identifiy unique poles in @var{p} and associates their multiplicity,
-ordering them from largest to smallest.
-
-If the relative difference of the poles is less than @var{tol}, then
-they are considered to be multiples.  The default value for @var{tol}
-is 0.001.
-
-If the optional parameter @var{reorder} is zero, poles are not sorted.
-
-The value @var{multp} is a vector specifying the multiplicity of the
-poles.  @var{multp}(:) refers to mulitplicity of @var{p}(@var{indx}(:)).
-
-For example,
-
+@deftypefn {Function File} {@var{x} =} are (@var{a}, @var{b}, @var{c}, @var{opt})
+Solve the Algebraic Riccati Equation
+@iftex
+@tex
+$$
+A^TX + XA - XBX + C = 0
+$$
+@end tex
+@end iftex
+@ifinfo
 @example
-@group
-p = [2 3 1 1 2];
-[m, n] = mpoles(p);
-@result{} m = [1; 1; 2; 1; 2]
-@result{} n = [2; 5; 1; 4; 3]
-@result{} p(n) = [3, 2, 2, 1, 1]
-@end group
+a' * x + x * a - x * b * x + c = 0
 @end example
+@end ifinfo
 
-@seealso{poly, roots, conv, deconv, polyval, polyderiv, polyinteg, residue}
-@end deftypefn
-pchip
--*- texinfo -*-
-@deftypefn {Function File} {@var{pp} = } pchip (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{yi} = } pchip (@var{x}, @var{y}, @var{xi})
+@strong{Inputs}
+@noindent
+for identically dimensioned square matrices
+@table @var
+@item a
+@var{n} by @var{n} matrix;
+@item b
+@var{n} by @var{n} matrix or @var{n} by @var{m} matrix; in the latter case
+@var{b} is replaced by @math{b:=b*b'};
+@item c
+@var{n} by @var{n} matrix or @var{p} by @var{m} matrix; in the latter case
+@var{c} is replaced by @math{c:=c'*c};
+@item opt
+(optional argument; default = @code{"B"}):
+String option passed to @code{balance} prior to ordered Schur decomposition.
+@end table
 
-Piecewise Cubic Hermite interpolating polynomial. Called with two
-arguments, the piece-wise polynomial @var{pp} is returned, that may
-later be used with @code{ppval} to evaluate the polynomial at
-specific points.
+@strong{Output}
+@table @var
+@item x
+solution of the @acronym{ARE}.
+@end table
 
-The variable @var{x} must be a strictly monotonic vector (either
-increasing or decreasing). While @var{y} can be either a vector or
-array. In the case where @var{y} is a vector, it must have a length
-of @var{n}. If @var{y} is an array, then the size of @var{y} must
-have the form
+@strong{Method}
+Laub's Schur method (@acronym{IEEE} Transactions on
+Automatic Control, 1979) is applied to the appropriate Hamiltonian
+matrix.
+@seealso{balance, dare}
+@end deftypefn
+ctrb
+-*- texinfo -*-
+@deftypefn {Function File} {} ctrb (@var{sys}, @var{b})
+@deftypefnx {Function File} {} ctrb (@var{a}, @var{b})
+Build controllability matrix:
 @iftex
 @tex
-$$[s_1, s_2, \cdots, s_k, n]$$
+$$ Q_s = [ B AB A^2B \ldots A^{n-1}B ] $$
 @end tex
 @end iftex
 @ifinfo
-@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n}]}
+@example
+             2       n-1
+Qs = [ B AB A B ... A   B ]
+@end example
 @end ifinfo
-The array is then reshaped internally to a matrix where the leading
-dimension is given by 
+
+of a system data structure or the pair (@var{a}, @var{b}).
+
+@command{ctrb} forms the controllability matrix.
+The numerical properties of @command{is_controllable}
+are much better for controllability tests.
+@end deftypefn
+bode_bounds
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{wmin}, @var{wmax}] =} bode_bounds (@var{zer}, @var{pol}, @var{dflg}, @var{tsam})
+Get default range of frequencies based on cutoff frequencies of system
+poles and zeros.
+Frequency range is the interval
 @iftex
 @tex
-$$s_1 s_2 \cdots s_k$$
+$ [ 10^{w_{min}}, 10^{w_{max}} ] $
 @end tex
 @end iftex
 @ifinfo
-@code{@var{s1} * @var{s2} * @dots{} * @var{sk}}
+[10^@var{wmin}, 10^@var{wmax}]
 @end ifinfo
-and each row in this matrix is then treated separately. Note that this
-is exactly the opposite treatment than @code{interp1} and is done
-for compatibility.
-
-Called with a third input argument, @code{pchip} evaluates the 
-piece-wise polynomial at the points @var{xi}. There is an equivalence
-between @code{ppval (pchip (@var{x}, @var{y}), @var{xi})} and
-@code{pchip (@var{x}, @var{y}, @var{xi})}.
 
-@seealso{spline, ppval, mkpp, unmkpp}
+Used internally in @command{__freqresp__} (@command{bode}, @command{nyquist})
 @end deftypefn
-poly
+dlqr
 -*- texinfo -*-
-@deftypefn {Function File} {} poly (@var{a})
-If @var{a} is a square @math{N}-by-@math{N} matrix, @code{poly (@var{a})}
-is the row vector of the coefficients of @code{det (z * eye (N) - a)},
-the characteristic polynomial of @var{a}.  As an example we can use
-this to find the eigenvalues of @var{a} as the roots of @code{poly (@var{a})}.
+@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} dlqr (@var{a}, @var{b}, @var{q}, @var{r}, @var{z})
+Construct the linear quadratic regulator for the discrete time system
+@iftex
+@tex
+$$
+ x_{k+1} = A x_k + B u_k
+$$
+@end tex
+@end iftex
+@ifinfo
+
 @example
-roots(poly(eye(3)))
-@result{} 1.00000 + 0.00000i
-@result{} 1.00000 - 0.00000i
-@result{} 1.00000 + 0.00000i
+x[k+1] = A x[k] + B u[k]
 @end example
-In real-life examples you should, however, use the @code{eig} function
-for computing eigenvalues.
 
-If @var{x} is a vector, @code{poly (@var{x})} is a vector of coefficients
-of the polynomial whose roots are the elements of @var{x}.  That is,
-of @var{c} is a polynomial, then the elements of 
-@code{@var{d} = roots (poly (@var{c}))} are contained in @var{c}.
-The vectors @var{c} and @var{d} are, however, not equal due to sorting
-and numerical errors.
-@seealso{eig, roots}
-@end deftypefn
-polyder
--*- texinfo -*-
-@deftypefn {Function File} {} polyder (@var{c})
-@deftypefnx {Function File} {[@var{q}] =} polyder (@var{b}, @var{a})
-@deftypefnx {Function File} {[@var{q}, @var{r}] =} polyder (@var{b}, @var{a})
-See polyderiv.
-@end deftypefn
-polyderiv
--*- texinfo -*-
-@deftypefn {Function File} {} polyderiv (@var{c})
-@deftypefnx {Function File} {[@var{q}] =} polyderiv (@var{b}, @var{a})
-@deftypefnx {Function File} {[@var{q}, @var{r}] =} polyderiv (@var{b}, @var{a})
-Return the coefficients of the derivative of the polynomial whose
-coefficients are given by vector @var{c}.  If a pair of polynomials
-is given @var{b} and @var{a}, the derivative of the product is
-returned in @var{q}, or the quotient numerator in @var{q} and the
-quotient denominator in @var{r}.
-@seealso{poly, polyinteg, polyreduce, roots, conv, deconv, residue,
-filter, polygcd, polyval, polyvalm}
-@end deftypefn
-polyfit
--*- texinfo -*-
-@deftypefn {Function File} {[@var{p}, @var{s}] =} polyfit (@var{x}, @var{y}, @var{n})
-Return the coefficients of a polynomial @var{p}(@var{x}) of degree
-@var{n} that minimizes
+@end ifinfo
+to minimize the cost functional
 @iftex
 @tex
 $$
-\sum_{i=1}^N (p(x_i) - y_i)^2
+ J = \sum x^T Q x + u^T R u
 $$
 @end tex
 @end iftex
 @ifinfo
-@code{sumsq (p(x(i)) - y(i))},
-@end ifinfo
- to best fit the data in the least squares sense.
-
-The polynomial coefficients are returned in a row vector.
-
-If two output arguments are requested, the second is a structure
-containing the following fields:
-
-@table @code
-@item R
-The Cholesky factor of the Vandermonde matrix used to compute the
-polynomial coefficients.
-@item X
-The Vandermonde matrix used to compute the polynomial coefficients.
-@item df
-The degrees of freedom.
-@item normr
-The norm of the residuals.
-@item yf
-The values of the polynomial for each value of @var{x}.
-@end table
-@end deftypefn
-polygcd
--*- texinfo -*-
-@deftypefn {Function File} {@var{q} =} polygcd (@var{b}, @var{a}, @var{tol})
-
-Find greatest common divisor of two polynomials.  This is equivalent
-to the polynomial found by multiplying together all the common roots.
-Together with deconv, you can reduce a ratio of two polynomials.
-Tolerance defaults to 
-@example 
-sqrt(eps).
-@end example
- Note that this is an unstable
-algorithm, so don't try it on large polynomials.
 
-Example
 @example
-polygcd (poly(1:8), poly(3:12)) - poly(3:8)
-@result{} [ 0, 0, 0, 0, 0, 0, 0 ]
-deconv (poly(1:8), polygcd (poly(1:8), poly(3:12))) ...
-  - poly(1:2)
-@result{} [ 0, 0, 0 ]
+J = Sum (x' Q x + u' R u)
 @end example
-@seealso{poly, polyinteg, polyderiv, polyreduce, roots, conv, deconv,
-residue, filter, polyval, and polyvalm}
-@end deftypefn
-polyint
--*- texinfo -*-
-@deftypefn {Function File} {} polyint (@var{c}, @var{k})
-Return the coefficients of the integral of the polynomial whose
-coefficients are represented by the vector @var{c}. The variable
-@var{k} is the constant of integration, which by default is set to zero.
-@seealso{poly, polyderiv, polyreduce, roots, conv, deconv, residue,
-filter, polyval, and polyvalm}
-@end deftypefn
-polyout
--*- texinfo -*-
-@deftypefn {Function File} {} polyout (@var{c}, @var{x})
-Write formatted polynomial
+@end ifinfo
+
+@noindent
+@var{z} omitted or
 @iftex
 @tex
-$$ c(x) = c_1 x^n + \ldots + c_n x + c_{n+1} $$
+$$
+ J = \sum x^T Q x + u^T R u + 2 x^T Z u
+$$
 @end tex
 @end iftex
 @ifinfo
+
 @example
-   c(x) = c(1) * x^n + ... + c(n) x + c(n+1)
+J = Sum (x' Q x + u' R u + 2 x' Z u)
 @end example
+
 @end ifinfo
- and return it as a string or write it to the screen (if
-@var{nargout} is zero).
-@var{x} defaults to the string @code{"s"}.
-@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
-filter, polyderiv, and polyinteg}
-@end deftypefn
-polyreduce
--*- texinfo -*-
-@deftypefn {Function File} {} polyreduce (@var{c})
-Reduces a polynomial coefficient vector to a minimum number of terms by
-stripping off any leading zeros.
-@seealso{poly, roots, conv, deconv, residue, filter, polyval,
-polyvalm, polyderiv, polyinteg}
-@end deftypefn
-polyval
--*- texinfo -*-
-@deftypefn {Function File} {} polyval (@var{c}, @var{x})
-Evaluate a polynomial.
+@var{z} included.
 
-@code{polyval (@var{c}, @var{x})} will evaluate the polynomial at the
-specified value of @var{x}.
+The following values are returned:
 
-If @var{x} is a vector or matrix, the polynomial is evaluated at each of
-the elements of @var{x}.
-@seealso{polyvalm, poly, roots, conv, deconv, residue, filter,
-polyderiv, polyinteg}
-@end deftypefn
-polyvalm
--*- texinfo -*-
-@deftypefn {Function File} {} polyvalm (@var{c}, @var{x})
-Evaluate a polynomial in the matrix sense.
+@table @var
+@item k
+The state feedback gain,
+@iftex
+@tex
+$(A - B K)$
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{b}@var{k})
+@end ifinfo
+is stable.
 
-@code{polyvalm (@var{c}, @var{x})} will evaluate the polynomial in the
-matrix sense, i.e. matrix multiplication is used instead of element by
-element multiplication as is used in polyval.
+@item p
+The solution of algebraic Riccati equation.
 
-The argument @var{x} must be a square matrix.
-@seealso{polyval, poly, roots, conv, deconv, residue, filter,
-polyderiv, and polyinteg}
+@item e
+The closed loop poles of
+@iftex
+@tex
+$(A - B K)$.
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{b}@var{k}).
+@end ifinfo
+@end table
 @end deftypefn
-ppval
--*- texinfo -*-
-@deftypefn {Function File} {@var{yi} =} ppval (@var{pp}, @var{xi})
-Evaluate piece-wise polynomial @var{pp} at the points @var{xi}.  
-If @code{@var{pp}.d} is a scalar greater than 1, or an array,
-then the returned value @var{yi} will be an array that is 
-@code{d1, d1, @dots{}, dk, length (@var{xi})]}.
-@seealso{mkpp, unmkpp, spline}
-@end deftypefn 
-residue
+dgram
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{r}, @var{p}, @var{k}, @var{e}] =} residue (@var{b}, @var{a})
-Compute the partial fraction expansion for the quotient of the
-polynomials, @var{b} and @var{a}.
+@deftypefn {Function File} {} dgram (@var{a}, @var{b})
+Return controllability gramian of discrete time system
+@iftex
+@tex
+$$ x_{k+1} = ax_k + bu_k $$
+@end tex
+@end iftex
+@ifinfo
+@example
+  x(k+1) = a x(k) + b u(k)
+@end example
+@end ifinfo
+
+@strong{Inputs}
+@table @var
+@item a
+@var{n} by @var{n} matrix
+@item b
+@var{n} by @var{m} matrix
+@end table
 
+@strong{Output}
+@table @var
+@item m 
+@var{n} by @var{n} matrix, satisfies
 @iftex
 @tex
-$$
-{B(s)\over A(s)} = \sum_{m=1}^M {r_m\over (s-p_m)^e_m}
-  + \sum_{i=1}^N k_i s^{N-i}.
-$$
+$$ ama^T - m + bb^T = 0 $$
 @end tex
 @end iftex
 @ifinfo
-
 @example
- B(s)    M       r(m)         N
- ---- = SUM -------------  + SUM k(i)*s^(N-i)
- A(s)   m=1 (s-p(m))^e(m)    i=1
+ a m a' - m + b*b' = 0
 @end example
 @end ifinfo
+@end table
+@end deftypefn
+ltifr
+-*- texinfo -*-
+@deftypefn {Function File} {@var{out} =} ltifr (@var{a}, @var{b}, @var{w})
+@deftypefnx {Function File} {@var{out} =} ltifr (@var{sys}, @var{w})
+Linear time invariant frequency response of single-input systems.
 
-@noindent
-where @math{M} is the number of poles (the length of the @var{r},
-@var{p}, and @var{e}), the @var{k} vector is a polynomial of order @math{N-1}
-representing the direct contribution, and the @var{e} vector specifies
-the multiplicity of the mth residue's pole.
-
-For example,
-
-@example
-@group
-b = [1, 1, 1];
-a = [1, -5, 8, -4];
-[r, p, k, e] = residue (b, a);
-@result{} r = [-2; 7; 3]
-@result{} p = [2; 2; 1]
-@result{} k = [](0x0)
-@result{} e = [1; 2; 1]
-@end group
-@end example
-
-@noindent
-which represents the following partial fraction expansion
+@strong{Inputs}
+@table @var
+@item a
+@itemx b
+coefficient matrices of @math{dx/dt = A x + B u}
+@item sys
+system data structure
+@item w
+vector of frequencies
+@end table
+@strong{Output}
+@table @var
+@item out
+frequency response, that is:
+@end table
 @iftex
 @tex
-$$
-{s^2+s+1\over s^3-5s^2+8s-4} = {-2\over s-2} + {7\over (s-2)^2} + {3\over s-1}
-$$
+$$ G(j\omega) = (j\omega I-A)^{-1}B $$
 @end tex
 @end iftex
 @ifinfo
-
 @example
-        s^2 + s + 1       -2        7        3
-   ------------------- = ----- + ------- + -----
-   s^3 - 5s^2 + 8s - 4   (s-2)   (s-2)^2   (s-1)
+                           -1
+             G(s) = (jw I-A) B
 @end example
-
 @end ifinfo
+for complex frequencies @math{s = jw}.
+@end deftypefn
+rlocus
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{rldata}, @var{k}] =} rlocus (@var{sys}[, @var{increment}, @var{min_k}, @var{max_k}])
 
-@deftypefnx {Function File} {[@var{b}, @var{a}] =} residue (@var{r}, @var{p}, @var{k})
-@deftypefnx {Function File} {[@var{b}, @var{a}] =} residue (@var{r}, @var{p}, @var{k}, @var{e})
-Compute the reconstituted quotient of polynomials,
-@var{b}(s)/@var{a}(s), from the partial fraction expansion;
-represented by the residues, poles, and a direct polynomial specified
-by @var{r}, @var{p} and @var{k}, and the pole multiplicity @var{e}.
-
-If the multiplicity, @var{e}, is not explicitly specified the multiplicity is
-determined by the script mpoles.m.
-
-For example,
-
+Display root locus plot of the specified @acronym{SISO} system.
 @example
 @group
-r = [-2; 7; 3];
-p = [2; 2; 1];
-k = [1, 0];
-[b, a] = residue (r, p, k);
-@result{} b = [1, -5, 9, -3, 1]
-@result{} a = [1, -5, 8, -4]
-
-where mpoles.m is used to determine e = [1; 2; 1]
-
+       -----   ---     --------
+   --->| + |---|k|---->| SISO |----------->
+       -----   ---     --------        |
+       - ^                             |
+         |_____________________________|
 @end group
 @end example
 
-Alternatively the multiplicity may be defined explicitly, for example,
+@strong{Inputs}
+@table @var
+@item sys
+system data structure
+@item min_k
+Minimum value of @var{k}
+@item max_k
+Maximum value of @var{k}
+@item increment
+The increment used in computing gain values
+@end table
 
-@example
-@group
-r = [7; 3; -2];
-p = [2; 1; 2];
-k = [1, 0];
-e = [2; 1; 1];
-[b, a] = residue (r, p, k, e);
-@result{} b = [1, -5, 9, -3, 1]
-@result{} a = [1, -5, 8, -4]
-@end group
-@end example
+@strong{Outputs}
 
-@noindent
-which represents the following partial fraction expansion
+Plots the root locus to the screen.
+@table @var 
+@item rldata
+Data points plotted: in column 1 real values, in column 2 the imaginary values.
+@item k
+Gains for real axis break points.
+@end table
+@end deftypefn
+freqchkw
+-*- texinfo -*-
+@deftypefn {Function File} {} freqchkw (@var{w})
+Used by @command{__freqresp__} to check that input frequency vector @var{w}
+is valid.
+Returns boolean value.
+@end deftypefn
+lqr
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} lqr (@var{a}, @var{b}, @var{q}, @var{r}, @var{z})
+construct the linear quadratic regulator for the continuous time system
 @iftex
 @tex
 $$
-{-2\over s-2} + {7\over (s-2)^2} + {3\over s-1} + s = {s^4-5s^3+9s^2-3s+1\over s^3-5s^2+8s-4}
+ {dx\over dt} = A x + B u
 $$
 @end tex
 @end iftex
 @ifinfo
 
 @example
-    -2        7        3         s^4 - 5s^3 + 9s^2 - 3s + 1
-   ----- + ------- + ----- + s = --------------------------
-   (s-2)   (s-2)^2   (s-1)          s^3 - 5s^2 + 8s - 4
+dx
+-- = A x + B u
+dt
 @end example
-@end ifinfo
-@seealso{poly, roots, conv, deconv, mpoles, polyval, polyderiv, polyinteg}
-@end deftypefn
-roots
--*- texinfo -*-
-@deftypefn {Function File} {} roots (@var{v})
 
-For a vector @var{v} with @math{N} components, return
-the roots of the polynomial
+@end ifinfo
+to minimize the cost functional
 @iftex
 @tex
 $$
-v_1 z^{N-1} + \cdots + v_{N-1} z + v_N.
+ J = \int_0^\infty x^T Q x + u^T R u
 $$
 @end tex
 @end iftex
-@ifnottex
+@ifinfo
 
 @example
-v(1) * z^(N-1) + ... + v(N-1) * z + v(N)
+      infinity
+      /
+  J = |  x' Q x + u' R u
+     /
+    t=0
 @end example
-@end ifnottex
+@end ifinfo
 
-As an example, the following code finds the roots of the quadratic
-polynomial
+@noindent
+@var{z} omitted or
 @iftex
 @tex
-$$ p(x) = x^2 - 5. $$
+$$
+ J = \int_0^\infty x^T Q x + u^T R u + 2 x^T Z u
+$$
 @end tex
 @end iftex
-@ifnottex
-@example
-p(x) = x^2 - 5.
-@end example
-@end ifnottex
+@ifinfo
+
 @example
-c = [1, 0, -5];
-roots(c)
-@result{}  2.2361
-@result{} -2.2361
+      infinity
+      /
+  J = |  x' Q x + u' R u + 2 x' Z u
+     /
+    t=0
 @end example
-Note that the true result is
-@iftex
-@tex
-$\pm \sqrt{5}$
-@end tex
-@end iftex
-@ifnottex
-@math{+/- sqrt(5)}
-@end ifnottex
-which is roughly
-@iftex
-@tex
-$\pm 2.2361$.
-@end tex
-@end iftex
-@ifnottex
-@math{+/- 2.2361}.
-@end ifnottex
-@seealso{compan}
-@end deftypefn
-spline
--*- texinfo -*-
-@deftypefn {Function File} {@var{pp} = } spline (@var{x}, @var{y})
-@deftypefnx {Function File} {@var{yi} = } spline (@var{x}, @var{y}, @var{xi})
 
-Returns the cubic spline interpolation of @var{y} at the point
-@var{x}. Called with two arguments the piece-wise polynomial @var{pp}
-that may later be used with @code{ppval} to evaluate the polynomial
-at specific points.
+@end ifinfo
+@var{z} included.
 
-The variable @var{x} must be a vector of length @var{n}, and @var{y}
-can be either a vector or array. In the case where @var{y} is a
-vector, it can have a length of either @var{n} or @code{@var{n} + 2}.
-If the length of @var{y} is @var{n}, then the 'not-a-knot' end
-condition is used. If the length of @var{y} is @code{@var{n} + 2},
-then the first and last values of the vector @var{y} are the first
-derivative of the cubic spline at the end-points.
+The following values are returned:
 
-If @var{y} is an array, then the size of @var{y} must have the form
-@iftex
-@tex
-$$[s_1, s_2, \cdots, s_k, n]$$
-@end tex
-@end iftex
-@ifinfo
-@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n}]}
-@end ifinfo
-or
+@table @var
+@item k
+The state feedback gain,
 @iftex
 @tex
-$$[s_1, s_2, \cdots, s_k, n + 2]$$.
+$(A - B K)$
 @end tex
 @end iftex
 @ifinfo
-@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n} + 2]}.
+(@var{a} - @var{b}@var{k})
 @end ifinfo
-The array is then reshaped internally to a matrix where to leading
-dimension is given by 
+is stable and minimizes the cost functional
+
+@item p
+The stabilizing solution of appropriate algebraic Riccati equation.
+
+@item e
+The vector of the closed loop poles of
 @iftex
 @tex
-$$s_1 s_2 \cdots s_k$$
+$(A - B K)$.
 @end tex
 @end iftex
 @ifinfo
-@code{@var{s1} * @var{s2} * @dots{} * @var{sk}}
+(@var{a} - @var{b}@var{k}).
 @end ifinfo
-and each row this matrix is then treated separately. Note that this
-is exactly the opposite treatment than @code{interp1} and is done
-for compatibility.
-
-Called with a third input argument, @code{spline} evaluates the 
-piece-wise spline at the points @var{xi}. There is an equivalence
-between @code{ppval (spline (@var{x}, @var{y}), @var{xi})} and
-@code{spline (@var{x}, @var{y}, @var{xi})}.
-
-@seealso{ppval, mkpp, unmkpp}
-@end deftypefn
-unmkpp
--*- texinfo -*-
-@deftypefn {Function File} {[@var{x}, @var{p}, @var{n}, @var{k}, @var{d}] =} unmkpp (@var{pp})
-
-Extract the components of a piece-wise polynomial structure @var{pp}.
-These are as follows:
-
-@table @asis
-@item @var{x}
-Samples points.
-@item @var{p}
-Polynomial coefficients for points in sample interval. @code{@var{p}
-(@var{i}, :)} contains the coefficients for the polynomial over
-interval @var{i} ordered from highest to lowest. If @code{@var{d} >
-1}, @code{@var{p} (@var{r}, @var{i}, :)} contains the coefficients for 
-the r-th polynomial defined on interval @var{i}. However, this is 
-stored as a 2-D array such that @code{@var{c} = reshape (@var{p} (:,
-@var{j}), @var{n}, @var{d})} gives @code{@var{c} (@var{i},  @var{r})}
-is the j-th coefficient of the r-th polynomial over the i-th interval.
-@item @var{n}
-Number of polynomial pieces.
-@item @var{k}
-Order of the polynomial plus 1.
-@item @var{d}
-Number of polynomials defined for each interval.
 @end table
 
-@seealso{mkpp, ppval, spline}
+@strong{Reference}
+Anderson and Moore, @cite{Optimal control: linear quadratic methods},
+Prentice-Hall, 1990, pp. 56--58.
 @end deftypefn
-demoquat
+damp
 -*- texinfo -*-
-@deftypefn {Function File} {} demoquat ()
-Demonstrate the functions available for manipulating quaternions.
-
-Thanks to Mr. Charles Hall, Dr. Don Krupp and Dr. Larry Mullins at
-NASA's Marshall Space Flight Center for notes and instruction in
-use and conventions with quaternions.  - A. S. Hodel
+@deftypefn {Function File} {} damp (@var{p}, @var{tsam})
+Displays eigenvalues, natural frequencies and damping ratios
+of the eigenvalues of a matrix @var{p} or the @math{A} matrix of a
+system @var{p}, respectively.
+If @var{p} is a system, @var{tsam} must not be specified.
+If @var{p} is a matrix and @var{tsam} is specified, eigenvalues
+of @var{p} are assumed to be in @var{z}-domain.
+@seealso{eig}
 @end deftypefn
-qconj
+dare
 -*- texinfo -*-
-@deftypefn {Function File} {} qconj (@var{q})
-Conjugate of a quaternion.
+@deftypefn {Function File} {@var{x} =} dare (@var{a}, @var{b}, @var{q}, @var{r}, @var{opt})
 
+Return the solution, @var{x} of the discrete-time algebraic Riccati
+equation
+@iftex
+@tex
+$$
+A^TXA - X + A^TXB  (R + B^TXB)^{-1} B^TXA + Q = 0
+$$
+@end tex
+@end iftex
+@ifinfo
 @example
-q = [w, x, y, z] = w*i + x*j + y*k + z
-qconj (q) = -w*i -x*j -y*k + z
+a' x a - x + a' x b (r + b' x b)^(-1) b' x a + q = 0
 @end example
-@end deftypefn
-qcoordinate_plot
--*- texinfo -*-
-@deftypefn {Function File} {} qcoordinate_plot (@var{qf}, @var{qb}, @var{qv})
-Plot in the current figure a set of coordinate axes as viewed from 
-the orientation specified by quaternion @var{qv}.  Inertial axes are
-also plotted:
+@end ifinfo
+@noindent
 
+@strong{Inputs}
 @table @var
-@item qf
-Quaternion from reference (x,y,z) to inertial.
-@item qb
-Quaternion from reference to body.
-@item qv
-Quaternion from reference to view angle.
-@end table
-@end deftypefn
-qderiv
--*- texinfo -*-
-@deftypefn {Function File} {} qderiv (omega)
-Derivative of a quaternion.
-
-Let Q be a quaternion to transform a vector from a fixed frame to
-a rotating frame.  If the rotating frame is rotating about the 
-[x, y, z] axes at angular rates [wx, wy, wz], then the derivative
-of Q is given by
+@item a
+@var{n} by @var{n} matrix;
 
-@example
-Q' = qderivmat (omega) * Q
-@end example
+@item b
+@var{n} by @var{m} matrix;
 
-If the passive convention is used (rotate the frame, not the vector),
-then
+@item q
+@var{n} by @var{n} matrix, symmetric positive semidefinite, or a @var{p} by @var{n} matrix,
+In the latter case @math{q:=q'*q} is used;
 
-@example
-Q' = -qderivmat (omega) * Q
-@end example
-@end deftypefn
-qderivmat
--*- texinfo -*-
-@deftypefn {Function File} {} qderivmat (@var{omega})
-Derivative of a quaternion.
+@item r
+@var{m} by @var{m}, symmetric positive definite (invertible);
 
-Let Q be a quaternion to transform a vector from a fixed frame to
-a rotating frame.  If the rotating frame is rotating about the 
-[x, y, z] axes at angular rates [wx, wy, wz], then the derivative
-of Q is given by
+@item opt
+(optional argument; default = @code{"B"}):
+String option passed to @code{balance} prior to ordered @var{QZ} decomposition.
+@end table
 
-@example
-Q' = qderivmat (omega) * Q
-@end example
+@strong{Output}
+@table @var
+@item x
+solution of @acronym{DARE}.
+@end table
 
-If the passive convention is used (rotate the frame, not the vector),
-then
+@strong{Method}
+Generalized eigenvalue approach (Van Dooren; @acronym{SIAM} J.
+ Sci. Stat. Comput., Vol 2) applied  to the appropriate symplectic pencil.
 
-@example
-Q' = -qderivmat (omega) * Q.
-@end example
+ See also: Ran and Rodman, @cite{Stable Hermitian Solutions of Discrete
+ Algebraic Riccati Equations}, Mathematics of Control, Signals and
+ Systems, Vol 5, no 2 (1992), pp 165--194.
+@seealso{balance, are}
 @end deftypefn
-qinv
+lqe
 -*- texinfo -*-
-@deftypefn {Function File} {} qinv (@var{q})
-Return the inverse of a quaternion.
+@deftypefn {Function File} {[@var{k}, @var{p}, @var{e}] =} lqe (@var{a}, @var{g}, @var{c}, @var{sigw}, @var{sigv}, @var{z})
+Construct the linear quadratic estimator (Kalman filter) for the
+continuous time system
+@iftex
+@tex
+$$
+ {dx\over dt} = A x + G u
+$$
+$$
+ y = C x + v
+$$
+@end tex
+@end iftex
+@ifinfo
 
 @example
-q = [w, x, y, z] = w*i + x*j + y*k + z
-qmult (q, qinv (q)) = 1 = [0 0 0 1]
-@end example
-@end deftypefn
-qmult
--*- texinfo -*-
-@deftypefn {Function File} {} qmult (@var{a}, @var{b})
-Multiply two quaternions.
+dx
+-- = A x + G u
+dt
 
-@example
-[w, x, y, z] = w*i + x*j + y*k + z
+y = C x + v
 @end example
 
-@noindent
-identities:
+@end ifinfo
+where @var{w} and @var{v} are zero-mean gaussian noise processes with
+respective intensities
 
 @example
-i^2 = j^2 = k^2 = -1
-ij = k                 jk = i
-ki = j                 kj = -i
-ji = -k                ik = -j
+sigw = cov (w, w)
+sigv = cov (v, v)
 @end example
-@end deftypefn
-qtrans
--*- texinfo -*-
-@deftypefn {Function File} {} qtrans (@var{v}, @var{q})
-Transform the unit quaternion @var{v} by the unit quaternion @var{q}.
-Returns @code{@var{v} = @var{q}*@var{v}/@var{q}}.
-@end deftypefn
-qtransv
--*- texinfo -*-
-@deftypefn {Function File} {} qtransv (@var{v}, @var{q})
-Transform the 3-D vector @var{v} by the unit quaternion @var{q}.
-Return a column vector.
 
-@example
-vi = (2*real(q)^2 - 1)*vb + 2*imag(q)*(imag(q)'*vb) 
-   + 2*real(q)*cross(imag(q),vb)
-@end example
+The optional argument @var{z} is the cross-covariance
+@code{cov (@var{w}, @var{v})}.  If it is omitted,
+@code{cov (@var{w}, @var{v}) = 0} is assumed.
 
-@noindent
-Where imag(q) is a column vector of length 3.
-@end deftypefn
-qtransvmat
--*- texinfo -*-
-@deftypefn {Function File} {} qtransvmat (@var{qib})
-Construct a 3x3 transformation matrix from quaternion @var{qib} that
-is equivalent to rotation of th radians about axis @var{vv}, where
-@code{[@var{vv}, @var{th}] = quaternion (@var{qib})}.
-@end deftypefn
-quaternion
--*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} quaternion (w)
-@deftypefnx {Function File} {[@var{vv}, @var{theta}] =} quaternion (w)
-@deftypefnx {Function File} {@var{w} =} quaternion (@var{a}, @var{b}, @var{c}, @var{d})
-@deftypefnx {Function File} {@var{w} =} quaternion (@var{vv}, @var{theta})
-Construct or extract a quaternion
+Observer structure is @code{dz/dt = A z + B u + k (y - C z - D u)}
 
-@example
-w = a*i + b*j + c*k + d
-@end example
+The following values are returned:
+
+@table @var
+@item k
+The observer gain,
+@iftex
+@tex
+$(A - K C)$
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{k}@var{c})
+@end ifinfo
+is stable.
 
-@noindent
-from given data.
+@item p
+The solution of algebraic Riccati equation.
+
+@item e
+The vector of closed loop poles of
+@iftex
+@tex
+$(A - K C)$.
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{k}@var{c}).
+@end ifinfo
+@end table
 @end deftypefn
-complement
+frdemo
 -*- texinfo -*-
-@deftypefn {Function File} {} complement (@var{x}, @var{y})
-Return the elements of set @var{y} that are not in set @var{x}.  For
-example,
-
-@example
-@group
-complement ([ 1, 2, 3 ], [ 2, 3, 5 ])
-@result{} 5
-@end group
-@end example
-@seealso{create_set, union, intersection}
+@deftypefn {Function File} {} frdemo ()
+Octave Control Toolbox demo: Frequency Response demo.
 @end deftypefn
-create_set
+__stepimp__
+Undocumented internal function.
+obsv
 -*- texinfo -*-
-@deftypefn {Function File} {} create_set (@var{x})
-Return a row vector containing the unique values in @var{x}, sorted in
-ascending order.  For example,
-
+@deftypefn {Function File} {} obsv (@var{sys}, @var{c})
+@deftypefnx {Function File} {} obsv (@var{a}, @var{c})
+Build observability matrix:
+@iftex
+@tex
+$$ Q_b = \left[ \matrix{  C       \cr
+                          CA    \cr
+                          CA^2  \cr
+                          \vdots  \cr
+                          CA^{n-1} } \right ] $$
+@end tex
+@end iftex
+@ifinfo
 @example
 @group
-create_set ([ 1, 2; 3, 4; 4, 2 ])
-@result{} [ 1, 2, 3, 4 ]
+     | C        |
+     | CA       |
+Qb = | CA^2     |
+     | ...      |
+     | CA^(n-1) |
 @end group
 @end example
-@seealso{union, intersection, complement}
-@end deftypefn
-intersect
--*- texinfo -*-
-@deftypefn {Function File} {} intersect (@var{a}, @var{b})
-@deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} intersect (@var{a}, @var{b})
-
-Return the elements in both @var{a} and @var{b}, sorted in ascending
-order. If @var{a} and @var{b} are both column vectors return a column
-vector, otherwise return a row vector.
-
-Return index vectors @var{ia} and @var{ib} such that @code{a(ia)==c} and
-@code{b(ib)==c}.
+@end ifinfo
+of a system data structure or the pair (@var{a}, @var{c}).
 
+The numerical properties of @command{is_observable}
+are much better for observability tests.
 @end deftypefn
-@seealso{unique, union, setxor, setdiff, ismember}
-ismember
+dre
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{tf}, @var{a_idx}] =} ismember (@var{A}, @var{S}) 
-@deftypefnx {Function File} {[@var{tf}, @var{a_idx}] =} ismember (@var{A}, @var{S}, "rows")
-Return a matrix @var{tf} the same shape as @var{A} which has 1 if 
-@code{A(i,j)} is in @var{S} or 0 if it isn't. If a second output argument 
-is requested, the indexes into @var{S} of the matching elements are
-also returned. 
-
+@deftypefn {Function File} {[@var{tvals}, @var{plist}] =} dre (@var{sys}, @var{q}, @var{r}, @var{qf}, @var{t0}, @var{tf}, @var{ptol}, @var{maxits})
+Solve the differential Riccati equation
+@ifinfo
 @example
-@group
-a = [3, 10, 1];
-s = [0:9];
-[tf, a_idx] = residue (a, s);
-@result{} tf = [1, 0, 1]
-@result{} a_idx = [4, 0, 2]
-@end group
+  -d P/dt = A'P + P A - P B inv(R) B' P + Q
+  P(tf) = Qf
 @end example
-
-The inputs, @var{A} and @var{S}, may also be cell arrays.
-
+@end ifinfo
+@iftex
+@tex
+$$ -{dP \over dt} = A^T P+PA-PBR^{-1}B^T P+Q $$
+$$ P(t_f) = Q_f $$
+@end tex
+@end iftex
+for the @acronym{LTI} system sys.  Solution of 
+standard @acronym{LTI} state feedback optimization
+@ifinfo
 @example
-@group
-a = @{'abc'@};
-s = @{'abc', 'def'@};
-[tf, a_idx] = residue (a, s);
-@result{} tf = [1, 0]
-@result{} a_idx = [1, 0]
-@end group
+  min int(t0, tf) ( x' Q x + u' R u ) dt + x(tf)' Qf x(tf)
 @end example
-
-With the optional third argument @code{"rows"}, and matrices 
-@var{A} and @var{S} with the same number of columns, compare rows in
-@var{A} with the rows in @var{S}.
-
+@end ifinfo
+@iftex
+@tex
+$$ \min \int_{t_0}^{t_f} x^T Q x + u^T R u dt + x(t_f)^T Q_f x(t_f) $$
+@end tex
+@end iftex
+optimal input is
+@ifinfo
 @example
-@group
-a = [1:3; 5:7; 4:6];
-s = [0:2; 1:3; 2:4; 3:5; 4:6];
-[tf, a_idx] = ismember(a, s, 'rows');
-@result{} tf = logical ([1; 0; 1])
-@result{} a_idx = [2; 0; 5];
-@end group
+  u = - inv(R) B' P(t) x
 @end example
-
-@seealso{unique, union, intersection, setxor, setdiff}
-@end deftypefn
-setdiff
--*- texinfo -*-
-@deftypefn {Function File} {} setdiff (@var{a}, @var{b})
-@deftypefnx {Function File} {} setdiff (@var{a}, @var{b}, "rows")
-Return the elements in @var{a} that are not in @var{b}, sorted in
-ascending order.  If @var{a} and @var{b} are both column vectors
-return a column vector, otherwise return a row vector.
-
-Given the optional third argument @samp{"rows"}, return the rows in
-@var{a} that are not in @var{b}, sorted in ascending order by rows.
-@seealso{unique, union, intersect, setxor, ismember}
-@end deftypefn
-setxor
--*- texinfo -*-
-@deftypefn {Function File} {} setxor (@var{a}, @var{b})
-
-Return the elements exclusive to @var{a} or @var{b}, sorted in ascending
-order. If @var{a} and @var{b} are both column vectors return a column
-vector, otherwise return a row vector.
-
-@seealso{unique, union, intersect, setdiff, ismember}
-@end deftypefn
-union
--*- texinfo -*-
-@deftypefn {Function File} {} union (@var{x}, @var{y})
-Return the set of elements that are in either of the sets @var{x} and
-@var{y}.  For example,
-
+@end ifinfo
+@iftex
+@tex
+$$ u = - R^{-1} B^T P(t) x $$
+@end tex
+@end iftex
+@strong{Inputs}
+@table @var
+@item sys
+continuous time system data structure
+@item q
+state integral penalty
+@item r
+input integral penalty
+@item qf
+state terminal penalty
+@item t0
+@itemx tf
+limits on the integral
+@item ptol
+tolerance (used to select time samples; see below); default = 0.1
+@item maxits
+number of refinement iterations (default=10)
+@end table
+@strong{Outputs}
+@table @var
+@item tvals
+time values at which @var{p}(@var{t}) is computed
+@item plist
+list values of @var{p}(@var{t}); @var{plist} @{ @var{i} @}
+is @var{p}(@var{tvals}(@var{i}))
+@end table
+@var{tvals} is selected so that:
+@iftex
+@tex
+$$ \Vert plist_{i} - plist_{i-1} \Vert < ptol $$
+@end tex
+@end iftex
+@ifinfo
 @example
-@group
-union ([ 1, 2, 4 ], [ 2, 3, 5 ])
-@result{} [ 1, 2, 3, 4, 5 ]
-@end group
+|| Plist@{i@} - Plist@{i-1@} || < Ptol
 @end example
-@seealso{create_set, intersection, complement}
+@end ifinfo
+for every @var{i} between 2 and length(@var{tvals}).
 @end deftypefn
-unique
+place
 -*- texinfo -*-
-@deftypefn {Function File} {} unique (@var{x})
-
-Return the unique elements of @var{x}, sorted in ascending order.
-If @var{x} is a row vector, return a row vector, but if @var{x}
-is a column vector or a matrix return a column vector.
-
-@deftypefnx {Function File} {} unique (@var{A}, 'rows')
+@deftypefn {Function File} {@var{K} =} place (@var{sys}, @var{p})
+Computes the matrix @var{K} such that if the state
+is feedback with gain @var{K}, then the eigenvalues  of the closed loop
+system (i.e. @math{A-BK}) are those specified in the vector @var{p}.
 
-Return the unique rows of @var{A}, sorted in ascending order.
+Version: Beta (May-1997): If you have any comments, please let me know.
+(see the file place.m for my address)
+@end deftypefn
+nichols
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{mag}, @var{phase}, @var{w}] =} nichols (@var{sys}, @var{w}, @var{outputs}, @var{inputs})
+Produce Nichols plot of a system.
 
-@deftypefnx {Function File} {[@var{y}, @var{i}, @var{j}] = } unique (@var{x})
+@strong{Inputs}
+@table @var
+@item sys
+System data structure (must be either purely continuous or discrete; 
+see @command{is_digital}).
+@item w
+Frequency values for evaluation.
+@itemize
+@item if sys is continuous, then nichols evaluates @math{G(jw)}.
+@item if sys is discrete, then nichols evaluates @math{G(exp(jwT))}, 
+where @var{T}=@var{sys}. @var{tsam} is the system sampling time.
+@item the default frequency range is selected as follows (These
+       steps are @strong{not} performed if @var{w} is specified):
+@enumerate
+@item via routine @command{__bodquist__}, isolate all poles and zeros away from
+@var{w}=0 (@math{jw=0} or @math{exp(jwT)=1}) and select the frequency range 
+based on the breakpoint locations of the frequencies.
+@item if sys is discrete time, the frequency range is limited to jwT in 
+@iftex
+@tex
+$ [0, 2p\pi] $.
+@end tex
+@end iftex
+@ifinfo
+[0,2p*pi].
+@end ifinfo
+@item A ``smoothing'' routine is used to ensure that the plot phase does
+not change excessively from point to point and that singular points 
+(e.g., crossovers from +/- 180) are accurately shown.
+@end enumerate
+@end itemize
+@item outputs
+@itemx inputs
+the names or indices of the output(s) and input(s) to be used in the 
+frequency response; see @command{sysprune}.
+@end table
+@strong{Outputs}
+@table @var
+@item mag
+@itemx phase
+The magnitude and phase of the frequency response @math{G(jw)} or 
+@math{G(exp(jwT))} at the selected frequency values.
+@item w
+The vector of frequency values used.
+@end table
+If no output arguments are given, @command{nichols} plots the results to the screen.
+Descriptive labels are automatically placed. See @command{xlabel}, 
+@command{ylabel}, and @command{title}.
 
-Return index vectors @var{i} and @var{j} such that @code{x(i)==y} and
-@code{y(j)==x}.
-@seealso{union, intersect, setdiff, setxor, ismember}
+Note: if the requested plot is for an @acronym{MIMO} system, @var{mag} is set to
+@iftex
+@tex
+$ \Vert G(jw) \Vert $ or $ \Vert G( {\rm exp}(jwT) \Vert $
+@end tex
+@end iftex
+@ifinfo
+||G(jw)|| or ||G(exp(jwT))||
+@end ifinfo
+and phase information is not computed.
 @end deftypefn
-arch_fit
+step
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{b}] =} arch_fit (@var{y}, @var{x}, @var{p}, @var{iter}, @var{gamma}, @var{a0}, @var{b0})
-Fit an ARCH regression model to the time series @var{y} using the
-scoring algorithm in Engle's original ARCH paper.  The model is
-
-@example
-y(t) = b(1) * x(t,1) + ... + b(k) * x(t,k) + e(t),
-h(t) = a(1) + a(2) * e(t-1)^2 + ... + a(p+1) * e(t-p)^2
-@end example
-
-@noindent
-in which @math{e(t)} is @math{N(0, h(t))}, given a time-series vector
-@var{y} up to time @math{t-1} and a matrix of (ordinary) regressors
-@var{x} up to @math{t}.  The order of the regression of the residual
-variance is specified by @var{p}.
+@deftypefn {Function File} {[@var{y}, @var{t}] =} step (@var{sys}, @var{inp}, @var{tstop}, @var{n})
+Step response for a linear system.
+The system can be discrete or multivariable (or both).
+If no output arguments are specified, @code{step}
+produces a plot or the step response data for system @var{sys}.
 
-If invoked as @code{arch_fit (@var{y}, @var{k}, @var{p})} with a
-positive integer @var{k}, fit an ARCH(@var{k}, @var{p}) process,
-i.e., do the above with the @math{t}-th row of @var{x} given by
+@strong{Inputs}
+@table @var
+@item sys
+System data structure.
+@item inp
+Index of input being excited
+@item tstop
+The argument @var{tstop} (scalar value) denotes the time when the
+simulation should end.
+@item n
+the number of data values.
 
-@example
-[1, y(t-1), ..., y(t-k)]
-@end example
+Both parameters @var{tstop} and @var{n} can be omitted and will be
+computed from the eigenvalues of the A Matrix.
+@end table
+@strong{Outputs}
+@table @var
+@item y
+Values of the step response.
+@item t
+Times of the step response.
+@end table
 
-Optionally, one can specify the number of iterations @var{iter}, the
-updating factor @var{gamma}, and initial values @math{a0} and
-@math{b0} for the scoring algorithm.
+When invoked with the output parameter @var{y} the plot is not displayed.
+@seealso{impulse}
 @end deftypefn
-arch_rnd
+rldemo
 -*- texinfo -*-
-@deftypefn {Function File} {} arch_rnd (@var{a}, @var{b}, @var{t})
-Simulate an ARCH sequence of length @var{t} with AR
-coefficients @var{b} and CH coefficients @var{a}.  I.e., the result
-@math{y(t)} follows the model
-
-@smallexample
-y(t) = b(1) + b(2) * y(t-1) + @dots{} + b(lb) * y(t-lb+1) + e(t),
-@end smallexample
-
-@noindent
-where @math{e(t)}, given @var{y} up to time @math{t-1}, is
-@math{N(0, h(t))}, with
-
-@smallexample
-h(t) = a(1) + a(2) * e(t-1)^2 + @dots{} + a(la) * e(t-la+1)^2
-@end smallexample
+@deftypefn {Function File} {} rldemo (@var{inputs})
+Octave Control toolbox demo: Root Locus demo.
 @end deftypefn
-arch_test
+pzmap
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{lm}] =} arch_test (@var{y}, @var{x}, @var{p})
-For a linear regression model
-
-@example
-y = x * b + e
-@end example
-
-@noindent
-perform a Lagrange Multiplier (LM) test of the null hypothesis of no
-conditional heteroscedascity against the alternative of CH(@var{p}).
-
-I.e., the model is
-
-@example
-y(t) = b(1) * x(t,1) + @dots{} + b(k) * x(t,k) + e(t),
-@end example
-
-@noindent
-given @var{y} up to @math{t-1} and @var{x} up to @math{t},
-@math{e}(t) is @math{N(0, h(t))} with
-
-@example
-h(t) = v + a(1) * e(t-1)^2 + @dots{} + a(p) * e(t-p)^2,
-@end example
-
-@noindent
-and the null is @math{a(1)} == @dots{} == @math{a(p)} == 0.
-
-If the second argument is a scalar integer, @math{k}, perform the same
-test in a linear autoregression model of order @math{k}, i.e., with
-
-@example
-[1, y(t-1), @dots{}, y(t-@var{k})]
-@end example
-
-@noindent
-as the @math{t}-th row of @var{x}.
+@deftypefn {Function File} {[@var{zer}, @var{pol}] =} pzmap (@var{sys})
+Plots the zeros and poles of a system in the complex plane.
 
-Under the null, LM approximately has a chisquare distribution with
-@var{p} degrees of freedom and @var{pval} is the @math{p}-value (1
-minus the CDF of this distribution at LM) of the test.
+@strong{Input}
+@table @var
+@item sys
+System data structure.
+@end table
 
-If no output argument is given, the @math{p}-value is displayed.
+@strong{Outputs}
+@table @var
+@item pol
+@item zer
+if omitted, the poles and zeros are plotted on the screen.
+otherwise, @var{pol} and @var{zer} are returned as the 
+system poles and zeros (see @command{sys2zp} for a preferable function call).
+@end table
 @end deftypefn
-arma_rnd
+__freqresp__
+Undocumented internal function.
+dlqe
 -*- texinfo -*-
-@deftypefn {Function File} {} arma_rnd (@var{a}, @var{b}, @var{v}, @var{t}, @var{n})
-Return a simulation of the ARMA model
+@deftypefn {Function File} {[@var{l}, @var{m}, @var{p}, @var{e}] =} dlqe (@var{a}, @var{g}, @var{c}, @var{sigw}, @var{sigv}, @var{z})
+Construct the linear quadratic estimator (Kalman filter) for the
+discrete time system
+@iftex
+@tex
+$$
+ x_{k+1} = A x_k + B u_k + G w_k
+$$
+$$
+ y_k = C x_k + D u_k + v_k
+$$
+@end tex
+@end iftex
+@ifinfo
 
 @example
-x(n) = a(1) * x(n-1) + ... + a(k) * x(n-k)
-     + e(n) + b(1) * e(n-1) + ... + b(l) * e(n-l)
+x[k+1] = A x[k] + B u[k] + G w[k]
+  y[k] = C x[k] + D u[k] + v[k]
 @end example
 
-@noindent
-in which @var{k} is the length of vector @var{a}, @var{l} is the
-length of vector @var{b} and @var{e} is gaussian white noise with
-variance @var{v}.  The function returns a vector of length @var{t}.
+@end ifinfo
+where @var{w}, @var{v} are zero-mean gaussian noise processes with
+respective intensities @code{@var{sigw} = cov (@var{w}, @var{w})} and
+@code{@var{sigv} = cov (@var{v}, @var{v})}.
 
-The optional parameter @var{n} gives the number of dummy
-@var{x}(@var{i}) used for initialization, i.e., a sequence of length
-@var{t}+@var{n} is generated and @var{x}(@var{n}+1:@var{t}+@var{n})
-is returned.  If @var{n} is omitted, @var{n} = 100 is used. 
-@end deftypefn
-autocor
--*- texinfo -*-
-@deftypefn {Function File} {} autocor (@var{x}, @var{h})
-Return the autocorrelations from lag 0 to @var{h} of vector @var{x}.
-If @var{h} is omitted, all autocorrelations are computed.
-If @var{x} is a matrix, the autocorrelations of each column are
-computed.
-@end deftypefn
-autocov
--*- texinfo -*-
-@deftypefn {Function File} {} autocov (@var{x}, @var{h})
-Return the autocovariances from lag 0 to @var{h} of vector @var{x}.
-If @var{h} is omitted, all autocovariances are computed.
-If @var{x} is a matrix, the autocovariances of each column are
-computed.
-@end deftypefn
-autoreg_matrix
--*- texinfo -*-
-@deftypefn {Function File} {} autoreg_matrix (@var{y}, @var{k})
-Given a time series (vector) @var{y}, return a matrix with ones in the
-first column and the first @var{k} lagged values of @var{y} in the
-other columns.  I.e., for @var{t} > @var{k}, @code{[1,
-@var{y}(@var{t}-1), @dots{}, @var{y}(@var{t}-@var{k})]} is the t-th row
-of the result.  The resulting matrix may be used as a regressor matrix
-in autoregressions.
-@end deftypefn
-bartlett
--*- texinfo -*-
-@deftypefn {Function File} {} bartlett (@var{m})
-Return the filter coefficients of a Bartlett (triangular) window of
-length @var{m}.
+If specified, @var{z} is @code{cov (@var{w}, @var{v})}.  Otherwise
+@code{cov (@var{w}, @var{v}) = 0}.
 
-For a definition of the Bartlett window, see e.g. A. V. Oppenheim &
-R. W. Schafer, "Discrete-Time Signal Processing".
-@end deftypefn
-blackman
--*- texinfo -*-
-@deftypefn {Function File} {} blackman (@var{m})
-Return the filter coefficients of a Blackman window of length @var{m}.
+The observer structure is
+@iftex
+@tex
+$$
+ z_{k|k} = z_{k|k-1} + l (y_k - C z_{k|k-1} - D u_k)
+$$
+$$
+ z_{k+1|k} = A z_{k|k} + B u_k
+$$
+@end tex
+@end iftex
+@ifinfo
 
-For a definition of the  Blackman window, see e.g. A. V. Oppenheim &
-R. W. Schafer, "Discrete-Time Signal Processing".
-@end deftypefn
-detrend
--*- texinfo -*-
-@deftypefn {Function File} {} detrend (@var{x}, @var{p})
-If @var{x} is a vector, @code{detrend (@var{x}, @var{p})} removes the
-best fit of a polynomial of order @var{p} from the data @var{x}.
+@example
+z[k|k] = z[k|k-1] + L (y[k] - C z[k|k-1] - D u[k])
+z[k+1|k] = A z[k|k] + B u[k]
+@end example
+@end ifinfo
 
-If @var{x} is a matrix, @code{detrend (@var{x}, @var{p})} does the same
-for each column in @var{x}.
+@noindent
+The following values are returned:
 
-The second argument is optional.  If it is not specified, a value of 1
-is assumed.  This corresponds to removing a linear trend.
-@end deftypefn
-diffpara
--*- texinfo -*-
-@deftypefn {Function File} {[@var{d}, @var{dd}] =} diffpara (@var{x}, @var{a}, @var{b})
-Return the estimator @var{d} for the differencing parameter of an
-integrated time series.
+@table @var
+@item l
+The observer gain,
+@iftex
+@tex
+$(A - ALC)$.
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{a}@var{l}@var{c}).
+@end ifinfo
+is stable.
 
-The frequencies from @math{[2*pi*a/t, 2*pi*b/T]} are used for the
-estimation.  If @var{b} is omitted, the interval
-@math{[2*pi/T, 2*pi*a/T]} is used.  If both @var{b} and @var{a} are
-omitted then @math{a = 0.5 * sqrt (T)} and @math{b = 1.5 * sqrt (T)}
-is used, where @math{T} is the sample size.  If @var{x} is a matrix,
-the differencing parameter of each column is estimated.
+@item m
+The Riccati equation solution.
 
-The estimators for all frequencies in the intervals
-described above is returned in @var{dd}.  The value of @var{d} is
-simply the mean of @var{dd}.
+@item p
+The estimate error covariance after the measurement update.
 
-Reference: Brockwell, Peter J. & Davis, Richard A. Time Series:
-Theory and Methods Springer 1987.
+@item e
+The closed loop poles of
+@iftex
+@tex
+$(A - ALC)$.
+@end tex
+@end iftex
+@ifinfo
+(@var{a} - @var{a}@var{l}@var{c}).
+@end ifinfo
+@end table
 @end deftypefn
-durbinlevinson
+dcgain
 -*- texinfo -*-
-@deftypefn {Function File} {} durbinlevinson (@var{c}, @var{oldphi}, @var{oldv})
-Perform one step of the Durbin-Levinson algorithm.
-
-The vector @var{c} specifies the autocovariances @code{[gamma_0, @dots{},
-gamma_t]} from lag 0 to @var{t}, @var{oldphi} specifies the
-coefficients based on @var{c}(@var{t}-1) and @var{oldv} specifies the
-corresponding error.
-
-If @var{oldphi} and @var{oldv} are omitted, all steps from 1 to
-@var{t} of the algorithm are performed.
+@deftypefn {Function File} {} dcgain (@var{sys}, @var{tol})
+Returns dc-gain matrix. If dc-gain is infinite
+an empty matrix is returned.
+The argument @var{tol} is an optional tolerance for the condition
+number of the @math{A} Matrix in @var{sys} (default @var{tol} = 1.0e-10)
 @end deftypefn
-fftconv
+tzero
 -*- texinfo -*-
-@deftypefn {Function File} {} fftconv (@var{a}, @var{b}, @var{n})
-Return the convolution of the vectors @var{a} and @var{b}, as a vector
-with length equal to the @code{length (a) + length (b) - 1}.  If @var{a}
-and @var{b} are the coefficient vectors of two polynomials, the returned
-value is the coefficient vector of the product polynomial.
+@deftypefn {Function File} {[@var{zer}, @var{gain}] =} tzero (@var{a}, @var{b}, @var{c}, @var{d}, @var{opt})
+@deftypefnx {Function File} {[@var{zer}, @var{gain}] =} tzero (@var{sys}, @var{opt})
+Compute transmission zeros of a continuous system:
+@iftex
+@tex
+$$ \dot x = Ax + Bu $$
+$$ y = Cx + Du $$
+@end tex
+@end iftex
+@ifinfo
+@example
+.
+x = Ax + Bu
+y = Cx + Du
+@end example
+@end ifinfo
+or of a discrete one:
+@iftex
+@tex
+$$ x_{k+1} = Ax_k + Bu_k $$
+$$ y_k = Cx_k + Du_k $$
+@end tex
+@end iftex
+@ifinfo
+@example
+x(k+1) = A x(k) + B u(k)
+y(k)   = C x(k) + D u(k)
+@end example
+@end ifinfo
 
-The computation uses the FFT by calling the function @code{fftfilt}.  If
-the optional argument @var{n} is specified, an N-point FFT is used.
+@strong{Outputs}
+@table @var
+@item zer
+ transmission zeros of the system
+@item gain
+leading coefficient (pole-zero form) of @acronym{SISO} transfer function
+returns gain=0 if system is multivariable
+@end table
+@strong{References}
+@enumerate
+@item Emami-Naeini and Van Dooren, Automatica, 1982.
+@item Hodel, @cite{Computation of Zeros with Balancing}, 1992 Lin. Alg. Appl.
+@end enumerate
 @end deftypefn
-fftfilt
+lqg
 -*- texinfo -*-
-@deftypefn {Function File} {} fftfilt (@var{b}, @var{x}, @var{n})
-
-With two arguments, @code{fftfilt} filters @var{x} with the FIR filter
-@var{b} using the FFT.
+@deftypefn {Function File} {[@var{k}, @var{q1}, @var{p1}, @var{ee}, @var{er}] =} lqg (@var{sys}, @var{sigw}, @var{sigv}, @var{q}, @var{r}, @var{in_idx})
+Design a linear-quadratic-gaussian optimal controller for the system
+@example
+dx/dt = A x + B u + G w       [w]=N(0,[Sigw 0    ])
+    y = C x + v               [v]  (    0   Sigv ])
+@end example
+or
+@example
+x(k+1) = A x(k) + B u(k) + G w(k)   [w]=N(0,[Sigw 0    ])
+  y(k) = C x(k) + v(k)              [v]  (    0   Sigv ])
+@end example
 
-Given the optional third argument, @var{n}, @code{fftfilt} uses the
-overlap-add method to filter @var{x} with @var{b} using an N-point FFT.
+@strong{Inputs}
+@table @var
+@item  sys
+system data structure
+@item  sigw
+@itemx  sigv
+intensities of independent Gaussian noise processes (as above)
+@item  q
+@itemx  r
+state, control weighting respectively.  Control @acronym{ARE} is
+@item  in_idx
+names or indices of controlled inputs (see @command{sysidx}, @command{cellidx})
 
-If @var{x} is a matrix, filter each column of the matrix.
+default: last dim(R) inputs are assumed to be controlled inputs, all
+others are assumed to be noise inputs.
+@end table
+@strong{Outputs}
+@table @var
+@item    k
+system data structure format @acronym{LQG} optimal controller (Obtain A, B, C
+matrices with @command{sys2ss}, @command{sys2tf}, or @command{sys2zp} as
+appropriate).
+@item    p1
+Solution of control (state feedback) algebraic Riccati equation.
+@item    q1
+Solution of estimation algebraic Riccati equation.
+@item    ee
+Estimator poles.
+@item    es
+Controller poles.
+@end table
+@seealso{h2syn, lqe, lqr}
 @end deftypefn
-fftshift
+DEMOcontrol
 -*- texinfo -*-
-@deftypefn {Function File} {} fftshift (@var{v})
-@deftypefnx {Function File} {} fftshift (@var{v}, @var{dim})
-Perform a shift of the vector @var{v}, for use with the @code{fft}
-and @code{ifft} functions, in order the move the frequency 0 to the
-center of the vector or matrix.
+@deftypefn {Function File} {} DEMOcontrol
+Octave Control Systems Toolbox demo/tutorial program.  The demo
+allows the user to select among several categories of @acronym{OCST} function:
+@example
+@group
+octave:1> DEMOcontrol
+Octave Controls System Toolbox Demo
 
-If @var{v} is a vector of @math{N} elements corresponding to @math{N}
-time samples spaced of @math{Dt} each, then @code{fftshift (fft
-(@var{v}))} corresponds to frequencies
+  [ 1] System representation
+  [ 2] Block diagram manipulations
+  [ 3] Frequency response functions
+  [ 4] State space analysis functions
+  [ 5] Root locus functions
+  [ 6] LQG/H2/Hinfinity functions
+  [ 7] End
+@end group
+@end example
+Command examples are interactively run for users to observe the use
+of @acronym{OCST} functions.
+@seealso{Demo Programs: bddemo.m, frdemo.m, analdemo.m,
+moddmeo.m, rldemo.m}
+@end deftypefn
+lyap
+-*- texinfo -*-
+@deftypefn {Function File} {} lyap (@var{a}, @var{b}, @var{c})
+@deftypefnx {Function File} {} lyap (@var{a}, @var{b})
+Solve the Lyapunov (or Sylvester) equation via the Bartels-Stewart
+algorithm (Communications of the @acronym{ACM}, 1972).
 
+If @var{a}, @var{b}, and @var{c} are specified, then @code{lyap} returns
+the solution of the  Sylvester equation
+@iftex
+@tex
+  $$ A X + X B + C = 0 $$
+@end tex
+@end iftex
+@ifinfo
+@example
+    a x + x b + c = 0
+@end example
+@end ifinfo
+If only @code{(a, b)} are specified, then @command{lyap} returns the
+solution of the Lyapunov equation
+@iftex
+@tex
+  $$ A^T X + X A + B = 0 $$
+@end tex
+@end iftex
+@ifinfo
+@example
+    a' x + x a + b = 0
+@end example
+@end ifinfo
+If @var{b} is not square, then @code{lyap} returns the solution of either
+@iftex
+@tex
+  $$ A^T X + X A + B^T B = 0 $$
+@end tex
+@end iftex
+@ifinfo
+@example
+    a' x + x a + b' b = 0
+@end example
+@end ifinfo
+@noindent
+or
+@iftex
+@tex
+  $$ A X + X A^T + B B^T = 0 $$
+@end tex
+@end iftex
+@ifinfo
 @example
-f = ((1:N) - ceil(N/2)) / N / Dt
+    a x + x a' + b b' = 0
 @end example
+@end ifinfo
+@noindent
+whichever is appropriate.
 
-If @var{v} is a matrix, the same holds for rows and columns. If 
-@var{v} is an array, then the same holds along each dimension.
-
-The optional @var{dim} argument can be used to limit the dimension
-along which the permutation occurs.
+Solves by using the Bartels-Stewart algorithm (1972).
 @end deftypefn
-filter2
+impulse
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} filter2 (@var{b}, @var{x})
-@deftypefnx {Function File} {@var{y} =} filter2 (@var{b}, @var{x}, @var{shape})
-Apply the 2-D FIR filter @var{b} to @var{x}. If the argument
-@var{shape} is specified, return an array of the desired shape.
-Possible values are: 
+@deftypefn {Function File} {[@var{y}, @var{t}] =} impulse (@var{sys}, @var{inp}, @var{tstop}, @var{n})
+Impulse response for a linear system.
+The system can be discrete or multivariable (or both).
+If no output arguments are specified, @code{impulse}
+produces a plot or the impulse response data for system @var{sys}.
 
-@table @asis
-@item 'full'
-pad @var{x} with zeros on all sides before filtering.
-@item 'same'
-unpadded @var{x} (default)
-@item 'valid'
-trim @var{x} after filtering so edge effects are no included.
-@end table
+@strong{Inputs}
+@table @var
+@item sys
+System data structure.
+@item inp
+Index of input being excited
+@item tstop
+The argument @var{tstop} (scalar value) denotes the time when the
+simulation should end.
+@item n
+the number of data values.
 
-Note this is just a variation on convolution, with the parameters
-reversed and @var{b} rotated 180 degrees.
-@seealso{conv2}
+Both parameters @var{tstop} and @var{n} can be omitted and will be
+computed from the eigenvalues of the A Matrix.
+@end table
+@strong{Outputs}
+@table @var
+@item y
+Values of the impulse response.
+@item t
+Times of the impulse response.
+@end table
+@seealso{step}
 @end deftypefn
-fractdiff
+lsim
 -*- texinfo -*-
-@deftypefn {Function File} {} fractdiff (@var{x}, @var{d})
-Compute the fractional differences @math{(1-L)^d x} where @math{L}
-denotes the lag-operator and @math{d} is greater than -1.
+@deftypefn {Function File} {[@var{y}, @var{x}] =} lsim (@var{sys}, @var{u}, @var{t}, @var{x0})
+Produce output for a linear simulation of a system; produces 
+a plot for the output of the system, @var{sys}.
+
+@var{u} is an array that contains the system's inputs.  Each row in @var{u}
+corresponds to a different time step.  Each column in @var{u} corresponds to a
+different input.  @var{t} is an array that contains the time index of the
+system; @var{t} should be regularly spaced.  If initial conditions are required
+on the system, the @var{x0} vector should be added to the argument list.
+
+When the lsim function is invoked a plot is not displayed; 
+however, the data is returned in @var{y} (system output)
+and @var{x} (system states).
 @end deftypefn
-freqz
+nyquist
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{h}, @var{w}] =} freqz (@var{b}, @var{a}, @var{n}, "whole")
-Return the complex frequency response @var{h} of the rational IIR filter
-whose numerator and denominator coefficients are @var{b} and @var{a},
-respectively.  The response is evaluated at @var{n} angular frequencies
-between 0 and
+@deftypefn {Function File} {[@var{realp}, @var{imagp}, @var{w}] =} nyquist (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx}, @var{atol})
+@deftypefnx {Function File} {} nyquist (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx}, @var{atol})
+Produce Nyquist plots of a system; if no output arguments are given, Nyquist
+plot is printed to the screen.
+
+Compute the frequency response of a system.
+
+@strong{Inputs} (pass as empty to get default values)
+@table @var
+@item sys
+system data structure (must be either purely continuous or discrete;
+see @code{is_digital})
+@item w
+frequency values for evaluation.
+If sys is continuous, then bode evaluates @math{G(@var{jw})}; 
+if sys is discrete, then bode evaluates @math{G(exp(@var{jwT}))},
+where @var{T} is the system sampling time.
+@item default
+the default frequency range is selected as follows: (These
+steps are @strong{not} performed if @var{w} is specified)
+@enumerate
+@item via routine @command{__bodquist__}, isolate all poles and zeros away from
+@var{w}=0 (@var{jw}=0 or @math{exp(@var{jwT})=1}) and select the frequency
+range based on the breakpoint locations of the frequencies.
+@item if @var{sys} is discrete time, the frequency range is limited
+to @var{jwT} in
 @ifinfo
- 2*pi.
+[0,2p*pi]
 @end ifinfo
 @iftex
 @tex
- $2\pi$.
+$ [ 0,2  p \pi ] $
 @end tex
 @end iftex
+@item A ``smoothing'' routine is used to ensure that the plot phase does
+not change excessively from point to point and that singular
+points (e.g., crossovers from +/- 180) are accurately shown.
+@end enumerate
+@item   atol
+for interactive nyquist plots: atol is a change-in-slope tolerance
+for the of asymptotes (default = 0; 1e-2 is a good choice).  This allows
+the user to ``zoom in'' on portions of the Nyquist plot too small to be
+seen with large asymptotes.
+@end table
+@strong{Outputs}
+@table @var
+@item    realp
+@itemx   imagp
+the real and imaginary parts of the frequency response
+@math{G(jw)} or @math{G(exp(jwT))} at the selected frequency values.
+@item w
+the vector of frequency values used
+@end table
 
-@noindent
-The output value @var{w} is a vector of the frequencies.
+If no output arguments are given, nyquist plots the results to the screen.
+If @var{atol} != 0 and asymptotes are detected then the user is asked
+interactively if they wish to zoom in (remove asymptotes)
+Descriptive labels are automatically placed.
 
-If the fourth argument is omitted, the response is evaluated at
-frequencies between 0 and
-@ifinfo
- pi.
-@end ifinfo
+Note: if the requested plot is for an @acronym{MIMO} system, a warning message is
+presented; the returned information is of the magnitude
 @iftex
 @tex
- $\pi$.
+$ \Vert G(jw) \Vert $ or $ \Vert G( {\rm exp}(jwT) \Vert $
 @end tex
 @end iftex
-
-If @var{n} is omitted, a value of 512 is assumed.
-
-If @var{a} is omitted, the denominator is assumed to be 1 (this
-corresponds to a simple FIR filter).
-
-For fastest computation, @var{n} should factor into a small number of
-small primes.
-
-@deftypefnx {Function File} {@var{h} =} freqz (@var{b}, @var{a}, @var{w})
-Evaluate the response at the specific frequencies in the vector @var{w}.
-The values for @var{w} are measured in radians.
-
-@deftypefnx {Function File} {[@dots{}] =} freqz (@dots{}, @var{Fs})
-Return frequencies in Hz instead of radians assuming a sampling rate
-@var{Fs}.  If you are evaluating the response at specific frequencies 
-@var{w}, those frequencies should be requested in Hz rather than radians.
-
-@deftypefnx {Function File} {} freqz (@dots{})
-Plot the pass band, stop band and phase response of @var{h} rather
-than returning them.
-@end deftypefn
-freqz_plot
--*- texinfo -*-
-@deftypefn {Function File} {} freqz_plot (@var{w}, @var{h})
-Plot the pass band, stop band and phase response of @var{h}.
+@ifinfo
+||G(jw)|| or ||G(exp(jwT))||
+@end ifinfo
+only; phase information is not computed.
 @end deftypefn
-hamming
+bode
 -*- texinfo -*-
-@deftypefn {Function File} {} hamming (@var{m})
-Return the filter coefficients of a Hamming window of length @var{m}.
+@deftypefn {Function File} {[@var{mag}, @var{phase}, @var{w}] =} bode (@var{sys}, @var{w}, @var{out_idx}, @var{in_idx})
+If no output arguments are given: produce Bode plots of a system; otherwise,
+compute the frequency response of a system data structure
 
-For a definition of the Hamming window, see e.g. A. V. Oppenheim &
-R. W. Schafer, "Discrete-Time Signal Processing".
-@end deftypefn
-hanning
--*- texinfo -*-
-@deftypefn {Function File} {} hanning (@var{m})
-Return the filter coefficients of a Hanning window of length @var{m}.
+@strong{Inputs}
+@table @var
+@item   sys
+a system data structure (must be either purely continuous or discrete;
+see is_digital)
+@item   w
+frequency values for evaluation.
 
-For a definition of this window type, see e.g. A. V. Oppenheim &
-R. W. Schafer, "Discrete-Time Signal Processing".
-@end deftypefn
-hurst
--*- texinfo -*-
-@deftypefn {Function File} {} hurst (@var{x})
-Estimate the Hurst parameter of sample @var{x} via the rescaled range
-statistic.  If @var{x} is a matrix, the parameter is estimated for
-every single column.
-@end deftypefn
-ifftshift
--*- texinfo -*-
-@deftypefn {Function File} {} ifftshift (@var{v})
-@deftypefnx {Function File} {} ifftshift (@var{v}, @var{dim})
-Undo the action of the @code{fftshift} function.  For even length 
-@var{v}, @code{fftshift} is its own inverse, but odd lengths differ 
-slightly.
-@end deftypefn
-periodogram
--*- texinfo -*-
-@deftypefn {Function File} {} periodogram (@var{x})
-For a data matrix @var{x} from a sample of size @var{n}, return the
-periodogram.
-@end deftypefn
-rectangle_lw
--*- texinfo -*-
-@deftypefn {Function File} {} rectangle_lw (@var{n}, @var{b})
-Rectangular lag window. Subfunction used for spectral density
-estimation.
-@end deftypefn
-rectangle_sw
--*- texinfo -*-
-@deftypefn {Function File} {} rectangle_sw (@var{n}, @var{b})
-Rectangular spectral window.  Subfunction used for spectral density
-estimation.
-@end deftypefn
-sinc
--*- texinfo -*-
-@deftypefn {Function File} {} sinc (@var{x})
-Return
+if @var{sys} is continuous, then bode evaluates @math{G(jw)} where
+@math{G(s)} is the system transfer function.
+
+if @var{sys} is discrete, then bode evaluates G(@code{exp}(jwT)), where
+@itemize @bullet
+@item @math{T} is the system sampling time
+@item @math{G(z)} is the system transfer function.
+@end itemize
+
+@strong{Default} the default frequency range is selected as follows: (These
+steps are @strong{not} performed if @var{w} is specified)
+@enumerate
+@item via routine __bodquist__, isolate all poles and zeros away from
+@var{w}=0 (@var{jw}=0 or @math{@code{exp}(jwT)}=1) and select the frequency
+range based on the breakpoint locations of the frequencies.
+@item if @var{sys} is discrete time, the frequency range is limited
+              to @math{jwT} in
+@ifinfo
+[0,2 pi /T]
+@end ifinfo
 @iftex
 @tex
-$ \sin (\pi x)/(\pi x)$.
+$[0,2\pi/T]$
 @end tex
 @end iftex
-@ifinfo
- sin(pi*x)/(pi*x).
-@end ifinfo
-@end deftypefn
-sinetone
--*- texinfo -*-
-@deftypefn {Function File} {} sinetone (@var{freq}, @var{rate}, @var{sec}, @var{ampl})
-Return a sinetone of frequency @var{freq} with length of @var{sec}
-seconds at sampling rate @var{rate} and with amplitude @var{ampl}.
-The arguments @var{freq} and @var{ampl} may be vectors of common size.
+@item A "smoothing" routine is used to ensure that the plot phase does
+not change excessively from point to point and that singular
+points (e.g., crossovers from +/- 180) are accurately shown.
 
-Defaults are @var{rate} = 8000, @var{sec} = 1 and @var{ampl} = 64.
-@end deftypefn
-sinewave
--*- texinfo -*-
-@deftypefn {Function File} {} sinewave (@var{m}, @var{n}, @var{d})
-Return an @var{m}-element vector with @var{i}-th element given by
-@code{sin (2 * pi * (@var{i}+@var{d}-1) / @var{n})}.
+@end enumerate
+@item out_idx
+@itemx in_idx
 
-The default value for @var{d} is 0 and the default value for @var{n}
-is @var{m}.
-@end deftypefn
-spectral_adf
--*- texinfo -*-
-@deftypefn {Function File} {} spectral_adf (@var{c}, @var{win}, @var{b})
-Return the spectral density estimator given a vector of
-autocovariances @var{c}, window name @var{win}, and bandwidth,
-@var{b}.
+The names or indices of outputs and inputs to be used in the frequency
+response.  See @code{sysprune}.
 
-The window name, e.g., @code{"triangle"} or @code{"rectangle"} is
-used to search for a function called @code{@var{win}_sw}.
+@strong{Example}
+@example
+bode(sys,[],"y_3", @{"u_1","u_4"@});
+@end example
+@end table
+@strong{Outputs}
+@table @var
+@item mag
+@itemx phase
+the magnitude and phase of the frequency response @math{G(jw)} or
+@math{G(@code{exp}(jwT))} at the selected frequency values.
+@item w
+the vector of frequency values used
+@end table
 
-If @var{win} is omitted, the triangle window is used.  If @var{b} is
-omitted, @code{1 / sqrt (length (@var{x}))} is used.
-@end deftypefn
-spectral_xdf
--*- texinfo -*-
-@deftypefn {Function File} {} spectral_xdf (@var{x}, @var{win}, @var{b})
-Return the spectral density estimator given a data vector @var{x},
-window name @var{win}, and bandwidth, @var{b}.
+@enumerate
+@item If no output arguments are given, e.g.,
+@example
+bode(sys);
+@end example
+bode plots the results to the screen.  Descriptive labels are
+automatically placed.
 
-The window name, e.g., @code{"triangle"} or @code{"rectangle"} is
-used to search for a function called @code{@var{win}_sw}.
+Failure to include a concluding semicolon will yield some garbage
+being printed to the screen (@code{ans = []}).
 
-If @var{win} is omitted, the triangle window is used.  If @var{b} is
-omitted, @code{1 / sqrt (length (@var{x}))} is used.
-@end deftypefn
-spencer
--*- texinfo -*-
-@deftypefn {Function File} {} spencer (@var{x})
-Return Spencer's 15 point moving average of every single column of
-@var{x}.
+@item If the requested plot is for an @acronym{MIMO} system, mag is set to
+@math{||G(jw)||} or @math{||G(@code{exp}(jwT))||}
+and phase information is not computed.
+@end enumerate
 @end deftypefn
-stft
+dkalman
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{y}, @var{c}] =} stft (@var{x}, @var{win_size}, @var{inc}, @var{num_coef}, @var{w_type})
-Compute the short-term Fourier transform of the vector @var{x} with
-@var{num_coef} coefficients by applying a window of @var{win_size} data
-points and an increment of @var{inc} points.
+@deftypefn {Function File} {[@var{Lp}, @var{Lf}, @var{P}, @var{Z}] =} dkalman (@var{A}, @var{G}, @var{C}, @var{Qw}, @var{Rv}, @var{S})
+Construct the linear quadratic estimator (Kalman predictor) for the
+discrete time system
+@iftex
+@tex
+$$
+ x_{k+1} = A x_k + B u_k + G w_k
+$$
+$$
+ y_k = C x_k + D u_k + v_k
+$$
+@end tex
+@end iftex
+@ifinfo
 
-Before computing the Fourier transform, one of the following windows
-is applied:
+@example
+x[k+1] = A x[k] + B u[k] + G w[k]
+  y[k] = C x[k] + D u[k] + v[k]
+@end example
 
-@table @asis
-@item hanning
-w_type = 1
-@item hamming
-w_type = 2
-@item rectangle
-w_type = 3
-@end table
+@end ifinfo
+where @var{w}, @var{v} are zero-mean gaussian noise processes with
+respective intensities @code{@var{Qw} = cov (@var{w}, @var{w})} and
+@code{@var{Rv} = cov (@var{v}, @var{v})}.
 
-The window names can be passed as strings or by the @var{w_type} number.
+If specified, @var{S} is @code{cov (@var{w}, @var{v})}.  Otherwise
+@code{cov (@var{w}, @var{v}) = 0}.
 
-If not all arguments are specified, the following defaults are used:
-@var{win_size} = 80, @var{inc} = 24, @var{num_coef} = 64, and
-@var{w_type} = 1.
+The observer structure is
+@iftex
+@tex
+$x_{k+1|k} = A x_{k|k-1} + B u_k + L_p (y_k - C x_{k|k-1} - D u_k)$
+$x_{k|k} = x_{k|k} + L_f (y_k - C x_{k|k-1} - D u_k)$
+@end tex
+@end iftex
+@ifinfo
 
-@code{@var{y} = stft (@var{x}, @dots{})} returns the absolute values
-of the Fourier coefficients according to the @var{num_coef} positive
-frequencies.
+@example
+x[k+1|k] = A x[k|k-1] + B u[k] + LP (y[k] - C x[k|k-1] - D u[k])
+x[k|k] = x[k|k-1] + LF (y[k] - C x[k|k-1] - D u[k])
+@end example
+@end ifinfo
 
-@code{[@var{y}, @var{c}] = stft (@code{x}, @dots{})} returns the
-entire STFT-matrix @var{y} and a 3-element vector @var{c} containing
-the window size, increment, and window type, which is needed by the
-synthesis function.
-@end deftypefn
-synthesis
--*- texinfo -*-
-@deftypefn {Function File} {} synthesis (@var{y}, @var{c})
-Compute a signal from its short-time Fourier transform @var{y} and a
-3-element vector @var{c} specifying window size, increment, and
-window type.
+@noindent
+The following values are returned:
 
-The values @var{y} and @var{c} can be derived by
+@table @var
+@item Lp
+The predictor gain,
+@iftex
+@tex
+$(A - L_p C)$.
+@end tex
+@end iftex
+@ifinfo
+(@var{A} - @var{Lp} @var{C})
+@end ifinfo
+is stable.
 
-@example
-[@var{y}, @var{c}] = stft (@var{x} , @dots{})
-@end example
-@end deftypefn
-triangle_lw
--*- texinfo -*-
-@deftypefn {Function File} {} triangle_lw (@var{n}, @var{b})
-Triangular lag window. Subfunction used for spectral density
-estimation.
-@end deftypefn
-triangle_sw
--*- texinfo -*-
-@deftypefn {Function File} {} triangle_sw (@var{n}, @var{b})
-Triangular spectral window.  Subfunction used for spectral density
-estimation.
-@end deftypefn
-unwrap
--*- texinfo -*-
-@deftypefn {Function File} {@var{b} =} unwrap (@var{a}, @var{tol}, @var{dim})
+@item Lf
+The filter gain.
 
-Unwrap radian phases by adding multiples of 2*pi as appropriate to
-remove jumps greater than @var{tol}.  @var{tol} defaults to pi.
+@item P
+The Riccati solution. 
+@iftex
+@tex
+$P = E \{(x - x_{n|n-1})(x - x_{n|n-1})'\}$
+@end tex
+@end iftex
 
-Unwrap will unwrap along the first non-singleton dimension of
-@var{a}, unless the optional argument @var{dim} is given, in 
-which case the data will be unwrapped along this dimension
-@end deftypefn
-yulewalker
--*- texinfo -*-
-@deftypefn {Function File} {[@var{a}, @var{v}] =} yulewalker (@var{c})
-Fit an AR (p)-model with Yule-Walker estimates given a vector @var{c}
-of autocovariances @code{[gamma_0, ..., gamma_p]}.
+@ifinfo
+P = E [(x - x[n|n-1])(x - x[n|n-1])']
+@end ifinfo
 
-Returns the AR coefficients, @var{a}, and the variance of white
-noise, @var{v}.
-@end deftypefn
-colperm
--*- texinfo -*-
-@deftypefn {Function File} {@var{p} =} colperm (@var{s})
-Returns the column permutations such that the columns of
-@code{@var{s} (:, @var{p})} are ordered in terms of increase number
-of non-zero elements. If @var{s} is symmetric, then @var{p} is chosen
-such that @code{@var{s} (@var{p}, @var{p})} orders the rows and
-columns with increasing number of non zeros elements.
-@end deftypefn
-etreeplot
--*- texinfo -*-
-@deftypefn {Function File} {} etreeplot (@var{tree})
-@deftypefnx {Function File} {} etreeplot (@var{tree}, @var{node_style}, @var{edge_style})
-Plot the elimination tree of the matrix @var{s} or
-@code{@var{s}+@var{s}'}  if @var{s} in non-symmetric.  The optional
-parameters @var{line_style} and @var{edge_style} define the output
-style.
-@seealso{treeplot, gplot}
-@end deftypefn
-gplot
--*- texinfo -*-
-@deftypefn {Function File} {} gplot (@var{a}, @var{xy})
-@deftypefnx {Function File} {} gplot (@var{a}, @var{xy}, @var{line_style})
-@deftypefnx {Function File} {[@var{x}, @var{y}] =} gplot (@var{a}, @var{xy})
-Plot a graph defined by @var{A} and @var{xy} in the graph theory
-sense.  @var{A} is the adjacency matrix of the array to be plotted
-and @var{xy} is an @var{n}-by-2 matrix containing the coordinates of
-the nodes of the graph.
+@item Z
+The updated error covariance matrix.
+@iftex
+@tex
+$Z = E \{(x - x_{n|n})(x - x_{n|n})'\}$
+@end tex
+@end iftex
 
-The optional parameter @var{line_style} defines the output style for
-the plot.  Called with no output arguments the graph is plotted
-directly.  Otherwise, return the coordinates of the plot in @var{x}
-and @var{y}.
-@seealso{treeplot, etreeplot, spy}
+@ifinfo
+Z = E [(x - x[n|n])(x - x[n|n])']
+@end ifinfo
+@end table
 @end deftypefn
-nonzeros
+is_detectable
 -*- texinfo -*-
-@deftypefn {Function File} {} nonzeros (@var{s})
-Returns a vector of the non-zero values of the sparse matrix @var{s}.
+@deftypefn {Function File} {@var{retval} =} is_detectable (@var{a}, @var{c}, @var{tol}, @var{dflg})
+@deftypefnx {Function File} {@var{retval} =} is_detectable (@var{sys}, @var{tol})
+Test for detectability (observability of unstable modes) of (@var{a}, @var{c}).
+
+Returns 1 if the system @var{a} or the pair (@var{a}, @var{c}) is
+detectable, 0 if not, and -1 if the system has unobservable modes at the
+imaginary axis (unit circle for discrete-time systems).
+
+@strong{See} @command{is_stabilizable} for detailed description of
+arguments and computational method.
+@seealso{is_stabilizable, size, rows, columns, length, ismatrix,
+isscalar, isvector}
 @end deftypefn
-normest
+tf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{n}, @var{c}] =} normest (@var{a}, @var{tol})
-Estimate the 2-norm of the matrix @var{a} using a power series
-analysis. This is typically used for large matrices, where the cost
-of calculating the @code{norm (@var{a})} is prohibitive and an approximation
-to the 2-norm is acceptable.
+@deftypefn {Function File} {} tf (@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname})
+build system data structure from transfer function format data
 
-@var{tol} is the tolerance to which the 2-norm is calculated. By default
-@var{tol} is 1e-6. @var{c} returns the number of iterations needed for
-@code{normest} to converge.
+@strong{Inputs}
+@table @var
+@item  num
+@itemx den
+coefficients of numerator/denominator polynomials
+@item tsam
+sampling interval. default: 0 (continuous time)
+@item inname
+@itemx outname
+input/output signal names; may be a string or cell array with a single string
+entry.
+@end table
+
+@strong{Outputs}
+@var{sys} = system data structure
+
+@strong{Example}
+@example
+octave:1> sys=tf([2 1],[1 2 1],0.1);
+octave:2> sysout(sys)
+Input(s)
+        1: u_1
+Output(s):
+        1: y_1 (discrete)
+Sampling interval: 0.1
+transfer function form:
+2*z^1 + 1
+-----------------
+1*z^2 + 2*z^1 + 1
+@end example
 @end deftypefn
-pcg
+syschtsam
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} pcg (@var{a}, @var{b}, @var{tol}, @var{maxit}, @var{m1}, @var{m2}, @var{x0}, @dots{})
-@deftypefnx {Function File} {[@var{x}, @var{flag}, @var{relres}, @var{iter}, @var{resvec}, @var{eigest}] =} pcg (@dots{})
+@deftypefn {Function File} {} syschtsam (@var{sys}, @var{tsam})
+This function changes the sampling time (tsam) of the system.  Exits with
+an error if sys is purely continuous time.
+@end deftypefn
+fir2sys
+-*- texinfo -*-
+@deftypefn {Function File} {} fir2sys (@var{num}, @var{tsam}, @var{inname}, @var{outname})
+construct a system data structure from @acronym{FIR} description
 
-Solves the linear system of equations @code{@var{a} * @var{x} =
-@var{b}} by means of the  Preconditioned Conjugate Gradient iterative
-method. The input arguments are
+@strong{Inputs}
+@table @var
+@item num
+vector of coefficients 
+@ifinfo
+[c0, c1, @dots{}, cn]
+@end ifinfo
+@iftex
+@tex
+$ [c_0, c_1, \ldots, c_n ]$
+@end tex
+@end iftex
+of the @acronym{SISO} @acronym{FIR} transfer function
+@ifinfo
+C(z) = c0 + c1*z^(-1) + c2*z^(-2) + @dots{} + cn*z^(-n)
+@end ifinfo
+@iftex
+@tex
+$$ C(z) = c_0 + c_1z^{-1} + c_2z^{-2} + \ldots + c_nz^{-n} $$
+@end tex
+@end iftex
 
-@itemize
-@item
-@var{a} can be either a square (preferably sparse) matrix or a
-function handle, inline function or string containing the name
-of a function which computes @code{@var{a} * @var{x}}. In principle
-@var{a} should be symmetric and positive definite; if @code{pcg}
-finds @var{a} to not be positive definite, you will get a warning
-message and the @var{flag} output parameter will be set.
+@item tsam
+sampling time (default: 1)
 
-@item
-@var{b} is the right hand side vector.
+@item inname
+name of input signal;  may be a string or a list with a single entry.
 
-@item
-@var{tol} is the required relative tolerance for the residual error,
-@code{@var{b} - @var{a} * @var{x}}. The iteration stops if @code{norm
-(@var{b} - @var{a} * @var{x}) <= @var{tol} * norm (@var{b} - @var{a} *
-@var{x0})}. If @var{tol} is empty or is omitted, the function sets
-@code{@var{tol} = 1e-6} by default.
+@item outname
+name of output signal; may be a string or a list with a single entry.
+@end table
 
-@item
-@var{maxit} is the maximum allowable number of iterations; if
-@code{[]} is supplied for @code{maxit}, or @code{pcg} has less
-arguments, a default value equal to 20 is used.
+@strong{Output}
+@table @var
+@item sys
+system data structure
+@end table
 
-@item
-@var{m} = @var{m1} * @var{m2} is the (left) preconditioning matrix, so that the iteration is
-(theoretically) equivalent to solving by @code{pcg} @code{@var{P} *
-@var{x} = @var{m} \ @var{b}}, with @code{@var{P} = @var{m} \ @var{a}}.
-Note that a proper choice of the preconditioner may dramatically
-improve the overall performance of the method. Instead of matrices
-@var{m1} and @var{m2}, the user may pass two functions which return 
-the results of applying the inverse of @var{m1} and @var{m2} to 
-a vector (usually this is the preferred way of using the preconditioner). 
-If @code{[]} is supplied for @var{m1}, or @var{m1} is omitted, no 
-preconditioning is applied. If @var{m2} is omitted, @var{m} = @var{m1}
-will be used as preconditioner.
+@strong{Example}
+@example
+octave:1> sys = fir2sys([1 -1 2 4],0.342,\
+> "A/D input","filter output");
+octave:2> sysout(sys)
+Input(s)
+        1: A/D input
 
-@item
-@var{x0} is the initial guess. If @var{x0} is empty or omitted, the 
-function sets @var{x0} to a zero vector by default.
-@end itemize
+Output(s):
+        1: filter output (discrete)
 
-The arguments which follow @var{x0} are treated as parameters, and
-passed in a proper way to any of the functions (@var{a} or @var{m})
-which are passed to @code{pcg}. See the examples below for further
-details. The output arguments are
+Sampling interval: 0.342
+transfer function form:
+1*z^3 - 1*z^2 + 2*z^1 + 4
+-------------------------
+1*z^3 + 0*z^2 + 0*z^1 + 0
+@end example
+@end deftypefn
+buildssic
+-*- texinfo -*-
+@deftypefn {Function File} {} buildssic (@var{clst}, @var{ulst}, @var{olst}, @var{ilst}, @var{s1}, @var{s2}, @var{s3}, @var{s4}, @var{s5}, @var{s6}, @var{s7}, @var{s8})
 
-@itemize
-@item
-@var{x} is the computed approximation to the solution of
-@code{@var{a} * @var{x} = @var{b}}.
+Form an arbitrary complex (open or closed loop) system in
+state-space form from several systems. @command{buildssic} can
+easily (despite its cryptic syntax) integrate transfer functions
+from a complex block diagram into a single system with one call.
+This function is especially useful for building open loop
+interconnections for 
+@iftex
+@tex
+$ { \cal H }_\infty $ and $ { \cal H }_2 $
+@end tex
+@end iftex
+@ifinfo
+H-infinity and H-2
+@end ifinfo
+designs or for closing loops with these controllers.
 
-@item
-@var{flag} reports on the convergence. @code{@var{flag} = 0} means
-the solution converged and the tolerance criterion given by @var{tol}
-is satisfied. @code{@var{flag} = 1} means that the @var{maxit} limit
-for the iteration count was reached. @code{@var{flag} = 3} reports that
-the (preconditioned) matrix was found not positive definite.
+Although this function is general purpose, the use of @command{sysgroup}
+@command{sysmult}, @command{sysconnect} and the like is recommended for
+standard operations since they can handle mixed discrete and continuous
+systems and also the names of inputs, outputs, and states.
 
-@item
-@var{relres} is the ratio of the final residual to its initial value,
-measured in the Euclidean norm.
+The parameters consist of 4 lists that describe the connections
+outputs and inputs and up to 8 systems @var{s1}--@var{s8}.
+Format of the lists:
+@table @var
+@item      clst
+connection list, describes the input signal of
+each system. The maximum number of rows of Clst is
+equal to the sum of all inputs of s1-s8.
 
-@item
-@var{iter} is the actual number of iterations performed.
+Example:
+@code{[1 2 -1; 2 1 0]} means that:  new input 1 is old input 1
++ output 2 - output 1, and new input 2 is old input 2
++ output 1. The order of rows is arbitrary.
 
-@item 
-@var{resvec} describes the convergence history of the method.
-@code{@var{resvec} (i,1)} is the Euclidean norm of the residual, and
-@code{@var{resvec} (i,2)} is the preconditioned residual norm,
-after the (@var{i}-1)-th iteration, @code{@var{i} =
-1, 2, @dots{}, @var{iter}+1}. The preconditioned residual norm
-is defined as
-@code{norm (@var{r}) ^ 2 = @var{r}' * (@var{m} \ @var{r})} where
-@code{@var{r} = @var{b} - @var{a} * @var{x}}, see also the
-description of @var{m}. If @var{eigest} is not required, only
-@code{@var{resvec} (:,1)} is returned.
+@item ulst
+if not empty the old inputs in vector @var{ulst} will
+be appended to the outputs. You need this if you
+want to ``pull out'' the input of a system. Elements
+are input numbers of @var{s1}--@var{s8}.
 
-@item
-@var{eigest} returns the estimate for the smallest @code{@var{eigest}
-(1)} and largest @code{@var{eigest} (2)} eigenvalues of the
-preconditioned matrix @code{@var{P} = @var{m} \ @var{a}}. In 
-particular, if no preconditioning is used, the estimates for the
-extreme eigenvalues of @var{a} are returned. @code{@var{eigest} (1)}
-is an overestimate and @code{@var{eigest} (2)} is an underestimate, 
-so that @code{@var{eigest} (2) / @var{eigest} (1)} is a lower bound
-for @code{cond (@var{P}, 2)}, which nevertheless in the limit should
-theoretically be equal to the actual value of the condition number. 
-The method which computes @var{eigest} works only for symmetric positive
-definite @var{a} and @var{m}, and the user is responsible for
-verifying this assumption. 
-@end itemize
+@item olst
+output list, specifies the outputs of the resulting
+systems. Elements are output numbers of @var{s1}--@var{s8}.
+The numbers are allowed to be negative and may
+appear in any order. An empty matrix means
+all outputs.
 
-Let us consider a trivial problem with a diagonal matrix (we exploit the
-sparsity of A) 
+@item ilst
+input list, specifies the inputs of the resulting
+systems. Elements are input numbers of @var{s1}--@var{s8}.
+The numbers are allowed to be negative and may
+appear in any order. An empty matrix means
+all inputs.
+@end table
 
+Example:  Very simple closed loop system.
 @example
 @group
-	N = 10; 
-	A = spdiag ([1:N]);
-	b = rand (N, 1);
-     [L, U, P, Q] = luinc (A,1.e-3);
+w        e  +-----+   u  +-----+
+ --->o--*-->|  K  |--*-->|  G  |--*---> y
+     ^  |   +-----+  |   +-----+  |
+   - |  |            |            |
+     |  |            +----------------> u
+     |  |                         |
+     |  +-------------------------|---> e
+     |                            |
+     +----------------------------+
 @end group
 @end example
 
-@sc{Example 1:} Simplest use of @code{pcg}
-
+The closed loop system @var{GW} can be obtained by
 @example
-  x = pcg(A,b)
+GW = buildssic([1 2; 2 -1], 2, [1 2 3], 2, G, K);
 @end example
+@table @var
+@item clst
+1st row: connect input 1 (@var{G}) with output 2 (@var{K}).
 
-@sc{Example 2:} @code{pcg} with a function which computes
-@code{@var{a} * @var{x}}
+2nd row: connect input 2 (@var{K}) with negative output 1 (@var{G}).
+@item ulst
+Append input of 2 (@var{K}) to the number of outputs.
+@item olst
+Outputs are output of 1 (@var{G}), 2 (@var{K}) and 
+appended output 3 (from @var{ulst}).
+@item ilst
+The only input is 2 (@var{K}).
+@end table
 
+Here is a real example:
 @example
 @group
-  function y = applyA (x)
-    y = [1:N]'.*x; 
-  endfunction
-
-  x = pcg ("applyA", b)
+                         +----+
+    -------------------->| W1 |---> v1
+z   |                    +----+
+----|-------------+
+    |             |
+    |    +---+    v      +----+
+    *--->| G |--->O--*-->| W2 |---> v2
+    |    +---+       |   +----+
+    |                |
+    |                v
+   u                  y
 @end group
 @end example
-
-@sc{Example 3:} @code{pcg} with a preconditioner: @var{l} * @var{u}
-
+@iftex
+@tex
+$$ { \rm min } \Vert GW_{vz} \Vert _\infty $$  
+@end tex
+@end iftex
+@ifinfo
 @example
-x=pcg(A,b,1.e-6,500,L*U);
+min || GW   ||
+         vz   infty
 @end example
+@end ifinfo
 
-@sc{Example 4:} @code{pcg} with a preconditioner: @var{l} * @var{u}.
-Faster than @sc{Example 3} since lower and upper triangular matrices 
-are easier to invert
-
+The closed loop system @var{GW} 
+@iftex
+@tex
+from $ [z, u]^T $ to $ [v_1, v_2, y]^T $
+@end tex
+@end iftex
+@ifinfo
+from [z, u]' to [v1, v2, y]' 
+@end ifinfo
+can be obtained by (all @acronym{SISO} systems):
 @example
-x=pcg(A,b,1.e-6,500,L,U);
+GW = buildssic([1, 4; 2, 4; 3, 1], 3, [2, 3, 5],
+               [3, 4], G, W1, W2, One);
 @end example
+where ``One'' is a unity gain (auxiliary) function with order 0.
+(e.g. @code{One = ugain(1);})
+@end deftypefn
+is_siso
+-*- texinfo -*-
+@deftypefn {Function File} {} is_siso (@var{sys})
+Returns nonzero if the system data structure
+@var{sys} is single-input, single-output.
+@end deftypefn
+sysdimensions
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{n}, @var{nz}, @var{m}, @var{p}, @var{yd}] =} sysdimensions (@var{sys}, @var{opt})
+return the number of states, inputs, and/or outputs in the system
+@var{sys}.
 
-@sc{Example 5:} Preconditioned iteration, with full diagnostics. The
-preconditioner (quite strange, because even the original matrix
-@var{a} is trivial) is defined as a function
+@strong{Inputs}
+@table @var
+@item sys
+system data structure
 
-@example
-@group
-  function y = applyM(x)
-    K = floor (length (x) - 2);
-    y = x;
-    y(1:K) = x(1:K)./[1:K]';
-  endfunction
+@item opt
+String indicating which dimensions are desired.  Values:
+@table @code
+@item "all"
+(default) return all parameters as specified under Outputs below.
 
-  [x, flag, relres, iter, resvec, eigest] = ...
-                     pcg (A, b, [], [], "applyM");
-  semilogy (1:iter+1, resvec);
-@end group
-@end example
+@item "cst"
+return @var{n}= number of continuous states
 
-@sc{Example 6:} Finally, a preconditioner which depends on a
-parameter @var{k}.
+@item "dst"
+return @var{n}= number of discrete states
 
-@example
-@group
-  function y = applyM (x, varargin)
-  K = varargin@{1@}; 
-  y = x;
-  y(1:K) = x(1:K)./[1:K]';
-  endfunction
+@item "in"
+return @var{n}= number of inputs
 
-  [x, flag, relres, iter, resvec, eigest] = ...
-       pcg (A, b, [], [], "applyM", [], [], 3)
-@end group
+@item "out"
+return @var{n}= number of outputs
+@end table
+@end table
+
+@strong{Outputs}
+@table @var
+@item  n
+ number of continuous states (or individual requested dimension as specified
+by @var{opt}).
+@item  nz
+ number of discrete states
+@item  m
+ number of system inputs
+@item  p
+ number of system outputs
+@item  yd
+ binary vector; @var{yd}(@var{ii}) is nonzero if output @var{ii} is
+discrete.
+@math{yd(ii) = 0} if output @var{ii} is continuous
+@end table
+@seealso{sysgetsignals, sysgettsam}
+@end deftypefn
+zp
+-*- texinfo -*-
+@deftypefn {Function File} {} zp (@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname})
+Create system data structure from zero-pole data.
+
+@strong{Inputs}
+@table @var
+@item   zer
+vector of system zeros
+@item   pol
+vector of system poles
+@item   k
+scalar leading coefficient
+@item   tsam
+sampling period. default: 0 (continuous system)
+@item   inname
+@itemx  outname
+input/output signal names (lists of strings)
+@end table
+
+@strong{Outputs}
+sys: system data structure
+
+@strong{Example}
+@example
+octave:1> sys=zp([1 -1],[-2 -2 0],1);
+octave:2> sysout(sys)
+Input(s)
+        1: u_1
+Output(s):
+        1: y_1
+zero-pole form:
+1 (s - 1) (s + 1)
+-----------------
+s (s + 2) (s + 2)
+@end example
+@end deftypefn
+tf2ss
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} tf2ss (@var{num}, @var{den})
+Conversion from transfer function to state-space.
+The state space system:
+@iftex
+@tex
+$$ \dot x = Ax + Bu $$
+$$ y = Cx + Du $$
+@end tex
+@end iftex
+@ifinfo
+@example
+      .
+      x = Ax + Bu
+      y = Cx + Du
+@end example
+@end ifinfo
+is obtained from a transfer function:
+@iftex
+@tex
+$$ G(s) = { { \rm num }(s) \over { \rm den }(s) } $$
+@end tex
+@end iftex
+@ifinfo
+@example
+                num(s)
+          G(s)=-------
+                den(s)
 @end example
+@end ifinfo
 
-@sc{References}
+The vector @var{den} must contain only one row, whereas the vector 
+@var{num} may contain as many rows as there are outputs @var{y} of 
+the system. The state space system matrices obtained from this function 
+will be in controllable canonical form as described in @cite{Modern Control 
+Theory}, (Brogan, 1991).
+@end deftypefn
+ss
+-*- texinfo -*-
+@deftypefn {Function File} {@var{outsys} =} ss (@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{outlist})
+Create system structure from state-space data.   May be continuous,
+discrete, or mixed (sampled data)
 
-	[1] C.T.Kelley, 'Iterative methods for linear and nonlinear equations',
-	SIAM, 1995 (the base PCG algorithm) 
-	
-	[2] Y.Saad, 'Iterative methods for sparse linear systems', PWS 1996
-	(condition number estimate from PCG) Revised version of this book is
-	available online at http://www-users.cs.umn.edu/~saad/books.html
+@strong{Inputs}
+@table @var
+@item a
+@itemx b
+@itemx c
+@itemx d
+usual state space matrices.
 
+default: @var{d} = zero matrix
 
-@seealso{sparse, pcr}
-@end deftypefn
-pcr
--*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} pcr (@var{a}, @var{b}, @var{tol}, @var{maxit}, @var{m}, @var{x0}, @dots{})
-@deftypefnx {Function File} {[@var{x}, @var{flag}, @var{relres}, @var{iter}, @var{resvec}] =} pcr (@dots{})
+@item   tsam
+sampling rate.  Default: @math{tsam = 0} (continuous system)
 
-Solves the linear system of equations @code{@var{a} * @var{x} =
-@var{b}} by means of the  Preconditioned Conjugate Residuals iterative
-method. The input arguments are
+@item n
+@itemx nz
+number of continuous, discrete states in the system
 
-@itemize
-@item
-@var{a} can be either a square (preferably sparse) matrix or a
-function handle, inline function or string containing the name
-of a function which computes @code{@var{a} * @var{x}}. In principle
-@var{a} should be symmetric and non-singular; if @code{pcr}
-finds @var{a} to be numerically singular, you will get a warning
-message and the @var{flag} output parameter will be set.
+If @var{tsam} is 0, @math{n = @code{rows}(@var{a})}, @math{nz = 0}.
 
-@item
-@var{b} is the right hand side vector.
+If @var{tsam} is greater than zero, @math{n = 0},
+@math{nz = @code{rows}(@var{a})}
 
-@item
-@var{tol} is the required relative tolerance for the residual error,
-@code{@var{b} - @var{a} * @var{x}}. The iteration stops if @code{norm
-(@var{b} - @var{a} * @var{x}) <= @var{tol} * norm (@var{b} - @var{a} *
-@var{x0})}. If @var{tol} is empty or is omitted, the function sets
-@code{@var{tol} = 1e-6} by default.
+see below for system partitioning
 
-@item
-@var{maxit} is the maximum allowable number of iterations; if
-@code{[]} is supplied for @code{maxit}, or @code{pcr} has less
-arguments, a default value equal to 20 is used.
+@item  stname
+cell array of strings of state signal names
 
-@item
-@var{m} is the (left) preconditioning matrix, so that the iteration is
-(theoretically) equivalent to solving by @code{pcr} @code{@var{P} *
-@var{x} = @var{m} \ @var{b}}, with @code{@var{P} = @var{m} \ @var{a}}.
-Note that a proper choice of the preconditioner may dramatically
-improve the overall performance of the method. Instead of matrix
-@var{m}, the user may pass a function which returns the results of 
-applying the inverse of @var{m} to a vector (usually this is the
-preferred way of using the preconditioner). If @code{[]} is supplied
-for @var{m}, or @var{m} is omitted, no preconditioning is applied.
+default (@var{stname}=[] on input): @code{x_n} for continuous states,
+@code{xd_n} for discrete states
 
-@item
-@var{x0} is the initial guess. If @var{x0} is empty or omitted, the 
-function sets @var{x0} to a zero vector by default.
-@end itemize
+@item inname
+cell array of strings of input signal names
 
-The arguments which follow @var{x0} are treated as parameters, and
-passed in a proper way to any of the functions (@var{a} or @var{m})
-which are passed to @code{pcr}. See the examples below for further
-details. The output arguments are
+default (@var{inname} = [] on input): @code{u_n}
 
-@itemize
-@item
-@var{x} is the computed approximation to the solution of
-@code{@var{a} * @var{x} = @var{b}}.
+@item outname
+cell array of strings of output signal names
 
-@item
-@var{flag} reports on the convergence. @code{@var{flag} = 0} means
-the solution converged and the tolerance criterion given by @var{tol}
-is satisfied. @code{@var{flag} = 1} means that the @var{maxit} limit
-for the iteration count was reached. @code{@var{flag} = 3} reports t
-@code{pcr} breakdown, see [1] for details.
+default (@var{outname} = [] on input): @code{y_n}
 
-@item
-@var{relres} is the ratio of the final residual to its initial value,
-measured in the Euclidean norm.
+@item   outlist
 
-@item
-@var{iter} is the actual number of iterations performed.
+list of indices of outputs y that are sampled
 
-@item 
-@var{resvec} describes the convergence history of the method,
-so that @code{@var{resvec} (i)} contains the Euclidean norms of the 
-residual after the (@var{i}-1)-th iteration, @code{@var{i} =
-1,2, @dots{}, @var{iter}+1}.
-@end itemize
+If @var{tsam} is 0, @math{outlist = []}.
 
-Let us consider a trivial problem with a diagonal matrix (we exploit the
-sparsity of A) 
+If @var{tsam} is greater than 0, @math{outlist = 1:@code{rows}(@var{c})}.
+@end table
 
-@example
-@group
-	N = 10; 
-	A = diag([1:N]); A = sparse(A);  
-	b = rand(N,1);
-@end group
-@end example
+Unlike states, discrete/continuous outputs may appear in any order.
 
-@sc{Example 1:} Simplest use of @code{pcr}
+@code{sys2ss} returns a vector @var{yd} where
+@var{yd}(@var{outlist}) = 1; all other entries of @var{yd} are 0.
 
-@example
-  x = pcr(A, b)
-@end example
+@strong{Output}
+@table @var
+@item outsys
+system data structure
+@end table
 
-@sc{Example 2:} @code{pcr} with a function which computes
-@code{@var{a} * @var{x}}.
+@strong{System partitioning}
 
+Suppose for simplicity that outlist specified
+that the first several outputs were continuous and the remaining outputs
+were discrete.  Then the system is partitioned as
 @example
 @group
-  function y = applyA(x) 
-    y = [1:10]'.*x; 
-  endfunction
+x = [ xc ]  (n x 1)
+    [ xd ]  (nz x 1 discrete states)
+a = [ acc acd ]  b = [ bc ]
+    [ adc add ]      [ bd ]
+c = [ ccc ccd ]  d = [ dc ]
+    [ cdc cdd ]      [ dd ]
 
-  x = pcr('applyA',b)
+    (cdc = c(outlist,1:n), etc.)
 @end group
 @end example
+with dynamic equations:
+@ifinfo
+@math{d/dt xc(t)     = acc*xc(t)      + acd*xd(k*tsam) + bc*u(t)}
 
-@sc{Example 3:}  Preconditioned iteration, with full diagnostics. The
-preconditioner (quite strange, because even the original matrix
-@var{a} is trivial) is defined as a function
-
-@example
-@group
-  function y = applyM(x)		
-    K = floor(length(x)-2); 
-    y = x; 
-    y(1:K) = x(1:K)./[1:K]';	
-  endfunction
+@math{xd((k+1)*tsam) = adc*xc(k*tsam) + add*xd(k*tsam) + bd*u(k*tsam)}
 
-  [x, flag, relres, iter, resvec] = ...
-                     pcr(A, b, [], [], 'applyM')
-  semilogy([1:iter+1], resvec);
-@end group
-@end example
+@math{yc(t)      = ccc*xc(t)      + ccd*xd(k*tsam) + dc*u(t)}
 
-@sc{Example 4:} Finally, a preconditioner which depends on a
-parameter @var{k}.
+@math{yd(k*tsam) = cdc*xc(k*tsam) + cdd*xd(k*tsam) + dd*u(k*tsam)}
+@end ifinfo
+@iftex
+@tex
+$$\eqalign{
+{d \over dt} x_c(t)
+  & =   a_{cc} x_c(t)      + a_{cd} x_d(k*t_{sam}) + bc*u(t) \cr
+x_d((k+1)*t_{sam})
+  & =   a_{dc} x_c(k t_{sam}) + a_{dd} x_d(k t_{sam}) + b_d u(k t_{sam}) \cr
+y_c(t)
+ & =  c_{cc} x_c(t) + c_{cd} x_d(k t_{sam}) + d_c u(t) \cr
+y_d(k t_{sam})
+  & =  c_{dc} x_c(k t_{sam}) + c_{dd} x_d(k t_{sam}) + d_d u(k t_{sam})
+}$$
+@end tex
+@end iftex
 
+@strong{Signal partitions}
 @example
 @group
-  function y = applyM(x, varargin)
-    K = varargin@{1@}; 
-    y = x; y(1:K) = x(1:K)./[1:K]';	 
-  endfunction
-
-  [x, flag, relres, iter, resvec] = ...
-                     pcr(A, b, [], [], 'applyM', [], 3)
+        | continuous      | discrete               |
+----------------------------------------------------
+states  | stname(1:n,:)   | stname((n+1):(n+nz),:) |
+----------------------------------------------------
+outputs | outname(cout,:) | outname(outlist,:)     |
+----------------------------------------------------
 @end group
 @end example
+where @math{cout} is the list of in 1:@code{rows}(@var{p})
+that are not contained in outlist. (Discrete/continuous outputs
+may be entered in any order desired by the user.)
 
-@sc{References}
-
-	[1] W. Hackbusch, "Iterative Solution of Large Sparse Systems of
- 	Equations", section 9.5.4; Springer, 1994
+@strong{Example}
+@example
+octave:1> a = [1 2 3; 4 5 6; 7 8 10];
+octave:2> b = [0 0 ; 0 1 ; 1 0];
+octave:3> c = eye (3);
+octave:4> sys = ss (a, b, c, [], 0, 3, 0, ...
+>                   @{"volts", "amps", "joules"@});
+octave:5> sysout(sys);
+Input(s)
+        1: u_1
+        2: u_2
 
-@seealso{sparse, pcg}
-@end deftypefn
-spalloc
--*- texinfo -*-
-@deftypefn {Function File} {@var{s} =} spalloc (@var{r}, @var{c}, @var{nz})
-Returns an empty sparse matrix of size @var{r}-by-@var{c}. As Octave
-resizes sparse matrices at the first opportunity, so that no additional 
-space is needed, the argument @var{nz} is ignored. This function is 
-provided only for compatibility reasons.
+Output(s):
+        1: y_1
+        2: y_2
+        3: y_3
 
-It should be noted that this means that code like
+state-space form:
+3 continuous states, 0 discrete states
+State(s):
+        1: volts
+        2: amps
+        3: joules
 
-@example
-k = 5;
-nz = r * k;
-s = spalloc (r, c, nz)
-for j = 1:c
-  idx = randperm (r);
-  s (:, j) = [zeros(r - k, 1); rand(k, 1)] (idx);
-endfor
+A matrix: 3 x 3
+   1   2   3
+   4   5   6
+   7   8  10
+B matrix: 3 x 2
+  0  0
+  0  1
+  1  0
+C matrix: 3 x 3
+  1  0  0
+  0  1  0
+  0  0  1
+D matrix: 3 x 3
+  0  0
+  0  0
+  0  0
 @end example
-
-will reallocate memory at each step. It is therefore vitally important
-that code like this is vectorized as much as possible.
-@seealso{sparse, nzmax}
+Notice that the @math{D} matrix is constructed  by default to the
+correct dimensions.  Default input and output signals names were assigned
+since none were given.
 @end deftypefn
-spconvert
+tf2zp
 -*- texinfo -*-
-@deftypefn {Function File} {@var{x} =} spconvert (@var{m})
-This function converts for a simple sparse matrix format easily
-produced by other programs into Octave's internal sparse format. The
-input @var{x} is either a 3 or 4 column real matrix, containing
-the row, column, real and imaginary parts of the elements of the
-sparse matrix. An element with a zero real and imaginary part can
-be used to force a particular matrix size.
+@deftypefn {Function File} {[@var{zer}, @var{pol}, @var{k}] =} tf2zp (@var{num}, @var{den})
+Converts transfer functions to poles-and-zero representations.
+
+Returns the zeros and poles of the @acronym{SISO} system defined 
+by @var{num}/@var{den}.
+@var{k} is a gain associated with the system zeros.
 @end deftypefn
-spdiags
+__sysdefioname__
+Undocumented internal function.
+cellidx
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{b}, @var{c}] =} spdiags (@var{a})
-@deftypefnx {Function File} {@var{b} =} spdiags (@var{a}, @var{c})
-@deftypefnx {Function File} {@var{b} =} spdiags (@var{v}, @var{c}, @var{a})
-@deftypefnx {Function File} {@var{b} =} spdiags (@var{v}, @var{c}, @var{m}, @var{n})
-A generalization of the function @code{spdiag}. Called with a single
-input argument, the non-zero diagonals @var{c} of @var{A} are extracted.
-With two arguments the diagonals to extract are given by the vector 
-@var{c}.
+@deftypefn {Function File} {[@var{idxvec}, @var{errmsg}] =} cellidx (@var{listvar}, @var{strlist})
+Return indices of string entries in @var{listvar} that match strings
+in @var{strlist}.
 
-The other two forms of @code{spdiags} modify the input matrix by
-replacing the diagonals. They use the columns of @var{v} to replace
-the columns represented by the vector @var{c}. If the sparse matrix
-@var{a} is defined then the diagonals of this matrix are replaced.
-Otherwise a matrix of @var{m} by @var{n} is created with the
-diagonals given by @var{v}.
+Both @var{listvar} and @var{strlist} may be passed as strings or
+string matrices.  If they are passed as string matrices, each entry
+is processed by @code{deblank} prior to searching for the entries.
 
-Negative values of @var{c} representive diagonals below the main
-diagonal, and positive values of @var{c} diagonals above the main
-diagonal.
+The first output is the vector of indices in @var{listvar}.
 
-For example
+If @var{strlist} contains a string not in @var{listvar}, then
+an error message is returned in @var{errmsg}.  If only one output
+argument is requested, then @var{cellidx} prints @var{errmsg} to the
+screen and exits with an error.
+@end deftypefn
+syssub
+-*- texinfo -*-
+@deftypefn {Function File} {@var{sys} =} syssub (@var{Gsys}, @var{Hsys})
+Return @math{sys = Gsys - Hsys}.
+
+@strong{Method}
 
+@var{Gsys} and @var{Hsys} are connected in parallel.
+The input vector is connected to both systems; the outputs are
+subtracted.  Returned system names are those of @var{Gsys}.
 @example
 @group
-spdiags (reshape (1:12, 4, 3), [-1 0 1], 5, 4)
-@result{}    5 10  0  0
-      1  6 11  0
-      0  2  7 12
-      0  0  3  8
-      0  0  0  4
+         +--------+
+    +--->|  Gsys  |---+
+    |    +--------+   |
+    |                +|
+u --+                (_)--> y
+    |                -|
+    |    +--------+   |
+    +--->|  Hsys  |---+
+         +--------+
 @end group
 @end example
-
 @end deftypefn
-speye
+__zp2ssg2__
+Undocumented internal function.
+tf2sys
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} speye (@var{m})
-@deftypefnx {Function File} {@var{y} =} speye (@var{m}, @var{n})
-@deftypefnx {Function File} {@var{y} =} speye (@var{sz})
-Returns a sparse identity matrix. This is significantly more
-efficient than @code{sparse (eye (@var{m}))} as the full matrix
-is not constructed.
+@deftypefn {Function File} {} tf2sys (@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname})
+Build system data structure from transfer function format data.
 
-Called with a single argument a square matrix of size @var{m} by
-@var{m} is created. Otherwise a matrix of @var{m} by @var{n} is
-created. If called with a single vector argument, this argument 
-is taken to be the size of the matrix to create.
-@end deftypefn
-spfun
--*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} spfun (@var{f},@var{x})
-Compute @code{f(@var{x})} for the non-zero values of @var{x}.
-This results in a sparse matrix with the same structure as 
-@var{x}. The function @var{f} can be passed as a string, a
-function handle or an inline function.
-@end deftypefn
-sphcat
--*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} sphcat (@var{a1}, @var{a2}, @dots{}, @var{aN})
-Return the horizontal concatenation of sparse matrices. This function
-is obselete and @code{horzcat} should be used.
-@seealso {spvcat, vertcat, horzcat, cat}
-@end deftypefn
-spones
--*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} spones (@var{x})
-Replace the non-zero entries of @var{x} with ones. This creates a
-sparse matrix with the same structure as @var{x}.
-@end deftypefn
-sprand
--*- texinfo -*-
-@deftypefn {Function File} {} sprand (@var{m}, @var{n}, @var{d})
-@deftypefnx {Function File} {} sprand (@var{s})
-Generate a random sparse matrix. The size of the matrix will be
-@var{m} by @var{n}, with a density of values given by @var{d}.
-@var{d} should be between 0 and 1. Values will be uniformly
-distributed between 0 and 1.
+@strong{Inputs}
+@table @var
+@item  num
+@itemx den
+Coefficients of numerator/denominator polynomials.
+@item tsam
+Sampling interval; default: 0 (continuous time).
+@item inname
+@itemx outname
+Input/output signal names; may be a string or cell array with a single string
+entry.
+@end table
 
-Note: sometimes the actual density  may be a bit smaller than @var{d}. 
-This is unlikely to happen for large really sparse matrices.
+@strong{Output}
+@table @var
+@item sys
+System data structure.
+@end table
 
-If called with a single matrix argument, a random sparse matrix is
-generated wherever the matrix @var{S} is non-zero.
-@seealso{sprandn}
+@strong{Example}
+@example
+octave:1> sys=tf2sys([2 1],[1 2 1],0.1);
+octave:2> sysout(sys)
+Input(s)
+        1: u_1
+Output(s):
+        1: y_1 (discrete)
+Sampling interval: 0.1
+transfer function form:
+2*z^1 + 1
+-----------------
+1*z^2 + 2*z^1 + 1
+@end example
 @end deftypefn
-sprandn
+zp2ss
 -*- texinfo -*-
-@deftypefn {Function File} {} sprandn (@var{m}, @var{n}, @var{d})
-@deftypefnx {Function File} {} sprandn (@var{s})
-Generate a random sparse matrix. The size of the matrix will be
-@var{m} by @var{n}, with a density of values given by @var{d}.
-@var{d} should be between 0 and 1. Values will be normally
-distributed with mean of zero and variance 1.
+@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}] =} zp2ss (@var{zer}, @var{pol}, @var{k})
+Conversion from zero / pole to state space.
 
-Note: sometimes the actual density  may be a bit smaller than @var{d}. 
-This is unlikely to happen for large really sparse matrices.
+@strong{Inputs}
+@table @var
+@item zer
+@itemx pol
+Vectors of (possibly) complex poles and zeros of a transfer
+function. Complex values must come in conjugate pairs
+(i.e., @math{x+jy} in @var{zer} means that @math{x-jy} is also in @var{zer}).
+The number of zeros must not exceed the number of poles.
+@item k
+Real scalar (leading coefficient).
+@end table
 
-If called with a single matrix argument, a random sparse matrix is
-generated wherever the matrix @var{S} is non-zero.
-@seealso{sprand}
+@strong{Outputs}
+@table @var
+@item @var{a}
+@itemx @var{b}
+@itemx @var{c}
+@itemx @var{d}
+The state space system, in the form:
+@iftex
+@tex
+$$ \dot x = Ax + Bu $$
+$$ y = Cx + Du $$
+@end tex
+@end iftex
+@ifinfo
+@example
+     .
+     x = Ax + Bu
+     y = Cx + Du
+@end example
+@end ifinfo
+@end table
 @end deftypefn
-sprandsym
+sysconnect
 -*- texinfo -*-
-@deftypefn {Function File} {} sprandsym (@var{n}, @var{d})
-@deftypefnx {Function File} {} sprandsym (@var{s})
-Generate a symmetric random sparse matrix. The size of the matrix will be
-@var{n} by @var{n}, with a density of values given by @var{d}.
-@var{d} should be between 0 and 1. Values will be normally
-distributed with mean of zero and variance 1.
+@deftypefn {Function File} {@var{clsys} =} sysconnect (@var{sys}, @var{out_idx}, @var{in_idx}, @var{order}, @var{tol})
+Close the loop from specified outputs to respective specified inputs
 
-Note: sometimes the actual density  may be a bit smaller than @var{d}. 
-This is unlikely to happen for large really sparse matrices.
+@strong{Inputs}
+@table @var
+@item   sys
+System data structure.
+@item   out_idx
+@itemx  in_idx
+Names or indices of signals to connect (see @code{sysidx}).
+The output specified by @math{out_idx(ii)} is connected to the input
+specified by @math{in_idx(ii)}.
+@item   order
+logical flag (default = 0)
+@table @code
+@item        0
+Leave inputs and outputs in their original order.
+@item        1
+Permute inputs and outputs to the order shown in the diagram below.
+@end table
+@item     tol
+Tolerance for singularities in algebraic loops, default: 200@code{eps}.
+@end table
 
-If called with a single matrix argument, a random sparse matrix is
-generated wherever the matrix @var{S} is non-zero in its lower
-triangular part.
-@seealso{sprand, sprandn}
+@strong{Outputs}
+@table @var
+@item clsys
+Resulting closed loop system.
+@end table
+
+@strong{Method}
+
+@code{sysconnect} internally permutes selected inputs, outputs as shown
+below, closes the loop, and then permutes inputs and outputs back to their
+original order
+@example
+@group
+                 --------------------
+ u_1       ----->|                  |----> y_1
+                 |        sys       |
+         old u_2 |                  |
+u_2* ---->(+)--->|                  |----->y_2
+(in_idx)   ^     --------------------    | (out_idx)
+           |                             |
+           -------------------------------
+@end group
+@end example
+The input that has the summing junction added to it has an * added to
+the end  of the input name.
 @end deftypefn
-spstats
+listidx
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{count}, @var{mean}, @var{var}] =} spstats (@var{s})
-@deftypefnx {Function File} {[@var{count}, @var{mean}, @var{var}] =} spstats (@var{s}, @var{j})
-Return the stats for the non-zero elements of the sparse matrix @var{s}.
-@var{count} is the number of non-zeros in each column, @var{mean}
-is the mean of the non-zeros in each column, and @var{var} is the  
-variance of the non-zeros in each column.
+@deftypefn {Function File} {[@var{idxvec}, @var{errmsg}] =} listidx (@var{listvar}, @var{strlist})
+Return indices of string entries in @var{listvar} that match strings
+in @var{strlist}.
 
-Called with two input arguments, if @var{s} is the data and @var{j}
-is the bin number for the data, compute the stats for each bin.  In 
-this case, bins can contain data values of zero, whereas with 
-@code{spstats (@var{s})} the zeros may disappear.
+Both @var{listvar} and @var{strlist} may be passed as strings or
+string matrices.  If they are passed as string matrices, each entry
+is processed by @code{deblank} prior to searching for the entries.
+
+The first output is the vector of indices in @var{listvar}.
+
+If @var{strlist} contains a string not in @var{listvar}, then
+an error message is returned in @var{errmsg}.  If only one output
+argument is requested, then @var{listidx} prints @var{errmsg} to the
+screen and exits with an error.
 @end deftypefn
-spvcat
+is_abcd
 -*- texinfo -*-
-@deftypefn {Function File} {@var{y} =} spvcat (@var{a1}, @var{a2}, @dots{}, @var{aN})
-Return the vertical concatenation of sparse matrices. This function
-is obselete and @code{vertcat} should be used
-@seealso{sphcat, vertcat, horzcat, cat}
+@deftypefn {Function File} {@var{retval} =} is_abcd (@var{a}, @var{b}, @var{c}, @var{d})
+ Returns @var{retval} = 1 if the dimensions of @var{a}, @var{b},
+@var{c}, @var{d} are compatible, otherwise @var{retval} = 0 with an
+ appropriate diagnostic message printed to the screen.  The matrices
+@var{b}, @var{c}, or @var{d} may be omitted.
+@seealso{abcddim}
 @end deftypefn
-spy
+ugain
 -*- texinfo -*-
-@deftypefn {Function File} {} spy (@var{x})
-@deftypefnx {Function File} {} spy (@dots{}, @var{markersize})
-@deftypefnx {Function File} {} spy (@dots{}, @var{LineSpec})
-Plot the sparsity pattern of the sparse matrix @var{x}. If the argument
-@var{markersize} is given as an scalar value, it is used to determine the
-point size in the plot. If the string @var{LineSpec} is given it is
-passed to @code{plot} and determines the appearance of the plot.
-@seealso{plot}
+@deftypefn {Function File} {} ugain (@var{n})
+Creates a system with unity gain, no states.
+This trivial system is sometimes needed to create arbitrary
+complex systems from simple systems with @command{buildssic}.
+Watch out if you are forming sampled systems since @command{ugain}
+does not contain a sampling period.
+@seealso{hinfdemo, jet707}
 @end deftypefn
-treeplot
+__sysgroupn__
+Undocumented internal function.
+sysout
 -*- texinfo -*-
-@deftypefn {Function File} {} treeplot (@var{Tree})
-@deftypefnx {Function File} {} treeplot (@var{Tree}, @var{LineStyle}, @var{EdgeStyle})
-Produces a graph of tree or forest. The first argument is vector of
-predecessors, optional parameters @var{LineStyle} and @var{EdgeStyle}
-define the output style. The complexity of the algorithm is O(n) in
-terms of is time and memory requirements.
-@seealso{etreeplot, gplot}
+@deftypefn {Function File} {} sysout (@var{sys}, @var{opt})
+print out a system data structure in desired format
+@table @var
+@item  sys
+system data structure
+@item  opt
+Display option
+@table @code
+@item []
+primary system form (default)
+@item      "ss"
+state space form
+@item      "tf"
+transfer function form
+@item      "zp"
+zero-pole form
+@item      "all"
+all of the above
+@end table
+@end table
 @end deftypefn
-bessel
+sysscale
 -*- texinfo -*-
-@deftypefn {Loadable Function} {[@var{j}, @var{ierr}] =} besselj (@var{alpha}, @var{x}, @var{opt})
-@deftypefnx {Loadable Function} {[@var{y}, @var{ierr}] =} bessely (@var{alpha}, @var{x}, @var{opt})
-@deftypefnx {Loadable Function} {[@var{i}, @var{ierr}] =} besseli (@var{alpha}, @var{x}, @var{opt})
-@deftypefnx {Loadable Function} {[@var{k}, @var{ierr}] =} besselk (@var{alpha}, @var{x}, @var{opt})
-@deftypefnx {Loadable Function} {[@var{h}, @var{ierr}] =} besselh (@var{alpha}, @var{k}, @var{x}, @var{opt})
-Compute Bessel or Hankel functions of various kinds:
+@deftypefn {Function File} {@var{retsys} =} sysscale (@var{sys}, @var{outscale}, @var{inscale}, @var{outname}, @var{inname})
+scale inputs/outputs of a system.
 
-@table @code
-@item besselj
-Bessel functions of the first kind.
-@item bessely
-Bessel functions of the second kind.
-@item besseli
-Modified Bessel functions of the first kind.
-@item besselk
-Modified Bessel functions of the second kind.
-@item besselh
-Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}
- = 2) kind.
+@strong{Inputs}
+@table @var
+@item sys
+Structured system.
+@item outscale
+@itemx inscale
+Constant matrices of appropriate dimension.
+@item outname
+@itemx inname
+Lists of strings with the names of respectively outputs and inputs.
 @end table
 
-If the argument @var{opt} is supplied, the result is scaled by the
-@code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for
-@var{k} = 2.
-
-If @var{alpha} is a scalar, the result is the same size as @var{x}.
-If @var{x} is a scalar, the result is the same size as @var{alpha}.
-If @var{alpha} is a row vector and @var{x} is a column vector, the
-result is a matrix with @code{length (@var{x})} rows and
-@code{length (@var{alpha})} columns.  Otherwise, @var{alpha} and
-@var{x} must conform and the result will be the same size.
-
-The value of @var{alpha} must be real. The value of @var{x} may be
-complex.
-
-If requested, @var{ierr} contains the following status information
-and is the same size as the result.
+@strong{Output}
+@table @var
+@item retsys
+resulting open loop system:
+@smallexample
+      -----------    -------    -----------
+u --->| inscale |--->| sys |--->| outscale |---> y
+      -----------    -------    -----------
+@end smallexample
+@end table
+If the input names and output names (each a list of strings)
+are not given and the scaling matrices
+are not square, then default names will be given to the inputs and/or
+outputs.
 
-@enumerate 0
-@item
-Normal return.
-@item
-Input error, return @code{NaN}.
-@item
-Overflow, return @code{Inf}.
-@item
-Loss of significance by argument reduction results in less than
-half of machine accuracy.
-@item
-Complete loss of significance by argument reduction, return @code{NaN}.
-@item
-Error---no computation, algorithm termination condition not met,
-return @code{NaN}.
-@end enumerate
+A warning message is printed if outscale attempts to add continuous
+system outputs to discrete system outputs; otherwise @var{yd} is
+set appropriately in the returned value of @var{sys}.
 @end deftypefn
-beta
+abcddim
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} beta (@var{a}, @var{b})
-Return the Beta function,
+@deftypefn {Function File} {[@var{n}, @var{m}, @var{p}] =} abcddim (@var{a}, @var{b}, @var{c}, @var{d})
+Check for compatibility of the dimensions of the matrices defining
+the linear system
 @iftex
 @tex
+$[A, B, C, D]$ corresponding to
 $$
- B (a, b) = {\Gamma (a) \Gamma (b) \over \Gamma (a + b)}.
+\eqalign{
+ {dx\over dt} &= A x + B u\cr
+            y &= C x + D u}
 $$
 @end tex
 @end iftex
 @ifinfo
+[A, B, C, D] corresponding to
 
 @example
-beta (a, b) = gamma (a) * gamma (b) / gamma (a + b).
+dx/dt = a x + b u
+y = c x + d u
 @end example
+
 @end ifinfo
+or a similar discrete-time system.
+
+If the matrices are compatibly dimensioned, then @code{abcddim} returns
+
+@table @var
+@item n
+The number of system states.
+
+@item m
+The number of system inputs.
+
+@item p
+The number of system outputs.
+@end table
+
+Otherwise @code{abcddim} returns @var{n} = @var{m} = @var{p} = @minus{}1.
+
+Note: n = 0 (pure gain block) is returned without warning.
+@seealso{is_abcd}
 @end deftypefn
-betai
+dmr2d
 -*- texinfo -*-
-@deftypefn {Function File} {} betai (@var{a}, @var{b}, @var{x})
-This function is provided for compatibility with older versions of
-Octave.  New programs should use betainc instead.
+@deftypefn {Function File} {[@var{dsys}, @var{fidx}] =} dmr2d (@var{sys}, @var{idx}, @var{sprefix}, @var{ts2}, @var{cuflg})
+convert a multirate digital system to a single rate digital system
+states specified by @var{idx}, @var{sprefix} are sampled at @var{ts2}, all
+others are assumed sampled at @var{ts1} = @code{sysgettsam (@var{sys})}.
+
+@strong{Inputs}
+@table @var
+@item   sys
+discrete time system;
+@code{dmr2d} exits with an error if @var{sys} is not discrete
+@item   idx
+indices or names of states with sampling time 
+@code{sysgettsam(@var{sys})} (may be empty); see @code{cellidx}
+@item   sprefix
+list of string prefixes of states with sampling time
+@code{sysgettsam(@var{sys})} (may be empty)
+@item   ts2
+sampling time of states not specified by @var{idx}, @var{sprefix}
+must be an integer multiple of @code{sysgettsam(@var{sys})}
+@item   cuflg
+"constant u flag" if @var{cuflg} is nonzero then the system inputs are
+assumed to be constant over the revised sampling interval @var{ts2}.
+Otherwise, since the inputs can change during the interval
+@var{t} in @math{[k ts2, (k+1) ts2]}, an additional set of inputs is
+included in the revised B matrix so that these intersample inputs
+may be included in the single-rate system.
+default @var{cuflg} = 1.
+@end table
+
+@strong{Outputs}
+@table @var
+@item   dsys
+equivalent discrete time system with sampling time @var{ts2}.
+
+The sampling time of sys is updated to @var{ts2}.
+
+if @var{cuflg}=0 then a set of additional inputs is added to
+the system with suffixes _d1, @dots{}, _dn to indicate their
+delay from the starting time k @var{ts2}, i.e.
+u = [u_1; u_1_d1; @dots{}, u_1_dn] where u_1_dk is the input
+k*ts1 units of time after u_1 is sampled. (@var{ts1} is
+the original sampling time of the discrete time system and
+@var{ts2} = (n+1)*ts1)
+
+@item   fidx
+indices of "formerly fast" states specified by @var{idx} and @var{sprefix};
+these states are updated to the new (slower) sampling interval @var{ts2}.
+@end table
 
-@code{betai (@var{a}, @var{b}, @var{x})} is the same as @code{betainc
-(@var{x}, @var{a}, @var{b})}. 
+@strong{WARNING} Not thoroughly tested yet; especially when
+@var{cuflg} == 0.
 @end deftypefn
-betaln
+__tf2sysl__
+Undocumented internal function.
+parallel
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} betaln (@var{a}, @var{b})
-Return the log of the Beta function,
-@iftex
-@tex
-$$
- B (a, b) = \log {\Gamma (a) \Gamma (b) \over \Gamma (a + b)}.
-$$
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {@var{ksys} =} parallel (@var{asys}, @var{bsys})
+Forms the parallel connection of two systems.
 
 @example
-betaln (a, b) = gammaln (a) + gammaln (b) - gammaln (a + b)
+@group
+             --------------------
+             |      --------    |
+    u  ----->|----> | asys |--->|----> y1
+        |    |      --------    |
+        |    |      --------    |
+        |--->|----> | bsys |--->|----> y2
+             |      --------    |
+             --------------------
+                  ksys
+@end group
 @end example
-@end ifinfo
-@seealso{beta, betai, gammaln}
-@end deftypefn
-erfinv
--*- texinfo -*-
-@deftypefn {Mapping Function} {} erfinv (@var{z})
-Computes the inverse of the error function.
-@seealso{erf, erfc}
 @end deftypefn
-factor
+ss2sys
 -*- texinfo -*-
-@deftypefn {Function File} {@var{p} =} factor (@var{q})
-@deftypefnx {Function File} {[@var{p}, @var{n}] =} factor (@var{q})
+@deftypefn {Function File} {} ss2sys (@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{outlist})
+Create system structure from state-space data.   May be continuous,
+discrete, or mixed (sampled data)
 
-Return prime factorization of @var{q}. That is @code{prod (@var{p})
-== @var{q}}. If @code{@var{q} == 1}, returns 1. 
+@strong{Inputs}
+@table @var
+@item a
+@itemx b
+@itemx c
+@itemx d
+usual state space matrices.
 
-With two output arguments, returns the unique primes @var{p} and
-their multiplicities. That is @code{prod (@var{p} .^ @var{n}) ==
-@var{q}}.
+default: @var{d} = zero matrix
 
-@end deftypefn
-factorial
--*- texinfo -*-
-@deftypefn {Function File} {} factorial (@var{n})
-Return the factorial of @var{n}. If @var{n} is scalar, this is
-equivalent to @code{prod (1:@var{n})}.  If @var{n} is an array,
-the factorial of the elements of the array are returned.
-@end deftypefn
-gammai
--*- texinfo -*-
-@deftypefn {Function File} {} gammai (@var{a}, @var{x})
-This function is provided for compatibility with older versions of
-Octave.  New programs should use @code{gammainc} instead.
+@item   tsam
+sampling rate.  Default: @math{tsam = 0} (continuous system)
 
-@code{gammai (@var{a}, @var{x})} is the same as @code{gammainc
-(@var{x}, @var{a})}.
-@end deftypefn
-isprime
--*- texinfo -*-
-@deftypefn {Function File} {} isprime (@var{n})
+@item n
+@itemx nz
+number of continuous, discrete states in the system
 
-Return true if @var{n} is a prime number, false otherwise.
+If @var{tsam} is 0, @math{n = @code{rows}(@var{a})}, @math{nz = 0}.
 
-Something like the following is much faster if you need to test a lot
-of small numbers:
+If @var{tsam} is greater than zero, @math{n = 0},
+@math{nz = @code{rows}(@var{a})}
 
-@example
-@var{t} = ismember (@var{n}, primes (max (@var{n} (:))));
-@end example
+see below for system partitioning
 
-If max(n) is very large, then you should be using special purpose 
-factorization code.
+@item  stname
+cell array of strings of state signal names
 
-@seealso{primes, factor, gcd, lcm}
-@end deftypefn
-legendre
--*- texinfo -*-
-@deftypefn {Function File} {@var{L} =} legendre (@var{n}, @var{X})
+default (@var{stname}=[] on input): @code{x_n} for continuous states,
+@code{xd_n} for discrete states
 
-Legendre Function of degree n and order m
-where all values for m = 0..@var{n} are returned.
-@var{n} must be a scalar in the range [0..255].
-The return value has one dimension more than @var{x}.
+@item inname
+cell array of strings of input signal names
 
-@example
-The Legendre Function of degree n and order m
+default (@var{inname} = [] on input): @code{u_n}
 
-@group
- m        m       2  m/2   d^m
-P(x) = (-1) * (1-x  )    * ----  P (x)
- n                         dx^m   n
-@end group
+@item outname
+cell array of strings of input signal names
 
-with:
-Legendre polynomial of degree n
+default (@var{outname} = [] on input): @code{y_n}
 
-@group
-          1     d^n   2    n
-P (x) = ------ [----(x - 1)  ] 
- n      2^n n!  dx^n
-@end group
+@item   outlist
 
-legendre(3,[-1.0 -0.9 -0.8]) returns the matrix
+list of indices of outputs y that are sampled
+
+If @var{tsam} is 0, @math{outlist = []}.
+
+If @var{tsam} is greater than 0, @math{outlist = 1:@code{rows}(@var{c})}.
+@end table
+
+Unlike states, discrete/continuous outputs may appear in any order.
+
+@code{sys2ss} returns a vector @var{yd} where
+@var{yd}(@var{outlist}) = 1; all other entries of @var{yd} are 0.
 
+@strong{Outputs}
+@var{outsys} = system data structure
+
+@strong{System partitioning}
+
+Suppose for simplicity that outlist specified
+that the first several outputs were continuous and the remaining outputs
+were discrete.  Then the system is partitioned as
+@example
 @group
- x  |   -1.0   |   -0.9   |  -0.8
-------------------------------------
-m=0 | -1.00000 | -0.47250 | -0.08000
-m=1 |  0.00000 | -1.99420 | -1.98000
-m=2 |  0.00000 | -2.56500 | -4.32000
-m=3 |  0.00000 | -1.24229 | -3.24000 
+x = [ xc ]  (n x 1)
+    [ xd ]  (nz x 1 discrete states)
+a = [ acc acd ]  b = [ bc ]
+    [ adc add ]      [ bd ]
+c = [ ccc ccd ]  d = [ dc ]
+    [ cdc cdd ]      [ dd ]
+
+    (cdc = c(outlist,1:n), etc.)
 @end group
 @end example
-@end deftypefn
-log2
--*- texinfo -*-
-@deftypefn {Mapping Function} {} log2 (@var{x})
-@deftypefnx {Mapping Function} {[@var{f}, @var{e}] =} log2 (@var{x})
-Compute the base-2 logarithm of @var{x}.  With two outputs, returns
-@var{f} and @var{e} such that
+with dynamic equations:
+@ifinfo
+@math{d/dt xc(t)     = acc*xc(t)      + acd*xd(k*tsam) + bc*u(t)}
+
+@math{xd((k+1)*tsam) = adc*xc(k*tsam) + add*xd(k*tsam) + bd*u(k*tsam)}
+
+@math{yc(t)      = ccc*xc(t)      + ccd*xd(k*tsam) + dc*u(t)}
+
+@math{yd(k*tsam) = cdc*xc(k*tsam) + cdd*xd(k*tsam) + dd*u(k*tsam)}
+@end ifinfo
 @iftex
 @tex
- $1/2 <= |f| < 1$ and $x = f \cdot 2^e$.
+$$\eqalign{
+{d \over dt} x_c(t)
+  & =   a_{cc} x_c(t)      + a_{cd} x_d(k*t_{sam}) + bc*u(t) \cr
+x_d((k+1)*t_{sam})
+  & =   a_{dc} x_c(k t_{sam}) + a_{dd} x_d(k t_{sam}) + b_d u(k t_{sam}) \cr
+y_c(t)
+ & =  c_{cc} x_c(t) + c_{cd} x_d(k t_{sam}) + d_c u(t) \cr
+y_d(k t_{sam})
+  & =  c_{dc} x_c(k t_{sam}) + c_{dd} x_d(k t_{sam}) + d_d u(k t_{sam})
+}$$
 @end tex
 @end iftex
-@ifinfo
- 1/2 <= abs(f) < 1 and x = f * 2^e.
-@end ifinfo
-@seealso{log, log10, logspace, exp}
+
+@strong{Signal partitions}
+@example
+@group
+        | continuous      | discrete               |
+----------------------------------------------------
+states  | stname(1:n,:)   | stname((n+1):(n+nz),:) |
+----------------------------------------------------
+outputs | outname(cout,:) | outname(outlist,:)     |
+----------------------------------------------------
+@end group
+@end example
+where @math{cout} is the list of in 1:@code{rows}(@var{p})
+that are not contained in outlist. (Discrete/continuous outputs
+may be entered in any order desired by the user.)
+
+@strong{Example}
+@example
+octave:1> a = [1 2 3; 4 5 6; 7 8 10];
+octave:2> b = [0 0 ; 0 1 ; 1 0];
+octave:3> c = eye (3);
+octave:4> sys = ss (a, b, c, [], 0, 3, 0, 
+>                   @{"volts", "amps", "joules"@});
+octave:5> sysout(sys);
+Input(s)
+        1: u_1
+        2: u_2
+
+Output(s):
+        1: y_1
+        2: y_2
+        3: y_3
+
+state-space form:
+3 continuous states, 0 discrete states
+State(s):
+        1: volts
+        2: amps
+        3: joules
+
+A matrix: 3 x 3
+   1   2   3
+   4   5   6
+   7   8  10
+B matrix: 3 x 2
+  0  0
+  0  1
+  1  0
+C matrix: 3 x 3
+  1  0  0
+  0  1  0
+  0  0  1
+D matrix: 3 x 3
+  0  0
+  0  0
+  0  0
+@end example
+Notice that the @math{D} matrix is constructed  by default to the
+correct dimensions.  Default input and output signals names were assigned
+since none were given.
 @end deftypefn
-nchoosek
+sysgettype
 -*- texinfo -*-
-@deftypefn {Function File} {@var{c} =} nchoosek (@var{n}, @var{k})
-
-Compute the binomial coefficient or all combinations of @var{n}.
-If @var{n} is a scalar then, calculate the binomial coefficient
-of @var{n} and @var{k}, defined as
-
-@iftex
-@tex
-$$
- {n \choose k} = {n (n-1) (n-2) \cdots (n-k+1) \over k!}
-               = {n! \over k! (n-k)!}
-$$
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {} sysgettype (@var{sys})
+return the initial system type of the system
 
-@example
-@group
- /   \
- | n |    n (n-1) (n-2) ... (n-k+1)       n!
- |   |  = ------------------------- =  ---------
- | k |               k!                k! (n-k)!
- \   /
-@end group
-@end example
-@end ifinfo
+@strong{Input}
+@table @var
+@item sys
+System data structure.
+@end table
 
-If @var{n} is a vector generate all combinations of the elements
-of @var{n}, taken @var{k} at a time, one row per combination. The 
-resulting @var{c} has size @code{[nchoosek (length (@var{n}), 
-@var{k}), @var{k}]}.
+@strong{Output}
+@table @var
+@item systype
+String indicating how the structure was initially
+constructed. Values: @code{"ss"}, @code{"zp"}, or @code{"tf"}.
+@end table
 
-@seealso{bincoeff}
+@acronym{FIR} initialized systems return @code{systype="tf"}.
 @end deftypefn
-perms
+is_signal_list
 -*- texinfo -*-
-@deftypefn {Function File} {} perms (@var{v})
-
-Generate all permutations of @var{v}, one row per permutation. The
-result has size @code{factorial (@var{n}) * @var{n}}, where @var{n}
-is the length of @var{v}.
-
-As an example, @code{perms([1, 2, 3])} returns the matrix
-@example
-  1   2   3
-  2   1   3
-  1   3   2
-  2   3   1
-  3   1   2
-  3   2   1
-@end example
+@deftypefn {Function File} {} is_signal_list (@var{mylist})
+Return true if @var{mylist} is a list of individual strings.
 @end deftypefn
-pow2
+jet707
 -*- texinfo -*-
-@deftypefn {Mapping Function} {} pow2 (@var{x})
-@deftypefnx {Mapping Function} {} pow2 (@var{f}, @var{e})
-With one argument, computes
-@iftex
-@tex
- $2^x$
-@end tex
-@end iftex
-@ifinfo
- 2 .^ x
-@end ifinfo
-for each element of @var{x}.  With two arguments, returns
+@deftypefn {Function File} {@var{sys} =} jet707 ()
+Creates a linearized state-space model of a Boeing 707-321 aircraft
+at @var{v}=80 m/s 
 @iftex
 @tex
- $f \cdot 2^e$.
+($M = 0.26$, $G_{a0} = -3^{\circ}$, ${\alpha}_0 = 4^{\circ}$, ${\kappa}= 50^{\circ}$).
 @end tex
 @end iftex
 @ifinfo
- f .* (2 .^ e).
+(@var{M} = 0.26, @var{Ga0} = -3 deg, @var{alpha0} = 4 deg, @var{kappa} = 50 deg).
 @end ifinfo
-@seealso{nextpow2}
-@end deftypefn
-primes
--*- texinfo -*-
-@deftypefn {Function File} {} primes (@var{n})
 
-Return all primes up to @var{n}.  
+System inputs: (1) thrust and (2) elevator angle.
 
-Note that if you need a specific number of primes, you can use the
-fact the distance from one prime to the next is on average
-proportional to the logarithm of the prime.  Integrating, you find
-that there are about @math{k} primes less than @math{k \log ( 5 k )}.
+System outputs:  (1) airspeed and (2) pitch angle.
 
-The algorithm used is called the Sieve of Erastothenes.
+@strong{Reference}: R. Brockhaus: @cite{Flugregelung} (Flight
+Control), Springer, 1994.
+@seealso{ord2}
 @end deftypefn
-hadamard
+sysgettsam
 -*- texinfo -*-
-@deftypefn {Function File} {} hadamard (@var{n})
-Construct a Hadamard matrix @var{Hn} of size @var{n}-by-@var{n}. The 
-size @var{n} must be of the form @code{2 ^ @var{k} * @var{p}} in which
-@var{p} is one of 1, 12, 20 or 28. The returned matrix is normalized,
-meaning @code{Hn(:,1) == 1} and @code{H(1,:) == 1}.
-
-Some of the properties of Hadamard matrices are:
-
-@itemize @bullet
-@item
-@code{kron (@var{Hm}, @var{Hn})} is a Hadamard matrix of size 
-@var{m}-by-@var{n}.
-@item
-@code{Hn * Hn' == @var{n} * eye (@var{n})}.
-@item
-The rows of @var{Hn} are orthogonal.
-@item
-@code{det (@var{A}) <= det (@var{Hn})} for all @var{A} with 
-@code{abs (@var{A} (@var{i}, @var{j})) <= 1}.
-@item
-Multiply any row or column by -1 and still have a Hadamard matrix.
-@end itemize
-
+@deftypefn {Function File} {} sysgettsam (@var{sys})
+Return the sampling time of the system @var{sys}.
 @end deftypefn
-hankel
+sysreorder
 -*- texinfo -*-
-@deftypefn {Function File} {} hankel (@var{c}, @var{r})
-Return the Hankel matrix constructed given the first column @var{c}, and
-(optionally) the last row @var{r}.  If the last element of @var{c} is
-not the same as the first element of @var{r}, the last element of
-@var{c} is used.  If the second argument is omitted, it is assumed to
-be a vector of zeros with the same size as @var{c}.
+@deftypefn {Function File} {@var{pv} =} sysreorder (@var{vlen}, @var{list})
 
-A Hankel matrix formed from an m-vector @var{c}, and an n-vector
-@var{r}, has the elements
-@iftex
-@tex
-$$
-H (i, j) = \cases{c_{i+j-1},&$i+j-1\le m$;\cr r_{i+j-m},&otherwise.\cr}
-$$
-@end tex
-@end iftex
-@ifinfo
+@strong{Inputs}
+@table @var
+@item vlen
+Vector length.
+@item list
+A subset of @code{[1:vlen]}.
+@end table
 
-@example
-@group
-H(i,j) = c(i+j-1),  i+j-1 <= m;
-H(i,j) = r(i+j-m),  otherwise
-@end group
-@end example
-@end ifinfo
-@seealso{vander, sylvester_matrix, hilb, invhilb, toeplitz}
-@end deftypefn
-hilb
--*- texinfo -*-
-@deftypefn {Function File} {} hilb (@var{n})
-Return the Hilbert matrix of order @var{n}.  The
-@iftex
-@tex
-$i,\,j$
-@end tex
-@end iftex
-@ifinfo
-i, j
-@end ifinfo
-element of a Hilbert matrix is defined as
-@iftex
-@tex
-$$
-H (i, j) = {1 \over (i + j - 1)}
-$$
-@end tex
-@end iftex
-@ifinfo
+@strong{Output}
+@table @var
+@item pv
+A permutation vector to order elements of @code{[1:vlen]} in
+@code{list} to the end of a vector.
+@end table
 
-@example
-H (i, j) = 1 / (i + j - 1)
-@end example
-@end ifinfo
-@seealso{hankel, vander, sylvester_matrix, invhilb, toeplitz}
+Used internally by @code{sysconnect} to permute vector elements to their
+desired locations.
 @end deftypefn
-invhilb
+sysappend
 -*- texinfo -*-
-@deftypefn {Function File} {} invhilb (@var{n})
-Return the inverse of a Hilbert matrix of order @var{n}.  This can be 
-computed exactly using
-@tex
-$$\eqalign{
-  A_{ij} &= -1^{i+j} (i+j-1)
-             \left( \matrix{n+i-1 \cr n-j } \right)
-             \left( \matrix{n+j-1 \cr n-i } \right)
-             \left( \matrix{i+j-2 \cr i-2 } \right)^2 \cr
-         &= { p(i)p(j) \over (i+j-1) }
-}$$
-where
-$$
-  p(k) = -1^k \left( \matrix{ k+n-1 \cr k-1 } \right)
-              \left( \matrix{ n \cr k } \right)
-$$
-@end tex
-@ifinfo
-@example
+@deftypefn {Function File} {@var{sys} =} sysappend (@var{syst}, @var{b}, @var{c}, @var{d}, @var{outname}, @var{inname}, @var{yd})
+appends new inputs and/or outputs to a system
 
-            (i+j)         /n+i-1\  /n+j-1\   /i+j-2\ 2
- A(i,j) = -1      (i+j-1)(       )(       ) (       )
-                          \ n-j /  \ n-i /   \ i-2 /
+@strong{Inputs}
+@table @var
+@item syst
+system data structure
 
-        = p(i) p(j) / (i+j-1)
+@item b
+matrix to be appended to sys "B" matrix (empty if none)
 
-@end example
-where
-@example
-             k  /k+n-1\   /n\
-    p(k) = -1  (       ) (   )
-                \ k-1 /   \k/
-@end example
-@end ifinfo
+@item c
+matrix to be appended to sys "C" matrix (empty if none)
 
-The validity of this formula can easily be checked by expanding 
-the binomial coefficients in both formulas as factorials.  It can 
-be derived more directly via the theory of Cauchy matrices: 
-see J. W. Demmel, Applied Numerical Linear Algebra, page 92.
+@item d
+revised sys d matrix (can be passed as [] if the revised d is all zeros)
+
+@item outname
+list of names for new outputs
+
+@item inname
+list of names for new inputs
 
-Compare this with the numerical calculation of @code{inverse (hilb (n))},
-which suffers from the ill-conditioning of the Hilbert matrix, and the
-finite precision of your computer's floating point arithmetic.
-@seealso{hankel, vander, sylvester_matrix, hilb, toeplitz}
-@end deftypefn
-magic
--*- texinfo -*-
-@deftypefn {Function File} {} magic (@var{n})
+@item yd
+binary vector; @math{yd(ii)=0} indicates a continuous output;
+@math{yd(ii)=1} indicates a discrete output.
+@end table
 
-Create an @var{n}-by-@var{n} magic square. Note that @code{magic
-(@var{2})} is undefined since there is no 2-by-2 magic square.
+@strong{Outputs}
+@table @var
+@item sys
+@example
+@group
+   sys.b := [syst.b , b]
+   sys.c := [syst.c  ]
+            [ c     ]
+   sys.d := [syst.d | D12 ]
+            [ D21   | D22 ]
+@end group
+@end example
+where @math{D12}, @math{D21}, and @math{D22} are the appropriate dimensioned
+blocks of the input parameter @var{d}.
+@itemize @bullet
+@item The leading block @math{D11} of @var{d} is ignored.
+@item If @var{inname} and @var{outname} are not given as arguments,
+     the new inputs and outputs are be assigned default names.
+@item @var{yd} is a binary vector of length rows(c) that indicates
+     continuous/sampled outputs.  Default value for @var{yd} is:
+@itemize @minus
+@item @var{sys} is continuous or mixed
+@var{yd} = @code{zeros(1,rows(c))}
 
+@item @var{sys} is discrete
+@var{yd} = @code{ones(1,rows(c))}
+@end itemize
+@end itemize
+@end table
 @end deftypefn
-pascal
+sysprune
 -*- texinfo -*-
-@deftypefn {Function File} {} pascal (@var{n}, @var{t})
+@deftypefn {Function File} {@var{retsys} =} sysprune (@var{asys}, @var{out_idx}, @var{in_idx})
+Extract specified inputs/outputs from a system
 
-Return the Pascal matrix of order @var{n} if @code{@var{t} = 0}.
-@var{t} defaults to 0. Return lower triangular Cholesky factor of 
-the Pascal matrix if @code{@var{t} = 1}. This matrix is its own
-inverse, that is @code{pascal (@var{n}, 1) ^ 2 == eye (@var{n})}.
-If @code{@var{t} = 2}, return a transposed and  permuted version of
-@code{pascal (@var{n}, 1)}, which is the cube-root of the identity
-matrix. That is @code{pascal (@var{n}, 2) ^ 3 == eye (@var{n})}.
+@strong{Inputs}
+@table @var
+@item asys
+system data structure
+@item out_idx
+@itemx in_idx
+Indices or signal names of the outputs and inputs to be kept in the returned
+system; remaining connections are ``pruned'' off.
+May select as [] (empty matrix) to specify all outputs/inputs.
 
-@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
-          hadamard, wilkinson, compan, rosser}
-@end deftypefn
-rosser
--*- texinfo -*-
-@deftypefn {Function File} {} rosser ()
+@example
+retsys = sysprune (Asys, [1:3,4], "u_1");
+retsys = sysprune (Asys, @{"tx", "ty", "tz"@}, 4);
+@end example
 
-Returns the Rosser matrix. This is a difficult test case used to test
-eigenvalue algorithms.
+@end table
 
-@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
-          hadamard, wilkinson, compan, pascal}
-@end deftypefn
-sylvester_matrix
--*- texinfo -*-
-@deftypefn {Function File} {} sylvester_matrix (@var{k})
-Return the Sylvester matrix of order
-@iftex
-@tex
-$n = 2^k$.
-@end tex
-@end iftex
-@ifinfo
-n = 2^k.
-@end ifinfo
-@seealso{hankel, vander, hilb, invhilb, toeplitz}
+@strong{Output}
+@table @var
+@item retsys
+Resulting system.
+@end table
+@example
+@group
+           ____________________
+u1 ------->|                  |----> y1
+ (in_idx)  |       Asys       | (out_idx)
+u2 ------->|                  |----| y2
+  (deleted)-------------------- (deleted)
+@end group
+@end example
 @end deftypefn
-toeplitz
+__syschnamesl__
+Undocumented internal function.
+sysadd
 -*- texinfo -*-
-@deftypefn {Function File} {} toeplitz (@var{c}, @var{r})
-Return the Toeplitz matrix constructed given the first column @var{c},
-and (optionally) the first row @var{r}.  If the first element of @var{c}
-is not the same as the first element of @var{r}, the first element of
-@var{c} is used.  If the second argument is omitted, the first row is
-taken to be the same as the first column.
-
-A square Toeplitz matrix has the form:
-@iftex
-@tex
-$$
-\left[\matrix{c_0    & r_1     & r_2      & \cdots & r_n\cr
-              c_1    & c_0     & r_1      & \cdots & r_{n-1}\cr
-              c_2    & c_1     & c_0      & \cdots & r_{n-2}\cr
-              \vdots & \vdots  & \vdots   & \ddots & \vdots\cr
-              c_n    & c_{n-1} & c_{n-2} & \ldots & c_0}\right]
-$$
-@end tex
-@end iftex
-@ifinfo
-
+@deftypefn {Function File} {}  sysadd (@var{gsys}, @var{hsys})
+returns @var{sys} = @var{gsys} + @var{hsys}.
+@itemize @bullet
+@item Exits with
+an error if @var{gsys} and @var{hsys} are not compatibly dimensioned.
+@item Prints a warning message is system states have identical names;
+duplicate names are given a suffix to make them unique.
+@item @var{sys} input/output names are taken from @var{gsys}.
+@end itemize
 @example
 @group
-c(0)  r(1)   r(2)  ...  r(n)
-c(1)  c(0)   r(1)  ... r(n-1)
-c(2)  c(1)   c(0)  ... r(n-2)
- .     ,      ,   .      .
- .     ,      ,     .    .
- .     ,      ,       .  .
-c(n) c(n-1) c(n-2) ...  c(0)
+          ________
+     ----|  gsys  |---
+u   |    ----------  +|
+-----                (_)----> y
+    |     ________   +|
+     ----|  hsys  |---
+          --------
 @end group
 @end example
-@end ifinfo
-@seealso{hankel, vander, sylvester_matrix, hilb, invhilb}
 @end deftypefn
-vander
+is_stabilizable
 -*- texinfo -*-
-@deftypefn {Function File} {} vander (@var{c})
-Return the Vandermonde matrix whose next to last column is @var{c}.
+@deftypefn {Function File} {@var{retval} =} is_stabilizable (@var{sys}, @var{tol})
+@deftypefnx {Function File} {@var{retval} =} is_stabilizable (@var{a}, @var{b}, @var{tol}, @var{dflg})
+Logical check for system stabilizability (i.e., all unstable modes are controllable). 
+Returns 1 if the system is stabilizable, 0 if the system is not stabilizable, -1 
+if the system has non stabilizable modes at the imaginary axis (unit circle for 
+discrete-time systems.
 
-A Vandermonde matrix has the form:
+Test for stabilizability is performed via Hautus Lemma. If 
 @iftex
 @tex
-$$
-\left[\matrix{c_1^{n-1}  & \cdots & c_1^2  & c_1    & 1      \cr
-              c_2^{n-1}  & \cdots & c_2^2  & c_2    & 1      \cr
-              \vdots     & \ddots & \vdots & \vdots & \vdots \cr
-              c_n^{n-1}  & \cdots & c_n^2  & c_n    & 1      }\right]
-$$
+@var{dflg}$\neq$0
 @end tex
 @end iftex
-@ifinfo
-
-@example
-@group
-c(1)^(n-1) ... c(1)^2  c(1)  1
-c(2)^(n-1) ... c(2)^2  c(2)  1
-    .     .      .      .    .
-    .       .    .      .    .
-    .         .  .      .    .
-c(n)^(n-1) ... c(n)^2  c(n)  1
-@end group
-@end example
+@ifinfo 
+@var{dflg}!=0
 @end ifinfo
-@seealso{hankel, sylvester_matrix, hilb, invhilb, toeplitz}
+assume that discrete-time matrices (a,b) are supplied.
+@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
+is_observable, is_stabilizable, is_detectable}
 @end deftypefn
-wilkinson
+sysupdate
 -*- texinfo -*-
-@deftypefn {Function File} {} wilkinson (@var{n})
+@deftypefn {Function File} {} sysupdate (@var{sys}, @var{opt})
+Update the internal representation of a system.
 
-Return the Wilkinson matrix of order @var{n}.
+@strong{Inputs}
+@table @var
+@item sys:
+system data structure
+@item opt
+string:
+@table @code
+@item "tf"
+update transfer function form
+@item "zp"
+update zero-pole form
+@item "ss"
+update state space form
+@item "all"
+all of the above
+@end table
+@end table
 
-@seealso{hankel, vander, sylvester_matrix, hilb, invhilb, toeplitz
-          hadamard, rosser, compan, pascal}
+@strong{Outputs}
+@table @var
+@item retsys
+Contains union of data in sys and requested data.
+If requested data in @var{sys} is already up to date then @var{retsys}=@var{sys}.
+@end table
+
+Conversion to @command{tf} or @command{zp} exits with an error if the system is
+mixed continuous/digital.
+@seealso{tf, ss, zp, sysout, sys2ss, sys2tf, sys2zp}
 @end deftypefn
-center
+sysdisc
 -*- texinfo -*-
-@deftypefn {Function File} {} center (@var{x})
-@deftypefnx {Function File} {} center (@var{x}, @var{dim})
-If @var{x} is a vector, subtract its mean.
-If @var{x} is a matrix, do the above for each column.
-If the optional argument @var{dim} is given, perform the above
-operation along this dimension
+@deftypefn {Function File} {[@var{dsys}, @var{adc}, @var{cdc}] =} sysdisc (@var{sys})
+
+@strong{Input}
+@table @var
+@item sys
+System data structure.
+@end table
+
+@strong{Outputs}
+@table @var
+@item dsys
+Purely discrete portion of sys (returned empty if there is
+no purely discrete path from inputs to outputs).
+@item    adc
+@itemx   cdc
+Connections from continuous states to discrete states and discrete
+outputs, respectively.
+@end table
+@end deftypefn
+zpout
+-*- texinfo -*-
+@deftypefn {Function File} {} zpout (@var{zer}, @var{pol}, @var{k}, @var{x})
+print formatted zero-pole form to the screen.
+@var{x} defaults to the string @code{"s"}
+@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
+filter, polyderiv, polyinteg, polyout}
 @end deftypefn
-cloglog
+ss2zp
 -*- texinfo -*-
-@deftypefn {Function File} {} cloglog (@var{x})
-Return the complementary log-log function of @var{x}, defined as
+@deftypefn {Function File} {[@var{pol}, @var{zer}, @var{k}] =} ss2zp (@var{a}, @var{b}, @var{c}, @var{d})
+Converts a state space representation to a set of poles and zeros;
+@var{k} is a gain associated with the zeros.
 
-@iftex
-@tex
-$$
-{\rm cloglog}(x) = - \log (- \log (x))
-$$
-@end tex
-@end iftex
-@ifnottex
-@example
-cloglog(x) = - log (- log (@var{x}))
-@end example
-@end ifnottex
+Used internally in system data structure format manipulations.
 @end deftypefn
-cor
+sysdup
 -*- texinfo -*-
-@deftypefn {Function File} {} cor (@var{x}, @var{y})
-Compute correlation.
-
-The (@var{i}, @var{j})-th entry of @code{cor (@var{x}, @var{y})} is
-the correlation between the @var{i}-th variable in @var{x} and the
-@var{j}-th variable in @var{y}.
-
-@iftex
-@tex
-$$
-{\rm corrcoef}(x,y) = {{\rm cov}(x,y) \over {\rm std}(x) {\rm std}(y)}
-$$
-@end tex
-@end iftex
-@ifnottex
-@example
-corrcoef(x,y) = cov(x,y)/(std(x)*std(y))
-@end example
-@end ifnottex
-
-For matrices, each row is an observation and each column a variable;
-vectors are always observations and may be row or column vectors.
+@deftypefn {Function File} {@var{retsys} =} sysdup (@var{asys}, @var{out_idx}, @var{in_idx})
+Duplicate specified input/output connections of a system
 
-@code{cor (@var{x})} is equivalent to @code{cor (@var{x}, @var{x})}.
+@strong{Inputs}
+@table @var
+@item asys
+system data structure
+@item out_idx
+@itemx in_idx
+indices or names of desired signals (see @code{sigidx}).
+duplicates are made of @code{y(out_idx(ii))} and @code{u(in_idx(ii))}.
+@end table
 
-Note that the @code{corrcoef} function does the same as @code{cor}.
-@end deftypefn
-corrcoef
--*- texinfo -*-
-@deftypefn {Function File} {} corrcoef (@var{x}, @var{y})
-Compute correlation.
+@strong{Output}
+@table @var
+@item retsys
+Resulting closed loop system:
+duplicated i/o names are appended with a @code{"+"} suffix.
+@end table
 
-If each row of @var{x} and @var{y} is an observation and each column is
-a variable, the (@var{i}, @var{j})-th entry of
-@code{corrcoef (@var{x}, @var{y})} is the correlation between the
-@var{i}-th variable in @var{x} and the @var{j}-th variable in @var{y}.
+@strong{Method}
 
-@iftex
-@tex
-$$
-{\rm corrcoef}(x,y) = {{\rm cov}(x,y) \over {\rm std}(x) {\rm std}(y)}
-$$
-@end tex
-@end iftex
-@ifnottex
+@code{sysdup} creates copies of selected inputs and outputs as
+shown below.  @var{u1}, @var{y1} is the set of original inputs/outputs, and
+@var{u2}, @var{y2} is the set of duplicated inputs/outputs in the order 
+specified in @var{in_idx}, @var{out_idx}, respectively
 @example
-corrcoef(x,y) = cov(x,y)/(std(x)*std(y))
+@group
+          ____________________
+u1  ----->|                  |----> y1
+          |       asys       |
+u2 ------>|                  |----->y2
+(in_idx)  -------------------- (out_idx)
+@end group
 @end example
-@end ifnottex
-
-If called with one argument, compute @code{corrcoef (@var{x}, @var{x})}.
 @end deftypefn
-cov
+c2d
 -*- texinfo -*-
-@deftypefn {Function File} {} cov (@var{x}, @var{y})
-Compute covariance.
+@deftypefn {Function File} {} c2d (@var{sys}, @var{opt}, @var{t})
+@deftypefnx {Function File} {} c2d (@var{sys}, @var{t})
 
-If each row of @var{x} and @var{y} is an observation and each column is
-a variable, the (@var{i}, @var{j})-th entry of
-@code{cov (@var{x}, @var{y})} is the covariance between the @var{i}-th
-variable in @var{x} and the @var{j}-th variable in @var{y}.
+Converts the system data structure describing:
 @iftex
 @tex
-$$
-\sigma_{ij} = {1 \over N-1} \sum_{i=1}^N (x_i - \bar{x})(y_i - \bar{y})
-$$
-where $\bar{x}$ and $\bar{y}$ are the mean values of $x$ and $y$.
+$$ \dot x = A_cx + B_cu $$
 @end tex
 @end iftex
-If called with one argument, compute @code{cov (@var{x}, @var{x})}.
-@end deftypefn
-cut
--*- texinfo -*-
-@deftypefn {Function File} {} cut (@var{x}, @var{breaks})
-Create categorical data out of numerical or continuous data by
-cutting into intervals.
-
-If @var{breaks} is a scalar, the data is cut into that many
-equal-width intervals.  If @var{breaks} is a vector of break points,
-the category has @code{length (@var{breaks}) - 1} groups.
-
-The returned value is a vector of the same size as @var{x} telling
-which group each point in @var{x} belongs to.  Groups are labelled
-from 1 to the number of groups; points outside the range of
-@var{breaks} are labelled by @code{NaN}.
-@end deftypefn
-gls
--*- texinfo -*-
-@deftypefn {Function File} {[@var{beta}, @var{v}, @var{r}] =} gls (@var{y}, @var{x}, @var{o})
-Generalized least squares estimation for the multivariate model
+@ifinfo
+@example
+.
+x = Ac x + Bc u
+@end example
+@end ifinfo
+into a discrete time equivalent model:
 @iftex
 @tex
-$y = x b + e$
-with $\bar{e} = 0$ and cov(vec($e$)) = $(s^2)o$,
+$$ x_{n+1} = A_dx_n + B_du_n $$
 @end tex
 @end iftex
 @ifinfo
-@math{y = x b + e} with @math{mean (e) = 0} and
-@math{cov (vec (e)) = (s^2) o},
+@example
+x[n+1] = Ad x[n] + Bd u[n]
+@end example
 @end ifinfo
- where
+via the matrix exponential or bilinear transform.
+
+@strong{Inputs}
+@table @var
+@item sys
+system data structure (may have both continuous time and discrete
+time subsystems)
+@item opt
+string argument; conversion option (optional argument;
+may be omitted as shown above)
+@table @code
+@item "ex"
+use the matrix exponential (default)
+@item "bi"
+use the bilinear transformation
 @iftex
 @tex
-$y$ is a $t \times p$ matrix, $x$ is a $t \times k$ matrix, $b$ is a $k
-\times p$ matrix, $e$ is a $t \times p$ matrix, and $o$ is a $tp \times
-tp$ matrix.
+$$ s = { 2(z-1) \over T(z+1) } $$
 @end tex
 @end iftex
 @ifinfo
-@math{y} is a @math{t} by @math{p} matrix, @math{x} is a @math{t} by
-@math{k} matrix, @math{b} is a @math{k} by @math{p} matrix, @math{e}
-is a @math{t} by @math{p} matrix, and @math{o} is a @math{t p} by
-@math{t p} matrix.
+@example
+    2(z-1)
+s = -----
+    T(z+1)
+@end example
 @end ifinfo
+FIXME: This option exits with an error if @var{sys} is not purely
+continuous. (The @code{ex} option can handle mixed systems.)
+@item "matched"
+Use the matched pole/zero equivalent transformation (currently only
+works for purely continuous @acronym{SISO} systems).
+@end table
+@item t
+sampling time; required if @var{sys} is purely continuous.
 
-@noindent
-Each row of @var{y} and @var{x} is an observation and each column a
-variable.  The return values @var{beta}, @var{v}, and @var{r} are
-defined as follows.
+@strong{Note} that if the second argument is not a string, @code{c2d()}
+assumes that the second argument is @var{t} and performs 
+appropriate argument checks.
+@end table
 
+@strong{Output}
 @table @var
-@item beta
-The GLS estimator for @math{b}.
-
-@item v
-The GLS estimator for @math{s^2}.
-
-@item r
-The matrix of GLS residuals, @math{r = y - x beta}.
+@item dsys 
+Discrete time equivalent via zero-order hold, sample each @var{t} sec.
 @end table
+
+This function adds the suffix  @code{_d}
+to the names of the new discrete states.
 @end deftypefn
-iqr
+is_controllable
 -*- texinfo -*-
-@deftypefn {Function File} {} iqr (@var{x}, @var{dim})
-If @var{x} is a vector, return the interquartile range, i.e., the
-difference between the upper and lower quartile, of the input data.
+@deftypefn {Function File} {[@var{retval}, @var{u}] =} is_controllable (@var{sys}, @var{tol})
+@deftypefnx {Function File} {[@var{retval}, @var{u}] =} is_controllable (@var{a}, @var{b}, @var{tol})
+Logical check for system controllability.
 
-If @var{x} is a matrix, do the above for first non singleton
-dimension of @var{x}. If the option @var{dim} argument is given,
-then operate along this dimension.
+@strong{Inputs}
+@table @var
+@item sys
+system data structure
+@item a
+@itemx b
+@var{n} by @var{n}, @var{n} by @var{m} matrices, respectively
+@item tol
+optional roundoff parameter.  Default value: @code{10*eps}
+@end table
+
+@strong{Outputs}
+@table @var
+@item retval
+Logical flag; returns true (1) if the system @var{sys} or the
+pair (@var{a}, @var{b}) is controllable, whichever was passed as input
+arguments.
+@item u
+@var{u} is an orthogonal basis of the controllable subspace.
+@end table
+
+@strong{Method}
+Controllability is determined by applying Arnoldi iteration with
+complete re-orthogonalization to obtain an orthogonal basis of the
+Krylov subspace
+@example
+span ([b,a*b,...,a^@{n-1@}*b]).
+@end example
+The Arnoldi iteration is executed with @code{krylov} if the system
+has a single input; otherwise a block Arnoldi iteration is performed
+with @code{krylovb}.
+@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
+is_observable, is_stabilizable, is_detectable, krylov, krylovb}
 @end deftypefn
-kendall
+ord2
 -*- texinfo -*-
-@deftypefn {Function File} {} kendall (@var{x}, @var{y})
-Compute Kendall's @var{tau} for each of the variables specified by
-the input arguments.
-
-For matrices, each row is an observation and each column a variable;
-vectors are always observations and may be row or column vectors.
-
-@code{kendall (@var{x})} is equivalent to @code{kendall (@var{x},
-@var{x})}.
+@deftypefn {Function File} {} ord2 (@var{nfreq}, @var{damp}, @var{gain})
+Creates a continuous 2nd order system with parameters:
 
-For two data vectors @var{x}, @var{y} of common length @var{n},
-Kendall's @var{tau} is the correlation of the signs of all rank
-differences of @var{x} and @var{y};  i.e., if both @var{x} and
-@var{y} have distinct entries, then
+@strong{Inputs}
+@table @var
+@item nfreq
+natural frequency [Hz]. (not in rad/s)
+@item damp
+damping coefficient
+@item gain
+dc-gain
+This is steady state value only for damp > 0.
+gain is assumed to be 1.0 if omitted.
+@end table
 
+@strong{Output}
+@table @var
+@item outsys
+system data structure has representation with 
+@ifinfo
+@math{w = 2 * pi * nfreq}:
+@end ifinfo
 @iftex
 @tex
-$$ \tau = {1 \over n(n-1)} \sum_{i,j} {\rm sign}(q_i-q_j) {\rm sign}(r_i-r_j) $$
+$ w = 2  \pi  f $:
 @end tex
 @end iftex
-@ifinfo
 @example
-         1    
-tau = -------   SUM sign (q(i) - q(j)) * sign (r(i) - r(j))
-      n (n-1)   i,j
+@group
+    /                                        \
+    | / -2w*damp -w \  / w \                 |
+G = | |             |, |   |, [ 0  gain ], 0 |
+    | \   w       0 /  \ 0 /                 |
+    \                                        /
+@end group
 @end example
-@end ifinfo
+@end table
+@strong{See also} @command{jet707} (@acronym{MIMO} example, Boeing 707-321
+aircraft model)
+@end deftypefn
+d2c
+-*- texinfo -*-
+@deftypefn {Function File} {} d2c (@var{sys}, @var{tol})
+@deftypefnx {Function File} {} d2c (@var{sys}, @var{opt})
+Convert a discrete (sub)system into a purely continuous one. 
+The sampling time used is @code{sysgettsam(@var{sys})}.
 
-@noindent
-in which the
-@iftex
-@tex
-$q_i$ and $r_i$
-@end tex
-@end iftex
-@ifinfo
-@var{q}(@var{i}) and @var{r}(@var{i})
-@end ifinfo
- are the ranks of
-@var{x} and @var{y}, respectively.
+@strong{Inputs}
+@table @var
+@item   sys
+system data structure with discrete components
+@item   tol
+Scalar value.
+Tolerance for convergence of default @code{"log"} option (see below)
+@item   opt
+conversion option.  Choose from:
+@table @code
+@item         "log"
+(default) Conversion is performed via a matrix logarithm.
+Due to some problems with this computation, it is
+followed by a steepest descent algorithm to identify continuous time
+@var{a}, @var{b}, to get a better fit to the original data.
 
-If @var{x} and @var{y} are drawn from independent distributions,
-Kendall's @var{tau} is asymptotically normal with mean 0 and variance
-@iftex
-@tex
-${2 (2n+5) \over 9n(n-1)}$.
-@end tex
-@end iftex
-@ifnottex
-@code{(2 * (2@var{n}+5)) / (9 * @var{n} * (@var{n}-1))}.
-@end ifnottex
+If called as @code{d2c (@var{sys}, @var{tol})}, with @var{tol}
+positive scalar, the @code{"log"} option is used.  The default value
+for @var{tol} is @code{1e-8}.
+@item        "bi"
+Conversion is performed via bilinear transform
+@math{z = (1 + s T / 2)/(1 - s T / 2)} where @math{T} is the
+system sampling time (see @code{sysgettsam}).
+
+FIXME: bilinear option exits with an error if @var{sys} is not purely
+discrete
+@end table
+@end table
+@strong{Output}
+@table @var
+@item csys 
+continuous time system (same dimensions and signal names as in @var{sys}).
+@end table
 @end deftypefn
-kurtosis
+syscont
 -*- texinfo -*-
-@deftypefn {Function File} {} kurtosis (@var{x}, @var{dim})
-If @var{x} is a vector of length @math{N}, return the kurtosis
-@iftex
-@tex
-$$
- {\rm kurtosis} (x) = {1\over N \sigma(x)^4} \sum_{i=1}^N (x_i-\bar{x})^4 - 3
-$$
-where $\bar{x}$ is the mean value of $x$.
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {[@var{csys}, @var{acd}, @var{ccd}] =} syscont (@var{sys})
+Extract the purely continuous subsystem of an input system.
 
-@example
-kurtosis (x) = N^(-1) std(x)^(-4) sum ((x - mean(x)).^4) - 3
-@end example
-@end ifinfo
+@strong{Input}
+@table @var
+@item sys
+system data structure.
+@end table
 
-@noindent
-of @var{x}.  If @var{x} is a matrix, return the kurtosis over the
-first non-singleton dimension. The optional argument @var{dim}
-can be given to force the kurtosis to be given over that 
-dimension.
+@strong{Outputs}
+@table @var
+@item csys
+is the purely continuous input/output connections of @var{sys}
+@item acd
+@itemx ccd
+connections from discrete states to continuous states,
+discrete states to continuous outputs, respectively.
+
+If no continuous path exists, @var{csys} will be empty.
+@end table
 @end deftypefn
-logit
+sysgroup
 -*- texinfo -*-
-@deftypefn {Function File} {} logit (@var{p})
-For each component of @var{p}, return the logit of @var{p} defined as
-@iftex
-@tex
-$$
-{\rm logit}(p) = \log\Big({p \over 1-p}\Big)
-$$
-@end tex
-@end iftex
-@ifnottex
+@deftypefn {Function File} {@var{sys} =} sysgroup (@var{asys}, @var{bsys})
+Combines two systems into a single system.
+
+@strong{Inputs}
+@table @var
+@item asys
+@itemx bsys
+System data structures.
+@end table
+
+@strong{Output}
+@table @var
+@item sys
+@math{sys = @r{block diag}(asys,bsys)}
+@end table
 @example
-logit(@var{p}) = log (@var{p} / (1-@var{p}))
+@group
+         __________________
+         |    ________    |
+u1 ----->|--> | asys |--->|----> y1
+         |    --------    |
+         |    ________    |
+u2 ----->|--> | bsys |--->|----> y2
+         |    --------    |
+         ------------------
+              Ksys
+@end group
 @end example
-@end ifnottex
+The function also rearranges the internal state-space realization of @var{sys}
+so that the continuous states come first and the discrete states come last.
+If there are duplicate names, the second name has a unique suffix appended
+on to the end of the name.
 @end deftypefn
-mahalanobis
+sysidx
 -*- texinfo -*-
-@deftypefn {Function File} {} mahalanobis (@var{x}, @var{y})
-Return the Mahalanobis' D-square distance between the multivariate
-samples @var{x} and @var{y}, which must have the same number of
-components (columns), but may have a different number of observations
-(rows).
+@deftypefn {Function File} {} sysidx (@var{sys}, @var{sigtype}, @var{signamelist})
+Return indices of signals with specified signal names
+inputs given a system data structure @var{sys}, a signal type to be
+selected @var{sigtype} (@code{"in"}, @code{"out"}, @code{"st"}), and
+a list of desired signal names @var{signamelist}.
 @end deftypefn
-mean
+is_stable
 -*- texinfo -*-
-@deftypefn {Function File} {} mean (@var{x}, @var{dim}, @var{opt})
-If @var{x} is a vector, compute the mean of the elements of @var{x}
-@iftex
-@tex
-$$ {\rm mean}(x) = \bar{x} = {1\over N} \sum_{i=1}^N x_i $$
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {} is_stable (@var{a}, @var{tol}, @var{dflg})
+@deftypefnx {Function File} {} is_stable (@var{sys}, @var{tol})
+Returns 1 if the matrix @var{a} or the system @var{sys}
+is stable, or 0 if not.
+
+@strong{Inputs}
+@table @var
+@item  tol
+is a roundoff parameter, set to 200*@code{eps} if omitted.
+@item dflg
+Digital system flag (not required for system data structure):
+@table @code
+@item @var{dflg} != 0
+stable if eig(a) is in the unit circle
+
+@item @var{dflg} == 0
+stable if eig(a) is in the open LHP (default)
+@end table
+@end table
+@seealso{size, rows, columns, length, ismatrix, isscalar, isvector
+is_observable, is_stabilizable, is_detectable, krylov, krylovb}
+@end deftypefn
+moddemo
+-*- texinfo -*-
+@deftypefn {Function File} {} moddemo (@var{inputs})
+Octave Control toolbox demo: Model Manipulations demo.
+@end deftypefn
+sys2ss
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{a}, @var{b}, @var{c}, @var{d}, @var{tsam}, @var{n}, @var{nz}, @var{stname}, @var{inname}, @var{outname}, @var{yd}] =} sys2ss (@var{sys})
+Extract state space representation from system data structure.
+
+@strong{Input}
+@table @var
+@item sys
+System data structure.
+@end table
 
-@example
-mean (x) = SUM_i x(i) / N
-@end example
-@end ifinfo
-If @var{x} is a matrix, compute the mean for each column and return them
-in a row vector.
+@strong{Outputs}
+@table @var
+@item a
+@itemx b
+@itemx c
+@itemx d
+State space matrices for @var{sys}.
 
-With the optional argument @var{opt}, the kind of mean computed can be
-selected.  The following options are recognized:
+@item tsam
+Sampling time of @var{sys} (0 if continuous).
 
-@table @code
-@item "a"
-Compute the (ordinary) arithmetic mean.  This is the default.
+@item n
+@itemx nz
+Number of continuous, discrete states (discrete states come
+last in state vector @var{x}).
 
-@item "g"
-Compute the geometric mean.
+@item stname
+@itemx inname
+@itemx outname
+Signal names (lists of strings);  names of states,
+inputs, and outputs, respectively.
 
-@item "h"
-Compute the harmonic mean.
-@end table
+@item yd
+Binary vector; @var{yd}(@var{ii}) is 1 if output @var{y}(@var{ii})
+is discrete (sampled); otherwise  @var{yd}(@var{ii}) is 0.
 
-If the optional argument @var{dim} is supplied, work along dimension
-@var{dim}.
+@end table
+A warning massage is printed if the system is a mixed
+continuous and discrete system.
 
-Both @var{dim} and @var{opt} are optional.  If both are supplied,
-either may appear first.
-@end deftypefn
-meansq
--*- texinfo -*-
-@deftypefn {Function File} {} meansq (@var{x})
-@deftypefnx {Function File} {} meansq (@var{x}, @var{dim})
-For vector arguments, return the mean square of the values.
-For matrix arguments, return a row vector containing the mean square
-of each column. With the optional @var{dim} argument, returns the
-mean squared of the values along this dimension.
+@strong{Example}
+@example
+octave:1> sys=tf2sys([1 2],[3 4 5]);
+octave:2> [a,b,c,d] = sys2ss(sys)
+a =
+   0.00000   1.00000
+  -1.66667  -1.33333
+b =
+  0
+  1
+c = 0.66667  0.33333
+d = 0
+@end example
 @end deftypefn
-median
+sys2zp
 -*- texinfo -*-
-@deftypefn {Function File} {} median (@var{x}, @var{dim})
-If @var{x} is a vector, compute the median value of the elements of
-@var{x}. If the elements of @var{x} are sorted, the median is defined
-as
-@iftex
-@tex
-$$
-{\rm median} (x) =
-  \cases{x(\lceil N/2\rceil), & $N$ odd;\cr
-          (x(N/2)+x(N/2+1))/2, & $N$ even.}
-$$
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {[@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname}] =} sys2zp (@var{sys})
+Extract zero/pole/leading coefficient information from a system data
+structure.
+
+See @command{zp} for parameter descriptions.
 
+@strong{Example}
 @example
-@group
-            x(ceil(N/2)),             N odd
-median(x) =
-            (x(N/2) + x((N/2)+1))/2,  N even
-@end group
+octave:1> sys=ss([1 -2; -1.1,-2.1],[0;1],[1 1]);
+octave:2> [zer,pol,k] = sys2zp(sys)
+zer = 3.0000
+pol =
+  -2.6953
+   1.5953
+k = 1
 @end example
-@end ifinfo
-If @var{x} is a matrix, compute the median value for each
-column and return them in a row vector. If the optional @var{dim}
-argument is given, operate along this dimension.
-@seealso{std, mean}
 @end deftypefn
-mode
+tfout
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{m}, @var{f}, @var{c}] =} mode (@var{x}, @var{dim})
-Count the most frequently appearing value. @code{mode} counts the 
-frequency along the first non-singleton dimension and if two or more
-values have te same frequency returns the smallest of the two in
-@var{m}. The dimension along which to count can be specified by the
-@var{dim} parameter.
-
-The variable @var{f} counts the frequency of each of the most frequently 
-occurring elements. The cell array @var{c} contains all of the elements
-with the maximum frequency .
+@deftypefn {Function File} {} tfout (@var{num}, @var{denom}, @var{x})
+Print formatted transfer function @math{n(s)/d(s)} to the screen.
+@var{x} defaults to the string @code{"s"}
+@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
+filter, polyderiv, polyinteg, polyout}
 @end deftypefn
-moment
+is_sample
 -*- texinfo -*-
-@deftypefn {Function File} {} moment (@var{x}, @var{p}, @var{opt}, @var{dim})
-If @var{x} is a vector, compute the @var{p}-th moment of @var{x}.
-
-If @var{x} is a matrix, return the row vector containing the
-@var{p}-th moment of each column.
-
-With the optional string opt, the kind of moment to be computed can
-be specified.  If opt contains @code{"c"} or @code{"a"}, central
-and/or absolute moments are returned.  For example,
+@deftypefn {Function File} {} is_sample (@var{ts})
+Return true if @var{ts} is a valid sampling time
+(real, scalar, > 0).
+@end deftypefn
+is_observable
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{retval}, @var{u}] =} is_observable (@var{a}, @var{c}, @var{tol})
+@deftypefnx {Function File} {[@var{retval}, @var{u}] =} is_observable (@var{sys}, @var{tol})
+Logical check for system observability.
 
-@example
-moment (x, 3, "ac")
-@end example
+Default: tol = @code{tol = 10*norm(a,'fro')*eps}
 
-@noindent
-computes the third central absolute moment of @var{x}.
+Returns 1 if the system @var{sys} or the pair (@var{a}, @var{c}) is
+observable, 0 if not.
 
-If the optional argument @var{dim} is supplied, work along dimension
-@var{dim}.
+See @command{is_controllable} for detailed description of arguments
+and default values.
+@seealso{size, rows, columns, length, ismatrix, isscalar, isvector}
 @end deftypefn
-ols
+__sysdefstname__
+Undocumented internal function.
+sysgetsignals
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{beta}, @var{sigma}, @var{r}] =} ols (@var{y}, @var{x})
-Ordinary least squares estimation for the multivariate model
-@iftex
-@tex
-$y = x b + e$
-with
-$\bar{e} = 0$, and cov(vec($e$)) = kron ($s, I$)
-@end tex
-@end iftex
-@ifinfo
-@math{y = x b + e} with
-@math{mean (e) = 0} and @math{cov (vec (e)) = kron (s, I)}.
-@end ifinfo
- where
-@iftex
-@tex
-$y$ is a $t \times p$ matrix, $x$ is a $t \times k$ matrix,
-$b$ is a $k \times p$ matrix, and $e$ is a $t \times p$ matrix.
-@end tex
-@end iftex
-@ifinfo
-@math{y} is a @math{t} by @math{p} matrix, @math{x} is a @math{t} by
-@math{k} matrix, @math{b} is a @math{k} by @math{p} matrix, and
-@math{e} is a @math{t} by @math{p} matrix.
-@end ifinfo
-
-Each row of @var{y} and @var{x} is an observation and each column a
-variable.
-
-The return values @var{beta}, @var{sigma}, and @var{r} are defined as
-follows.
+@deftypefn {Function File} {[@var{stname}, @var{inname}, @var{outname}, @var{yd}] =} sysgetsignals (@var{sys})
+@deftypefnx {Function File} {@var{siglist} =} sysgetsignals (@var{sys}, @var{sigid})
+@deftypefnx {Function File} {@var{signame} =} sysgetsignals (@var{sys}, @var{sigid}, @var{signum}, @var{strflg})
+Get signal names from a system
 
+@strong{Inputs}
 @table @var
-@item beta
-The OLS estimator for @var{b}, @code{@var{beta} = pinv (@var{x}) *
-@var{y}}, where @code{pinv (@var{x})} denotes the pseudoinverse of
-@var{x}.
-
-@item sigma
-The OLS estimator for the matrix @var{s},
-
-@example
-@group
-@var{sigma} = (@var{y}-@var{x}*@var{beta})'
-  * (@var{y}-@var{x}*@var{beta})
-  / (@var{t}-rank(@var{x}))
-@end group
-@end example
+@item sys
+system data structure for the state space system
 
-@item r
-The matrix of OLS residuals, @code{@var{r} = @var{y} - @var{x} *
-@var{beta}}.
+@item sigid
+signal id.  String.  Must be one of
+@table @code
+@item "in"
+input signals
+@item "out"
+output signals
+@item "st"
+stage signals
+@item "yd"
+value of logical vector @var{yd}
 @end table
-@end deftypefn
-ppplot
--*- texinfo -*-
-@deftypefn {Function File} {[@var{p}, @var{y}] =} ppplot (@var{x}, @var{dist}, @var{params})
-Perform a PP-plot (probability plot).
 
-If F is the CDF of the distribution @var{dist} with parameters
-@var{params} and @var{x} a sample vector of length @var{n}, the
-PP-plot graphs ordinate @var{y}(@var{i}) = F (@var{i}-th largest
-element of @var{x}) versus abscissa @var{p}(@var{i}) = (@var{i} -
-0.5)/@var{n}.  If the sample comes from F, the pairs will
-approximately follow a straight line.
+@item signum
+index(indices) or name(s) or signals; see @code{sysidx}
 
-The default for @var{dist} is the standard normal distribution.  The
-optional argument @var{params} contains a list of parameters of
-@var{dist}.  For example, for a probability plot of the uniform
-distribution on [2,4] and @var{x}, use
+@item strflg
+flag to return a string instead of a cell array;  Values:
+@table @code
+@item 0
+(default) return a cell array (even if signum specifies an individual signal)
 
-@example
-ppplot (x, "uniform", 2, 4)
-@end example
+@item 1
+return a string.  Exits with an error if signum does not specify an 
+individual signal.
+@end table
 
-@noindent
-@var{dist} can be any string for which a function @var{dist_cdf}
-that calculates the CDF of distribution @var{dist} exists.
+@end table
 
-If no output arguments are given, the data are plotted directly.
-@end deftypefn
-probit
--*- texinfo -*-
-@deftypefn {Function File} {} probit (@var{p})
-For each component of @var{p}, return the probit (the quantile of the
-standard normal distribution) of @var{p}.
-@end deftypefn
-qqplot
--*- texinfo -*-
-@deftypefn {Function File} {[@var{q}, @var{s}] =} qqplot (@var{x}, @var{dist}, @var{params})
-Perform a QQ-plot (quantile plot).
+@strong{Outputs}
+@table @bullet
+@item If @var{sigid} is not specified:
+@table @var
+@item stname
+@itemx inname
+@itemx outname
+signal names (cell array of strings);  names of states,
+inputs, and outputs, respectively.
+@item yd
+binary vector; @var{yd}(@var{ii}) is nonzero if output @var{ii} is
+discrete.
+@end table
 
-If F is the CDF of the distribution @var{dist} with parameters
-@var{params} and G its inverse, and @var{x} a sample vector of length
-@var{n}, the QQ-plot graphs ordinate @var{s}(@var{i}) = @var{i}-th
-largest element of x versus abscissa @var{q}(@var{i}f) = G((@var{i} -
-0.5)/@var{n}).
+@item If @var{sigid} is specified but @var{signum} is not specified:
+@table @code
+@item sigid="in"
+@var{siglist} is set to the cell array of input names.
 
-If the sample comes from F except for a transformation of location
-and scale, the pairs will approximately follow a straight line.
+@item sigid="out"
+@var{siglist} is set to the cell array of output names.
 
-The default for @var{dist} is the standard normal distribution.  The
-optional argument @var{params} contains a list of parameters of
-@var{dist}.  For example, for a quantile plot of the uniform
-distribution on [2,4] and @var{x}, use
+@item sigid="st"
+@var{siglist} is set to the cell array of state names.
 
-@example
-qqplot (x, "uniform", 2, 4)
-@end example
+stage signals
+@item sigid="yd"
+@var{siglist} is set to logical vector indicating discrete outputs;
+@var{siglist}(@var{ii}) = 0 indicates that output @var{ii} is continuous
+(unsampled), otherwise it is discrete.
 
-@noindent
-@var{dist} can be any string for which a function @var{dist_inv}
-that calculates the inverse CDF of distribution @var{dist} exists.
+@end table
 
-If no output arguments are given, the data are plotted directly.
-@end deftypefn
-range
--*- texinfo -*-
-@deftypefn {Function File} {} range (@var{x})
-@deftypefnx {Function File} {} range (@var{x}, @var{dim})
-If @var{x} is a vector, return the range, i.e., the difference
-between the maximum and the minimum, of the input data.
+@item If the first three input arguments are specified:
+@var{signame} is a cell array of the specified signal names (@var{sigid} is 
+@code{"in"}, @code{"out"}, or @code{"st"}), or else the logical flag
+indicating whether output(s) @var{signum} is(are) discrete (@var{sigval}=1)
+or continuous (@var{sigval}=0).
+@end table
 
-If @var{x} is a matrix, do the above for each column of @var{x}.
+@strong{Examples} (From @code{sysrepdemo})
+@example
+octave> sys=ss(rand(4),rand(4,2),rand(3,4));
+octave># get all signal names
+octave> [Ast,Ain,Aout,Ayd] = sysgetsignals(sys)
+Ast =
+(
+  [1] = x_1
+  [2] = x_2
+  [3] = x_3
+  [4] = x_4
+)
+Ain =
+(
+  [1] = u_1
+  [2] = u_2
+)
+Aout =
+(
+  [1] = y_1
+  [2] = y_2
+  [3] = y_3
+)
+Ayd =
 
-If the optional argument @var{dim} is supplied, work along dimension
-@var{dim}.
+  0  0  0
+octave> # get only input signal names:
+octave> Ain = sysgetsignals(sys,"in")
+Ain =
+(
+  [1] = u_1
+  [2] = u_2
+)
+octave> # get name of output 2 (in cell array):
+octave> Aout = sysgetsignals(sys,"out",2)
+Aout =
+(
+  [1] = y_2
+)
+octave> # get name of output 2 (as string):
+octave> Aout = sysgetsignals(sys,"out",2,1)
+Aout = y_2
+@end example
 @end deftypefn
-ranks
+sysmin
 -*- texinfo -*-
-@deftypefn {Function File} {} ranks (@var{x}, @var{dim})
-If @var{x} is a vector, return the (column) vector of ranks of
-@var{x} adjusted for ties.
+@deftypefn {Function File} {[@var{retsys}, @var{nc}, @var{no}] =} sysmin (@var{sys}, @var{flg})
+Returns a minimal (or reduced order) system
 
-If @var{x} is a matrix, do the above for along the first 
-non-singleton dimension. If the optional argument @var{dim} is
-given, operate along this dimension.
-@end deftypefn
-run_count
--*- texinfo -*-
-@deftypefn {Function File} {} run_count (@var{x}, @var{n})
-Count the upward runs along the first non-singleton dimension of
-@var{x} of length 1, 2, @dots{}, @var{n}-1 and greater than or equal 
-to @var{n}. If the optional argument @var{dim} is given operate
-along this dimension
+@strong{Inputs}
+@table @var
+@item sys
+System data structure
+@item flg
+When equal to 0 (default value), returns minimal system,
+in which state names are lost; when equal to 1, returns system 
+with physical states removed that are either uncontrollable or 
+unobservable (cannot reduce further without discarding physical
+meaning of states).
+@end table
+@strong{Outputs}
+@table @var
+@item retsys
+Returned system.
+@item nc
+Number of controllable states in the returned system.
+@item no
+Number of observable states in the returned system.
+@item cflg
+@code{is_controllable(retsys)}.
+@item oflg
+@code{is_observable(retsys)}.
+@end table
 @end deftypefn
-skewness
+starp
 -*- texinfo -*-
-@deftypefn {Function File} {} skewness (@var{x}, @var{dim})
-If @var{x} is a vector of length @math{n}, return the skewness
-@iftex
-@tex
-$$
-{\rm skewness} (x) = {1\over N \sigma(x)^3} \sum_{i=1}^N (x_i-\bar{x})^3
-$$
-where $\bar{x}$ is the mean value of $x$.
-@end tex
-@end iftex
-@ifinfo
+@deftypefn {Function File} {} starp (@var{P}, @var{K}, @var{ny}, @var{nu})
 
+Redheffer star product or upper/lower LFT, respectively.
 @example
-skewness (x) = N^(-1) std(x)^(-3) sum ((x - mean(x)).^3)
-@end example
-@end ifinfo
-
-@noindent
-of @var{x}.  If @var{x} is a matrix, return the skewness along the
-first non-singleton dimension of the matrix. If the optional
-@var{dim} argument is given, operate along this dimension.
-@end deftypefn
-spearman
--*- texinfo -*-
-@deftypefn {Function File} {} spearman (@var{x}, @var{y})
-Compute Spearman's rank correlation coefficient @var{rho} for each of
-the variables specified by the input arguments.
-
-For matrices, each row is an observation and each column a variable;
-vectors are always observations and may be row or column vectors.
-
-@code{spearman (@var{x})} is equivalent to @code{spearman (@var{x},
-@var{x})}.
-
-For two data vectors @var{x} and @var{y}, Spearman's @var{rho} is the
-correlation of the ranks of @var{x} and @var{y}.
+@group
 
-If @var{x} and @var{y} are drawn from independent distributions,
-@var{rho} has zero mean and variance @code{1 / (n - 1)}, and is
-asymptotically normally distributed.
-@end deftypefn
-statistics
--*- texinfo -*-
-@deftypefn {Function File} {} statistics (@var{x})
-If @var{x} is a matrix, return a matrix with the minimum, first
-quartile, median, third quartile, maximum, mean, standard deviation,
-skewness and kurtosis of the columns of @var{x} as its rows.
+               +-------+
+     --------->|       |--------->
+               |   P   |
+          +--->|       |---+  ny
+          |    +-------+   |
+          +-------------------+
+                           |  |
+          +----------------+  |
+          |                   |
+          |    +-------+      |
+          +--->|       |------+ nu
+               |   K   |
+     --------->|       |--------->
+               +-------+
+@end group
+@end example
+If @var{ny} and @var{nu} ``consume'' all inputs and outputs of
+@var{K} then the result is a lower fractional transformation. 
+If @var{ny} and @var{nu} ``consume'' all inputs and outputs of 
+@var{P} then the result is an upper fractional transformation.
 
-If @var{x} is a vector, treat it as a column vector.
+@var{ny} and/or @var{nu} may be negative (i.e. negative feedback).
 @end deftypefn
-std
+ss2tf
 -*- texinfo -*-
-@deftypefn {Function File} {} std (@var{x})
-@deftypefnx {Function File} {} std (@var{x}, @var{opt})
-@deftypefnx {Function File} {} std (@var{x}, @var{opt}, @var{dim})
-If @var{x} is a vector, compute the standard deviation of the elements
-of @var{x}.
+@deftypefn {Function File} {[@var{num}, @var{den}] =} ss2tf (@var{a}, @var{b}, @var{c}, @var{d})
+Conversion from transfer function to state-space.
+The state space system:
 @iftex
 @tex
-$$
-{\rm std} (x) = \sigma (x) = \sqrt{{\sum_{i=1}^N (x_i - \bar{x})^2 \over N - 1}}
-$$
-where $\bar{x}$ is the mean value of $x$.
+$$ \dot x = Ax + Bu $$
+$$ y = Cx + Du $$
 @end tex
 @end iftex
-@ifnottex
-
+@ifinfo
 @example
-@group
-std (x) = sqrt (sumsq (x - mean (x)) / (n - 1))
-@end group
+      .
+      x = Ax + Bu
+      y = Cx + Du
 @end example
-@end ifnottex
-If @var{x} is a matrix, compute the standard deviation for
-each column and return them in a row vector.
+@end ifinfo
 
-The argument @var{opt} determines the type of normalization to use. Valid values
-are
+is converted to a transfer function:
+@iftex
+@tex
+$$ G(s) = { { \rm num }(s) \over { \rm den }(s) } $$
+@end tex
+@end iftex
+@ifinfo
+@example
 
-@table @asis 
-@item 0:
-  normalizes with @math{N-1}, provides the square root of best unbiased estimator of 
-  the variance [default]
-@item 1:
-  normalizes with @math{N}, this provides the square root of the second moment around 
-  the mean
-@end table
+                num(s)
+          G(s)=-------
+                den(s)
+@end example
+@end ifinfo
 
-The third argument @var{dim} determines the dimension along which the standard
-deviation is calculated.
-@seealso{mean, median}
+used internally in system data structure format manipulations.
 @end deftypefn
-studentize
+zp2tf
 -*- texinfo -*-
-@deftypefn {Function File} {} studentize (@var{x}, @var{dim})
-If @var{x} is a vector, subtract its mean and divide by its standard
-deviation.
+@deftypefn {Function File} {[@var{num}, @var{den}] =} zp2tf (@var{zer}, @var{pol}, @var{k})
+Converts zeros / poles to a transfer function.
 
-If @var{x} is a matrix, do the above along the first non-singleton
-dimension. If the optional argument @var{dim} is given then operate
-along this dimension.
+@strong{Inputs}
+@table @var
+@item zer
+@itemx pol
+Vectors of (possibly complex) poles and zeros of a transfer
+function.  Complex values must appear in conjugate pairs.
+@item k
+Real scalar (leading coefficient).
+@end table
 @end deftypefn
-table
+syssetsignals
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{t}, @var{l_x}] =} table (@var{x})
-@deftypefnx {Function File} {[@var{t}, @var{l_x}, @var{l_y}] =} table (@var{x}, @var{y})
-Create a contingency table @var{t} from data vectors.  The @var{l}
-vectors are the corresponding levels.
+@deftypefn {Function File} {} syssetsignals (@var{sys}, @var{opt}, @var{names}, @var{sig_idx})
+change the names of selected inputs, outputs and states.
 
-Currently, only 1- and 2-dimensional tables are supported.
-@end deftypefn
-values
--*- texinfo -*-
-@deftypefn {Function File} {} values (@var{x})
-Return the different values in a column vector, arranged in ascending
-order.
+@strong{Inputs}
+@table @var
+@item sys
+System data structure.
 
-As an example, @code{values([1, 2, 3, 1])} returns the vector
-@code{[1, 2, 3]}.
-@end deftypefn
-var
--*- texinfo -*-
-@deftypefn {Function File} {} var (@var{x})
-For vector arguments, return the (real) variance of the values.
-For matrix arguments, return a row vector containing the variance for
-each column.
+@item opt
+Change default name (output).
 
-The argument @var{opt} determines the type of normalization to use.
-Valid values are
+@table @code
+@item "out"
+Change selected output names.
+@item "in"
+Change selected input names.
+@item "st"
+Change selected state names.
+@item "yd"
+Change selected outputs from discrete to continuous or
+from continuous to discrete.
+@end table
 
-@table @asis 
-@item 0:
-Normalizes with @math{N-1}, provides the best unbiased estimator of the
-variance [default].
-@item 1:
-Normalizes with @math{N}, this provides the second moment around the mean.
+@item names
+@table @code
+@item opt = "out", "in", "st"
+string or string array containing desired signal names or values.
+@item opt = "yd"
+To desired output continuous/discrete flag.
+Set name to 0 for continuous, or 1 for discrete.
 @end table
+@item sig_idx
+indices or names of outputs, yd, inputs, or
+states whose respective names/values should be changed.
 
-The third argument @var{dim} determines the dimension along which the 
-variance is calculated.
-@end deftypefn
-betacdf
--*- texinfo -*-
-@deftypefn {Function File} {} betacdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, returns the CDF at @var{x} of the beta
-distribution with parameters @var{a} and @var{b}, i.e.,
-PROB (beta (@var{a}, @var{b}) <= @var{x}).
-@end deftypefn
-betainv
--*- texinfo -*-
-@deftypefn {Function File} {} betainv (@var{x}, @var{a}, @var{b})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Beta distribution with parameters @var{a}
-and @var{b}.
+Default: replace entire cell array of names/entire yd vector.
+@end table
+
+@strong{Outputs}
+@table @var
+@item retsys
+@var{sys} with appropriate signal names changed
+(or @var{yd} values, where appropriate).
+@end table
+
+@strong{Example}
+@example
+octave:1> sys=ss ([1 2; 3 4],[5;6],[7 8]);
+octave:2> sys = syssetsignals (sys, "st",
+>                              str2mat("Posx","Velx"));
+octave:3> sysout(sys)
+Input(s)
+        1: u_1
+Output(s):
+        1: y_1
+state-space form:
+2 continuous states, 0 discrete states
+State(s):
+        1: Posx
+        2: Velx
+A matrix: 2 x 2
+  1  2
+  3  4
+B matrix: 2 x 1
+  5
+  6
+C matrix: 1 x 2
+  7  8
+D matrix: 1 x 1
+0
+@end example
 @end deftypefn
-betapdf
+sys2tf
 -*- texinfo -*-
-@deftypefn {Function File} {} betapdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, returns the PDF at @var{x} of the beta
-distribution with parameters @var{a} and @var{b}.
+@deftypefn {Function File} {[@var{num}, @var{den}, @var{tsam}, @var{inname}, @var{outname}] =} sys2tf (@var{sys})
+Extract transfer function data from a system data structure.
+
+See @command{tf} for parameter descriptions.
+
+@strong{Example}
+@example
+octave:1> sys=ss([1 -2; -1.1,-2.1],[0;1],[1 1]);
+octave:2> [num,den] = sys2tf(sys)
+num = 1.0000  -3.0000
+den = 1.0000   1.1000  -4.3000
+@end example
 @end deftypefn
-betarnd
+is_digital
 -*- texinfo -*-
-@deftypefn {Function File} {} betarnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} betarnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
-random samples from the Beta distribution with parameters @var{a} and
-@var{b}.  Both @var{a} and @var{b} must be scalar or of size @var{r}
- by @var{c}.
+@deftypefn {Function File} {@var{digital} =} is_digital (@var{sys}, @var{eflg})
+Return nonzero if system is digital.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
+@strong{Inputs}
+@table @var
+@item sys
+System data structure.
+@item eflg
+When equal to 0 (default value), exits with an error if the system 
+is mixed (continuous and discrete components); when equal to 1, print
+a warning if the system is mixed (continuous and discrete); when equal
+to 2, operate silently.
+@end table
+
+@strong{Output}
+@table @var
+@item digital
+When equal to 0, the system is purely continuous; when equal to 1, the
+system is purely discrete; when equal to -1, the system is mixed continuous 
+and discrete.
+@end table
+Exits with an error if @var{sys} is a mixed (continuous and discrete) system.
 @end deftypefn
-binocdf
+__tfl__
+Undocumented internal function.
+sysmult
 -*- texinfo -*-
-@deftypefn {Function File} {} binocdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the CDF at @var{x} of the
-binomial distribution with parameters @var{n} and @var{p}.
+@deftypefn {Function File} {@var{sys} =} sysmult (@var{Asys}, @var{Bsys})
+Compute @math{sys = Asys*Bsys} (series connection):
+@example
+@group
+u   ----------     ----------
+--->|  Bsys  |---->|  Asys  |--->
+    ----------     ----------
+@end group
+@end example
+A warning occurs if there is direct feed-through from an input 
+or a continuous state of @var{Bsys}, through a discrete output 
+of @var{Bsys}, to a continuous state or output in @var{Asys}
+(system data structure does not recognize discrete inputs).
 @end deftypefn
-binoinv
+__abcddims__
+Undocumented internal function.
+zp2sys
 -*- texinfo -*-
-@deftypefn {Function File} {} binoinv (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-binomial distribution with parameters @var{n} and @var{p}.
+@deftypefn {Function File} {} zp2sys (@var{zer}, @var{pol}, @var{k}, @var{tsam}, @var{inname}, @var{outname})
+Create system data structure from zero-pole data.
+
+@strong{Inputs}
+@table @var
+@item   zer
+Vector of system zeros.
+@item   pol
+Vector of system poles.
+@item   k
+Scalar leading coefficient.
+@item   tsam
+Sampling period; default: 0 (continuous system).
+@item   inname
+@itemx  outname
+Input/output signal names (lists of strings).
+@end table
+
+@strong{Output}
+@table @var
+@item sys
+System data structure.
+@end table
+
+@strong{Example}
+@example
+octave:1> sys=zp2sys([1 -1],[-2 -2 0],1);
+octave:2> sysout(sys)
+Input(s)
+        1: u_1
+Output(s):
+        1: y_1
+zero-pole form:
+1 (s - 1) (s + 1)
+-----------------
+s (s + 2) (s + 2)
+@end example
 @end deftypefn
-binopdf
+sysrepdemo
 -*- texinfo -*-
-@deftypefn {Function File} {} binopdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the binomial distribution with parameters @var{n}
-and @var{p}.
+@deftypefn {Function File} {} sysrepdemo
+Tutorial for the use of the system data structure functions.
 @end deftypefn
-binornd
+__syscont_disc__
+Undocumented internal function.
+sys2fir
 -*- texinfo -*-
-@deftypefn {Function File} {} binornd (@var{n}, @var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} binornd (@var{n}, @var{p}, @var{sz})
-Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
-random samples from the binomial distribution with parameters @var{n}
-and @var{p}.  Both @var{n} and @var{p} must be scalar or of size
-@var{r} by @var{c}.
+@deftypefn {Function File} {[@var{c}, @var{tsam}, @var{input}, @var{output}] =} sys2fir (@var{sys})
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{n} and @var{p}.
-@end deftypefn
-cauchy_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} cauchy_cdf (@var{x}, @var{lambda}, @var{sigma})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Cauchy distribution with location
-parameter @var{lambda} and scale parameter @var{sigma}.  Default
-values are @var{lambda} = 0, @var{sigma} = 1. 
+Extract @acronym{FIR} data from system data structure; see @command{fir2sys} for
+parameter descriptions.
+@seealso{fir2sys}
 @end deftypefn
-cauchy_inv
+__sysconcat__
+Undocumented internal function.
+ind2sub
 -*- texinfo -*-
-@deftypefn {Function File} {} cauchy_inv (@var{x}, @var{lambda}, @var{sigma})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the Cauchy distribution with location parameter
-@var{lambda} and scale parameter @var{sigma}.  Default values are
-@var{lambda} = 0, @var{sigma} = 1. 
+@deftypefn {Function File} {[@var{s1}, @var{s2}, @dots{}, @var{sN}] =} ind2sub (@var{dims}, @var{ind})
+Convert a linear index into subscripts.
+
+The following example shows how to convert the linear index @code{8}
+in a 3-by-3 matrix into a subscript.
+
+@example
+[r, c] = ind2sub ([3, 3], 8)
+@result{} r =  2
+c =  3
+@end example
+@seealso{sub2ind}
 @end deftypefn
-cauchy_pdf
+celldisp
 -*- texinfo -*-
-@deftypefn {Function File} {} cauchy_pdf (@var{x}, @var{lambda}, @var{sigma})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the Cauchy distribution with location parameter
-@var{lambda} and scale parameter @var{sigma} > 0.  Default values are
-@var{lambda} = 0, @var{sigma} = 1. 
+@deftypefn {Function File} {} celldisp (@var{c}, @var{name})
+Recursively display the contents of a cell array. By default the values
+are displayed with the name of the variable @var{c}. However, this name
+can be replaced with the variable @var{name}.
+@seealso{disp}
 @end deftypefn
-cauchy_rnd
+sub2ind
 -*- texinfo -*-
-@deftypefn {Function File} {} cauchy_rnd (@var{lambda}, @var{sigma}, @var{r}, @var{c})
-@deftypefnx {Function File} {} cauchy_rnd (@var{lambda}, @var{sigma}, @var{sz})
-Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
-random samples from the Cauchy distribution with parameters @var{lambda} 
-and @var{sigma} which must both be scalar or of size @var{r} by @var{c}.
+@deftypefn {Function File} {@var{ind} =} sub2ind (@var{dims}, @var{i}, @var{j})
+@deftypefnx {Function File} {@var{ind} =} sub2ind (@var{dims}, @var{s1}, @var{s2}, @dots{}, @var{sN})
+Convert subscripts into a linear index.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{lambda} and @var{sigma}.
-@end deftypefn
-chi2cdf
--*- texinfo -*-
-@deftypefn {Function File} {} chi2cdf (@var{x}, @var{n})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the chisquare distribution with @var{n}
-degrees of freedom.
+The following example shows how to convert the two-dimensional
+index @code{(2,3)} of a 3-by-3 matrix to a linear index.
+
+@example
+linear_index = sub2ind ([3, 3], 2, 3)
+@result{} 8
+@end example
+@seealso{ind2sub}
 @end deftypefn
-chi2inv
+pol2cart
 -*- texinfo -*-
-@deftypefn {Function File} {} chi2inv (@var{x}, @var{n})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the chisquare distribution with @var{n} degrees of
-freedom.
+@deftypefn {Function File} {[@var{x}, @var{y}] =} pol2cart (@var{theta}, @var{r})
+@deftypefnx {Function File} {[@var{x}, @var{y}, @var{z}] =} pol2cart (@var{theta}, @var{r}, @var{z})
+Transform polar or cylindrical to cartesian coordinates.
+@var{theta}, @var{r} (and @var{z}) must be of same shape.
+@var{theta} describes the angle relative to the x - axis.
+@var{r} is the distance to the z - axis (0, 0, z).
+@seealso{cart2pol, cart2sph, sph2cart}
 @end deftypefn
-chi2pdf
+issymmetric
 -*- texinfo -*-
-@deftypefn {Function File} {} chisquare_pdf (@var{x}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the chisquare distribution with @var{n} degrees
-of freedom.
+@deftypefn {Function File} {} issymmetric (@var{x}, @var{tol})
+If @var{x} is symmetric within the tolerance specified by @var{tol},
+then return the dimension of @var{x}.  Otherwise, return 0.  If
+@var{tol} is omitted, use a tolerance equal to the machine precision.
+Matrix @var{x} is considered symmetric if
+@code{norm (@var{x} - @var{x}.', inf) / norm (@var{x}, inf) < @var{tol}}.
+@seealso{size, rows, columns, length, ishermitian, ismatrix, isscalar,
+issquare, isvector}
 @end deftypefn
-chi2rnd
+runlength
 -*- texinfo -*-
-@deftypefn {Function File} {} chi2rnd (@var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} chi2rnd (@var{n}, @var{sz})
-Return an @var{r} by @var{c}  or a @code{size (@var{sz})} matrix of 
-random samples from the chisquare distribution with @var{n} degrees 
-of freedom.  @var{n} must be a scalar or of size @var{r} by @var{c}.
+@deftypefn {Function File} {} runlength (@var{x})
+Find the lengths of all sequences of common values.  Return the
+vector of lengths and the value that was repeated.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{n}.
-@end deftypefn
-discrete_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} discrete_cdf (@var{x}, @var{v}, @var{p})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of a univariate discrete distribution which
-assumes the values in @var{v} with probabilities @var{p}.
-@end deftypefn
-discrete_inv
--*- texinfo -*-
-@deftypefn {Function File} {} discrete_inv (@var{x}, @var{v}, @var{p})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the univariate distribution which assumes the
-values in @var{v} with probabilities @var{p}.
+@example
+runlength ([2, 2, 0, 4, 4, 4, 0, 1, 1, 1, 1])
+@result{}  [2, 1, 3, 1, 4]
+@end example
 @end deftypefn
-discrete_pdf
+__splinen__
+Undocumented internal function.
+circshift
 -*- texinfo -*-
-@deftypefn {Function File} {} discrete_pdf (@var{x}, @var{v}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of a univariate discrete distribution which assumes
-the values in @var{v} with probabilities @var{p}.
+@deftypefn {Function File} {@var{y} =} circshift (@var{x}, @var{n})
+Circularly shifts the values of the array @var{x}. @var{n} must be
+a vector of integers no longer than the number of dimensions in 
+@var{x}. The values of @var{n} can be either positive or negative,
+which determines the direction in which the values or @var{x} are
+shifted. If an element of @var{n} is zero, then the corresponding
+dimension of @var{x} will not be shifted. For example
+
+@example
+@group
+x = [1, 2, 3; 4, 5, 6; 7, 8, 9];
+circshift (x, 1)
+@result{}  7, 8, 9
+    1, 2, 3
+    4, 5, 6
+circshift (x, -2)
+@result{}  7, 8, 9
+    1, 2, 3
+    4, 5, 6
+circshift (x, [0,1])
+@result{}  3, 1, 2
+    6, 4, 5
+    9, 7, 8
+@end group
+@end example
+@seealso {permute, ipermute, shiftdim}
 @end deftypefn
-discrete_rnd
+common_size
 -*- texinfo -*-
-@deftypefn {Function File} {} discrete_rnd (@var{n}, @var{v}, @var{p})
-@deftypefnx {Function File} {} discrete_rnd (@var{v}, @var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} discrete_rnd (@var{v}, @var{p}, @var{sz})
-Generate a row vector containing a random sample of size @var{n} from
-the univariate distribution which assumes the values in @var{v} with
-probabilities @var{p}. @var{n} must be a scalar.
+@deftypefn {Function File} {[@var{err}, @var{y1}, @dots{}] =} common_size (@var{x1}, @dots{})
+Determine if all input arguments are either scalar or of common
+size.  If so, @var{err} is zero, and @var{yi} is a matrix of the
+common size with all entries equal to @var{xi} if this is a scalar or
+@var{xi} otherwise.  If the inputs cannot be brought to a common size,
+errorcode is 1, and @var{yi} is @var{xi}.  For example,
 
-If @var{r} and @var{c} are given create a matrix with @var{r} rows and
-@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
-@var{sz}.
+@example
+@group
+[errorcode, a, b] = common_size ([1 2; 3 4], 5)
+@result{} errorcode = 0
+@result{} a = [ 1, 2; 3, 4 ]
+@result{} b = [ 5, 5; 5, 5 ]
+@end group
+@end example
+
+@noindent
+This is useful for implementing functions where arguments can either
+be scalars or of common size.
 @end deftypefn
-empirical_cdf
+shift
 -*- texinfo -*-
-@deftypefn {Function File} {} empirical_cdf (@var{x}, @var{data})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the empirical distribution obtained from
-the univariate sample @var{data}.
+@deftypefn {Function File} {} shift (@var{x}, @var{b})
+@deftypefnx {Function File} {} shift (@var{x}, @var{b}, @var{dim})
+If @var{x} is a vector, perform a circular shift of length @var{b} of
+the elements of @var{x}.
+
+If @var{x} is a matrix, do the same for each column of @var{x}.
+If the optional @var{dim} argument is given, operate along this 
+dimension
 @end deftypefn
-empirical_inv
+cumtrapz
 -*- texinfo -*-
-@deftypefn {Function File} {} empirical_inv (@var{x}, @var{data})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the empirical distribution obtained from the
-univariate sample @var{data}.
+@deftypefn {Function File} {@var{z} =} cumtrapz (@var{y})
+@deftypefnx {Function File} {@var{z} =} cumtrapz (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{z} =} cumtrapz (@dots{}, @var{dim})
+
+Cumulative numerical integration using trapezoidal method.
+@code{cumtrapz (@var{y})} computes the cumulative integral of the 
+@var{y} along the first non singleton dimension. If the argument 
+@var{x} is omitted a equally spaced vector is assumed. @code{cumtrapz 
+(@var{x}, @var{y})} evaluates the cumulative integral with respect 
+to @var{x}.
+ 
+@seealso{trapz,cumsum}
 @end deftypefn
-empirical_pdf
+gradient
 -*- texinfo -*-
-@deftypefn {Function File} {} empirical_pdf (@var{x}, @var{data})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the empirical distribution obtained from the
-univariate sample @var{data}.
+@deftypefn {Function File} {@var{x} = } gradient (@var{M})
+@deftypefnx {Function File} {[@var{x}, @var{y}, @dots{}] = } gradient (@var{M})
+@deftypefnx {Function File} {[@dots{}] = } gradient (@var{M}, @var{s})
+@deftypefnx {Function File} {[@dots{}] = } gradient (@var{M}, @var{dx}, @var{dy}, @dots{})
+
+Calculates the gradient. @code{@var{x} = gradient (@var{M})}
+calculates the one dimensional gradient if @var{M} is a vector. If
+@var{M} is a matrix the gradient is calculated for each row.
+
+@code{[@var{x}, @var{y}] = gradient (@var{M})} calculates the one
+dimensional gradient for each direction if @var{M} if @var{M} is a
+matrix. Additional return arguments can be use for multi-dimensional
+matrices.
+
+Spacing values between two points can be provided by the
+@var{dx}, @var{dy} or @var{h} parameters. If @var{h} is supplied it
+is assumed to be the spacing in all directions. Otherwise, separate
+values of the spacing can be supplied by the @var{dx}, etc variables.
+A scalar value specifies an equidistant spacing, while a vector value
+can be used to specify a variable spacing. The length must match
+their respective dimension of @var{M}.
+
+At boundary points a linear extrapolation is applied. Interior points
+are calculated with the first approximation of the numerical gradient
+
+@example
+y'(i) = 1/(x(i+1)-x(i-1)) *(y(i-1)-y(i+1)).
+@end example
+
 @end deftypefn
-empirical_rnd
+prepad
 -*- texinfo -*-
-@deftypefn {Function File} {} empirical_rnd (@var{n}, @var{data})
-@deftypefnx {Function File} {} empirical_rnd (@var{data}, @var{r}, @var{c})
-@deftypefnx {Function File} {} empirical_rnd (@var{data}, @var{sz})
-Generate a bootstrap sample of size @var{n} from the empirical
-distribution obtained from the univariate sample @var{data}.
+@deftypefn {Function File} {} prepad (@var{x}, @var{l}, @var{c})
+@deftypefnx {Function File} {} postpad (@var{x}, @var{l}, @var{c})
+@deftypefnx {Function File} {} postpad (@var{x}, @var{l}, @var{c}, @var{dim})
 
-If @var{r} and @var{c} are given create a matrix with @var{r} rows and
-@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
-@var{sz}.
+Prepends (appends) the scalar value @var{c} to the vector @var{x}
+until it is of length @var{l}.  If the third argument is not
+supplied, a value of 0 is used.
+
+If @code{length (@var{x}) > @var{l}}, elements from the beginning (end) of
+@var{x} are removed until a vector of length @var{l} is obtained.
+
+If @var{x} is a matrix, elements are prepended or removed from each row.
+
+If the optional @var{dim} argument is given, then operate along this
+dimension.
+@seealso{postpad}
 @end deftypefn
-expcdf
+__isequal__
+Undocumented internal function.
+bitget
 -*- texinfo -*-
-@deftypefn {Function File} {} expcdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the exponential distribution with
-mean @var{lambda}.
+@deftypefn {Function File} {@var{X} =} bitget (@var{a},@var{n})
+Return the status of bit(s) @var{n} of unsigned integers in @var{a}
+the lowest significant bit is @var{n} = 1.
 
-The arguments can be of common size or scalar.
+@example
+bitget (100, 8:-1:1)
+@result{} 0  1  1  0  0  1  0  0 
+@end example
+@seealso{bitand, bitor, bitxor, bitset, bitcmp, bitshift, bitmax}
 @end deftypefn
-expinv
+tril
 -*- texinfo -*-
-@deftypefn {Function File} {} expinv (@var{x}, @var{lambda})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the exponential distribution with mean
-@var{lambda}.
+@deftypefn {Function File} {} tril (@var{a}, @var{k})
+@deftypefnx {Function File} {} triu (@var{a}, @var{k})
+Return a new matrix formed by extracting the lower (@code{tril})
+or upper (@code{triu}) triangular part of the matrix @var{a}, and
+setting all other elements to zero.  The second argument is optional,
+and specifies how many diagonals above or below the main diagonal should
+also be set to zero.
+
+The default value of @var{k} is zero, so that @code{triu} and
+@code{tril} normally include the main diagonal as part of the result
+matrix.
+
+If the value of @var{k} is negative, additional elements above (for
+@code{tril}) or below (for @code{triu}) the main diagonal are also
+selected.
+
+The absolute value of @var{k} must not be greater than the number of
+sub- or super-diagonals.
+
+For example,
+
+@example
+@group
+tril (ones (3), -1)
+@result{}  0  0  0
+         1  0  0
+         1  1  0
+@end group
+@end example
+
+@noindent
+and
+
+@example
+@group
+tril (ones (3), 1)
+@result{}  1  1  0
+         1  1  1
+         1  1  1
+@end group
+@end example
+@seealso{triu, diag}
 @end deftypefn
-exppdf
+num2str
 -*- texinfo -*-
-@deftypefn {Function File} {} exppdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the probability density function
-(PDF) of the exponential distribution with mean @var{lambda}.
+@deftypefn {Function File} {} num2str (@var{n})
+@deftypefnx {Function File} {} num2str (@var{x}, @var{precision})
+@deftypefnx {Function File} {} num2str (@var{x}, @var{format})
+Convert a number to a string.  This function is not very flexible.
+For better control over the results, use @code{sprintf}
+(@pxref{Formatted Output}).
+@seealso{sprintf, int2str}
 @end deftypefn
-exprnd
+bitcmp
 -*- texinfo -*-
-@deftypefn {Function File} {} exprnd (@var{lambda}, @var{r}, @var{c})
-@deftypefnx {Function File} {} exprnd (@var{lambda}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-exponential distribution with mean @var{lambda}, which must be a
-scalar or of size @var{r} by @var{c}. Or if @var{sz} is a vector, 
-create a matrix of size @var{sz}.
+@deftypefn {Function File} {} bitcmp (@var{a}, @var{k})
+Return the @var{k}-bit complement of integers in @var{a}.  If
+@var{k} is omitted @code{k = log2 (bitmax) + 1} is assumed.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{lambda}.
-@end deftypefn
-fcdf
--*- texinfo -*-
-@deftypefn {Function File} {} fcdf (@var{x}, @var{m}, @var{n})
-For each element of @var{x}, compute the CDF at @var{x} of the F
-distribution with @var{m} and @var{n} degrees of freedom, i.e.,
-PROB (F (@var{m}, @var{n}) <= @var{x}). 
+@example
+bitcmp(7,4)
+@result{} 8
+dec2bin(11)
+@result{} 1011
+dec2bin(bitcmp(11, 6))
+@result{} 110100
+@end example
+@seealso{bitand, bitor, bitxor, bitset, bitget, bitcmp, bitshift, bitmax}
 @end deftypefn
-finv
+rem
 -*- texinfo -*-
-@deftypefn {Function File} {} finv (@var{x}, @var{m}, @var{n})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the F distribution with parameters @var{m} and
-@var{n}.
+@deftypefn {Mapping Function} {} rem (@var{x}, @var{y})
+Return the remainder of @code{@var{x} / @var{y}}, computed using the
+expression
+
+@example
+x - y .* fix (x ./ y)
+@end example
+
+An error message is printed if the dimensions of the arguments do not
+agree, or if either of the arguments is complex.
+@seealso{mod, round}
 @end deftypefn
-fpdf
+is_duplicate_entry
 -*- texinfo -*-
-@deftypefn {Function File} {} fpdf (@var{x}, @var{m}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the F distribution with @var{m} and @var{n}
-degrees of freedom.
+@deftypefn {Function File} {} is_duplicate_entry (@var{x})
+Return non-zero if any entries in @var{x} are duplicates of one
+another.
 @end deftypefn
-frnd
+polyarea
 -*- texinfo -*-
-@deftypefn {Function File} {} frnd (@var{m}, @var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} frnd (@var{m}, @var{n}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the F
-distribution with @var{m} and @var{n} degrees of freedom.  Both
-@var{m} and @var{n} must be scalar or of size @var{r} by @var{c}.
-If @var{sz} is a vector the random samples are in a matrix of 
-size @var{sz}.
+@deftypefn {Function File} {} polyarea (@var{x}, @var{y})
+@deftypefnx {Function File} {} polyarea (@var{x}, @var{y}, @var{dim})
+
+Determines area of a polygon by triangle method. The variables
+@var{x} and @var{y} define the vertex pairs, and must therefore have
+the same shape. They can be either vectors or arrays. If they are
+arrays then the columns of @var{x} and @var{y} are treated separately
+and an area returned for each.
+
+If the optional @var{dim} argument is given, then @code{polyarea}
+works along this dimension of the arrays @var{x} and @var{y}.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{m} and @var{n}.
 @end deftypefn
-gamcdf
+structfun
 -*- texinfo -*-
-@deftypefn {Function File} {} gamcdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Gamma distribution with parameters
-@var{a} and @var{b}.
-@seealso{gamma, gammaln, gammainc, gampdf, gaminv, gamrnd}
+@deftypefn {Function File} {} structfun (@var{func}, @var{s})
+@deftypefnx {Function File} {[@var{a}, @var{b}] =} structfun (@dots{})
+@deftypefnx {Function File} {} structfun (@dots{}, 'ErrorHandler', @var{errfunc})
+@deftypefnx {Function File} {} structfun (@dots{}, 'UniformOutput', @var{val})
+
+Evaluate the function named @var{name} on the fields of the structure
+@var{s}. The fields of @var{s} are passed to the function @var{func}
+individually.
+
+@code{structfun} accepts an arbitrary function @var{func} in the form of 
+an inline function, function handle, or the name of a function (in a 
+character string). In the case of a character string argument, the 
+function must accept a single argument named @var{x}, and it must return 
+a string value. If the function returns more than one argument, they are
+returned as separate output variables.
+
+If the param 'UniformOutput' is set to true (the default), then the function
+must return either a single element which will be concatenated into the
+return value. If 'UniformOutput is false, the outputs placed in a structure
+with the same fieldnames as the input structure.
+
+@example
+@group
+s.name1 = "John Smith"; 
+s.name2 = "Jill Jones"; 
+structfun (@@(x) regexp (x, '(\w+)$', 'matches')@{1@}, s, 
+           'UniformOutput', false)
+@end group
+@end example
+
+Given the parameter 'ErrorHandler', then @var{errfunc} defines a function to
+call in case @var{func} generates an error. The form of the function is
+
+@example
+function [@dots{}] = errfunc (@var{se}, @dots{})
+@end example
+
+where there is an additional input argument to @var{errfunc} relative to
+@var{func}, given by @var{se}. This is a structure with the elements
+'identifier', 'message' and 'index', giving respectively the error
+identifier, the error message, and the index into the input arguments
+of the element that caused the error.
+@seealso{cellfun, arrayfun}
 @end deftypefn
-gaminv
+lookup
 -*- texinfo -*-
-@deftypefn {Function File} {} gaminv (@var{x}, @var{a}, @var{b})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Gamma distribution with parameters @var{a}
-and @var{b}.
-@seealso{gamma, gammaln, gammainc, gampdf, gamcdf, gamrnd}
+@deftypefn {Function File} {@var{idx} =} lookup (@var{table}, @var{y})
+Lookup values in a sorted table.  Usually used as a prelude to
+interpolation.
+
+If table is strictly increasing and @code{idx = lookup (table, y)}, then
+@code{table(idx(i)) <= y(i) < table(idx(i+1))} for all @code{y(i)}
+within the table.  If @code{y(i)} is before the table, then 
+@code{idx(i)} is 0. If @code{y(i)} is after the table then
+@code{idx(i)} is @code{table(n)}.
+
+If the table is strictly decreasing, then the tests are reversed.
+There are no guarantees for tables which are non-monotonic or are not
+strictly monotonic.
+
+To get an index value which lies within an interval of the table,
+use:
+
+@example
+idx = lookup (table(2:length(table)-1), y) + 1
+@end example
+
+@noindent
+This expression puts values before the table into the first
+interval, and values after the table into the last interval.
 @end deftypefn
-gampdf
+isa
 -*- texinfo -*-
-@deftypefn {Function File} {} gampdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, return the probability density function
-(PDF) at @var{x} of the Gamma distribution with parameters @var{a}
-and @var{b}.
-@seealso{gamma, gammaln, gammainc, gamcdf, gaminv, gamrnd}
+@deftypefn {Function File} {} isa (@var{x}, @var{class})
+Return true if @var{x} is a value from the class @var{class}.
 @end deftypefn
-gamrnd
+del2
 -*- texinfo -*-
-@deftypefn {Function File} {} gamrnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} gamrnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
-random samples from the Gamma distribution with parameters @var{a}
-and @var{b}.  Both @var{a} and @var{b} must be scalar or of size 
-@var{r} by @var{c}.
+@deftypefn {Function File} {@var{d} =} del2 (@var{m})
+@deftypefnx {Function File} {@var{d} =} del2 (@var{m}, @var{h})
+@deftypefnx {Function File} {@var{d} =} del2 (@var{m}, @var{dx}, @var{dy}, @dots{})
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
-@seealso{gamma, gammaln, gammainc, gampdf, gamcdf, gaminv}
+Calculates the discrete Laplace operator. If @var{m} is a matrix this is
+defined as
+
+@iftex
+@tex
+$d = {1 \over 4} \left( {d^2 \over dx^2} M(x,y) + {d^2 \over dy^2} M(x,y) \right)$
+@end tex
+@end iftex
+@ifnottex
+@example
+@group
+      1    / d^2            d^2         \
+D  = --- * | ---  M(x,y) +  ---  M(x,y) | 
+      4    \ dx^2           dy^2        /
+@end group
+@end example
+@end ifnottex
+
+The above to continued to N-dimensional arrays calculating the second
+derivative over the higher dimensions.
+
+The spacing between evaluation points may be defined by @var{h}, which is a
+scalar defining the spacing in all dimensions. Or alternative, the spacing
+in each dimension may be defined separately by @var{dx}, @var{dy}, etc. 
+Scalar spacing values give equidistant spacing, whereas vector spacing 
+values can be used to specify variable spacing. The length of the vectors
+must match the respective dimension of @var{m}. The default spacing value
+is 1.
+
+You need at least 3 data points for each dimension. Boundary points are
+calculated as the linear extrapolation of the interior points.
+
+@seealso{gradient, diff}
 @end deftypefn
-geocdf
+logspace
 -*- texinfo -*-
-@deftypefn {Function File} {} geocdf (@var{x}, @var{p})
-For each element of @var{x}, compute the CDF at @var{x} of the
-geometric distribution with parameter @var{p}.
+@deftypefn {Function File} {} logspace (@var{base}, @var{limit}, @var{n})
+Similar to @code{linspace} except that the values are logarithmically
+spaced from
+@iftex
+@tex
+$10^{base}$ to $10^{limit}$.
+@end tex
+@end iftex
+@ifinfo
+10^base to 10^limit.
+@end ifinfo
+
+If @var{limit} is equal to
+@iftex
+@tex
+$\pi$,
+@end tex
+@end iftex
+@ifinfo
+pi,
+@end ifinfo
+the points are between
+@iftex
+@tex
+$10^{base}$ and $\pi$,
+@end tex
+@end iftex
+@ifinfo
+10^base and pi,
+@end ifinfo
+@emph{not}
+@iftex
+@tex
+$10^{base}$ and $10^{\pi}$,
+@end tex
+@end iftex
+@ifinfo
+10^base and 10^pi,
+@end ifinfo
+in order to  be compatible with the corresponding @sc{Matlab}
+function.
+
+Also for compatibility, return the second argument if fewer than two
+values are requested.
+@seealso{linspace}
 @end deftypefn
-geoinv
+bicubic
 -*- texinfo -*-
-@deftypefn {Function File} {} geoinv (@var{x}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-geometric distribution with parameter @var{p}.
+@deftypefn {Function File} {@var{zi}=} bicubic (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi}, @var{extrapval})
+
+Return a matrix @var{zi} corresponding to the bicubic
+interpolations at @var{xi} and @var{yi} of the data supplied
+as @var{x}, @var{y} and @var{z}. Points outside the grid are set
+to @var{extrapval}
+
+See @url{http://wiki.woodpecker.org.cn/moin/Octave/Bicubic}
+for further information.
+@seealso{interp2}
 @end deftypefn
-geopdf
+sortrows
 -*- texinfo -*-
-@deftypefn {Function File} {} geopdf (@var{x}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the geometric distribution with parameter @var{p}.
+@deftypefn {Function File} {} sortrows (@var{a}, @var{c})
+Sort the rows of the matrix @var{a} according to the order of the
+columns specified in @var{c}.  If @var{c} is omitted, a
+lexicographical sort is used. By default ascending order is used 
+however if elements of @var{c} are negative then the corresponding  
+column is sorted in descending order.
 @end deftypefn
-geornd
+interp2
 -*- texinfo -*-
-@deftypefn {Function File} {} geornd (@var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} geornd (@var{p}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-geometric distribution with parameter @var{p}, which must be a scalar
-or of size @var{r} by @var{c}.
+@deftypefn {Function File} {@var{zi}=} interp2 (@var{x}, @var{y}, @var{z}, @var{xi}, @var{yi})
+@deftypefnx {Function File} {@var{zi}=} interp2 (@var{Z}, @var{xi}, @var{yi})
+@deftypefnx {Function File} {@var{zi}=} interp2 (@var{Z}, @var{n})
+@deftypefnx {Function File} {@var{zi}=} interp2 (@dots{}, @var{method})
+@deftypefnx {Function File} {@var{zi}=} interp2 (@dots{}, @var{method}, @var{extrapval})
 
-If @var{r} and @var{c} are given create a matrix with @var{r} rows and
-@var{c} columns. Or if @var{sz} is a vector, create a matrix of size
-@var{sz}.
-@end deftypefn
-hygecdf
--*- texinfo -*-
-@deftypefn {Function File} {} hygecdf (@var{x}, @var{t}, @var{m}, @var{n})
-Compute the cumulative distribution function (CDF) at @var{x} of the
-hypergeometric distribution with parameters @var{t}, @var{m}, and
-@var{n}.  This is the probability of obtaining not more than @var{x}
-marked items when randomly drawing a sample of size @var{n} without
-replacement from a population of total size @var{t} containing
-@var{m} marked items.
+Two-dimensional interpolation. @var{x}, @var{y} and @var{z} describe a
+surface function. If @var{x} and @var{y} are vectors their length
+must correspondent to the size of @var{z}. @var{x} and @var{Yy} must be
+monotonic. If they are matrices they  must have the @code{meshgrid} 
+format. 
 
-The parameters @var{t}, @var{m}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
+@table @code
+@item interp2 (@var{x}, @var{y}, @var{Z}, @var{xi}, @var{yi}, @dots{}) 
+Returns a matrix corresponding to the points described by the
+matrices  @var{XI}, @var{YI}. 
+
+If the last argument is a string, the interpolation method can
+be specified. The method can be 'linear', 'nearest' or 'cubic'.
+If it is omitted 'linear' interpolation  is assumed.
+
+@item  interp2 (@var{z}, @var{xi}, @var{yi})
+Assumes @code{@var{x} = 1:rows (@var{z})} and @code{@var{y} = 
+1:columns (@var{z})}
+
+@item interp2 (@var{z}, @var{n}) 
+Interleaves the Matrix @var{z} n-times. If @var{n} is omitted a value
+of @code{@var{n} = 1} is assumed.
+@end table
+
+The variable @var{method} defines the method to use for the
+interpolation. It can take one of the values
+
+@table @asis
+@item 'nearest'
+Return the nearest neighbor.
+@item 'linear'
+Linear interpolation from nearest neighbors.
+@item 'pchip'
+Piece-wise cubic hermite interpolating polynomial (not implemented yet).
+@item 'cubic'
+Cubic interpolation from four nearest neighbors.
+@item 'spline'
+Cubic spline interpolation--smooth first and second derivatives
+throughout the curve.
+@end table
+
+If a scalar value @var{extrapval} is defined as the final value, then
+values outside the mesh as set to this value. Note that in this case 
+@var{method} must be defined as well. If @var{extrapval} is not
+defined then NA is assumed. 
+
+@seealso{interp1}
 @end deftypefn
-hygeinv
+repmat
 -*- texinfo -*-
-@deftypefn {Function File} {} hygeinv (@var{x}, @var{t}, @var{m}, @var{n})
-For each element of @var{x}, compute the quantile at @var{x} of the
-hypergeometric distribution with parameters @var{t}, @var{m}, and
-@var{n}.
-
-The parameters @var{t}, @var{m}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
+@deftypefn {Function File} {} repmat (@var{A}, @var{m}, @var{n})
+@deftypefnx {Function File} {} repmat (@var{A}, [@var{m} @var{n}])
+@deftypefnx {Function File} {} repmat (@var{A}, [@var{m} @var{n} @var{p} ...])
+Form a block matrix of size @var{m} by @var{n}, with a copy of matrix
+@var{A} as each element.  If @var{n} is not specified, form an 
+@var{m} by @var{m} block matrix.
 @end deftypefn
-hygepdf
+isequal
 -*- texinfo -*-
-@deftypefn {Function File} {} hygepdf (@var{x}, @var{t}, @var{m}, @var{n})
-Compute the probability density function (PDF) at @var{x} of the
-hypergeometric distribution with parameters @var{t}, @var{m}, and
-@var{n}. This is the probability of obtaining @var{x} marked items
-when randomly drawing a sample of size @var{n} without replacement
-from a population of total size @var{t} containing @var{m} marked items.
-
-The arguments must be of common size or scalar.
+@deftypefn {Function File} {} isequal (@var{x1}, @var{x2}, @dots{})
+Return true if all of @var{x1}, @var{x2}, @dots{} are equal.
+@seealso{isequalwithequalnans}
 @end deftypefn
-hygernd
+deal
 -*- texinfo -*-
-@deftypefn {Function File} {} hygernd (@var{t}, @var{m}, @var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} hygernd (@var{t}, @var{m}, @var{n}, @var{sz})
-@deftypefnx {Function File} {} hygernd (@var{t}, @var{m}, @var{n})
-Return an @var{r} by @var{c} matrix of random samples from the
-hypergeometric distribution with parameters @var{t}, @var{m},
-and @var{n}.
+@deftypefn {Function File} {[@var{r1}, @var{r2}, @dots{}, @var{rn}] =} deal (@var{a})
+@deftypefnx {Function File} {[@var{r1}, @var{r2}, @dots{}, @var{rn}] =} deal (@var{a1}, @var{a2}, @dots{}, @var{an})
 
-The parameters @var{t}, @var{m}, and @var{n} must positive integers
-with @var{m} and @var{n} not greater than @var{t}.
+Copy the input parameters into the corresponding output parameters.
+If only one input parameter is supplied, its value is copied to each
+of the outputs.
+
+For example,
 
-The parameter @var{sz} must be scalar or a vector of matrix
-dimensions. If @var{sz} is scalar, then a @var{sz} by @var{sz}
-matrix of random samples is generated.
-@end deftypefn
-kolmogorov_smirnov_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} kolmogorov_smirnov_cdf (@var{x}, @var{tol})
-Return the CDF at @var{x} of the Kolmogorov-Smirnov distribution,
-@iftex
-@tex
-$$ Q(x) = \sum_{k=-\infty}^\infty (-1)^k \exp(-2 k^2 x^2) $$
-@end tex
-@end iftex
-@ifinfo
 @example
-         Inf
-Q(x) =   SUM    (-1)^k exp(-2 k^2 x^2)
-       k = -Inf
+[a, b, c] = deal (x, y, z);
 @end example
-@end ifinfo
 
 @noindent
-for @var{x} > 0.
+is equivalent to
 
-The optional parameter @var{tol} specifies the precision up to which
-the series should be evaluated;  the default is @var{tol} = @code{eps}.
-@end deftypefn
-laplace_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} laplace_cdf (@var{x})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Laplace distribution.
-@end deftypefn
-laplace_inv
--*- texinfo -*-
-@deftypefn {Function File} {} laplace_inv (@var{x})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the Laplace distribution.
-@end deftypefn
-laplace_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} laplace_pdf (@var{x})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the Laplace distribution.
-@end deftypefn
-laplace_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} laplace_rnd (@var{r}, @var{c})
-@deftypefnx {Function File} {} laplace_rnd (@var{sz});
-Return an @var{r} by @var{c} matrix of random numbers from the
-Laplace distribution.  Or if @var{sz} is a vector, create a matrix of
-@var{sz}.
-@end deftypefn
-logistic_cdf
--*- texinfo -*-
-@deftypefn {Function File} {} logistic_cdf (@var{x})
-For each component of @var{x}, compute the CDF at @var{x} of the
-logistic distribution.
-@end deftypefn
-logistic_inv
--*- texinfo -*-
-@deftypefn {Function File} {} logistic_inv (@var{x})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the logistic distribution.
-@end deftypefn
-logistic_pdf
--*- texinfo -*-
-@deftypefn {Function File} {} logistic_pdf (@var{x})
-For each component of @var{x}, compute the PDF at @var{x} of the
-logistic distribution.
-@end deftypefn
-logistic_rnd
--*- texinfo -*-
-@deftypefn {Function File} {} logistic_rnd (@var{r}, @var{c})
-@deftypefnx {Function File} {} logistic_rnd (@var{sz})
-Return an @var{r} by @var{c} matrix of random numbers from the
-logistic distribution. Or if @var{sz} is a vector, create a matrix of
-@var{sz}.
-@end deftypefn
-logncdf
--*- texinfo -*-
-@deftypefn {Function File} {} logncdf (@var{x}, @var{mu}, @var{sigma})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the lognormal distribution with
-parameters @var{mu} and @var{sigma}.  If a random variable follows this
-distribution, its logarithm is normally distributed with mean
-@var{mu} and standard deviation @var{sigma}.
+@example
+@group
+a = x;
+b = y;
+c = z;
+@end group
+@end example
 
-Default values are @var{mu} = 1, @var{sigma} = 1.
-@end deftypefn
-logninv
--*- texinfo -*-
-@deftypefn {Function File} {} logninv (@var{x}, @var{mu}, @var{sigma})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the lognormal distribution with parameters @var{mu}
-and @var{sigma}.  If a random variable follows this distribution, its
-logarithm is normally distributed with mean @code{log (@var{mu})} and
-variance @var{sigma}.
+@noindent
+and
 
-Default values are @var{mu} = 1, @var{sigma} = 1.
-@end deftypefn
-lognpdf
--*- texinfo -*-
-@deftypefn {Function File} {} lognpdf (@var{x}, @var{mu}, @var{sigma})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the lognormal distribution with parameters
-@var{mu} and @var{sigma}.  If a random variable follows this distribution,
-its logarithm is normally distributed with mean @var{mu}
-and standard deviation @var{sigma}.
+@example
+[a, b, c] = deal (x);
+@end example
 
-Default values are @var{mu} = 1, @var{sigma} = 1.
-@end deftypefn
-lognrnd
--*- texinfo -*-
-@deftypefn {Function File} {} lognrnd (@var{mu}, @var{sigma}, @var{r}, @var{c})
-@deftypefnx {Function File} {} lognrnd (@var{mu}, @var{sigma}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-lognormal distribution with parameters @var{mu} and @var{sigma}. Both
-@var{mu} and @var{sigma} must be scalar or of size @var{r} by @var{c}.
-Or if @var{sz} is a vector, create a matrix of size @var{sz}.
+@noindent
+is equivalent to
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{mu} and @var{sigma}.
+@example
+a = b = c = x;
+@end example
 @end deftypefn
-nbincdf
+randperm
 -*- texinfo -*-
-@deftypefn {Function File} {} nbincdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the CDF at x of the Pascal
-(negative binomial) distribution with parameters @var{n} and @var{p}.
-
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution.
+@deftypefn {Function File} {} randperm (@var{n})
+Return a row vector containing a random permutation of the
+integers from 1 to @var{n}.
 @end deftypefn
-nbininv
+interpn
 -*- texinfo -*-
-@deftypefn {Function File} {} nbininv (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the quantile at @var{x} of the
-Pascal (negative binomial) distribution with parameters @var{n} and
-@var{p}.
+@deftypefn {Function File} {@var{vi} =} interpn (@var{x1}, @var{x2}, @dots{}, @var{v}, @var{y1}, @var{y2}, @dots{})
+@deftypefnx {Function File} {@var{vi} =} interpn (@var{v}, @var{y1}, @var{y2}, @dots{})
+@deftypefnx {Function File} {@var{vi} =} interpn (@var{v}, @var{m})
+@deftypefnx {Function File} {@var{vi} =} interpn (@var{v})
+@deftypefnx {Function File} {@var{vi} =} interpn (@dots{}, @var{method})
+@deftypefnx {Function File} {@var{vi} =} interpn (@dots{}, @var{method}, @var{extrapval})
 
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution.
-@end deftypefn
-nbinpdf
--*- texinfo -*-
-@deftypefn {Function File} {} nbinpdf (@var{x}, @var{n}, @var{p})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the Pascal (negative binomial) distribution with
-parameters @var{n} and @var{p}.
+Perform @var{n}-dimensional interpolation, where @var{n} is at least two. 
+Each element of then @var{n}-dimensional array @var{v} represents a value 
+at a location given by the parameters @var{x1}, @var{x2}, @dots{}, @var{xn}. 
+The parameters @var{x1}, @var{x2}, @dots{}, @var{xn} are either 
+@var{n}-dimensional arrays of the same size as the array @var{v} in 
+the 'ndgrid' format or vectors. The parameters @var{y1}, etc respect a 
+similar format to @var{x1}, etc, and they represent the points at which
+the array @var{vi} is interpolated.
 
-The number of failures in a Bernoulli experiment with success
-probability @var{p} before the @var{n}-th success follows this
-distribution. 
-@end deftypefn
-nbinrnd
--*- texinfo -*-
-@deftypefn {Function File} {} nbinrnd (@var{n}, @var{p}, @var{r}, @var{c})
-@deftypefnx {Function File} {} nbinrnd (@var{n}, @var{p}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the Pascal
-(negative binomial) distribution with parameters @var{n} and @var{p}.
-Both @var{n} and @var{p} must be scalar or of size @var{r} by @var{c}.
+If @var{x1}, @dots{}, @var{xn} are omitted, they are assumed to be 
+@code{x1 = 1 : size (@var{v}, 1)}, etc. If @var{m} is specified, then
+the interpolation adds a point half way between each of the interpolation 
+points. This process is performed @var{m} times. If only @var{v} is 
+specified, then @var{m} is assumed to be @code{1}.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{n} and @var{p}. Or if @var{sz} is a vector, 
-create a matrix of size @var{sz}.
+Method is one of:
+
+@table @asis
+@item 'nearest'
+Return the nearest neighbour.
+@item 'linear'
+Linear interpolation from nearest neighbours.
+@item 'cubic'
+Cubic interpolation from four nearest neighbours (not implemented yet).
+@item 'spline'
+Cubic spline interpolation--smooth first and second derivatives
+throughout the curve.
+@end table
+
+The default method is 'linear'.
+
+If @var{extrapval} is the scalar value, use it to replace the values
+beyond the endpoints with that number. If @var{extrapval} is missing,
+assume NA.
+@seealso{interp1, interp2, spline, ndgrid}
 @end deftypefn
-normcdf
+fliplr
 -*- texinfo -*-
-@deftypefn {Function File} {} normcdf (@var{x}, @var{m}, @var{s})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the normal distribution with mean
-@var{m} and standard deviation @var{s}.
+@deftypefn {Function File} {} fliplr (@var{x})
+Return a copy of @var{x} with the order of the columns reversed.  For
+example,
+
+@example
+@group
+fliplr ([1, 2; 3, 4])
+@result{}  2  1
+         4  3
+@end group
+@end example
 
-Default values are @var{m} = 0, @var{s} = 1.
+Note that @code{fliplr} only work with 2-D arrays.  To flip N-d arrays
+use @code{flipdim} instead.
+@seealso{flipud, flipdim, rot90, rotdim}
 @end deftypefn
-norminv
+blkdiag
 -*- texinfo -*-
-@deftypefn {Function File} {} norminv (@var{x}, @var{m}, @var{s})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the normal distribution with mean @var{m} and
-standard deviation @var{s}.
-
-Default values are @var{m} = 0, @var{s} = 1.
+@deftypefn {Function File} {} blkdiag (@var{a}, @var{b}, @var{c}, @dots{})
+Build a block diagonal matrix from @var{a}, @var{b}, @var{c}, @dots{}.
+All the arguments must be numeric and are two-dimensional matrices or
+scalars.
+@seealso{diag, horzcat, vertcat}
 @end deftypefn
-normpdf
+cell2mat
 -*- texinfo -*-
-@deftypefn {Function File} {} normpdf (@var{x}, @var{m}, @var{s})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the normal distribution with mean @var{m} and
-standard deviation @var{s}.
-
-Default values are @var{m} = 0, @var{s} = 1.
+@deftypefn {Function File} {@var{m} =} cell2mat (@var{c})
+Convert the cell array @var{c} into a matrix by concatenating all
+elements of @var{c} into a hyperrectangle.  Elements of @var{c} must
+be numeric, logical or char, and @code{cat} must be able to
+concatenate them together.
+@seealso{mat2cell, num2cell}
 @end deftypefn
-normrnd
+interpft
 -*- texinfo -*-
-@deftypefn {Function File} {} normrnd (@var{m}, @var{s}, @var{r}, @var{c})
-@deftypefnx {Function File} {} normrnd (@var{m}, @var{s}, @var{sz})
-Return an @var{r} by @var{c}  or @code{size (@var{sz})} matrix of
-random samples from the normal distribution with parameters mean @var{m} 
-and standard deviation @var{s}.  Both @var{m} and @var{s} must be scalar 
-or of size @var{r} by @var{c}.
+@deftypefn {Function File} {} interpft (@var{x}, @var{n})
+@deftypefnx {Function File} {} interpft (@var{x}, @var{n}, @var{dim})
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{m} and @var{s}.
+Fourier interpolation. If @var{x} is a vector, then @var{x} is
+resampled with @var{n} points. The data in @var{x} is assumed to be
+equispaced. If @var{x} is an array, then operate along each column of
+the array separately. If @var{dim} is specified, then interpolate
+along the dimension @var{dim}.
+
+@code{interpft} assumes that the interpolated function is periodic,
+and so assumptions are made about the end points of the interpolation.
+
+@seealso{interp1}
 @end deftypefn
-poisscdf
+triu
 -*- texinfo -*-
-@deftypefn {Function File} {} poisscdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of the Poisson distribution with parameter
-lambda.
+@deftypefn {Function File} {} triu (@var{a}, @var{k})
+See tril.
 @end deftypefn
-poissinv
+strerror
 -*- texinfo -*-
-@deftypefn {Function File} {} poissinv (@var{x}, @var{lambda})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the Poisson distribution with parameter
-@var{lambda}.
+@deftypefn {Function File} {} strerror (@var{name}, @var{num})
+Return the text of an error message for function @var{name}
+corresponding to the error number @var{num}.  This function is intended
+to be used to print useful error messages for those functions that
+return numeric error codes.
 @end deftypefn
-poisspdf
+trapz
 -*- texinfo -*-
-@deftypefn {Function File} {} poisspdf (@var{x}, @var{lambda})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the poisson distribution with parameter @var{lambda}.
+@deftypefn {Function File} {@var{z} =} trapz (@var{y})
+@deftypefnx {Function File} {@var{z} =} trapz (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{z} =} trapz (@dots{}, @var{dim})
+
+Numerical integration using trapezoidal method. @code{trapz
+(@var{y})} computes the integral of the @var{y} along the first
+non singleton dimension. If the argument @var{x} is omitted a 
+equally spaced vector is assumed. @code{trapz (@var{x}, @var{y})} 
+evaluates the integral with respect to @var{x}.
+ 
+@seealso{cumtrapz}
 @end deftypefn
-poissrnd
+isdir
 -*- texinfo -*-
-@deftypefn {Function File} {} poissrnd (@var{lambda}, @var{r}, @var{c})
-Return an @var{r} by @var{c} matrix of random samples from the
-Poisson distribution with parameter @var{lambda}, which must be a 
-scalar or of size @var{r} by @var{c}.
-
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{lambda}.
+@deftypefn {Function File} {} isdir (@var{f})
+Return true if @var{f} is a directory.
 @end deftypefn
-stdnormal_cdf
+isvector
 -*- texinfo -*-
-@deftypefn {Function File} {} stdnormal_cdf (@var{x})
-For each component of @var{x}, compute the CDF of the standard normal
-distribution at @var{x}.
+@deftypefn {Function File} {} isvector (@var{a})
+Return 1 if @var{a} is a vector.  Otherwise, return 0.
+@seealso{size, rows, columns, length, isscalar, ismatrix}
 @end deftypefn
-stdnormal_inv
+cart2pol
 -*- texinfo -*-
-@deftypefn {Function File} {} stdnormal_inv (@var{x})
-For each component of @var{x}, compute compute the quantile (the
-inverse of the CDF) at @var{x} of the standard normal distribution.
+@deftypefn {Function File} {[@var{theta}, @var{r}] =} cart2pol (@var{x}, @var{y})
+@deftypefnx {Function File} {[@var{theta}, @var{r}, @var{z}] =} cart2pol (@var{x}, @var{y}, @var{z})
+Transform cartesian to polar or cylindrical coordinates.
+@var{x}, @var{y} (and @var{z}) must be of same shape.
+@var{theta} describes the angle relative to the x - axis.
+@var{r} is the distance to the z - axis (0, 0, z).
+@seealso{pol2cart, cart2sph, sph2cart}
 @end deftypefn
-stdnormal_pdf
+diff
 -*- texinfo -*-
-@deftypefn {Function File} {} stdnormal_pdf (@var{x})
-For each element of @var{x}, compute the probability density function
-(PDF) of the standard normal distribution at @var{x}.
+@deftypefn {Function File} {} diff (@var{x}, @var{k}, @var{dim})
+If @var{x} is a vector of length @var{n}, @code{diff (@var{x})} is the
+vector of first differences
+@iftex
+@tex
+ $x_2 - x_1, \ldots{}, x_n - x_{n-1}$.
+@end tex
+@end iftex
+@ifinfo
+@var{x}(2) - @var{x}(1), @dots{}, @var{x}(n) - @var{x}(n-1).
+@end ifinfo
+
+If @var{x} is a matrix, @code{diff (@var{x})} is the matrix of column
+differences along the first non-singleton dimension.
+
+The second argument is optional.  If supplied, @code{diff (@var{x},
+@var{k})}, where @var{k} is a nonnegative integer, returns the
+@var{k}-th differences. It is possible that @var{k} is larger than
+then first non-singleton dimension of the matrix. In this case,
+@code{diff} continues to take the differences along the next
+non-singleton dimension.
+
+The dimension along which to take the difference can be explicitly
+stated with the optional variable @var{dim}. In this case the 
+@var{k}-th order differences are calculated along this dimension.
+In the case where @var{k} exceeds @code{size (@var{x}, @var{dim})}
+then an empty matrix is returned.
 @end deftypefn
-stdnormal_rnd
+sph2cart
 -*- texinfo -*-
-@deftypefn {Function File} {} stdnormal_rnd (@var{r}, @var{c})
-@deftypefnx {Function File} {} stdnormal_rnd (@var{sz})
-Return an @var{r} by @var{c} or @code{size (@var{sz})} matrix of 
-random numbers from the standard normal distribution.
+@deftypefn {Function File} {[@var{x}, @var{y}, @var{z}] =} sph2cart (@var{theta}, @var{phi}, @var{r})
+Transform spherical to cartesian coordinates.
+@var{x}, @var{y} and @var{z} must be of same shape.
+@var{theta} describes the angle relative to the x-axis.
+@var{phi} is the angle relative to the xy-plane.
+@var{r} is the distance to the origin (0, 0, 0).
+@seealso{pol2cart, cart2pol, cart2sph}
 @end deftypefn
-tcdf
+cart2sph
 -*- texinfo -*-
-@deftypefn {Function File} {} tcdf (@var{x}, @var{n})
-For each element of @var{x}, compute the CDF at @var{x} of the
-t (Student) distribution with @var{n} degrees of freedom, i.e.,
-PROB (t(@var{n}) <= @var{x}).
+@deftypefn {Function File} {[@var{theta}, @var{phi}, @var{r}] =} cart2sph (@var{x}, @var{y}, @var{z})
+Transform cartesian to spherical coordinates.
+@var{x}, @var{y} and @var{z} must be of same shape.
+@var{theta} describes the angle relative to the x - axis.
+@var{phi} is the angle relative to the xy - plane.
+@var{r} is the distance to the origin (0, 0, 0).
+@seealso{pol2cart, cart2pol, sph2cart}
 @end deftypefn
-tinv
+flipdim
 -*- texinfo -*-
-@deftypefn {Function File} {} tinv (@var{x}, @var{n})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the t (Student) distribution with parameter
-@var{n}.
+@deftypefn {Function File} {} flipdim (@var{x}, @var{dim})
+Return a copy of @var{x} flipped about the dimension @var{dim}.
+For example
+
+@example
+@group
+flipdim ([1, 2; 3, 4], 2)
+@result{}  2  1
+         4  3
+@end group
+@end example
+@seealso{fliplr, flipud, rot90, rotdim}
 @end deftypefn
-tpdf
+perror
 -*- texinfo -*-
-@deftypefn {Function File} {} tpdf (@var{x}, @var{n})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of the @var{t} (Student) distribution with @var{n}
-degrees of freedom. 
+@deftypefn {Function File} {} perror (@var{name}, @var{num})
+Print the error message for function @var{name} corresponding to the
+error number @var{num}.  This function is intended to be used to print
+useful error messages for those functions that return numeric error
+codes.
+@seealso{strerror}
 @end deftypefn
-trnd
+interp3
 -*- texinfo -*-
-@deftypefn {Function File} {} trnd (@var{n}, @var{r}, @var{c})
-@deftypefnx {Function File} {} trnd (@var{n}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the t
-(Student) distribution with @var{n} degrees of freedom.  @var{n} must
-be a scalar or of size @var{r} by @var{c}. Or if @var{sz} is a
-vector create a matrix of size @var{sz}.
+@deftypefn {Function File} {@var{vi} =} interp3 (@var{x}, @var{y},@var{z}, @var{v}, @var{xi}, @var{yi}, @var{zi})
+@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v}, @var{xi}, @var{yi}, @var{zi})
+@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v}, @var{m})
+@deftypefnx {Function File} {@var{vi} =} interp3 (@var{v})
+@deftypefnx {Function File} {@var{vi} =} interp3 (@dots{}, @var{method})
+@deftypefnx {Function File} {@var{vi} =} interp3 (@dots{}, @var{method}, @var{extrapval})
+
+Perform 3-dimensional interpolation. Each element of then 3-dimensional 
+array @var{v} represents a value at a location given by the parameters 
+@var{x}, @var{y}, and @var{z}. The parameters @var{x}, @var{x}, and 
+@var{z} are either 3-dimensional arrays of the same size as the array 
+@var{v} in the 'meshgrid' format or vectors. The parameters @var{xi}, etc 
+respect a similar format to @var{x}, etc, and they represent the points 
+at which the array @var{vi} is interpolated.
+
+If @var{x}, @var{y}, @var{z} are omitted, they are assumed to be 
+@code{x = 1 : size (@var{v}, 2)}, @code{y = 1 : size (@var{v}, 1)} and
+@code{z = 1 : size (@var{v}, 3)}. If @var{m} is specified, then
+the interpolation adds a point half way between each of the interpolation 
+points. This process is performed @var{m} times. If only @var{v} is 
+specified, then @var{m} is assumed to be @code{1}.
+
+Method is one of:
+
+@table @asis
+@item 'nearest'
+Return the nearest neighbour.
+@item 'linear'
+Linear interpolation from nearest neighbours.
+@item 'cubic'
+Cubic interpolation from four nearest neighbours (not implemented yet).
+@item 'spline'
+Cubic spline interpolation--smooth first and second derivatives
+throughout the curve.
+@end table
+
+The default method is 'linear'.
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the size of @var{n}.
-@end deftypefn
-unidcdf
--*- texinfo -*-
-@deftypefn {Function File} {} unidcdf (@var{x}, @var{v})
-For each element of @var{x}, compute the cumulative distribution
-function (CDF) at @var{x} of a univariate discrete distribution which
-assumes the values in @var{v} with equal probability.
-@end deftypefn
-unidinv
--*- texinfo -*-
-@deftypefn {Function File} {} unidinv (@var{x}, @var{v})
-For each component of @var{x}, compute the quantile (the inverse of
-the CDF) at @var{x} of the univariate discrete distribution which assumes the
-values in @var{v} with equal probability
+If @var{extrap} is the string 'extrap', then extrapolate values beyond
+the endpoints.  If @var{extrap} is a number, replace values beyond the
+endpoints with that number.  If @var{extrap} is missing, assume NA.
+@seealso{interp1, interp2, spline, meshgrid}
 @end deftypefn
-unidpdf
+isscalar
 -*- texinfo -*-
-@deftypefn {Function File} {} unidpdf (@var{x}, @var{v})
-For each element of @var{x}, compute the probability density function
-(PDF) at @var{x} of a univariate discrete distribution which assumes
-the values in @var{v} with equal probability.
+@deftypefn {Function File} {} isscalar (@var{a})
+Return 1 if @var{a} is a scalar.  Otherwise, return 0.
+@seealso{size, rows, columns, length, isscalar, ismatrix}
 @end deftypefn
-unidrnd
+shiftdim
 -*- texinfo -*-
-@deftypefn {Function File} {} unidrnd (@var{mx});
-@deftypefnx {Function File} {} unidrnd (@var{mx}, @var{v});
-@deftypefnx {Function File} {} unidrnd (@var{mx}, @var{m}, @var{n}, @dots{});
-Return random values from discrete uniform distribution, with maximum
-value(s) given by the integer @var{mx}, which may be a scalar or
-multidimensional array.
+@deftypefn {Function File} {@var{y} =} shiftdim (@var{x}, @var{n})
+@deftypefnx {Function File} {[@var{y}, @var{ns}] =} shiftdim (@var{x})
+Shifts the dimension of @var{x} by @var{n}, where @var{n} must be
+an integer scalar. When @var{n} is positive, the dimensions of
+@var{x} are shifted to the left, with the leading dimensions
+circulated to the end. If @var{n} is negative, then the dimensions
+of @var{x} are shifted to the right, with @var{n} leading singleton
+dimensions added.
 
-If @var{mx} is a scalar, the size of the result is specified by
-the vector @var{v}, or by the optional arguments @var{m}, @var{n},
-@dots{}.  Otherwise, the size of the result is the same as the size
-of @var{mx}.
-@end deftypefn
-unifcdf
--*- texinfo -*-
-@deftypefn {Function File} {} unifcdf (@var{x}, @var{a}, @var{b})
-Return the CDF at @var{x} of the uniform distribution on [@var{a},
-@var{b}], i.e., PROB (uniform (@var{a}, @var{b}) <= x).
+Called with a single argument, @code{shiftdim}, removes the leading
+singleton dimensions, returning the number of dimensions removed
+in the second output argument @var{ns}.
 
-Default values are @var{a} = 0, @var{b} = 1.
+For example 
+
+@example
+@group
+x = ones (1, 2, 3);
+size (shiftdim (x, -1))
+@result{} [1, 1, 2, 3]
+size (shiftdim (x, 1))
+@result{} [2, 3]
+[b, ns] = shiftdim (x);
+@result{} b =  [1, 1, 1; 1, 1, 1]
+@result{} ns = 1
+@end group
+@end example
+@seealso {reshape, permute, ipermute, circshift, squeeze}
 @end deftypefn
-unifinv
+rat
 -*- texinfo -*-
-@deftypefn {Function File} {} unifinv (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the quantile (the inverse of the
-CDF) at @var{x} of the uniform distribution on [@var{a}, @var{b}].
+@deftypefn {Function File} {@var{s} =} rat (@var{x}, @var{tol})
+@deftypefnx {Function File} {[@var{n}, @var{d}] =} rat (@var{x}, @var{tol})
 
-Default values are @var{a} = 0, @var{b} = 1.
+Find a rational approximation to @var{x} within tolerance defined
+by @var{tol} using a continued fraction expansion. E.g,
+
+@example
+rat(pi) = 3 + 1/(7 + 1/16) = 355/113
+rat(e) = 3 + 1/(-4 + 1/(2 + 1/(5 + 1/(-2 + 1/(-7))))) 
+       = 1457/536
+@end example
+
+Called with two arguments returns the numerator and denominator separately
+as two matrices.
 @end deftypefn
-unifpdf
+@seealso{rats}
+isdefinite
 -*- texinfo -*-
-@deftypefn {Function File} {} unifpdf (@var{x}, @var{a}, @var{b})
-For each element of @var{x}, compute the PDF at @var{x} of the uniform
-distribution on [@var{a}, @var{b}].
-
-Default values are @var{a} = 0, @var{b} = 1.
+@deftypefn {Function File} {} isdefinite (@var{x}, @var{tol})
+Return 1 if @var{x} is symmetric positive definite within the
+tolerance specified by @var{tol} or 0 if @var{x} is symmetric
+positive semidefinite.  Otherwise, return -1.  If @var{tol}
+is omitted, use a tolerance equal to 100 times the machine precision.
+@seealso{issymmetric}
 @end deftypefn
-unifrnd
+nthroot
 -*- texinfo -*-
-@deftypefn {Function File} {} unifrnd (@var{a}, @var{b}, @var{r}, @var{c})
-@deftypefnx {Function File} {} unifrnd (@var{a}, @var{b}, @var{sz})
-Return an @var{r} by @var{c} or a @code{size (@var{sz})} matrix of 
-random samples from the uniform distribution on [@var{a}, @var{b}]. 
-Both @var{a} and @var{b} must be scalar or of size @var{r} by @var{c}.
+@deftypefn {Function File} {} nthroot (@var{x}, @var{n})
+
+Compute the nth root of @var{x}, returning real results for real 
+components of @var{x}. For example
+
+@example
+@group
+nthroot (-1, 3)
+@result{} -1
+(-1) ^ (1 / 3)
+@result{} 0.50000 - 0.86603i
+@end group
+@end example
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{a} and @var{b}.
 @end deftypefn
-wblcdf
+flipud
 -*- texinfo -*-
-@deftypefn {Function File} {} wblcdf (@var{x}, @var{scale}, @var{shape})
-Compute the cumulative distribution function (CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}, which is
+@deftypefn {Function File} {} flipud (@var{x})
+Return a copy of @var{x} with the order of the rows reversed.  For
+example,
 
-@iftex
-@tex
-$$ 1 - \exp(-(x/shape)^{scale}) $$
-for $x\geq 0$.
-@end tex
-@end iftex
-@ifnottex
 @example
-1 - exp(-(x/shape)^scale)
+@group
+flipud ([1, 2; 3, 4])
+@result{}  3  4
+         1  2
+@end group
 @end example
-for @var{x} >= 0.
-@end ifnottex
+
+Due to the difficulty of defining which axis about which to flip the 
+matrix @code{flipud} only work with 2-d arrays.  To flip N-d arrays
+use @code{flipdim} instead.
+@seealso{fliplr, flipdim, rot90, rotdim}
 @end deftypefn
-wblinv
+postpad
 -*- texinfo -*-
-@deftypefn {Function File} {} wblinv (@var{x}, @var{scale}, @var{shape})
-Compute the quantile (the inverse of the CDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape}.
+@deftypefn {Function File} {} postpad (@var{x}, @var{l}, @var{c})
+@seealso{prepad, resize}
 @end deftypefn
-wblpdf
+nextpow2
 -*- texinfo -*-
-@deftypefn {Function File} {} wblpdf (@var{x}, @var{scale}, @var{shape})
-Compute the probability density function (PDF) at @var{x} of the
-Weibull distribution with shape parameter @var{scale} and scale
-parameter @var{shape} which is given by
-
+@deftypefn {Function File} {} nextpow2 (@var{x})
+If @var{x} is a scalar, returns the first integer @var{n} such that
 @iftex
 @tex
-$$  scale \cdot shape^{-scale} x^{scale-1} \exp(-(x/shape)^{scale}) $$
+ $2^n \ge |x|$.
 @end tex
 @end iftex
-@ifnottex
-@example
-   scale * shape^(-scale) * x^(scale-1) * exp(-(x/shape)^scale)
-@end example
-@end ifnottex
+@ifinfo
+ 2^n >= abs (x).
+@end ifinfo
 
-@noindent
-for @var{x} > 0.
+If @var{x} is a vector, return @code{nextpow2 (length (@var{x}))}.
+@seealso{pow2}
 @end deftypefn
-wblrnd
+accumarray
 -*- texinfo -*-
-@deftypefn {Function File} {} wblrnd (@var{scale}, @var{shape}, @var{r}, @var{c})
-@deftypefnx {Function File} {} wblrnd (@var{scale}, @var{shape}, @var{sz})
-Return an @var{r} by @var{c} matrix of random samples from the
-Weibull distribution with parameters @var{scale} and @var{shape}
-which must be scalar or of size @var{r} by @var{c}. Or if @var{sz}
-is a vector return a matrix of size @var{sz}.
+@deftypefn {Function File} {} accumarray (@var{subs}, @var{vals}, @var{sz}, @var{fun}, @var{fillval}, @var{issparse})
+@deftypefnx {Function File} {} accumarray (@var{csubs}, @var{vals}, @dots{})
 
-If @var{r} and @var{c} are omitted, the size of the result matrix is
-the common size of @var{alpha} and @var{sigma}.
-@end deftypefn
-wienrnd
--*- texinfo -*-
-@deftypefn {Function File} {} wienrnd (@var{t}, @var{d}, @var{n})
-Return a simulated realization of the @var{d}-dimensional Wiener Process
-on the interval [0, @var{t}].  If @var{d} is omitted, @var{d} = 1 is
-used. The first column of the return matrix contains time, the
-remaining columns contain the Wiener process.
+Create an array by accumulating the elements of a vector into the
+positions defined by their subscripts. The subscripts are defined by
+the rows of the matrix @var{subs} and the values by @var{vals}. Each row
+of @var{subs} corresponds to one of the values in @var{vals}.
 
-The optional parameter @var{n} gives the number of summands used for
-simulating the process over an interval of length 1.  If @var{n} is
-omitted, @var{n} = 1000 is used.
+The size of the matrix will be determined by the subscripts themselves.
+However, if @var{sz} is defined it determines the matrix size. The length
+of @var{sz} must correspond to the number of columns in @var{subs}.
+
+The default action of @code{accumarray} is to sum the elements with the
+same subscripts. This behavior can be modified by defining the @var{fun}
+function. This should be a function or function handle that accepts a 
+column vector and returns a scalar. The result of the function should not
+depend on the order of the subscripts.
+
+The elements of the returned array that have no subscripts associated with
+them are set to zero. Defining @var{fillval} to some other value allows
+these values to be defined.
+
+By default @code{accumarray} returns a full matrix. If @var{issparse} is
+logically true, then a sparse matrix is returned instead.
+
+An example of the use of @code{accumarray} is:
+
+@example
+@group
+accumarray ([1,1,1;2,1,2;2,3,2;2,1,2;2,3,2], 101:105)
+@result{} ans(:,:,1) = [101, 0, 0; 0, 0, 0]
+   ans(:,:,2) = [0, 0, 0; 206, 0, 208]
+@end group
+@end example
 @end deftypefn
-logistic_regression
+rotdim
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{theta}, @var{beta}, @var{dev}, @var{dl}, @var{d2l}, @var{p}] =} logistic_regression (@var{y}, @var{x}, @var{print}, @var{theta}, @var{beta})
-Perform ordinal logistic regression.
+@deftypefn {Function File} {} rotdim (@var{x}, @var{n}, @var{plane})
+Return a copy of @var{x} with the elements rotated counterclockwise in
+90-degree increments.  The second argument is optional, and specifies
+how many 90-degree rotations are to be applied (the default value is 1).
+The third argument is also optional and defines the plane of the
+rotation. As such @var{plane} is a two element vector containing two
+different valid dimensions of the matrix. If @var{plane} is not given
+Then the first two non-singleton dimensions are used.
 
-Suppose @var{y} takes values in @var{k} ordered categories, and let
-@code{gamma_i (@var{x})} be the cumulative probability that @var{y}
-falls in one of the first @var{i} categories given the covariate
-@var{x}.  Then
+Negative values of @var{n} rotate the matrix in a clockwise direction.
+For example,
 
 @example
-[theta, beta] = logistic_regression (y, x)
+@group
+rotdim ([1, 2; 3, 4], -1, [1, 2])
+@result{}  3  1
+         4  2
+@end group
 @end example
 
 @noindent
-fits the model
+rotates the given matrix clockwise by 90 degrees.  The following are all
+equivalent statements:
 
 @example
-logit (gamma_i (x)) = theta_i - beta' * x,   i = 1...k-1
+@group
+rotdim ([1, 2; 3, 4], -1, [1, 2])
+rotdim ([1, 2; 3, 4], 3, [1, 2])
+rotdim ([1, 2; 3, 4], 7, [1, 2])
+@end group
 @end example
-
-The number of ordinal categories, @var{k}, is taken to be the number
-of distinct values of @code{round (@var{y})}.  If @var{k} equals 2,
-@var{y} is binary and the model is ordinary logistic regression.  The
-matrix @var{x} is assumed to have full column rank.
-
-Given @var{y} only, @code{theta = logistic_regression (y)}
-fits the model with baseline logit odds only.
-
-The full form is
+@seealso{rot90, flipud, fliplr, flipdim}
+@end deftypefn
+issquare
+-*- texinfo -*-
+@deftypefn {Function File} {} issquare (@var{x})
+If @var{x} is a square matrix, then return the dimension of @var{x}.
+Otherwise, return 0.
+@seealso{size, rows, columns, length, ismatrix, isscalar, isvector}
+@end deftypefn
+logical
+-*- texinfo -*-
+@deftypefn {Function File} {} logical (@var{arg})
+Convert @var{arg} to a logical value.  For example,
 
 @example
-[theta, beta, dev, dl, d2l, gamma]
-   = logistic_regression (y, x, print, theta, beta)
+logical ([-1, 0, 1])
 @end example
 
 @noindent
-in which all output arguments and all input arguments except @var{y}
-are optional.
-
-Setting @var{print} to 1 requests summary information about the fitted
-model to be displayed.  Setting @var{print} to 2 requests information
-about convergence at each iteration.  Other values request no
-information to be displayed.  The input arguments @var{theta} and
-@var{beta} give initial estimates for @var{theta} and @var{beta}.
-
-The returned value @var{dev} holds minus twice the log-likelihood.
-
-The returned values @var{dl} and @var{d2l} are the vector of first
-and the matrix of second derivatives of the log-likelihood with
-respect to @var{theta} and @var{beta}.
+is equivalent to
 
-@var{p} holds estimates for the conditional distribution of @var{y}
-given @var{x}.
+@example
+[-1, 0, 1] != 0
+@end example
 @end deftypefn
-logistic_regression_derivatives
+bitset
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{dl}, @var{d2l}] =} logistic_regression_derivatives (@var{x}, @var{z}, @var{z1}, @var{g}, @var{g1}, @var{p})
-Called by logistic_regression.  Calculates derivates of the
-log-likelihood for ordinal logistic regression model.
+@deftypefn {Function File} {@var{x} =} bitset (@var{a}, @var{n})
+@deftypefnx {Function File} {@var{x} =} bitset (@var{a}, @var{n}, @var{v})
+Set or reset bit(s) @var{n} of unsigned integers in @var{a}.
+@var{v} = 0 resets and @var{v} = 1 sets the bits.
+The lowest significant bit is: @var{n} = 1
+
+@example
+dec2bin (bitset (10, 1))
+@result{} 1011
+@end example
+@seealso{bitand, bitor, bitxor, bitget, bitcmp, bitshift, bitmax}
 @end deftypefn
-logistic_regression_likelihood
+arrayfun
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{g}, @var{g1}, @var{p}, @var{dev}] =} logistic_regression_likelihood (@var{y}, @var{x}, @var{beta}, @var{z}, @var{z1})
-Calculates likelihood for the ordinal logistic regression model.
-Called by logistic_regression.
+@deftypefn {Function File} {@var{a} =} arrayfun (@var{name}, @var{c})
+@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c})
+@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c}, @var{d})
+@deftypefnx {Function File} {@var{a} =} arrayfun (@var{func}, @var{c}, @var{options})
+@deftypefnx {Function File} {[@var{a}, @var{b}, @dots{}] =} arrayfun (@var{func}, @var{c}, @dots{})
+Execute a function on each element of an array.  This is useful for
+functions that do not accept array arguments.  If the function does
+accept array arguments it is better to call the function directly.
+
+See @code{cellfun} for complete usage instructions.
+@seealso{cellfun}
 @end deftypefn
-anova
+nargchk
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_b}, @var{df_w}] =} anova (@var{y}, @var{g})
-Perform a one-way analysis of variance (ANOVA).  The goal is to test
-whether the population means of data taken from @var{k} different
-groups are all equal.
-
-Data may be given in a single vector @var{y} with groups specified by
-a corresponding vector of group labels @var{g} (e.g., numbers from 1
-to @var{k}). This is the general form which does not impose any
-restriction on the number of data in each group or the group labels.
-
-If @var{y} is a matrix and @var{g} is omitted, each column of @var{y}
-is treated as a group.  This form is only appropriate for balanced
-ANOVA in which the numbers of samples from each group are all equal.
-
-Under the null of constant means, the statistic @var{f} follows an F
-distribution with @var{df_b} and @var{df_w} degrees of freedom.
-
-The p-value (1 minus the CDF of this distribution at @var{f}) is
-returned in @var{pval}.
+@deftypefn {Function File} {} nargchk (@var{nargin_min}, @var{nargin_max}, @var{n})
+If @var{n} is in the range @var{nargin_min} through @var{nargin_max}
+inclusive, return the empty matrix.  Otherwise, return a message
+indicating whether @var{n} is too large or too small.
 
-If no output argument is given, the standard one-way ANOVA table is
-printed.
+This is useful for checking to see that the number of arguments supplied
+to a function is within an acceptable range.
 @end deftypefn
-bartlett_test
+int2str
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} bartlett_test (@var{x1}, @dots{}) 
-Perform a Bartlett test for the homogeneity of variances in the data
-vectors @var{x1}, @var{x2}, @dots{}, @var{xk}, where @var{k} > 1.
-
-Under the null of equal variances, the test statistic @var{chisq}
-approximately follows a chi-square distribution with @var{df} degrees of
-freedom.
-
-The p-value (1 minus the CDF of this distribution at @var{chisq}) is
-returned in @var{pval}.
-
-If no output argument is given, the p-value is displayed.
+@deftypefn {Function File} {} int2str (@var{n})
+Convert an integer to a string.  This function is not very flexible.
+For better control over the results, use @code{sprintf}
+(@pxref{Formatted Output}). 
+@seealso{sprintf, num2str}
 @end deftypefn
-chisquare_test_homogeneity
+mod
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} chisquare_test_homogeneity (@var{x}, @var{y}, @var{c})
-Given two samples @var{x} and @var{y}, perform a chisquare test for
-homogeneity of the null hypothesis that @var{x} and @var{y} come from
-the same distribution, based on the partition induced by the
-(strictly increasing) entries of @var{c}.
+@deftypefn {Mapping Function} {} mod (@var{x}, @var{y})
+Compute modulo function. Conceptually this is given by
 
-For large samples, the test statistic @var{chisq} approximately follows a
-chisquare distribution with @var{df} = @code{length (@var{c})}
-degrees of freedom.
+@example
+x - y .* floor (x ./ y)
+@end example
 
-The p-value (1 minus the CDF of this distribution at @var{chisq}) is
-returned in @var{pval}.
+and is written in a manner that the correct modulus is returned for
+integer types. This function handles negative values correctly. That
+is @code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
+Also, @code{mod (@var{x}, 0)} returns @var{x}.
 
-If no output argument is given, the p-value is displayed.
+An error message is printed if the dimensions of the arguments do not
+agree, or if either of the arguments is complex.
+@seealso{rem, round}
 @end deftypefn
-chisquare_test_independence
+rot90
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} chisquare_test_independence (@var{x})
-Perform a chi-square test for independence based on the contingency
-table @var{x}.  Under the null hypothesis of independence,
-@var{chisq} approximately has a chi-square distribution with
-@var{df} degrees of freedom.
+@deftypefn {Function File} {} rot90 (@var{x}, @var{n})
+Return a copy of @var{x} with the elements rotated counterclockwise in
+90-degree increments.  The second argument is optional, and specifies
+how many 90-degree rotations are to be applied (the default value is 1).
+Negative values of @var{n} rotate the matrix in a clockwise direction.
+For example,
 
-The p-value (1 minus the CDF of this distribution at chisq) of the
-test is returned in @var{pval}.
+@example
+@group
+rot90 ([1, 2; 3, 4], -1)
+@result{}  3  1
+         4  2
+@end group
+@end example
 
-If no output argument is given, the p-value is displayed.
+@noindent
+rotates the given matrix clockwise by 90 degrees.  The following are all
+equivalent statements:
+
+@example
+@group
+rot90 ([1, 2; 3, 4], -1)
+rot90 ([1, 2; 3, 4], 3)
+rot90 ([1, 2; 3, 4], 7)
+@end group
+@end example
+
+Due to the difficulty of defining an axis about which to rotate the 
+matrix @code{rot90} only work with 2-D arrays.  To rotate N-d arrays
+use @code{rotdim} instead.
+@seealso{rotdim, flipud, fliplr, flipdim}
 @end deftypefn
-cor_test
+quadl
 -*- texinfo -*-
-@deftypefn {Function File} {} cor_test (@var{x}, @var{y}, @var{alt}, @var{method})
-Test whether two samples @var{x} and @var{y} come from uncorrelated
-populations.
+@deftypefn {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b})
+@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol})
+@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol}, @var{trace})
+@deftypefnx {Function File} {@var{q} =} quadl (@var{f}, @var{a}, @var{b}, @var{tol}, @var{trace}, @var{p1}, @var{p2}, @dots{})
 
-The optional argument string @var{alt} describes the alternative
-hypothesis, and can be @code{"!="} or @code{"<>"} (non-zero),
-@code{">"} (greater than 0), or @code{"<"} (less than 0).  The
-default is the two-sided case.
+Numerically evaluate integral using adaptive Lobatto rule.
+@code{quadl (@var{f}, @var{a}, @var{b})} approximates the integral of
+@code{@var{f}(@var{x})} to machine precision. @var{f} is either a
+function handle, inline function or string containing the name of
+the function to evaluate. The function @var{f} must return a vector
+of output values if given a vector of input values.
 
-The optional argument string @var{method} specifies on which
-correlation coefficient the test should be based.  If @var{method} is
-@code{"pearson"} (default), the (usual) Pearson's product moment
-correlation coefficient is used.  In this case, the data should come
-from a bivariate normal distribution.  Otherwise, the other two
-methods offer nonparametric alternatives. If @var{method} is
-@code{"kendall"}, then Kendall's rank correlation tau is used.  If
-@var{method} is @code{"spearman"}, then Spearman's rank correlation
-rho is used.  Only the first character is necessary.
+If defined, @var{tol} defines the relative tolerance to which to
+which to integrate @code{@var{f}(@var{x})}. While if @var{trace} is
+defined, displays the left end point of the current interval, the 
+interval length, and the partial integral.
 
-The output is a structure with the following elements:
+Additional arguments @var{p1}, etc, are passed directly to @var{f}.
+To use default values for @var{tol} and @var{trace}, one may pass
+empty matrices.
 
-@table @var
-@item pval
-The p-value of the test.
-@item stat
-The value of the test statistic.
-@item dist
-The distribution of the test statistic.
-@item params
-The parameters of the null distribution of the test statistic.
-@item alternative
-The alternative hypothesis.
-@item method
-The method used for testing.
-@end table
+Reference: W. Gander and W. Gautschi, 'Adaptive Quadrature - 
+Revisited', BIT Vol. 40, No. 1, March 2000, pp. 84--101.
+@url{http://www.inf.ethz.ch/personal/gander/}
 
-If no output argument is given, the p-value is displayed.
 @end deftypefn
-f_test_regression
+isequalwithequalnans
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_num}, @var{df_den}] =} f_test_regression (@var{y}, @var{x}, @var{rr}, @var{r})
-Perform an F test for the null hypothesis rr * b = r in a classical
-normal regression model y = X * b + e.
-
-Under the null, the test statistic @var{f} follows an F distribution
-with @var{df_num} and @var{df_den} degrees of freedom.
+@deftypefn {Function File} {} isequalwithequalnans (@var{x1}, @var{x2}, @dots{})
+Assuming NaN == NaN, return true if all of @var{x1}, @var{x2}, @dots{}
+are equal.
+@seealso{isequal}
+@end deftypefn
+interp1
+-*- texinfo -*-
+@deftypefn {Function File} {@var{yi} =} interp1 (@var{x}, @var{y}, @var{xi})
+@deftypefnx {Function File} {@var{yi} =} interp1 (@dots{}, @var{method})
+@deftypefnx {Function File} {@var{yi} =} interp1 (@dots{}, @var{extrap})
+@deftypefnx {Function File} {@var{pp} =} interp1 (@dots{}, 'pp')
 
-The p-value (1 minus the CDF of this distribution at @var{f}) is
-returned in @var{pval}.
+One-dimensional interpolation. Interpolate @var{y}, defined at the
+points @var{x}, at the points @var{xi}. The sample points @var{x} 
+must be strictly monotonic. If @var{y} is an array, treat the columns
+of @var{y} separately.
 
-If not given explicitly, @var{r} = 0.
+Method is one of:
 
-If no output argument is given, the p-value is displayed.
-@end deftypefn
-hotelling_test
--*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{tsq}] =} hotelling_test (@var{x}, @var{m})
-For a sample @var{x} from a multivariate normal distribution with unknown
-mean and covariance matrix, test the null hypothesis that @code{mean
-(@var{x}) == @var{m}}.
+@table @asis
+@item 'nearest'
+Return the nearest neighbour.
+@item 'linear'
+Linear interpolation from nearest neighbours
+@item 'pchip'
+Piece-wise cubic hermite interpolating polynomial
+@item 'cubic'
+Cubic interpolation from four nearest neighbours
+@item 'spline'
+Cubic spline interpolation--smooth first and second derivatives
+throughout the curve
+@end table
 
-Hotelling's @math{T^2} is returned in @var{tsq}.  Under the null,
-@math{(n-p) T^2 / (p(n-1))} has an F distribution with @math{p} and
-@math{n-p} degrees of freedom, where @math{n} and @math{p} are the
-numbers of samples and variables, respectively.
+Appending '*' to the start of the above method forces @code{interp1}
+to assume that @var{x} is uniformly spaced, and only @code{@var{x}
+(1)} and @code{@var{x} (2)} are referenced. This is usually faster,
+and is never slower. The default method is 'linear'.
 
-The p-value of the test is returned in @var{pval}.
+If @var{extrap} is the string 'extrap', then extrapolate values beyond
+the endpoints.  If @var{extrap} is a number, replace values beyond the
+endpoints with that number.  If @var{extrap} is missing, assume NA.
 
-If no output argument is given, the p-value of the test is displayed.
-@end deftypefn
-hotelling_test_2
--*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{tsq}] =} hotelling_test_2 (@var{x}, @var{y})
-For two samples @var{x} from multivariate normal distributions with
-the same number of variables (columns), unknown means and unknown
-equal covariance matrices, test the null hypothesis @code{mean
-(@var{x}) == mean (@var{y})}.
+If the string argument 'pp' is specified, then @var{xi} should not be
+supplied and @code{interp1} returns the piece-wise polynomial that
+can later be used with @code{ppval} to evaluate the interpolation.
+There is an equivalence, such that @code{ppval (interp1 (@var{x},
+@var{y}, @var{method}, 'pp'), @var{xi}) == interp1 (@var{x}, @var{y},
+@var{xi}, @var{method}, 'extrap')}.
 
-Hotelling's two-sample @math{T^2} is returned in @var{tsq}.  Under the null,
+An example of the use of @code{interp1} is
 
-@iftex
-@tex
-$$
-{n_x+n_y-p-1) T^2 \over p(n_x+n_y-2)}
-$$
-@end tex
-@end iftex
-@ifnottex
 @example
-(n_x+n_y-p-1) T^2 / (p(n_x+n_y-2))
+@group
+   xf=[0:0.05:10]; yf = sin(2*pi*xf/5);
+   xp=[0:10];      yp = sin(2*pi*xp/5);
+   lin=interp1(xp,yp,xf);
+   spl=interp1(xp,yp,xf,'spline');
+   cub=interp1(xp,yp,xf,'cubic');
+   near=interp1(xp,yp,xf,'nearest');
+   plot(xf,yf,"r",xf,lin,"g",xf,spl,"b", ...
+        xf,cub,"c",xf,near,"m",xp,yp,"r*");
+   legend ("original","linear","spline","cubic","nearest")
+@end group
 @end example
-@end ifnottex
 
-@noindent
-has an F distribution with @math{p} and @math{n_x+n_y-p-1} degrees of
-freedom, where @math{n_x} and @math{n_y} are the sample sizes and
-@math{p} is the number of variables.
+@seealso{interpft}
+@end deftypefn
+cplxpair
+-*- texinfo -*-
+@deftypefn {Function File} {} cplxpair (@var{z}, @var{tol}, @var{dim})
+Sort the numbers @var{z} into complex conjugate pairs ordered by 
+increasing real part.  With identical real parts, order by increasing
+imaginary magnitude. Place the negative imaginary complex number
+first within each pair. Place all the real numbers after all the 
+complex pairs (those with @code{abs (imag (@var{z}) / @var{z}) < 
+@var{tol})}, where the default value of @var{tol} is @code{100 * 
+@var{eps}}.
 
-The p-value of the test is returned in @var{pval}.
+By default the complex pairs are sorted along the first non-singleton
+dimension of @var{z}. If @var{dim} is specified, then the complex
+pairs are sorted along this dimension.
 
-If no output argument is given, the p-value of the test is displayed.
+Signal an error if some complex numbers could not be paired. Requires
+all complex numbers to be exact conjugates within tol, or signals an 
+error. Note that there are no guarantees on the order of the returned
+pairs with identical real parts but differing imaginary parts.
+
+@c Using 'smallexample' to make text fit in page when using 'smallbook'
+@smallexample
+cplxpair (exp(2i*pi*[0:4]'/5)) == exp(2i*pi*[3; 2; 4; 1; 0]/5)
+@end smallexample
 @end deftypefn
-kolmogorov_smirnov_test
+fractdiff
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{ks}] =} kolmogorov_smirnov_test (@var{x}, @var{dist}, @var{params}, @var{alt})
-Perform a Kolmogorov-Smirnov test of the null hypothesis that the
-sample @var{x} comes from the (continuous) distribution dist. I.e.,
-if F and G are the CDFs corresponding to the sample and dist,
-respectively, then the null is that F == G.
+@deftypefn {Function File} {} fractdiff (@var{x}, @var{d})
+Compute the fractional differences @math{(1-L)^d x} where @math{L}
+denotes the lag-operator and @math{d} is greater than -1.
+@end deftypefn
+hanning
+-*- texinfo -*-
+@deftypefn {Function File} {} hanning (@var{m})
+Return the filter coefficients of a Hanning window of length @var{m}.
 
-The optional argument @var{params} contains a list of parameters of
-@var{dist}.  For example, to test whether a sample @var{x} comes from
-a uniform distribution on [2,4], use
+For a definition of this window type, see e.g. A. V. Oppenheim &
+R. W. Schafer, "Discrete-Time Signal Processing".
+@end deftypefn
+fftshift
+-*- texinfo -*-
+@deftypefn {Function File} {} fftshift (@var{v})
+@deftypefnx {Function File} {} fftshift (@var{v}, @var{dim})
+Perform a shift of the vector @var{v}, for use with the @code{fft}
+and @code{ifft} functions, in order the move the frequency 0 to the
+center of the vector or matrix.
+
+If @var{v} is a vector of @math{N} elements corresponding to @math{N}
+time samples spaced of @math{Dt} each, then @code{fftshift (fft
+(@var{v}))} corresponds to frequencies
 
 @example
-kolmogorov_smirnov_test(x, "uniform", 2, 4)
+f = ((1:N) - ceil(N/2)) / N / Dt
 @end example
 
-@noindent
-@var{dist} can be any string for which a function @var{dist_cdf}
-that calculates the CDF of distribution @var{dist} exists.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative F
-!= G.  In this case, the test statistic @var{ks} follows a two-sided
-Kolmogorov-Smirnov distribution.  If @var{alt} is @code{">"}, the
-one-sided alternative F > G is considered.  Similarly for @code{"<"},
-the one-sided alternative F > G is considered.  In this case, the
-test statistic @var{ks} has a one-sided Kolmogorov-Smirnov
-distribution.  The default is the two-sided case.
-
-The p-value of the test is returned in @var{pval}.
+If @var{v} is a matrix, the same holds for rows and columns. If 
+@var{v} is an array, then the same holds along each dimension.
 
-If no output argument is given, the p-value is displayed.
+The optional @var{dim} argument can be used to limit the dimension
+along which the permutation occurs.
 @end deftypefn
-kolmogorov_smirnov_test_2
+freqz_plot
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{ks}, @var{d}] =} kolmogorov_smirnov_test_2 (@var{x}, @var{y}, @var{alt})
-Perform a 2-sample Kolmogorov-Smirnov test of the null hypothesis
-that the samples @var{x} and @var{y} come from the same (continuous)
-distribution.  I.e., if F and G are the CDFs corresponding to the
-@var{x} and @var{y} samples, respectively, then the null is that F ==
-G.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative F
-!= G.  In this case, the test statistic @var{ks} follows a two-sided
-Kolmogorov-Smirnov distribution.  If @var{alt} is @code{">"}, the
-one-sided alternative F > G is considered.  Similarly for @code{"<"},
-the one-sided alternative F < G is considered.  In this case, the
-test statistic @var{ks} has a one-sided Kolmogorov-Smirnov
-distribution.  The default is the two-sided case.
-
-The p-value of the test is returned in @var{pval}.
-
-The third returned value, @var{d}, is the test statistic, the maximum
-vertical distance between the two cumulative distribution functions.
+@deftypefn {Function File} {} freqz_plot (@var{w}, @var{h})
+Plot the pass band, stop band and phase response of @var{h}.
+@end deftypefn
+sinewave
+-*- texinfo -*-
+@deftypefn {Function File} {} sinewave (@var{m}, @var{n}, @var{d})
+Return an @var{m}-element vector with @var{i}-th element given by
+@code{sin (2 * pi * (@var{i}+@var{d}-1) / @var{n})}.
 
-If no output argument is given, the p-value is displayed.
+The default value for @var{d} is 0 and the default value for @var{n}
+is @var{m}.
 @end deftypefn
-kruskal_wallis_test
+autocov
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{k}, @var{df}] =} kruskal_wallis_test (@var{x1}, @dots{})
-Perform a Kruskal-Wallis one-factor "analysis of variance".
+@deftypefn {Function File} {} autocov (@var{x}, @var{h})
+Return the autocovariances from lag 0 to @var{h} of vector @var{x}.
+If @var{h} is omitted, all autocovariances are computed.
+If @var{x} is a matrix, the autocovariances of each column are
+computed.
+@end deftypefn
+freqz
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{h}, @var{w}] =} freqz (@var{b}, @var{a}, @var{n}, "whole")
+Return the complex frequency response @var{h} of the rational IIR filter
+whose numerator and denominator coefficients are @var{b} and @var{a},
+respectively.  The response is evaluated at @var{n} angular frequencies
+between 0 and
+@ifinfo
+ 2*pi.
+@end ifinfo
+@iftex
+@tex
+ $2\pi$.
+@end tex
+@end iftex
 
-Suppose a variable is observed for @var{k} > 1 different groups, and
-let @var{x1}, @dots{}, @var{xk} be the corresponding data vectors.
+@noindent
+The output value @var{w} is a vector of the frequencies.
+
+If the fourth argument is omitted, the response is evaluated at
+frequencies between 0 and
+@ifinfo
+ pi.
+@end ifinfo
+@iftex
+@tex
+ $\pi$.
+@end tex
+@end iftex
 
-Under the null hypothesis that the ranks in the pooled sample are not
-affected by the group memberships, the test statistic @var{k} is
-approximately chi-square with @var{df} = @var{k} - 1 degrees of
-freedom.
+If @var{n} is omitted, a value of 512 is assumed.
 
-If the data contains ties (some value appears more than once)
-@var{k} is divided by
+If @var{a} is omitted, the denominator is assumed to be 1 (this
+corresponds to a simple FIR filter).
 
-1 - @var{sumTies} / ( @var{n}^3 - @var{n} )
+For fastest computation, @var{n} should factor into a small number of
+small primes.
 
-where @var{sumTies} is the sum of @var{t}^2 - @var{t} over each group
-of ties where @var{t} is the number of ties in the group and @var{n}
-is the total number of values in the input data. For more info on
-this adjustment see "Use of Ranks in One-Criterion Variance Analysis"
-in Journal of the American Statistical Association, Vol. 47,
-No. 260 (Dec 1952) by William H. Kruskal and W. Allen Wallis.
+@deftypefnx {Function File} {@var{h} =} freqz (@var{b}, @var{a}, @var{w})
+Evaluate the response at the specific frequencies in the vector @var{w}.
+The values for @var{w} are measured in radians.
 
-The p-value (1 minus the CDF of this distribution at @var{k}) is
-returned in @var{pval}.
+@deftypefnx {Function File} {[@dots{}] =} freqz (@dots{}, @var{Fs})
+Return frequencies in Hz instead of radians assuming a sampling rate
+@var{Fs}.  If you are evaluating the response at specific frequencies 
+@var{w}, those frequencies should be requested in Hz rather than radians.
 
-If no output argument is given, the p-value is displayed.
+@deftypefnx {Function File} {} freqz (@dots{})
+Plot the pass band, stop band and phase response of @var{h} rather
+than returning them.
 @end deftypefn
-manova
+periodogram
 -*- texinfo -*-
-@deftypefn {Function File} {} manova (@var{y}, @var{g})
-Perform a one-way multivariate analysis of variance (MANOVA). The
-goal is to test whether the p-dimensional population means of data
-taken from @var{k} different groups are all equal.  All data are
-assumed drawn independently from p-dimensional normal distributions
-with the same covariance matrix.
-
-The data matrix is given by @var{y}.  As usual, rows are observations
-and columns are variables.  The vector @var{g} specifies the
-corresponding group labels (e.g., numbers from 1 to @var{k}).
-
-The LR test statistic (Wilks' Lambda) and approximate p-values are
-computed and displayed.
+@deftypefn {Function File} {} periodogram (@var{x})
+For a data matrix @var{x} from a sample of size @var{n}, return the
+periodogram.
 @end deftypefn
-mcnemar_test
+arch_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{chisq}, @var{df}] =} mcnemar_test (@var{x})
-For a square contingency table @var{x} of data cross-classified on
-the row and column variables, McNemar's test can be used for testing
-the null hypothesis of symmetry of the classification probabilities.
+@deftypefn {Function File} {} arch_rnd (@var{a}, @var{b}, @var{t})
+Simulate an ARCH sequence of length @var{t} with AR
+coefficients @var{b} and CH coefficients @var{a}.  I.e., the result
+@math{y(t)} follows the model
 
-Under the null, @var{chisq} is approximately distributed as chisquare
-with @var{df} degrees of freedom.
+@smallexample
+y(t) = b(1) + b(2) * y(t-1) + @dots{} + b(lb) * y(t-lb+1) + e(t),
+@end smallexample
 
-The p-value (1 minus the CDF of this distribution at @var{chisq}) is
-returned in @var{pval}.
+@noindent
+where @math{e(t)}, given @var{y} up to time @math{t-1}, is
+@math{N(0, h(t))}, with
 
-If no output argument is given, the p-value of the test is displayed.
+@smallexample
+h(t) = a(1) + a(2) * e(t-1)^2 + @dots{} + a(la) * e(t-la+1)^2
+@end smallexample
 @end deftypefn
-prop_test_2
+sinetone
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{z}] =} prop_test_2 (@var{x1}, @var{n1}, @var{x2}, @var{n2}, @var{alt})
-If @var{x1} and @var{n1} are the counts of successes and trials in
-one sample, and @var{x2} and @var{n2} those in a second one, test the
-null hypothesis that the success probabilities @var{p1} and @var{p2}
-are the same.  Under the null, the test statistic @var{z}
-approximately follows a standard normal distribution.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@var{p1} != @var{p2}.  If @var{alt} is @code{">"}, the one-sided
-alternative @var{p1} > @var{p2} is used.  Similarly for @code{"<"},
-the one-sided alternative @var{p1} < @var{p2} is used.
-The default is the two-sided case.
-
-The p-value of the test is returned in @var{pval}.
+@deftypefn {Function File} {} sinetone (@var{freq}, @var{rate}, @var{sec}, @var{ampl})
+Return a sinetone of frequency @var{freq} with length of @var{sec}
+seconds at sampling rate @var{rate} and with amplitude @var{ampl}.
+The arguments @var{freq} and @var{ampl} may be vectors of common size.
 
-If no output argument is given, the p-value of the test is displayed.
+Defaults are @var{rate} = 8000, @var{sec} = 1 and @var{ampl} = 64.
 @end deftypefn
-run_test
+triangle_sw
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{chisq}] =} run_test (@var{x})
-Perform a chi-square test with 6 degrees of freedom based on the
-upward runs in the columns of @var{x}.  Can be used to test whether
-@var{x} contains independent data.
-
-The p-value of the test is returned in @var{pval}.
-
-If no output argument is given, the p-value is displayed.
+@deftypefn {Function File} {} triangle_sw (@var{n}, @var{b})
+Triangular spectral window.  Subfunction used for spectral density
+estimation.
 @end deftypefn
-sign_test
+hamming
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{b}, @var{n}] =} sign_test (@var{x}, @var{y}, @var{alt})
-For two matched-pair samples @var{x} and @var{y}, perform a sign test
-of the null hypothesis PROB (@var{x} > @var{y}) == PROB (@var{x} <
-@var{y}) == 1/2.  Under the null, the test statistic @var{b} roughly
-follows a binomial distribution with parameters @code{@var{n} = sum
-(@var{x} != @var{y})} and @var{p} = 1/2.
-
-With the optional argument @code{alt}, the alternative of interest
-can be selected.  If @var{alt} is @code{"!="} or @code{"<>"}, the
-null hypothesis is tested against the two-sided alternative PROB
-(@var{x} < @var{y}) != 1/2.  If @var{alt} is @code{">"}, the
-one-sided alternative PROB (@var{x} > @var{y}) > 1/2 ("x is
-stochastically greater than y") is considered.  Similarly for
-@code{"<"}, the one-sided alternative PROB (@var{x} > @var{y}) < 1/2
-("x is stochastically less than y") is considered.  The default is
-the two-sided case.
-
-The p-value of the test is returned in @var{pval}.
+@deftypefn {Function File} {} hamming (@var{m})
+Return the filter coefficients of a Hamming window of length @var{m}.
 
-If no output argument is given, the p-value of the test is displayed.
+For a definition of the Hamming window, see e.g. A. V. Oppenheim &
+R. W. Schafer, "Discrete-Time Signal Processing".
 @end deftypefn
-t_test
+diffpara
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test (@var{x}, @var{m}, @var{alt})
-For a sample @var{x} from a normal distribution with unknown mean and
-variance, perform a t-test of the null hypothesis @code{mean
-(@var{x}) == @var{m}}.  Under the null, the test statistic @var{t}
-follows a Student distribution with @code{@var{df} = length (@var{x})
-- 1} degrees of freedom.
+@deftypefn {Function File} {[@var{d}, @var{dd}] =} diffpara (@var{x}, @var{a}, @var{b})
+Return the estimator @var{d} for the differencing parameter of an
+integrated time series.
 
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
-one-sided alternative @code{mean (@var{x}) > @var{m}} is considered.
-Similarly for @var{"<"}, the one-sided alternative @code{mean
-(@var{x}) < @var{m}} is considered.  The default is the two-sided
-case.
+The frequencies from @math{[2*pi*a/t, 2*pi*b/T]} are used for the
+estimation.  If @var{b} is omitted, the interval
+@math{[2*pi/T, 2*pi*a/T]} is used.  If both @var{b} and @var{a} are
+omitted then @math{a = 0.5 * sqrt (T)} and @math{b = 1.5 * sqrt (T)}
+is used, where @math{T} is the sample size.  If @var{x} is a matrix,
+the differencing parameter of each column is estimated.
 
-The p-value of the test is returned in @var{pval}.
+The estimators for all frequencies in the intervals
+described above is returned in @var{dd}.  The value of @var{d} is
+simply the mean of @var{dd}.
 
-If no output argument is given, the p-value of the test is displayed.
+Reference: Brockwell, Peter J. & Davis, Richard A. Time Series:
+Theory and Methods Springer 1987.
 @end deftypefn
-t_test_2
+rectangle_lw
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test_2 (@var{x}, @var{y}, @var{alt})
-For two samples x and y from normal distributions with unknown means
-and unknown equal variances, perform a two-sample t-test of the null
-hypothesis of equal means.  Under the null, the test statistic
-@var{t} follows a Student distribution with @var{df} degrees of
-freedom.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{mean (@var{x}) != mean (@var{y})}.  If @var{alt} is @code{">"},
-the one-sided alternative @code{mean (@var{x}) > mean (@var{y})} is
-used.  Similarly for @code{"<"}, the one-sided alternative @code{mean
-(@var{x}) < mean (@var{y})} is used.  The default is the two-sided
-case.
-
-The p-value of the test is returned in @var{pval}.
-
-If no output argument is given, the p-value of the test is displayed.
+@deftypefn {Function File} {} rectangle_lw (@var{n}, @var{b})
+Rectangular lag window. Subfunction used for spectral density
+estimation.
 @end deftypefn
-t_test_regression
+blackman
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} t_test_regression (@var{y}, @var{x}, @var{rr}, @var{r}, @var{alt})
-Perform an t test for the null hypothesis @code{@var{rr} * @var{b} =
-@var{r}} in a classical normal regression model @code{@var{y} =
-@var{x} * @var{b} + @var{e}}.  Under the null, the test statistic @var{t}
-follows a @var{t} distribution with @var{df} degrees of freedom.
-
-If @var{r} is omitted, a value of 0 is assumed.
+@deftypefn {Function File} {} blackman (@var{m})
+Return the filter coefficients of a Blackman window of length @var{m}.
 
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{@var{rr} * @var{b} != @var{r}}.  If @var{alt} is @code{">"}, the
-one-sided alternative @code{@var{rr} * @var{b} > @var{r}} is used.
-Similarly for @var{"<"}, the one-sided alternative @code{@var{rr} *
-@var{b} < @var{r}} is used.  The default is the two-sided case. 
+For a definition of the  Blackman window, see e.g. A. V. Oppenheim &
+R. W. Schafer, "Discrete-Time Signal Processing".
+@end deftypefn
+detrend
+-*- texinfo -*-
+@deftypefn {Function File} {} detrend (@var{x}, @var{p})
+If @var{x} is a vector, @code{detrend (@var{x}, @var{p})} removes the
+best fit of a polynomial of order @var{p} from the data @var{x}.
 
-The p-value of the test is returned in @var{pval}.
+If @var{x} is a matrix, @code{detrend (@var{x}, @var{p})} does the same
+for each column in @var{x}.
 
-If no output argument is given, the p-value of the test is displayed.
+The second argument is optional.  If it is not specified, a value of 1
+is assumed.  This corresponds to removing a linear trend.
 @end deftypefn
-u_test
+stft
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{z}] =} u_test (@var{x}, @var{y}, @var{alt})
-For two samples @var{x} and @var{y}, perform a Mann-Whitney U-test of
-the null hypothesis PROB (@var{x} > @var{y}) == 1/2 == PROB (@var{x}
-< @var{y}).  Under the null, the test statistic @var{z} approximately
-follows a standard normal distribution.  Note that this test is
-equivalent to the Wilcoxon rank-sum test.
+@deftypefn {Function File} {[@var{y}, @var{c}] =} stft (@var{x}, @var{win_size}, @var{inc}, @var{num_coef}, @var{w_type})
+Compute the short-term Fourier transform of the vector @var{x} with
+@var{num_coef} coefficients by applying a window of @var{win_size} data
+points and an increment of @var{inc} points.
 
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-PROB (@var{x} > @var{y}) != 1/2.  If @var{alt} is @code{">"}, the
-one-sided alternative PROB (@var{x} > @var{y}) > 1/2 is considered.
-Similarly for @code{"<"}, the one-sided alternative PROB (@var{x} >
-@var{y}) < 1/2 is considered.  The default is the two-sided case.
+Before computing the Fourier transform, one of the following windows
+is applied:
+
+@table @asis
+@item hanning
+w_type = 1
+@item hamming
+w_type = 2
+@item rectangle
+w_type = 3
+@end table
+
+The window names can be passed as strings or by the @var{w_type} number.
 
-The p-value of the test is returned in @var{pval}.
+If not all arguments are specified, the following defaults are used:
+@var{win_size} = 80, @var{inc} = 24, @var{num_coef} = 64, and
+@var{w_type} = 1.
 
-If no output argument is given, the p-value of the test is displayed.
+@code{@var{y} = stft (@var{x}, @dots{})} returns the absolute values
+of the Fourier coefficients according to the @var{num_coef} positive
+frequencies.
+
+@code{[@var{y}, @var{c}] = stft (@code{x}, @dots{})} returns the
+entire STFT-matrix @var{y} and a 3-element vector @var{c} containing
+the window size, increment, and window type, which is needed by the
+synthesis function.
 @end deftypefn
-var_test
+spectral_adf
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{f}, @var{df_num}, @var{df_den}] =} var_test (@var{x}, @var{y}, @var{alt})
-For two samples @var{x} and @var{y} from normal distributions with
-unknown means and unknown variances, perform an F-test of the null
-hypothesis of equal variances.  Under the null, the test statistic
-@var{f} follows an F-distribution with @var{df_num} and @var{df_den}
-degrees of freedom.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{var (@var{x}) != var (@var{y})}.  If @var{alt} is @code{">"},
-the one-sided alternative @code{var (@var{x}) > var (@var{y})} is
-used.  Similarly for "<", the one-sided alternative @code{var
-(@var{x}) > var (@var{y})} is used.  The default is the two-sided
-case.
+@deftypefn {Function File} {} spectral_adf (@var{c}, @var{win}, @var{b})
+Return the spectral density estimator given a vector of
+autocovariances @var{c}, window name @var{win}, and bandwidth,
+@var{b}.
 
-The p-value of the test is returned in @var{pval}.
+The window name, e.g., @code{"triangle"} or @code{"rectangle"} is
+used to search for a function called @code{@var{win}_sw}.
 
-If no output argument is given, the p-value of the test is displayed.
+If @var{win} is omitted, the triangle window is used.  If @var{b} is
+omitted, @code{1 / sqrt (length (@var{x}))} is used.
 @end deftypefn
-welch_test
+filter2
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{t}, @var{df}] =} welch_test (@var{x}, @var{y}, @var{alt})
-For two samples @var{x} and @var{y} from normal distributions with
-unknown means and unknown and not necessarily equal variances,
-perform a Welch test of the null hypothesis of equal means.
-Under the null, the test statistic @var{t} approximately follows a
-Student distribution with @var{df} degrees of freedom.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
-one-sided alternative mean(x) > @var{m} is considered.  Similarly for
-@code{"<"}, the one-sided alternative mean(x) < @var{m} is
-considered.  The default is the two-sided case.
+@deftypefn {Function File} {@var{y} =} filter2 (@var{b}, @var{x})
+@deftypefnx {Function File} {@var{y} =} filter2 (@var{b}, @var{x}, @var{shape})
+Apply the 2-D FIR filter @var{b} to @var{x}. If the argument
+@var{shape} is specified, return an array of the desired shape.
+Possible values are: 
 
-The p-value of the test is returned in @var{pval}.
+@table @asis
+@item 'full'
+pad @var{x} with zeros on all sides before filtering.
+@item 'same'
+unpadded @var{x} (default)
+@item 'valid'
+trim @var{x} after filtering so edge effects are no included.
+@end table
 
-If no output argument is given, the p-value of the test is displayed.
+Note this is just a variation on convolution, with the parameters
+reversed and @var{b} rotated 180 degrees.
+@seealso{conv2}
 @end deftypefn
-wilcoxon_test
+fftfilt
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{z}] =} wilcoxon_test (@var{x}, @var{y}, @var{alt})
-For two matched-pair sample vectors @var{x} and @var{y}, perform a
-Wilcoxon signed-rank test of the null hypothesis PROB (@var{x} >
-@var{y}) == 1/2.  Under the null, the test statistic @var{z}
-approximately follows a standard normal distribution when @var{n} > 25.
-
-@strong{Warning}: This function assumes a normal distribution for @var{z}
-and thus is invalid for @var{n} <= 25.
+@deftypefn {Function File} {} fftfilt (@var{b}, @var{x}, @var{n})
 
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-PROB (@var{x} > @var{y}) != 1/2.  If alt is @code{">"}, the one-sided
-alternative PROB (@var{x} > @var{y}) > 1/2 is considered.  Similarly
-for @code{"<"}, the one-sided alternative PROB (@var{x} > @var{y}) <
-1/2 is considered.  The default is the two-sided case.
+With two arguments, @code{fftfilt} filters @var{x} with the FIR filter
+@var{b} using the FFT.
 
-The p-value of the test is returned in @var{pval}.
+Given the optional third argument, @var{n}, @code{fftfilt} uses the
+overlap-add method to filter @var{x} with @var{b} using an N-point FFT.
 
-If no output argument is given, the p-value of the test is displayed.
+If @var{x} is a matrix, filter each column of the matrix.
 @end deftypefn
-z_test
+fftconv
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{z}] =} z_test (@var{x}, @var{m}, @var{v}, @var{alt})
-Perform a Z-test of the null hypothesis @code{mean (@var{x}) ==
-@var{m}} for a sample @var{x} from a normal distribution with unknown
-mean and known variance @var{v}.  Under the null, the test statistic
-@var{z} follows a standard normal distribution.
+@deftypefn {Function File} {} fftconv (@var{a}, @var{b}, @var{n})
+Return the convolution of the vectors @var{a} and @var{b}, as a vector
+with length equal to the @code{length (a) + length (b) - 1}.  If @var{a}
+and @var{b} are the coefficient vectors of two polynomials, the returned
+value is the coefficient vector of the product polynomial.
 
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{mean (@var{x}) != @var{m}}.  If @var{alt} is @code{">"}, the
-one-sided alternative @code{mean (@var{x}) > @var{m}} is considered.
-Similarly for @code{"<"}, the one-sided alternative @code{mean
-(@var{x}) < @var{m}} is considered.  The default is the two-sided
-case.
+The computation uses the FFT by calling the function @code{fftfilt}.  If
+the optional argument @var{n} is specified, an N-point FFT is used.
+@end deftypefn
+triangle_lw
+-*- texinfo -*-
+@deftypefn {Function File} {} triangle_lw (@var{n}, @var{b})
+Triangular lag window. Subfunction used for spectral density
+estimation.
+@end deftypefn
+ifftshift
+-*- texinfo -*-
+@deftypefn {Function File} {} ifftshift (@var{v})
+@deftypefnx {Function File} {} ifftshift (@var{v}, @var{dim})
+Undo the action of the @code{fftshift} function.  For even length 
+@var{v}, @code{fftshift} is its own inverse, but odd lengths differ 
+slightly.
+@end deftypefn
+durbinlevinson
+-*- texinfo -*-
+@deftypefn {Function File} {} durbinlevinson (@var{c}, @var{oldphi}, @var{oldv})
+Perform one step of the Durbin-Levinson algorithm.
 
-The p-value of the test is returned in @var{pval}.
+The vector @var{c} specifies the autocovariances @code{[gamma_0, @dots{},
+gamma_t]} from lag 0 to @var{t}, @var{oldphi} specifies the
+coefficients based on @var{c}(@var{t}-1) and @var{oldv} specifies the
+corresponding error.
 
-If no output argument is given, the p-value of the test is displayed
-along with some information.
+If @var{oldphi} and @var{oldv} are omitted, all steps from 1 to
+@var{t} of the algorithm are performed.
 @end deftypefn
-z_test_2
+unwrap
 -*- texinfo -*-
-@deftypefn {Function File} {[@var{pval}, @var{z}] =} z_test_2 (@var{x}, @var{y}, @var{v_x}, @var{v_y}, @var{alt})
-For two samples @var{x} and @var{y} from normal distributions with
-unknown means and known variances @var{v_x} and @var{v_y}, perform a
-Z-test of the hypothesis of equal means.  Under the null, the test
-statistic @var{z} follows a standard normal distribution.
-
-With the optional argument string @var{alt}, the alternative of
-interest can be selected.  If @var{alt} is @code{"!="} or
-@code{"<>"}, the null is tested against the two-sided alternative
-@code{mean (@var{x}) != mean (@var{y})}.  If alt is @code{">"}, the
-one-sided alternative @code{mean (@var{x}) > mean (@var{y})} is used.
-Similarly for @code{"<"}, the one-sided alternative @code{mean
-(@var{x}) < mean (@var{y})} is used.  The default is the two-sided
-case.
+@deftypefn {Function File} {@var{b} =} unwrap (@var{a}, @var{tol}, @var{dim})
 
-The p-value of the test is returned in @var{pval}.
+Unwrap radian phases by adding multiples of 2*pi as appropriate to
+remove jumps greater than @var{tol}.  @var{tol} defaults to pi.
 
-If no output argument is given, the p-value of the test is displayed
-along with some information.
+Unwrap will unwrap along the first non-singleton dimension of
+@var{a}, unless the optional argument @var{dim} is given, in 
+which case the data will be unwrapped along this dimension
 @end deftypefn
-base2dec
+arch_fit
 -*- texinfo -*-
-@deftypefn {Function File} {} base2dec (@var{s}, @var{b})
-Convert @var{s} from a string of digits of base @var{b} into an
-integer.
+@deftypefn {Function File} {[@var{a}, @var{b}] =} arch_fit (@var{y}, @var{x}, @var{p}, @var{iter}, @var{gamma}, @var{a0}, @var{b0})
+Fit an ARCH regression model to the time series @var{y} using the
+scoring algorithm in Engle's original ARCH paper.  The model is
 
 @example
-base2dec ("11120", 3)
-@result{} 123
+y(t) = b(1) * x(t,1) + ... + b(k) * x(t,k) + e(t),
+h(t) = a(1) + a(2) * e(t-1)^2 + ... + a(p+1) * e(t-p)^2
 @end example
 
-If @var{s} is a matrix, returns a column vector with one value per
-row of @var{s}.  If a row contains invalid symbols then the
-corresponding value will be NaN.  Rows are right-justified before
-converting so that trailing spaces are ignored.
+@noindent
+in which @math{e(t)} is @math{N(0, h(t))}, given a time-series vector
+@var{y} up to time @math{t-1} and a matrix of (ordinary) regressors
+@var{x} up to @math{t}.  The order of the regression of the residual
+variance is specified by @var{p}.
 
-If @var{b} is a string, the characters of @var{b} are used as the
-symbols for the digits of @var{s}. Space (' ') may not be used as a
-symbol.
+If invoked as @code{arch_fit (@var{y}, @var{k}, @var{p})} with a
+positive integer @var{k}, fit an ARCH(@var{k}, @var{p}) process,
+i.e., do the above with the @math{t}-th row of @var{x} given by
 
 @example
-base2dec ("yyyzx", "xyz")
-@result{} 123
+[1, y(t-1), ..., y(t-k)]
 @end example
-@seealso{dec2base, dec2bin, bin2dec, hex2dec, dec2hex}
+
+Optionally, one can specify the number of iterations @var{iter}, the
+updating factor @var{gamma}, and initial values @math{a0} and
+@math{b0} for the scoring algorithm.
 @end deftypefn
-bin2dec
+spectral_xdf
 -*- texinfo -*-
-@deftypefn {Function File} {} bin2dec (@var{s})
-Return the decimal number corresponding to the binary number stored
-in the string @var{s}.  For example,
+@deftypefn {Function File} {} spectral_xdf (@var{x}, @var{win}, @var{b})
+Return the spectral density estimator given a data vector @var{x},
+window name @var{win}, and bandwidth, @var{b}.
+
+The window name, e.g., @code{"triangle"} or @code{"rectangle"} is
+used to search for a function called @code{@var{win}_sw}.
+
+If @var{win} is omitted, the triangle window is used.  If @var{b} is
+omitted, @code{1 / sqrt (length (@var{x}))} is used.
+@end deftypefn
+synthesis
+-*- texinfo -*-
+@deftypefn {Function File} {} synthesis (@var{y}, @var{c})
+Compute a signal from its short-time Fourier transform @var{y} and a
+3-element vector @var{c} specifying window size, increment, and
+window type.
+
+The values @var{y} and @var{c} can be derived by
 
 @example
-bin2dec ("1110")
-@result{} 14
+[@var{y}, @var{c}] = stft (@var{x} , @dots{})
 @end example
-
-If @var{s} is a string matrix, returns a column vector of converted
-numbers, one per row of @var{s}.  Invalid rows evaluate to NaN.
-@seealso{dec2hex, base2dec, dec2base, hex2dec, dec2bin}
 @end deftypefn
-blanks
+rectangle_sw
 -*- texinfo -*-
-@deftypefn {Function File} {} blanks (@var{n})
-Return a string of @var{n} blanks.
-@seealso{repmat}
+@deftypefn {Function File} {} rectangle_sw (@var{n}, @var{b})
+Rectangular spectral window.  Subfunction used for spectral density
+estimation.
 @end deftypefn
-deblank
+yulewalker
 -*- texinfo -*-
-@deftypefn {Function File} {} deblank (@var{s})
-Remove trailing blanks and nulls from @var{s}.  If @var{s}
-is a matrix, @var{deblank} trims each row to the length of longest
-string.  If @var{s} is a cell array, operate recursively on each
-element of the cell array.
+@deftypefn {Function File} {[@var{a}, @var{v}] =} yulewalker (@var{c})
+Fit an AR (p)-model with Yule-Walker estimates given a vector @var{c}
+of autocovariances @code{[gamma_0, ..., gamma_p]}.
+
+Returns the AR coefficients, @var{a}, and the variance of white
+noise, @var{v}.
 @end deftypefn
-dec2base
+arch_test
 -*- texinfo -*-
-@deftypefn {Function File} {} dec2base (@var{n}, @var{b}, @var{len})
-Return a string of symbols in base @var{b} corresponding to
-the nonnegative integer @var{n}.
+@deftypefn {Function File} {[@var{pval}, @var{lm}] =} arch_test (@var{y}, @var{x}, @var{p})
+For a linear regression model
 
 @example
-dec2base (123, 3)
-@result{} "11120"
+y = x * b + e
 @end example
 
-If @var{n} is a vector, return a string matrix with one row per value,
-padded with leading zeros to the width of the largest value.
+@noindent
+perform a Lagrange Multiplier (LM) test of the null hypothesis of no
+conditional heteroscedascity against the alternative of CH(@var{p}).
 
-If @var{b} is a string then the characters of @var{b} are used as
-the symbols for the digits of @var{n}.  Space (' ') may not be used
-as a symbol.
+I.e., the model is
 
 @example
-dec2base (123, "aei")
-@result{} "eeeia"
+y(t) = b(1) * x(t,1) + @dots{} + b(k) * x(t,k) + e(t),
 @end example
 
-The optional third argument, @var{len}, specifies the minimum
-number of digits in the result.
-@seealso{base2dec, dec2bin, bin2dec, hex2dec, dec2hex}
-@end deftypefn
-dec2bin
--*- texinfo -*-
-@deftypefn {Function File} {} dec2bin (@var{n}, @var{len})
-Return a binary number corresponding the nonnegative decimal number
-@var{n}, as a string of ones and zeros.  For example,
+@noindent
+given @var{y} up to @math{t-1} and @var{x} up to @math{t},
+@math{e}(t) is @math{N(0, h(t))} with
 
 @example
-dec2bin (14)
-@result{} "1110"
+h(t) = v + a(1) * e(t-1)^2 + @dots{} + a(p) * e(t-p)^2,
 @end example
 
-If @var{n} is a vector, returns a string matrix, one row per value,
-padded with leading zeros to the width of the largest value.
+@noindent
+and the null is @math{a(1)} == @dots{} == @math{a(p)} == 0.
 
-The optional second argument, @var{len}, specifies the minimum
-number of digits in the result.
-@seealso{bin2dec, dec2base, base2dec, hex2dec, dec2hex}
-@end deftypefn
-dec2hex
--*- texinfo -*-
-@deftypefn {Function File} {} dec2hex (@var{n}, @var{len})
-Return the hexadecimal string corresponding to the nonnegative 
-integer @var{n}.  For example,
+If the second argument is a scalar integer, @math{k}, perform the same
+test in a linear autoregression model of order @math{k}, i.e., with
 
 @example
-dec2hex (2748)
-@result{} "ABC"
+[1, y(t-1), @dots{}, y(t-@var{k})]
 @end example
 
-If @var{n} is a vector, returns a string matrix, one row per value,
-padded with leading zeros to the width of the largest value.
+@noindent
+as the @math{t}-th row of @var{x}.
 
-The optional second argument, @var{len}, specifies the minimum
-number of digits in the result.
-@seealso{hex2dec, dec2base, base2dec, bin2dec, dec2bin}
+Under the null, LM approximately has a chisquare distribution with
+@var{p} degrees of freedom and @var{pval} is the @math{p}-value (1
+minus the CDF of this distribution at LM) of the test.
+
+If no output argument is given, the @math{p}-value is displayed.
 @end deftypefn
-findstr
+arma_rnd
 -*- texinfo -*-
-@deftypefn {Function File} {} findstr (@var{s}, @var{t}, @var{overlap})
-Return the vector of all positions in the longer of the two strings
-@var{s} and @var{t} where an occurrence of the shorter of the two starts.
-If the optional argument @var{overlap} is nonzero, the returned vector
-can include overlapping positions (this is the default).  For example,
+@deftypefn {Function File} {} arma_rnd (@var{a}, @var{b}, @var{v}, @var{t}, @var{n})
+Return a simulation of the ARMA model
 
 @example
-findstr ("ababab", "a")
-@result{} [ 1, 3, 5 ]
-findstr ("abababa", "aba", 0)
-@result{} [ 1, 5 ]
+x(n) = a(1) * x(n-1) + ... + a(k) * x(n-k)
+     + e(n) + b(1) * e(n-1) + ... + b(l) * e(n-l)
 @end example
+
+@noindent
+in which @var{k} is the length of vector @var{a}, @var{l} is the
+length of vector @var{b} and @var{e} is gaussian white noise with
+variance @var{v}.  The function returns a vector of length @var{t}.
+
+The optional parameter @var{n} gives the number of dummy
+@var{x}(@var{i}) used for initialization, i.e., a sequence of length
+@var{t}+@var{n} is generated and @var{x}(@var{n}+1:@var{t}+@var{n})
+is returned.  If @var{n} is omitted, @var{n} = 100 is used. 
 @end deftypefn
-hex2dec
+sinc
 -*- texinfo -*-
-@deftypefn {Function File} {} hex2dec (@var{s})
-Return the integer corresponding to the hexadecimal number stored
-in the string @var{s}.  For example,
+@deftypefn {Function File} {} sinc (@var{x})
+Return
+@iftex
+@tex
+$ \sin (\pi x)/(\pi x)$.
+@end tex
+@end iftex
+@ifinfo
+ sin(pi*x)/(pi*x).
+@end ifinfo
+@end deftypefn
+autoreg_matrix
+-*- texinfo -*-
+@deftypefn {Function File} {} autoreg_matrix (@var{y}, @var{k})
+Given a time series (vector) @var{y}, return a matrix with ones in the
+first column and the first @var{k} lagged values of @var{y} in the
+other columns.  I.e., for @var{t} > @var{k}, @code{[1,
+@var{y}(@var{t}-1), @dots{}, @var{y}(@var{t}-@var{k})]} is the t-th row
+of the result.  The resulting matrix may be used as a regressor matrix
+in autoregressions.
+@end deftypefn
+autocor
+-*- texinfo -*-
+@deftypefn {Function File} {} autocor (@var{x}, @var{h})
+Return the autocorrelations from lag 0 to @var{h} of vector @var{x}.
+If @var{h} is omitted, all autocorrelations are computed.
+If @var{x} is a matrix, the autocorrelations of each column are
+computed.
+@end deftypefn
+bartlett
+-*- texinfo -*-
+@deftypefn {Function File} {} bartlett (@var{m})
+Return the filter coefficients of a Bartlett (triangular) window of
+length @var{m}.
 
-@example
-hex2dec ("12B")
-@result{} 299
-hex2dec ("12b")
-@result{} 299
-@end example
+For a definition of the Bartlett window, see e.g. A. V. Oppenheim &
+R. W. Schafer, "Discrete-Time Signal Processing".
+@end deftypefn
+hurst
+-*- texinfo -*-
+@deftypefn {Function File} {} hurst (@var{x})
+Estimate the Hurst parameter of sample @var{x} via the rescaled range
+statistic.  If @var{x} is a matrix, the parameter is estimated for
+every single column.
+@end deftypefn
+spencer
+-*- texinfo -*-
+@deftypefn {Function File} {} spencer (@var{x})
+Return Spencer's 15 point moving average of every single column of
+@var{x}.
+@end deftypefn
+conv
+-*- texinfo -*-
+@deftypefn {Function File} {} conv (@var{a}, @var{b})
+Convolve two vectors.
 
-If @var{s} is a string matrix, returns a column vector of converted
-numbers, one per row of @var{s}.  Invalid rows evaluate to NaN.
-@seealso{dec2hex, base2dec, dec2base, bin2dec, dec2bin}
+@code{y = conv (a, b)} returns a vector of length equal to
+@code{length (a) + length (b) - 1}.
+If @var{a} and @var{b} are polynomial coefficient vectors, @code{conv}
+returns the coefficients of the product polynomial.
+@seealso{deconv, poly, roots, residue, polyval, polyderiv, polyinteg}
 @end deftypefn
-index
+roots
 -*- texinfo -*-
-@deftypefn {Function File} {} index (@var{s}, @var{t})
-@deftypefnx {Function File} {} index (@var{s}, @var{t}, @var{direction})
-Return the position of the first occurrence of the string @var{t} in the
-string @var{s}, or 0 if no occurrence is found.  For example,
+@deftypefn {Function File} {} roots (@var{v})
+
+For a vector @var{v} with @math{N} components, return
+the roots of the polynomial
+@iftex
+@tex
+$$
+v_1 z^{N-1} + \cdots + v_{N-1} z + v_N.
+$$
+@end tex
+@end iftex
+@ifnottex
 
 @example
-index ("Teststring", "t")
-@result{} 4
+v(1) * z^(N-1) + ... + v(N-1) * z + v(N)
+@end example
+@end ifnottex
+
+As an example, the following code finds the roots of the quadratic
+polynomial
+@iftex
+@tex
+$$ p(x) = x^2 - 5. $$
+@end tex
+@end iftex
+@ifnottex
+@example
+p(x) = x^2 - 5.
+@end example
+@end ifnottex
+@example
+c = [1, 0, -5];
+roots(c)
+@result{}  2.2361
+@result{} -2.2361
 @end example
+Note that the true result is
+@iftex
+@tex
+$\pm \sqrt{5}$
+@end tex
+@end iftex
+@ifnottex
+@math{+/- sqrt(5)}
+@end ifnottex
+which is roughly
+@iftex
+@tex
+$\pm 2.2361$.
+@end tex
+@end iftex
+@ifnottex
+@math{+/- 2.2361}.
+@end ifnottex
+@seealso{compan}
+@end deftypefn
+pchip
+-*- texinfo -*-
+@deftypefn {Function File} {@var{pp} = } pchip (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{yi} = } pchip (@var{x}, @var{y}, @var{xi})
+
+Piecewise Cubic Hermite interpolating polynomial. Called with two
+arguments, the piece-wise polynomial @var{pp} is returned, that may
+later be used with @code{ppval} to evaluate the polynomial at
+specific points.
+
+The variable @var{x} must be a strictly monotonic vector (either
+increasing or decreasing). While @var{y} can be either a vector or
+array. In the case where @var{y} is a vector, it must have a length
+of @var{n}. If @var{y} is an array, then the size of @var{y} must
+have the form
+@iftex
+@tex
+$$[s_1, s_2, \cdots, s_k, n]$$
+@end tex
+@end iftex
+@ifinfo
+@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n}]}
+@end ifinfo
+The array is then reshaped internally to a matrix where the leading
+dimension is given by 
+@iftex
+@tex
+$$s_1 s_2 \cdots s_k$$
+@end tex
+@end iftex
+@ifinfo
+@code{@var{s1} * @var{s2} * @dots{} * @var{sk}}
+@end ifinfo
+and each row in this matrix is then treated separately. Note that this
+is exactly the opposite treatment than @code{interp1} and is done
+for compatibility.
 
-If @var{direction} is @samp{"first"}, return the first element found.
-If @var{direction} is @samp{"last"}, return the last element found.
-The @code{rindex} function is equivalent to @code{index} with
-@var{direction} set to @samp{"last"}.
+Called with a third input argument, @code{pchip} evaluates the 
+piece-wise polynomial at the points @var{xi}. There is an equivalence
+between @code{ppval (pchip (@var{x}, @var{y}), @var{xi})} and
+@code{pchip (@var{x}, @var{y}, @var{xi})}.
 
-@strong{Caution:}  This function does not work for arrays of
-character strings.
-@seealso{find, rindex}
-@end deftypefn
-isletter
--*- texinfo -*-
-@deftypefn {Function File} {} isletter (@var{s})
-Returns true if @var{s} is a letter false otherwise.
-@seealso{isalpha}
+@seealso{spline, ppval, mkpp, unmkpp}
 @end deftypefn
-lower
+polyreduce
 -*- texinfo -*-
-@deftypefn {Function File} {} lower (@var{s})
-Transform all letters in the character string (or cell array of
-character strings) @var{s} to lower case.
-@seealso{upper, tolower, toupper}
+@deftypefn {Function File} {} polyreduce (@var{c})
+Reduces a polynomial coefficient vector to a minimum number of terms by
+stripping off any leading zeros.
+@seealso{poly, roots, conv, deconv, residue, filter, polyval,
+polyvalm, polyderiv, polyinteg}
 @end deftypefn
-mat2str
+compan
 -*- texinfo -*-
-@deftypefn {Function File} {@var{s} =} mat2str (@var{x}, @var{n})
-@deftypefnx {Function File} {@var{s} =} mat2str (@dots{}, 'class')
-
-Format real/complex numerical matrices as strings. This function
-returns values that are suitable for the use of the @code{eval}
-function.
-
-The precision of the values is given by @var{n}. If @var{n} is a
-scalar then both real and imaginary parts of the matrix are printed
-to the same precision. Otherwise @code{@var{n} (1)} defines the
-precision of the real part and @code{@var{n} (2)} defines the
-precision of the imaginary part. The default for @var{n} is 17.
+@deftypefn {Function File} {} compan (@var{c})
+Compute the companion matrix corresponding to polynomial coefficient
+vector @var{c}.
 
-If the argument 'class' is given, then the class of @var{x} is
-included in the string in such a way that the eval will result in the
-construction of a matrix of the same class.
+The companion matrix is
+@iftex
+@tex
+$$
+A = \left[\matrix{
+ -c_2/c_1 & -c_3/c_1 & \cdots & -c_N/c_1 & -c_{N+1}/c_1\cr
+     1    &     0    & \cdots &     0    &         0   \cr
+     0    &     1    & \cdots &     0    &         0   \cr
+  \vdots  &   \vdots & \ddots &  \vdots  &      \vdots \cr
+     0    &     0    & \cdots &     1    &         0}\right].
+$$
+@end tex
+@end iftex
+@ifnottex
 
-@example
-@group
-   mat2str( [ -1/3 + i/7; 1/3 - i/7 ], [4 2] )
-@result{} '[-0.3333+0.14i;0.3333-0.14i]'
-   mat2str( [ -1/3 +i/7; 1/3 -i/7 ], [4 2] )
-@result{} '[-0.3333+0i,0+0.14i;0.3333+0i,-0-0.14i]'
-   mat2str( int16([1 -1]), 'class')
-@result{} 'int16([1,-1])'
-@end group
-@end example
+@smallexample
+     _                                                        _
+    |  -c(2)/c(1)   -c(3)/c(1)  ...  -c(N)/c(1)  -c(N+1)/c(1)  |
+    |       1            0      ...       0             0      |
+    |       0            1      ...       0             0      |
+A = |       .            .   .            .             .      |
+    |       .            .       .        .             .      |
+    |       .            .           .    .             .      |
+    |_      0            0      ...       1             0     _|
+@end smallexample
+@end ifnottex
 
-@seealso{sprintf, int2str}
+The eigenvalues of the companion matrix are equal to the roots of the
+polynomial.
+@seealso{poly, roots, residue, conv, deconv, polyval, polyderiv,
+polyinteg}
 @end deftypefn
-rindex
+residue
 -*- texinfo -*-
-@deftypefn {Function File} {} rindex (@var{s}, @var{t})
-Return the position of the last occurrence of the character string
-@var{t} in the character string @var{s}, or 0 if no occurrence is
-found.  For example,
+@deftypefn {Function File} {[@var{r}, @var{p}, @var{k}, @var{e}] =} residue (@var{b}, @var{a})
+Compute the partial fraction expansion for the quotient of the
+polynomials, @var{b} and @var{a}.
+
+@iftex
+@tex
+$$
+{B(s)\over A(s)} = \sum_{m=1}^M {r_m\over (s-p_m)^e_m}
+  + \sum_{i=1}^N k_i s^{N-i}.
+$$
+@end tex
+@end iftex
+@ifinfo
 
 @example
-rindex ("Teststring", "t")
-@result{} 6
+ B(s)    M       r(m)         N
+ ---- = SUM -------------  + SUM k(i)*s^(N-i)
+ A(s)   m=1 (s-p(m))^e(m)    i=1
 @end example
+@end ifinfo
 
-@strong{Caution:}  This function does not work for arrays of
-character strings.
-@seealso{find, index}
-@end deftypefn
-split
--*- texinfo -*-
-@deftypefn {Function File} {} split (@var{s}, @var{t}, @var{n})
-Divides the string @var{s} into pieces separated by @var{t}, returning
-the result in a string array (padded with blanks to form a valid
-matrix).  If the optional input @var{n} is supplied, split @var{s}
-into at most @var{n} different pieces.
+@noindent
+where @math{M} is the number of poles (the length of the @var{r},
+@var{p}, and @var{e}), the @var{k} vector is a polynomial of order @math{N-1}
+representing the direct contribution, and the @var{e} vector specifies
+the multiplicity of the mth residue's pole.
 
 For example,
 
 @example
-split ("Test string", "t")
-@result{} "Tes "
-        " s  "
-        "ring"
+@group
+b = [1, 1, 1];
+a = [1, -5, 8, -4];
+[r, p, k, e] = residue (b, a);
+@result{} r = [-2; 7; 3]
+@result{} p = [2; 2; 1]
+@result{} k = [](0x0)
+@result{} e = [1; 2; 1]
+@end group
 @end example
 
+@noindent
+which represents the following partial fraction expansion
+@iftex
+@tex
+$$
+{s^2+s+1\over s^3-5s^2+8s-4} = {-2\over s-2} + {7\over (s-2)^2} + {3\over s-1}
+$$
+@end tex
+@end iftex
+@ifinfo
+
 @example
-split ("Test string", "t", 2)
-@result{} "Tes    "
-        " string"
+        s^2 + s + 1       -2        7        3
+   ------------------- = ----- + ------- + -----
+   s^3 - 5s^2 + 8s - 4   (s-2)   (s-2)^2   (s-1)
 @end example
-@end deftypefn
-str2double
--*- texinfo -*-
-@deftypefn {Function File} {[@var{num}, @var{status}, @var{strarray}] =} str2double (@var{str}, @var{cdelim}, @var{rdelim}, @var{ddelim})
-Convert strings into numeric values.
-
-@code{str2double} can replace @code{str2num}, but avoids the use of
-@code{eval} on unknown data.
-
-@var{str} can be the form @samp{[+-]d[.]dd[[eE][+-]ddd]} in which
-@samp{d} can be any of digit from 0 to 9, and @samp{[]} indicate
-optional elements.
-
-@var{num} is the corresponding numeric value.  If the conversion
-fails, status is -1 and @var{num} is NaN.
-
-@var{status} is 0 if the conversion was successful and -1 otherwise.
-
-@var{strarray} is a cell array of strings.
-
-Elements which are not defined or not valid return NaN and the
-@var{status} becomes -1.
 
-If @var{str} is a character array or a cell array of strings, then
-@var{num} and @var{status} return matrices of appropriate size. 
-
-@var{str} can also contain multiple elements separated by row and
-column delimiters (@var{cdelim} and @var{rdelim}).
-
-The parameters @var{cdelim}, @var{rdelim}, and @var{ddelim} are
-optional column, row, and decimal delimiters.
+@end ifinfo
 
-The default row-delimiters are newline, carriage return and semicolon
-(ASCII 10, 13 and 59).  The default column-delimiters are tab, space
-and comma (ASCII 9, 32, and 44).  The default decimal delimiter is
-@samp{.} (ASCII 46).
+@deftypefnx {Function File} {[@var{b}, @var{a}] =} residue (@var{r}, @var{p}, @var{k})
+@deftypefnx {Function File} {[@var{b}, @var{a}] =} residue (@var{r}, @var{p}, @var{k}, @var{e})
+Compute the reconstituted quotient of polynomials,
+@var{b}(s)/@var{a}(s), from the partial fraction expansion;
+represented by the residues, poles, and a direct polynomial specified
+by @var{r}, @var{p} and @var{k}, and the pole multiplicity @var{e}.
 
-@var{cdelim}, @var{rdelim}, and @var{ddelim} must contain only nul,
-newline, carriage return, semicolon, colon, slash, tab, space, comma,
-or @samp{()[]@{@}} (ASCII 0, 9, 10, 11, 12, 13, 14, 32, 33, 34, 40,
-41, 44, 47, 58, 59, 91, 93, 123, 124, 125).
+If the multiplicity, @var{e}, is not explicitly specified the multiplicity is
+determined by the script mpoles.m.
 
-Examples:
+For example,
 
 @example
-str2double ("-.1e-5")
-@result{} -1.0000e-006
-
-str2double (".314e1, 44.44e-1, .7; -1e+1")
-@result{}
-   3.1400    4.4440    0.7000
- -10.0000       NaN       NaN
-
-line = "200, 300, NaN, -inf, yes, no, 999, maybe, NaN";
-[x, status] = str2double (line)
-@result{} x =
-    200   300   NaN  -Inf   NaN   NaN   999   NaN   NaN
-@result{} status =
-      0     0     0     0    -1    -1     0    -1     0
-@end example
-@end deftypefn
-str2mat
--*- texinfo -*-
-@deftypefn {Function File} {} str2mat (@var{s_1}, @dots{}, @var{s_n})
-Return a matrix containing the strings @var{s_1}, @dots{}, @var{s_n} as
-its rows.  Each string is padded with blanks in order to form a valid
-matrix.
-
-This function is modelled after @sc{Matlab}.  In Octave, you can create
-a matrix of strings by @code{[@var{s_1}; @dots{}; @var{s_n}]} even if
-the strings are not all the same length.
-@end deftypefn
-str2num
--*- texinfo -*-
-@deftypefn {Function File} {} str2num (@var{s})
-Convert the string @var{s} to a number.
-@end deftypefn
-strcat
--*- texinfo -*-
-@deftypefn {Function File} {} strcat (@var{s1}, @var{s2}, @dots{})
-Return a string containing all the arguments concatenated.  For example,
+@group
+r = [-2; 7; 3];
+p = [2; 2; 1];
+k = [1, 0];
+[b, a] = residue (r, p, k);
+@result{} b = [1, -5, 9, -3, 1]
+@result{} a = [1, -5, 8, -4]
+
+where mpoles.m is used to determine e = [1; 2; 1]
+
+@end group
+@end example
+
+Alternatively the multiplicity may be defined explicitly, for example,
 
 @example
 @group
-s = [ "ab"; "cde" ];
-strcat (s, s, s)
-@result{} "ab ab ab "
-        "cdecdecde"
+r = [7; 3; -2];
+p = [2; 1; 2];
+k = [1, 0];
+e = [2; 1; 1];
+[b, a] = residue (r, p, k, e);
+@result{} b = [1, -5, 9, -3, 1]
+@result{} a = [1, -5, 8, -4]
 @end group
 @end example
-@end deftypefn
-strcmpi
--*- texinfo -*-
-@deftypefn {Function File} {} strcmpi (@var{s1}, @var{s2})
-Ignoring case, return 1 if the character strings @var{s1} and @var{s2}
-are the same, and 0 otherwise.
-
-If either @var{s1} or @var{s2} is a cell array of strings, then an array
-of the same size is returned, containing the values described above for
-every member of the cell array. The other argument may also be a cell
-array of strings (of the same size or with only one element), char matrix
-or character string.
 
-@strong{Caution:} For compatibility with @sc{Matlab}, Octave's strcmpi
-function returns 1 if the character strings are equal, and 0 otherwise.
-This is just the opposite of the corresponding C library function.
-@seealso{strcmp, strncmp, strncmpi}
-@end deftypefn
-strfind
--*- texinfo -*-
-@deftypefn {Function File} {@var{idx} =} strfind (@var{str}, @var{pattern})
-@deftypefnx {Function File} {@var{idx} =} strfind (@var{cellstr}, @var{pattern})
-Search for @var{pattern} in the string @var{str} and return the
-starting index of every such occurrence in the vector @var{idx}.
-If there is no such occurrence, or if @var{pattern} is longer
-than @var{str}, then @var{idx} is the empty array @code{[]}.
+@noindent
+which represents the following partial fraction expansion
+@iftex
+@tex
+$$
+{-2\over s-2} + {7\over (s-2)^2} + {3\over s-1} + s = {s^4-5s^3+9s^2-3s+1\over s^3-5s^2+8s-4}
+$$
+@end tex
+@end iftex
+@ifinfo
 
-If the cell array of strings @var{cellstr} is specified instead of the
-string @var{str}, then @var{idx} is a cell array of vectors, as specified
-above.
-@seealso{findstr, strmatch, strcmp, strncmp, strcmpi, strncmpi}
+@example
+    -2        7        3         s^4 - 5s^3 + 9s^2 - 3s + 1
+   ----- + ------- + ----- + s = --------------------------
+   (s-2)   (s-2)^2   (s-1)          s^3 - 5s^2 + 8s - 4
+@end example
+@end ifinfo
+@seealso{poly, roots, conv, deconv, mpoles, polyval, polyderiv, polyinteg}
 @end deftypefn
-strjust
+polyint
 -*- texinfo -*-
-@deftypefn {Function File} {} strjust (@var{s}, ["left"|"right"|"center"])
-Shift the non-blank text of @var{s} to the left, right or center of
-the string.  If @var{s} is a string array, justify each string in the
-array.  Null characters are replaced by blanks.  If no justification
-is specified, then all rows are right-justified.
+@deftypefn {Function File} {} polyint (@var{c}, @var{k})
+Return the coefficients of the integral of the polynomial whose
+coefficients are represented by the vector @var{c}. The variable
+@var{k} is the constant of integration, which by default is set to zero.
+@seealso{poly, polyderiv, polyreduce, roots, conv, deconv, residue,
+filter, polyval, and polyvalm}
 @end deftypefn
-strmatch
+ppval
 -*- texinfo -*-
-@deftypefn {Function File} {} strmatch (@var{s}, @var{a}, "exact")
-Return indices of entries of @var{a} that match the string @var{s}.
-The second argument @var{a} may be a string matrix or a cell array of
-strings.  If the third argument @code{"exact"} is not given, then
-@var{s} only needs to match @var{a} up to the length of @var{s}.  Nul
-characters match blanks.  Results are returned as a column vector.
-@end deftypefn
-strncmpi
+@deftypefn {Function File} {@var{yi} =} ppval (@var{pp}, @var{xi})
+Evaluate piece-wise polynomial @var{pp} at the points @var{xi}.  
+If @code{@var{pp}.d} is a scalar greater than 1, or an array,
+then the returned value @var{yi} will be an array that is 
+@code{d1, d1, @dots{}, dk, length (@var{xi})]}.
+@seealso{mkpp, unmkpp, spline}
+@end deftypefn 
+spline
 -*- texinfo -*-
-@deftypefn {Function File} {} strncmpi (@var{s1}, @var{s2}, @var{n})
-Ignoring case, return 1 if the first @var{n} characters of character
-strings @var{s1} and @var{s2} are the same, and 0 otherwise.
+@deftypefn {Function File} {@var{pp} = } spline (@var{x}, @var{y})
+@deftypefnx {Function File} {@var{yi} = } spline (@var{x}, @var{y}, @var{xi})
 
-If either @var{s1} or @var{s2} is a cell array of strings, then an array
-of the same size is returned, containing the values described above for
-every member of the cell array. The other argument may also be a cell
-array of strings (of the same size or with only one element), char matrix
-or character string.
+Returns the cubic spline interpolation of @var{y} at the point
+@var{x}. Called with two arguments the piece-wise polynomial @var{pp}
+that may later be used with @code{ppval} to evaluate the polynomial
+at specific points.
 
-@strong{Caution:} For compatibility with @sc{Matlab}, Octave's strncmpi
-function returns 1 if the character strings are equal, and 0 otherwise.
-This is just the opposite of the corresponding C library function.
-@seealso{strcmp, strcmpi, strncmp}
-@end deftypefn
-strrep
--*- texinfo -*-
-@deftypefn {Function File} {} strrep (@var{s}, @var{x}, @var{y})
-Replaces all occurrences of the substring @var{x} of the string @var{s}
-with the string @var{y}.  For example,
+The variable @var{x} must be a vector of length @var{n}, and @var{y}
+can be either a vector or array. In the case where @var{y} is a
+vector, it can have a length of either @var{n} or @code{@var{n} + 2}.
+If the length of @var{y} is @var{n}, then the 'not-a-knot' end
+condition is used. If the length of @var{y} is @code{@var{n} + 2},
+then the first and last values of the vector @var{y} are the first
+derivative of the cubic spline at the end-points.
 
-@example
-strrep ("This is a test string", "is", "&%$")
-@result{} "Th&%$ &%$ a test string"
-@end example
-@end deftypefn
-strtok
--*- texinfo -*-
-@deftypefn {Function File} {[@var{tok}, @var{rem}] =} strtok (@var{str}, @var{delim})
+If @var{y} is an array, then the size of @var{y} must have the form
+@iftex
+@tex
+$$[s_1, s_2, \cdots, s_k, n]$$
+@end tex
+@end iftex
+@ifinfo
+@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n}]}
+@end ifinfo
+or
+@iftex
+@tex
+$$[s_1, s_2, \cdots, s_k, n + 2]$$.
+@end tex
+@end iftex
+@ifinfo
+@code{[@var{s1}, @var{s2}, @dots{}, @var{sk}, @var{n} + 2]}.
+@end ifinfo
+The array is then reshaped internally to a matrix where to leading
+dimension is given by 
+@iftex
+@tex
+$$s_1 s_2 \cdots s_k$$
+@end tex
+@end iftex
+@ifinfo
+@code{@var{s1} * @var{s2} * @dots{} * @var{sk}}
+@end ifinfo
+and each row this matrix is then treated separately. Note that this
+is exactly the opposite treatment than @code{interp1} and is done
+for compatibility.
 
-Find all characters up to but not including the first character which
-is in the string delim.  If @var{rem} is requested, it contains the
-remainder of the string, starting at the first deliminator. Leading
-delimiters are ignored.  If @var{delim} is not specified, space is assumed.
+Called with a third input argument, @code{spline} evaluates the 
+piece-wise spline at the points @var{xi}. There is an equivalence
+between @code{ppval (spline (@var{x}, @var{y}), @var{xi})} and
+@code{spline (@var{x}, @var{y}, @var{xi})}.
 
+@seealso{ppval, mkpp, unmkpp}
 @end deftypefn
-strtrim
--*- texinfo -*-
-@deftypefn {Function File} {} deblank (@var{s})
-Remove leading and trailing blanks and nulls from @var{s}.  If
-@var{s} is a matrix, @var{deblank} trims each row to the length of
-longest string.  If @var{s} is a cell array, operate recursively on
-each element of the cell array. 
-@end deftypefn
-strtrunc
+polyfit
 -*- texinfo -*-
-@deftypefn {Function File} {} strtrunc (@var{s}, @var{n})
-Truncate the character string @var{s} to length @var{n}. If @var{s}
-is a char matrix, then the number of columns are adjusted.
+@deftypefn {Function File} {[@var{p}, @var{s}, @var{mu}] =} polyfit (@var{x}, @var{y}, @var{n})
+Return the coefficients of a polynomial @var{p}(@var{x}) of degree
+@var{n} that minimizes the least-squares-error of the fit.
 
-If @var{s} is a cell array of strings, then the operation is performed
-on its members and the new cell array is returned.
+The polynomial coefficients are returned in a row vector.
+
+The second output is a structure containing the following fields:
+
+@table @samp
+@item R
+Triangular factor R from the QR decomposition.
+@item X
+The Vandermonde matrix used to compute the polynomial coefficients.
+@item df
+The degrees of freedom.
+@item normr
+The norm of the residuals.
+@item yf
+The values of the polynomial for each value of @var{x}.
+@end table
+
+The second output may be used by @code{polyval} to calculate the 
+statistical error limits of the predicted values.
+
+When the third output, @var{mu}, is present the 
+coefficients, @var{p}, are associated with a polynomial in
+@var{xhat} = (@var{x}-@var{mu}(1))/@var{mu}(2).
+Where @var{mu}(1) = mean (@var{x}), and @var{mu}(2) = std (@var{x}).
+This linear transformation of @var{x} improves the numerical
+stability of the fit.
+@seealso{polyval, polyconf, residue}
 @end deftypefn
-strvcat
+polyder
 -*- texinfo -*-
-@deftypefn {Function File} {} strvcat (@var{s_1}, @dots{}, @var{s_n})
-Return a matrix containing the strings (and cell-strings) 
-@var{s_1}, @dots{}, @var{s_n} as
-its rows.  Each string is padded with blanks in order to form a valid
-matrix.  Unlike @var{str2mat}, empty strings are ignored.
-@seealso{strcat, str2mat}
+@deftypefn {Function File} {} polyder (@var{c})
+@deftypefnx {Function File} {[@var{q}] =} polyder (@var{b}, @var{a})
+@deftypefnx {Function File} {[@var{q}, @var{r}] =} polyder (@var{b}, @var{a})
+See polyderiv.
 @end deftypefn
-substr
+polygcd
 -*- texinfo -*-
-@deftypefn {Function File} {} substr (@var{s}, @var{offset}, @var{len})
-Return the substring of @var{s} which starts at character number
-@var{offset} and is @var{len} characters long.
-
-If @var{offset} is negative, extraction starts that far from the end of
-the string.  If @var{len} is omitted, the substring extends to the end
-of S.
+@deftypefn {Function File} {@var{q} =} polygcd (@var{b}, @var{a}, @var{tol})
 
-For example,
+Find greatest common divisor of two polynomials.  This is equivalent
+to the polynomial found by multiplying together all the common roots.
+Together with deconv, you can reduce a ratio of two polynomials.
+Tolerance defaults to 
+@example 
+sqrt(eps).
+@end example
+ Note that this is an unstable
+algorithm, so don't try it on large polynomials.
 
+Example
 @example
-substr ("This is a test string", 6, 9)
-@result{} "is a test"
+polygcd (poly(1:8), poly(3:12)) - poly(3:8)
+@result{} [ 0, 0, 0, 0, 0, 0, 0 ]
+deconv (poly(1:8), polygcd (poly(1:8), poly(3:12))) ...
+  - poly(1:2)
+@result{} [ 0, 0, 0 ]
 @end example
-
-This function is patterned after AWK.  You can get the same result by
-@code{@var{s} (@var{offset} : (@var{offset} + @var{len} - 1))}.
+@seealso{poly, polyinteg, polyderiv, polyreduce, roots, conv, deconv,
+residue, filter, polyval, and polyvalm}
 @end deftypefn
-upper
+polyderiv
 -*- texinfo -*-
-@deftypefn {Function File} {} upper (@var{s})
-Transform all letters in the character string (or cell array of
-character strings) @var{s} to upper case.
-@seealso{lower, tolower, toupper}
+@deftypefn {Function File} {} polyderiv (@var{c})
+@deftypefnx {Function File} {[@var{q}] =} polyderiv (@var{b}, @var{a})
+@deftypefnx {Function File} {[@var{q}, @var{r}] =} polyderiv (@var{b}, @var{a})
+Return the coefficients of the derivative of the polynomial whose
+coefficients are given by vector @var{c}.  If a pair of polynomials
+is given @var{b} and @var{a}, the derivative of the product is
+returned in @var{q}, or the quotient numerator in @var{q} and the
+quotient denominator in @var{r}.
+@seealso{poly, polyinteg, polyreduce, roots, conv, deconv, residue,
+filter, polygcd, polyval, polyvalm}
 @end deftypefn
-assert
+deconv
 -*- texinfo -*-
-@deftypefn {Function File} {} assert (@var{cond})
-@deftypefnx {Function File} {} assert (@var{observed},@var{expected})
-@deftypefnx {Function File} {} assert (@var{observed},@var{expected},@var{tol})
-
-Produces an error if the condition is not met. @code{assert} can be
-called in three different ways.
-
-@table @code
-@item assert (@var{cond})
-Called with a single argument @var{cond}, @code{assert} produces an
-error if @var{cond} is zero.
+@deftypefn {Function File} {} deconv (@var{y}, @var{a})
+Deconvolve two vectors.
 
-@item assert (@var{observed}, @var{expected})
-Produce an error if observed is not the same as expected. Note that 
-observed and expected can be strings, scalars, vectors, matrices, 
-lists or structures.
+@code{[b, r] = deconv (y, a)} solves for @var{b} and @var{r} such that
+@code{y = conv (a, b) + r}.
 
-@item assert(@var{observed}, @var{expected}, @var{tol})
-Accept a tolerance when comparing numbers. 
-If @var{tol} is possitive use it as an absolute tolerance, will produce an error if
-@code{abs(@var{observed} - @var{expected}) > abs(@var{tol})}.
-If @var{tol} is negative use it as a relative tolerance, will produce an error if
-@code{abs(@var{observed} - @var{expected}) > abs(@var{tol} * @var{expected})}.
-If @var{expected} is zero @var{tol} will always be used as an absolute tolerance.
-@end table
-@seealso{test}
+If @var{y} and @var{a} are polynomial coefficient vectors, @var{b} will
+contain the coefficients of the polynomial quotient and @var{r} will be
+a remainder polynomial of lowest order.
+@seealso{conv, poly, roots, residue, polyval, polyderiv, polyinteg}
 @end deftypefn
-demo
+mkpp
 -*- texinfo -*-
-@deftypefn {Function File} {} demo ('@var{name}',@var{n})
+@deftypefn {Function File} {@var{pp} = } mkpp (@var{x}, @var{p})
+@deftypefnx {Function File} {@var{pp} = } mkpp (@var{x}, @var{p}, @var{d})
 
-Runs any examples associated with the function '@var{name}'.  
-Examples are stored in the script file, or in a file with the same 
-name but no extension somewhere on your path.  To keep them separate 
-from the usual script code, all lines are prefixed by @code{%!}. Each
-example is introduced by the keyword 'demo' flush left to the prefix,
-with no intervening spaces.  The remainder of the example can contain 
-arbitrary octave code. For example:
+Construct a piece-wise polynomial structure from sample points
+@var{x} and coefficients @var{p}.  The ith row of @var{p},
+@code{@var{p} (@var{i},:)}, contains the coefficients for the polynomial
+over the @var{i}-th interval, ordered from highest to 
+lowest. There must be one row for each interval in @var{x}, so 
+@code{rows (@var{p}) == length (@var{x}) - 1}.  
 
-@example
-   %!demo
-   %! t=0:0.01:2*pi; x = sin(t);
-   %! plot(t,x)
-   %! %-------------------------------------------------
-   %! % the figure window shows one cycle of a sine wave
-@end example
+You can concatenate multiple polynomials of the same order over the 
+same set of intervals using @code{@var{p} = [ @var{p1}; @var{p2}; 
+@dots{}; @var{pd} ]}.  In this case, @code{rows (@var{p}) == @var{d} 
+* (length (@var{x}) - 1)}.
 
-Note that the code is displayed before it is executed, so a simple
-comment at the end suffices.  It is generally not necessary to use
-disp or printf within the demo.
+@var{d} specifies the shape of the matrix @var{p} for all except the
+last dimension. If @var{d} is not specified it will be computed as
+@code{round (rows (@var{p}) / (length (@var{x}) - 1))} instead.
 
-Demos are run in a function environment with no access to external
-variables. This means that all demos in your function must use
-separate initialization code. Alternatively, you can combine your
-demos into one huge demo, with the code:
+@seealso{unmkpp, ppval, spline}
+@end deftypefn
+mpoles
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p})
+@deftypefnx {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p}, @var{tol})
+@deftypefnx {Function File} {[@var{multp}, @var{indx}] =} mpoles (@var{p}, @var{tol}, @var{reorder})
+Identifiy unique poles in @var{p} and associates their multiplicity,
+ordering them from largest to smallest.
 
-@example
-   %! input("Press <enter> to continue: ","s");
-@end example
+If the relative difference of the poles is less than @var{tol}, then
+they are considered to be multiples.  The default value for @var{tol}
+is 0.001.
 
-between the sections, but this is discouraged.  Other techniques
-include using multiple plots by saying figure between each, or
-using subplot to put multiple plots in the same window.
+If the optional parameter @var{reorder} is zero, poles are not sorted.
 
-Also, since demo evaluates inside a function context, you cannot
-define new functions inside a demo.  Instead you will have to
-use @code{eval(example('function',n))} to see them.  Because eval only
-evaluates one line, or one statement if the statement crosses
-multiple lines, you must wrap your demo in "if 1 <demo stuff> endif"
-with the 'if' on the same line as 'demo'. For example,
+The value @var{multp} is a vector specifying the multiplicity of the
+poles.  @var{multp}(:) refers to mulitplicity of @var{p}(@var{indx}(:)).
+
+For example,
 
 @example
-  %!demo if 1
-  %!  function y=f(x)
-  %!    y=x;
-  %!  endfunction
-  %!  f(3)
-  %! endif
+@group
+p = [2 3 1 1 2];
+[m, n] = mpoles(p);
+@result{} m = [1; 1; 2; 1; 2]
+@result{} n = [2; 5; 1; 4; 3]
+@result{} p(n) = [3, 2, 2, 1, 1]
+@end group
 @end example
-@seealso{test, example}
+
+@seealso{poly, roots, conv, deconv, polyval, polyderiv, polyinteg, residue}
 @end deftypefn
-example
+polyval
 -*- texinfo -*-
-@deftypefn {Function File} {} example ('@var{name}',@var{n})
-@deftypefnx {Function File} {[@var{x}, @var{idx}] =} example ('@var{name}',@var{n})
-
- Display the code for example @var{n} associated with the function 
-'@var{name}', but do not run it. If @var{n} is not given, all examples 
-are displayed.
-
-Called with output arguments, the examples are returned in the form of
-a string @var{x}, with @var{idx} indicating the ending position of the 
-various examples.
-
-See @code{demo} for a complete explanation.
-@seealso{demo, test}
+@deftypefn {Function File} {@var{y}=} polyval (@var{p}, @var{x})
+@deftypefnx {Function File} {@var{y}=} polyval (@var{p}, @var{x}, [], @var{mu})
+Evaluate the polynomial at of the specified values for @var{x}. When @var{mu}
+is present evaluate the polynomial for (@var{x}-@var{mu}(1))/@var{mu}(2).
+If @var{x} is a vector or matrix, the polynomial is evaluated for each of
+the elements of @var{x}.
+@deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s})
+@deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s}, @var{mu})
+In addition to evaluating the polynomial, the second output 
+represents the prediction interval, @var{y} +/- @var{dy}, which
+contains at least 50% of the future predictions. To calculate the
+prediction interval, the structured variable @var{s}, originating
+form `polyfit', must be present.
+@seealso{polyfit, polyvalm, poly, roots, conv, deconv, residue, filter,
+polyderiv, polyinteg}
 @end deftypefn
-fail
+polyvalm
 -*- texinfo -*-
-@deftypefn {Function File} {} fail (@var{code},@var{pattern})
-@deftypefnx {Function File} {} fail (@var{code},'warning',@var{pattern})
-
-Return true if @var{code} fails with an error message matching
-@var{pattern}, otherwise produce an error. Note that @var{code}
-is a string and if @var{code} runs successfully, the error produced is:
-
-@example
-          expected error but got none  
-@end example
+@deftypefn {Function File} {} polyvalm (@var{c}, @var{x})
+Evaluate a polynomial in the matrix sense.
 
-If the code fails with a different error, the message produced is:
+@code{polyvalm (@var{c}, @var{x})} will evaluate the polynomial in the
+matrix sense, i.e. matrix multiplication is used instead of element by
+element multiplication as is used in polyval.
 
+The argument @var{x} must be a square matrix.
+@seealso{polyval, poly, roots, conv, deconv, residue, filter,
+polyderiv, and polyinteg}
+@end deftypefn
+polyout
+-*- texinfo -*-
+@deftypefn {Function File} {} polyout (@var{c}, @var{x})
+Write formatted polynomial
+@iftex
+@tex
+$$ c(x) = c_1 x^n + \ldots + c_n x + c_{n+1} $$
+@end tex
+@end iftex
+@ifinfo
 @example
-          expected <pattern>
-          but got <text of actual error>
+   c(x) = c(1) * x^n + ... + c(n) x + c(n+1)
 @end example
+@end ifinfo
+ and return it as a string or write it to the screen (if
+@var{nargout} is zero).
+@var{x} defaults to the string @code{"s"}.
+@seealso{polyval, polyvalm, poly, roots, conv, deconv, residue,
+filter, polyderiv, and polyinteg}
+@end deftypefn
+unmkpp
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{x}, @var{p}, @var{n}, @var{k}, @var{d}] =} unmkpp (@var{pp})
 
-The angle brackets are not part of the output.
+Extract the components of a piece-wise polynomial structure @var{pp}.
+These are as follows:
 
-Called with three arguments, the behavior is similar to 
-@code{fail(@var{code}, @var{pattern})}, but produces an error if no 
-warning is given during code execution or if the code fails.
+@table @asis
+@item @var{x}
+Samples points.
+@item @var{p}
+Polynomial coefficients for points in sample interval. @code{@var{p}
+(@var{i}, :)} contains the coefficients for the polynomial over
+interval @var{i} ordered from highest to lowest. If @code{@var{d} >
+1}, @code{@var{p} (@var{r}, @var{i}, :)} contains the coefficients for 
+the r-th polynomial defined on interval @var{i}. However, this is 
+stored as a 2-D array such that @code{@var{c} = reshape (@var{p} (:,
+@var{j}), @var{n}, @var{d})} gives @code{@var{c} (@var{i},  @var{r})}
+is the j-th coefficient of the r-th polynomial over the i-th interval.
+@item @var{n}
+Number of polynomial pieces.
+@item @var{k}
+Order of the polynomial plus 1.
+@item @var{d}
+Number of polynomials defined for each interval.
+@end table
 
+@seealso{mkpp, ppval, spline}
 @end deftypefn
-speed
+poly
 -*- texinfo -*-
-@deftypefn {Function File} {} speed (@var{f}, @var{init}, @var{max_n}, @var{f2}, @var{tol})
-@deftypefnx {Function File} {[@var{order}, @var{n}, @var{T_f}, @var{T_f2}] =} speed (@dots{})
-
-Determine the execution time of an expression for various @var{n}.
-The @var{n} are log-spaced from 1 to @var{max_n}.  For each @var{n},
-an initialization expression is computed to create whatever data
-are needed for the test.  If a second expression is given, the
-execution times of the two expressions will be compared.  Called 
-without output arguments the results are presented graphically.
-
-@table @code
-@item @var{f}
-The expression to evaluate.
+@deftypefn {Function File} {} poly (@var{a})
+If @var{a} is a square @math{N}-by-@math{N} matrix, @code{poly (@var{a})}
+is the row vector of the coefficients of @code{det (z * eye (N) - a)},
+the characteristic polynomial of @var{a}.  As an example we can use
+this to find the eigenvalues of @var{a} as the roots of @code{poly (@var{a})}.
+@example
+roots(poly(eye(3)))
+@result{} 1.00000 + 0.00000i
+@result{} 1.00000 - 0.00000i
+@result{} 1.00000 + 0.00000i
+@end example
+In real-life examples you should, however, use the @code{eig} function
+for computing eigenvalues.
 
-@item @var{max_n}
-The maximum test length to run. Default value is 100.  Alternatively,
-use @code{[min_n,max_n]} or for complete control, @code{[n1,n2,@dots{},nk]}.
+If @var{x} is a vector, @code{poly (@var{x})} is a vector of coefficients
+of the polynomial whose roots are the elements of @var{x}.  That is,
+of @var{c} is a polynomial, then the elements of 
+@code{@var{d} = roots (poly (@var{c}))} are contained in @var{c}.
+The vectors @var{c} and @var{d} are, however, not equal due to sorting
+and numerical errors.
+@seealso{eig, roots}
+@end deftypefn
+npv
+-*- texinfo -*-
+@deftypefn {Function File} {} npv (@var{r}, @var{p}, @var{i})
+Returns the net present value of a series of irregular (i.e., not
+necessarily identical) payments @var{p} which occur at the ends of @var{n}
+consecutive periods.  @var{r} specifies the one-period interest rates and
+can either be a scalar (constant rates) or a vector of the same
+length as @var{p}.
 
-@item @var{init}
-Initialization expression for function argument values.  Use @var{k} 
-for the test number and @var{n} for the size of the test.  This should
-compute values for all variables listed in args.  Note that init will
-be evaluated first for k=0, so things which are constant throughout
-the test can be computed then. The default value is @code{@var{x} =
-randn (@var{n}, 1);}.
+The optional argument @var{i} may be used to specify an initial
+investment.
 
-@item @var{f2}
-An alternative expression to evaluate, so the speed of the two
-can be compared. Default is @code{[]}.
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@seealso{irr, pv}
+@end deftypefn
+irr
+-*- texinfo -*-
+@deftypefn {Function File} {} irr (@var{p}, @var{i})
+Return the internal rate of return of a series of payments @var{p}
+from an initial investment @var{i} (i.e., the solution of
+@code{npv (r, p) = i}.  If the second argument is omitted, a value of
+0 is used.
+@seealso{npv, pv, rate}
+@end deftypefn
+pmt
+-*- texinfo -*-
+@deftypefn {Function File} {} pmt (@var{r}, @var{n}, @var{a}, @var{l}, @var{method})
+Return the amount of periodic payment necessary to amortize a loan
+of amount a with interest rate @var{r} in @var{n} periods.
 
-@item @var{tol}
-If @var{tol} is @code{Inf}, then no comparison will be made between the
-results of expression @var{f} and expression @var{f2}.  Otherwise,
-expression @var{f} should produce a value @var{v} and expression @var{f2} 
-should produce a value @var{v2}, and these shall be compared using 
-@code{assert(@var{v},@var{v2},@var{tol})}. If @var{tol} is positive,
-the tolerance is assumed to be absolute. If @var{tol} is negative,
-the tolerance is assumed to be relative. The default is @code{eps}.
+The optional argument @var{l} may be used to specify a terminal
+lump-sum payment.
 
-@item @var{order}
-The time complexity of the expression @code{O(a n^p)}.  This
-is a structure with fields @code{a} and @code{p}.
+The optional argument @var{method} may be used to specify whether
+payments are made at the end (@var{"e"}, default) or at the beginning
+(@var{"b"}) of each period.
+@seealso{pv, nper, rate}
+@end deftypefn
+fvl
+-*- texinfo -*-
+@deftypefn {Function File} {} fvl (@var{r}, @var{n}, @var{l})
+Return the future value at the end of @var{n} periods of an initial
+lump sum investment @var{l}, given a per-period interest rate
+@var{r}.
 
-@item @var{n}
-The values @var{n} for which the expression was calculated and
-the execution time was greater than zero.
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@end deftypefn
+rate
+-*- texinfo -*-
+@deftypefn {Function File} {} rate (@var{n}, @var{p}, @var{v}, @var{l}, @var{method})
+Return the rate of return on an investment of present value @var{v} which
+pays @var{p} in @var{n} consecutive periods.
 
-@item @var{T_f}
-The nonzero execution times recorded for the expression @var{f} in seconds.
+The optional argument @var{l} may be used to specify an additional
+lump-sum payment made at the end of @var{n} periods.
 
-@item @var{T_f2}
-The nonzero execution times recorded for the expression @var{f2} in seconds.
-If it is needed, the mean time ratio is just @code{mean(T_f./T_f2)}.
+The optional string argument @var{method} may be used to specify
+whether payments are made at the end (@code{"e"}, default) or at the
+beginning (@code{"b"}) of each period.
+@seealso{pv, pmt, nper, npv}
+@end deftypefn
+fv
+-*- texinfo -*-
+@deftypefn {Function File} {} fv (@var{r}, @var{n}, @var{p}, @var{l}, @var{method})
+Return the future value at the end of period @var{n} of an investment
+which consists of @var{n} payments of @var{p} in each period,
+assuming an interest rate @var{r}.
 
-@end table
+The optional argument @var{l} may be used to specify an
+additional lump-sum payment.
 
-The slope of the execution time graph shows the approximate
-power of the asymptotic running time @code{O(n^p)}.  This
-power is plotted for the region over which it is approximated
-(the latter half of the graph).  The estimated power is not
-very accurate, but should be sufficient to determine the
-general order of your algorithm.  It should indicate if for 
-example your implementation is unexpectedly @code{O(n^2)} 
-rather than @code{O(n)} because it extends a vector each 
-time through the loop rather than preallocating one which is 
-big enough.  For example, in the current version of Octave,
-the following is not the expected @code{O(n)}:
+The optional argument @var{method} may be used to specify whether the
+payments are made at the end (@code{"e"}, default) or at the
+beginning (@code{"b"}) of each period.
 
-@example
-  speed("for i=1:n,y@{i@}=x(i); end", "", [1000,10000])
-@end example
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@end deftypefn
+pvl
+-*- texinfo -*-
+@deftypefn {Function File} {} pvl (@var{r}, @var{n}, @var{p})
+Return the present value of an investment that will pay off @var{p}
+in one lump sum at the end of @var{n} periods, given the interest
+rate @var{r}.
 
-but it is if you preallocate the cell array @code{y}:
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@end deftypefn
+vol
+-*- texinfo -*-
+@deftypefn {Function File} {} vol (@var{x}, @var{m}, @var{n})
+Return the volatility of each column of the input matrix @var{x}.
+The number of data sets per period is given by @var{m} (e.g. the
+number of data per year if you want to compute the volatility per
+year).  The optional parameter @var{n} gives the number of past
+periods used for computation, if it is omitted, a value of 1 is used.
+If @var{t} is the number of rows of @var{x}, @code{vol} returns the
+volatility from @code{n*m} to @var{t}.
+@end deftypefn
+pv
+-*- texinfo -*-
+@deftypefn {Function File} {} pv (@var{r}, @var{n}, @var{p}, @var{l}, @var{method})
+Returns the present value of an investment that will pay off @var{p} for @var{n}
+consecutive periods, assuming an interest @var{r}.
 
-@example
-  speed("for i=1:n,y@{i@}=x(i);end", ...
-        "x=rand(n,1);y=cell(size(x));", [1000,10000])
-@end example
+The optional argument @var{l} may be used to specify an additional
+lump-sum payment made at the end of @var{n} periods.
 
-An attempt is made to approximate the cost of the individual 
-operations, but it is wildly inaccurate.  You can improve the
-stability somewhat by doing more work for each @code{n}.  For
-example:
+The optional argument @var{method} may be used to specify whether
+payments are made at the end (@code{"e"}, default) or at the
+beginning (@code{"b"}) of each period.
 
-@example
-  speed("airy(x)", "x=rand(n,10)", [10000,100000])
-@end example
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@seealso{pmt, nper, rate, npv}
+@end deftypefn
+nper
+-*- texinfo -*-
+@deftypefn {Function File} {} nper (@var{r}, @var{p}, @var{a}, @var{l}, @var{method})
+Return the number of regular payments of @var{p} necessary to
+amortize @var{a} loan of amount @var{a} and interest @var{r}.
 
-When comparing a new and original expression, the line on the
-speedup ratio graph should be larger than 1 if the new expression
-is faster.  Better algorithms have a shallow slope.  Generally, 
-vectorizing an algorithm will not change the slope of the execution 
-time graph, but it will shift it relative to the original.  For
-example:
+The optional argument @var{l} may be used to specify an additional
+lump-sum payment of @var{l} made at the end of the amortization time.
 
-@example
-  speed("v=sum(x)", "", [10000,100000], ...
-        "v=0;for i=1:length(x),v+=x(i);end")
-@end example
+The optional argument @var{method} may be used to specify whether
+payments are made at the end (@var{"e"}, default) or at the beginning
+(@var{"b"}) of each period.
 
-A more complex example, if you had an original version of @code{xcorr}
-using for loops and another version using an FFT, you could compare the
-run speed for various lags as follows, or for a fixed lag with varying
-vector lengths as follows:
+Note that the rate @var{r} is specified as a fraction (i.e., 0.05,
+not 5 percent).
+@seealso{pv, pmt, rate, npv}
+@end deftypefn
+is_leap_year
+-*- texinfo -*-
+@deftypefn {Function File} {} is_leap_year (@var{year})
+Return 1 if the given year is a leap year and 0 otherwise.  If no
+arguments are provided, @code{is_leap_year} will use the current year.
+For example,
 
 @example
-  speed("v=xcorr(x,n)", "x=rand(128,1);", 100, ...
-        "v2=xcorr_orig(x,n)", -100*eps)
-  speed("v=xcorr(x,15)", "x=rand(20+n,1);", 100, ...
-        "v2=xcorr_orig(x,n)", -100*eps)
+@group
+is_leap_year (2000)
+@result{} 1
+@end group
 @end example
-
-Assuming one of the two versions is in @var{xcorr_orig}, this
-would compare their speed and their output values.  Note that the
-FFT version is not exact, so we specify an acceptable tolerance on
-the comparison @code{100*eps}, and the errors should be computed
-relatively, as @code{abs((@var{x} - @var{y})./@var{y})} rather than 
-absolutely as @code{abs(@var{x} - @var{y})}.
-
-Type @code{example('speed')} to see some real examples. Note for 
-obscure reasons, you can't run examples 1 and 2 directly using 
-@code{demo('speed')}. Instead use, @code{eval(example('speed',1))}
-and @code{eval(example('speed',2))}.
 @end deftypefn
-test
+datenum
 -*- texinfo -*-
-@deftypefn {Function File} {} test @var{name}
-@deftypefnx {Function File} {} test @var{name} quiet|normal|verbose
-@deftypefnx {Function File} {} test ('@var{name}', 'quiet|normal|verbose', @var{fid})
-@deftypefnx {Function File} {} test ([], 'explain', @var{fid})
-@deftypefnx {Function File} {@var{success} =} test (@dots{})
-@deftypefnx {Function File} {[@var{n}, @var{max}] =} test (@dots{})
-@deftypefnx {Function File} {[@var{code}, @var{idx}] =} test ('@var{name}','grabdemo')
+@deftypefn {Function File} {} datenum (@var{year}, @var{month}, @var{day})
+@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour})
+@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour}, @var{minute})
+@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour}, @var{minute}, @var{second})
+@deftypefnx {Function File} {} datenum (@code{"date"})
+@deftypefnx {Function File} {} datenum (@code{"date"}, @var{p})
+Returns the specified local time as a day number, with Jan 1, 0000
+being day 1.  By this reckoning, Jan 1, 1970 is day number 719529.  
+The fractional portion, @var{p}, corresponds to the portion of the
+specified day.
 
-Perform tests from the first file in the loadpath matching @var{name}.
-@code{test} can be called as a command or as a function. Called with 
-a single argument @var{name}, the tests are run interactively and stop
-after the first error is encountered.
+Notes:
+
+@itemize
+@item
+Years can be negative and/or fractional.
+@item
+Months below 1 are considered to be January.
+@item
+Days of the month start at 1.
+@item
+Days beyond the end of the month go into subsequent months.
+@item
+Days before the beginning of the month go to the previous month.
+@item
+Days can be fractional.
+@end itemize
 
-With a second argument the tests which are performed and the amount of
-output is selected.
+@strong{Warning:} this function does not attempt to handle Julian
+calendars so dates before Octave 15, 1582 are wrong by as much
+as eleven days.  Also be aware that only Roman Catholic countries
+adopted the calendar in 1582.  It took until 1924 for it to be 
+adopted everywhere.  See the Wikipedia entry on the Gregorian 
+calendar for more details.
 
-@table @asis
-@item 'quiet'
- Don't report all the tests as they happen, just the errors.
+@strong{Warning:} leap seconds are ignored.  A table of leap seconds
+is available on the Wikipedia entry for leap seconds.
+@seealso{date, clock, now, datestr, datevec, calendar, weekday}
+@end deftypefn
+weekday
+-*- texinfo -*-
+@deftypefn {Function File} {[@var{n}, @var{s}] =} weekday (@var{d}, [@var{form}])
+Return the day of week as a number in @var{n} and a string in @var{s},
+for example @code{[1, "Sun"]}, @code{[2, "Mon"]}, @dots{}, or
+@code{[7, "Sat"]}.
 
-@item 'normal'
-Report all tests as they happen, but don't do tests which require 
-user interaction.
+@var{d} is a serial date number or a date string.
 
-@item 'verbose'
-Do tests which require user interaction.
-@end table
+If the string @var{form} is given and is @code{"long"}, @var{s} will
+contain the full name of the weekday; otherwise (or if @var{form} is
+@code{"short"}), @var{s} will contain the abbreviated name of the weekday.
+@seealso{datenum, datevec, eomday}
+@end deftypefn
+calendar
+-*- texinfo -*-
+@deftypefn {Function File} {} calendar (@dots{})
+@deftypefnx {Function File} {@var{c} =} calendar ()
+@deftypefnx {Function File} {@var{c} =} calendar (@var{d})
+@deftypefnx {Function File} {@var{c} =} calendar (@var{y}, @var{m})
+If called with no arguments, return the current monthly calendar in
+a 6x7 matrix.
 
-The argument @var{fid} can be used to allow batch processing. Errors
-can be written to the already open file defined by @var{fid}, and 
-hopefully when octave crashes this file will tell you what was happening
-when it did. You can use @code{stdout} if you want to see the results as
-they happen.  You can also give a file name rather than an @var{fid}, in
-which case the contents of the file will be replaced with the log from 
-the current test.
+If @var{d} is specified, return the calendar for the month containing
+the day @var{d}, which must be a serial date number or a date string.
 
-Called with a single output argument @var{success}, @code{test} returns
-true if all of the tests were successful. Called with two output arguments
-@var{n} and @var{max}, the number of successful tests and the total number
-of tests in the file @var{name} are returned.
+If @var{y} and @var{m} are specified, return the calendar for year @var{y}
+and month @var{m}.
 
-If the second argument is the string 'grabdemo', the contents of the demo
-blocks are extracted but not executed. Code for all code blocks is
-concatenated and returned as @var{code} with @var{idx} being a vector of
-positions of the ends of the demo blocks.
+If no output arguments are specified, print the calendar on the screen
+instead of returning a matrix.
+@seealso{datenum}
+@end deftypefn
+date
+-*- texinfo -*-
+@deftypefn {Function File} {} date ()
+Return the date as a character string in the form DD-MMM-YY.  For
+example,
 
-If the second argument is 'explain', then @var{name} is ignored and an
-explanation of the line markers used is written to the file @var{fid}.
-@seealso{error, assert, fail, demo, example}
+@example
+@group
+date ()
+@result{} "20-Aug-93"
+@end group
+@end example
 @end deftypefn
 asctime
 -*- texinfo -*-
@@ -17964,24 +18263,32 @@ asctime (localtime (time ()))
 
 This is equivalent to @code{ctime (time ())}.
 @end deftypefn
-calendar
+eomday
 -*- texinfo -*-
-@deftypefn {Function File} {} calendar (@dots{})
-@deftypefnx {Function File} {@var{c} =} calendar ()
-@deftypefnx {Function File} {@var{c} =} calendar (@var{d})
-@deftypefnx {Function File} {@var{c} =} calendar (@var{y}, @var{m})
-If called with no arguments, return the current monthly calendar in
-a 6x7 matrix.
+@deftypefn {Function File} {@var{e} =} eomday (@var{y}, @var{m})
+Return the last day of the month @var{m} for the year @var{y}.
+@seealso{datenum, datevec, weekday, eomdate}
+@end deftypefn
+datevec
+-*- texinfo -*-
+@deftypefn {Function File} {@var{v} =} datevec (@var{date})
+@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{f})
+@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{p})
+@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{f}, @var{p})
+@deftypefnx {Function File} {[@var{y}, @var{m}, @var{d}, @var{h}, @var{mi}, @var{s}] =} datevec (@dots{})
+Convert a serial date number (see @code{datenum}) or date string (see
+@code{datestr}) into a date vector.
 
-If @var{d} is specified, return the calendar for the month containing
-the day @var{d}, which must be a serial date number or a date string.
+A date vector is a row vector with six members, representing the year,
+month, day, hour, minute, and seconds respectively.
 
-If @var{y} and @var{m} are specified, return the calendar for year @var{y}
-and month @var{m}.
+@var{f} is the format string used to interpret date strings
+(see @code{datestr}).
 
-If no output arguments are specified, print the calendar on the screen
-instead of returning a matrix.
-@seealso{datenum}
+@var{p} is the year at the start of the century in which two-digit years
+are to be interpreted in. If not specified, it defaults to the current
+year minus 50.
+@seealso{datenum, datestr, date, clock, now}
 @end deftypefn
 clock
 -*- texinfo -*-
@@ -17999,6 +18306,23 @@ clock ()
 The function clock is more accurate on systems that have the
 @code{gettimeofday} function.
 @end deftypefn
+etime
+-*- texinfo -*-
+@deftypefn {Function File} {} etime (@var{t1}, @var{t2})
+Return the difference (in seconds) between two time values returned from
+@code{clock}.  For example:
+
+@example
+t0 = clock ();
+ many computations later...
+elapsed_time = etime (clock (), t0);
+@end example
+
+@noindent
+will set the variable @code{elapsed_time} to the number of seconds since
+the variable @code{t0} was set.
+@seealso{tic, toc, clock, cputime}
+@end deftypefn
 ctime
 -*- texinfo -*-
 @deftypefn {Function File} {} ctime (@var{t})
@@ -18014,60 +18338,6 @@ ctime (time ())
 @end group
 @end example
 @end deftypefn
-date
--*- texinfo -*-
-@deftypefn {Function File} {} date ()
-Return the date as a character string in the form DD-MMM-YY.  For
-example,
-
-@example
-@group
-date ()
-@result{} "20-Aug-93"
-@end group
-@end example
-@end deftypefn
-datenum
--*- texinfo -*-
-@deftypefn {Function File} {} datenum (@var{year}, @var{month}, @var{day})
-@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour})
-@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour}, @var{minute})
-@deftypefnx {Function File} {} datenum (@var{year}, @var{month}, @var{day}, @var{hour}, @var{minute}, @var{second})
-@deftypefnx {Function File} {} datenum (@code{"date"})
-@deftypefnx {Function File} {} datenum (@code{"date"}, @var{p})
-Returns the specified local time as a day number, with Jan 1, 0000
-being day 1.  By this reckoning, Jan 1, 1970 is day number 719529.  
-The fractional portion, @var{p}, corresponds to the portion of the
-specified day.
-
-Notes:
-
-@itemize
-@item
-Years can be negative and/or fractional.
-@item
-Months below 1 are considered to be January.
-@item
-Days of the month start at 1.
-@item
-Days beyond the end of the month go into subsequent months.
-@item
-Days before the beginning of the month go to the previous month.
-@item
-Days can be fractional.
-@end itemize
-
-@strong{Warning:} this function does not attempt to handle Julian
-calendars so dates before Octave 15, 1582 are wrong by as much
-as eleven days.  Also be aware that only Roman Catholic countries
-adopted the calendar in 1582.  It took until 1924 for it to be 
-adopted everywhere.  See the Wikipedia entry on the Gregorian 
-calendar for more details.
-
-@strong{Warning:} leap seconds are ignored.  A table of leap seconds
-is available on the Wikipedia entry for leap seconds.
-@seealso{date, clock, now, datestr, datevec, calendar, weekday}
-@end deftypefn
 datestr
 -*- texinfo -*-
 @deftypefn {Function File} {@var{str} =} datestr (@var{date}, [@var{f}, [@var{p}]])
@@ -18154,64 +18424,6 @@ returned.
 
 @seealso{datenum, datevec, date, clock, now, datetick}
 @end deftypefn
-datevec
--*- texinfo -*-
-@deftypefn {Function File} {@var{v} =} datevec (@var{date})
-@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{f})
-@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{p})
-@deftypefnx {Function File} {@var{v} =} datevec (@var{date}, @var{f}, @var{p})
-@deftypefnx {Function File} {[@var{y}, @var{m}, @var{d}, @var{h}, @var{mi}, @var{s}] =} datevec (@dots{})
-Convert a serial date number (see @code{datenum}) or date string (see
-@code{datestr}) into a date vector.
-
-A date vector is a row vector with six members, representing the year,
-month, day, hour, minute, and seconds respectively.
-
-@var{f} is the format string used to interpret date strings
-(see @code{datestr}).
-
-@var{p} is the year at the start of the century in which two-digit years
-are to be interpreted in. If not specified, it defaults to the current
-year minus 50.
-@seealso{datenum, datestr, date, clock, now}
-@end deftypefn
-eomday
--*- texinfo -*-
-@deftypefn {Function File} {@var{e} =} eomday (@var{y}, @var{m})
-Return the last day of the month @var{m} for the year @var{y}.
-@seealso{datenum, datevec, weekday}
-@end deftypefn
-etime
--*- texinfo -*-
-@deftypefn {Function File} {} etime (@var{t1}, @var{t2})
-Return the difference (in seconds) between two time values returned from
-@code{clock}.  For example:
-
-@example
-t0 = clock ();
- many computations later...
-elapsed_time = etime (clock (), t0);
-@end example
-
-@noindent
-will set the variable @code{elapsed_time} to the number of seconds since
-the variable @code{t0} was set.
-@seealso{tic, toc, clock, cputime}
-@end deftypefn
-is_leap_year
--*- texinfo -*-
-@deftypefn {Function File} {} is_leap_year (@var{year})
-Return 1 if the given year is a leap year and 0 otherwise.  If no
-arguments are provided, @code{is_leap_year} will use the current year.
-For example,
-
-@example
-@group
-is_leap_year (2000)
-@result{} 1
-@end group
-@end example
-@end deftypefn
 now
 -*- texinfo -*-
 @deftypefn {Function File} {t =} now ()
@@ -18227,17 +18439,3 @@ The returned value is also called a "ser
 (see @code{datenum}).
 @seealso{clock, date, datenum}
 @end deftypefn
-weekday
--*- texinfo -*-
-@deftypefn {Function File} {[@var{n}, @var{s}] =} weekday (@var{d}, [@var{form}])
-Return the day of week as a number in @var{n} and a string in @var{s},
-for example @code{[1, "Sun"]}, @code{[2, "Mon"]}, @dots{}, or
-@code{[7, "Sat"]}.
-
-@var{d} is a serial date number or a date string.
-
-If the string @var{form} is given and is @code{"long"}, @var{s} will
-contain the full name of the weekday; otherwise (or if @var{form} is
-@code{"short"}), @var{s} will contain the abbreviated name of the weekday.
-@seealso{datenum, datevec, eomday}
-@end deftypefn
diff -pruN 1:3.0.1-6/scripts/general/accumarray.m 1:3.0.5-6/scripts/general/accumarray.m
--- 1:3.0.1-6/scripts/general/accumarray.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/accumarray.m	2009-02-18 06:57:46.000000000 +0000
@@ -35,7 +35,7 @@
 ## column vector and returns a scalar. The result of the function should not
 ## depend on the order of the subscripts.
 ##
-## The elements of the returned array that have no subscripts assoicated with
+## The elements of the returned array that have no subscripts associated with
 ## them are set to zero. Defining @var{fillval} to some other value allows
 ## these values to be defined.
 ##
diff -pruN 1:3.0.1-6/scripts/general/blkdiag.m 1:3.0.5-6/scripts/general/blkdiag.m
--- 1:3.0.1-6/scripts/general/blkdiag.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/blkdiag.m	2009-01-16 06:46:22.000000000 +0000
@@ -49,7 +49,10 @@ function retval = blkdiag (varargin)
   retval = zeros (csz(end,:));
 
   for p = 1:nargin
-    retval((csz(p,1)+1):csz(p+1,1),(csz(p,2)+1):csz(p+1,2)) = varargin{p};
+    vp = varargin{p};
+    if (! isempty (vp))
+      retval((csz(p,1)+1):csz(p+1,1),(csz(p,2)+1):csz(p+1,2)) = vp;
+    endif
   endfor
 
 endfunction
diff -pruN 1:3.0.1-6/scripts/general/cell2mat.m 1:3.0.5-6/scripts/general/cell2mat.m
--- 1:3.0.1-6/scripts/general/cell2mat.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/cell2mat.m	2009-01-16 06:46:22.000000000 +0000
@@ -48,6 +48,22 @@ function m = cell2mat (c)
     else
       error ("cell2mat: all elements of cell array must be numeric, logical or char");
     endif
+  elseif (ndims (c) == 2)
+    nr = rows (c);
+    nc = columns (c);
+    if (nc > nr)
+      c1 = cell (nr, 1);
+      for i = 1 : nr
+	c1{i} = [c{i : nr : end}];
+      endfor
+      m = cat (1, c1 {:});
+    else
+      c1 = cell (nc, 1);
+      for i = 1 : nc
+	c1{i} = cat (1, c{(i - 1) * nr  + [1 : nr]});
+      endfor
+      m = [c1{:}];
+    endif
   else
     ## n dimensions case
     for k = ndims (c):-1:2,
diff -pruN 1:3.0.1-6/scripts/general/interpft.m 1:3.0.5-6/scripts/general/interpft.m
--- 1:3.0.1-6/scripts/general/interpft.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/interpft.m	2009-01-16 06:46:22.000000000 +0000
@@ -106,9 +106,9 @@ endfunction
 
 %!shared n,y
 %! x = [0:10]'; y = sin(x); n = length (x);
-%!assert (interpft(y, n), y, eps);
-%!assert (interpft(y', n), y', eps);
-%!assert (interpft([y,y],n), [y,y], eps);
+%!assert (interpft(y, n), y, 2*eps);
+%!assert (interpft(y', n), y', 2*eps);
+%!assert (interpft([y,y],n), [y,y], 2*eps);
 
 %!error (interpft(y,n,0))
 %!error (interpft(y,[n,n]))
diff -pruN 1:3.0.1-6/scripts/general/interpn.m 1:3.0.5-6/scripts/general/interpn.m
--- 1:3.0.1-6/scripts/general/interpn.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/general/interpn.m	2009-01-16 06:46:22.000000000 +0000
@@ -55,9 +55,9 @@
 ##
 ## The default method is 'linear'.
 ##
-## If @var{extrap} is the string 'extrap', then extrapolate values beyond
-## the endpoints.  If @var{extrap} is a number, replace values beyond the
-## endpoints with that number.  If @var{extrap} is missing, assume NA.
+## If @var{extrapval} is the scalar value, use it to replace the values
+## beyond the endpoints with that number. If @var{extrapval} is missing,
+## assume NA.
 ## @seealso{interp1, interp2, spline, ndgrid}
 ## @end deftypefn
 
@@ -79,6 +79,7 @@ function vi = interpn (varargin)
       error ("extrapal is expected to be a numeric scalar");
     endif
     method = varargin{end - 1};
+    extrapval = varargin{end};
     nargs = nargs - 2;
   endif
 
diff -pruN 1:3.0.1-6/scripts/general/mod.m 1:3.0.5-6/scripts/general/mod.m
--- 1:3.0.1-6/scripts/general/mod.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/general/mod.m	2009-01-16 06:46:22.000000000 +0000
@@ -18,14 +18,15 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Mapping Function} {} mod (@var{x}, @var{y})
-## Compute modulo function, using
+## Compute modulo function. Conceptually this is given by
 ##
 ## @example
 ## x - y .* floor (x ./ y)
 ## @end example
 ##
-## Note that this handles negative numbers correctly:
-## @code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
+## and is written in a manner that the correct modulus is returned for
+##integer types. This function handles negative values correctly. That
+##is @code{mod (-1, 3)} is 2, not -1 as @code{rem (-1, 3)} returns.
 ## Also, @code{mod (@var{x}, 0)} returns @var{x}.
 ##
 ## An error message is printed if the dimensions of the arguments do not
@@ -47,27 +48,42 @@ function r = mod (x, y)
     error ("mod: argument sizes must agree");
   endif
 
-  ## Matlab allows complex arguments, but as far as I can tell, that's a
-  ## bunch of hooey.
-
   if (isreal (x) && isreal (y))
     nz = y != 0.0;
     if (all (nz(:)))
       ## No elements of y are zero.
-      r = x - y .* floor (x ./ y);
+      if (isinteger(x) || isinteger(y))
+	if (isinteger (x))
+	  typ = class (x);
+	else
+	  typ = class (y);
+	endif
+	r = x - y .* cast (floor (double(x) ./ double(y)), typ);
+      else
+	r = x - y .* floor (x ./ y);
+      endif
     elseif (isscalar (y))
       ## y must be zero.
       r = x;
     else
       ## Some elements of y are zero.
       if (isscalar (x))
-	r = x * ones (size (y));
+	r = x * ones (size(y), class(y));
       else
 	r = x;
 	x = x(nz);
       endif
       y = y(nz);
-      r(nz) = x - y .* floor (x ./ y);
+      if (isinteger(x) || isinteger(y))
+	if (isinteger (x))
+	  typ = class (x);
+	else
+	  typ = class (y);
+	endif
+	r(nz) = x - y .* floor (double(x) ./ double(y));
+      else
+	r(nz) = x - y .* floor (x ./ y);
+      endif
     endif
   else
     error ("mod: complex arguments are not allowed");
@@ -101,3 +117,13 @@ endfunction
 %!assert (mod(-5,[3,0; 3,1]), [1, -5; 1, 0]);
 %!assert (mod(-5,[3,2; 3,1]), [1, 1; 1, 0]);
 
+## integer types
+%!assert (mod(uint8(5),uint8(4)),uint8(1))
+%!assert (mod(uint8([1:5]),uint8(4)),uint8([1,2,3,0,1]))
+%!assert (mod(uint8([1:5]),uint8(0)),uint8([1:5]))
+%!error (mod(uint8(5),int8(4)))
+
+## mixed integer/real types
+%!assert (mod(uint8(5),4),uint8(1))
+%!assert (mod(5,uint8(4)),uint8(1))
+%!assert (mod(uint8([1:5]),4),uint8([1,2,3,0,1]))
diff -pruN 1:3.0.1-6/scripts/general/postpad.m 1:3.0.5-6/scripts/general/postpad.m
--- 1:3.0.1-6/scripts/general/postpad.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/postpad.m	2009-02-18 06:57:46.000000000 +0000
@@ -19,7 +19,7 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} postpad (@var{x}, @var{l}, @var{c})
-## See prepad.
+## @seealso{prepad, resize}
 ## @end deftypefn
 
 ## Author: Tony Richardson <arichard@stark.cc.oh.us>
diff -pruN 1:3.0.1-6/scripts/general/prepad.m 1:3.0.5-6/scripts/general/prepad.m
--- 1:3.0.1-6/scripts/general/prepad.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/prepad.m	2009-02-18 06:57:46.000000000 +0000
@@ -33,6 +33,7 @@
 ##
 ## If the optional @var{dim} argument is given, then operate along this
 ## dimension.
+## @seealso{postpad}
 ## @end deftypefn
 
 ## Author: Tony Richardson <arichard@stark.cc.oh.us>
diff -pruN 1:3.0.1-6/scripts/general/rat.m 1:3.0.5-6/scripts/general/rat.m
--- 1:3.0.1-6/scripts/general/rat.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/general/rat.m	2009-01-16 06:46:22.000000000 +0000
@@ -64,8 +64,13 @@ function [n,d] = rat(x,tol)
   ## grab new factors until all continued fractions converge
   while (1)
     ## determine which fractions have not yet converged
-    idx = find (abs(y-n./d) >= tol);
-    if (isempty(idx)) break; endif
+    idx = find(abs (y-n./d) >= tol);
+    if (isempty(idx))
+      if (isempty (steps))
+	steps = NaN .* ones (nsz, 1);
+      endif
+      break;
+    endif
 
     ## grab the next step in the continued fraction
     flip = 1./frac(idx);
@@ -128,6 +133,13 @@ function [n,d] = rat(x,tol)
         endif
       endwhile
       s = [s, repmat(")", 1, j-2)];
+      n_nc = columns (n);
+      s_nc = columns (s);
+      if (n_nc > s_nc)
+	s(:,s_nc+1:n_nc) = " "
+      elseif (s_nc > n_nc)
+	n(:,n_nc+1:s_nc) = " ";
+      endif
       n = cat (1, n, s);
     endfor
   endif
diff -pruN 1:3.0.1-6/scripts/general/rem.m 1:3.0.5-6/scripts/general/rem.m
--- 1:3.0.1-6/scripts/general/rem.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/general/rem.m	2009-01-16 06:46:23.000000000 +0000
@@ -43,13 +43,26 @@ function r = rem (x, y)
     error ("rem: argument sizes must agree");
   endif
 
-  ## Matlab allows complex arguments, but as far as I can tell, that's a
-  ## bunch of hooey.
-
   if (isreal (x) && isreal (y))
-    r = x - y .* fix (x ./ y);
+      if (isinteger(x) || isinteger(y))
+	if (isinteger (x))
+	  typ = class (x);
+	else
+	  typ = class (y);
+	endif
+	r = x - y .* cast (fix (double (x) ./ double (y)), typ);
+      else
+	r = x - y .* fix (x ./ y);
+      endif
   else
     error ("rem: complex arguments are not allowed");
   endif
 
+%!assert(rem (uint8([1, 2, 3; -1, -2, -3]), uint8 (2)), uint8([1, 0, 1; -1, 0, -1]));
+
+%!assert(uint8(rem ([1, 2, 3; -1, -2, -3], 2 * ones (2, 3))),uint8([1, 0, 1; -1, 0, -1]));
+
+%!error rem (uint(8),int8(5));
+
+%!error rem (uint8([1, 2]), uint8([3, 4, 5]));
 endfunction
diff -pruN 1:3.0.1-6/scripts/general/sortrows.m 1:3.0.5-6/scripts/general/sortrows.m
--- 1:3.0.1-6/scripts/general/sortrows.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/general/sortrows.m	2009-02-18 06:57:46.000000000 +0000
@@ -21,7 +21,7 @@
 ## Sort the rows of the matrix @var{a} according to the order of the
 ## columns specified in @var{c}.  If @var{c} is omitted, a
 ## lexicographical sort is used. By default ascending order is used 
-## however if elements of @var{c} are negative then the corrosponding 
+## however if elements of @var{c} are negative then the corresponding  
 ## column is sorted in descending order.
 ## @end deftypefn
 
diff -pruN 1:3.0.1-6/scripts/gethelp.cc 1:3.0.5-6/scripts/gethelp.cc
--- 1:3.0.1-6/scripts/gethelp.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/gethelp.cc	2009-02-23 20:09:00.000000000 +0000
@@ -24,8 +24,10 @@ along with Octave; see the file COPYING.
 #define __USE_STD_IOSTREAM
 #endif
 
-#include <string>
+#include <cstdio>
+
 #include <iostream>
+#include <string>
 
 #ifndef NPOS
 #define NPOS std::string::npos
diff -pruN 1:3.0.1-6/scripts/image/gmap40.m 1:3.0.5-6/scripts/image/gmap40.m
--- 1:3.0.1-6/scripts/image/gmap40.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/image/gmap40.m	2009-02-18 06:57:46.000000000 +0000
@@ -19,7 +19,7 @@
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} gmap40 (@var{n})
 ## Create a color colormap. The colormap is red, green, blue, yellow,
-## magneta and cyan. These are the colors that are allowed with patch
+## magenta and cyan. These are the colors that are allowed with patch
 ## objects using gnuplot 4.0, and so this colormap function is specially
 ## designed for users of gnuplot 4.0.  The argument @var{n} should be 
 ## a scalar.  If it is omitted, a length of 6 is assumed. Larger values
diff -pruN 1:3.0.1-6/scripts/image/image.m 1:3.0.5-6/scripts/image/image.m
--- 1:3.0.1-6/scripts/image/image.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/image/image.m	2009-02-18 06:57:46.000000000 +0000
@@ -22,7 +22,7 @@
 ## @deftypefnx {Function File} {} image (@var{x}, @var{y}, @var{img})
 ## Display a matrix as a color image.  The elements of @var{x} are indices
 ## into the current colormap, and the colormap will be scaled so that the
-## extremes of @var{x} are mapped to the extremes of teh colormap.
+## extremes of @var{x} are mapped to the extremes of the colormap.
 ##
 ## It first tries to use @code{gnuplot}, then @code{display} from 
 ## @code{ImageMagick}, then @code{xv}, and then @code{xloadimage}.
diff -pruN 1:3.0.1-6/scripts/image/imshow.m 1:3.0.5-6/scripts/image/imshow.m
--- 1:3.0.1-6/scripts/image/imshow.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/image/imshow.m	2009-01-16 06:46:23.000000000 +0000
@@ -103,7 +103,7 @@ function h = imshow (im, varargin)
     elseif (ischar (arg))
       switch (arg)
 	case "displayrange";
-	  displayrange = varargin{narg++};
+	  display_range = varargin{narg++};
 	case {"truesize", "initialmagnification"}
 	  warning ("image: zoom argument ignored -- use GUI features");
 	otherwise
@@ -115,10 +115,10 @@ function h = imshow (im, varargin)
     endif
   endwhile
 
-  ## Set default display range.
+  ## Set default display range if display_range not set yet.
   if (isempty (display_range))
     display_range = [min(im(:)), max(im(:))];
-  else
+  elseif (isna (display_range))
     t = class (im);
     switch (t)
       case {"double", "single", "logical"}
diff -pruN 1:3.0.1-6/scripts/linear-algebra/cond.m 1:3.0.5-6/scripts/linear-algebra/cond.m
--- 1:3.0.1-6/scripts/linear-algebra/cond.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/linear-algebra/cond.m	2009-01-16 06:46:23.000000000 +0000
@@ -40,7 +40,7 @@ function retval = cond (a, p)
       p = 2;
     endif
 
-    if (! isstr (p) && p == 2)
+    if (! ischar (p) && p == 2)
       [nr, nc] = size (a);
       if (nr == 0 || nc == 0)
         retval = 0.0;
diff -pruN 1:3.0.1-6/scripts/miscellaneous/fileparts.m 1:3.0.5-6/scripts/miscellaneous/fileparts.m
--- 1:3.0.1-6/scripts/miscellaneous/fileparts.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/miscellaneous/fileparts.m	2009-02-18 07:25:54.000000000 +0000
@@ -27,15 +27,25 @@ function [directory, name, extension, ve
 
   if (nargin == 1)
     if (ischar (filename))
-      ds = rindex (filename, filesep);
+      if !( findstr (octave_config_info('canonical_host_type'), 'msvc')  || findstr (octave_config_info('canonical_host_type'), 'mingw') )
+        ds = rindex (filename, filesep);
+      else
+        ds = max (rindex (filename, "\\"),rindex (filename, "/"));
+      endif
       es = rindex (filename, ".");
       ## These can be the same if they are both 0 (no dir or ext).
       if (es <= ds)
 	es = length(filename)+1;
       endif
-      directory = filename(1:ds-1);
+      if (ds == 0)
+	directory = "";
+      elseif (ds == 1)
+	directory = filename(1);
+      else
+	directory = filename(1:ds-1);
+      endif
       name = filename(ds+1:es-1);
-      if (es > 0)
+      if (es > 0 && es <= length (filename))
 	extension = filename(es:end);
       else
 	extension = "";
@@ -49,3 +59,39 @@ function [directory, name, extension, ve
   endif
 
 endfunction
+
+%!test
+%! [d, n, e] = fileparts ("file");
+%! assert (strcmp (d, "") && strcmp (n, "file") && strcmp (e, ""));
+
+%!test
+%! [d, n, e] = fileparts ("file.ext");
+%! assert (strcmp (d, "") && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts ([filesep "file.ext"]);
+%! assert (strcmp (d, filesep) && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts (["dir" filesep "file.ext"]);
+%! assert (strcmp (d, "dir") && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts (["." filesep "file.ext"]);
+%! assert (strcmp (d, ".") && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts (["d1" filesep "d2" filesep "file.ext"]);
+%! assert (strcmp (d, ["d1" filesep "d2"]) && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts ([filesep "d1" filesep "d2" filesep "file.ext"]);
+%! assert (strcmp (d, [filesep "d1" filesep "d2"]) && strcmp (n, "file") && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts ([filesep ".ext"]);
+%! assert (strcmp (d, filesep) && strcmp (n, char (zeros (1, 0))) && strcmp (e, ".ext"));
+
+%!test
+%! [d, n, e] = fileparts (".ext");
+%! assert (strcmp (d, "") && strcmp (n, char (zeros (1, 0))) && strcmp (e, ".ext"));
diff -pruN 1:3.0.1-6/scripts/miscellaneous/news.m 1:3.0.5-6/scripts/miscellaneous/news.m
--- 1:3.0.1-6/scripts/miscellaneous/news.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/miscellaneous/news.m	2009-01-16 06:46:23.000000000 +0000
@@ -28,7 +28,7 @@ function news ()
 
   if (exist (newsfile, "file"))
     f = fopen (newsfile, "r");
-    while (isstr (line = fgets (f)))
+    while (ischar (line = fgets (f)))
       printf (line);
     endwhile
   else
diff -pruN 1:3.0.1-6/scripts/miscellaneous/unpack.m 1:3.0.5-6/scripts/miscellaneous/unpack.m
--- 1:3.0.1-6/scripts/miscellaneous/unpack.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/miscellaneous/unpack.m	2009-02-18 06:57:46.000000000 +0000
@@ -97,6 +97,12 @@ function filelist = unpack (file, direct
       files = {files{:} tmpfiles{:}};
     endfor
 
+    ## Return output if requested.
+    if (nargout > 0)
+      filelist = files;
+    endif
+
+    return
   else
     error ("unpack: invalid input file class, %s", class(file));
   endif
diff -pruN 1:3.0.1-6/scripts/miscellaneous/warning_ids.m 1:3.0.5-6/scripts/miscellaneous/warning_ids.m
--- 1:3.0.1-6/scripts/miscellaneous/warning_ids.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/miscellaneous/warning_ids.m	2009-02-18 06:57:46.000000000 +0000
@@ -202,7 +202,7 @@
 ## automatically in literal matrices.
 ## 
 ## @item Octave:single-quote-string
-## Print warning if a signle quote character is used to introduce a
+## Print warning if a single quote character is used to introduce a
 ## string constant.
 ## 
 ## @item Octave:str-to-num
diff -pruN 1:3.0.1-6/scripts/optimization/glpk.m 1:3.0.5-6/scripts/optimization/glpk.m
--- 1:3.0.1-6/scripts/optimization/glpk.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/optimization/glpk.m	2009-01-16 06:46:23.000000000 +0000
@@ -470,7 +470,7 @@ function [xopt, fmin, status, extra] = g
 
   if (nargin > 3)
     if (isempty (lb))
-      lb = zeros (0, nx, 1);
+      lb = zeros (nx, 1);
     elseif (! isreal (lb) || all (size (lb) > 1) || length (lb) != nx)
       error ("LB must be a real valued %d by 1 column vector", nx);
       return;
diff -pruN 1:3.0.1-6/scripts/optimization/sqp.m 1:3.0.5-6/scripts/optimization/sqp.m
--- 1:3.0.1-6/scripts/optimization/sqp.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/optimization/sqp.m	2009-02-18 06:57:46.000000000 +0000
@@ -17,7 +17,7 @@
 ## <http://www.gnu.org/licenses/>.
 
 ## -*- texinfo -*-
-## @deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h})
+## @deftypefn {Function File} {[@var{x}, @var{obj}, @var{info}, @var{iter}, @var{nf}, @var{lambda}] =} sqp (@var{x}, @var{phi}, @var{g}, @var{h}, @var{lb}, @var{ub}, @var{maxiter}, @var{tolerance})
 ## Solve the nonlinear program
 ## @iftex
 ## @tex
@@ -38,7 +38,7 @@
 ## @iftex
 ## @tex
 ## $$
-##  g(x) = 0 \qquad h(x) \geq 0
+##  g(x) = 0 \qquad h(x) \geq 0 \qquad lb \leq x \leq ub
 ## $$
 ## @end tex
 ## @end iftex
@@ -47,6 +47,7 @@
 ## @example
 ##      g(x)  = 0
 ##      h(x) >= 0
+##      lb <= x <= ub
 ## @end example
 ## @end ifnottex
 ##
@@ -131,6 +132,17 @@
 ## @end example
 ## @end ifnottex
 ##
+## The fifth and sixth arguments are vectors containing lower and upper bounds
+## on @var{x}. These must be consistent with equality and inequality
+## constraints @var{g} and @var{h}. If the bounds are not specified, or are
+## empty, they are set to -@var{realmax} and @var{realmax} by default.
+##
+## The seventh argument is max. number of iterations. If not specified,
+## the default value is 100.
+##
+## The eighth argument is tolerance for stopping criteria. If not specified,
+## the default value is @var{eps}.
+##
 ## Here is an example of calling @code{sqp}:
 ##
 ## @example
diff -pruN 1:3.0.1-6/scripts/pkg/pkg.m 1:3.0.5-6/scripts/pkg/pkg.m
--- 1:3.0.1-6/scripts/pkg/pkg.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/pkg/pkg.m	2009-02-18 06:57:46.000000000 +0000
@@ -248,11 +248,14 @@ function [local_packages, global_package
 	global_install = false;
 	if (! user_prefix)
 	  prefix = tilde_expand (fullfile ("~", "octave"));
+	  archprefix = prefix;
 	endif
       case "-global"
 	global_install = true;
 	if (! user_prefix)
 	  prefix = fullfile (OCTAVE_HOME (), "share", "octave", "packages");
+	  archprefix = fullfile (octave_config_info ("libexecdir"),
+				 "octave", "packages");
 	endif
       case available_actions
 	if (strcmp (action, "none"))
@@ -1225,7 +1228,7 @@ function configure_make (desc, packdir, 
       if (isempty (getenv ("RANLIB")))
         flags = strcat (flags, " RANLIB=\"", octave_config_info ("RANLIB"), "\"");
       endif
-      [status, output] = shell (strcat ("cd ", src, "; ./configure --prefix=\"",
+      [status, output] = shell (strcat ("cd '", src, "'; ./configure --prefix=\"",
                                         desc.dir, "\"", flags));
       if (status != 0)
 	rm_rf (desc.dir);
@@ -1239,7 +1242,7 @@ function configure_make (desc, packdir, 
     ## make
     if (exist (fullfile (src, "Makefile"), "file"))
       [status, output] = shell (strcat ("export INSTALLDIR=\"", desc.dir,
-					 "\"; make -C ", src));
+ 					 "\"; make -C '", src, "'"));
       if (status != 0)
 	rm_rf (desc.dir);
 	error ("'make' returned the following error: %s", output);
@@ -1278,28 +1281,17 @@ function configure_make (desc, packdir, 
       m = dir (fullfile (src, "*.m"));
       oct = dir (fullfile (src, "*.oct"));
       mex = dir (fullfile (src, "*.mex"));
-      archdependent = "";
-      archindependent = "";
-      filenames = "";
-      if (length (m) > 0)
-	filenames = sprintf (fullfile (src, "%s "), m.name);
-      endif
-      if (length (oct) > 0)
-	filenames = strcat (filenames, " ",
-			    sprintf (fullfile (src, "%s "), oct.name));
-      endif
-      if (length (mex) > 0)
-	filenames = strcat (filenames, " ",
-			    sprintf (fullfile (src, "%s "), mex.name));
-      endif
-      filenames = split_by (filenames, " ");
+
+      filenames = cellfun (@(x) fullfile (src, x),
+			   {m.name, oct.name, mex.name},
+			   "UniformOutput", false);
     endif
 
     ## Split into architecture dependent and independent files
     if (isempty (filenames))
       idx = [];
     else
-      idx = cellfun (@(x) is_architecture_dependent (x), filenames);
+      idx = cellfun (@is_architecture_dependent, filenames);
     endif
     archdependent = filenames (idx);
     archindependent = filenames (!idx);
diff -pruN 1:3.0.1-6/scripts/plot/area.m 1:3.0.5-6/scripts/plot/area.m
--- 1:3.0.1-6/scripts/plot/area.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/area.m	2009-02-18 06:57:46.000000000 +0000
@@ -23,12 +23,12 @@
 ## @deftypefnx {Function File} {} area (@var{y}, @dots{})
 ## @deftypefnx {Function File} {} area (@var{h}, @dots{})
 ## @deftypefnx {Function File} {@var{h} =} area (@dots{})
-## Area plot of cummulative sum of the columns of @var{y}. This shows the
+## Area plot of cumulative sum of the columns of @var{y}. This shows the
 ## contributions of a value to a sum, and is functionally similar to 
 ## @code{plot (@var{x}, cumsum (@var{y}, 2))}, except that the area under 
 ## the curve is shaded.
 ##
-## If the @var{x} argument is ommitted it is assumed to be given by
+## If the @var{x} argument is omitted it is assumed to be given by
 ## @code{1 : rows (@var{y})}. A value @var{lvl} can be defined that determines
 ## where the base level of the shading under the curve should be defined.
 ##
diff -pruN 1:3.0.1-6/scripts/plot/__bar__.m 1:3.0.5-6/scripts/plot/__bar__.m
--- 1:3.0.1-6/scripts/plot/__bar__.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/__bar__.m	2009-01-16 06:46:23.000000000 +0000
@@ -67,14 +67,14 @@ function varargout = __bar__ (vertical, 
   newargs = {};
   have_line_spec = false;
   while (idx <= nargin - 2)
-    if (isstr (varargin{idx}) && strcmp (varargin{idx}, "grouped"))
+    if (ischar (varargin{idx}) && strcmp (varargin{idx}, "grouped"))
       group = true;
       idx++;
-    elseif (isstr (varargin{idx}) && strcmp (varargin{idx}, "stacked"))
+    elseif (ischar (varargin{idx}) && strcmp (varargin{idx}, "stacked"))
       group = false;
       idx++;
     else
-      if ((isstr (varargin{idx}) || iscell (varargin{idx}))
+      if ((ischar (varargin{idx}) || iscell (varargin{idx}))
 	  && ! have_line_spec)
 	[linespec, valid] = __pltopt__ (func, varargin{idx}, false);
 	if (valid)
@@ -88,7 +88,7 @@ function varargout = __bar__ (vertical, 
 	width = varargin{idx++};
       elseif (idx == nargin - 2)
 	newargs = [newargs,varargin(idx++)];
-      elseif (isstr (varargin{idx}) && strcmp (tolower (varargin{idx}), "basevalue") &&
+      elseif (ischar (varargin{idx}) && strcmp (tolower (varargin{idx}), "basevalue") &&
           isscalar (varargin{idx+1}))
         bv = varargin{idx+1};
         idx += 2;
diff -pruN 1:3.0.1-6/scripts/plot/clf.m 1:3.0.5-6/scripts/plot/clf.m
--- 1:3.0.1-6/scripts/plot/clf.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/clf.m	2009-03-25 14:10:10.000000000 +0000
@@ -18,24 +18,64 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} clf ()
-## Clear the current figure.
-## @seealso{close, delete}
+## @deftypefnx {Function File} {} clf ("reset")
+## @deftypefnx {Function File} {} clf (@var{hfig})
+## @deftypefnx {Function File} {} clf (@var{hfig}, "reset")
+## @deftypefnx {Function File} {@var{hfig} =} clf (@dots{})
+## Delete the children of the current figure with visible handles.
+## If @var{hfig} is specified and is an figure object handle, operate on it
+## instead of the current figure.  If the optional argument @code{"reset"}
+## is specified, also delete the figure's children with hidden handles.
+## @seealso{cla, close, delete}
 ## @end deftypefn
 
 ## Author: jwe
 
-function clf ()
+function clf (varargin)
 
-  if (nargin == 0)
-    cf = gcf ();
-    set (cf, "currentaxes", []);
-    for k = get (cf, "children")
-      if (ishandle (k))
-        delete (k);
-      endif
-    endfor
-  else
+  if (nargin > 2)
     print_usage ();
+  elseif (nargin > 1)
+    if (isfigure (varargin{1}) && ischar (varargin{2})
+	&& strcmpi (varargin{2}, "reset"))
+      oldfig = gcf;
+      hfig = varargin{1};
+      do_reset = true;
+    else
+      print_usage ();
+    endif
+  elseif (nargin == 1)
+    if (isfigure (varargin{1}))
+      oldfig = gcf;
+      hfig = varargin{1};
+      do_reset = false;
+    elseif (ischar (varargin{1}) && strcmpi (varargin{1}, "reset"))
+      hfig = gcf;
+      oldfig = hfig;
+      do_reset = true;
+    else
+      print_usage ();
+    endif
+  else
+    hfig = gcf;
+    oldfig = hfig;
+    do_reset = false;
+  end
+
+  if (do_reset)
+    ## Select all the children, including the one with hidden handles.
+    hc = allchild (hfig);
+    reset (hfig)
+  else
+    ## Select only the chilren with visible handles.
+    hc = get (hfig, "children");
   endif
 
+  set (hfig, "currentaxes", []);
+  ## Delete the children.
+  for k = get (hfig, "children")
+    if (ishandle (k))
+      delete (k);
+    endif
+  endfor
 endfunction
diff -pruN 1:3.0.1-6/scripts/plot/compass.m 1:3.0.5-6/scripts/plot/compass.m
--- 1:3.0.1-6/scripts/plot/compass.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/compass.m	2009-01-16 06:46:23.000000000 +0000
@@ -71,7 +71,7 @@ function retval = compass (varargin)
   line_spec = "b-";
   while (ioff <= nargin)
     arg = varargin{ioff++};
-    if ((isstr (arg) || iscell (arg)) && ! have_line_spec)
+    if ((ischar (arg) || iscell (arg)) && ! have_line_spec)
       [linespec, valid] = __pltopt__ ("compass", arg, false);
       if (valid)
 	line_spec = arg;
diff -pruN 1:3.0.1-6/scripts/plot/contourc.m 1:3.0.5-6/scripts/plot/contourc.m
--- 1:3.0.1-6/scripts/plot/contourc.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/contourc.m	2009-02-18 06:57:46.000000000 +0000
@@ -18,7 +18,7 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {[@var{c}, @var{lev}] =}  contourc (@var{x}, @var{y}, @var{z}, @var{vn})
-## Compute isolines (countour lines) of the matrix @var{z}. 
+## Compute isolines (contour lines) of the matrix @var{z}. 
 ## Parameters @var{x}, @var{y} and @var{vn} are optional.
 ##
 ## The return value @var{lev} is a vector of the contour levels.
diff -pruN 1:3.0.1-6/scripts/plot/contourf.m 1:3.0.5-6/scripts/plot/contourf.m
--- 1:3.0.1-6/scripts/plot/contourf.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/contourf.m	2009-02-18 07:25:54.000000000 +0000
@@ -227,7 +227,7 @@ function [X, Y, Z, lvl, patch_props] = p
     arg(1:4) = [];
   endif
 
-  if (any (size (X) != size (Y)))
+  if (! ((isvector (X) && isvector (Y)) || size_equal (X, Y)))
     error ("patch: X and Y must be of same size")
   endif
 
diff -pruN 1:3.0.1-6/scripts/plot/__errplot__.m 1:3.0.5-6/scripts/plot/__errplot__.m
--- 1:3.0.1-6/scripts/plot/__errplot__.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/__errplot__.m	2009-02-18 06:57:46.000000000 +0000
@@ -35,21 +35,22 @@ function h = __errplot__ (fstr, p, a1, a
 
   for i = 1:nplots
     ## Set the plot type based on linestyle.
-    if (fmt.linestyle == "~")
-      ifmt = "yerr";
-    elseif (fmt.linestyle == ">")
-      ifmt = "xerr";
-    elseif (fmt.linestyle == "~>")
-      ifmt = "xyerr";
-    elseif (fmt.linestyle == "#")
-      ifmt = "box";
-    elseif (fmt.linestyle == "#~")
-      ifmt = "boxy";
-    elseif (fmt.linestyle == "#~>")
-      ifmt = "boxxy";
-    else
-      print_usage ();
-    endif
+    switch (fmt.linestyle)
+      case "~"
+	ifmt = "yerr";
+      case ">"
+	ifmt = "xerr";
+      case "~>"
+	ifmt = "xyerr";
+      case "#"
+	ifmt = "box";
+      case "#~"
+	ifmt = "boxy";
+      case "#~>"
+	ifmt = "boxxy";
+      otherwise
+	print_usage ();
+    endswitch
 
     h = __line__ (p);
 
diff -pruN 1:3.0.1-6/scripts/plot/feather.m 1:3.0.5-6/scripts/plot/feather.m
--- 1:3.0.1-6/scripts/plot/feather.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/feather.m	2009-01-16 06:46:23.000000000 +0000
@@ -71,7 +71,7 @@ function retval = feather (varargin)
   line_spec = "b-";
   while (ioff <= nargin)
     arg = varargin{ioff++};
-    if ((isstr (arg) || iscell (arg)) && ! have_line_spec)
+    if ((ischar (arg) || iscell (arg)) && ! have_line_spec)
       [linespec, valid] = __pltopt__ ("feather", arg, false);
       if (valid)
 	line_spec = arg;
diff -pruN 1:3.0.1-6/scripts/plot/fplot.m 1:3.0.5-6/scripts/plot/fplot.m
--- 1:3.0.1-6/scripts/plot/fplot.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/fplot.m	2009-02-24 06:48:52.000000000 +0000
@@ -40,7 +40,7 @@
 ## Author: Paul Kienzle <pkienzle@users.sf.net>
 
 function fplot (fn, limits, n, linespec)
-  if (nargin < 2 || nargin > 3)
+  if (nargin < 2 || nargin > 4)
     print_usage ();
   endif
 
@@ -98,15 +98,16 @@ function fplot (fn, limits, n, linespec)
     y = feval (fn, x);
   endif
 
-  if (length (limits) > 2) 
-    axis (limits);
-  endif
-
   if (have_linespec)
     plot (x, y, linespec);
   else
     plot (x, y);
   endif
+
+  if (length (limits) > 2) 
+    axis (limits);
+  endif
+
   if (isvector(y))
     legend (nam);
   else
diff -pruN 1:3.0.1-6/scripts/plot/__go_draw_axes__.m 1:3.0.5-6/scripts/plot/__go_draw_axes__.m
--- 1:3.0.1-6/scripts/plot/__go_draw_axes__.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/__go_draw_axes__.m	2009-01-16 06:46:23.000000000 +0000
@@ -1001,7 +1001,7 @@ function __go_draw_axes__ (h, plot_strea
 
     ## This is need to prevent warnings for rotations in 3D plots, while
     ## allowing colorbars with contours..
-    if (nd == 2 || data_idx > 1)
+    if (nd == 2 || (data_idx > 1 && !view_map))
       fputs (plot_stream, "set pm3d implicit;\n");
     else
       fputs (plot_stream, "set pm3d explicit;\n");
@@ -1013,7 +1013,7 @@ function __go_draw_axes__ (h, plot_strea
       fputs (plot_stream, "unset hidden3d;\n");
     endif
 
-    have_data = (! (isempty (data) || any (cellfun (@isempty, data))));
+    have_data = (! (isempty (data) || all (cellfun (@isempty, data))));
 
     if (isempty (xlim))
       return;
@@ -1070,27 +1070,27 @@ function __go_draw_axes__ (h, plot_strea
 	fputs (plot_stream, "set border 895;\n");
       else
 	if (strcmpi (axis_obj.yaxislocation, "right"))
-	  fputs (plot_stream, "unset ytics; set y2tics %s nomirror\n",
-		 axis_obj.tickdir);
+	  fprintf (plot_stream, "unset ytics; set y2tics %s nomirror\n",
+		   axis_obj.tickdir);
 	  if (strcmpi (axis_obj.xaxislocation, "top"))
-	    fputs (plot_stream, "unset xtics; set x2tics %s nomirror\n",
-		 axis_obj.tickdir);
+	    fprintf (plot_stream, "unset xtics; set x2tics %s nomirror\n",
+		     axis_obj.tickdir);
 	    fputs (plot_stream, "set border 12;\n");
 	  else
-	    fputs (plot_stream, "unset x2tics; set xtics %s nomirror\n",
-		 axis_obj.tickdir);
+	    fprintf (plot_stream, "unset x2tics; set xtics %s nomirror\n",
+		     axis_obj.tickdir);
 	    fputs (plot_stream, "set border 9;\n");
 	  endif
 	else
-	  fputs (plot_stream, "unset y2tics; set ytics %s nomirror\n",
-		 axis_obj.tickdir);
-	  if (strcmpi (axis_obj.xaxislocation, "top"))
-	    fputs (plot_stream, "unset xtics; set x2tics %s nomirror\n",
+	  fprintf (plot_stream, "unset y2tics; set ytics %s nomirror\n",
 		   axis_obj.tickdir);
+	  if (strcmpi (axis_obj.xaxislocation, "top"))
+	    fprintf (plot_stream, "unset xtics; set x2tics %s nomirror\n",
+		     axis_obj.tickdir);
 	    fputs (plot_stream, "set border 6;\n");
 	  else
-	    fputs (plot_stream, "unset x2tics; set xtics %s nomirror\n",
-		   axis_obj.tickdir);
+	    fprintf (plot_stream, "unset x2tics; set xtics %s nomirror\n",
+		     axis_obj.tickdir);
 	    fputs (plot_stream, "set border 3;\n");
 	  endif
 	endif
@@ -1447,15 +1447,19 @@ function __gnuplot_write_data__ (plot_st
       n = columns (data);
       have_nans = true;
       num_nan_elts = numel (nan_elts);
-      k = 1;
-      for i = 1:n
-	if (have_nans && i == nan_elts(k))
-	  fputs (plot_stream, "\n");
-	  have_nans = ++k <= num_nan_elts;
-	else
-	  fprintf (plot_stream, fmt, data(:,i));
-	endif
-      endfor
+      if (num_nan_elts == n)
+	fputs (plot_stream, "Inf Inf\n");
+      else
+	k = 1;
+	for i = 1:n
+	  if (have_nans && i == nan_elts(k))
+	    fputs (plot_stream, "\n");
+	    have_nans = ++k <= num_nan_elts;
+	  else
+	    fprintf (plot_stream, fmt, data(:,i));
+	  endif
+	endfor
+      endif
     endif
   elseif (nd == 3)
     ## FIXME -- handle NaNs here too?
diff -pruN 1:3.0.1-6/scripts/plot/grid.m 1:3.0.5-6/scripts/plot/grid.m
--- 1:3.0.1-6/scripts/plot/grid.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/grid.m	2009-02-18 06:57:46.000000000 +0000
@@ -20,14 +20,18 @@
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} grid (@var{arg})
 ## @deftypefnx {Function File} {} grid ("minor", @var{arg2})
+## @deftypefnx {Function File} {} grid (@var{hax}, @dots{})
 ## Force the display of a grid on the plot.
-## The argument may be either @code{"on"} or @code{"off"}.  If it is
-## omitted, the current grid state is toggled.
+## The argument may be either @code{"on"}, or @code{"off"}.
+## If it is omitted, the current grid state is toggled.
 ##
 ## If @var{arg} is @code{"minor"} then the minor grid is toggled.  When
 ## using a minor grid a second argument @var{arg2} is allowed, which can
 ## be either @code{"on"} or @code{"off"} to explicitly set the state of
 ## the minor grid.
+##
+## If the first argument is an axis handle, @var{hax}, operate on the
+## specified axis object.
 ## @seealso{plot}
 ## @end deftypefn
 
@@ -42,7 +46,7 @@ function grid (varargin)
 
   [ax, varargin, nargs] = __plt_get_axis_arg__ ("grid", varargin{:});
 
-  if (nargs > 1)
+  if (nargs > 2)
     print_usage ();
   elseif (nargs == 0)
     grid_on = ! grid_on;
@@ -54,10 +58,22 @@ function grid (varargin)
       elseif (strcmp ("on", x))
 	grid_on = true;
       elseif (strcmp ("minor", x))
-	minor_on = ! minor_on;
-	if (minor_on)
-	  grid_on = true;
-	endif
+        if (nargs == 2)
+          x2 = varargin{2};
+          if (strcmpi (x2, "on"))
+            minor_on = true;
+            grid_on=true;
+          elseif (strcmpi (x2, "off"))
+            minor_on = false;
+          else
+            print_usage ();
+          endif
+        else
+          minor_on = ! minor_on
+          if (minor_on)
+            grid_on = true;
+          endif
+        endif
       else
 	print_usage ();
       endif
diff -pruN 1:3.0.1-6/scripts/plot/hist.m 1:3.0.5-6/scripts/plot/hist.m
--- 1:3.0.1-6/scripts/plot/hist.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/hist.m	2009-02-18 06:57:46.000000000 +0000
@@ -23,7 +23,8 @@
 ##
 ## With one vector input argument, plot a histogram of the values with
 ## 10 bins.  The range of the histogram bins is determined by the range
-## of the data.
+## of the data.  With one matrix input argument, plot a hystogram where
+## each bin contains a bar per input column.
 ##
 ## Given a second scalar argument, use that as the number of bins.
 ##
@@ -59,7 +60,7 @@ function [nn, xx] = hist (y, varargin)
     max_val = max (y(:));
     min_val = min (y(:));
   else
-    error ("hist: first argument must be a vector");
+    error ("hist: first argument must be real valued");
   endif
 
   iarg = 1;
diff -pruN 1:3.0.1-6/scripts/plot/hold.m 1:3.0.5-6/scripts/plot/hold.m
--- 1:3.0.1-6/scripts/plot/hold.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/hold.m	2009-02-18 06:57:46.000000000 +0000
@@ -38,12 +38,15 @@
 
 function hold (varargin)
 
-  [h, varargin] = __plt_get_axis_arg__ ("hold", varargin{:});
+  if (nargin > 0 && ishandle (varargin{1}))
+    [h, varargin, nargs] = __plt_get_axis_arg__ ("hold", varargin{:});
+  else
+    h = gcf ();
+    nargs = numel (varargin);
+  endif
 
   hold_state = get (h, "nextplot");
 
-  nargs = numel (varargin);
-
   if (nargs == 0)
     if (strcmp (hold_state, "add"))
       hold_state = "replace";
@@ -65,6 +68,14 @@ function hold (varargin)
     print_usage ();
   endif
 
+  if (isfigure (h))
+    if (isempty (get (h, "currentaxes")))
+      set (h, "currentaxes", __go_axes__ (h))
+    endif
+    axes_objs = findobj (h, "type", "axes");
+    h = [h; axes_objs];
+  endif
+
   set (h, "nextplot", hold_state);
 
 endfunction
diff -pruN 1:3.0.1-6/scripts/plot/legend.m 1:3.0.5-6/scripts/plot/legend.m
--- 1:3.0.1-6/scripts/plot/legend.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/legend.m	2009-02-25 07:58:43.000000000 +0000
@@ -201,6 +201,12 @@ endfunction
 
 %!demo
 %! close all;
+%! plot(1:10, 1:10, 'b', 1:10, fliplr(1:10), 'g');
+%! title("incline is blue and decline is green");
+%! legend({"I'm blue", "I'm green"}, "location", "east")
+
+%!demo
+%! close all;
 %! plot(1:10, 1:10);
 %! title("a very long label can sometimes cause problems");
 %! legend({"hello world"}, "location", "northeastoutside")
@@ -208,8 +214,9 @@ endfunction
 %!demo
 %! close all;
 %! labels = {};
+%! color = 'bgryk';
 %! for i = 1:5
-%!     plot(1:100, i + rand(100,1)); hold on;
+%!     plot(1:100, i + rand(100,1), color(i)); hold on;
 %!     labels = {labels{:}, strcat("Signal ", num2str(i))};
 %! endfor; hold off;
 %! title("Signals with random offset and uniform noise")
diff -pruN 1:3.0.1-6/scripts/plot/pcolor.m 1:3.0.5-6/scripts/plot/pcolor.m
--- 1:3.0.1-6/scripts/plot/pcolor.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/pcolor.m	2009-01-16 06:46:23.000000000 +0000
@@ -21,11 +21,29 @@
 ## @deftypefnx {Function File} {} pcolor (@var{c})
 ## Density plot for given matrices @var{x}, and @var{y} from @code{meshgrid} and
 ## a matrix @var{c} corresponding to the @var{x} and @var{y} coordinates of
-## the mesh.  If @var{x} and @var{y} are vectors, then a typical vertex
+## the mesh's vertices. If @var{x} and @var{y} are vectors, then a typical vertex
 ## is (@var{x}(j), @var{y}(i), @var{c}(i,j)).  Thus, columns of @var{c}
 ## correspond to different @var{x} values and rows of @var{c} correspond
 ## to different @var{y} values.
-## @seealso{meshgrid, contour}
+##
+## The @code{colormap} is scaled to the extents of @var{c}.
+## Limits may be placed on the color axis by the
+## command @code{caxis}, or by setting the @code{clim} property of the
+## parent axis.
+##
+## The face color of each cell of the mesh is determined by interpolating
+## the values of @var{c} for the cell's vertices. Contrast this with 
+## @code{imagesc} which renders one cell for each element of @var{c}.
+##
+## @code{shading} modifies an attribute determining the manner by which the
+## face color of each cell is interpolated from the values of @var{c},
+## and the visibility of the cells' edges. By default the attribute is
+## "faceted", which renders a single color for each cell's face with the edge
+## visible.
+##
+## @var{h} is the handle to the surface object.
+##
+## @seealso{caxis, contour, meshgrid, imagesc, shading}
 ## @end deftypefn
 
 ## Author: Kai Habel <kai.habel@gmx.de>
diff -pruN 1:3.0.1-6/scripts/plot/pie.m 1:3.0.5-6/scripts/plot/pie.m
--- 1:3.0.1-6/scripts/plot/pie.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/pie.m	2009-02-18 06:57:46.000000000 +0000
@@ -24,7 +24,7 @@
 ## @deftypefnx {Function File} {@var{h} =} pie (@dots{});
 ## Produce a pie chart. 
 ##
-## Called with a single vector arrgument, produces a pie chart of the
+## Called with a single vector argument, produces a pie chart of the
 ## elements in @var{x}, with the size of the slice determined by percentage
 ## size of the values of @var{x}.
 ##
diff -pruN 1:3.0.1-6/scripts/plot/plot.m 1:3.0.5-6/scripts/plot/plot.m
--- 1:3.0.1-6/scripts/plot/plot.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/plot.m	2009-01-16 06:46:23.000000000 +0000
@@ -106,9 +106,6 @@
 ## @item .
 ## Set dots plot style.
 ##
-## @item ^
-## Set impulses plot style.
-##
 ## @item L
 ## Set steps plot style.
 ##
@@ -133,6 +130,7 @@
 ## @itemx *
 ## @itemx o
 ## @itemx x
+## @itemx ^
 ## Used in combination with the points or linespoints styles, set the point
 ## style.
 ## @end table
diff -pruN 1:3.0.1-6/scripts/plot/__quiver__.m 1:3.0.5-6/scripts/plot/__quiver__.m
--- 1:3.0.1-6/scripts/plot/__quiver__.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/__quiver__.m	2009-01-16 06:46:23.000000000 +0000
@@ -79,7 +79,7 @@ function hlist = __quiver__ (varargin)
     arg = varargin{ioff++};
     if (ischar (arg) && strncmp (tolower (arg), "filled", 6))
       have_filled = true;
-    elseif ((isstr (arg) || iscell (arg))
+    elseif ((ischar (arg) || iscell (arg))
 	    && ! have_line_spec)
       [linespec, valid] = __pltopt__ ("quiver", arg, false);
       if (valid)
diff -pruN 1:3.0.1-6/scripts/plot/scatter3.m 1:3.0.5-6/scripts/plot/scatter3.m
--- 1:3.0.1-6/scripts/plot/scatter3.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/scatter3.m	2009-01-16 06:46:23.000000000 +0000
@@ -24,11 +24,11 @@
 ## @deftypefnx {Function File} {} scatter3 (@var{h}, @dots{})
 ## @deftypefnx {Function File} {@var{h} =} scatter3 (@dots{})
 ##
-## Plot a scatter plot of the data in 3D. A marker is ploted at each point 
-## defined by the points in the vectors @var{x} and @var{y}. The size of
-## the markers used is determined by the @var{s}, which can be a scalar, 
-## a vector of the same length of @var{x} and @var{y}. If @var{s} is not 
-## given or is an empty matrix, then the default value of 8 points is used.
+## Plot a scatter plot of the data in 3D. A marker is plotted at each point 
+## defined by the points in the vectors @var{x}, @var{y} and @var{z}. The size
+## of the markers used is determined by @var{s}, which can be a scalar or
+## a vector of the same length of @var{x}, @var{y} and @var{z}. If @var{s} is
+## not given or is an empty matrix, then the default value of 8 points is used.
 ##
 ## The color of the markers is determined by @var{c}, which can be a string
 ## defining a fixed color, a 3 element vector giving the red, green and blue 
diff -pruN 1:3.0.1-6/scripts/plot/__scatter__.m 1:3.0.5-6/scripts/plot/__scatter__.m
--- 1:3.0.1-6/scripts/plot/__scatter__.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/__scatter__.m	2009-01-16 06:46:23.000000000 +0000
@@ -79,7 +79,7 @@ function h = __scatter__ (varargin)
     arg = varargin{iarg++};
     if (ischar (arg) && strncmp (tolower (arg), "filled", 6))
       filled = true;
-    elseif ((isstr (arg) || iscell (arg)) && ! have_marker)
+    elseif ((ischar (arg) || iscell (arg)) && ! have_marker)
       [linespec, valid] = __pltopt__ ("scatter", arg, false);
       if (valid)
 	have_marker = true;
diff -pruN 1:3.0.1-6/scripts/plot/shading.m 1:3.0.5-6/scripts/plot/shading.m
--- 1:3.0.1-6/scripts/plot/shading.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/shading.m	2009-01-16 06:46:23.000000000 +0000
@@ -20,9 +20,22 @@
 ## @deftypefn {Function File} {} shading (@var{type})
 ## @deftypefnx {Function File} {} shading (@var{ax}, @dots{})
 ## Set the shading of surface or patch graphic objects. Valid arguments
-## for @var{type} are @code{"flat"}, @code{"interp"}, or
-## @code{"faceted"}.  If @var{ax} is given the shading is applied to
-## axis @var{ax} instead of the current axis.
+## for @var{type} are
+##
+## @table @code
+## @item "flat"
+## Single colored patches with invisible edges.
+##
+## @item "faceted"
+## Single colored patches with visible edges.
+##
+## @item "interp"
+## Color between patch vertices are interpolated and the patch edges are
+## invisible.
+## @end table
+##
+## If @var{ax} is given the shading is applied to axis @var{ax} instead
+## of the current axis.
 ## @end deftypefn
 
 ## Author: Kai Habel <kai.habel@gmx.de>
diff -pruN 1:3.0.1-6/scripts/plot/subplot.m 1:3.0.5-6/scripts/plot/subplot.m
--- 1:3.0.1-6/scripts/plot/subplot.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/plot/subplot.m	2009-02-18 06:57:46.000000000 +0000
@@ -117,7 +117,8 @@ function h = subplot (rows, columns, ind
   set (cf, "nextplot", "add");
 
   found = false;
-  for child = get (cf, "children")
+  kids = get (cf, "children");
+  for child = reshape (kids, 1, numel (kids))
     ## Check whether this child is still valid; this might not be the
     ## case anymore due to the deletion of previous children (due to
     ## "deletefcn" callback or for legends/colorbars that are deleted
diff -pruN 1:3.0.1-6/scripts/polynomial/conv.m 1:3.0.5-6/scripts/polynomial/conv.m
--- 1:3.0.1-6/scripts/polynomial/conv.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/polynomial/conv.m	2009-02-18 06:57:46.000000000 +0000
@@ -47,29 +47,62 @@ function y = conv (a, b)
 
   ly = la + lb - 1;
 
-  ## Ensure that both vectors are row vectors.
-  if (rows (a) > 1)
-    a = reshape (a, 1, la);
-  endif
-  if (rows (b) > 1)
-    b = reshape (b, 1, lb);
-  endif
-
   ## Use the shortest vector as the coefficent vector to filter.
+  ## Preserve the row/column orientation of the longer input.
   if (la < lb)
     if (ly > lb)
-      x = [b, (zeros (1, ly - lb))];
+      if (size (b, 1) <= size (b, 2))
+        x = [b, (zeros (1, ly - lb))];
+      else
+        x = [b; (zeros (ly - lb, 1))];
+      endif
     else
       x = b;
     endif
     y = filter (a, 1, x);
   else
     if(ly > la)
-      x = [a, (zeros (1, ly - la))];
+      if (size (a, 1) <= size (a, 2))
+        x = [a, (zeros (1, ly - la))];
+      else
+        x = [a; (zeros (ly - la, 1))];
+      endif
     else
       x = a;
     endif
     y = filter (b, 1, x);
   endif
 
+%!test
+%! a = 1:10;
+%! b = 1:3;
+%! c = conv (a, b);
+%! assert (size(c), [1, numel(a)+numel(b)-1])
+%!test
+%! a = (1:10).';
+%! b = 1:3;
+%! c = conv (a, b);
+%! assert (size(c), [numel(a)+numel(b)-1, 1])
+%!test
+%! a = 1:10;
+%! b = (1:3).';
+%! c = conv (a, b);
+%! assert (size(c), [1, numel(a)+numel(b)-1])
+
+%!test
+%! b = 1:10;
+%! a = 1:3;
+%! c = conv (a, b);
+%! assert (size(c), [1, numel(a)+numel(b)-1])
+%!test
+%! b = (1:10).';
+%! a = 1:3;
+%! c = conv (a, b);
+%! assert (size(c), [numel(a)+numel(b)-1, 1])
+%!test
+%! b = 1:10;
+%! a = (1:3).';
+%! c = conv (a, b);
+%! assert (size(c), [1, numel(a)+numel(b)-1])
+
 endfunction
diff -pruN 1:3.0.1-6/scripts/polynomial/deconv.m 1:3.0.5-6/scripts/polynomial/deconv.m
--- 1:3.0.1-6/scripts/polynomial/deconv.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/polynomial/deconv.m	2009-02-18 06:57:46.000000000 +0000
@@ -49,6 +49,11 @@ function [b, r] = deconv (y, a)
 
   lb = ly - la + 1;
 
+  ## Ensure A is oriented as Y.
+  if (diff (size (y)(1:2)) * diff (size (a)(1:2)) < 0)
+    a = permute (a, [2, 1]);
+  endif
+
   if (ly > la)
     b = filter (y, a, [1, (zeros (1, ly - la))]);
   elseif (ly == la)
@@ -61,7 +66,16 @@ function [b, r] = deconv (y, a)
   if (ly == lc)
     r = y - conv (a, b);
   else
-    r = [(zeros (1, lc - ly)), y] - conv (a, b);
+    ## Respect the orientation of Y"
+    if (size (y, 1) <= size (y, 2))
+      r = [(zeros (1, lc - ly)), y] - conv (a, b);
+    else
+      r = [(zeros (lc - ly, 1)); y] - conv (a, b);
+    endif
+    if (ly < la)
+      ## Trim the remainder is equal to the length of Y.
+      r = r(end-(length(y)-1):end);
+    endif
   endif
 
 endfunction
diff -pruN 1:3.0.1-6/scripts/polynomial/polyfit.m 1:3.0.5-6/scripts/polynomial/polyfit.m
--- 1:3.0.1-6/scripts/polynomial/polyfit.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/polynomial/polyfit.m	2009-02-18 06:57:46.000000000 +0000
@@ -18,30 +18,17 @@
 ## <http://www.gnu.org/licenses/>.
 
 ## -*- texinfo -*-
-## @deftypefn {Function File} {[@var{p}, @var{s}] =} polyfit (@var{x}, @var{y}, @var{n})
+## @deftypefn {Function File} {[@var{p}, @var{s}, @var{mu}] =} polyfit (@var{x}, @var{y}, @var{n})
 ## Return the coefficients of a polynomial @var{p}(@var{x}) of degree
-## @var{n} that minimizes
-## @iftex
-## @tex
-## $$
-## \sum_{i=1}^N (p(x_i) - y_i)^2
-## $$
-## @end tex
-## @end iftex
-## @ifinfo
-## @code{sumsq (p(x(i)) - y(i))},
-## @end ifinfo
-##  to best fit the data in the least squares sense.
+## @var{n} that minimizes the least-squares-error of the fit.
 ##
 ## The polynomial coefficients are returned in a row vector.
 ##
-## If two output arguments are requested, the second is a structure
-## containing the following fields:
+## The second output is a structure containing the following fields:
 ##
-## @table @code
+## @table @samp
 ## @item R
-## The Cholesky factor of the Vandermonde matrix used to compute the
-## polynomial coefficients.
+## Triangular factor R from the QR decomposition.
 ## @item X
 ## The Vandermonde matrix used to compute the polynomial coefficients.
 ## @item df
@@ -51,6 +38,17 @@
 ## @item yf
 ## The values of the polynomial for each value of @var{x}.
 ## @end table
+##
+## The second output may be used by @code{polyval} to calculate the 
+## statistical error limits of the predicted values.
+##
+## When the third output, @var{mu}, is present the 
+## coefficients, @var{p}, are associated with a polynomial in
+## @var{xhat} = (@var{x}-@var{mu}(1))/@var{mu}(2).
+## Where @var{mu}(1) = mean (@var{x}), and @var{mu}(2) = std (@var{x}).
+## This linear transformation of @var{x} improves the numerical
+## stability of the fit.
+## @seealso{polyval, polyconf, residue}
 ## @end deftypefn
 
 ## Author: KH <Kurt.Hornik@wu-wien.ac.at>
@@ -59,12 +57,17 @@
 
 function [p, s, mu] = polyfit (x, y, n)
 
-
-  if (nargin != 3)
+  if (nargin < 3 || nargin > 4)
     print_usage ();
   endif
 
-  if (! (isvector (x) && isvector (y) && size_equal (x, y)))
+  if (nargout > 2)
+    ## Normalized the x values.
+    mu = [mean(x), std(x)];
+    x = (x - mu(1)) / mu(2);
+  endif
+
+  if (! size_equal (x, y))
     error ("polyfit: x and y must be vectors of the same size");
   endif
 
@@ -74,17 +77,21 @@ function [p, s, mu] = polyfit (x, y, n)
 
   y_is_row_vector = (rows (y) == 1);
 
-  l = length (x);
+  ## Reshape x & y into column vectors.
+  l = numel (x);
   x = reshape (x, l, 1);
   y = reshape (y, l, 1);
 
-  X = (x * ones (1, n+1)) .^ (ones (l, 1) * (n : -1 : 0));
+  ## Construct the Vandermonde matrix.
+  v = (x * ones (1, n+1)) .^ (ones (l, 1) * (n : -1 : 0));
 
-  p = X \ y;
+  ## Solve by QR decomposition.
+  [q, r, k] = qr (v, 0);
+  p = r \ (y' * q)';
+  p(k) = p;
 
   if (nargout > 1)
-
-    yf = X*p;
+    yf = v*p;
 
     if (y_is_row_vector)
       s.yf = yf.';
@@ -92,15 +99,54 @@ function [p, s, mu] = polyfit (x, y, n)
       s.yf = yf;
     endif
 
-    [s.R, dummy] = chol (X'*X);
-    s.X = X;
+    s.R = r;
+    s.X = v;
     s.df = l - n - 1;
     s.normr = norm (yf - y);
-
   endif
 
-  ## Return value should be a row vector.
-
+  ## Return a row vector.
   p = p.';
 
+## Test difficult case where scaling is really needed. This example
+## demonstrates the rather poor result which occurs when the dependent
+## variable is not normalized properly.
+## Also check the usage of 2nd & 3rd output arguments.
+%!test
+%! x = [ -1196.4, -1195.2, -1194, -1192.8, -1191.6, -1190.4, -1189.2, -1188, \
+%!       -1186.8, -1185.6, -1184.4, -1183.2, -1182];
+%! y = [ 315571.7086, 315575.9618, 315579.4195, 315582.6206, 315585.4966,    \
+%!       315588.3172, 315590.9326, 315593.5934, 315596.0455, 315598.4201,    \
+%!       315600.7143, 315602.9508, 315605.1765 ];
+%! [p1, s1] = polyfit (x, y, 10);
+%! [p2, s2, mu] = polyfit (x, y, 10);
+%! assert (2*s2.normr < s1.normr)
+
+%!test
+%! x = 1:4;
+%! p0 = [1i, 0, 2i, 4];
+%! y0 = polyval (p0, x);
+%! p = polyfit (x, y0, numel(p0)-1);
+%! assert (p, p0, 1000*eps)
+
+%!test
+%! x = 1000 + (-5:5);
+%! xn = (x - mean (x)) / std (x);
+%! pn = ones (1,5);
+%! y = polyval (pn, xn);
+%! [p, s, mu] = polyfit (x, y, numel(pn)-1);
+%! [p2, s2] = polyfit (x, y, numel(pn)-1);
+%! assert (p, pn, s.normr)
+%! assert (s.yf, y, s.normr)
+%! assert (mu, [mean(x), std(x)])
+%! assert (s.normr/s2.normr < sqrt(eps))
+
+%!test
+%! x = [1, 2, 3; 4, 5, 6];
+%! y = [0, 0, 1; 1, 0, 0];
+%! p = polyfit (x, y, 5);
+%! expected = [0, 1, -14, 65, -112, 60]/12;
+%! assert (p, expected, sqrt(eps))
+
+
 endfunction
diff -pruN 1:3.0.1-6/scripts/polynomial/polyval.m 1:3.0.5-6/scripts/polynomial/polyval.m
--- 1:3.0.1-6/scripts/polynomial/polyval.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/polynomial/polyval.m	2009-02-18 06:57:46.000000000 +0000
@@ -18,15 +18,20 @@
 ## <http://www.gnu.org/licenses/>.
 
 ## -*- texinfo -*-
-## @deftypefn {Function File} {} polyval (@var{c}, @var{x})
-## Evaluate a polynomial.
-##
-## @code{polyval (@var{c}, @var{x})} will evaluate the polynomial at the
-## specified value of @var{x}.
-##
-## If @var{x} is a vector or matrix, the polynomial is evaluated at each of
+## @deftypefn {Function File} {@var{y}=} polyval (@var{p}, @var{x})
+## @deftypefnx {Function File} {@var{y}=} polyval (@var{p}, @var{x}, [], @var{mu})
+## Evaluate the polynomial at of the specified values for @var{x}. When @var{mu}
+## is present evaluate the polynomial for (@var{x}-@var{mu}(1))/@var{mu}(2).
+## If @var{x} is a vector or matrix, the polynomial is evaluated for each of
 ## the elements of @var{x}.
-## @seealso{polyvalm, poly, roots, conv, deconv, residue, filter,
+## @deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s})
+## @deftypefnx {Function File} {[@var{y}, @var{dy}] =} polyval (@var{p}, @var{x}, @var{s}, @var{mu})
+## In addition to evaluating the polynomial, the second output 
+## represents the prediction interval, @var{y} +/- @var{dy}, which
+## contains at least 50% of the future predictions. To calculate the
+## prediction interval, the structured variable @var{s}, originating
+## form `polyfit', must be present.
+## @seealso{polyfit, polyvalm, poly, roots, conv, deconv, residue, filter,
 ## polyderiv, polyinteg}
 ## @end deftypefn
 
@@ -34,30 +39,88 @@
 ## Created: June 1994
 ## Adapted-By: jwe
 
-function y = polyval (c, x)
+function [y, dy] = polyval (p, x, s, mu)
 
-  if (nargin != 2)
+  if (nargin < 2 || nargin > 4 || (nargout == 2 && nargin < 3))
     print_usage ();
   endif
 
-  if (! (isvector (c) || isempty (c)))
+  if (nargin < 3)
+    s = [];
+  endif
+
+  if (! (isvector (p) || isempty (p)))
     error ("polyval: first argument must be a vector");
   endif
 
+  if (nargin < 4)
+    mu = [0, 1];
+  endif
+
   if (isempty (x))
     y = [];
     return;
   endif
 
-  if (length (c) == 0)
-    y = c;
+  if (length (p) == 0)
+    y = p;
     return;
   endif
 
-  n = length (c);
-  y = c (1) * ones (rows (x), columns (x));
-  for index = 2:n
-    y = c (index) + x .* y;
-  endfor
+  n = length (p) - 1;
+  k = numel (x);
+  x = (x - mu(1)) / mu(2);
+  A = (x(:) * ones (1, n+1)) .^ (ones (k, 1) * (n:-1:0));
+  y(:) = A * p(:);
+  y = reshape (y, size (x));
+
+  if (nargout == 2)
+    ## Note: the F-Distribution is generally considered to be single-sided.
+    ## http://www.itl.nist.gov/div898/handbook/eda/section3/eda3673.htm
+    ##   t = finv (1-alpha, s.df, s.df);
+    ##   dy = t * sqrt (1 + sumsq (A/s.R, 2)) * s.normr / sqrt (s.df)
+    ## If my inference is correct, then t must equal 1 for polyval.
+    ## This is because finv (0.5, n, n) = 1.0 for any n.
+    dy = sqrt (1 + sumsq (A/s.R, 2)) * s.normr / sqrt (s.df);
+    dy = reshape (dy, size (x));
+  endif
 
 endfunction
+
+%!test
+%! fail("polyval([1,0;0,1],0:10)");
+ 
+%!test
+%! r = 0:10:50;
+%! p = poly (r);
+%! p = p / max(abs(p));
+%! x = linspace(0,50,11);
+%! y = polyval(p,x) + 0.25*sin(100*x);
+%! [pf, s] = polyfit (x, y, numel(r));
+%! [y1, delta] = polyval (pf, x, s);
+%! expected = [0.37235, 0.35854, 0.32231, 0.32448, 0.31328, ...
+%!    0.32036, 0.31328, 0.32448, 0.32231, 0.35854, 0.37235];
+%! assert (delta, expected, 0.00001)
+ 
+%!test
+%! x = 10 + (-2:2);
+%! y = [0, 0, 1, 0, 2];
+%! p = polyfit (x, y, numel (x) - 1);
+%! [pn, s, mu] = polyfit (x, y, numel (x) - 1);
+%! y1 = polyval (p, x);
+%! yn = polyval (pn, x, [], mu);
+%! assert (y1, y, sqrt(eps))
+%! assert (yn, y, sqrt(eps))
+ 
+%!test
+%! p = [0, 1, 0];
+%! x = 1:10;
+%! assert (x, polyval(p,x), eps)
+%! x = x(:);
+%! assert (x, polyval(p,x), eps)
+%! x = reshape(x, [2, 5]);
+%! assert (x, polyval(p,x), eps)
+%! x = reshape(x, [5, 2]);
+%! assert (x, polyval(p,x), eps)
+%! x = reshape(x, [1, 1, 5, 2]);
+%! assert (x, polyval(p,x), eps)
diff -pruN 1:3.0.1-6/scripts/polynomial/spline.m 1:3.0.5-6/scripts/polynomial/spline.m
--- 1:3.0.1-6/scripts/polynomial/spline.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/polynomial/spline.m	2009-02-18 06:57:46.000000000 +0000
@@ -125,10 +125,6 @@ function ret = spline (x, y, xi)
 
       e = h(2:n-2);
 
-      size(a)
-      size(h)
-      n
-
       g = 3 * diff (a(2:n,:)) ./ h(2:n-1,idx) ...
           - 3 * diff (a(1:n-1,:)) ./ h(1:n-2,idx);
       g(1,:) = 3 * (a(3,:) - a(2,:)) / h(2) ...
diff -pruN 1:3.0.1-6/scripts/set/create_set.m 1:3.0.5-6/scripts/set/create_set.m
--- 1:3.0.1-6/scripts/set/create_set.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/set/create_set.m	2009-03-26 06:51:30.000000000 +0000
@@ -1,4 +1,4 @@
-## Copyright (C) 1994, 1996, 1997, 1999, 2000, 2004, 2005, 2006, 2007
+## Copyright (C) 1994, 1996, 1997, 1999, 2000, 2004, 2005, 2006, 2007, 2008
 ##               John W. Eaton
 ##
 ## This file is part of Octave.
@@ -19,37 +19,45 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} create_set (@var{x})
+## @deftypefnx{Function File} {} create_set (@var{x}, "rows")
 ## Return a row vector containing the unique values in @var{x}, sorted in
 ## ascending order.  For example,
 ##
 ## @example
 ## @group
-## create_set ([ 1, 2; 3, 4; 4, 2 ])
+## create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ])
 ##      @result{} [ 1, 2, 3, 4 ]
 ## @end group
 ## @end example
-## @seealso{union, intersection, complement}
+##
+## If the optional second input argument is the string "rows" each row of
+## the matrix @var{x} will be considered an element of set.  For example,
+## @example
+## @group
+## create_set ([ 1, 2; 3, 4; 4, 2; 1, 2 ], "rows")
+##      @result{}  1   2
+##     3   4
+##     4   2
+## @end group
+## @end example
+## @seealso{union, intersection, complement, unique}
 ## @end deftypefn
 
 ## Author: jwe
 
-function y = create_set(x)
+function y = create_set (x, rows_opt)
 
-  if (nargin != 1)
+  if (nargin < 1 || nargin > 2)
     print_usage ();
   endif
-
-  if (isempty(x))
-    y = [];
+  
+  if (nargin == 1)
+    y = unique (x);
+    y = y(:).';
+  elseif (strcmpi (rows_opt, "rows"))
+    y = unique (x, "rows");
   else
-    nel = numel (x);
-    y = sort (reshape (x, 1, nel));
-    els = find (y(1:nel-1) != y(2:nel));
-    if (isempty (els));
-      y = y(1);
-    else
-      y = y([1, els+1]);
-    endif
+    error ("create_set: expecting \"rows\" as second argument");
   endif
 
 endfunction
diff -pruN 1:3.0.1-6/scripts/set/intersect.m 1:3.0.5-6/scripts/set/intersect.m
--- 1:3.0.1-6/scripts/set/intersect.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/set/intersect.m	2009-02-18 06:57:46.000000000 +0000
@@ -1,4 +1,5 @@
 ## Copyright (C) 2000, 2006, 2007 Paul Kienzle
+## Copyright (C) 2008 Jaroslav Hajek
 ##
 ## This file is part of Octave.
 ##
@@ -30,33 +31,50 @@
 ## @end deftypefn
 ## @seealso{unique, union, setxor, setdiff, ismember}
 
-function [c, ia, ib] = intersect (a, b)
-  if (nargin != 2)
+function [c, ia, ib] = intersect (a, b, varargin)
+
+  if (nargin < 2 || nargin > 3)
     print_usage ();
   endif
 
+  if (nargin == 3 && ! strcmpi (varargin{1}, "rows"))
+    error ("intersect: if a third input argument is present, it must be the string 'rows'");
+  endif
+
+
   if (isempty (a) || isempty (b))
     c = ia = ib = [];
   else
     ## form a and b into sets
-    [a, ja] = unique (a);
-    [b, jb] = unique (b);
-
-    c = [a(:); b(:)];
-    [c, ic] = sort (c);               ## [a(:);b(:)](ic) == c
+    if (nargout > 1)
+      [a, ja] = unique (a, varargin{:});
+      [b, jb] = unique (b, varargin{:});
+    endif
 
-    if (iscellstr (c))
-      ii = find (strcmp (c(1:end-1), c(2:end)));
+    if (nargin > 2)
+      c = [a; b];
+      [c, ic] = sortrows (c);
+      ii = find (all (c(1:end-1,:) == c(2:end,:), 2));
+      c = c(ii,:);
     else
-      ii = find (c(1:end-1) == c(2:end));
+      c = [a(:); b(:)];
+      [c, ic] = sort (c);               ## [a(:);b(:)](ic) == c
+      if (iscellstr (c))
+	ii = find (strcmp (c(1:end-1), c(2:end)));
+      else
+	ii = find (c(1:end-1) == c(2:end));
+      endif
+      c = c(ii);
     endif
 
-    c  = c(ii);                       ## The answer
-    ia = ja(ic(ii));                  ## a(ia) == c
-    ib = jb(ic(ii+1) - length (a));   ## b(ib) == c
+
+    if (nargout > 1)
+      ia = ja(ic(ii));                  ## a(ia) == c
+      ib = jb(ic(ii+1) - length (a));   ## b(ib) == c
+    endif
 
 
-    if (size (b, 1) == 1 || size (a, 1) == 1)
+    if (nargin == 2 && (size (b, 1) == 1 || size (a, 1) == 1))
       c = c.';
     endif
   endif
@@ -74,3 +92,12 @@ endfunction
 %! assert(ib,[5 1 2 6]);
 %! assert(a(ia),c);
 %! assert(b(ib),c);
+%!test
+%! a = [1,1,2;1,4,5;2,1,7];
+%! b = [1,4,5;2,3,4;1,1,2;9,8,7];
+%! [c,ia,ib] = intersect(a,b,'rows');
+%! assert(c,[1,1,2;1,4,5]);
+%! assert(ia,[1;2]);
+%! assert(ib,[3;1]);
+%! assert(a(ia,:),c);
+%! assert(b(ib,:),c);
diff -pruN 1:3.0.1-6/scripts/set/setdiff.m 1:3.0.5-6/scripts/set/setdiff.m
--- 1:3.0.1-6/scripts/set/setdiff.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/set/setdiff.m	2009-02-18 06:57:46.000000000 +0000
@@ -1,4 +1,5 @@
 ## Copyright (C) 2000, 2005, 2006, 2007 Paul Kienzle
+## Copyright (C) 2008 Jaroslav Hajek
 ##
 ## This file is part of Octave.
 ##
@@ -19,19 +20,22 @@
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} setdiff (@var{a}, @var{b})
 ## @deftypefnx {Function File} {} setdiff (@var{a}, @var{b}, "rows")
+## @deftypefnx {Function File} {[@var{c}, @var{i}] = } setdiff (@var{a}, @var{b})
 ## Return the elements in @var{a} that are not in @var{b}, sorted in
 ## ascending order.  If @var{a} and @var{b} are both column vectors
 ## return a column vector, otherwise return a row vector.
 ##
 ## Given the optional third argument @samp{"rows"}, return the rows in
 ## @var{a} that are not in @var{b}, sorted in ascending order by rows.
+##
+## If requested, return @var{i} such that @code{c = a(i)}.
 ## @seealso{unique, union, intersect, setxor, ismember}
 ## @end deftypefn
 
 ## Author: Paul Kienzle
 ## Adapted-by: jwe
 
-function c = setdiff (a, b, byrows_arg)
+function [c, i] = setdiff (a, b, byrows_arg)
 
   if (nargin < 2 || nargin > 3)
     print_usage ();
@@ -50,7 +54,11 @@ function c = setdiff (a, b, byrows_arg)
   endif
 
   if (byrows)
-    c = unique (a, "rows");
+    if (nargout > 1)
+      [c, i] = unique (a, "rows");
+    else
+      c = unique (a, "rows");
+    endif
     if (! isempty (c) && ! isempty (b))
       ## Form a and b into combined set.
       b = unique (b, "rows");
@@ -58,9 +66,16 @@ function c = setdiff (a, b, byrows_arg)
       ## Eliminate those elements of a that are the same as in b.
       dups = find (all (dummy(1:end-1,:) == dummy(2:end,:), 2));
       c(idx(dups),:) = [];
+      if (nargout > 1)
+	i(idx(dups),:) = [];
+      endif
     endif
   else
-    c = unique (a);
+    if (nargout > 1)
+      [c, i] = unique (a);
+    else
+      c = unique (a);
+    endif
     if (! isempty (c) && ! isempty (b))
       ## Form a and b into combined set.
       b = unique (b);
@@ -72,6 +87,9 @@ function c = setdiff (a, b, byrows_arg)
 	dups = find (dummy(1:end-1) == dummy(2:end));
       endif
       c(idx(dups)) = [];
+      if (nargout > 1)
+	i(idx(dups)) = [];
+      endif
       ## Reshape if necessary.
       if (size (c, 1) != 1 && size (b, 1) == 1)
 	c = c.';
@@ -88,3 +106,9 @@ endfunction
 %!assert(setdiff([1; 2; 3; 4], [1; 2; 4], "rows"), 3)
 %!assert(setdiff([1, 2; 3, 4], [1, 2; 3, 6], "rows"), [3, 4])
 %!assert(setdiff({"one","two";"three","four"},{"one","two";"three","six"}), {"four"})
+
+%!test
+%! a = [3, 1, 4, 1, 5]; b = [1, 2, 3, 4];
+%! [y, i] = setdiff (a, b.');
+%! assert(y, [5]);
+%! assert(y, a(i));
diff -pruN 1:3.0.1-6/scripts/set/setxor.m 1:3.0.5-6/scripts/set/setxor.m
--- 1:3.0.1-6/scripts/set/setxor.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/set/setxor.m	2009-02-18 06:57:46.000000000 +0000
@@ -1,4 +1,5 @@
 ## Copyright (C) 2000, 2006, 2007 Paul Kienzle
+## Copyright (C) 2008 Jaroslav Hajek
 ##
 ## This file is part of Octave.
 ##
@@ -18,22 +19,38 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} setxor (@var{a}, @var{b})
+## @deftypefnx {Function File} {} setxor (@var{a}, @var{b}, 'rows')
 ##
 ## Return the elements exclusive to @var{a} or @var{b}, sorted in ascending
 ## order. If @var{a} and @var{b} are both column vectors return a column
 ## vector, otherwise return a row vector.
 ##
+## @deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} setxor (@var{a}, @var{b})
+##
+## Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+## @code{b==c(ib)}.
+## 
 ## @seealso{unique, union, intersect, setdiff, ismember}
 ## @end deftypefn
 
-function c = setxor (a, b)
-  if (nargin != 2)
+function [c, ia, ib] = setxor (a, b, varargin)
+
+  if (nargin < 2 || nargin > 3)
     print_usage ();
   endif
 
+  if (nargin == 3 && ! strcmpi (varargin{1}, "rows"))
+    error ("setxor: if a third input argument is present, it must be the string 'rows'");
+  endif
+
   ## Form A and B into sets.
-  a = unique (a);
-  b = unique (b);
+  if (nargout > 1)
+    [a, ia] = unique (a, varargin{:});
+    [b, ib] = unique (b, varargin{:});
+  else
+    a = unique (a, varargin{:});
+    b = unique (b, varargin{:});
+  endif
 
   if (isempty (a))
     c = b;
@@ -41,16 +58,39 @@ function c = setxor (a, b)
     c = a;
   else
     ## Reject duplicates.
-    c = sort ([a(:); b(:)]);
-    n = length (c);
-    idx = find (c(1:n-1) == c(2:n));
-    if (! isempty (idx))
-      c([idx, idx+1]) = [];
-    endif
-    if (size (a, 1) == 1 || size (b, 1) == 1)
-      c = c.';
+    if (nargin > 2)
+      na = rows (a); nb = rows (b);
+      [c, i] = sortrows ([a; b]);
+      n = rows (c);
+      idx = find (all (c(1:n-1) == c(2:n), 2));
+      if (! isempty (idx))
+	c([idx, idx+1],:) = [];
+	i([idx, idx+1],:) = [];
+      endif
+    else
+      na = numel (a); nb = numel (b);
+      [c, i] = sort ([a(:); b(:)]);
+      n = length (c);
+      idx = find (c(1:n-1) == c(2:n));
+      if (! isempty (idx))
+	c([idx, idx+1]) = [];
+	i([idx, idx+1]) = [];
+      endif
+      if (size (a, 1) == 1 || size (b, 1) == 1)
+	c = c.';
+      endif
     endif
   endif
+  if (nargout > 1)
+    ia = ia(i(i <= na));
+    ib = ib(i(i > na) - na);
+  endif
+
 endfunction
 
 %!assert(setxor([1,2,3],[2,3,4]),[1,4])
+%!test
+%! a = [3, 1, 4, 1, 5]; b = [1, 2, 3, 4];
+%! [y, ia, ib] = setxor (a, b.');
+%! assert(y, [2, 5]);
+%! assert(y, sort([a(ia), b(ib)]));
diff -pruN 1:3.0.1-6/scripts/set/union.m 1:3.0.5-6/scripts/set/union.m
--- 1:3.0.1-6/scripts/set/union.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/set/union.m	2009-02-18 06:57:46.000000000 +0000
@@ -1,5 +1,6 @@
 ## Copyright (C) 1994, 1996, 1997, 1999, 2000, 2003, 2004, 2005, 2006,
-##               2007 John W. Eaton
+##               2007, 2008 John W. Eaton
+## Copyright (C) 2008 Jaroslav Hajek
 ##
 ## This file is part of Octave.
 ##
@@ -18,38 +19,74 @@
 ## <http://www.gnu.org/licenses/>.
 
 ## -*- texinfo -*-
-## @deftypefn {Function File} {} union (@var{x}, @var{y})
-## Return the set of elements that are in either of the sets @var{x} and
-## @var{y}.  For example,
+## @deftypefn {Function File} {} union (@var{a}, @var{b})
+## @deftypefnx{Function File} {} union (@var{a}, @var{b}, "rows")
+## Return the set of elements that are in either of the sets @var{a} and
+## @var{b}.  For example,
 ##
 ## @example
 ## @group
-## union ([ 1, 2, 4 ], [ 2, 3, 5 ])
-##      @result{} [ 1, 2, 3, 4, 5 ]
+## union ([1, 2, 4], [2, 3, 5])
+##      @result{} [1, 2, 3, 4, 5]
 ## @end group
 ## @end example
+##
+## If the optional third input argument is the string "rows" each row of
+## the matrices @var{a} and @var{b} will be considered an element of sets.
+## For example,
+## @example
+## @group
+## union([1, 2; 2, 3], [1, 2; 3, 4], "rows")
+##      @result{}  1   2
+##     2   3
+##     3   4
+## @end group
+## @end example
+##
+## @deftypefnx {Function File} {[@var{c}, @var{ia}, @var{ib}] =} union (@var{a}, @var{b})
+##
+## Return index vectors @var{ia} and @var{ib} such that @code{a==c(ia)} and
+## @code{b==c(ib)}.
+## 
 ## @seealso{create_set, intersection, complement}
 ## @end deftypefn
 
 ## Author: jwe
 
-function y = union(a,b)
+function [y, ia, ib] = union (a, b, varargin)
 
-  if (nargin != 2)
+  if (nargin < 2 || nargin > 3)
     print_usage ();
   endif
 
-  if (isempty (a))
-    y = create_set (b);
-  elseif (isempty (b))
-    y = create_set (a);
-  else
-    y = create_set ([a(:); b(:)]);
+  if (nargin == 3 && ! strcmpi (varargin{1}, "rows"))
+    error ("union: if a third input argument is present, it must be the string 'rows'");
+  endif
+
+  if (nargin == 2)
+    y = [a(:); b(:)];
+    na = numel (a); nb = numel (b);
     if (size (a, 1) == 1 || size (b, 1) == 1)
-      y = y(:).';
-    else
-      y = y(:);
+      y = y.';
     endif
+  elseif (ndims (a) == 2 && ndims (b) == 2 && columns (a) == columns (b))
+    y = [a; b];
+    na = rows (a); nb = rows (b);
+  else
+    error ("union: input arguments must contain the same number of columns when \"rows\" is specified");
+  endif
+
+  if (nargout == 1)
+    y = unique (y, varargin{:});
+  else
+    [y, i] = unique (y, varargin{:});
+    ia = i(i <= na);
+    ib = i(i > na) - na;
   endif
 
+%!test
+%! a = [3, 1, 4, 1, 5]; b = [1, 2, 3, 4];
+%! [y, ia, ib] = union (a, b.');
+%! assert(y, [1, 2, 3, 4, 5]);
+%! assert(y, sort([a(ia), b(ib)]));
 endfunction
diff -pruN 1:3.0.1-6/scripts/set/unique.m 1:3.0.5-6/scripts/set/unique.m
--- 1:3.0.1-6/scripts/set/unique.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/set/unique.m	2009-02-18 06:57:46.000000000 +0000
@@ -1,4 +1,5 @@
 ## Copyright (C) 2000, 2001, 2005, 2006, 2007 Paul Kienzle
+## Copyright (C) 2008 Jaroslav Hajek
 ##
 ## This file is part of Octave.
 ##
@@ -31,19 +32,52 @@
 ##
 ## Return index vectors @var{i} and @var{j} such that @code{x(i)==y} and
 ## @code{y(j)==x}.
+## 
+## Additionally, one of 'first' or 'last' can be given as an argument.
+## 'last' (default) specifies that the highest possible indices are returned
+## in @var{i}, while 'first' means the lowest.
 ## @seealso{union, intersect, setdiff, setxor, ismember}
 ## @end deftypefn
 
-function [y, i, j] = unique (x, r)
+function [y, i, j] = unique (x, varargin)
 
-  if (nargin < 1 || nargin > 2 || (nargin == 2 && ! strcmp (r, "rows")))
+  if (nargin < 1)
     print_usage ();
   endif
 
-  if (nargin == 1)
-    n = numel (x);
+  if (nargin > 1)
+
+    ## parse options
+    if (iscellstr (varargin))
+      varargin = unique (varargin);
+      optfirst = strmatch ('first', varargin) > 0;
+      optlast = strmatch ('last', varargin) > 0;
+      optrows = strmatch ('rows', varargin) > 0 && size (x, 2) > 1;
+      if (optfirst && optlast)
+        error ("unique: cannot specify both 'last' and 'first'.");
+      elseif (optfirst + optlast + optrows != nargin-1)
+        error ("unique: invalid option.");
+      endif
+    else
+      error ("unique: options must be strings");
+    endif
+
+    if (optrows && iscell (x))
+      warning ("unique: 'rows' is ignored for cell arrays");
+      optrows = false;
+    endif
+
   else
+    optfirst = 0;
+    optrows = 0;
+  endif
+
+  if (optrows)
     n = size (x, 1);
+    dim = 1;
+  else
+    n = numel (x);
+    dim = (size (x, 1) == 1) + 1;
   endif
 
   y = x;
@@ -55,20 +89,9 @@ function [y, i, j] = unique (x, r)
     return;
   endif
 
-  if (ischar (x))
-    y = toascii (y);
-  endif
-
-  if (nargin == 2 && size (y, 2) > 1)
+  if (optrows)
     [y, i] = sortrows (y);
-    if (iscell (y))
-      match = cellfun ("size", y(1:n-1,:), 1) == cellfun ("size", y(2:n,:), 1);
-      idx = find (match);
-      match(idx) = all (char (y(idx)) == char (y(idx+1)), 2);
-      match = all (match');
-    else
-      match = all ([y(1:n-1,:) == y(2:n,:)]');
-    endif
+    match = all (y(1:n-1,:) == y(2:n,:), 2);
     idx = find (match);
     y(idx,:) = [];
   else
@@ -77,28 +100,30 @@ function [y, i, j] = unique (x, r)
     endif
     [y, i] = sort (y);
     if (iscell (y))
-      match = cellfun ("length", y(1:n-1)) == cellfun ("length", y(2:n));
-      idx = find(match);
-      match(idx) = all (char (y(idx)) == char (y(idx+1)), 2);
+      match = strcmp (y(1:n-1), y(2:n));
     else
-      match = [y(1:n-1) == y(2:n)];
+      match = (y(1:n-1) == y(2:n));
     endif
     idx = find (match);
     y(idx) = [];
   endif
 
-  ## I don't know why anyone would need reverse indices, but it
-  ## was an interesting challenge.  I welcome cleaner solutions.
   if (nargout >= 3)
     j = i;
-    j(i) = cumsum (prepad (! match, n, 1));
+    if (dim == 1)
+      j(i) = cumsum ([1; !match]);
+    else
+      j(i) = cumsum ([1, !match]);
+    end
   endif
-  i(idx) = [];
 
-  if (ischar (x))
-    y = char (y);
+  if (optfirst)
+    i(idx+1) = [];
+  else
+    i(idx) = [];
   endif
 
+
 endfunction
 
 %!assert(unique([1 1 2; 1 2 1; 1 1 2]),[1;2])
@@ -109,4 +134,29 @@ endfunction
 %!assert(unique([1;2]),[1;2])
 %!assert(unique([1,NaN,Inf,NaN,Inf]),[1,Inf,NaN,NaN])
 %!assert(unique({'Foo','Bar','Foo'}),{'Bar','Foo'})
-%!assert(unique({'Foo','Bar','FooBar'}),{'Bar','Foo','FooBar'})
+%!assert(unique({'Foo','Bar','FooBar'}'),{'Bar','Foo','FooBar'}')
+
+%!test
+%! [a,i,j] = unique([1,1,2,3,3,3,4]);
+%! assert(a,[1,2,3,4])
+%! assert(i,[2,3,6,7])
+%! assert(j,[1,1,2,3,3,3,4])
+%!
+%!test
+%! [a,i,j] = unique([1,1,2,3,3,3,4]','first');
+%! assert(a,[1,2,3,4]')
+%! assert(i,[1,3,4,7]')
+%! assert(j,[1,1,2,3,3,3,4]')
+%!
+%!test
+%! [a,i,j] = unique({'z'; 'z'; 'z'});
+%! assert(a,{'z'})
+%! assert(i,[3]')
+%! assert(j,[1,1,1]')
+%!
+%!test
+%! A=[1,2,3;1,2,3];
+%! [a,i,j] = unique(A,'rows');
+%! assert(a,[1,2,3])
+%! assert(A(i,:),a)
+%! assert(a(j,:),A)
diff -pruN 1:3.0.1-6/scripts/sparse/spdiags.m 1:3.0.5-6/scripts/sparse/spdiags.m
--- 1:3.0.1-6/scripts/sparse/spdiags.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/sparse/spdiags.m	2009-02-18 06:57:46.000000000 +0000
@@ -33,7 +33,7 @@
 ## Otherwise a matrix of @var{m} by @var{n} is created with the
 ## diagonals given by @var{v}.
 ##
-## Negative values of @var{c} representive diagonals below the main
+## Negative values of @var{c} represent diagonals below the main
 ## diagonal, and positive values of @var{c} diagonals above the main
 ## diagonal.
 ##
diff -pruN 1:3.0.1-6/scripts/specfun/bessel.m 1:3.0.5-6/scripts/specfun/bessel.m
--- 1:3.0.1-6/scripts/specfun/bessel.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/specfun/bessel.m	2009-02-18 06:57:46.000000000 +0000
@@ -26,21 +26,23 @@
 ## 
 ## @table @code
 ## @item besselj
-## Bessel functions of the first kind.
+## Bessel functions of the first kind. If the argument @var{opt} is supplied, 
+## the result is multiplied by @code{exp(-abs(imag(x)))}.
 ## @item bessely
-## Bessel functions of the second kind.
+## Bessel functions of the second kind. If the argument @var{opt} is supplied,
+## the result is multiplied by @code{exp(-abs(imag(x)))}.
 ## @item besseli
-## Modified Bessel functions of the first kind.
+## Modified Bessel functions of the first kind.  If the argument @var{opt} is supplied,
+## the result is multiplied by @code{exp(-abs(real(x)))}.
 ## @item besselk
-## Modified Bessel functions of the second kind.
+## Modified Bessel functions of the second kind.  If the argument @var{opt} is supplied,
+## the result is multiplied by @code{exp(x)}.
 ## @item besselh
 ## Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}
-##  = 2) kind.
-## @end table
-## 
-## If the argument @var{opt} is supplied, the result is scaled by the
+## = 2) kind. If the argument @var{opt} is supplied, the result is multiplied by
 ## @code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for
-##  @var{k} = 2.
+## @var{k} = 2.
+## @end table
 ## 
 ## If @var{alpha} is a scalar, the result is the same size as @var{x}.
 ## If @var{x} is a scalar, the result is the same size as @var{alpha}.
diff -pruN 1:3.0.1-6/scripts/specfun/nchoosek.m 1:3.0.5-6/scripts/specfun/nchoosek.m
--- 1:3.0.1-6/scripts/specfun/nchoosek.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/specfun/nchoosek.m	2009-02-18 06:57:46.000000000 +0000
@@ -75,9 +75,26 @@ function A = nchoosek (v, k)
   elseif (k == n)
      A = v(:).';
   else
-    m = round (exp (sum (log (k:n-1)) - sum (log (2:n-k))));
-    A = [v(1)*ones(m,1), nchoosek(v(2:n),k-1);
-	 nchoosek(v(2:n),k)];
+    oldmax = max_recursion_depth ();
+    unwind_protect
+      max_recursion_depth (n);
+      A = nck (v, k);
+    unwind_protect_cleanup
+      max_recursion_depth (oldmax);
+    end_unwind_protect
   endif
+endfunction
 
+function A = nck (v, k)
+  n = length (v);
+  if (n == 1 || k < 2 || k == n)
+    A = nchoosek (v, k);
+  else
+    m = nchoosek (n-1, k-1);
+    A = [v(1)*ones(m,1), nck(v(2:n),k-1);
+	 nck(v(2:n), k)];
+  endif
 endfunction
+
+%!assert (nchoosek(100,45), bincoeff(100,45), -1e-14)
+%!assert (nchoosek(1:5,3),[1:3;1,2,4;1,2,5;1,3,4;1,3,5;1,4,5;2:4;2,3,5;2,4,5;3:5])
diff -pruN 1:3.0.1-6/scripts/statistics/base/Makefile.in 1:3.0.5-6/scripts/statistics/base/Makefile.in
--- 1:3.0.1-6/scripts/statistics/base/Makefile.in	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/Makefile.in	2009-02-18 06:57:46.000000000 +0000
@@ -32,11 +32,11 @@ INSTALL = @INSTALL@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_DATA = @INSTALL_DATA@
 
-SOURCES = center.m cloglog.m cor.m corrcoef.m cov.m cut.m gls.m \
-  iqr.m kendall.m kurtosis.m logit.m mahalanobis.m mean.m meansq.m \
-  median.m mode.m moment.m ols.m ppplot.m probit.m qqplot.m range.m \
-  ranks.m run_count.m skewness.m spearman.m statistics.m std.m \
-  studentize.m table.m values.m var.m
+SOURCES = __quantile__.m center.m cloglog.m cor.m corrcoef.m cov.m \
+  cut.m gls.m iqr.m kendall.m kurtosis.m logit.m mahalanobis.m mean.m \
+  meansq.m median.m mode.m moment.m ols.m ppplot.m prctile.m probit.m \
+  qqplot.m quantile.m range.m ranks.m run_count.m skewness.m spearman.m \
+  statistics.m std.m studentize.m table.m values.m var.m
 
 DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(SOURCES))
 
diff -pruN 1:3.0.1-6/scripts/statistics/base/prctile.m 1:3.0.5-6/scripts/statistics/base/prctile.m
--- 1:3.0.1-6/scripts/statistics/base/prctile.m	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/prctile.m	2009-02-18 06:57:46.000000000 +0000
@@ -0,0 +1,156 @@
+## Copyright (C) 2008 Ben Abbott
+##
+## This file is part of Octave.
+##
+## Octave is free software; you can redistribute it and/or modify it
+## under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 3 of the License, or (at
+## your option) any later version.
+##
+## Octave is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+## General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with Octave; see the file COPYING.  If not, see
+## <http://www.gnu.org/licenses/>.
+
+## -*- texinfo -*-
+## @deftypefn {Function File} {@var{y} =} prctile (@var{x}, @var{p})
+## @deftypefnx {Function File} {@var{q} =} prctile (@var{x}, @var{p}, @var{dim})
+## For a sample @var{x}, compute the the quantiles, @var{y}, corresponding
+## to the cumulative probability values, P, in percent. All non-numeric
+## values (NaNs) of X are ignored.
+## 
+## If @var{x} is a matrix, compute the the percentiles for each column and
+## return them in a matrix, such that the i-th row of @var{y} contains the 
+## @var{p}(i)th percentiles of each column of @var{x}.
+## 
+## The optional argument @var{dim} determines the dimension along which
+## the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+## a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+## instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+## dimension whose size greater than unity.
+## 
+## @end deftypefn
+
+## Author: Ben Abbott <bpabbott@mac.com>
+## Description: Matlab style prctile function.
+
+function q = prctile (x, p, dim)
+
+  if (nargin < 1 || nargin > 3)
+    print_usage ();
+  endif
+
+  if (nargin < 2)
+    p = 100*[0.00 0.25, 0.50, 0.75, 1.00];
+  endif
+
+  if (nargin < 3)
+    if (ndims (x) == 2)
+      ## If a matrix or vector, use the 1st dimension.
+      dim = 1;
+    else 
+      ## If an N-d array, use the firt dimension with a length > 1.
+      dim = find (size(v) != 1);
+      if (isempty (dim))
+        dim = 1;
+      endif
+    endif
+  endif
+
+  ## Convert from percent.
+  p = 0.01 * p;
+
+  ## The 5th method is compatible with Matlab.
+  method = 5;
+
+  ## Call the quantile function
+  q = quantile (x, p, dim, method);
+
+endfunction
+
+%!test
+%! pct = 50;
+%! q = prctile (1:4, pct, 1);
+%! qa = [1, 2, 3, 4];
+%! assert (q, qa);
+%! q = prctile (1:4, pct, 2);
+%! qa = 2.5000;
+%! assert (q, qa);
+
+%!test
+%! pct = 50;
+%! x = [0.1126, 0.1148, 0.0521, 0.2364, 0.1393
+%!      0.1718, 0.7273, 0.2041, 0.4531, 0.1585
+%!      0.2795, 0.7978, 0.3296, 0.5567, 0.7307
+%!      0.4288, 0.8753, 0.6477, 0.6287, 0.8165
+%!      0.9331, 0.9312, 0.9635, 0.7796, 0.8461];
+%! tol = 0.0001;
+%! q = prctile (x, pct, 1);
+%! qa = [0.2795, 0.7978, 0.3296, 0.5567, 0.7307];
+%! assert (q, qa, tol);
+%! q = prctile (x, pct, 2);
+%! qa = [0.1148; 0.2041; 0.5567; 0.6477; 0.9312];
+%! assert (q, qa, tol);
+
+%!test
+%! pct = 50;
+%! tol = 0.0001;
+%! x = [0.1126, 0.1148, 0.0521, 0.2364, 0.1393
+%!      0.1718, 0.7273, 0.2041, 0.4531, 0.1585
+%!      0.2795, 0.7978, 0.3296, 0.5567, 0.7307
+%!      0.4288, 0.8753, 0.6477, 0.6287, 0.8165
+%!      0.9331, 0.9312, 0.9635, 0.7796, 0.8461];
+%! x(5,5) = Inf;
+%! q = prctile (x, pct, 1);
+%! qa = [0.2795, 0.7978, 0.3296, 0.5567, 0.7307];
+%! assert (q, qa, tol);
+%! x(5,5) = -Inf;
+%! q = prctile (x, pct, 1);
+%! qa = [0.2795, 0.7978, 0.3296, 0.5567, 0.1585];
+%! assert (q, qa, tol);
+%! x(1,1) = Inf;
+%! q = prctile (x, pct, 1);
+%! qa = [0.4288, 0.7978, 0.3296, 0.5567, 0.1585];
+%! assert (q, qa, tol);
+
+%!test
+%! pct = 50;
+%! tol = 0.0001;
+%! x = [0.1126, 0.1148, 0.0521, 0.2364, 0.1393
+%!      0.1718, 0.7273, 0.2041, 0.4531, 0.1585
+%!      0.2795, 0.7978, 0.3296, 0.5567, 0.7307
+%!      0.4288, 0.8753, 0.6477, 0.6287, 0.8165
+%!      0.9331, 0.9312, 0.9635, 0.7796, 0.8461];
+%! x(3,3) = Inf;
+%! q = prctile (x, pct, 1);
+%! qa = [0.2795, 0.7978, 0.6477, 0.5567, 0.7307];
+%! assert (q, qa, tol);
+%! q = prctile (x, pct, 2);
+%! qa = [0.1148; 0.2041; 0.7307; 0.6477; 0.9312];
+%! assert (q, qa, tol);
+
+%!test
+%! pct = 50;
+%! tol = 0.0001;
+%! x = [0.1126, 0.1148, 0.0521, 0.2364, 0.1393
+%!      0.1718, 0.7273, 0.2041, 0.4531, 0.1585
+%!      0.2795, 0.7978, 0.3296, 0.5567, 0.7307
+%!      0.4288, 0.8753, 0.6477, 0.6287, 0.8165
+%!      0.9331, 0.9312, 0.9635, 0.7796, 0.8461];
+%! x(5,5) = NaN;
+%! q = prctile (x, pct, 2);
+%! qa = [0.1148; 0.2041; 0.5567; 0.6477; 0.9322];
+%! assert (q, qa, tol);
+%! x(1,1) = NaN;
+%! q = prctile (x, pct, 2);
+%! qa = [0.1270; 0.2041; 0.5567; 0.6477; 0.9322];
+%! assert (q, qa, tol);
+%! x(3,3) = NaN;
+%! q = prctile (x, pct, 2);
+%! qa = [0.1270; 0.2041; 0.6437; 0.6477; 0.9322];
+%! assert (q, qa, tol);
+
diff -pruN 1:3.0.1-6/scripts/statistics/base/__quantile__.m 1:3.0.5-6/scripts/statistics/base/__quantile__.m
--- 1:3.0.1-6/scripts/statistics/base/__quantile__.m	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/__quantile__.m	2009-02-18 06:57:46.000000000 +0000
@@ -0,0 +1,265 @@
+## Copyright (C) 2008 Ben Abbott, Jaroslav Hajek
+##
+## This file is part of Octave.
+##
+## Octave is free software; you can redistribute it and/or modify it
+## under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 3 of the License, or (at
+## your option) any later version.
+##
+## Octave is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+## General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with Octave; see the file COPYING.  If not, see
+## <http://www.gnu.org/licenses/>.
+
+## -*- texinfo -*-
+## @deftypefn {Function File} {@var{q} =} __quantile__ (@var{x}, @var{p})
+## @deftypefnx {Function File} {@var{q} =} __quantile__ (@var{x}, @var{p}, @var{method})
+## For the cumulative probability values in @var{p}, compute the 
+## quantiles, @var{q} (the inverse of the cdf), for the sample, @var{x}.
+##
+## The optional input, @var{method}, refers to nine methods available in R
+## (http://www.r-project.org/). The default is @var{method} = 7. For more 
+## detail, see `help quantile'.
+## @seealso{prctile, quantile, statistics}
+## @end deftypefn
+
+## Author: Ben Abbott <bpabbott@mac.com>
+## Vectorized version: Jaroslav Hajek <highegg@gmail.com>
+## Description: Quantile function of a empirical samples
+
+function inv = __quantile__ (x, p, method = 5)
+
+  if (nargin < 2 || nargin > 3)
+    print_usage ();
+  endif
+
+  if (! ismatrix (x))
+    error ("quantile: x must be a matrix");
+  endif
+
+  ## Save length and set shape of quantiles.
+  n = numel (p);
+  p = p(:);
+
+  ## Save length and set shape of samples.
+  ## TODO: does sort guarantee that NaN's come at the end?
+  x = sort (x);
+  m = sum (! isnan (x));
+  mx = size (x, 1);
+  nx = size (x, 2);
+
+  ## Initialize output values.
+  inv = Inf*(-(p < 0) + (p > 1));
+  inv = repmat (inv, 1, nx);
+
+  ## Do the work.
+  if (any(k = find((p >= 0) & (p <= 1))))
+    n = length (k);
+    p = p (k);
+    ## Special case.
+    if (mx == 1)
+      inv(k,:) = repmat (x, n, 1);
+      return
+    endif
+
+    ## The column-distribution indices.
+    pcd = kron (ones (n, 1), mx*(0:nx-1));
+    mm = kron (ones (n, 1), m);
+    switch method
+      case {1, 2, 3}
+        switch method
+          case 1
+	    p = max (ceil (kron (p, m)), 1);
+	    inv(k,:) = x(p + pcd);
+
+          case 2
+	    p = kron (p, m);
+	    p_lr = max (ceil (p), 1);
+	    p_rl = min (floor (p + 1), mm);
+	    inv(k,:) = (x(p_lr + pcd) + x(p_rl + pcd))/2;
+
+          case 3
+           ## Used by SAS, method PCTLDEF=2.
+           ## http://support.sas.com/onlinedoc/913/getDoc/en/statug.hlp/stdize_sect14.htm
+	    t = max (kron (p, m), 1);
+	    # t = roundb (t); 
+	    # roundb unsupported in 3.0.x, so supply a hack
+	    t1 = round (t);
+	    t1m = (abs (t - t1) == 0.5) & (mod (t1, 2) == 1); 
+	    t1 (t1m) += 2 * (t-t1)(t1m);
+	    t = t1;
+	    inv(k,:) = x(t + pcd);
+        endswitch
+
+      otherwise
+        switch method
+          case 4
+	    p = kron (p, m);
+
+          case 5
+            ## Used by Matlab.
+	    p = kron (p, m) + 0.5;
+
+          case 6
+            ## Used by Minitab and SPSS.
+	    p = kron (p, m+1);
+
+          case 7
+            ## Used by S and R.
+	    p = kron (p, m-1) + 1;
+
+          case 8
+            ## Median unbiased .
+	    p = kron (p, m+1/3) + 1/3;
+
+          case 9
+            ## Approximately unbiased respecting order statistics.
+	    p = kron (p, m+0.25) + 0.375;
+
+          otherwise
+            error ("quantile: Unknown method, '%d'",method)
+        endswitch
+
+	## Duplicate single values.
+	imm1 = mm == 1;
+	x(2,imm1) = x(1,imm1);
+
+	## Interval indices.
+	pi = max (min (floor (p), mm-1), 1);
+	pr = max (min (p - pi, 1), 0);
+	pi += pcd;
+	inv(k,:) = (1-pr) .* x(pi) + pr .* x(pi+1);
+    endswitch
+  endif
+
+endfunction
+
+%!test
+%! p = 0.5;
+%! x = sort (rand (11));
+%! q = __quantile__ (x, p);
+%! assert (q, x(6,:))
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 3; 4];
+%! a = [1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.5000   2.5000   3.5000   4.0000
+%!      1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.5000   2.5000   3.5000   4.0000
+%!      1.0000   1.2500   2.5000   3.7500   4.0000
+%!      1.0000   1.7500   2.5000   3.2500   4.0000
+%!      1.0000   1.4167   2.5000   3.5833   4.0000
+%!      1.0000   1.4375   2.5000   3.5625   4.0000];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 3; 4; 5];
+%! a = [1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   1.0000   2.0000   4.0000   5.0000
+%!      1.0000   1.2500   2.5000   3.7500   5.0000
+%!      1.0000   1.7500   3.0000   4.2500   5.0000
+%!      1.0000   1.5000   3.0000   4.5000   5.0000
+%!      1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   1.6667   3.0000   4.3333   5.0000
+%!      1.0000   1.6875   3.0000   4.3125   5.0000];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 5; 9];
+%! a = [1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.5000   3.5000   7.0000   9.0000
+%!      1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.5000   3.5000   7.0000   9.0000
+%!      1.0000   1.2500   3.5000   8.0000   9.0000
+%!      1.0000   1.7500   3.5000   6.0000   9.0000
+%!      1.0000   1.4167   3.5000   7.3333   9.0000
+%!      1.0000   1.4375   3.5000   7.2500   9.0000];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 5; 9; 11];
+%! a = [1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    1.0000    2.0000    9.0000   11.0000
+%!      1.0000    1.2500    3.5000    8.0000   11.0000
+%!      1.0000    1.7500    5.0000    9.5000   11.0000
+%!      1.0000    1.5000    5.0000   10.0000   11.0000
+%!      1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    1.6667    5.0000    9.6667   11.0000
+%!      1.0000    1.6875    5.0000    9.6250   11.0000];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [16; 11; 15; 12; 15;  8; 11; 12;  6; 10];
+%! a = [6.0000   10.0000   11.0000   15.0000   16.0000
+%!      6.0000   10.0000   11.5000   15.0000   16.0000
+%!      6.0000    8.0000   11.0000   15.0000   16.0000
+%!      6.0000    9.0000   11.0000   13.5000   16.0000
+%!      6.0000   10.0000   11.5000   15.0000   16.0000
+%!      6.0000    9.5000   11.5000   15.0000   16.0000
+%!      6.0000   10.2500   11.5000   14.2500   16.0000
+%!      6.0000    9.8333   11.5000   15.0000   16.0000
+%!      6.0000    9.8750   11.5000   15.0000   16.0000];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [-0.58851;  0.40048;  0.49527; -2.551500; -0.52057; ...
+%!      -0.17841; 0.057322; -0.62523;  0.042906;  0.12337];
+%! a = [-2.551474  -0.588505  -0.178409   0.123366   0.495271
+%!      -2.551474  -0.588505  -0.067751   0.123366   0.495271
+%!      -2.551474  -0.625231  -0.178409   0.123366   0.495271
+%!      -2.551474  -0.606868  -0.178409   0.090344   0.495271
+%!      -2.551474  -0.588505  -0.067751   0.123366   0.495271
+%!      -2.551474  -0.597687  -0.067751   0.192645   0.495271
+%!      -2.551474  -0.571522  -0.067751   0.106855   0.495271
+%!      -2.551474  -0.591566  -0.067751   0.146459   0.495271
+%!      -2.551474  -0.590801  -0.067751   0.140686   0.495271];
+%! for m = (1:9)
+%!   q = __quantile__ (x, p, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = 0.5;
+%! x = [0.112600, 0.114800, 0.052100, 0.236400, 0.139300
+%!      0.171800, 0.727300, 0.204100, 0.453100, 0.158500
+%!      0.279500, 0.797800, 0.329600, 0.556700, 0.730700
+%!      0.428800, 0.875300, 0.647700, 0.628700, 0.816500
+%!      0.933100, 0.931200, 0.963500, 0.779600, 0.846100];
+%! tol = 0.00001;
+%! x(5,5) = NaN;
+%! assert (__quantile__ (x, p), [0.27950, 0.79780, 0.32960, 0.55670, 0.44460], tol);
+%! x(1,1) = NaN;
+%! assert (__quantile__ (x, p), [0.35415, 0.79780, 0.32960, 0.55670, 0.44460], tol);
+%! x(3,3) = NaN;
+%! assert (__quantile__ (x, p), [0.35415, 0.79780, 0.42590, 0.55670, 0.44460], tol);
+
diff -pruN 1:3.0.1-6/scripts/statistics/base/quantile.m 1:3.0.5-6/scripts/statistics/base/quantile.m
--- 1:3.0.1-6/scripts/statistics/base/quantile.m	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/quantile.m	2009-02-18 06:57:46.000000000 +0000
@@ -0,0 +1,267 @@
+## Copyright (C) 2008 Ben Abbott
+## 
+## This file is part of Octave.
+##
+## Octave is free software; you can redistribute it and/or modify it
+## under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 3 of the License, or (at
+## your option) any later version.
+##
+## Octave is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+## General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with Octave; see the file COPYING.  If not, see
+## <http://www.gnu.org/licenses/>.
+
+## -*- texinfo -*-
+## @deftypefn {Function File} {@var{q} =} quantile (@var{x}, @var{p})
+## @deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim})
+## @deftypefnx {Function File} {@var{q} =} quantile (@var{x}, @var{p}, @var{dim}, @var{method} )
+## For a sample, @var{x}, calculate the quantiles, @var{q}, corresponding to
+## the cumulative probability values in @var{p}. All non-numeric values (NaNs) of
+## @var{x} are ignored.
+##
+## If @var{x} is a matrix, compute the quantiles for each column and
+## return them in a matrix, such that the i-th row of @var{q} contains
+## the @var{p}(i)th quantiles of each column of @var{x}.
+## 
+## The optional argument @var{dim} determines the dimension along which 
+## the percentiles are calculated. If @var{dim} is omitted, and @var{x} is
+## a vector or matrix, it defaults to 1 (column wise quantiles). In the 
+## instance that @var{x} is a N-d array, @var{dim} defaults to the first 
+## dimension whose size greater than unity.
+## 
+## The methods available to calculate sample quantiles are the nine methods
+## used by R (http://www.r-project.org/). The default value is METHOD = 5.
+## 
+## Discontinuous sample quantile methods 1, 2, and 3
+## 
+## @enumerate 1
+## @item Method 1: Inverse of empirical distribution function.
+## @item Method 2: Similar to method 1 but with averaging at discontinuities.
+## @item Method 3: SAS definition: nearest even order statistic.
+## @end enumerate
+## 
+## Continuous sample quantile methods 4 through 9, where p(k) is the linear
+## interpolation function respecting each methods' representative cdf.
+## 
+## @enumerate 4
+## @item Method 4: p(k) = k / n. That is, linear interpolation of the empirical cdf.
+## @item Method 5: p(k) = (k - 0.5) / n. That is a piecewise linear function where 
+## the knots are the values midway through the steps of the empirical cdf. 
+## @item Method 6: p(k) = k / (n + 1).
+## @item Method 7: p(k) = (k - 1) / (n - 1).
+## @item Method 8: p(k) = (k - 1/3) / (n + 1/3). The resulting quantile estimates 
+## are approximately median-unbiased regardless of the distribution of @var{x}.
+## @item Method 9: p(k) = (k - 3/8) / (n + 1/4). The resulting quantile estimates 
+## are approximately unbiased for the expected order statistics if @var{x} is 
+## normally distributed.
+## @end enumerate
+## 
+## Hyndman and Fan (1996) recommend method 8.  Maxima, S, and R
+## (versions prior to 2.0.0) use 7 as their default.  Minitab and SPSS
+## use method 6.  Matlab uses method 5.
+## 
+## References:
+## 
+## @itemize @bullet
+## @item Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New
+## S Language. Wadsworth & Brooks/Cole.
+##
+## @item Hyndman, R. J. and Fan, Y. (1996) Sample quantiles in
+## statistical packages, American Statistician, 50, 361-365.
+##
+## @item R: A Language and Environment for Statistical Computing;
+## @url{http://cran.r-project.org/doc/manuals/fullrefman.pdf}.
+## @end itemize
+## @end deftypefn
+
+## Author: Ben Abbott <bpabbott@mac.com>
+## Description: Matlab style quantile function of a discrete/continuous distribution
+
+function q = quantile (x, p, dim, method)
+
+  if (nargin < 1 || nargin > 4)
+    print_usage ();
+  endif
+
+  if (nargin < 2)
+    p = [0.00 0.25, 0.50, 0.75, 1.00];
+  endif
+
+  if (nargin < 3)
+    dim = 1;
+  endif
+
+  if (nargin < 4)
+    method = 5;
+  endif
+
+  if (dim > ndims(x))
+    error ("quantile: invalid dimension.")
+  endif
+
+  # Set the permutation vector.
+  perm = 1:ndims(x);
+  perm(1) = dim;
+  perm(dim) = 1;
+
+  # Permute dim to the 1st index.
+  x = permute (x, perm);
+
+  # Save the size of the permuted x N-d array.
+  sx = size (x);
+
+  # Reshape to a 2-d array.
+  x = reshape (x, [sx(1), prod(sx(2:end))]);
+
+  # Calculate the quantiles.
+  q = __quantile__ (x, p, method);
+
+  # Return the shape to the original N-d array.
+  q = reshape (q, [numel(p), sx(2:end)]);
+
+  # Permute the 1st index back to dim.
+  q = ipermute (q, perm);
+
+endfunction
+
+%!test
+%! p = 0.5;
+%! x = sort (rand (11));
+%! q = quantile (x, p);
+%! assert (q, x(6,:))
+%! x = x.';
+%! q = quantile (x, p, 2);
+%! assert (q, x(:,6));
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 3; 4];
+%! a = [1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.5000   2.5000   3.5000   4.0000
+%!      1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.0000   2.0000   3.0000   4.0000
+%!      1.0000   1.5000   2.5000   3.5000   4.0000
+%!      1.0000   1.2500   2.5000   3.7500   4.0000
+%!      1.0000   1.7500   2.5000   3.2500   4.0000
+%!      1.0000   1.4167   2.5000   3.5833   4.0000
+%!      1.0000   1.4375   2.5000   3.5625   4.0000];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 3; 4; 5];
+%! a = [1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   1.0000   2.0000   4.0000   5.0000
+%!      1.0000   1.2500   2.5000   3.7500   5.0000
+%!      1.0000   1.7500   3.0000   4.2500   5.0000
+%!      1.0000   1.5000   3.0000   4.5000   5.0000
+%!      1.0000   2.0000   3.0000   4.0000   5.0000
+%!      1.0000   1.6667   3.0000   4.3333   5.0000
+%!      1.0000   1.6875   3.0000   4.3125   5.0000];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 5; 9];
+%! a = [1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.5000   3.5000   7.0000   9.0000
+%!      1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.0000   2.0000   5.0000   9.0000
+%!      1.0000   1.5000   3.5000   7.0000   9.0000
+%!      1.0000   1.2500   3.5000   8.0000   9.0000
+%!      1.0000   1.7500   3.5000   6.0000   9.0000
+%!      1.0000   1.4167   3.5000   7.3333   9.0000
+%!      1.0000   1.4375   3.5000   7.2500   9.0000];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [1; 2; 5; 9; 11];
+%! a = [1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    1.0000    2.0000    9.0000   11.0000
+%!      1.0000    1.2500    3.5000    8.0000   11.0000
+%!      1.0000    1.7500    5.0000    9.5000   11.0000
+%!      1.0000    1.5000    5.0000   10.0000   11.0000
+%!      1.0000    2.0000    5.0000    9.0000   11.0000
+%!      1.0000    1.6667    5.0000    9.6667   11.0000
+%!      1.0000    1.6875    5.0000    9.6250   11.0000];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [16; 11; 15; 12; 15;  8; 11; 12;  6; 10];
+%! a = [6.0000   10.0000   11.0000   15.0000   16.0000
+%!      6.0000   10.0000   11.5000   15.0000   16.0000
+%!      6.0000    8.0000   11.0000   15.0000   16.0000
+%!      6.0000    9.0000   11.0000   13.5000   16.0000
+%!      6.0000   10.0000   11.5000   15.0000   16.0000
+%!      6.0000    9.5000   11.5000   15.0000   16.0000
+%!      6.0000   10.2500   11.5000   14.2500   16.0000
+%!      6.0000    9.8333   11.5000   15.0000   16.0000
+%!      6.0000    9.8750   11.5000   15.0000   16.0000];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = [0.00, 0.25, 0.50, 0.75, 1.00];
+%! x = [-0.58851;  0.40048;  0.49527; -2.551500; -0.52057; ...
+%!      -0.17841; 0.057322; -0.62523;  0.042906;  0.12337];
+%! a = [-2.551474  -0.588505  -0.178409   0.123366   0.495271
+%!      -2.551474  -0.588505  -0.067751   0.123366   0.495271
+%!      -2.551474  -0.625231  -0.178409   0.123366   0.495271
+%!      -2.551474  -0.606868  -0.178409   0.090344   0.495271
+%!      -2.551474  -0.588505  -0.067751   0.123366   0.495271
+%!      -2.551474  -0.597687  -0.067751   0.192645   0.495271
+%!      -2.551474  -0.571522  -0.067751   0.106855   0.495271
+%!      -2.551474  -0.591566  -0.067751   0.146459   0.495271
+%!      -2.551474  -0.590801  -0.067751   0.140686   0.495271];
+%! for m = (1:9)
+%!   q = quantile (x, p, 1, m).';
+%!   assert (q, a(m,:), 0.0001)
+%! endfor
+
+%!test
+%! p = 0.5;
+%! x = [0.112600, 0.114800, 0.052100, 0.236400, 0.139300
+%!      0.171800, 0.727300, 0.204100, 0.453100, 0.158500
+%!      0.279500, 0.797800, 0.329600, 0.556700, 0.730700
+%!      0.428800, 0.875300, 0.647700, 0.628700, 0.816500
+%!      0.933100, 0.931200, 0.963500, 0.779600, 0.846100];
+%! tol = 0.00001;
+%! x(5,5) = NaN;
+%! assert (quantile(x, p, 1), [0.27950, 0.79780, 0.32960, 0.55670, 0.44460], tol);
+%! x(1,1) = NaN;
+%! assert (quantile(x, p, 1), [0.35415, 0.79780, 0.32960, 0.55670, 0.44460], tol);
+%! x(3,3) = NaN;
+%! assert (quantile(x, p, 1), [0.35415, 0.79780, 0.42590, 0.55670, 0.44460], tol);
+
+%!test
+%! sx = [2, 3, 4];
+%! x = rand (sx);
+%! dim = 2;
+%! p = 0.5;
+%! yobs = quantile (x, p, dim);
+%! yexp = median (x, dim);
+%! assert (yobs, yexp);
+
diff -pruN 1:3.0.1-6/scripts/statistics/base/ranks.m 1:3.0.5-6/scripts/statistics/base/ranks.m
--- 1:3.0.1-6/scripts/statistics/base/ranks.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/ranks.m	2009-01-16 06:46:23.000000000 +0000
@@ -19,11 +19,8 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} ranks (@var{x}, @var{dim})
-## If @var{x} is a vector, return the (column) vector of ranks of
-## @var{x} adjusted for ties.
-##
-## If @var{x} is a matrix, do the above for along the first 
-## non-singleton dimension. If the optional argument @var{dim} is
+## Return the ranks of @var{x} along the first non-singleton dimension
+## adjust for ties. If the optional argument @var{dim} is
 ## given, operate along this dimension.
 ## @end deftypefn
 
diff -pruN 1:3.0.1-6/scripts/statistics/base/statistics.m 1:3.0.5-6/scripts/statistics/base/statistics.m
--- 1:3.0.1-6/scripts/statistics/base/statistics.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/base/statistics.m	2009-02-18 06:57:46.000000000 +0000
@@ -21,9 +21,10 @@
 ## @deftypefn {Function File} {} statistics (@var{x})
 ## If @var{x} is a matrix, return a matrix with the minimum, first
 ## quartile, median, third quartile, maximum, mean, standard deviation,
-## skewness and kurtosis of the columns of @var{x} as its rows.
+## skewness and kurtosis of the columns of @var{x} as its columns.
 ##
-## If @var{x} is a vector, treat it as a column vector.
+## If @var{x} is a vector, calculate the statistics along the 
+## non-singleton dimension.
 ## @end deftypefn
 
 ## Author: KH <Kurt.Hornik@wu-wien.ac.at>
@@ -59,25 +60,15 @@ function S = statistics (X, dim)
     error ("statistics: invalid argument");
   endif    
 
-  ## This code is a bit heavy, but is needed until empirical_inv 
-  ## takes other than vector arguments.
-  c = sz(dim);
-  stride = prod (sz(1:dim-1));
-  sz(dim) = 3;
-  emp_inv = zeros (sz);
-  for i = 1 : nel / c;
-    offset = i;
-    offset2 = 0;
-    while (offset > stride)
-      offset -= stride;
-      offset2++;
-    endwhile
-    rng = [0 : c-1] * stride + offset + offset2 * stride * c;
-    rng2 = [0 : 2] * stride + offset + offset2 * stride * 3;
-    emp_inv(rng2) = empirical_inv ([0.25; 0.5; 0.75], X(rng));
-  endfor
+  emp_inv = quantile (X, [0.25; 0.5; 0.75], dim, 7);
 
   S = cat (dim, min (X, [], dim), emp_inv, max (X, [], dim), mean (X, dim),
 	   std (X, [], dim), skewness (X, dim), kurtosis (X, dim));
 
 endfunction
+
+%!test
+%! x = rand(7,5);
+%! s = statistics (x);
+%! m = median (x);
+%! assert (m, s(3,:), eps);
diff -pruN 1:3.0.1-6/scripts/statistics/distributions/binornd.m 1:3.0.5-6/scripts/statistics/distributions/binornd.m
--- 1:3.0.1-6/scripts/statistics/distributions/binornd.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/distributions/binornd.m	2009-01-16 06:46:23.000000000 +0000
@@ -75,9 +75,11 @@ function rnd = binornd (n, p, r, c)
   endif
 
   if (isscalar (n) && isscalar (p))
-    if (find (!(n > 0) | !(n < Inf) | !(n == round (n)) |
+    if (find (!(n >= 0) | !(n < Inf) | !(n == round (n)) |
               !(p >= 0) | !(p <= 1)))
       rnd = NaN * ones (sz);
+    elseif (n == 0)
+      rnd = zeros (sz);
     else
       nel = prod (sz);
       tmp = rand (n, nel);
@@ -87,7 +89,7 @@ function rnd = binornd (n, p, r, c)
   else
     rnd = zeros (sz);
 
-    k = find (!(n > 0) | !(n < Inf) | !(n == round (n)) |
+    k = find (!(n >= 0) | !(n < Inf) | !(n == round (n)) |
               !(p >= 0) | !(p <= 1));
     if (any (k))
       rnd(k) = NaN;
@@ -105,3 +107,6 @@ function rnd = binornd (n, p, r, c)
   endif
 
 endfunction
+
+%!assert (binornd(0, 0, 1), 0)
+%!assert (binornd([0, 0], [0, 0], 1, 2), [0, 0])
diff -pruN 1:3.0.1-6/scripts/statistics/distributions/chi2rnd.m 1:3.0.5-6/scripts/statistics/distributions/chi2rnd.m
--- 1:3.0.1-6/scripts/statistics/distributions/chi2rnd.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/distributions/chi2rnd.m	2009-02-18 06:57:46.000000000 +0000
@@ -68,7 +68,7 @@ function rnd = chi2rnd (n, r, c)
      if (find (!(n > 0) | !(n < Inf)))
        rnd = NaN * ones (sz);
      else
-       rnd = 2 * randg(n/2, sz)
+       rnd = 2 * randg(n/2, sz);
      endif
   else
     [retval, n, dummy] = common_size (n, ones (sz));
@@ -84,7 +84,7 @@ function rnd = chi2rnd (n, r, c)
 
     k = find ((n > 0) & (n < Inf));
     if (any (k))
-      rnd(k) = 2 * randg(n(k)/2, size(k))
+      rnd(k) = 2 * randg(n(k)/2, size(k));
     endif
   endif
 
diff -pruN 1:3.0.1-6/scripts/statistics/distributions/tcdf.m 1:3.0.5-6/scripts/statistics/distributions/tcdf.m
--- 1:3.0.1-6/scripts/statistics/distributions/tcdf.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/distributions/tcdf.m	2009-01-16 06:46:23.000000000 +0000
@@ -18,9 +18,9 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} tcdf (@var{x}, @var{n})
-## For each element of @var{x}, compute the CDF at @var{x} of the
-## t (Student) distribution with @var{n} degrees of freedom, i.e.,
-## PROB (t(@var{n}) <= @var{x}).
+## For each element of @var{x}, compute the cumulative distribution
+## function (CDF) at @var{x} of the t (Student) distribution with
+## @var{n} degrees of freedom, i.e., PROB (t(@var{n}) <= @var{x}).
 ## @end deftypefn
 
 ## Author: KH <Kurt.Hornik@wu-wien.ac.at>
diff -pruN 1:3.0.1-6/scripts/statistics/distributions/tinv.m 1:3.0.5-6/scripts/statistics/distributions/tinv.m
--- 1:3.0.1-6/scripts/statistics/distributions/tinv.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/statistics/distributions/tinv.m	2009-01-16 06:46:23.000000000 +0000
@@ -18,9 +18,11 @@
 
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} tinv (@var{x}, @var{n})
-## For each component of @var{x}, compute the quantile (the inverse of
-## the CDF) at @var{x} of the t (Student) distribution with parameter
-## @var{n}.
+## For each probability value @var{x}, compute the the inverse of the
+## cumulative distribution function (CDF) of the t (Student)
+## distribution with degrees of freedom @var{n}.  This function is
+## analagous to looking in a table for the t-value of a single-tailed
+## distribution.
 ## @end deftypefn
 
 ## For very large n, the "correct" formula does not really work well,
diff -pruN 1:3.0.1-6/scripts/strings/mat2str.m 1:3.0.5-6/scripts/strings/mat2str.m
--- 1:3.0.1-6/scripts/strings/mat2str.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/strings/mat2str.m	2009-01-16 06:46:23.000000000 +0000
@@ -74,9 +74,9 @@ function s = mat2str (x, n, cls)
     error ("mat2str: X must be two dimensional");
   endif
 
-  x_is_complex = is_complex (x);
+  x_iscomplex = iscomplex (x);
 
-  if (! x_is_complex)
+  if (! x_iscomplex)
     fmt = sprintf ("%%.%dg", n(1));
   else
     if (length (n) == 1 )
@@ -92,7 +92,7 @@ function s = mat2str (x, n, cls)
     s = "[]";
   elseif (nel == 1)
     ## Scalar X, don't print brackets
-    if (! x_is_complex)
+    if (! x_iscomplex)
       s = sprintf (fmt, x);
     else
       s = sprintf (fmt, real (x), imag (x));
@@ -100,11 +100,11 @@ function s = mat2str (x, n, cls)
   else
     ## Non-scalar X, print brackets
     fmt = [fmt, ","];
-    if (! x_is_complex)
+    if (! x_iscomplex)
       s = sprintf (fmt, x.');
     else
-      x = x.';
-      s = sprintf (fmt, [real(x(:))'; imag(x(:))']);
+      t = x.';
+      s = sprintf (fmt, [real(t(:))'; imag(t(:))']);
     endif
 
     s = ["[", s];
@@ -115,6 +115,11 @@ function s = mat2str (x, n, cls)
   endif
 
   if (strcmp ("class", cls))
-    s = [class(x), "(", s, ")"]
+    s = [class(x), "(", s, ")"];
   endif
 endfunction
+
+%!assert (mat2str ([-1/3 + i/7; 1/3 - i/7], [4 2]), "[-0.3333+0.14i;0.3333-0.14i]")
+%!assert (mat2str ([-1/3 +i/7; 1/3 -i/7], [4 2]), "[-0.3333+0i,0+0.14i;0.3333+0i,-0-0.14i]")
+%!assert (mat2str (int16 ([1 -1]), 'class'), "int16([1,-1])")
+
diff -pruN 1:3.0.1-6/scripts/strings/strrep.m 1:3.0.5-6/scripts/strings/strrep.m
--- 1:3.0.1-6/scripts/strings/strrep.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/strings/strrep.m	2009-02-18 06:57:46.000000000 +0000
@@ -20,7 +20,7 @@
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {} strrep (@var{s}, @var{x}, @var{y})
 ## Replaces all occurrences of the substring @var{x} of the string @var{s}
-## with the string @var{y}.  For example,
+## with the string @var{y} and returns the result.  For example,
 ##
 ## @example
 ## strrep ("This is a test string", "is", "&%$")
diff -pruN 1:3.0.1-6/scripts/strings/strtok.m 1:3.0.5-6/scripts/strings/strtok.m
--- 1:3.0.1-6/scripts/strings/strtok.m	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/scripts/strings/strtok.m	2009-01-16 06:46:23.000000000 +0000
@@ -35,7 +35,7 @@ function [tok, rem] = strtok (str, delim
   endif
 
   if (nargin < 2 || isempty (delim))
-    delim = " "; 
+    delim = "\t\n\v\f\r "; 
   endif
 
   if (isempty (str))
@@ -114,12 +114,12 @@ endfunction
 
 %!# test the remainder for all cases
 %!test [t,r] = strtok(""); assert(r, "");
-%!test [t,r] = strtok("this"); assert(r, "");
+%!test [t,r] = strtok("this"); assert(r, char (zeros (1, 0)));
 %!test [t,r] = strtok("this "); assert(r, " ");
 %!test [t,r] = strtok("this is"); assert(r, " is");
-%!test [t,r] = strtok(" this"); assert(r, "");
+%!test [t,r] = strtok(" this"); assert(r, char (zeros (1, 0)));
 %!test [t,r] = strtok(" this "); assert(r, " ");
-%!test [t,r] = strtok(" "); assert(r, "");
+%!test [t,r] = strtok(" "); assert(r, char (zeros (1, 0)));
 
 %!# simple check with 2 and 3 delimeters
 %!assert(strtok("this is", "i "), "th");
@@ -138,3 +138,11 @@ endfunction
 %!# test 'bad' string orientations
 %!assert(strtok(" this "'), "this"');   # delimiter at start and end
 %!assert(strtok(" this "',"jkl "), "this"');
+
+%!# test with TAB, LF, VT, FF, and CR
+%!test
+%! for ch = "\t\n\v\f\r"
+%!   [t, r] = strtok (strcat ("beg", ch, "end"));
+%!   assert (t, "beg");
+%!   assert (r, strcat (ch, "end"))
+%! endfor
diff -pruN 1:3.0.1-6/scripts/testfun/assert.m 1:3.0.5-6/scripts/testfun/assert.m
--- 1:3.0.1-6/scripts/testfun/assert.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/testfun/assert.m	2009-02-18 06:57:46.000000000 +0000
@@ -36,7 +36,7 @@
 ##
 ## @item assert(@var{observed}, @var{expected}, @var{tol})
 ## Accept a tolerance when comparing numbers. 
-## If @var{tol} is possitive use it as an absolute tolerance, will produce an error if
+## If @var{tol} is positive use it as an absolute tolerance, will produce an error if
 ## @code{abs(@var{observed} - @var{expected}) > abs(@var{tol})}.
 ## If @var{tol} is negative use it as a relative tolerance, will produce an error if
 ## @code{abs(@var{observed} - @var{expected}) > abs(@var{tol} * @var{expected})}.
diff -pruN 1:3.0.1-6/scripts/time/eomday.m 1:3.0.5-6/scripts/time/eomday.m
--- 1:3.0.1-6/scripts/time/eomday.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/time/eomday.m	2009-01-16 06:46:23.000000000 +0000
@@ -19,7 +19,7 @@
 ## -*- texinfo -*-
 ## @deftypefn {Function File} {@var{e} =} eomday (@var{y}, @var{m})
 ## Return the last day of the month @var{m} for the year @var{y}.
-## @seealso{datenum, datevec, weekday}
+## @seealso{datenum, datevec, weekday, eomdate}
 ## @end deftypefn
 
 ## Author: pkienzle <pkienzle@users.sf.net>
@@ -33,7 +33,7 @@ function e = eomday (y, m)
   endif
 
   eom = [31, 28, 31, 30 ,31, 30, 31, 31, 30, 31, 30, 31];
-  e = eom(m);
+  e = reshape (eom(m), size (m));
   e += (m == 2) & (mod (y, 4) == 0 & (mod (y, 100) != 0 | mod (y, 400) == 0));
 
 endfunction
@@ -49,6 +49,7 @@ endfunction
 %!assert(eomday(1:3,1:3),[31,28,31])
 %!assert(eomday(1:2000,2)',datevec(datenum(1:2000,3,0))(:,3))
 %!assert([1900:1999](find(eomday(1900:1999,2*ones(1,100))==29)),[1904,1908,1912,1916,1920,1924,1928,1932,1936,1940,1944,1948,1952,1956,1960,1964,1968,1972,1976,1980,1984,1988,1992,1996])
+%!assert(eomday([2004;2005], [2;2]), [29;28])
 # demos
 %!demo
 %! y = 1900:1999;
diff -pruN 1:3.0.1-6/scripts/time/weekday.m 1:3.0.5-6/scripts/time/weekday.m
--- 1:3.0.1-6/scripts/time/weekday.m	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/scripts/time/weekday.m	2009-01-16 06:46:23.000000000 +0000
@@ -1,4 +1,4 @@
-## Copyright (C) 2000, 2001, 2004, 2005, 2006, 2007 Paul Kienzle
+## Copyright (C) 2000, 2001, 2004, 2005, 2006, 2007, 2008 Paul Kienzle
 ##
 ## This file is part of Octave.
 ##
@@ -34,7 +34,7 @@
 ## Created: 10 October 2001 (CVS)
 ## Adapted-By: William Poetra Yoga Hadisoeseno <williampoetra@gmail.com>
 
-function [n, s] = weekday (d, form)
+function [d, s] = weekday (d, form)
 
   if (nargin < 1 || nargin > 2)
     print_usage ();
@@ -44,24 +44,57 @@ function [n, s] = weekday (d, form)
     form = "short";
   endif
 
-  v = datevec (d);
-  t = strptime (sprintf ("%d-%d-%d", v(3), v(2), v(1)), "%d-%m-%Y");
-
-  n = t.wday + 1;
+  if (iscell (d) || isnumeric (d))
+    endsize = size (d);
+  elseif (ischar (d))
+    endsize = [size(d, 1), 1];
+  endif
+  if (ischar (d) || iscell (d))
+    ## Make sure the date is numeric
+    d = datenum (d);
+  endif
+  ## Find the offset from a known Sunday (2008-Jan-6), mod 7.
+  d = floor (reshape (mod(d - 733048, 7), endsize));
+  ## Make Saturdays a 7 and not a 0.
+  d(!d) = 7;
 
   if (nargout > 1)
     if (strcmpi (form, "long"))
-      s = strftime ("%A", t);
+      names = {"Sunday" "Monday" "Tuesday" "Wednesday" "Thursday"
+	       "Friday" "Saturday"};
     else
-      s = strftime ("%a", t);
+      names = {"Sun" "Mon" "Tue" "Wed" "Thu" "Fri" "Sat"};
     endif
+    s = strvcat (names(d));
   endif
 
 endfunction
 
 # tests
 %!assert(weekday(728647),2)
+## Test vector inputs for both directions
+%!assert(weekday([728647 728648]), [2 3])
+%!assert(weekday([728647;728648]), [2;3])
+## Test a full week before our reference day
 %!assert(weekday('19-Dec-1994'),2)
+%!assert(weekday('20-Dec-1994'),3)
+%!assert(weekday('21-Dec-1994'),4)
+%!assert(weekday('22-Dec-1994'),5)
+%!assert(weekday('23-Dec-1994'),6)
+%!assert(weekday('24-Dec-1994'),7)
+%!assert(weekday('25-Dec-1994'),1)
+## Test our reference day
+%!assert(weekday('6-Jan-2008'),1)
+## Test a full week after our reference day
+%!assert(weekday('1-Feb-2008'),6)
+%!assert(weekday('2-Feb-2008'),7)
+%!assert(weekday('3-Feb-2008'),1)
+%!assert(weekday('4-Feb-2008'),2)
+%!assert(weekday('5-Feb-2008'),3)
+%!assert(weekday('6-Feb-2008'),4)
+%!assert(weekday('7-Feb-2008'),5)
+## Test fractional dates
+%!assert(weekday(728647.1),2)
 # demos
 %!demo
 %! [n, s] = weekday (now ())
diff -pruN 1:3.0.1-6/src/bitfcns.cc 1:3.0.5-6/src/bitfcns.cc
--- 1:3.0.1-6/src/bitfcns.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/bitfcns.cc	2009-02-18 06:57:47.000000000 +0000
@@ -40,6 +40,7 @@ along with Octave; see the file COPYING.
 #include "ov-int8.h"
 #include "ov-scalar.h"
 #include "ov-re-mat.h"
+#include "ov-bool.h"
 
 // FIXME -- could probably eliminate some code duplication by
 // clever use of templates.
@@ -87,12 +88,18 @@ along with Octave; see the file COPYING.
   if (nargin == 2) \
     { \
       if ((args(0).class_name () == octave_scalar::static_class_name ()) \
-	  || (args(1).class_name () == octave_scalar::static_class_name ())) \
+	  || (args(0).class_name () == octave_bool::static_class_name ()) \
+	  || (args(1).class_name () == octave_scalar::static_class_name ()) \
+	  || (args(1).class_name () == octave_bool::static_class_name ())) \
 	{ \
 	  bool arg0_is_int = (args(0).class_name () !=	\
-			      octave_scalar::static_class_name ()); \
+			      octave_scalar::static_class_name () && \
+			      args(0).class_name () != \
+			      octave_bool::static_class_name ()); \
 	  bool arg1_is_int = (args(1).class_name () !=	\
-			      octave_scalar::static_class_name ()); \
+			      octave_scalar::static_class_name () && \
+			      args(1).class_name () != \
+			      octave_bool::static_class_name ()); \
 	  \
 	  if (! (arg0_is_int || arg1_is_int))	\
 	    { \
@@ -491,7 +498,7 @@ DEFUN (bitmax, args, ,
   "-*- texinfo -*-\n\
 @deftypefn {Built-in Function} {} bitmax ()\n\
 Return the largest integer that can be represented as a floating point\n\
-value.  On IEEE-754 compatiable systems, @code{bitmax} is @code{2^53 - 1}.\n\
+value.  On IEEE-754 compatible systems, @code{bitmax} is @code{2^53 - 1}.\n\
 @end deftypefn")
 {
   octave_value retval;
diff -pruN 1:3.0.1-6/src/ChangeLog 1:3.0.5-6/src/ChangeLog
--- 1:3.0.1-6/src/ChangeLog	2008-04-21 17:02:14.000000000 +0100
+++ 1:3.0.5-6/src/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,304 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2009-04-05  Benjamin Lindner <lindnerb@users.sourceforge.net>
+
+	* ls-mat-ascii.cc (get_mat_data_input_line): fix eating a whole
+	line when only newline should be read. fixes broken ascii matrix
+	loading
+
+2009-03-18  Benjamin Lindner <lindnerb@users.sourceforge.net>
+
+	* ls-oct-ascii.cc (extract_keyword): fix leaving stray '\r' in stream
+	when reading from CRLF data file by replacing loop with call to
+	read_until_newline()
+
+2009-03-03  Benjamin Lindner  <lindnerb@users.sourceforge.net>
+
+	* ls-ascii-helper.h ls-ascii-helper.cc: New files, provide helper 
+	functions skip_until_newline(), skip_preceeding_newline() and
+	read_until_newline() that take care of CR/LF handling.
+	* Makefile.in: add new files
+	* load-save.cc: Open files always in binary mode in Fload
+	* ls-mat-ascii.cc (get_mat_data_input_line), ls-oct-ascii.cc 
+	(extract_keyword, read_ascii_data), ls-oct-ascii.h (extract_keyword), 
+	ov-fcn-handle.cc, ov-fcn-inline.cc, ov-range.cc, ov-str-mat.cc 
+	(load_ascii): Use helper functions 
+	
+2009-02-25  Marco Caliari <marco.caliari@univr.it>
+
+	* graphics.cc (base_properties::remove_child): Fix order of dims.
+
+2009-02-13  John W. Eaton  <jwe@octave.org>
+
+	* oct-stream.cc (octave_base_stream::do_gets): Handle CRLF and CR.
+
+2009-01-23  Jaroslav Hajek  <highegg@gmail.com>
+
+	* DLD-FUNCTIONS/ranpd.cc: Use relative tolerance for randp tests.
+
+2008-12-26  Francesco Potortì  <pot@gnu.org>
+
+	* data.cc (resize): Add cross reference to postpad.
+
+2008-10-28  Brian Gough  <bjg@gnu.org>
+
+	* DLD-FUNCTIONS/besselj.cc: Added tests.
+
+2008-10-16  John W. Eaton  <jwe@octave.org>
+
+	* graphics.cc (make_handle_fraction): New static function.
+	(gh_manager::get_handle): Use it.
+	(gh_manager::do_free): Call make_handle_fraction to replace
+	fractional part of non-figure handles.
+
+	* graphics.cc (base_properties::remove_child): Handle children as
+	a column vector instead of a row vector.
+
+2008-12-08  Jaroslav Hajek  <highegg@gmail.com>
+
+	* pt-select.cc (equal): Make empty matrices match.
+
+2008-11-12  David Bateman  <dbateman@free.fr>
+
+	* OPERATORS/op-cell.cc (op_catop_matrix_cell): Cast args in the correct
+	order.
+	* OPERATORS/op-struct.cc (op_catop_matrix_struct): Ditto.
+
+2008-10-31  David Bateman  <dbateman@free.fr>
+
+	* ov-base-scalar.h (octave_value octave_base_scalar::reshape 
+	(const dim_vector&) const): New method.
+
+2008-10-30  John W. Eaton  <jwe@octave.org>
+
+	* oct-map.cc (Octave_map::index): Copy key_list.
+
+2008-10-17  John W. Eaton  <jwe@octave.org>
+
+	* DLD-FUNCTIONS/__qp__.cc (qp): Undo part of change from
+	2007-09-04 (compute Y at each iteration).
+
+2008-10-02  John W. Eaton  <jwe@octave.org>
+
+	* pt-arg-list.cc (tree_argument_list::convert_to_const_vector):
+	Don't insert undefined elements in return list.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-09-24  Thomas Weber  <thomas.weber.mail@gmail.com>
+
+	* DLD-FUNCTIONS/regexp.cc (octregexp_list): Retry if match limit
+	is exceeded.
+
+2008-09-24  John W. Eaton  <jwe@octave.org>
+
+	* load-path.cc (load_path::do_initialize): Check for OCTAVE_PATH
+	in the environment, not OCTAVE_LOADPATH.
+
+2008-09-18  David Bateman  <dbateman@free.fr>
+
+	* DLD-FUNCTIONS/fftw.cc (Ffftw): Clarify the documentation.
+
+2008-09-19  David Bateman  <dbateman@free.fr>
+
+	* debug.cc (static octave_user_function *get_user_function 
+	(const std::string&)):  Function lookup to force out of date check.
+	(bp_table::intmap bp_table::do_remove_all_breakpoints_in_file 
+	(const std::string&, bool)): Add flag to silence the error message 
+	from this function if a user code with breakpoints is not found.
+	(bp_table::fname_line_map bp_table::do_get_breakpoint_list (const 
+	octave_value_list&)): Do an out of date check on the function
+	before checking the breakpoints.
+	* debug.h (do_remove_all_breakpoints_in_file, 
+	remove_all_breakpoints_in_file): Add flag to silence error
+	message.
+	* variables.cc (static bool symbol_out_of_date (symbol_record*)):
+	If symbol out of date clear breakpoints.	
+	
+	
+	* data.cc (SINGLE_TYPE_CONCAT, DO_SINGLE_TYPE_CONCAT): New macros
+	(do_cat): Special case single type concatenations for speed.
+	* pt.mat.cc (std::string get_concat_class (const std::string&,
+	const std::string&), void maybe_warn_string_concat (bool, bool)):
+	Remove static declaration.
+	* pt-mat.h (std::string get_concat_class (const std::string&,
+	const std::string&), void maybe_warn_string_concat (bool, bool)):
+	Define extern here.
+	
+2008-09-19  Jaroslav Hajek <highegg@gmail.com>
+
+	* load-path.cc: Fix errors from earlier transplant changeset.
+	* utils.cc: Likewise.
+
+2008-09-10  John W. Eaton  <jwe@octave.org>
+
+	* octave.cc (octave_main): Make all command-line arguments
+	available to startup scripts and PKG_ADD files.
+
+2008-05-20  Kim Hansen  <kimhanse@gmail.com>
+
+	* load-path.cc (load_path::do_initialize):
+	Include separator when appending sys_path.
+
+2008-09-09  David Bateman  <dbateman@free.fr>
+
+	* DLD-FUNCTIONS/regexp.cc (octregexp_list): Distinguish between
+	matlab named tokens and perl lookbehind expressions. For
+	lookbehind expression replace "*" and "+" with a limited number of
+	fixed length expressions to simulate arbitrary length look behind.
+
+2008-09-08  John W. Eaton  <jwe@octave.org>
+
+	* ls-oct-ascii.cc (std::string extract_keyword (std::istream&,
+	const char *, const bool)): Also accept \r as line ending character.
+	* ls-oct-ascii.h (template <class T> bool extract_keyword
+	(std::istream&, const char *, T&, const bool)): Likewise.
+	(template <class T> bool extract_keyword (std::istream&, const
+	string_vector&, std::string&, T&, const bool)): Likewise.
+
+2008-08-27  Jaroslav Hajek  <highegg@gmail.com>
+
+	* DLD-FUNCTIONS/__glpk__.cc (F__glpk__): Initialize output vectors 
+	by NA value.
+
+2008-05-20  Thomas Weber  <thomas.weber.mail@gmail.com>
+
+	* DLD-FUNCTIONS/rand.cc: Doc fix.
+
+2008-08-19  David Bateman  <dbateman@free.fr>
+
+	* load-path.cc (load-path::do_find_dir (const std:string&) const)):
+	Method to find a directory on the load-path corresponding to the
+	argument.
+	* load-path.h (load-path::do_find_dir (const std:string&) const),
+	load-path::find_dir (const std::string&) const): New methods.
+	* utils.cc (std::string contents_file_in_path (const std::string&)):
+	New function.
+	* utils.h  (std::string contents_file_in_path (const std::string&)): 
+	Declare it.
+	* help.cc (static bool raw_help_from_file (const std::string&,
+	std::string&, std::string&, bool&)): Also check is requested
+	argument is a directory and contains the file Contents.m.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	* pt-assign.h (tree_simple_assignment::first_execution): New
+	member field.
+	(tree_simple_assignment::first_execution): Dtto.
+	* pt-assign.cc (tree_simple_assignment::tree_simple_assignment):
+	Initialize first_execution.
+	(tree_multi_assignment::tree_multi_assignment): Dtto.
+	(tree_simple_assignment::rvalue): Check for obsolete built-in
+	variables only at first execution.
+	(tree_multi_assignment::rvalue): Dtto.
+
+	* DLD-FUNCTIONS/__glpk__.cc (F__glpk__): Checks whether LB and UB are
+	of proper size.
+
+	* oct-obj.cc, oct-obj.h (octave_value_list::make_argv): 
+	Allow calling without fcn_name.
+	* load-save.cc (parse_save_options (const string_vector&, ...)): 
+	Return string_vector with parsed arguments removed instead.
+	(parse_save_options (const std::string&, ...)):	Dtto.
+	(Fsave): Fix calls to parse_save_options.
+
+2008-08-19  John W. Eaton  <jwe@octave.org>
+
+	* parse.y (Feval): Return value produced by evaluating CATCH string.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
+2008-08-19  Jaroslav Hajek  <highegg@m61s04>
+
+	* DLD-FUNCTIONS/rand.cc (Frandp): Fix typo in a test.
+
+2008-08-12  John W. Eaton  <jwe@octave.org>
+
+	* ov-struct.cc (octave_struct::subsref): Don't allow resizing for
+	simple x(idx) case.
+
+2008-08-08  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>
+
+	* A patch fntests for rand.cc for octave for windows (cygwin, mingw ,msvc)
+
+2008-08-01  Francesco Potorti <Potorti@isti.cnr.it>
+
+	* graphics.cc (axes::properties::properties,
+	axes::properties::set_defaults, axes::properties::factory_defaults):
+	Exchange xaxislocation and yaxislocation property values.
+
+2008-07-28  John W. Eaton  <jwe@octave.org>
+
+	* error.cc (Flasterror, Flasterr): Unwind-protect error_state.
+
+2008-07-24  John W. Eaton  <jwe@octave.org>
+
+	* dirfns.cc (Fmkdir): If directory already exists, return status =
+	true, but also set error message.
+
+2008-07-21  John W. Eaton  <jwe@octave.org>
+
+	* OPERATORS/op-struct.cc: Define concatenation operators for
+	struct/matrix concatenation (valid if matrix is empty).
+	* OPERATORS/op-cell.cc (install_cell_ops): Likewise, for cells.
+
+2008-06-25  David Bateman  <dbateman@free.fr>
+
+	* pr-output.cc (Frats): Print usage if nargin == 0.
+	
+2008-06-20  Jaroslav Hajek <highegg@gmail.com>
+
+	* DLD-FUNCTIONS/regexp.cc (octregexp_list): Make "once" an output
+	argument.
+	(octregexp): Do not use cell arrays when "once" is requested.
+
+2008-06-10  John W. Eaton  <jwe@octave.org>
+
+	* mexproto.h (mxCreateLogicalScalar): Declar arg as mxLogical, not int.
+
+2008-06-03  Jaroslav Hajek <highegg@gmail.com>
+
+	* load-save.cc (Fload): Fix "-7" option.
+
+2008-06-02  Jaroslav Hajek <highegg@gmail.com>
+
+	* ov-cell.cc (Fcellstr): For compatibility with Matlab, return {''}
+	when given ''.
+
+2008-05-06  David Bateman  <dbateman@free.fr>
+
+	* ov-fcn-inline.cc (Finline): Also ignore NaN, Inf, pi, NA and eps.
+
+	* bitfcns.cc (BITOP): Treat octave_bool types and octave_scalar.
+
+2008-05-06  John W. Eaton  <jwe@octave.org>
+
+	* ov-cell.cc (Fstruct2cell): Handle structure arrays properly.
+
+2008-05-05  David Bateman  <dbateman@free.fr>
+
+	* sysdep.cc (Fputenv): Allow single arg. Alias to setenv.
+
+2008-05-04  John W. Eaton  <jwe@octave.org>
+
+	* ov-fcn-handle.cc (Ffunctions): Pass octave_value object instead
+	of Cell in structure field assignment.
+
+2008-04-23  John W. Eaton  <jwe@octave.org>
+
+	* DLD-FUNCTIONS/__qp__.cc (qp): Avoid bounds error when removing
+	constraint from active set.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
diff -pruN 1:3.0.1-6/src/data.cc 1:3.0.5-6/src/data.cc
--- 1:3.0.1-6/src/data.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/data.cc	2009-02-18 06:57:47.000000000 +0000
@@ -202,76 +202,81 @@ and @var{x}.  The result is in range -pi
 
   if (nargin == 2 && args(0).is_defined () && args(1).is_defined ())
     {
-      octave_value arg_y = args(0);
-      octave_value arg_x = args(1);
+      if (args(0).is_integer_type () || args(0).is_integer_type ())
+	error ("atan2: not defined for integer types");
+      else
+	{
+	  octave_value arg_y = args(0);
+	  octave_value arg_x = args(1);
 
-      octave_idx_type y_nr = arg_y.rows ();
-      octave_idx_type y_nc = arg_y.columns ();
+	  octave_idx_type y_nr = arg_y.rows ();
+	  octave_idx_type y_nc = arg_y.columns ();
 
-      octave_idx_type x_nr = arg_x.rows ();
-      octave_idx_type x_nc = arg_x.columns ();
+	  octave_idx_type x_nr = arg_x.rows ();
+	  octave_idx_type x_nc = arg_x.columns ();
 
-      int arg_y_empty = empty_arg ("atan2", y_nr, y_nc);
-      int arg_x_empty = empty_arg ("atan2", x_nr, x_nc);
+	  int arg_y_empty = empty_arg ("atan2", y_nr, y_nc);
+	  int arg_x_empty = empty_arg ("atan2", x_nr, x_nc);
 
-      if (arg_y_empty > 0 && arg_x_empty > 0)
-	return octave_value (Matrix ());
-      else if (arg_y_empty || arg_x_empty)
-	return retval;
+	  if (arg_y_empty > 0 && arg_x_empty > 0)
+	    return octave_value (Matrix ());
+	  else if (arg_y_empty || arg_x_empty)
+	    return retval;
 
-      octave_idx_type y_is_scalar = (y_nr == 1 && y_nc == 1);
-      octave_idx_type x_is_scalar = (x_nr == 1 && x_nc == 1);
+	  octave_idx_type y_is_scalar = (y_nr == 1 && y_nc == 1);
+	  octave_idx_type x_is_scalar = (x_nr == 1 && x_nc == 1);
 
-      if (y_is_scalar && x_is_scalar)
-	{
-	  double y = arg_y.double_value ();
-
-	  if (! error_state)
+	  if (y_is_scalar && x_is_scalar)
 	    {
-	      double x = arg_x.double_value ();
+	      double y = arg_y.double_value ();
 
 	      if (! error_state)
-		retval = atan2 (y, x);
-	    }
-	}
-      else if (y_is_scalar)
-	{
-	  double y = arg_y.double_value ();
+		{
+		  double x = arg_x.double_value ();
 
-	  if (! error_state)
+		  if (! error_state)
+		    retval = atan2 (y, x);
+		}
+	    }
+	  else if (y_is_scalar)
 	    {
-	      Matrix x = arg_x.matrix_value ();
+	      double y = arg_y.double_value ();
 
 	      if (! error_state)
-		retval = map_d_m (atan2, y, x);
-	    }
-	}
-      else if (x_is_scalar)
-	{
-	  Matrix y = arg_y.matrix_value ();
+		{
+		  Matrix x = arg_x.matrix_value ();
 
-	  if (! error_state)
+		  if (! error_state)
+		    retval = map_d_m (atan2, y, x);
+		}
+	    }
+	  else if (x_is_scalar)
 	    {
-	      double x = arg_x.double_value ();
+	      Matrix y = arg_y.matrix_value ();
 
 	      if (! error_state)
-		retval = map_m_d (atan2, y, x);
-	    }
-	}
-      else if (y_nr == x_nr && y_nc == x_nc)
-	{
-	  Matrix y = arg_y.matrix_value ();
+		{
+		  double x = arg_x.double_value ();
 
-	  if (! error_state)
+		  if (! error_state)
+		    retval = map_m_d (atan2, y, x);
+		}
+	    }
+	  else if (y_nr == x_nr && y_nc == x_nc)
 	    {
-	      Matrix x = arg_x.matrix_value ();
+	      Matrix y = arg_y.matrix_value ();
 
 	      if (! error_state)
-		retval = map_m_m (atan2, y, x);
+		{
+		  Matrix x = arg_x.matrix_value ();
+
+		  if (! error_state)
+		    retval = map_m_m (atan2, y, x);
+		}
 	    }
+	  else
+	    error ("atan2: nonconformant matrices");
 	}
-      else
-	error ("atan2: nonconformant matrices");
     }
   else
     print_usage ();
@@ -780,6 +785,52 @@ return the product of the elements.\n\
   DATA_REDUCTION (prod);
 }
 
+
+#define SINGLE_TYPE_CONCAT(TYPE, EXTRACTOR) \
+  do \
+    { \
+      int dv_len = dv.length (); \
+      Array<octave_idx_type> ra_idx (dv_len > 1 ? dv_len : 2, 0); \
+      \
+      for (int j = 1; j < n_args; j++) \
+	{ \
+	  OCTAVE_QUIT; \
+	  \
+	  TYPE ra = args(j).EXTRACTOR ();	\
+	  \
+	  if (! error_state) \
+	    { \
+	      result.insert (ra, ra_idx); \
+	      \
+	      if (error_state) \
+	        return retval; \
+	      \
+	      dim_vector dv_tmp = args (j).dims (); \
+	      \
+	      if (dim >= dv_len) \
+	        { \
+		  if (j > 1) \
+		    error ("%s: indexing error", fname.c_str ()); \
+		  break; \
+		} \
+	      else \
+		ra_idx (dim) += (dim < dv_tmp.length () ? dv_tmp (dim) : 1); \
+	    } \
+	} \
+    } \
+ while (0)
+
+#define DO_SINGLE_TYPE_CONCAT(TYPE, EXTRACTOR) \
+  do \
+    { \
+      TYPE result (dv); \
+      \
+      SINGLE_TYPE_CONCAT(TYPE, EXTRACTOR); \
+      \
+      retval = result; \
+    } \
+ while (0)
+
 static octave_value
 do_cat (const octave_value_list& args, std::string fname)
 {
@@ -805,6 +856,13 @@ do_cat (const octave_value_list& args, s
 	{
  	  
  	  dim_vector  dv = args(1).dims ();
+	  std::string result_type = args(1).class_name ();
+	  
+	  bool all_sq_strings_p = args(1).is_sq_string ();
+	  bool all_dq_strings_p = args(1).is_dq_string ();
+	  bool all_real_p = args(1).is_real_type ();
+	  bool any_sparse_p = args(1).is_sparse_type();
+
 	  
  	  for (int i = 2; i < args.length (); i++)
   	    {
@@ -817,69 +875,143 @@ do_cat (const octave_value_list& args, s
 		  error ("cat: dimension mismatch");
 		  return retval;
 		}
-	    }
 
-	  // The lines below might seem crazy, since we take a copy
-	  // of the first argument, resize it to be empty and then resize
-	  // it to be full. This is done since it means that there is no
-	  // recopying of data, as would happen if we used a single resize.
-	  // It should be noted that resize operation is also significantly 
-	  // slower than the do_cat_op function, so it makes sense to have an
-	  // empty matrix and copy all data.
-	  //
-	  // We might also start with a empty octave_value using
-	  //   tmp = octave_value_typeinfo::lookup_type (args(1).type_name());
-	  // and then directly resize. However, for some types there might be
-	  // some additional setup needed, and so this should be avoided.
+	      result_type = 
+		get_concat_class (result_type, args(i).class_name ());
 
-	  octave_value tmp;
-
-	  int i;
-          for (i = 1; i < n_args; i++)
-	    {
-	      if (! args (i).all_zero_dims ())
+	      if (all_sq_strings_p && ! args(i).is_sq_string ())
+		all_sq_strings_p = false;
+	      if (all_dq_strings_p && ! args(i).is_dq_string ())
+		all_dq_strings_p = false;
+	      if (all_real_p && ! args(i).is_real_type ())
+		all_real_p = false;
+	      if (!any_sparse_p && args(i).is_sparse_type ())
+		any_sparse_p = true;
+	    }
+
+	  if (result_type == "double")
+	    {
+	      if (any_sparse_p)
+		{	    
+		  if (all_real_p)
+		    DO_SINGLE_TYPE_CONCAT (SparseMatrix, sparse_matrix_value);
+		  else
+		    DO_SINGLE_TYPE_CONCAT (SparseComplexMatrix, sparse_complex_matrix_value);
+		}
+	      else
 		{
-		  tmp = args (i);
-		  break;
+		  if (all_real_p)
+		    DO_SINGLE_TYPE_CONCAT (NDArray, array_value);
+		  else
+		    DO_SINGLE_TYPE_CONCAT (ComplexNDArray, complex_array_value);
 		}
 	    }
+	  else if (result_type == "char")
+	    {
+	      char type = all_dq_strings_p ? '"' : '\'';
+
+	      maybe_warn_string_concat (all_dq_strings_p, all_sq_strings_p);
+
+	      charNDArray result (dv, Vstring_fill_char);
 
-	  if (i == n_args)
-	    retval = Matrix ();
+	      SINGLE_TYPE_CONCAT (charNDArray, char_array_value);
+
+	      retval = octave_value (result, true, type);
+	    }
+	  else if (result_type == "logical")
+	    {
+	      if (any_sparse_p)
+		DO_SINGLE_TYPE_CONCAT (SparseBoolMatrix, sparse_bool_matrix_value);
+	      else
+		DO_SINGLE_TYPE_CONCAT (boolNDArray, bool_array_value);
+	    }
+	  else if (result_type == "int8")
+	    DO_SINGLE_TYPE_CONCAT (int8NDArray, int8_array_value);
+	  else if (result_type == "int16")
+	    DO_SINGLE_TYPE_CONCAT (int16NDArray, int16_array_value);
+	  else if (result_type == "int32")
+	    DO_SINGLE_TYPE_CONCAT (int32NDArray, int32_array_value);
+	  else if (result_type == "int64")
+	    DO_SINGLE_TYPE_CONCAT (int64NDArray, int64_array_value);
+	  else if (result_type == "uint8")
+	    DO_SINGLE_TYPE_CONCAT (uint8NDArray, uint8_array_value);
+	  else if (result_type == "uint16")
+	    DO_SINGLE_TYPE_CONCAT (uint16NDArray, uint16_array_value);
+	  else if (result_type == "uint32")
+	    DO_SINGLE_TYPE_CONCAT (uint32NDArray, uint32_array_value);
+	  else if (result_type == "uint64")
+	    DO_SINGLE_TYPE_CONCAT (uint64NDArray, uint64_array_value);
 	  else
 	    {
-	      tmp = tmp.resize (dim_vector (0,0)).resize (dv);
-
-	      if (error_state)
-		return retval;
+	      // The lines below might seem crazy, since we take a copy
+	      // of the first argument, resize it to be empty and then resize
+	      // it to be full. This is done since it means that there is no
+	      // recopying of data, as would happen if we used a single resize.
+	      // It should be noted that resize operation is also significantly 
+	      // slower than the do_cat_op function, so it makes sense to have
+	      // an empty matrix and copy all data.
+	      //
+	      // We might also start with a empty octave_value using
+	      //   tmp = octave_value_typeinfo::lookup_type 
+	      //                                (args(1).type_name());
+	      // and then directly resize. However, for some types there might
+	      // be some additional setup needed, and so this should be avoided.
 
-	      int dv_len = dv.length ();
-	      Array<octave_idx_type> ra_idx (dv_len, 0);
+	      octave_value tmp;
 
-	      for (int j = i; j < n_args; j++)
+	      int i;
+	      for (i = 1; i < n_args; i++)
 		{
-		  if (args (j). dims (). any_zero ())
-		    continue;
+		  if (! args (i).all_zero_dims ())
+		    {
+		      tmp = args (i);
+		      break;
+		    }
+		}
 
-		  tmp = do_cat_op (tmp, args (j), ra_idx);
+	      if (i == n_args)
+		retval = Matrix ();
+	      else
+		{
+		  tmp = tmp.resize (dim_vector (0,0)).resize (dv);
 
 		  if (error_state)
 		    return retval;
 
-		  dim_vector dv_tmp = args (j).dims ();
+		  int dv_len = dv.length ();
+		  Array<octave_idx_type> ra_idx (dv_len, 0);
 
-		  if (dim >= dv_len)
+		  for (int j = i; j < n_args; j++)
 		    {
-		      if (j > i)
-			error ("%s: indexing error", fname.c_str ());
-		      break;
+		      if (args (j). dims (). any_zero ())
+			continue;
+
+		      tmp = do_cat_op (tmp, args (j), ra_idx);
+
+		      if (error_state)
+			return retval;
+
+		      dim_vector dv_tmp = args (j).dims ();
+
+		      if (dim >= dv_len)
+			{
+			  if (j > i)
+			    error ("%s: indexing error", fname.c_str ());
+			  break;
+			}
+		      else
+			ra_idx (dim) += (dim < dv_tmp.length () ? 
+					 dv_tmp (dim) : 1);
 		    }
-		  else
-		    ra_idx (dim) += (dim < dv_tmp.length () ? 
-				     dv_tmp (dim) : 1);
-		}
 
-	      retval = tmp;
+		  retval = tmp;
+		}
+	    }
+	  if (! error_state)
+	    {
+	      // Reshape, chopping trailing singleton dimensions
+	      dv.chop_trailing_singletons ();
+	      retval = retval.reshape (dv);
 	    }
 	}
       else
@@ -1392,7 +1524,7 @@ DEFUN (isinteger, args, ,
 @deftypefn {Built-in Function} {} isinteger (@var{x})\n\
 Return true if @var{x} is an integer object (int8, uint8, int16, etc.).\n\
 Note that @code{isinteger (14)} is false because numeric constants in\n\
-are double precision floating point values.\n\
+Octave are double precision floating point values.\n\
 @seealso{isreal, isnumeric, class, isa}\n\
 @end deftypefn")
 {
@@ -2538,7 +2670,7 @@ result is @var{m}-by-@var{m}.  If @var{m
 dimensions of the result are given by the elements of @var{m}.\n\
 If both @var{m} and @var{n} are scalars, then the dimensions of\n\
 the result are @var{m}-by-@var{n}.\n\
-@seealso{reshape}\n\
+@seealso{reshape, postpad}\n\
 @end deftypefn")
 {
   octave_value retval;
diff -pruN 1:3.0.1-6/src/debug.cc 1:3.0.5-6/src/debug.cc
--- 1:3.0.1-6/src/debug.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/debug.cc	2009-01-16 06:46:23.000000000 +0000
@@ -75,6 +75,10 @@ get_user_function (const std::string& fn
 
       if (ptr && ptr->is_user_function ())
 	{
+	  // Do a lookup on the symbol record to force an 
+	  // out of date check on the function
+	  lookup (ptr);
+
 	  octave_value tmp = ptr->def ();
 	  dbg_fcn = dynamic_cast<octave_user_function *> (tmp.function_value ());
 	}
@@ -241,7 +245,8 @@ bp_table::do_remove_breakpoint (const st
 
 
 bp_table::intmap
-bp_table::do_remove_all_breakpoints_in_file (const std::string& fname)
+bp_table::do_remove_all_breakpoints_in_file (const std::string& fname,
+					     bool silent)
 {
   intmap retval;
 
@@ -264,7 +269,7 @@ bp_table::do_remove_all_breakpoints_in_f
       if (it != bp_map.end ())
 	bp_map.erase (it);
     }
-  else
+  else if (! silent)
     error ("remove_all_breakpoint_in_file: "
 	   "unable to find the function requested\n");
 
@@ -310,16 +315,30 @@ bp_table::do_get_breakpoint_list (const 
       if (fname_list.length () == 0
 	  || do_find_bkpt_list (fname_list, it->first) != "")
 	{
-	  octave_value_list bkpts = it->second->body ()->list_breakpoints ();
+	  if (! fcn_out_of_date (it->second, it->second->fcn_file_name (), 
+				 it->second->time_parsed (). unix_time()))
+	    {
+	      octave_value_list bkpts = 
+		it->second->body ()->list_breakpoints ();
 
-	  octave_idx_type len = bkpts.length (); 
+	      octave_idx_type len = bkpts.length (); 
 
-	  bp_table::intmap bkpts_vec;
+	      if (len > 0)
+		{
+		  bp_table::intmap bkpts_vec;
 
-	  for (int i = 0; i < len; i++)
-	    bkpts_vec[i] = bkpts (i).double_value ();
+		  for (int i = 0; i < len; i++)
+		    bkpts_vec[i] = bkpts (i).double_value ();
 
-	  retval[it->first] = bkpts_vec;
+		  retval[it->first] = bkpts_vec;
+		}
+	    }
+	  else
+	    {
+	      symbol_record *sr = fbi_sym_tab->lookup (it->first);
+	      if (sr && sr->is_function ())
+		lookup (sr);
+	    }
 	}
     }
 
diff -pruN 1:3.0.1-6/src/debug.h 1:3.0.5-6/src/debug.h
--- 1:3.0.1-6/src/debug.h	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/debug.h	2009-01-16 06:46:23.000000000 +0000
@@ -85,10 +85,11 @@ public:
   }
 
   // Remove all the breakpoints in a specified file.
-  static intmap remove_all_breakpoints_in_file (const std::string& fname)
+  static intmap remove_all_breakpoints_in_file (const std::string& fname,
+						bool silent = false)
   {
     return instance_ok ()
-      ? instance->do_remove_all_breakpoints_in_file (fname) : intmap ();
+      ? instance->do_remove_all_breakpoints_in_file (fname, silent) : intmap ();
   }
   
   // Remove all the breakpoints registered with octave.
@@ -124,7 +125,8 @@ private:
 
   int do_remove_breakpoint (const std::string&, const intmap& lines);
 
-  intmap do_remove_all_breakpoints_in_file (const std::string& fname);
+  intmap do_remove_all_breakpoints_in_file (const std::string& fname, 
+					    bool silent);
 
   void do_remove_all_breakpoints (void);
 
diff -pruN 1:3.0.1-6/src/dirfns.cc 1:3.0.5-6/src/dirfns.cc
--- 1:3.0.1-6/src/dirfns.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/dirfns.cc	2009-01-16 06:46:24.000000000 +0000
@@ -257,16 +257,31 @@ message identifier.\n\
     {
       std::string msg;
 
-      int status = file_ops::mkdir (file_ops::tilde_expand (dirname),
-				    0777, msg);
+      dirname = file_ops::tilde_expand (dirname);
 
-      if (status < 0)
+      file_stat fs (dirname);
+
+      if (fs && fs.is_dir ())
 	{
+	  // For compatibility with Matlab, we return true when the
+	  // directory already exists.
+
 	  retval(2) = "mkdir";
-	  retval(1) = msg;
+	  retval(1) = "directory exists";
+	  retval(0) = true;
 	}
       else
-	retval(0) = true;
+	{
+	  int status = file_ops::mkdir (dirname, 0777, msg);
+
+	  if (status < 0)
+	    {
+	      retval(2) = "mkdir";
+	      retval(1) = msg;
+	    }
+	  else
+	    retval(0) = true;
+	}
     }
   else
     print_usage ();
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/besselj.cc 1:3.0.5-6/src/DLD-FUNCTIONS/besselj.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/besselj.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/besselj.cc	2009-02-18 06:57:47.000000000 +0000
@@ -287,21 +287,23 @@ Compute Bessel or Hankel functions of va
 \n\
 @table @code\n\
 @item besselj\n\
-Bessel functions of the first kind.\n\
+Bessel functions of the first kind. If the argument @var{opt} is supplied, \n\
+the result is multiplied by @code{exp(-abs(imag(x)))}.\n\
 @item bessely\n\
-Bessel functions of the second kind.\n\
+Bessel functions of the second kind. If the argument @var{opt} is supplied,\n\
+the result is multiplied by @code{exp(-abs(imag(x)))}.\n\
 @item besseli\n\
-Modified Bessel functions of the first kind.\n\
+Modified Bessel functions of the first kind.  If the argument @var{opt} is supplied,\n\
+the result is multiplied by @code{exp(-abs(real(x)))}.\n\
 @item besselk\n\
-Modified Bessel functions of the second kind.\n\
+Modified Bessel functions of the second kind.  If the argument @var{opt} is supplied,\n\
+the result is multiplied by @code{exp(x)}.\n\
 @item besselh\n\
 Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}\n\
- = 2) kind.\n\
-@end table\n\
-\n\
-If the argument @var{opt} is supplied, the result is scaled by the\n\
+= 2) kind. If the argument @var{opt} is supplied, the result is multiplied by\n\
 @code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for\n\
- @var{k} = 2.\n\
+@var{k} = 2.\n\
+@end table\n\
 \n\
 If @var{alpha} is a scalar, the result is the same size as @var{x}.\n\
 If @var{x} is a scalar, the result is the same size as @var{alpha}.\n\
@@ -504,6 +506,288 @@ return @code{NaN}.\n\
 }
 
 /*
+%! # Test values computed with GP/PARI version 2.3.3
+%!
+%!shared alpha, x, jx, yx, ix, kx, nix
+%!
+%! # Bessel functions, even order, positive and negative x
+%! alpha = 2; x = 1.25;
+%! jx = 0.1710911312405234823613091417;
+%! yx = -1.193199310178553861283790424;
+%! ix = 0.2220184483766341752692212604;
+%! kx = 0.9410016167388185767085460540;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%!assert(besselj(-alpha,x), jx, 100*eps) 
+%!assert(bessely(-alpha,x), yx, 100*eps)
+%!assert(besseli(-alpha,x), ix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(-alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! x *= -1;
+%! yx = -1.193199310178553861283790424 + 0.3421822624810469647226182835*I;
+%! kx = 0.9410016167388185767085460540 - 0.6974915263814386815610060884*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! # Bessel functions, odd order, positive and negative x
+%! alpha = 3; x = 2.5;
+%! jx = 0.2166003910391135247666890035;
+%! yx = -0.7560554967536709968379029772;
+%! ix = 0.4743704087780355895548240179;
+%! kx = 0.2682271463934492027663765197;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%!assert(besselj(-alpha,x), -jx, 100*eps) 
+%!assert(bessely(-alpha,x), -yx, 100*eps)
+%!assert(besseli(-alpha,x), ix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), -(jx + I*yx), 100*eps)
+%!assert(besselh(-alpha,2,x), -(jx - I*yx), 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), -jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), -yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), -(jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), -(jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! x *= -1;
+%! jx = -jx;
+%! yx = 0.7560554967536709968379029772 - 0.4332007820782270495333780070*I;
+%! ix = -ix;
+%! kx = -0.2682271463934492027663765197 - 1.490278591297463775542004240*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! # Bessel functions, fractional order, positive and negative x
+%!
+%! alpha = 3.5; x = 2.75;
+%! jx = 0.1691636439842384154644784389;
+%! yx = -0.8301381935499356070267953387;
+%! ix = 0.3930540878794826310979363668;
+%! kx = 0.2844099013460621170288192503;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! nix = 0.2119931212254662995364461998;
+%!
+%!assert(besselj(-alpha,x), yx, 100*eps) 
+%!assert(bessely(-alpha,x), -jx, 100*eps)
+%!assert(besseli(-alpha,x), nix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), -I*(jx + I*yx), 100*eps)
+%!assert(besselh(-alpha,2,x), I*(jx - I*yx), 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), yx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), -jx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), nix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), -I*(jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), I*(jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! x *= -1;
+%! jx *= -I;
+%! yx = -0.8301381935499356070267953387*I;
+%! ix *= -I;
+%! kx = -0.9504059335995575096509874508*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! # Bessel functions, even order, complex x
+%!
+%! alpha = 2; x = 1.25 + 3.625 * I;
+%! jx = -1.299533366810794494030065917 + 4.370833116012278943267479589*I;
+%! yx = -4.370357232383223896393056727 - 1.283083391453582032688834041*I;
+%! ix = -0.6717801680341515541002273932 - 0.2314623443930774099910228553*I;
+%! kx = -0.01108009888623253515463783379 + 0.2245218229358191588208084197*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%!assert(besselj(-alpha,x), jx, 100*eps) 
+%!assert(bessely(-alpha,x), yx, 100*eps)
+%!assert(besseli(-alpha,x), ix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(-alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! # Bessel functions, odd order, complex x
+%!
+%! alpha = 3; x = 2.5 + 1.875 * I;
+%! jx = 0.1330721523048277493333458596 + 0.5386295217249660078754395597*I;
+%! yx = -0.6485072392105829901122401551 + 0.2608129289785456797046996987*I;
+%! ix = -0.6182064685486998097516365709 + 0.4677561094683470065767989920*I;
+%! kx = -0.1568585587733540007867882337 - 0.05185853709490846050505141321*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%!assert(besselj(-alpha,x), -jx, 100*eps) 
+%!assert(bessely(-alpha,x), -yx, 100*eps)
+%!assert(besseli(-alpha,x), ix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), -(jx + I*yx), 100*eps)
+%!assert(besselh(-alpha,2,x), -(jx - I*yx), 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), -jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), -yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), -(jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), -(jx - I*yx)*exp(I*x), 100*eps)
+%!
+%! # Bessel functions, fractional order, complex x
+%!
+%! alpha = 3.5; x = 1.75 + 4.125 * I;
+%! jx = -3.018566131370455929707009100 - 0.7585648436793900607704057611*I;
+%! yx = 0.7772278839106298215614791107 - 3.018518722313849782683792010*I;
+%! ix = 0.2100873577220057189038160913 - 0.6551765604618246531254970926*I;
+%! kx = 0.1757147290513239935341488069 + 0.08772348296883849205562558311*I;
+%!
+%!assert(besselj(alpha,x), jx, 100*eps) 
+%!assert(bessely(alpha,x), yx, 100*eps)
+%!assert(besseli(alpha,x), ix, 100*eps)
+%!assert(besselk(alpha,x), kx, 100*eps) 
+%!assert(besselh(alpha,1,x), jx + I*yx, 100*eps)
+%!assert(besselh(alpha,2,x), jx - I*yx, 100*eps)
+%!
+%!assert(besselj(alpha,x,1), jx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(alpha,x,1), yx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(alpha,x,1), ix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(alpha,1,x,1), (jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(alpha,2,x,1), (jx - I*yx)*exp(I*x), 100*eps)
+%!
+%!  nix = 0.09822388691172060573913739253 - 0.7110230642207380127317227407*I;
+%!
+%!assert(besselj(-alpha,x), yx, 100*eps) 
+%!assert(bessely(-alpha,x), -jx, 100*eps)
+%!assert(besseli(-alpha,x), nix, 100*eps)
+%!assert(besselk(-alpha,x), kx, 100*eps) 
+%!assert(besselh(-alpha,1,x), -I*(jx + I*yx), 100*eps)
+%!assert(besselh(-alpha,2,x), I*(jx - I*yx), 100*eps)
+%!
+%!assert(besselj(-alpha,x,1), yx*exp(-abs(imag(x))), 100*eps) 
+%!assert(bessely(-alpha,x,1), -jx*exp(-abs(imag(x))), 100*eps)
+%!assert(besseli(-alpha,x,1), nix*exp(-abs(real(x))), 100*eps)
+%!assert(besselk(-alpha,x,1), kx*exp(x), 100*eps) 
+%!assert(besselh(-alpha,1,x,1), -I*(jx + I*yx)*exp(-I*x), 100*eps)
+%!assert(besselh(-alpha,2,x,1), I*(jx - I*yx)*exp(I*x), 100*eps)
+*/
+
+/*
 ;;; Local Variables: ***
 ;;; mode: C++ ***
 ;;; End: ***
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/cellfun.cc 1:3.0.5-6/src/DLD-FUNCTIONS/cellfun.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/cellfun.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/cellfun.cc	2009-01-16 06:46:23.000000000 +0000
@@ -535,8 +535,8 @@ cellfun (@@factorial, @{-1,2@},'ErrorHan
 DEFUN_DLD (num2cell, args, ,
   "-*- texinfo -*-\n\
 @deftypefn {Loadable Function} {@var{c} =} num2cell (@var{m})\n\
-@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{d})\n\
-Convert to matrix @var{m} into a cell array. If @var{d} is defined the\n\
+@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{dim})\n\
+Convert the matrix @var{m} into a cell array. If @var{dim} is defined, the\n\
 value @var{c} is of dimension 1 in this dimension and the elements of\n\
 @var{m} are placed in slices in @var{c}.\n\
 @seealso{mat2cell}\n\
@@ -633,7 +633,7 @@ DEFUN_DLD (mat2cell, args, ,
 @deftypefn {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{m}, @var{n})\n\
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{d1}, @var{d2}, @dots{})\n\
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{r})\n\
-Converts the matrix @var{a} to a cell array If @var{a} is 2-D, then\n\
+Convert the matrix @var{a} to a cell array. If @var{a} is 2-D, then\n\
 it is required that @code{sum (@var{m}) == size (@var{a}, 1)} and\n\
 @code{sum (@var{n}) == size (@var{a}, 2)}. Similarly, if @var{a} is\n\
 a multi-dimensional and the number of dimensional arguments is equal\n\
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/fftw.cc 1:3.0.5-6/src/DLD-FUNCTIONS/fftw.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/fftw.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/fftw.cc	2009-01-16 06:46:23.000000000 +0000
@@ -42,17 +42,19 @@ DEFUN_DLD (fftw, args, ,
 \n\
 Manage FFTW wisdom data. Wisdom data can be used to significantly\n\
 accelerate the calculation of the FFTs but implies an initial cost\n\
-in its calculation. The wisdom used by Octave can be imported directly,\n\
-usually from a file /etc/fftw/wisdom, or @dfn{fftw} can be used\n\
-to import wisdom. For example\n\
+in its calculation. When the FFTW libraries are initialized, they read\n\
+a system wide wisdom file (typically in @file{/etc/fftw/wisdom}), allowing wisdom\n\
+to be shared between applications other than Octave. Alternatively, the\n\
+@code{fftw} function can be used to import wisdom. For example\n\
 \n\
 @example\n\
 @var{wisdom} = fftw ('dwisdom')\n\
 @end example\n\
 \n\
 will save the existing wisdom used by Octave to the string @var{wisdom}.\n\
-This string can then be saved in the usual manner. This existing wisdom\n\
-can be reimported as follows\n\
+This string can then be saved to a file and restored using the @code{save}\n\
+and @code{load} commands respectively. This existing wisdom can be reimported\n\
+as follows\n\
 \n\
 @example\n\
 fftw ('dwisdom', @var{wisdom})\n\
@@ -62,7 +64,7 @@ If @var{wisdom} is an empty matrix, then
 \n\
 During the calculation of fourier transforms further wisdom is generated.\n\
 The fashion in which this wisdom is generated is equally controlled by\n\
-the @dfn{fftw} function. There are five different manners in which the\n\
+the @code{fftw} function. There are five different manners in which the\n\
 wisdom can be treated, these being\n\
 \n\
 @table @asis\n\
@@ -105,10 +107,8 @@ fftw ('planner', @var{method})\n\
 \n\
 Note that calculated wisdom will be lost when restarting Octave. However,\n\
 the wisdom data can be reloaded if it is saved to a file as described\n\
-above.  Also, any system-wide wisdom file that has been found will\n\
-also be used. Saved wisdom files should not be used on different\n\
-platforms since they will not be efficient and the point of calculating\n\
-the wisdom is lost.\n\
+above. Saved wisdom files should not be used on different platforms since\n\
+they will not be efficient and the point of calculating the wisdom is lost.\n\
 @seealso{fft, ifft, fft2, ifft2, fftn, ifftn}\n\
 @end deftypefn")
 {
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/__glpk__.cc 1:3.0.5-6/src/DLD-FUNCTIONS/__glpk__.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/__glpk__.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/__glpk__.cc	2009-01-16 06:46:23.000000000 +0000
@@ -575,7 +575,7 @@ Undocumented internal function.\n\
   //--            bound on each of the variables.
   Matrix LB (args(3).matrix_value ());
 
-  if (error_state)
+  if (error_state || LB.length () < mrowsc)
     {
       error ("__glpk__: invalid value of lb");
       return retval;
@@ -600,7 +600,7 @@ Undocumented internal function.\n\
   //--            bound on each of the variables.
   Matrix UB (args(4).matrix_value ());
 
-  if (error_state)
+  if (error_state || UB.length () < mrowsc)
     {
       error ("__glpk__: invalid value of ub");
       return retval;
@@ -801,11 +801,11 @@ Undocumented internal function.\n\
   OCTAVE_GLPK_GET_REAL_PARAM ("tolobj", 9);
 
   //-- Assign pointers to the output parameters
-  ColumnVector xmin (mrowsc);
-  ColumnVector fmin (1);
+  ColumnVector xmin (mrowsc, octave_NA);
+  ColumnVector fmin (1, octave_NA);
   ColumnVector status (1);
-  ColumnVector lambda (mrowsA);
-  ColumnVector redcosts (mrowsc);
+  ColumnVector lambda (mrowsA, octave_NA);
+  ColumnVector redcosts (mrowsc, octave_NA);
   ColumnVector time (1);
   ColumnVector mem (1);
 
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/matrix_type.cc 1:3.0.5-6/src/DLD-FUNCTIONS/matrix_type.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/matrix_type.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/matrix_type.cc	2009-02-18 06:57:47.000000000 +0000
@@ -99,7 +99,7 @@ and so it is entirely the responsibility
 matrix type.\n\
 \n\
 Also the test for positive definiteness is a low cost test for a hermitian\n\
-matrix with a real positive diagonal. This does not guarentee that the matrix\n\
+matrix with a real positive diagonal. This does not guarantee that the matrix\n\
 is positive definite, but only that it is a probable candidate. When such a\n\
 matrix is factorized, a Cholesky factorization is first attempted, and if\n\
 that fails the matrix is then treated with an LU factorization. Once the\n\
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/__qp__.cc 1:3.0.5-6/src/DLD-FUNCTIONS/__qp__.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/__qp__.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/__qp__.cc	2009-02-18 06:57:47.000000000 +0000
@@ -233,6 +233,9 @@ qp (const Matrix& H, const ColumnVector&
 	  // FIXME -- still remain to handle the case of
 	  // non-full rank active set matrix.
 
+	  // Computing the Y matrix (orthogonal to Z)
+	  Y = Aact.pseudo_inverse ();
+
 	  // Reduced Hessian
 	  Matrix Zt = Z.transpose ();
 	  Matrix rH = Zt * H * Z;
@@ -327,7 +330,6 @@ qp (const Matrix& H, const ColumnVector&
 	      // Computing the multipliers only for the inequality
 	      // constraints that are active.  We do NOT compute
 	      // multipliers for the equality constraints.
- 	      Y = Aact.pseudo_inverse ();
 	      Matrix Yt = Y.transpose ();
 	      Yt = Yt.extract_n (n_eq, 0, n_act-n_eq, n);
 	      lambda_tmp = Yt * (g + H * p);
@@ -355,6 +357,7 @@ qp (const Matrix& H, const ColumnVector&
 		  // At least one multiplier is negative, we
 		  // remove it from the set.
 
+		  n_act--;
 		  for (octave_idx_type i = which_eig; i < n_act - n_eq; i++)
 		    {
 		      Wact(i) = Wact(i+1);
@@ -362,7 +365,6 @@ qp (const Matrix& H, const ColumnVector&
 			Aact(n_eq+i,j) = Aact(n_eq+i+1,j);
 		      bact(n_eq+i) = bact(n_eq+i+1);
 		    }
-		  n_act--;
 
 		  // Resizing the active set.
 		  Wact.resize (n_act-n_eq);
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/rand.cc 1:3.0.5-6/src/DLD-FUNCTIONS/rand.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/rand.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/rand.cc	2009-02-18 06:57:47.000000000 +0000
@@ -341,7 +341,7 @@ By default, the generator is initialized
 available, otherwise from cpu time, wall clock time and the current\n\
 fraction of a second.\n\
 \n\
-To compute the psuedo-random sequence, @code{rand} uses the Mersenne\n\
+To compute the pseudo-random sequence, @code{rand} uses the Mersenne\n\
 Twister with a period of 2^19937-1 (See M. Matsumoto and T. Nishimura,\n\
 ``Mersenne Twister: A 623-dimensionally\n\
 equidistributed uniform pseudorandom number generator'', ACM Trans. on\n\
@@ -471,8 +471,9 @@ DEFUN_DLD (randn, args, ,
 @deftypefnx {Loadable Function} {} randn (@var{n}, @var{m})\n\
 @deftypefnx {Loadable Function} {} randn (\"state\", @var{x})\n\
 @deftypefnx {Loadable Function} {} randn (\"seed\", @var{x})\n\
-Return a matrix with normally distributed random elements. The\n\
-arguments are handled the same as the arguments for @code{rand}.\n\
+Return a matrix with normally distributed pseudo-random\n\
+elements having zero mean and variance one. The arguments are\n\
+handled the same as the arguments for @code{rand}.\n\
 \n\
 By default, @code{randn} uses a Marsaglia and Tsang Ziggurat technique to\n\
 transform from a uniform to a normal distribution. (G. Marsaglia and\n\
@@ -883,7 +884,7 @@ Stadlober E., et al., WinRand source cod
 @item For matrix @var{l} > 10, use patchwork rejection method.\n\
 Stadlober E., et al., WinRand source code, available via FTP, or\n\
 H. Zechner, 'Efficient sampling from continuous and discrete\n\
-unimodal distributions', Doctoral Dissertaion, 156pp., Technical\n\
+unimodal distributions', Doctoral Dissertation, 156pp., Technical\n\
 University Graz, Austria, 1994.\n\
 @item For @var{l} > 1e8, use normal approximation.\n\
 L. Montanet, et al., 'Review of Particle Properties', Physical Review\n\
@@ -937,7 +938,7 @@ D 50 p1284, 1994\n\
 %!test
 %! % Test fixed state
 %! randp("state",1);
-%! assert(randp(1e9,1,6),[999915677 999976657 1000047684 1000019035 999985749 999977692],1e-6)
+%! assert(randp(1e9,1,6),[999915677 999976657 1000047684 1000019035 999985749 999977692],-1e-6)
 %!test
 %! % Test fixed state
 %! randp("seed",1);
@@ -950,7 +951,7 @@ D 50 p1284, 1994\n\
 %!test
 %! % Test fixed state
 %! randp("seed",1);
-%! assert(randp(1e9,1,6),[1000006208 1000012224 999981120 999963520 999963072 999981440])
+%! assert(randp(1e9,1,6),[1000006208 1000012224 999981120 999963520 999963072 999981440],-1e-6)
 %!test
 %! if (__random_statistical_tests__)
 %!   % statistical tests may fail occasionally.
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/regexp.cc 1:3.0.5-6/src/DLD-FUNCTIONS/regexp.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/regexp.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/regexp.cc	2009-01-16 06:46:23.000000000 +0000
@@ -52,6 +52,10 @@ along with Octave; see the file COPYING.
 #include <regex.h>
 #endif
 
+// Define the maximum number of retries for a pattern that 
+// possibly results in an infinite recursion.
+#define PCRE_MATCHLIMIT_MAX 10
+
 // The regexp is constructed as a linked list to avoid resizing the
 // return values in arrays at each new match.
 
@@ -80,22 +84,28 @@ public:
 
 typedef std::list<regexp_elem>::const_iterator const_iterator;
 
+#define MAXLOOKBEHIND 10
+static bool lookbehind_warned = false;
+
 static int
 octregexp_list (const octave_value_list &args, const std::string &nm, 
 		bool case_insensitive, std::list<regexp_elem> &lst, 
-		string_vector &named, int &nopts)
+		string_vector &named, int &nopts, bool &once)
 {
   int sz = 0;
 #if defined (HAVE_REGEX) || defined (HAVE_PCRE) 
   int nargin = args.length();
-  bool once = false;
   bool lineanchors = false;
   bool dotexceptnewline = false;
   bool freespacing = false;
 
   nopts = nargin - 2;
+  once = false;
 
   std::string buffer = args(0).string_value ();
+  size_t max_length = (buffer.length () > MAXLOOKBEHIND ? 
+		       MAXLOOKBEHIND: buffer.length ());
+
   if (error_state)
     {
       gripe_wrong_type_arg (nm.c_str(), args(0));
@@ -190,12 +200,6 @@ octregexp_list (const octave_value_list 
 
       // named tokens "(?<name>...)" are only treated with PCRE not regex.
 #if HAVE_PCRE
-      // The syntax of named tokens in pcre is "(?P<name>...)" while we need
-      // a syntax "(?<name>...)", so fix that here. Also an expression like
-      // "(?<first>\w+)\s+(?<last>\w+)|(?<last>\w+),\s+(?<first>\w+)" should
-      // be perfectly legal, while pcre does not allow the same named token
-      // name on both sides of the alternative. Also fix that here by replacing
-      // name tokens by dummy names, and dealing with the dummy names later.
       
       size_t pos = 0;
       size_t new_pos;
@@ -204,44 +208,131 @@ octregexp_list (const octave_value_list 
       std::ostringstream buf;
       Array<int> named_idx;
 
-      while ((new_pos = pattern.find ("(?<",pos)) != NPOS)
+      while ((new_pos = pattern.find ("(?",pos)) != NPOS)
 	{
-	  size_t tmp_pos = pattern.find_first_of ('>',new_pos);
-
-	  if (tmp_pos == NPOS)
+	  if (pattern.at (new_pos + 2) == '<' &&  
+	      !(pattern.at (new_pos + 3) == '=' ||
+		pattern.at (new_pos + 3) == '!'))
 	    {
-	      error ("syntax error in pattern");
-	      break;
+	      // The syntax of named tokens in pcre is "(?P<name>...)" while
+	      // we need a syntax "(?<name>...)", so fix that here. Also an 
+	      // expression like 
+	      // "(?<first>\w+)\s+(?<last>\w+)|(?<last>\w+),\s+(?<first>\w+)" 
+	      // should be perfectly legal, while pcre does not allow the same
+	      // named token name on both sides of the alternative. Also fix
+	      // that here by replacing name tokens by dummy names, and dealing
+	      // with the dummy names later.
+
+	      size_t tmp_pos = pattern.find_first_of ('>',new_pos);
+
+	      if (tmp_pos == NPOS)
+		{
+		  error ("syntax error in pattern");
+		  break;
+		}
+
+	      std::string tmp_name = 
+		pattern.substr(new_pos+3,tmp_pos-new_pos-3);
+	      bool found = false;
+
+	      for (int i = 0; i < nnames; i++)
+		if (named(i) == tmp_name)
+		  {
+		    named_idx.resize(inames+1);
+		    named_idx(inames) = i;
+		    found = true;
+		    break;
+		  }
+	      if (! found)
+		{
+		  named_idx.resize(inames+1);
+		  named_idx(inames) = nnames;
+		  named.append(tmp_name);
+		  nnames++;
+		}
+
+	      if (new_pos - pos > 0)
+		buf << pattern.substr(pos,new_pos-pos);
+	      if (inames < 10)
+		buf << "(?P<n00" << inames++;
+	      else if (inames < 100)
+		buf << "(?P<n0" << inames++;
+	      else
+		buf << "(?P<n" << inames++;
+	      pos = tmp_pos;
 	    }
+	  else if (pattern.at (new_pos + 2) == '<')
+	    {
+	      // Find lookbehind operators of arbitrary length (ie like 
+	      // "(?<=[a-z]*)") and replace with a maximum length operator 
+	      // as PCRE can not yet handle arbitrary length lookahead 
+	      // operators. Use the string length as the maximum length to 
+	      // avoid issues.
+
+	      int brackets = 1;
+	      size_t tmp_pos1 = new_pos + 2;
+	      size_t tmp_pos2 = tmp_pos1;
+	      while (tmp_pos1 <= pattern.length () && brackets > 0)
+		{
+		  char ch = pattern.at (tmp_pos1);
+		  if (ch == '(')
+		    brackets++;
+		  else if (ch == ')')
+		    {
+		      if (brackets > 1)
+			tmp_pos2 = tmp_pos1;
 
-	  std::string tmp_name = pattern.substr(new_pos+3,tmp_pos-new_pos-3);
-	  bool found = false;
+		      brackets--;
+		    }
+		  tmp_pos1++;
+		}
 
-	  for (int i = 0; i < nnames; i++)
-	    if (named(i) == tmp_name)
-	      {
-		named_idx.resize(inames+1);
-		named_idx(inames) = i;
-		found = true;
-		break;
-	      }
-	  if (! found)
+	      if (brackets != 0)
+		{
+		  buf << pattern.substr (pos, new_pos - pos) << "(?";
+		  pos = new_pos + 2;
+		}
+	      else
+		{
+		  size_t tmp_pos3 = pattern.find_first_of ("*+", tmp_pos2);
+		  if (tmp_pos3 != NPOS && tmp_pos3 < tmp_pos1)
+		    {
+		      if (!lookbehind_warned)
+			{
+			  lookbehind_warned = true;
+			  warning ("%s: arbitrary length lookbehind patterns are only support up to length %d", nm.c_str(), MAXLOOKBEHIND);
+			}
+
+		      buf << pattern.substr (pos, new_pos - pos) << "(";
+
+		      size_t i;
+		      if (pattern.at (tmp_pos3) == '*')
+			i = 0;
+		      else
+			i = 1;
+
+		      for (; i < max_length + 1; i++)
+			{
+			  buf <<pattern.substr(new_pos, tmp_pos3 - new_pos)
+			      << "{" << i << "}";
+			  buf << pattern.substr(tmp_pos3 + 1, 
+						tmp_pos1 - tmp_pos3 - 1);
+			  if (i != max_length)
+			    buf << "|";
+			}
+		      buf << ")";
+		    }
+		  else
+		    buf << pattern.substr (pos, tmp_pos1 - pos);
+		  pos = tmp_pos1;
+		}
+	    }
+	  else
 	    {
-	      named_idx.resize(inames+1);
-	      named_idx(inames) = nnames;
-	      named.append(tmp_name);
-	      nnames++;
+	      buf << pattern.substr (pos, new_pos - pos) << "(?";
+	      pos = new_pos + 2;
 	    }
 
-	  if (new_pos - pos > 0)
-	    buf << pattern.substr(pos,new_pos-pos);
-	  if (inames < 10)
-	    buf << "(?P<n00" << inames++;
-	  else if (inames < 100)
-	    buf << "(?P<n0" << inames++;
-	  else
-	    buf << "(?P<n" << inames++;
-	  pos = tmp_pos;
 	}
 
       buf << pattern.substr(pos);
@@ -298,9 +389,31 @@ octregexp_list (const octave_value_list 
 				  (idx ? PCRE_NOTBOL : 0),
 				  ovector, (subpatterns+1)*3);
 
+	  if (matches == PCRE_ERROR_MATCHLIMIT)
+	    {
+	      // try harder; start with default value for MATCH_LIMIT and increase it
+	      warning("Your pattern caused PCRE to hit its MATCH_LIMIT.\nTrying harder now, but this will be slow.");
+	      pcre_extra pe;
+	      pcre_config(PCRE_CONFIG_MATCH_LIMIT, static_cast <void *> (&pe.match_limit));
+	      pe.flags = PCRE_EXTRA_MATCH_LIMIT;
+
+	      int i = 0;
+	      while (matches == PCRE_ERROR_MATCHLIMIT &&
+		     i++ < PCRE_MATCHLIMIT_MAX)
+		{
+		  OCTAVE_QUIT;
+
+		  pe.match_limit *= 10;
+		  matches = pcre_exec(re, &pe, buffer.c_str(), 
+				      buffer.length(), idx, 
+				      (idx ? PCRE_NOTBOL : 0),
+				      ovector, (subpatterns+1)*3);
+		}
+	    }
+
 	  if (matches < 0 && matches != PCRE_ERROR_NOMATCH)
 	    {
-	      error ("%s: internal error calling pcre_exec", nm.c_str());
+	      error ("%s: internal error calling pcre_exec\nError code from pcre_exec is %i", nm.c_str(), matches);
 	      pcre_free(re);
 	      return 0;
 	    }
@@ -451,7 +564,8 @@ octregexp (const octave_value_list &args
   std::list<regexp_elem> lst;
   string_vector named;
   int nopts;
-  int sz = octregexp_list (args, nm, case_insensitive, lst, named, nopts);
+  bool once;
+  int sz = octregexp_list (args, nm, case_insensitive, lst, named, nopts, once);
 
   if (! error_state)
     {
@@ -482,36 +596,70 @@ octregexp (const octave_value_list &args
       retval(5) = Octave_map();
 #endif
 
-      Cell t (dim_vector(1, sz));
-      i = 0;
-      for (const_iterator p = lst.begin(); p != lst.end(); p++)
-	t(i++) = p->t;
-      retval(4) = t;
-
-      Cell m (dim_vector(1, sz));
-      i = 0;
-      for (const_iterator p = lst.begin(); p != lst.end(); p++)
-	m(i++) = p->m;
-      retval(3) = m;
-
-
-      Cell te (dim_vector(1, sz));
-      i = 0;
-      for (const_iterator p = lst.begin(); p != lst.end(); p++)
-	te(i++) = p->te;
-      retval(2) = te;
+      if (once)
+        retval(4) = sz ? lst.front ().t : Cell();
+      else
+        {
+          Cell t (dim_vector(1, sz));
+          i = 0;
+          for (const_iterator p = lst.begin(); p != lst.end(); p++)
+            t(i++) = p->t;
+          retval(4) = t;
+        }
 
-      NDArray e (dim_vector(1, sz));
-      i = 0;
-      for (const_iterator p = lst.begin(); p != lst.end(); p++)
-	e(i++) = p->e;
-      retval(1) = e;
+      if (once)
+        retval(3) = sz ? lst.front ().m : std::string();
+      else
+        {
+          Cell m (dim_vector(1, sz));
+          i = 0;
+          for (const_iterator p = lst.begin(); p != lst.end(); p++)
+            m(i++) = p->m;
+          retval(3) = m;
+        }
 
+      if (once)
+        retval(2) = sz ? lst.front ().te : Matrix();
+      else
+        {
+          Cell te (dim_vector(1, sz));
+          i = 0;
+          for (const_iterator p = lst.begin(); p != lst.end(); p++)
+            te(i++) = p->te;
+          retval(2) = te;
+        }
+
+      if (once)
+        {
+          if (sz)
+            retval(1) = lst.front ().e;
+          else
+            retval(1) = Matrix();
+        }
+      else
+        {
+          NDArray e (dim_vector(1, sz));
+          i = 0;
+          for (const_iterator p = lst.begin(); p != lst.end(); p++)
+            e(i++) = p->e;
+          retval(1) = e;
+        }
+
+      if (once)
+        {
+          if (sz)
+            retval(0) = lst.front ().s;
+          else
+            retval(0) = Matrix();
+        }
+      else
+        {
       NDArray s (dim_vector(1, sz));
       i = 0;
       for (const_iterator p = lst.begin(); p != lst.end(); p++)
 	s(i++) = p->s;
       retval(0) = s;
+        }
 
       // Alter the order of the output arguments
       if (nopts > 0)
@@ -862,6 +1010,17 @@ The pattern is taken literally.\n\
 
 /*
 
+## PCRE_ERROR_MATCHLIMIT test
+%!test
+%! s=sprintf('\t4\n0000\t-0.00\t-0.0000\t4\t-0.00\t-0.0000\t4\n0000\t-0.00\t-0.0000\t0\t-0.00\t-');
+%! ws = warning("query");
+%! unwind_protect
+%!   warning("off");
+%!   regexp(s, '(\s*-*\d+[.]*\d*\s*)+\n');
+%! unwind_protect_cleanup
+%!   warning(ws);
+%! end_unwind_protect
+
 ## seg-fault test
 %!assert(regexp("abcde","."),[1,2,3,4,5])
 
@@ -911,21 +1070,17 @@ The pattern is taken literally.\n\
 %! [s, e, te, m, t] = regexp('short test string','\w*r\w*','once');
 %! assert (s,1)
 %! assert (e,5)
-%! assert (size(te), [1,1])
-%! assert (isempty(te{1}))
-%! assert (m{1},'short')
-%! ## Matlab gives [1,0] here but that seems wrong.
-%! assert (size(t), [1,1])
+%! assert (isempty(te))
+%! assert (m,'short')
+%! assert (isempty(t))
 
 %!test
 %! [m, te, e, s, t] = regexp('short test string','\w*r\w*','once', 'match', 'tokenExtents', 'end', 'start', 'tokens');
 %! assert (s,1)
 %! assert (e,5)
-%! assert (size(te), [1,1])
-%! assert (isempty(te{1}))
-%! assert (m{1},'short')
-%! ## Matlab gives [1,0] here but that seems wrong.
-%! assert (size(t), [1,1])
+%! assert (isempty(te))
+%! assert (m,'short')
+%! assert (isempty(t))
 
 %!testif HAVE_PCRE
 %! ## This test is expected to fail if PCRE is not installed
@@ -1011,6 +1166,16 @@ The pattern is taken literally.\n\
 %!assert(regexp({'asdfg-dfd';'-dfd-dfd-';'qasfdfdaq'},{'-';'f';'q'}),{6;[3,7];[1,9]})
 %!assert(regexp('Strings',{'t','s'}),{2,7})
 
+## Test case for lookaround operators
+%!assert(regexp('Iraq','q(?!u)'),4)
+%!assert(regexp('quit','q(?!u)'), zeros(1,0))
+%!assert(regexp('quit','q(?=u)','match'), {'q'})
+%!assert(regexp("quit",'q(?=u+)','match'), {'q'})
+%!assert(regexp("qit",'q(?=u+)','match'), cell(1,0))
+%!assert(regexp("qit",'q(?=u*)','match'), {'q'})
+
+%!assert(regexp('thingamabob','(?<=a)b'), 9)
+
 */
 
 DEFUN_DLD (regexpi, args, nargout,
@@ -1087,21 +1252,17 @@ if there are none. See @code{regexp} for
 %! [s, e, te, m, t] = regexpi('ShoRt Test String','\w*r\w*','once');
 %! assert (s,1)
 %! assert (e,5)
-%! assert (size(te), [1,1])
-%! assert (isempty(te{1}))
-%! assert (m{1},'ShoRt')
-%! ## Matlab gives [1,0] here but that seems wrong.
-%! assert (size(t), [1,1])
+%! assert (isempty(te))
+%! assert (m,'ShoRt')
+%! assert (isempty(t))
 
 %!test
 %! [m, te, e, s, t] = regexpi('ShoRt Test String','\w*r\w*','once', 'match', 'tokenExtents', 'end', 'start', 'tokens');
 %! assert (s,1)
 %! assert (e,5)
-%! assert (size(te), [1,1])
-%! assert (isempty(te{1}))
-%! assert (m{1},'ShoRt')
-%! ## Matlab gives [1,0] here but that seems wrong.
-%! assert (size(t), [1,1])
+%! assert (isempty(te))
+%! assert (m,'ShoRt')
+%! assert (isempty(t))
 
 %!testif HAVE_PCRE
 %! ## This test is expected to fail if PCRE is not installed
@@ -1237,7 +1398,8 @@ octregexprep (const octave_value_list &a
       std::list<regexp_elem> lst;
       string_vector named;
       int nopts;
-      int sz = octregexp_list (regexpargs, nm , false, lst, named, nopts);
+      bool once;
+      int sz = octregexp_list (regexpargs, nm , false, lst, named, nopts, once);
 
       if (error_state)
 	return retval;
@@ -1323,7 +1485,8 @@ octregexprep (const octave_value_list &a
       std::list<regexp_elem> lst;
       string_vector named;
       int nopts;
-      int sz = octregexp_list (regexpargs, nm, false, lst, named,nopts);
+      bool once;
+      int sz = octregexp_list (regexpargs, nm, false, lst, named, nopts, once);
 
       if (error_state)
 	return retval;
@@ -1540,6 +1703,9 @@ Alternatively, use (?x) or (?-x) in the 
 %!assert(regexprep({"abc","cba"},"b","?"),{"a?c","c?a"})
 %!assert(regexprep({"abc","cba"},{"b","a"},{"?","!"}),{"!?c","c?!"})
 
+# Nasty lookbehind expression
+%!assert(regexprep('x^(-1)+y(-1)+z(-1)=0','(?<=[a-z]+)\(\-[1-9]*\)','_minus1'),'x^(-1)+y_minus1+z_minus1=0')
+
 */
 
 /*
diff -pruN 1:3.0.1-6/src/DLD-FUNCTIONS/typecast.cc 1:3.0.5-6/src/DLD-FUNCTIONS/typecast.cc
--- 1:3.0.1-6/src/DLD-FUNCTIONS/typecast.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/DLD-FUNCTIONS/typecast.cc	2009-01-16 06:46:23.000000000 +0000
@@ -125,7 +125,7 @@ typecast (const T& x, std::string type)
 DEFUN_DLD (typecast, args, ,
   " -*- texinfo -*-\n\
 @deftypefn {Loadable Function} {} typecast (@var{x}, @var{type})\n\
-Converts from one datatype to another without changing the underlying\n\
+Convert from one datatype to another without changing the underlying\n\
 data. The argument @var{type} defines the type of the return argument\n\
 and must be one of 'uint8', 'uint16', 'uint32', 'uint64', 'int8', 'int16',\n\
 'int32', 'int64', 'single' or 'double'.\n\
diff -pruN 1:3.0.1-6/src/DOCSTRINGS 1:3.0.5-6/src/DOCSTRINGS
--- 1:3.0.1-6/src/DOCSTRINGS	2008-04-21 17:56:24.000000000 +0100
+++ 1:3.0.5-6/src/DOCSTRINGS	2009-03-27 11:52:49.000000000 +0000
@@ -260,21 +260,23 @@ Compute Bessel or Hankel functions of va
 
 @table @code
 @item besselj
-Bessel functions of the first kind.
+Bessel functions of the first kind. If the argument @var{opt} is supplied, 
+the result is multiplied by @code{exp(-abs(imag(x)))}.
 @item bessely
-Bessel functions of the second kind.
+Bessel functions of the second kind. If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(imag(x)))}.
 @item besseli
-Modified Bessel functions of the first kind.
+Modified Bessel functions of the first kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(-abs(real(x)))}.
 @item besselk
-Modified Bessel functions of the second kind.
+Modified Bessel functions of the second kind.  If the argument @var{opt} is supplied,
+the result is multiplied by @code{exp(x)}.
 @item besselh
 Compute Hankel functions of the first (@var{k} = 1) or second (@var{k}
- = 2) kind.
-@end table
-
-If the argument @var{opt} is supplied, the result is scaled by the
+= 2) kind. If the argument @var{opt} is supplied, the result is multiplied by
 @code{exp (-I*@var{x})} for @var{k} = 1 or @code{exp (I*@var{x})} for
- @var{k} = 2.
+@var{k} = 2.
+@end table
 
 If @var{alpha} is a scalar, the result is the same size as @var{x}.
 If @var{x} is a scalar, the result is the same size as @var{alpha}.
@@ -446,7 +448,7 @@ bitshift (10, [-2, -1, 0, 1, 2])
 -*- texinfo -*-
 @deftypefn {Built-in Function} {} bitmax ()
 Return the largest integer that can be represented as a floating point
-value.  On IEEE-754 compatiable systems, @code{bitmax} is @code{2^53 - 1}.
+value.  On IEEE-754 compatible systems, @code{bitmax} is @code{2^53 - 1}.
 @end deftypefn
 intmax
 -*- texinfo -*-
@@ -756,8 +758,8 @@ cellfun (@@factorial, @{-1,2@},'ErrorHan
 num2cell
 -*- texinfo -*-
 @deftypefn {Loadable Function} {@var{c} =} num2cell (@var{m})
-@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{d})
-Convert to matrix @var{m} into a cell array. If @var{d} is defined the
+@deftypefnx {Loadable Function} {@var{c} =} num2cell (@var{m}, @var{dim})
+Convert the matrix @var{m} into a cell array. If @var{dim} is defined, the
 value @var{c} is of dimension 1 in this dimension and the elements of
 @var{m} are placed in slices in @var{c}.
 @seealso{mat2cell}
@@ -767,7 +769,7 @@ value @var{c} is of dimension 1 in this 
 @deftypefn {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{m}, @var{n})
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{d1}, @var{d2}, @dots{})
 @deftypefnx {Loadable Function} {@var{b} =} mat2cell (@var{a}, @var{r})
-Converts the matrix @var{a} to a cell array If @var{a} is 2-D, then
+Convert the matrix @var{a} to a cell array. If @var{a} is 2-D, then
 it is required that @code{sum (@var{m}) == size (@var{a}, 1)} and
 @code{sum (@var{n}) == size (@var{a}, 2)}. Similarly, if @var{a} is
 a multi-dimensional and the number of dimensional arguments is equal
@@ -1903,7 +1905,7 @@ Return true if @var{x} is a logical obje
 @deftypefn {Built-in Function} {} isinteger (@var{x})
 Return true if @var{x} is an integer object (int8, uint8, int16, etc.).
 Note that @code{isinteger (14)} is false because numeric constants in
-are double precision floating point values.
+Octave are double precision floating point values.
 @seealso{isreal, isnumeric, class, isa}
 @end deftypefn
 iscomplex
@@ -2233,7 +2235,7 @@ result is @var{m}-by-@var{m}.  If @var{m
 dimensions of the result are given by the elements of @var{m}.
 If both @var{m} and @var{n} are scalars, then the dimensions of
 the result are @var{m}-by-@var{n}.
-@seealso{reshape}
+@seealso{reshape, postpad}
 @end deftypefn
 reshape
 -*- texinfo -*-
@@ -3175,17 +3177,19 @@ is resized and padded with zeros.
 
 Manage FFTW wisdom data. Wisdom data can be used to significantly
 accelerate the calculation of the FFTs but implies an initial cost
-in its calculation. The wisdom used by Octave can be imported directly,
-usually from a file /etc/fftw/wisdom, or @dfn{fftw} can be used
-to import wisdom. For example
+in its calculation. When the FFTW libraries are initialized, they read
+a system wide wisdom file (typically in @file{/etc/fftw/wisdom}), allowing wisdom
+to be shared between applications other than Octave. Alternatively, the
+@code{fftw} function can be used to import wisdom. For example
 
 @example
 @var{wisdom} = fftw ('dwisdom')
 @end example
 
 will save the existing wisdom used by Octave to the string @var{wisdom}.
-This string can then be saved in the usual manner. This existing wisdom
-can be reimported as follows
+This string can then be saved to a file and restored using the @code{save}
+and @code{load} commands respectively. This existing wisdom can be reimported
+as follows
 
 @example
 fftw ('dwisdom', @var{wisdom})
@@ -3195,7 +3199,7 @@ If @var{wisdom} is an empty matrix, then
 
 During the calculation of fourier transforms further wisdom is generated.
 The fashion in which this wisdom is generated is equally controlled by
-the @dfn{fftw} function. There are five different manners in which the
+the @code{fftw} function. There are five different manners in which the
 wisdom can be treated, these being
 
 @table @asis
@@ -3238,10 +3242,8 @@ fftw ('planner', @var{method})
 
 Note that calculated wisdom will be lost when restarting Octave. However,
 the wisdom data can be reloaded if it is saved to a file as described
-above.  Also, any system-wide wisdom file that has been found will
-also be used. Saved wisdom files should not be used on different
-platforms since they will not be efficient and the point of calculating
-the wisdom is lost.
+above. Saved wisdom files should not be used on different platforms since
+they will not be efficient and the point of calculating the wisdom is lost.
 @seealso{fft, ifft, fft2, ifft2, fftn, ifftn}
 @end deftypefn
 fclose
@@ -4803,7 +4805,7 @@ Number of language tokens processed sinc
 genpath
 -*- texinfo -*-
 @deftypefn {Built-in Function} {} genpath (@var{dir})
-Return a path constructed from @var{dir} and all its subdiretories.
+Return a path constructed from @var{dir} and all its subdirectories.
 @end deftypefn
 rehash
 -*- texinfo -*-
@@ -5877,7 +5879,7 @@ and so it is entirely the responsibility
 matrix type.
 
 Also the test for positive definiteness is a low cost test for a hermitian
-matrix with a real positive diagonal. This does not guarentee that the matrix
+matrix with a real positive diagonal. This does not guarantee that the matrix
 is positive definite, but only that it is a probable candidate. When such a
 matrix is factorized, a Cholesky factorization is first attempted, and if
 that fails the matrix is then treated with an LU factorization. Once the
@@ -7347,7 +7349,7 @@ By default, the generator is initialized
 available, otherwise from cpu time, wall clock time and the current
 fraction of a second.
 
-To compute the psuedo-random sequence, @code{rand} uses the Mersenne
+To compute the pseudo-random sequence, @code{rand} uses the Mersenne
 Twister with a period of 2^19937-1 (See M. Matsumoto and T. Nishimura,
 ``Mersenne Twister: A 623-dimensionally
 equidistributed uniform pseudorandom number generator'', ACM Trans. on
@@ -7389,8 +7391,9 @@ keyword "state" should be used to reset 
 @deftypefnx {Loadable Function} {} randn (@var{n}, @var{m})
 @deftypefnx {Loadable Function} {} randn ("state", @var{x})
 @deftypefnx {Loadable Function} {} randn ("seed", @var{x})
-Return a matrix with normally distributed random elements. The
-arguments are handled the same as the arguments for @code{rand}.
+Return a matrix with normally distributed pseudo-random
+elements having zero mean and variance one. The arguments are
+handled the same as the arguments for @code{rand}.
 
 By default, @code{randn} uses a Marsaglia and Tsang Ziggurat technique to
 transform from a uniform to a normal distribution. (G. Marsaglia and
@@ -7503,7 +7506,7 @@ Stadlober E., et al., WinRand source cod
 @item For matrix @var{l} > 10, use patchwork rejection method.
 Stadlober E., et al., WinRand source code, available via FTP, or
 H. Zechner, 'Efficient sampling from continuous and discrete
-unimodal distributions', Doctoral Dissertaion, 156pp., Technical
+unimodal distributions', Doctoral Dissertation, 156pp., Technical
 University Graz, Austria, 1994.
 @item For @var{l} > 1e8, use normal approximation.
 L. Montanet, et al., 'Review of Particle Properties', Physical Review
@@ -9528,6 +9531,7 @@ returns a string containing the value of
 putenv
 -*- texinfo -*-
 @deftypefn {Built-in Function} {} putenv (@var{var}, @var{value})
+@deftypefnx {Built-in Function} {} setenv (@var{var}, @var{value})
 Set the value of the environment variable @var{var} to @var{value}.
 @end deftypefn
 kbhit
@@ -9964,7 +9968,7 @@ points @code{(@var{xi}, @var{yi})}. For 
 typecast
  -*- texinfo -*-
 @deftypefn {Loadable Function} {} typecast (@var{x}, @var{type})
-Converts from one datatype to another without changing the underlying
+Convert from one datatype to another without changing the underlying
 data. The argument @var{type} defines the type of the return argument
 and must be one of 'uint8', 'uint16', 'uint32', 'uint64', 'int8', 'int16',
 'int32', 'int64', 'single' or 'double'.
@@ -10374,7 +10378,7 @@ Clears the global symbol names.
 @item -variables, -v
 Clears the local variable names.
 @end table
-With the execption of @code{exclusive}, all long options can be used 
+With the exception of @code{exclusive}, all long options can be used 
 without the dash as well.
 @end deffn
 __print_symtab_info__
diff -pruN 1:3.0.1-6/src/error.cc 1:3.0.5-6/src/error.cc
--- 1:3.0.1-6/src/error.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/error.cc	2009-01-16 06:46:24.000000000 +0000
@@ -1458,6 +1458,11 @@ their default values.\n\
   octave_value retval;
   int nargin = args.length();
 
+  unwind_protect::begin_frame ("Flasterror");
+
+  unwind_protect_int (error_state);
+  error_state = 0;
+
   if (nargin < 2)
     {
       Octave_map err;
@@ -1582,6 +1587,8 @@ their default values.\n\
   else
     print_usage ();
 
+  unwind_protect::run_frame ("Flasterror");
+
   return retval;  
 }
 
@@ -1595,6 +1602,11 @@ also set the last message identifier.\n\
 {
   octave_value_list retval;
 
+  unwind_protect::begin_frame ("Flasterr");
+
+  unwind_protect_int (error_state);
+  error_state = 0;
+
   int argc = args.length () + 1;
 
   if (argc < 4)
@@ -1624,6 +1636,8 @@ also set the last message identifier.\n\
   else
     print_usage ();
 
+  unwind_protect::run_frame ("Flasterr");
+
   return retval;  
 }
 
diff -pruN 1:3.0.1-6/src/__gnuplot_raw__.cc 1:3.0.5-6/src/__gnuplot_raw__.cc
--- 1:3.0.1-6/src/__gnuplot_raw__.cc	2008-04-21 17:28:38.000000000 +0100
+++ 1:3.0.5-6/src/__gnuplot_raw__.cc	2009-01-29 07:58:42.000000000 +0000
@@ -72,6 +72,7 @@ typedef int flex_int32_t;
 typedef unsigned char flex_uint8_t; 
 typedef unsigned short int flex_uint16_t;
 typedef unsigned int flex_uint32_t;
+#endif /* ! C99 */
 
 /* Limits of integral types. */
 #ifndef INT8_MIN
@@ -102,8 +103,6 @@ typedef unsigned int flex_uint32_t;
 #define UINT32_MAX             (4294967295U)
 #endif
 
-#endif /* ! C99 */
-
 #endif /* ! FLEXINT_H */
 
 #ifdef __cplusplus
@@ -632,7 +631,7 @@ static std::string strbuf;
 
 /* NOT is not strictly a binary operator, but is close enough for us. */
 /* single quote (') transpose operator is handled separately. */
-#line 636 "<stdout>"
+#line 635 "<stdout>"
 
 #define INITIAL 0
 
@@ -732,7 +731,7 @@ static int input (void );
 	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
 		{ \
 		int c = '*'; \
-		size_t n; \
+		int n; \
 		for ( n = 0; n < max_size && \
 			     (c = getc( gptin )) != EOF && c != '\n'; ++n ) \
 			buf[n] = (char) c; \
@@ -817,7 +816,7 @@ YY_DECL
 #line 128 "DLD-FUNCTIONS/__gnuplot_raw__.l"
 
 
-#line 821 "<stdout>"
+#line 820 "<stdout>"
 
 	if ( !(yy_init) )
 		{
@@ -1083,7 +1082,7 @@ YY_RULE_SETUP
 #line 250 "DLD-FUNCTIONS/__gnuplot_raw__.l"
 ECHO;
 	YY_BREAK
-#line 1087 "<stdout>"
+#line 1086 "<stdout>"
 case YY_STATE_EOF(INITIAL):
 	yyterminate();
 
diff -pruN 1:3.0.1-6/src/graphics.cc 1:3.0.5-6/src/graphics.cc
--- 1:3.0.1-6/src/graphics.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/graphics.cc	2009-02-25 07:48:09.000000000 +0000
@@ -430,6 +430,13 @@ graphics_object::set (const octave_value
     error ("set: invalid number of arguments");
 }
 
+static double
+make_handle_fraction (void)
+{
+  static double maxrand = RAND_MAX + 2.0;
+
+  return (rand () + 1.0) / maxrand;
+}
 
 graphics_handle
 gh_manager::get_handle (const std::string& go_name)
@@ -438,6 +445,9 @@ gh_manager::get_handle (const std::strin
 
   if (go_name == "figure")
     {
+      // Figure handles are positive integers corresponding to the
+      // figure number.
+
       // We always want the lowest unused figure number.
 
       retval = 1;
@@ -447,6 +457,11 @@ gh_manager::get_handle (const std::strin
     }
   else
     {
+      // Other graphics handles are negative integers plus some random
+      // fractional part.  To avoid running out of integers, we
+      // recycle the integer part but tack on a new random part each
+      // time.
+
       free_list_iterator p = handle_free_list.begin ();
 
       if (p != handle_free_list.end ())
@@ -456,11 +471,9 @@ gh_manager::get_handle (const std::strin
 	}
       else
 	{
-	  static double maxrand = RAND_MAX + 2.0;
-
 	  retval = graphics_handle (next_handle);
 
-	  next_handle = ceil (next_handle) - 1.0 - (rand () + 1.0) / maxrand;
+	  next_handle = ceil (next_handle) - 1.0 - make_handle_fraction ();
 	}
     }
 
@@ -481,7 +494,7 @@ gh_manager::do_free (const graphics_hand
 	      handle_map.erase (p);
 
 	      if (h.value () < 0)
-		handle_free_list.insert (h);
+                handle_free_list.insert (ceil (h.value ()) - make_handle_fraction ());
 	    }
 	  else
 	    error ("graphics_handle::free: invalid object %g", h.value ());
@@ -1140,8 +1153,8 @@ axes::properties::properties (const grap
     xdir ("normal"),
     ydir ("normal"),
     zdir ("normal"),
-    xaxislocation ("bottom"),
-    yaxislocation ("left"),
+    xaxislocation ("left"),
+    yaxislocation ("bottom"),
     linewidth (0.5),
     view (),
     visible ("on"),
@@ -1441,8 +1454,8 @@ axes::properties::set_defaults (base_gra
   xdir = "normal";
   ydir = "normal";
   zdir = "normal";
-  xaxislocation = "left";
-  yaxislocation = "bottom";
+  xaxislocation = "bottom";
+  yaxislocation = "left";
   linewidth = 0.5;
 
   Matrix tview (1, 2, 0.0);
@@ -1815,8 +1828,8 @@ axes::properties::factory_defaults (void
   m["xdir"] = "normal";
   m["ydir"] = "normal";
   m["zdir"] = "normal";
-  m["xaxislocation"] = "bottom";
-  m["yaxislocation"] = "left";
+  m["xaxislocation"] = "left";
+  m["yaxislocation"] = "bottom";
   m["linewidth"] = 0.5;
 
   Matrix tview (1, 2, 0.0);
diff -pruN 1:3.0.1-6/src/help.cc 1:3.0.5-6/src/help.cc
--- 1:3.0.1-6/src/help.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/help.cc	2009-01-16 06:46:24.000000000 +0000
@@ -1063,6 +1063,18 @@ raw_help_from_file (const std::string& n
 
   if (h.length () > 0)
     retval = true;
+  else if (! symbol_found)
+    {
+      file = contents_file_in_path (nm);
+      
+      if (! file.empty ())
+	{
+	  h = get_help_from_file (file, symbol_found);
+
+	  if (h.length () > 0)
+	    retval = true;
+	}
+    }
 
   return retval;
 }
diff -pruN 1:3.0.1-6/src/lex.cc 1:3.0.5-6/src/lex.cc
--- 1:3.0.1-6/src/lex.cc	2008-04-21 17:28:38.000000000 +0100
+++ 1:3.0.5-6/src/lex.cc	2009-04-07 11:02:30.000000000 +0100
@@ -72,6 +72,7 @@ typedef int flex_int32_t;
 typedef unsigned char flex_uint8_t; 
 typedef unsigned short int flex_uint16_t;
 typedef unsigned int flex_uint32_t;
+#endif /* ! C99 */
 
 /* Limits of integral types. */
 #ifndef INT8_MIN
@@ -102,8 +103,6 @@ typedef unsigned int flex_uint32_t;
 #define UINT32_MAX             (4294967295U)
 #endif
 
-#endif /* ! C99 */
-
 #endif /* ! FLEXINT_H */
 
 #ifdef __cplusplus
@@ -1315,7 +1314,7 @@ static void maybe_gripe_matlab_incompati
 static void gripe_matlab_incompatible_continuation (void);
 static void gripe_matlab_incompatible_operator (const std::string& op);
 
-#line 1319 "<stdout>"
+#line 1318 "<stdout>"
 
 #define INITIAL 0
 #define COMMAND_START 1
@@ -1419,7 +1418,7 @@ static int input (void );
 	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
 		{ \
 		int c = '*'; \
-		size_t n; \
+		int n; \
 		for ( n = 0; n < max_size && \
 			     (c = getc( octave_in )) != EOF && c != '\n'; ++n ) \
 			buf[n] = (char) c; \
@@ -1504,7 +1503,7 @@ YY_DECL
 #line 287 "lex.l"
 
 
-#line 1508 "<stdout>"
+#line 1507 "<stdout>"
 
 	if ( !(yy_init) )
 		{
@@ -2404,7 +2403,7 @@ YY_RULE_SETUP
 #line 809 "lex.l"
 ECHO;
 	YY_BREAK
-#line 2408 "<stdout>"
+#line 2407 "<stdout>"
 
 	case YY_END_OF_BUFFER:
 		{
diff -pruN 1:3.0.1-6/src/load-path.cc 1:3.0.5-6/src/load-path.cc
--- 1:3.0.1-6/src/load-path.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/load-path.cc	2009-02-18 06:57:47.000000000 +0000
@@ -374,7 +374,7 @@ load_path::do_initialize (bool set_initi
   std::string tpath = load_path::command_line_path;
 
   if (tpath.empty ())
-    tpath = octave_env::getenv ("OCTAVE_LOADPATH");
+    tpath = octave_env::getenv ("OCTAVE_PATH");
 
   std::string xpath = ".";
 
@@ -382,7 +382,7 @@ load_path::do_initialize (bool set_initi
     xpath += dir_path::path_sep_str + tpath;
 
   if (! sys_path.empty ())
-    xpath += sys_path;
+    xpath += dir_path::path_sep_str + sys_path;
 
   do_set (xpath, false);
 }
@@ -794,6 +794,50 @@ load_path::do_find_file (const std::stri
 }
 
 std::string
+load_path::do_find_dir (const std::string& dir) const
+{
+  std::string retval;
+
+  if (dir.find_first_of (file_ops::dir_sep_chars) != std::string::npos
+      && (octave_env::absolute_pathname (dir)
+	  || octave_env::rooted_relative_pathname (dir)))
+    {
+      file_stat fs (dir);
+
+      if (fs.exists () && fs.is_dir ())
+	return dir;
+    }
+  else
+    {
+      for (const_dir_info_list_iterator p = dir_info_list.begin ();
+	   p != dir_info_list.end ();
+	   p++)
+	{
+	  std::string dname = p->dir_name;
+
+	  size_t dname_len = dname.length ();
+
+	  if (dname.substr (dname_len - 1) == file_ops::dir_sep_str)
+	    dname = dname.substr (0, dname_len - 1);
+
+	  size_t dir_len = dir.length ();
+
+	  if (dname_len >= dir_len
+	      && file_ops::is_dir_sep (dname[dname_len - dir_len - 1])
+	      && dir.compare (dname.substr (dname_len - dir_len)) == 0)
+	    {
+	      file_stat fs (p->dir_name);
+
+	      if (fs.exists () && fs.is_dir ())
+		return p->dir_name;
+	    }
+	}
+    }
+
+  return retval;
+}
+
+std::string
 load_path::do_find_first_of (const string_vector& flist) const
 {
   std::string retval;
@@ -1254,7 +1298,7 @@ execute_pkg_del (const std::string& dir)
 DEFUN (genpath, args, ,
   "-*- texinfo -*-\n\
 @deftypefn {Built-in Function} {} genpath (@var{dir})\n\
-Return a path constructed from @var{dir} and all its subdiretories.\n\
+Return a path constructed from @var{dir} and all its subdirectories.\n\
 @end deftypefn")
 {
   octave_value retval;
diff -pruN 1:3.0.1-6/src/load-path.h 1:3.0.5-6/src/load-path.h
--- 1:3.0.1-6/src/load-path.h	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/load-path.h	2009-01-16 06:46:24.000000000 +0000
@@ -116,6 +116,12 @@ public:
       ? instance->do_find_file (file) : std::string ();
   }
 
+  static std::string find_dir (const std::string& dir)
+  {
+    return instance_ok ()
+      ? instance->do_find_dir (dir) : std::string ();
+  }
+
   static std::string find_first_of (const string_vector& files)
   {
     return instance_ok () ?
@@ -322,6 +328,8 @@ private:
 
   std::string do_find_file (const std::string& file) const;
 
+  std::string do_find_dir (const std::string& dir) const;
+
   std::string do_find_first_of (const string_vector& files) const;
 
   string_vector do_find_all_first_of (const string_vector& files) const;
diff -pruN 1:3.0.1-6/src/load-save.cc 1:3.0.5-6/src/load-save.cc
--- 1:3.0.1-6/src/load-save.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/load-save.cc	2009-04-05 18:06:12.000000000 +0100
@@ -799,7 +799,7 @@ Force Octave to assume the file is in Oc
 	{
 	  format = LS_MAT5_BINARY;
 	}
-      else if (argv[i] == "7" || argv[i] == "-v7")
+      else if (argv[i] == "-7" || argv[i] == "-v7")
 	{
 	  format = LS_MAT7_BINARY;
 	}
@@ -906,15 +906,12 @@ Force Octave to assume the file is in Oc
 
 	  std::ios::openmode mode = std::ios::in;
 
-	  if (format == LS_BINARY
-#ifdef HAVE_HDF5
-	      || format == LS_HDF5
-#endif
-	      || format == LS_MAT_BINARY
-	      || format == LS_MAT5_BINARY
-	      || format == LS_MAT7_BINARY)
-	    mode |= std::ios::binary;
-
+	  // Open in binary mode in any case, to fix annoying bug that
+	  // text-mode opened streams cannot be seekg'ed/tellg'ed with
+	  // mingw32 (See http://oldwiki.mingw.org/index.php/Known%20Problems )
+	  // The CR/LF issues are handled in ls-ascii-helper.cc
+	  mode |= std::ios::binary;
+	  
 #ifdef HAVE_ZLIB
 	  if (use_zlib)
 	    {
@@ -1123,13 +1120,15 @@ save_vars (std::ostream& os, const std::
   return saved;
 }
 
-static int
-parse_save_options (const string_vector &argv, int argc, 
+static string_vector
+parse_save_options (const string_vector &argv,
 		    load_save_format &format, bool &append,
-		    bool &save_as_floats, bool &use_zlib, int start_arg)
+		    bool &save_as_floats, bool &use_zlib)
 {
-  int i;
-  for (i = start_arg; i < argc; i++)
+  string_vector retval;
+  int argc = argv.length ();
+
+  for (int i = 0; i < argc; i++)
     {
       if (argv[i] == "-append")
 	{
@@ -1194,31 +1193,29 @@ parse_save_options (const string_vector 
 	}
 #endif
       else
-	break;
+        retval.append (argv[i]);
     }
 
-  return i;
+  return retval;
 }
 
-static int
+static string_vector
 parse_save_options (const std::string &arg, load_save_format &format, 
 		    bool &append, bool &save_as_floats, 
-		    bool &use_zlib, int start_arg)
+		    bool &use_zlib)
 {
   std::istringstream is (arg);
   std::string str;
-  int argc = 0;
   string_vector argv;
   
   while (! is.eof ())
     {
       is >> str;
       argv.append (str);
-      argc++;
     }
 
-  return parse_save_options (argv, argc, format, append, save_as_floats, 
-			     use_zlib, start_arg);
+  return parse_save_options (argv, format, append, save_as_floats, 
+			     use_zlib);
 }
 
 void
@@ -1397,7 +1394,7 @@ dump_octave_core (void)
       bool use_zlib = false;
 
       parse_save_options (Voctave_core_file_options, format, append, 
-			  save_as_floats, use_zlib, 0);
+			  save_as_floats, use_zlib);
   
       std::ios::openmode mode = std::ios::out;
 
@@ -1590,9 +1587,9 @@ the file @file{data} in Octave's binary 
 {
   octave_value_list retval;
 
-  int argc = args.length () + 1;
+  int argc = args.length ();
 
-  string_vector argv = args.make_argv ("save");
+  string_vector argv = args.make_argv ();
 
   if (error_state)
     return retval;
@@ -1608,19 +1605,15 @@ the file @file{data} in Octave's binary 
 
   bool use_zlib = false;
 
-  load_save_format user_file_format = LS_UNKNOWN;
-  bool dummy;
-
-  // Get user file format
-  parse_save_options (argv, argc, user_file_format, dummy, 
-		      dummy, dummy, 1);
-
-  if (user_file_format == LS_UNKNOWN)
-    parse_save_options (Vdefault_save_options, format, append, save_as_floats, 
-			use_zlib, 0);
-
-  int i = parse_save_options (argv, argc, format, append, save_as_floats, 
-			      use_zlib, 1);
+  // get default options
+  parse_save_options (Vdefault_save_options, format, append, save_as_floats, 
+                      use_zlib);
+
+  // override from command line
+  argv = parse_save_options (argv, format, append, save_as_floats, 
+                             use_zlib);
+  argc = argv.length ();
+  int i = 0;
 
   if (error_state)
     return retval;
diff -pruN 1:3.0.1-6/src/ls-ascii-helper.cc 1:3.0.5-6/src/ls-ascii-helper.cc
--- 1:3.0.1-6/src/ls-ascii-helper.cc	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/src/ls-ascii-helper.cc	2009-04-05 18:06:12.000000000 +0100
@@ -0,0 +1,160 @@
+/*
+
+Copyright (C) 2003, 2005, 2006, 2007 John W. Eaton
+
+This file is part of Octave.
+
+Octave is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the
+Free Software Foundation; either version 3 of the License, or (at your
+option) any later version.
+
+Octave is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU General Public License
+along with Octave; see the file COPYING.  If not, see
+<http://www.gnu.org/licenses/>.
+
+*/
+
+
+#include "ls-ascii-helper.h"
+
+#include <iostream>
+#include <sstream>
+
+// Helper functions when reading from ascii files.
+// These function take care of CR/LF issues when files are opened in text-mode for reading 
+
+// Skip characters from stream IS until a newline is reached.
+// Depending on KEEP_NEWLINE, either eat newline from stream or
+// keep it unread
+
+void
+skip_until_newline( std::istream& is, bool keep_newline )
+{
+  if (!is)
+    return;
+  
+  char c,d;
+  
+  while (is)
+  {
+      c = is.peek();
+      if (c == '\n' || c == '\r')
+      {
+	  // reached newline
+	  if (keep_newline == false)
+	  {
+	      // eat the CR or LF character
+	      is.get(d);
+	      
+	      // make sure that for binary-mode opened ascii files containing CRLF line endings
+	      // we skip the LF after CR...
+	      if (c == '\r' && is.peek()=='\n')
+	      {
+		  // yes, LF following CR, eat it...
+		  is.get(d);
+	      }
+	  }
+	  
+	  // Newline was found, and read from stream if keep_newline==true, so exit loop
+	  break;
+      }
+      else
+	  // no newline charater peeked, so read it and proceed to next character
+	  is.get(d);
+  }
+  
+  return;
+}
+
+
+// If stream IS currently points to a newline (a leftover from a previous read)
+// then eat newline(s) until a non-newline character is found
+
+void
+skip_preceeding_newline( std::istream& is )
+{
+  if (!is)
+    return;
+  
+  char c,d;
+  
+  // Check if IS currently points to newline character
+  c = is.peek();
+  if (c == '\n' || c == '\r')
+  {
+      // Yes, at newline
+      do {
+	  // eat the CR or LF character
+	  is.get(d);
+	  
+	  // make sure that for binary-mode opened ascii files containing CRLF line endings
+	  // we skip the LF after CR...
+	  if (c == '\r' && is.peek() == '\n')
+	  {
+	      // yes, LF following CR, eat it...
+	      is.get(d);
+	  }
+	  
+	  // Peek into next character
+	  c = is.peek();
+      // Loop while still a newline ahead
+      } while( c == '\n' || c == '\r' );
+  }
+  
+  return;
+}
+
+
+// Read charaters from stream IS until a newline is reached.
+// Depending on KEEP_NEWLINE, either eat newline from stream or
+// keep it unread
+// Characters read are stored and returned as std::string
+
+std::string
+read_until_newline( std::istream& is, bool keep_newline )
+{
+  if (!is)
+    return std::string();
+  
+  char c,d;
+  std::ostringstream buf;
+  
+  while (is)
+  {
+      c = is.peek();
+      if (c == '\n' || c == '\r')
+      {
+	  // reached newline
+	  if (keep_newline == false)
+	  {
+	      // eat the CR or LF character
+	      is.get(d);
+	      
+	      // make sure that for binary-mode opened ascii files containing CRLF line endings
+	      // we skip the LF after CR...
+	      if (c == '\r' && is.peek() == '\n')
+	      {
+		  // yes, LF following CR, eat it...
+		  is.get(d);
+	      }
+	  }
+	  
+	  // Newline was found, and read from stream if keep_newline==true, so exit loop
+	  break;
+      }
+      else
+      {
+	  // no newline charater peeked, so read it, store it, and proceed to next
+	  is.get(d);
+	  buf << d;
+      }
+  }
+  
+  return buf.str();
+}
diff -pruN 1:3.0.1-6/src/ls-ascii-helper.h 1:3.0.5-6/src/ls-ascii-helper.h
--- 1:3.0.1-6/src/ls-ascii-helper.h	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/src/ls-ascii-helper.h	2009-04-05 18:06:12.000000000 +0100
@@ -0,0 +1,40 @@
+/*
+
+Copyright (C) 2003, 2005, 2006, 2007 John W. Eaton
+
+This file is part of Octave.
+
+Octave is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the
+Free Software Foundation; either version 3 of the License, or (at your
+option) any later version.
+
+Octave is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU General Public License
+along with Octave; see the file COPYING.  If not, see
+<http://www.gnu.org/licenses/>.
+
+*/
+
+#if !defined (octave_ls_ascii_helper_h)
+#define octave_ls_ascii_helper_h 1
+
+#include <iosfwd>
+#include <string>
+
+#include "oct-dlldefs.h"
+
+extern OCTINTERP_API void
+skip_until_newline( std::istream& is, bool keep_newline = false );
+
+extern OCTINTERP_API void
+skip_preceeding_newline( std::istream& is );
+
+extern OCTINTERP_API std::string
+read_until_newline( std::istream& is, bool keep_newline = false );
+
+#endif  // !defined (octave_ls_ascii_helper_h)
diff -pruN 1:3.0.1-6/src/ls-mat-ascii.cc 1:3.0.5-6/src/ls-mat-ascii.cc
--- 1:3.0.1-6/src/ls-mat-ascii.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/ls-mat-ascii.cc	2009-04-05 18:06:12.000000000 +0100
@@ -65,6 +65,7 @@ along with Octave; see the file COPYING.
 #include "dMatrix.h"
 
 #include "ls-mat-ascii.h"
+#include "ls-ascii-helper.h"
 
 static std::string
 get_mat_data_input_line (std::istream& is)
@@ -81,14 +82,17 @@ get_mat_data_input_line (std::istream& i
       while (is.get (c))
 	{
 	  if (c == '\n' || c == '\r')
-	    break;
+	    {
+	      // Let skip_until_newline handle CR/LF issues...
+	      is.putback (c);
+	      skip_preceeding_newline (is);
+	      break;
+	    }
 
 	  if (c == '%' || c == '#')
 	    {
 	      // skip to end of line
-	      while (is.get (c))
-		if (c == '\n' || c == '\r')
-		  break;
+	      skip_until_newline (is, false);
 
 	      break;
 	    }
diff -pruN 1:3.0.1-6/src/ls-oct-ascii.cc 1:3.0.5-6/src/ls-oct-ascii.cc
--- 1:3.0.1-6/src/ls-oct-ascii.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/ls-oct-ascii.cc	2009-04-05 18:06:12.000000000 +0100
@@ -108,21 +108,15 @@ extract_keyword (std::istream& is, const
 	      while (is.get (c) && (c == ' ' || c == '\t' || c == ':'))
 		; // Skip whitespace and the colon.
 
-	      if (c != '\n')
-		{
-		  value << c;
-		  while (is.get (c) && c != '\n')
-		    value << c;
-		}
-
-	      retval = value.str ();
+	      is.putback(c);
+	      retval = read_until_newline (is, false);
 	      break;
 	    }
 	  else if (next_only)
 	    break;
 	  else
 	    {
-	      while (is.get (c) && c != '\n')
+	      while (is.get (c) && c != '\n' && c != '\r')
 		; // Skip to end of line.
 	    }
 	}
diff -pruN 1:3.0.1-6/src/ls-oct-ascii.h 1:3.0.5-6/src/ls-oct-ascii.h
--- 1:3.0.1-6/src/ls-oct-ascii.h	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/ls-oct-ascii.h	2009-04-05 18:06:12.000000000 +0100
@@ -29,6 +29,7 @@ along with Octave; see the file COPYING.
 #include <string>
 
 #include "str-vec.h"
+#include "ls-ascii-helper.h"
 
 // Flag for cell elements
 #define CELL_ELT_TAG "<cell-element>"
@@ -99,12 +100,12 @@ extract_keyword (std::istream& is, const
 		; // Skip whitespace and the colon.
 
 	      is.putback (c);
-	      if (c != '\n')
+	      if (c != '\n' && c != '\r')
 		is >> value;
 	      if (is)
 		status = true;
-	      while (is.get (c) && c != '\n')
-		; // Skip to beginning of next line;
+	      // Skip to beginning of next line;
+	      skip_until_newline (is, false);
 	      break;
 	    }
 	  else if (next_only)
@@ -161,12 +162,12 @@ extract_keyword (std::istream& is, const
 		    ; // Skip whitespace and the colon.
 
 		  is.putback (c);
-		  if (c != '\n')
+		  if (c != '\n' && c != '\r')
 		    is >> value;
 		  if (is)
 		    status = true;
-		  while (is.get (c) && c != '\n')
-		    ; // Skip to beginning of next line;
+		  // Skip to beginning of next line;
+		  skip_until_newline (is, false);
 		  return status;
 		}
 	    }
diff -pruN 1:3.0.1-6/src/Makefile.in 1:3.0.5-6/src/Makefile.in
--- 1:3.0.1-6/src/Makefile.in	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/Makefile.in	2009-04-05 18:06:12.000000000 +0100
@@ -116,7 +116,7 @@ INCLUDES := Cell.h base-list.h builtins.
 	comment-list.h debug.h defun-dld.h defun-int.h defun.h \
 	dirfns.h dynamic-ld.h error.h file-io.h gripes.h help.h \
 	input.h lex.h load-path.h load-save.h ls-hdf5.h \
-	ls-mat-ascii.h ls-mat4.h ls-mat5.h ls-oct-ascii.h \
+	ls-mat-ascii.h ls-mat4.h ls-mat5.h ls-oct-ascii.h ls-ascii-helper.h \
 	ls-oct-binary.h ls-utils.h mex.h mexproto.h oct-errno.h \
 	oct-fstrm.h oct-hist.h oct-iostrm.h oct-map.h oct-obj.h \
 	oct-prcstrm.h oct-procbuf.h oct-stdstrm.h oct-stream.h \
@@ -186,7 +186,7 @@ DIST_SRC := Cell.cc bitfcns.cc c-file-pt
 	cutils.c data.cc debug.cc defaults.cc defun.cc dirfns.cc \
 	dynamic-ld.cc error.cc file-io.cc graphics.cc gripes.cc \
 	help.cc input.cc lex.l load-path.cc load-save.cc ls-hdf5.cc \
-	ls-mat-ascii.cc ls-mat4.cc ls-mat5.cc ls-oct-ascii.cc \
+	ls-mat-ascii.cc ls-mat4.cc ls-mat5.cc ls-oct-ascii.cc ls-ascii-helper.cc \
 	ls-oct-binary.cc ls-utils.cc main.c mappers.cc matherr.c \
 	mex.cc oct-fstrm.cc oct-hist.cc oct-iostrm.cc oct-map.cc \
 	oct-obj.cc oct-prcstrm.cc oct-procbuf.cc oct-stream.cc \
diff -pruN 1:3.0.1-6/src/mexproto.h 1:3.0.5-6/src/mexproto.h
--- 1:3.0.1-6/src/mexproto.h	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/mexproto.h	2009-01-16 06:46:24.000000000 +0000
@@ -116,7 +116,7 @@ extern OCTINTERP_API mxArray *mxCreateDo
 extern OCTINTERP_API mxArray *mxCreateDoubleScalar (double val);
 extern OCTINTERP_API mxArray *mxCreateLogicalArray (mwSize ndims, const mwSize *dims);
 extern OCTINTERP_API mxArray *mxCreateLogicalMatrix (mwSize m, mwSize n);
-extern OCTINTERP_API mxArray *mxCreateLogicalScalar (int val);
+extern OCTINTERP_API mxArray *mxCreateLogicalScalar (mxLogical val);
 extern OCTINTERP_API mxArray *mxCreateNumericArray (mwSize ndims, const mwSize *dims, mxClassID class_id, mxComplexity flag);
 extern OCTINTERP_API mxArray *mxCreateNumericMatrix (mwSize m, mwSize n, mxClassID class_id, mxComplexity flag);
 extern OCTINTERP_API mxArray *mxCreateSparse (mwSize m, mwSize n, mwSize nzmax, mxComplexity flag);
diff -pruN 1:3.0.1-6/src/octave.cc 1:3.0.5-6/src/octave.cc
--- 1:3.0.1-6/src/octave.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/octave.cc	2009-01-16 06:46:24.000000000 +0000
@@ -750,6 +750,11 @@ octave_main (int argc, char **argv, int 
 
   initialize_version_info ();
 
+  // Make all command-line arguments available to startup files,
+  // including PKG_ADD files.
+
+  intern_argv (argc, argv);
+
   load_path::initialize (set_initial_path);
 
   execute_startup_files ();
@@ -778,10 +783,6 @@ octave_main (int argc, char **argv, int 
 
   if (! code_to_eval.empty ())
     {
-      // We probably want all the args for an --eval option.
-
-      intern_argv (argc, argv);
-
       int parse_status = execute_eval_option_code (code_to_eval);
 
       if (! (persist || remaining_args > 0))
diff -pruN 1:3.0.1-6/src/oct-gperf.h 1:3.0.5-6/src/oct-gperf.h
--- 1:3.0.1-6/src/oct-gperf.h	2008-04-21 17:28:36.000000000 +0100
+++ 1:3.0.5-6/src/oct-gperf.h	2009-04-07 11:02:30.000000000 +0100
@@ -1,4 +1,4 @@
-/* C++ code produced by gperf version 3.0.3 */
+/* C++ code produced by gperf version 3.0.2 */
 /* Command-line: gperf -t -C -D -G -L C++ -Z octave_kw_hash octave.gperf  */
 /* Computed positions: -k'1,3' */
 
diff -pruN 1:3.0.1-6/src/oct-map.cc 1:3.0.5-6/src/oct-map.cc
--- 1:3.0.1-6/src/oct-map.cc	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/oct-map.cc	2009-02-18 06:57:47.000000000 +0000
@@ -222,7 +222,21 @@ Octave_map::concat (const Octave_map& rb
 	}
     }
   else
-    error ("field name mismatch in structure concatenation");
+    {
+      dim_vector dv = dims ();
+
+      if (dv.all_zero ())
+	retval = rb;
+      else
+	{
+	  dv = rb.dims ();
+
+	  if (dv.all_zero ())
+	    retval = *this;
+	  else
+	    error ("invalid structure concatenation");
+	}
+    }
 
   return retval;
 }
@@ -473,6 +487,9 @@ Octave_map::index (const octave_value_li
 
 	  retval.assign (key(p), tmp);
 	}
+
+      // Preserve order of keys.
+      retval.key_list = key_list;
     }
   else
     retval = *this;
@@ -495,6 +512,9 @@ Octave_map::index (idx_vector& i, int re
       retval.assign (key (p), tmp);
     }
 
+  // Preserve order of keys.
+  retval.key_list = key_list;
+
   return retval;
 }
 
@@ -514,6 +534,9 @@ Octave_map::index (idx_vector& i, idx_ve
       retval.assign (key (p), tmp);
     }
 
+  // Preserve order of keys.
+  retval.key_list = key_list;
+
   return retval;
 }
 
@@ -533,6 +556,9 @@ Octave_map::index (Array<idx_vector>& ra
       retval.assign (key (p), tmp);
     }
 
+  // Preserve order of keys.
+  retval.key_list = key_list;
+
   return retval;
 }
 
diff -pruN 1:3.0.1-6/src/oct-obj.cc 1:3.0.5-6/src/oct-obj.cc
--- 1:3.0.1-6/src/oct-obj.cc	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/oct-obj.cc	2009-01-16 06:46:24.000000000 +0000
@@ -206,11 +206,16 @@ octave_value_list::make_argv (const std:
 	  total_nr += n ? n : 1;
 	}
 
-      argv.resize (total_nr+1);
+      octave_idx_type k = 0;
+      if (! fcn_name.empty ())
+        {
+          argv.resize (total_nr+1);
+          argv[0] = fcn_name;
+          k = 1;
+        }
+      else
+        argv.resize (total_nr);
 
-      argv[0] = fcn_name;
-
-      octave_idx_type k = 1;
       for (octave_idx_type i = 0; i < len; i++)
 	{
 	  octave_idx_type nr = elem(i).rows ();
diff -pruN 1:3.0.1-6/src/oct-obj.h 1:3.0.5-6/src/oct-obj.h
--- 1:3.0.1-6/src/oct-obj.h	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/oct-obj.h	2009-01-16 06:46:24.000000000 +0000
@@ -115,7 +115,7 @@ public:
 
   bool has_magic_colon (void) const;
 
-  string_vector make_argv (const std::string&) const;
+  string_vector make_argv (const std::string& = std::string()) const;
 
   void stash_name_tags (const string_vector& nm) { names = nm; }
 
diff -pruN 1:3.0.1-6/src/oct-stream.cc 1:3.0.5-6/src/oct-stream.cc
--- 1:3.0.1-6/src/oct-stream.cc	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/oct-stream.cc	2009-02-23 20:09:00.000000000 +0000
@@ -982,7 +982,31 @@ octave_base_stream::do_gets (octave_idx_
 	    {
 	      char_count++;
 
-	      if (c == '\n')
+	      // Handle CRLF, CR, or LF as line ending.
+
+	      if (c == '\r')
+		{
+		  if (! strip_newline)
+		    buf << static_cast<char> (c);
+
+		  c = is.get ();
+
+		  if (c != EOF)
+		    {
+		      if (c == '\n')
+			{
+			  char_count++;
+
+			  if (! strip_newline)
+			    buf << static_cast<char> (c);
+			}
+		      else
+			is.putback (c);
+		    }
+
+		  break;
+		}
+	      else if (c == '\n')
 		{
 		  if (! strip_newline)
 		    buf << static_cast<char> (c);
diff -pruN 1:3.0.1-6/src/OPERATORS/op-cell.cc 1:3.0.5-6/src/OPERATORS/op-cell.cc
--- 1:3.0.1-6/src/OPERATORS/op-cell.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/OPERATORS/op-cell.cc	2009-02-18 06:57:47.000000000 +0000
@@ -50,6 +50,36 @@ DEFUNOP (transpose, cell)
 
 DEFCATOP_FN (c_c, cell, cell, concat)
 
+static octave_value
+oct_catop_cell_matrix (octave_base_value& a1, const octave_base_value& a2,
+			 const Array<octave_idx_type>&)
+{
+  octave_value retval;
+  CAST_BINOP_ARGS (const octave_cell&, const octave_matrix&);
+  NDArray tmp = v2.array_value ();
+  dim_vector dv = tmp.dims ();
+  if (dv.all_zero ())
+    retval = octave_value (v1.cell_value ());
+  else
+    error ("invalid concatenation of cell array with matrix");
+  return retval;
+}
+
+static octave_value
+oct_catop_matrix_cell (octave_base_value& a1, const octave_base_value& a2,
+			 const Array<octave_idx_type>&)
+{
+  octave_value retval;
+  CAST_BINOP_ARGS (const octave_matrix&, const octave_cell&);
+  NDArray tmp = v1.array_value ();
+  dim_vector dv = tmp.dims ();
+  if (dv.all_zero ())
+    retval = octave_value (v2.cell_value ());
+  else
+    error ("invalid concatenation of cell array with matrix");
+  return retval;
+}
+
 DEFASSIGNANYOP_FN (assign, cell, assign);
 
 void
@@ -60,6 +90,9 @@ install_cell_ops (void)
 
   INSTALL_CATOP (octave_cell, octave_cell, c_c);
 
+  INSTALL_CATOP (octave_cell, octave_matrix, cell_matrix);
+  INSTALL_CATOP (octave_matrix, octave_cell, matrix_cell);
+
   INSTALL_ASSIGNANYOP (op_asn_eq, octave_cell, assign);
 }
 
diff -pruN 1:3.0.1-6/src/OPERATORS/op-struct.cc 1:3.0.5-6/src/OPERATORS/op-struct.cc
--- 1:3.0.1-6/src/OPERATORS/op-struct.cc	2008-04-21 16:58:40.000000000 +0100
+++ 1:3.0.5-6/src/OPERATORS/op-struct.cc	2009-02-18 06:57:47.000000000 +0000
@@ -27,6 +27,7 @@ along with Octave; see the file COPYING.
 #include "gripes.h"
 #include "oct-obj.h"
 #include "ov.h"
+#include "ov-re-mat.h"
 #include "ov-struct.h"
 #include "ov-typeinfo.h"
 #include "ops.h"
@@ -48,6 +49,36 @@ DEFUNOP (transpose, cell)
 
 DEFNDCATOP_FN (struct_struct, struct, struct, map, map, concat)
 
+static octave_value
+oct_catop_struct_matrix (octave_base_value& a1, const octave_base_value& a2,
+			 const Array<octave_idx_type>&)
+{
+  octave_value retval;
+  CAST_BINOP_ARGS (const octave_struct&, const octave_matrix&);
+  NDArray tmp = v2.array_value ();
+  dim_vector dv = tmp.dims ();
+  if (dv.all_zero ())
+    retval = octave_value (v1.map_value ());
+  else
+    error ("invalid concatenation of structure with matrix");
+  return retval;
+}
+
+static octave_value
+oct_catop_matrix_struct (octave_base_value& a1, const octave_base_value& a2,
+			 const Array<octave_idx_type>&)
+{
+  octave_value retval;
+  CAST_BINOP_ARGS (const octave_matrix&, const octave_struct&);
+  NDArray tmp = v1.array_value ();
+  dim_vector dv = tmp.dims ();
+  if (dv.all_zero ())
+    retval = octave_value (v2.map_value ());
+  else
+    error ("invalid concatenation of structure with matrix");
+  return retval;
+}
+
 void
 install_struct_ops (void)
 {
@@ -55,6 +86,8 @@ install_struct_ops (void)
   INSTALL_UNOP (op_hermitian, octave_struct, transpose);
 
   INSTALL_CATOP (octave_struct, octave_struct, struct_struct);
+  INSTALL_CATOP (octave_struct, octave_matrix, struct_matrix);
+  INSTALL_CATOP (octave_matrix, octave_struct, matrix_struct);
 }
 
 /*
diff -pruN 1:3.0.1-6/src/ov-base-scalar.h 1:3.0.5-6/src/ov-base-scalar.h
--- 1:3.0.1-6/src/ov-base-scalar.h	2008-04-21 17:00:20.000000000 +0100
+++ 1:3.0.5-6/src/ov-base-scalar.h	2009-02-18 06:57:47.000000000 +0000
@@ -87,6 +87,9 @@ public:
   octave_value permute (const Array<int>&, bool = false) const
     { return scalar; }
 
+  octave_value reshape (const dim_vector& new_dims) const
+    { return array_value ().reshape (new_dims); }
+
   size_t byte_size (void) const { return sizeof (ST); }
 
   octave_value all (int = 0) const { return (scalar != ST ()); }
diff -pruN 1:3.0.1-6/src/ov-cell.cc 1:3.0.5-6/src/ov-cell.cc
--- 1:3.0.1-6/src/ov-cell.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/ov-cell.cc	2009-01-16 06:46:24.000000000 +0000
@@ -1079,7 +1079,9 @@ array @var{string}.\n\
 	  string_vector s = args(0).all_strings ();
 
 	  if (! error_state)
-	    retval = Cell (s, true);
+	    retval = (s.is_empty ()
+                      ? Cell (octave_value (std::string ()))
+                      : Cell (s, true));
 	  else
 	    error ("cellstr: expecting argument to be a 2-d character array");
 	}
@@ -1114,7 +1116,7 @@ cell array will have a dimension vector 
 
 	  string_vector keys = m.keys ();
 
-	  octave_idx_type fields_numel = keys.length ();
+	  octave_idx_type num_fields = keys.length ();
 
 	  // The resulting dim_vector should have dimensions:
 	  // [numel(fields) size(struct)]
@@ -1122,44 +1124,26 @@ cell array will have a dimension vector 
 	  dim_vector result_dv;
 	  result_dv.resize (m_dv.length () + 1); // Add 1 for the fields.
 
-	  result_dv(0) = fields_numel;
+	  result_dv(0) = num_fields;
 
 	  for (int i = 1; i < result_dv.length (); i++)
 	    result_dv(i) = m_dv(i-1);
 
-	  // Squeeze to be sure that a (3,1) vector doesn't get turned
-	  // into a (3,3,1) vector.
-
-	  result_dv = result_dv.squeeze ();
-
 	  Cell c (result_dv);
 
-	  // Use ra_idx both for counting and for assignments, so
-	  // ra_idx(0) will both contain fields_numel for each call to
-	  // increment_index and j for each assignment.
+	  octave_idx_type n_elts = m.numel ();
 
-	  Array<octave_idx_type> ra_idx (result_dv.length (), 0);
-	  ra_idx(0) = fields_numel;
-
-	  for (octave_idx_type i = 0; i < m_dv.numel (); i++)
+	  for (octave_idx_type j = 0; j < num_fields; j++)
 	    {
-	      for (octave_idx_type j = 0; j < fields_numel; j++)
-		{
-		  ra_idx(0) = j;
+	      octave_idx_type k = j;
 
-		  Cell c_tmp = m.contents (keys(j));
+	      const Cell vals = m.contents (keys(j));
 
-		  if (c_tmp.length () > 1) // Is a cell.
-		    c(ra_idx) = c_tmp;
-		  else if (c_tmp.length () == 1) // Get octave_value.
-		    c(ra_idx) = c_tmp(0);
-		  else
-		    c(ra_idx) = Cell ();
-
-		  ra_idx(0) = fields_numel;
+	      for (octave_idx_type i = 0; i < n_elts; i++)
+		{
+		  c(k) = vals(i);
+		  k += num_fields;
 		}
-
-	      increment_index (ra_idx, result_dv);
 	    }
 
 	  retval = c;
diff -pruN 1:3.0.1-6/src/ov-fcn-handle.cc 1:3.0.5-6/src/ov-fcn-handle.cc
--- 1:3.0.1-6/src/ov-fcn-handle.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/ov-fcn-handle.cc	2009-04-05 18:06:12.000000000 +0100
@@ -56,6 +56,7 @@ along with Octave; see the file COPYING.
 #include "ls-oct-binary.h"
 #include "ls-hdf5.h"
 #include "ls-utils.h"
+#include "ls-ascii-helper.h"
 
 DEFINE_OCTAVE_ALLOCATOR (octave_fcn_handle);
 
@@ -330,26 +331,18 @@ octave_fcn_handle::load_ascii (std::istr
     {
       octave_idx_type len = 0;
       char c;
-      std::ostringstream buf;
+      std::string buf;
 
       // Skip preceeding newline(s).
-      while (is.get (c) && c == '\n')
-	/* do nothing */;
+      skip_preceeding_newline (is);
 
       if (is)
 	{
-	  buf << c;
 
 	  // Get a line of text whitespace characters included, leaving
 	  // newline in the stream.
+	  buf = read_until_newline (is, true);
 
-	  while (is.peek () != '\n')
-	    {
-	      is.get (c);
-	      if (! is)
-		break;
-	      buf << c;
-	    }
 	}
 
       pos = is.tellg ();
@@ -408,7 +401,7 @@ octave_fcn_handle::load_ascii (std::istr
 
 	  int parse_status;
 	  octave_value anon_fcn_handle = 
-	    eval_string (buf.str (), true, parse_status);
+	    eval_string (buf, true, parse_status);
 
 	  if (parse_status == 0)
 	    {
@@ -1377,7 +1370,7 @@ Return a struct containing information a
 		      Cell parentage (dim_vector (1, 2));
 		      parentage.elem(0) = fh_nm;
 		      parentage.elem(1) = fcn->parent_fcn_name ();
-		      m.assign ("parentage", parentage); 
+		      m.assign ("parentage", octave_value (parentage)); 
 		    }
 		  else
 		    m.assign ("type", "simple");
diff -pruN 1:3.0.1-6/src/ov-fcn-inline.cc 1:3.0.5-6/src/ov-fcn-inline.cc
--- 1:3.0.1-6/src/ov-fcn-inline.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/ov-fcn-inline.cc	2009-04-05 18:06:12.000000000 +0100
@@ -47,6 +47,7 @@ Open Source Initiative (www.opensource.o
 #include "ls-oct-ascii.h"
 #include "ls-hdf5.h"
 #include "ls-utils.h"
+#include "ls-ascii-helper.h"
 
 DEFINE_OCTAVE_ALLOCATOR (octave_fcn_inline);
 
@@ -139,27 +140,20 @@ octave_fcn_inline::load_ascii (std::istr
 	nm = "";
 
       char c;
-      std::ostringstream buf;
+      std::string buf;
 
       // Skip preceeding newline(s)
-      while (is.get (c) && c == '\n');
+      skip_preceeding_newline (is);
 
       if (is)
 	{
-	  buf << c;
 
 	  // Get a line of text whitespace characters included, leaving
 	  // newline in the stream
-	  while (is.peek () != '\n')
-	    {
-	      is.get (c);
-	      if (! is)
-		break;
-	      buf << c;
-	    }
+	  buf = read_until_newline (is, true);
 	}
 
-      iftext = buf.str ();
+      iftext = buf;
 
       octave_fcn_inline tmp (iftext, ifargs, nm);
       fcn = tmp.fcn;
@@ -673,7 +667,11 @@ If the second argument is an integer @va
 			    break;
 			  }
 			  
-		      if (! have_arg && tmp_arg != "i" && tmp_arg != "j")
+		      if (! have_arg && tmp_arg != "i" && tmp_arg != "j" &&
+			  tmp_arg != "NaN" && tmp_arg != "nan" && 
+			  tmp_arg != "Inf" && tmp_arg != "inf" && 
+			  tmp_arg != "NA" && tmp_arg != "pi" &&
+			  tmp_arg != "eps")
 			fargs.append (tmp_arg);
 
 		      tmp_arg = std::string ();
diff -pruN 1:3.0.1-6/src/ov-range.cc 1:3.0.5-6/src/ov-range.cc
--- 1:3.0.1-6/src/ov-range.cc	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/ov-range.cc	2009-04-05 18:06:12.000000000 +0100
@@ -41,6 +41,7 @@ along with Octave; see the file COPYING.
 #include "byte-swap.h"
 #include "ls-hdf5.h"
 #include "ls-utils.h"
+#include "ls-ascii-helper.h"
 
 DEFINE_OCTAVE_ALLOCATOR (octave_range);
 
@@ -274,14 +275,9 @@ skip_comments (std::istream& is)
 	break;
     }
 
-  for (;;)
-    {
-      if (is && (c == '%' || c == '#'))
-	while (is.get (c) && c != '\n')
-	  ; // Skip to beginning of next line, ignoring everything.
-      else
-	break;
-    }
+  // Skip to beginning of next line, ignoring everything.
+  skip_until_newline (is, false);
+  
 }
 
 bool 
diff -pruN 1:3.0.1-6/src/ov-str-mat.cc 1:3.0.5-6/src/ov-str-mat.cc
--- 1:3.0.1-6/src/ov-str-mat.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/ov-str-mat.cc	2009-04-05 18:06:12.000000000 +0100
@@ -48,6 +48,7 @@ along with Octave; see the file COPYING.
 #include "pr-output.h"
 #include "pt-mat.h"
 #include "utils.h"
+#include "ls-ascii-helper.h"
 
 DEFINE_OCTAVE_ALLOCATOR (octave_char_matrix_str);
 DEFINE_OCTAVE_ALLOCATOR (octave_char_matrix_sq_str);
@@ -344,8 +345,7 @@ octave_char_matrix_str::load_ascii (std:
 		      char *ftmp = tmp.fortran_vec ();
 
 		      // Skip the return line
-		      if (! is.read (ftmp, 1))
-			return false;
+		      skip_preceeding_newline (is);
 
 		      if (! is.read (ftmp, dv.numel ()) || !is)
 			{
diff -pruN 1:3.0.1-6/src/ov-struct.cc 1:3.0.5-6/src/ov-struct.cc
--- 1:3.0.1-6/src/ov-struct.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/ov-struct.cc	2009-01-16 06:46:24.000000000 +0000
@@ -129,7 +129,7 @@ octave_struct::subsref (const std::strin
 	      }
 	  }
 	else
-	  retval(0) = map.index (idx.front (), true);
+	  retval(0) = map.index (idx.front (), false);
       }
       break;
 
@@ -162,6 +162,14 @@ octave_struct::subsref (const std::strin
   return retval;
 }
 
+/*
+%!test
+%! x(1).a.a = 1; x(2).a.a = 2;
+%! assert (size (x), [1, 2]);
+%! assert (x(1).a.a, 1);
+%! assert (x(2).a.a, 2);
+*/
+
 octave_value
 octave_struct::numeric_conv (const Cell& val,
 			     const std::string& type)
diff -pruN 1:3.0.1-6/src/parse.cc 1:3.0.5-6/src/parse.cc
--- 1:3.0.1-6/src/parse.cc	2008-04-21 17:28:38.000000000 +0100
+++ 1:3.0.5-6/src/parse.cc	2009-04-07 11:02:30.000000000 +0100
@@ -6478,9 +6478,6 @@ eval ('error (\"This is a bad example\")
       octave_value_list tmp = eval_string (args(0), nargout > 0,
 					   parse_status, nargout);
 
-      if (nargout > 0)
-	retval = tmp;
-
       if (nargin > 1 && (parse_status != 0 || error_state))
 	{
 	  error_state = 0;
@@ -6490,10 +6487,13 @@ eval ('error (\"This is a bad example\")
 
 	  buffer_error_messages--;
 
-	  eval_string (args(1), 0, parse_status, nargout);
+	  tmp = eval_string (args(1), nargout > 0, parse_status, nargout);
 
-	  retval = octave_value_list ();
+	  if (nargout > 0)
+	    retval = tmp;
 	}
+      else if (nargout > 0)
+	retval = tmp;
 
       unwind_protect::run_frame ("Feval");
     }
diff -pruN 1:3.0.1-6/src/parse.y 1:3.0.5-6/src/parse.y
--- 1:3.0.1-6/src/parse.y	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/parse.y	2009-01-16 06:46:24.000000000 +0000
@@ -4017,9 +4017,6 @@ eval ('error (\"This is a bad example\")
       octave_value_list tmp = eval_string (args(0), nargout > 0,
 					   parse_status, nargout);
 
-      if (nargout > 0)
-	retval = tmp;
-
       if (nargin > 1 && (parse_status != 0 || error_state))
 	{
 	  error_state = 0;
@@ -4029,10 +4026,13 @@ eval ('error (\"This is a bad example\")
 
 	  buffer_error_messages--;
 
-	  eval_string (args(1), 0, parse_status, nargout);
+	  tmp = eval_string (args(1), nargout > 0, parse_status, nargout);
 
-	  retval = octave_value_list ();
+	  if (nargout > 0)
+	    retval = tmp;
 	}
+      else if (nargout > 0)
+	retval = tmp;
 
       unwind_protect::run_frame ("Feval");
     }
diff -pruN 1:3.0.1-6/src/pr-output.cc 1:3.0.5-6/src/pr-output.cc
--- 1:3.0.1-6/src/pr-output.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pr-output.cc	2009-01-16 06:46:24.000000000 +0000
@@ -2719,18 +2719,20 @@ representing the elements of @var{x}. By
 
   int nargin = args.length ();
 
-  unwind_protect::begin_frame ("Frats");
+  if (nargin < 1 || nargin > 2 || nargout > 1)
+    print_usage ();
+  else
+    {
+      unwind_protect::begin_frame ("Frats");
 
-  unwind_protect_int (rat_string_len);
+      unwind_protect_int (rat_string_len);
 
-  rat_string_len = 9;
+      rat_string_len = 9;
 
-  if (nargin == 2)
-    rat_string_len = args(1).nint_value ();
+      if (nargin == 2)
+	rat_string_len = args(1).nint_value ();
 
-  if (! error_state)
-    {
-      if (nargin < 3 && nargout < 2)
+      if (! error_state)
 	{
 	  octave_value arg = args(0);
 
@@ -2770,11 +2772,9 @@ representing the elements of @var{x}. By
 	  else
 	    error ("rats: expecting numeric input");
 	}
-      else
-	print_usage ();
-    }
 
-  unwind_protect::run_frame ("Frats");
+      unwind_protect::run_frame ("Frats");
+    }
 
   return retval;
 }
diff -pruN 1:3.0.1-6/src/pt-arg-list.cc 1:3.0.5-6/src/pt-arg-list.cc
--- 1:3.0.1-6/src/pt-arg-list.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-arg-list.cc	2009-02-18 06:57:47.000000000 +0000
@@ -198,7 +198,7 @@ tree_argument_list::convert_to_const_vec
 		  for (int i = 0; i < n; i++)
 		    args(j++) = tl(i);
 		}
-	      else
+	      else if (tmp.is_defined ())
 		args(j++) = tmp;
 	    }
 	}
diff -pruN 1:3.0.1-6/src/pt-assign.cc 1:3.0.5-6/src/pt-assign.cc
--- 1:3.0.1-6/src/pt-assign.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-assign.cc	2009-01-16 06:46:24.000000000 +0000
@@ -44,6 +44,9 @@ along with Octave; see the file COPYING.
 
 // Simple assignment expressions.
 
+// FIXME -- the following variable and the function that uses it
+// should be removed from some future version of Octave.
+
 static const char *former_built_in_variables[] =
 {
   "DEFAULT_EXEC_PATH",
@@ -157,11 +160,8 @@ maybe_warn_former_built_in_variable (con
 tree_simple_assignment::tree_simple_assignment
   (tree_expression *le, tree_expression *re,
    bool plhs, int l, int c, octave_value::assign_op t)
-    : tree_expression (l, c), lhs (le), rhs (re), preserve (plhs), etype (t)
-{
-  if (lhs)
-    maybe_warn_former_built_in_variable (lhs->name ());
-}
+    : tree_expression (l, c), lhs (le), rhs (re), preserve (plhs), etype (t),
+      first_execution (true) { }
 
 tree_simple_assignment::~tree_simple_assignment (void)
 {
@@ -194,6 +194,9 @@ tree_simple_assignment::rvalue (void)
 {
   octave_value retval;
 
+  if (first_execution && lhs)
+    maybe_warn_former_built_in_variable (lhs->name ());
+
   if (error_state)
     return retval;
 
@@ -258,6 +261,8 @@ tree_simple_assignment::rvalue (void)
 	eval_error ();
     }
 
+  first_execution = false;
+
   return retval;
 }
 
@@ -302,16 +307,8 @@ tree_simple_assignment::accept (tree_wal
 tree_multi_assignment::tree_multi_assignment
   (tree_argument_list *lst, tree_expression *r,
    bool plhs, int l, int c, octave_value::assign_op t)
-    : tree_expression (l, c), lhs (lst), rhs (r), preserve (plhs), etype (t)
-{
-  for (tree_argument_list::iterator p = lhs->begin (); p != lhs->end (); p++)
-    {
-      tree_expression *lhs_expr = *p;
-
-      if (lhs_expr)
-	maybe_warn_former_built_in_variable (lhs_expr->name ());
-    }
-}
+    : tree_expression (l, c), lhs (lst), rhs (r), preserve (plhs), etype (t),
+      first_execution (true) { }
 
 tree_multi_assignment::~tree_multi_assignment (void)
 {
@@ -345,6 +342,17 @@ tree_multi_assignment::rvalue (int)
   if (error_state)
     return retval;
 
+  if (first_execution)
+    {
+      for (tree_argument_list::iterator p = lhs->begin (); p != lhs->end (); p++)
+        {
+          tree_expression *lhs_expr = *p;
+
+          if (lhs_expr)
+            maybe_warn_former_built_in_variable (lhs_expr->name ());
+        }
+    }
+
   if (rhs)
     {
       std::list<octave_lvalue> lvalue_list = lhs->lvalue_list ();
@@ -486,6 +494,8 @@ tree_multi_assignment::rvalue (int)
   else
     eval_error ();
 
+  first_execution = false;
+
   return retval;
 }
 
diff -pruN 1:3.0.1-6/src/pt-assign.h 1:3.0.5-6/src/pt-assign.h
--- 1:3.0.1-6/src/pt-assign.h	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-assign.h	2009-01-16 06:46:24.000000000 +0000
@@ -46,7 +46,8 @@ public:
 
   tree_simple_assignment (bool plhs = false, int l = -1, int c = -1,
 			  octave_value::assign_op t = octave_value::op_asn_eq)
-    : tree_expression (l, c), lhs (0), rhs (0), preserve (plhs), etype (t) { }
+    : tree_expression (l, c), lhs (0), rhs (0), preserve (plhs), etype (t),
+      first_execution (true) { }
 
   tree_simple_assignment (tree_expression *le, tree_expression *re,
 			  bool plhs = false, int l = -1, int c = -1,
@@ -100,6 +101,9 @@ private:
   // The type of the expression.
   octave_value::assign_op etype;
 
+  // true only on first rvalue() call.
+  bool first_execution;
+
   // No copying!
 
   tree_simple_assignment (const tree_simple_assignment&);
@@ -116,7 +120,8 @@ public:
 
   tree_multi_assignment (bool plhs = false, int l = -1, int c = -1,
 			 octave_value::assign_op t = octave_value::op_asn_eq)
-    : tree_expression (l, c), lhs (0), rhs (0), preserve (plhs), etype(t) { }
+    : tree_expression (l, c), lhs (0), rhs (0), preserve (plhs), etype(t),
+      first_execution (true) { }
 
   tree_multi_assignment (tree_argument_list *lst, tree_expression *r,
 			 bool plhs = false, int l = -1, int c = -1,
@@ -162,6 +167,9 @@ private:
   // The type of the expression.
   octave_value::assign_op etype;
 
+  // true only on first rvalue() call.
+  bool first_execution;
+
   // No copying!
 
   tree_multi_assignment (const tree_multi_assignment&);
diff -pruN 1:3.0.1-6/src/pt-mat.cc 1:3.0.5-6/src/pt-mat.cc
--- 1:3.0.1-6/src/pt-mat.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-mat.cc	2009-01-16 06:46:24.000000000 +0000
@@ -184,7 +184,7 @@ private:
   tm_row_const_rep *rep;
 };
 
-static std::string
+std::string
 get_concat_class (const std::string& c1, const std::string& c2)
 {
   std::string retval = octave_base_value::static_class_name ();
@@ -699,7 +699,7 @@ tree_matrix::rvalue (int nargout)
   return retval;
 }
 
-static void
+void
 maybe_warn_string_concat (bool all_dq_strings_p, bool all_sq_strings_p)
 {
   if (! (all_dq_strings_p || all_sq_strings_p))
diff -pruN 1:3.0.1-6/src/pt-mat.h 1:3.0.5-6/src/pt-mat.h
--- 1:3.0.1-6/src/pt-mat.h	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-mat.h	2009-01-16 06:46:24.000000000 +0000
@@ -79,6 +79,12 @@ private:
 // The character to fill with when creating string arrays.
 extern char Vstring_fill_char;
 
+extern std::string 
+get_concat_class (const std::string& c1, const std::string& c2);
+
+extern void
+maybe_warn_string_concat (bool all_dq_strings_p, bool all_sq_strings_p);
+
 #endif
 
 /*
diff -pruN 1:3.0.1-6/src/pt-select.cc 1:3.0.5-6/src/pt-select.cc
--- 1:3.0.1-6/src/pt-select.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/pt-select.cc	2009-02-18 06:57:47.000000000 +0000
@@ -168,7 +168,7 @@ equal (const octave_value& val, const oc
       octave_value tmp = do_binary_op (octave_value::op_eq, val, test);
 
       if (! error_state && tmp.is_defined ())
-	retval = tmp.is_true ();
+	retval = tmp.is_true () || tmp.is_empty ();
     }
 
   return retval;
diff -pruN 1:3.0.1-6/src/sysdep.cc 1:3.0.5-6/src/sysdep.cc
--- 1:3.0.1-6/src/sysdep.cc	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/sysdep.cc	2009-01-16 06:46:24.000000000 +0000
@@ -623,6 +623,7 @@ returns a string containing the value of
 DEFUN (putenv, args, ,
   "-*- texinfo -*-\n\
 @deftypefn {Built-in Function} {} putenv (@var{var}, @var{value})\n\
+@deftypefnx {Built-in Function} {} setenv (@var{var}, @var{value})\n\
 Set the value of the environment variable @var{var} to @var{value}.\n\
 @end deftypefn")
 {
@@ -630,13 +631,14 @@ Set the value of the environment variabl
 
   int nargin = args.length ();
 
-  if (nargin == 2)
+  if (nargin == 2 || nargin == 1)
     {
       std::string var = args(0).string_value (); 
 
       if (! error_state)
 	{
-	  std::string val = args(1).string_value (); 
+	  std::string val = (nargin == 2
+			     ? args(1).string_value () : std::string ()); 
 
 	  if (! error_state)
 	    octave_env::putenv (var, val);
@@ -651,6 +653,7 @@ Set the value of the environment variabl
 
   return retval;
 }
+DEFALIAS (setenv, putenv);
 
 // FIXME -- perhaps kbhit should also be able to print a prompt?
 
diff -pruN 1:3.0.1-6/src/utils.cc 1:3.0.5-6/src/utils.cc
--- 1:3.0.1-6/src/utils.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/utils.cc	2009-01-16 06:46:24.000000000 +0000
@@ -754,6 +754,28 @@ if @var{name} is not found.\n\
   return retval;
 }
 
+// See if there is a directory called "name" in the path and if it
+// contains a Contents.m file return the full path to this file.
+
+std::string
+contents_file_in_path (const std::string& dir)
+{
+  std::string retval;
+
+  if (dir.length () > 0)
+    {
+      std::string tcontents = file_ops::concat (load_path::find_dir (dir), 
+						std::string ("Contents.m"));
+
+      file_stat fs (tcontents);
+
+      if (fs.exists ())
+	retval = octave_env::make_absolute (tcontents, octave_env::getcwd ());
+    }
+
+  return retval;
+}
+
 DEFUN (errno_list, args, ,
   "-*- texinfo -*-\n\
 @deftypefn {Built-in Function} {} errno_list ()\n\
diff -pruN 1:3.0.1-6/src/utils.h 1:3.0.5-6/src/utils.h
--- 1:3.0.1-6/src/utils.h	2008-04-21 16:58:41.000000000 +0100
+++ 1:3.0.5-6/src/utils.h	2009-01-16 06:46:24.000000000 +0000
@@ -64,6 +64,8 @@ search_path_for_all_files (const std::st
 extern OCTINTERP_API std::string
 file_in_path (const std::string&, const std::string&);
 
+extern OCTINTERP_API std::string contents_file_in_path (const std::string&);
+
 extern OCTINTERP_API std::string fcn_file_in_path (const std::string&);
 extern OCTINTERP_API std::string oct_file_in_path (const std::string&);
 extern OCTINTERP_API std::string mex_file_in_path (const std::string&);
diff -pruN 1:3.0.1-6/src/variables.cc 1:3.0.5-6/src/variables.cc
--- 1:3.0.1-6/src/variables.cc	2008-04-21 17:00:21.000000000 +0100
+++ 1:3.0.5-6/src/variables.cc	2009-02-18 06:57:47.000000000 +0000
@@ -58,6 +58,7 @@ along with Octave; see the file COPYING.
 #include "unwind-prot.h"
 #include "utils.h"
 #include "variables.h"
+#include "debug.h"
 
 // Should Octave always check to see if function files have changed
 // since they were last compiled?
@@ -1091,6 +1092,11 @@ symbol_out_of_date (symbol_record *sr)
 		      else
 			retval = true;
 		    }
+
+		  // If the function has been replaced then clear any 
+		  // breakpoints associated with it
+		  if (retval)
+		    bp_table::remove_all_breakpoints_in_file (nm, true);
 		}
 	    }
 	}
@@ -2447,7 +2453,7 @@ Clears the global symbol names.\n\
 @item -variables, -v\n\
 Clears the local variable names.\n\
 @end table\n\
-With the execption of @code{exclusive}, all long options can be used \n\
+With the exception of @code{exclusive}, all long options can be used \n\
 without the dash as well.\n\
 @end deffn")
 {
diff -pruN 1:3.0.1-6/src/version.h 1:3.0.5-6/src/version.h
--- 1:3.0.1-6/src/version.h	2008-04-21 17:01:57.000000000 +0100
+++ 1:3.0.5-6/src/version.h	2009-04-07 11:02:08.000000000 +0100
@@ -24,11 +24,11 @@ along with Octave; see the file COPYING.
 #if !defined (octave_version_h)
 #define octave_version_h 1
 
-#define OCTAVE_VERSION "3.0.1"
+#define OCTAVE_VERSION "3.0.5"
 
 #define OCTAVE_API_VERSION "api-v32"
 
-#define OCTAVE_RELEASE_DATE "2008-12-21"
+#define OCTAVE_RELEASE_DATE "2009-04-07"
 
 #define OCTAVE_COPYRIGHT "Copyright (C) 2008 John W. Eaton and others."
 
@@ -45,7 +45,7 @@ along with Octave; see the file COPYING.
   "This is free software; see the source code for copying conditions."
 
 #define X_OCTAVE_WARRANTY_STATEMENT(ARG) \
-  "There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or\n\
+  "There is ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or\n\
 FITNESS FOR A PARTICULAR PURPOSE." ARG
 
 #define OCTAVE_WARRANTY_STATEMENT \
diff -pruN 1:3.0.1-6/test/ChangeLog 1:3.0.5-6/test/ChangeLog
--- 1:3.0.1-6/test/ChangeLog	2008-04-21 17:02:34.000000000 +0100
+++ 1:3.0.5-6/test/ChangeLog	2009-04-07 11:01:40.000000000 +0100
@@ -1,3 +1,37 @@
+2009-04-07  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.5 released.
+
+2009-01-16  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.4 released.
+
+2009-03-26  Tatsuro Matsuoka <tmacchant@yahoo.co.jp>
+
+	* test_string.m: Use more accurate platform test.
+
+2008-09-24  Jaroslav Hajek  <highegg@gmail.com>
+
+	Version 3.0.3 released.
+
+2008-09-18  Jaroslav Hajek  <highegg@gmail.com>
+
+	* test_null_assign.m: New tests.
+
+2008-08-19  Jaroslav Hajek <highegg@gmail.com>
+
+	Version 3.0.2 released.
+
+2008-06-02  John W. Eaton  <jwe@octave.org>
+
+	* test_io.m, test_system.m, octave.test/io/sprintf-1.m,
+	octave.test/io/sscanf-1.m, octave.test/io/tmpnam-1.m,
+	octave.test/system/computer-1.m,
+	octave.test/system/file_in_path-1.m, octave.test/system/lstat-1.m,
+	octave.test/system/pwd-1.m, octave.test/system/stat-1.m,
+	octave.test/system/strftime-1.m, octave.test/system/version-1.m:
+	Call ischar instead of isstr.
+
 2008-04-21  John W. Eaton  <jwe@octave.org>
 
 	Version 3.0.1 released.
diff -pruN 1:3.0.1-6/test/test_io.m 1:3.0.5-6/test/test_io.m
--- 1:3.0.1-6/test/test_io.m	2008-04-21 17:00:22.000000000 +0100
+++ 1:3.0.5-6/test/test_io.m	2009-01-16 06:46:25.000000000 +0000
@@ -210,8 +210,8 @@
 %! [v2, c2, m2] = sscanf ("1 2 bar 3 4 5 6", "%d");
 %! 
 %! assert((a == 1.2 && b == 3 && c == "foo"
-%! && v1 == [1; 2; 3; 4; 5; 6] && c1 == 6 && isstr (m1)
-%! && v2 == [1; 2] && c2 == 2 && isstr (m2)));
+%! && v1 == [1; 2; 3; 4; 5; 6] && c1 == 6 && ischar (m1)
+%! && v2 == [1; 2] && c2 == 2 && ischar (m2)));
 
 %% test/octave.test/io/sscanf-2.m
 %!error <Invalid call to sscanf.*> sscanf ();
@@ -251,7 +251,7 @@
 %!test
 %! [s, msg, status] = sprintf ("%s: %d\n", "test", 1);
 %! 
-%! assert(s == "test: 1\n" && isstr (msg) && status == 8);
+%! assert(s == "test: 1\n" && ischar (msg) && status == 8);
 
 %% test/octave.test/io/sprintf-2.m
 %!error sprintf (1);
@@ -340,7 +340,7 @@
 %!error <Invalid call to fclose.*> fclose (1, 2);
 
 %% test/octave.test/io/tmpnam-1.m
-%!assert(isstr (tmpnam ()));
+%!assert(ischar (tmpnam ()));
 
 %% test/octave.test/io/tmpnam-2.m
 %!warning tmpnam (1);
diff -pruN 1:3.0.1-6/test/test_null_assign.m 1:3.0.5-6/test/test_null_assign.m
--- 1:3.0.1-6/test/test_null_assign.m	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/test/test_null_assign.m	2009-01-16 06:46:25.000000000 +0000
@@ -0,0 +1,35 @@
+## Copyright (C) 2008 Jaroslav Hajek
+##
+## This file is part of Octave.
+##
+## Octave is free software; you can redistribute it and/or modify it
+## under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 3 of the License, or (at
+## your option) any later version.
+##
+## Octave is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+## General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with Octave; see the file COPYING.  If not, see
+## <http://www.gnu.org/licenses/>.
+
+%!test
+%! a = 1:3; a(:) = []; assert (size (a), [0, 0])
+%!test
+%! a = 1:3; a(1:3) = []; assert (size (a), [1, 0])
+%!test
+%! a = (1:3).'; a(1:3) = []; assert (size (a), [0, 1])
+%!test
+%! a = ones (3); a(:,:) = []; assert (size (a), [0, 3])
+%!test
+%! a = ones (3); a(1:3,:) = []; assert (size (a), [0, 3])
+%!test
+%! a = ones (3); a(:,1:3) = []; assert (size (a), [3, 0])
+%!test
+%! a = ones (3); fail ("a(1:2,1:2) = []", ".*");
+%!test
+%! a = ones (3); fail ("a(1:3,1:3) = []", ".*");
+
diff -pruN 1:3.0.1-6/test/test_poly.m 1:3.0.5-6/test/test_poly.m
--- 1:3.0.1-6/test/test_poly.m	2008-04-21 17:00:22.000000000 +0100
+++ 1:3.0.5-6/test/test_poly.m	1970-01-01 01:00:00.000000000 +0100
@@ -1,184 +0,0 @@
-## Copyright (C) 2006, 2007 John W. Eaton
-##
-## This file is part of Octave.
-##
-## Octave is free software; you can redistribute it and/or modify it
-## under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 3 of the License, or (at
-## your option) any later version.
-##
-## Octave is distributed in the hope that it will be useful, but
-## WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-## General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with Octave; see the file COPYING.  If not, see
-## <http://www.gnu.org/licenses/>.
-
-%% Automatically generated from DejaGNU files
-
-%% test/octave.test/poly/compan-1.m
-%!assert(all (all (compan ([1, 2, 3]) == [-2, -3; 1, 0])));
-
-%% test/octave.test/poly/compan-2.m
-%!assert(all (all (compan ([1; 2; 3]) == [-2, -3; 1, 0])));
-
-%% test/octave.test/poly/compan-3.m
-%!assert(isempty (compan (4)));
-
-%% test/octave.test/poly/compan-4.m
-%!assert(all (all (compan ([3, 2, 1]) == [-2/3, -1/3; 1, 0])));
-
-%% test/octave.test/poly/compan-5.m
-%!error compan ([1,2;3,4]);
-
-%% test/octave.test/poly/compan-6.m
-%!error compan ([]);
-
-%% test/octave.test/poly/conv-1.m
-%!assert(all (all (conv (ones (3, 1), ones (3, 1)) == [1, 2, 3, 2, 1])));
-
-%% test/octave.test/poly/conv-2.m
-%!assert(all (all (conv (ones (1, 3), ones (3, 1)) == [1, 2, 3, 2, 1])));
-
-%% test/octave.test/poly/conv-3.m
-%!assert(all (all (conv (3, [1, 2, 3]) == [3, 6, 9])));
-
-%% test/octave.test/poly/conv-4.m
-%!error conv ([1, 2; 3, 4], 3);
-
-%% test/octave.test/poly/conv-5.m
-%!assert(conv (2, 3),6);
-
-%% test/octave.test/poly/conv-6.m
-%!error conv (2, []);
-
-%% test/octave.test/poly/deconv-1.m
-%!test
-%! [b, r] = deconv ([3, 6, 9, 9], [1, 2, 3]);
-%! assert(all (all (b == [3, 0])) && all (all (r == [0, 0, 0, 9])));
-
-%% test/octave.test/poly/deconv-2.m
-%!test
-%! [b, r] = deconv ([3, 6], [1, 2, 3]);
-%! assert(b == 0 && all (all (r == [0, 3, 6])));
-
-%% test/octave.test/poly/deconv-3.m
-%!test
-%! [b, r] = deconv ([3, 6], [1; 2; 3]);
-%! assert(b == 0 && all (all (r == [0, 3, 6])));
-
-%% test/octave.test/poly/deconv-4.m
-%!error [b, r] = deconv ([3, 6], [1, 2; 3, 4]);;
-
-%% test/octave.test/poly/deconv-5.m
-%!error <number of rows must match> [b, r] = deconv ([3; 6], [1, 2, 3]);
-
-%% test/octave.test/poly/poly-1.m
-%!assert(all (all (poly ([1, 2, 3]) == [1, -6, 11, -6])));
-
-%% test/octave.test/poly/poly-2.m
-%!assert(all (all (abs (poly ([1, 2; 3, 4]) - [1, -5, -2]) < sqrt (eps))));
-
-%% test/octave.test/poly/poly-3.m
-%!error poly ([1, 2, 3; 4, 5, 6]);
-
-%% test/octave.test/poly/poly-4.m
-%!assert(poly ([]),1);
-
-%% test/octave.test/poly/polyderiv-1.m
-%!assert(all (all (polyderiv ([1, 2, 3]) == [2, 2])));
-
-%% test/octave.test/poly/polyderiv-2.m
-%!assert(polyderiv (13) == 0);
-
-%% test/octave.test/poly/polyderiv-3.m
-%!error polyderiv ([]);
-
-%% test/octave.test/poly/polyderiv-4.m
-%!error polyderiv ([1, 2; 3, 4]);
-
-%% test/octave.test/poly/polyfit-1.m
-%!test
-%! x = [-2, -1, 0, 1, 2];
-%! assert(all (all (abs (polyfit (x, x.^2+x+1, 2) - [1, 1, 1]) < sqrt (eps))));
-
-%% test/octave.test/poly/polyfit-2.m
-%!test
-%! x = [-2, -1, 0, 1, 2];
-%! assert(all (all (abs (polyfit (x, x.^2+x+1, 3) - [0, 1, 1, 1]) < sqrt (eps))));
-
-%% test/octave.test/poly/polyfit-3.m
-%!error polyfit ([1, 2; 3, 4], [1, 2; 3, 4], 4);
-
-%% test/octave.test/poly/polyfit-4.m
-%!test
-%! x = [-2, -1, 0, 1, 2];
-%! fail("polyfit (x, x.^2+x+1)");
-
-%% test/octave.test/poly/polyfit-5.m
-%!test
-%! x = [-2, -1, 0, 1, 2];
-%! fail("polyfit (x, x.^2+x+1, [])");
-
-%% test/octave.test/poly/polyinteg-1.m
-%!assert(all (all (polyinteg ([2, 2]) == [1, 2, 0])));
-
-%% test/octave.test/poly/polyinteg-2.m
-%!assert(isempty (polyinteg ([])));
-
-%% test/octave.test/poly/polyinteg-3.m
-%!assert(all (all (polyinteg (3) == [3, 0])));
-
-%% test/octave.test/poly/polyinteg-4.m
-%!error polyinteg ([1, 2; 3, 4]);
-
-%% test/octave.test/poly/polyreduce-1.m
-%!assert(all (all (polyreduce ([0, 0, 1, 2, 3]) == [1, 2, 3])));
-
-%% test/octave.test/poly/polyreduce-2.m
-%!assert(all (all (polyreduce ([1, 2, 3, 0, 0]) == [1, 2, 3, 0, 0])));
-
-%% test/octave.test/poly/polyreduce-3.m
-%!assert(all (all (polyreduce ([1, 0, 3]) == [1, 0, 3])));
-
-%% test/octave.test/poly/polyreduce-4.m
-%!assert(isempty (polyreduce ([])));
-
-%% test/octave.test/poly/polyreduce-5.m
-%!error polyreduce ([1, 2; 3, 4]);
-
-%% test/octave.test/poly/polyval-1.m
-%!assert(polyval ([1, 1, 1], 2) == 7);
-
-%% test/octave.test/poly/polyval-2.m
-%!assert(all (all (polyval ([1, 1, 1], [0; 1; 2]) == [1; 3; 7])));
-
-%% test/octave.test/poly/polyval-3.m
-%!assert(isempty (polyval ([1, 1, 1], [])));
-
-%% test/octave.test/poly/polyval-4.m
-%!assert(all (all (polyval ([1, 1, 1], [-1, 0; 1, 2]) == [1, 1; 3, 7])));
-
-%% test/octave.test/poly/polyval-5.m
-%!error polyval ([1, 2; 3, 4], [-1, 0; 1, 2]);
-
-%% test/octave.test/poly/polyval-6.m
-%!assert(isempty (polyval ([], [-1, 0; 1, 2])));
-
-%% test/octave.test/poly/polyvalm-1.m
-%!assert(isempty (polyvalm ([], [1, 2; 3, 4])));
-
-%% test/octave.test/poly/polyvalm-2.m
-%!error polyvalm ([1, 1, 1], [1, 2; 3, 4; 5, 6]);
-
-%% test/octave.test/poly/roots-1.m
-%!assert(all (all (abs (roots ([1, -6, 11, -6]) - [3; 2; 1]) < sqrt (eps))));
-
-%% test/octave.test/poly/roots-2.m
-%!assert(isempty (roots ([])));
-
-%% test/octave.test/poly/roots-3.m
-%!error roots ([1, 2; 3, 4]);
-
diff -pruN 1:3.0.1-6/test/test_sparse.m 1:3.0.5-6/test/test_sparse.m
--- 1:3.0.1-6/test/test_sparse.m	1970-01-01 01:00:00.000000000 +0100
+++ 1:3.0.5-6/test/test_sparse.m	2009-03-27 11:53:55.000000000 +0000
@@ -0,0 +1,2904 @@
+## THIS IS AN AUTOMATICALLY GENERATED FILE --- DO NOT EDIT ---
+## instead modify build_sparse_tests.sh to generate the tests that you want.
+##
+## test_sparse
+##
+##    run preset sparse tests.  All should pass.
+function [passes,tests] = test_sparse
+  disp("writing test output to sptest.log");
+  test("test_sparse","normal","sptest.log");
+endfunction
+
+
+# ==============================================================
+
+
+# ==============================================================
+
+
+%!test # segfault test from edd@debian.org
+%! n = 510;
+%! sparse(kron((1:n)', ones(n,1)), kron(ones(n,1), (1:n)'), ones(n)); 
+
+%% segfault tests from Fabian@isas-berlin.de
+%% Note that the last four do not fail, but rather give a warning
+%% of a singular matrix, which is consistent with the full matrix
+%% behaviour. They are therefore disabled.. 
+%!testif HAVE_UMFPACK
+%! assert(spinv(sparse([1,1;1,1+i])),sparse([1-1i,1i;1i,-1i]),10*eps);
+% !error spinv( sparse( [1,1;1,1]   ) );
+% !error spinv( sparse( [0,0;0,1]   ) );
+% !error spinv( sparse( [0,0;0,1+i] ) );
+% !error spinv( sparse( [0,0;0,0]   ) );
+
+%% error handling in constructor
+%!error sparse(1,[2,3],[1,2,3]);
+%!error sparse([1,1],[1,1],[1,2],3,3,"bogus");
+%!error sparse([1,3],[1,-4],[3,5],2,2);
+%!error sparse([1,3],[1,-4],[3,5i],2,2);
+%!error sparse(-1,-1,1);
+
+# ==============================================================
+
+%!shared bf
+%!test bf=realmin;
+%% Make sure newly introduced zeros get eaten
+%!assert(nnz(sparse([bf,bf,1]).^realmax),1);
+%!assert(nnz(sparse([1,bf,bf]).^realmax),1);
+%!assert(nnz(sparse([bf,bf,bf]).^realmax),0); 
+
+%!assert(nnz(sparse([bf;bf;1]).^realmax),1);
+%!assert(nnz(sparse([1;bf;bf]).^realmax),1);
+%!assert(nnz(sparse([0.5;bf;bf]).^realmax),0);
+
+%!assert(nnz(sparse([bf,bf,1])*realmin),1);
+%!assert(nnz(sparse([1,bf,bf])*realmin),1);
+%!assert(nnz(sparse([bf,bf,bf])*realmin),0);
+
+%!assert(nnz(sparse([bf;bf;1])*realmin),1);
+%!assert(nnz(sparse([1;bf;bf])*realmin),1);
+%!assert(nnz(sparse([bf;bf;bf])*realmin),0);
+
+%!test bf=realmin+realmin*1i;
+%% Make sure newly introduced zeros get eaten
+%!assert(nnz(sparse([bf,bf,1]).^realmax),1);
+%!assert(nnz(sparse([1,bf,bf]).^realmax),1);
+%!assert(nnz(sparse([bf,bf,bf]).^realmax),0); 
+
+%!assert(nnz(sparse([bf;bf;1]).^realmax),1);
+%!assert(nnz(sparse([1;bf;bf]).^realmax),1);
+%!assert(nnz(sparse([0.5;bf;bf]).^realmax),0);
+
+%!assert(nnz(sparse([bf,bf,1])*realmin),1);
+%!assert(nnz(sparse([1,bf,bf])*realmin),1);
+%!assert(nnz(sparse([bf,bf,bf])*realmin),0);
+
+%!assert(nnz(sparse([bf;bf;1])*realmin),1);
+%!assert(nnz(sparse([1;bf;bf])*realmin),1);
+%!assert(nnz(sparse([bf;bf;bf])*realmin),0);
+
+%!assert(nnz(sparse([-1,realmin,realmin]).^1.5),1);
+%!assert(nnz(sparse([-1,realmin,realmin,1]).^1.5),2);
+
+%!assert(nnz(sparse(1,1,0)),0); # Make sure scalar v==0 doesn't confuse matters
+%!assert(nnz(sparse(eye(3))*0),0);
+%!assert(nnz(sparse(eye(3))-sparse(eye(3))),0);
+
+%!test
+%! wdbz = warning ("query", "Octave:divide-by-zero");
+%! warning ("off", "Octave:divide-by-zero");
+%! assert(full(sparse(eye(3))/0),eye(3)/0);
+%! warning (wdbz.state, "Octave:divide-by-zero");
+
+
+# ==============================================================
+
+%!shared as,af,bs,bf
+%!test af=[1+1i,2-1i,0,0;0,0,0,3+2i;0,0,0,4];
+%!test bf=3;
+%!test as=sparse(af);
+%!test bs=bf;
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%% real values can be ordered (uses as,af)
+%!assert(as<=bf,sparse(af<=bf))
+%!assert(bf<=as,sparse(bf<=af))
+
+%!assert(as>=bf,sparse(af>=bf))
+%!assert(bf>=as,sparse(bf>=af))
+
+%!assert(as<bf,sparse(af<bf))
+%!assert(bf<as,sparse(bf<af))
+
+%!assert(as>bf,sparse(af>bf))
+%!assert(bf>as,sparse(bf>af))
+
+%!test bf=bf+1i;
+%!test bs=bf;
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+
+# ==============================================================
+
+%!test af=[1+1i,2-1i,0,0;0,0,0,3+2i;0,0,0,4];
+%!test bf=[0,1-1i,0,0;2+1i,0,0,0;3-1i,2+3i,0,0];
+%!test as=sparse(af);
+%!test bs=sparse(bf);
+%% Unary matrix tests (uses af,as)
+%!assert(abs(as),sparse(abs(af)))
+%!assert(acos(as),sparse(acos(af)))
+%!assert(acosh(as),sparse(acosh(af)))
+%!assert(angle(as),sparse(angle(af)))
+%!assert(arg(as),sparse(arg(af)))
+%!assert(asin(as),sparse(asin(af)))
+%!assert(asinh(as),sparse(asinh(af)))
+%!assert(atan(as),sparse(atan(af)))
+%!assert(atanh(as),sparse(atanh(af)))
+%!assert(ceil(as),sparse(ceil(af)))
+%!assert(conj(as),sparse(conj(af)))
+%!assert(cos(as),sparse(cos(af)))
+%!assert(cosh(as),sparse(cosh(af)))
+%!assert(exp(as),sparse(exp(af)))
+%!assert(finite(as),sparse(finite(af)))
+%!assert(fix(as),sparse(fix(af)))
+%!assert(floor(as),sparse(floor(af)))
+%!assert(imag(as),sparse(imag(af)))
+%!assert(isinf(as),sparse(isinf(af)))
+%!assert(isna(as),sparse(isna(af)))
+%!assert(isnan(as),sparse(isnan(af)))
+%!assert(log(as),sparse(log(af)))
+%!assert(real(as),sparse(real(af)))
+%!assert(round(as),sparse(round(af)))
+%!assert(sign(as),sparse(sign(af)))
+%!assert(sin(as),sparse(sin(af)))
+%!assert(sinh(as),sparse(sinh(af)))
+%!assert(sqrt(as),sparse(sqrt(af)))
+%!assert(tan(as),sparse(tan(af)))
+%!assert(tanh(as),sparse(tanh(af)))
+%!assert(issparse(abs(as))&&isreal(abs(as)))
+%!assert(issparse(real(as))&&isreal(real(as)))
+%!assert(issparse(imag(as))&&isreal(imag(as)))
+
+%% Unary matrix tests (uses af,as)
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erf(as),sparse(erf(af)))
+%!   else
+%!     assert(erf(as),erf(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erfc(as),sparse(erfc(af)))
+%!   else
+%!     assert(erfc(as),erfc(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalnum(as),sparse(isalnum(af)))
+%!   else
+%!     assert(isalnum(as),isalnum(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalpha(as),sparse(isalpha(af)))
+%!   else
+%!     assert(isalpha(as),isalpha(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isascii(as),sparse(isascii(af)))
+%!   else
+%!     assert(isascii(as),isascii(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(iscntrl(as),sparse(iscntrl(af)))
+%!   else
+%!     assert(iscntrl(as),iscntrl(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isdigit(as),sparse(isdigit(af)))
+%!   else
+%!     assert(isdigit(as),isdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isgraph(as),sparse(isgraph(af)))
+%!   else
+%!     assert(isgraph(as),isgraph(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(islower(as),sparse(islower(af)))
+%!   else
+%!     assert(islower(as),islower(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isprint(as),sparse(isprint(af)))
+%!   else
+%!     assert(isprint(as),isprint(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(ispunct(as),sparse(ispunct(af)))
+%!   else
+%!     assert(ispunct(as),ispunct(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isspace(as),sparse(isspace(af)))
+%!   else
+%!     assert(isspace(as),isspace(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isupper(as),sparse(isupper(af)))
+%!   else
+%!     assert(isupper(as),isupper(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isxdigit(as),sparse(isxdigit(af)))
+%!   else
+%!     assert(isxdigit(as),isxdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+
+%% These mapper functions always return a full matrix
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!    assert(toascii(as),toascii(af))
+%!    assert(tolower(as),tolower(af))
+%!    assert(toupper(as),toupper(af))
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%% Unary matrix tests (uses af,as)
+%!assert(issparse(as))
+%!assert(!issparse(af))
+%!assert(!(issparse(af)&&iscomplex(af)))
+%!assert(!(issparse(af)&&isreal(af)))
+%!assert(spsum(as),sparse(sum(af)))
+%!assert(spsum(as,1),sparse(sum(af,1)))
+%!assert(spsum(as,2),sparse(sum(af,2)))
+%!assert(spcumsum(as),sparse(cumsum(af)))
+%!assert(spcumsum(as,1),sparse(cumsum(af,1)))
+%!assert(spcumsum(as,2),sparse(cumsum(af,2)))
+%!assert(spsumsq(as),sparse(sumsq(af)))
+%!assert(spsumsq(as,1),sparse(sumsq(af,1)))
+%!assert(spsumsq(as,2),sparse(sumsq(af,2)))
+%!assert(spprod(as),sparse(prod(af)))
+%!assert(spprod(as,1),sparse(prod(af,1)))
+%!assert(spprod(as,2),sparse(prod(af,2)))
+%!assert(spcumprod(as),sparse(cumprod(af)))
+%!assert(spcumprod(as,1),sparse(cumprod(af,1)))
+%!assert(spcumprod(as,2),sparse(cumprod(af,2)))
+
+%!assert(spmin(as),sparse(min(af)))
+%!assert(full(spmin(as(:))),min(af(:)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,[],2),sparse(min(af,[],2)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,0),sparse(min(af,0)))
+%!assert(spmin(as,bs),sparse(min(af,bf)))
+%!assert(spmax(as),sparse(max(af)))
+%!assert(full(spmax(as(:))),max(af(:)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,[],2),sparse(max(af,[],2)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,0),sparse(max(af,0)))
+%!assert(spmax(as,bs),sparse(max(af,bf)))
+
+%!assert(as==as)
+%!assert(as==af)
+%!assert(af==as)
+%!test
+%! [ii,jj,vv,nr,nc] = spfind(as);
+%! assert(af,full(sparse(ii,jj,vv,nr,nc)));
+%!assert(nnz(as),sum(af(:)!=0))
+%!assert(nnz(as),nnz(af))
+%!assert(issparse(as.'))
+%!assert(issparse(as'))
+%!assert(issparse(-as))
+%!assert(~as,sparse(~af))
+%!assert(as.', sparse(af.'));
+%!assert(as',  sparse(af'));
+%!assert(-as, sparse(-af));
+%!assert(~as, sparse(~af));
+%!error [i,j]=size(af);as(i-1,j+1);
+%!error [i,j]=size(af);as(i+1,j-1);
+%!test
+%! [Is,Js,Vs] = spfind(as);
+%! [If,Jf,Vf] = find(af);
+%! assert(Is,If);
+%! assert(Js,Jf);
+%! assert(Vs,Vf);
+%!error as(0,1);
+%!error as(1,0);
+%!assert(spfind(as),find(af))
+%!test
+%! [i,j,v] = spfind(as);
+%! [m,n] = size(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!test
+%! [i,j,v,m,n] = spfind(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!assert(issparse(horzcat(as,as)));
+%!assert(issparse(vertcat(as,as)));
+%!assert(issparse(cat(1,as,as)));
+%!assert(issparse(cat(2,as,as)));
+%!assert(issparse([as,as]));
+%!assert(issparse([as;as]));
+%!assert(horzcat(as,as), sparse([af,af]));
+%!assert(vertcat(as,as), sparse([af;af]));
+%!assert(horzcat(as,as,as), sparse([af,af,af]));
+%!assert(vertcat(as,as,as), sparse([af;af;af]));
+%!assert([as,as], sparse([af,af]));
+%!assert([as;as], sparse([af;af]));
+%!assert([as,as,as], sparse([af,af,af]));
+%!assert([as;as;as], sparse([af;af;af]));
+%!assert(cat(2,as,as), sparse([af,af]));
+%!assert(cat(1,as,as), sparse([af;af]));
+%!assert(cat(2,as,as,as), sparse([af,af,af]));
+%!assert(cat(1,as,as,as), sparse([af;af;af]));
+%!assert(issparse([as,af]));
+%!assert(issparse([af,as]));
+%!assert([as,af], sparse([af,af]));
+%!assert([as;af], sparse([af;af]));
+
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%!assert(as==bs,sparse(af==bf))
+%!assert(as!=bs,sparse(af!=bf))
+%!assert(as+bs,sparse(af+bf))
+%!assert(as-bs,sparse(af-bf))
+%!assert(as.*bs,sparse(af.*bf))
+%!xtest assert(as./bs,sparse(af./bf),100*eps);
+%!test
+%! sv = as.^bs;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as*bf',af*bf')
+%!assert(af*bs',af*bf')
+%!assert(as*bs',sparse(af*bf'))
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(spdiag(as),sparse(diag(af)))
+%!assert(spdiag(bs),sparse(diag(bf)))
+%!assert(spdiag(as,1),sparse(diag(af,1)))
+%!assert(spdiag(bs,1),sparse(diag(bf,1)))
+%!assert(spdiag(as,-1),sparse(diag(af,-1)))
+%!assert(spdiag(bs,-1),sparse(diag(bf,-1)))
+%!assert(spdiag(as(:)),sparse(diag(af(:))))
+%!assert(spdiag(as(:),1),sparse(diag(af(:),1)))
+%!assert(spdiag(as(:),-1),sparse(diag(af(:),-1)))
+%!assert(spdiag(as(:)'),sparse(diag(af(:)')))
+%!assert(spdiag(as(:)',1),sparse(diag(af(:)',1)))
+%!assert(spdiag(as(:)',-1),sparse(diag(af(:)',-1)))
+%!assert(spdiags(as,[0,1]),[diag(af,0),diag(af,1)])
+%!test [tb,tc]=spdiags(as); 
+%! assert(spdiags(tb,tc,sparse(zeros(size(as)))),as)
+%! assert(spdiags(tb,tc,size(as,1),size(as,2)),as)
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(reshape(as,1,prod(size(as))),sparse(reshape(af,1,prod(size(af)))))
+%!assert(reshape(as,prod(size(as)),1),sparse(reshape(af,prod(size(af)),1)))
+%!assert(reshape(as,fliplr(size(as))),sparse(reshape(af,fliplr(size(af)))))
+%!assert(reshape(bs,1,prod(size(as))),sparse(reshape(bf,1,prod(size(af)))))
+%!assert(reshape(bs,prod(size(as)),1),sparse(reshape(bf,prod(size(af)),1)))
+%!assert(reshape(bs,fliplr(size(as))),sparse(reshape(bf,fliplr(size(af)))))
+
+
+# ==============================================================
+
+%!test # save ascii
+%! savefile= tmpnam();
+%! as_save=as; save("-text",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save binary
+%! savefile= tmpnam();
+%! as_save=as; save("-binary",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save hdf5
+%! savefile= tmpnam();
+%! as_save=as; save("-hdf5",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save matlab
+%! savefile= tmpnam();
+%! as_save=as; save("-mat",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+
+# ==============================================================
+
+%!test bf=real(bf);
+%!test as=sparse(af);
+%!test bs=sparse(bf);
+%% Unary matrix tests (uses af,as)
+%!assert(abs(as),sparse(abs(af)))
+%!assert(acos(as),sparse(acos(af)))
+%!assert(acosh(as),sparse(acosh(af)))
+%!assert(angle(as),sparse(angle(af)))
+%!assert(arg(as),sparse(arg(af)))
+%!assert(asin(as),sparse(asin(af)))
+%!assert(asinh(as),sparse(asinh(af)))
+%!assert(atan(as),sparse(atan(af)))
+%!assert(atanh(as),sparse(atanh(af)))
+%!assert(ceil(as),sparse(ceil(af)))
+%!assert(conj(as),sparse(conj(af)))
+%!assert(cos(as),sparse(cos(af)))
+%!assert(cosh(as),sparse(cosh(af)))
+%!assert(exp(as),sparse(exp(af)))
+%!assert(finite(as),sparse(finite(af)))
+%!assert(fix(as),sparse(fix(af)))
+%!assert(floor(as),sparse(floor(af)))
+%!assert(imag(as),sparse(imag(af)))
+%!assert(isinf(as),sparse(isinf(af)))
+%!assert(isna(as),sparse(isna(af)))
+%!assert(isnan(as),sparse(isnan(af)))
+%!assert(log(as),sparse(log(af)))
+%!assert(real(as),sparse(real(af)))
+%!assert(round(as),sparse(round(af)))
+%!assert(sign(as),sparse(sign(af)))
+%!assert(sin(as),sparse(sin(af)))
+%!assert(sinh(as),sparse(sinh(af)))
+%!assert(sqrt(as),sparse(sqrt(af)))
+%!assert(tan(as),sparse(tan(af)))
+%!assert(tanh(as),sparse(tanh(af)))
+%!assert(issparse(abs(as))&&isreal(abs(as)))
+%!assert(issparse(real(as))&&isreal(real(as)))
+%!assert(issparse(imag(as))&&isreal(imag(as)))
+
+%% Unary matrix tests (uses af,as)
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erf(as),sparse(erf(af)))
+%!   else
+%!     assert(erf(as),erf(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erfc(as),sparse(erfc(af)))
+%!   else
+%!     assert(erfc(as),erfc(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalnum(as),sparse(isalnum(af)))
+%!   else
+%!     assert(isalnum(as),isalnum(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalpha(as),sparse(isalpha(af)))
+%!   else
+%!     assert(isalpha(as),isalpha(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isascii(as),sparse(isascii(af)))
+%!   else
+%!     assert(isascii(as),isascii(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(iscntrl(as),sparse(iscntrl(af)))
+%!   else
+%!     assert(iscntrl(as),iscntrl(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isdigit(as),sparse(isdigit(af)))
+%!   else
+%!     assert(isdigit(as),isdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isgraph(as),sparse(isgraph(af)))
+%!   else
+%!     assert(isgraph(as),isgraph(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(islower(as),sparse(islower(af)))
+%!   else
+%!     assert(islower(as),islower(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isprint(as),sparse(isprint(af)))
+%!   else
+%!     assert(isprint(as),isprint(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(ispunct(as),sparse(ispunct(af)))
+%!   else
+%!     assert(ispunct(as),ispunct(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isspace(as),sparse(isspace(af)))
+%!   else
+%!     assert(isspace(as),isspace(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isupper(as),sparse(isupper(af)))
+%!   else
+%!     assert(isupper(as),isupper(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isxdigit(as),sparse(isxdigit(af)))
+%!   else
+%!     assert(isxdigit(as),isxdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+
+%% These mapper functions always return a full matrix
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!    assert(toascii(as),toascii(af))
+%!    assert(tolower(as),tolower(af))
+%!    assert(toupper(as),toupper(af))
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%% Unary matrix tests (uses af,as)
+%!assert(issparse(as))
+%!assert(!issparse(af))
+%!assert(!(issparse(af)&&iscomplex(af)))
+%!assert(!(issparse(af)&&isreal(af)))
+%!assert(spsum(as),sparse(sum(af)))
+%!assert(spsum(as,1),sparse(sum(af,1)))
+%!assert(spsum(as,2),sparse(sum(af,2)))
+%!assert(spcumsum(as),sparse(cumsum(af)))
+%!assert(spcumsum(as,1),sparse(cumsum(af,1)))
+%!assert(spcumsum(as,2),sparse(cumsum(af,2)))
+%!assert(spsumsq(as),sparse(sumsq(af)))
+%!assert(spsumsq(as,1),sparse(sumsq(af,1)))
+%!assert(spsumsq(as,2),sparse(sumsq(af,2)))
+%!assert(spprod(as),sparse(prod(af)))
+%!assert(spprod(as,1),sparse(prod(af,1)))
+%!assert(spprod(as,2),sparse(prod(af,2)))
+%!assert(spcumprod(as),sparse(cumprod(af)))
+%!assert(spcumprod(as,1),sparse(cumprod(af,1)))
+%!assert(spcumprod(as,2),sparse(cumprod(af,2)))
+
+%!assert(spmin(as),sparse(min(af)))
+%!assert(full(spmin(as(:))),min(af(:)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,[],2),sparse(min(af,[],2)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,0),sparse(min(af,0)))
+%!assert(spmin(as,bs),sparse(min(af,bf)))
+%!assert(spmax(as),sparse(max(af)))
+%!assert(full(spmax(as(:))),max(af(:)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,[],2),sparse(max(af,[],2)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,0),sparse(max(af,0)))
+%!assert(spmax(as,bs),sparse(max(af,bf)))
+
+%!assert(as==as)
+%!assert(as==af)
+%!assert(af==as)
+%!test
+%! [ii,jj,vv,nr,nc] = spfind(as);
+%! assert(af,full(sparse(ii,jj,vv,nr,nc)));
+%!assert(nnz(as),sum(af(:)!=0))
+%!assert(nnz(as),nnz(af))
+%!assert(issparse(as.'))
+%!assert(issparse(as'))
+%!assert(issparse(-as))
+%!assert(~as,sparse(~af))
+%!assert(as.', sparse(af.'));
+%!assert(as',  sparse(af'));
+%!assert(-as, sparse(-af));
+%!assert(~as, sparse(~af));
+%!error [i,j]=size(af);as(i-1,j+1);
+%!error [i,j]=size(af);as(i+1,j-1);
+%!test
+%! [Is,Js,Vs] = spfind(as);
+%! [If,Jf,Vf] = find(af);
+%! assert(Is,If);
+%! assert(Js,Jf);
+%! assert(Vs,Vf);
+%!error as(0,1);
+%!error as(1,0);
+%!assert(spfind(as),find(af))
+%!test
+%! [i,j,v] = spfind(as);
+%! [m,n] = size(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!test
+%! [i,j,v,m,n] = spfind(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!assert(issparse(horzcat(as,as)));
+%!assert(issparse(vertcat(as,as)));
+%!assert(issparse(cat(1,as,as)));
+%!assert(issparse(cat(2,as,as)));
+%!assert(issparse([as,as]));
+%!assert(issparse([as;as]));
+%!assert(horzcat(as,as), sparse([af,af]));
+%!assert(vertcat(as,as), sparse([af;af]));
+%!assert(horzcat(as,as,as), sparse([af,af,af]));
+%!assert(vertcat(as,as,as), sparse([af;af;af]));
+%!assert([as,as], sparse([af,af]));
+%!assert([as;as], sparse([af;af]));
+%!assert([as,as,as], sparse([af,af,af]));
+%!assert([as;as;as], sparse([af;af;af]));
+%!assert(cat(2,as,as), sparse([af,af]));
+%!assert(cat(1,as,as), sparse([af;af]));
+%!assert(cat(2,as,as,as), sparse([af,af,af]));
+%!assert(cat(1,as,as,as), sparse([af;af;af]));
+%!assert(issparse([as,af]));
+%!assert(issparse([af,as]));
+%!assert([as,af], sparse([af,af]));
+%!assert([as;af], sparse([af;af]));
+
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%!assert(as==bs,sparse(af==bf))
+%!assert(as!=bs,sparse(af!=bf))
+%!assert(as+bs,sparse(af+bf))
+%!assert(as-bs,sparse(af-bf))
+%!assert(as.*bs,sparse(af.*bf))
+%!xtest assert(as./bs,sparse(af./bf),100*eps);
+%!test
+%! sv = as.^bs;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as*bf',af*bf')
+%!assert(af*bs',af*bf')
+%!assert(as*bs',sparse(af*bf'))
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(spdiag(as),sparse(diag(af)))
+%!assert(spdiag(bs),sparse(diag(bf)))
+%!assert(spdiag(as,1),sparse(diag(af,1)))
+%!assert(spdiag(bs,1),sparse(diag(bf,1)))
+%!assert(spdiag(as,-1),sparse(diag(af,-1)))
+%!assert(spdiag(bs,-1),sparse(diag(bf,-1)))
+%!assert(spdiag(as(:)),sparse(diag(af(:))))
+%!assert(spdiag(as(:),1),sparse(diag(af(:),1)))
+%!assert(spdiag(as(:),-1),sparse(diag(af(:),-1)))
+%!assert(spdiag(as(:)'),sparse(diag(af(:)')))
+%!assert(spdiag(as(:)',1),sparse(diag(af(:)',1)))
+%!assert(spdiag(as(:)',-1),sparse(diag(af(:)',-1)))
+%!assert(spdiags(as,[0,1]),[diag(af,0),diag(af,1)])
+%!test [tb,tc]=spdiags(as); 
+%! assert(spdiags(tb,tc,sparse(zeros(size(as)))),as)
+%! assert(spdiags(tb,tc,size(as,1),size(as,2)),as)
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(reshape(as,1,prod(size(as))),sparse(reshape(af,1,prod(size(af)))))
+%!assert(reshape(as,prod(size(as)),1),sparse(reshape(af,prod(size(af)),1)))
+%!assert(reshape(as,fliplr(size(as))),sparse(reshape(af,fliplr(size(af)))))
+%!assert(reshape(bs,1,prod(size(as))),sparse(reshape(bf,1,prod(size(af)))))
+%!assert(reshape(bs,prod(size(as)),1),sparse(reshape(bf,prod(size(af)),1)))
+%!assert(reshape(bs,fliplr(size(as))),sparse(reshape(bf,fliplr(size(af)))))
+
+
+# ==============================================================
+
+%!assert(as<=bs,sparse(af<=bf))
+%!assert(as>=bs,sparse(af>=bf))
+%!assert(as<bs,sparse(af<bf))
+%!assert(as>bs,sparse(af>bf))
+
+# ==============================================================
+
+%!test af=real(af);
+%!test as=sparse(af);
+%!test bs=sparse(bf);
+%% Unary matrix tests (uses af,as)
+%!assert(abs(as),sparse(abs(af)))
+%!assert(acos(as),sparse(acos(af)))
+%!assert(acosh(as),sparse(acosh(af)))
+%!assert(angle(as),sparse(angle(af)))
+%!assert(arg(as),sparse(arg(af)))
+%!assert(asin(as),sparse(asin(af)))
+%!assert(asinh(as),sparse(asinh(af)))
+%!assert(atan(as),sparse(atan(af)))
+%!assert(atanh(as),sparse(atanh(af)))
+%!assert(ceil(as),sparse(ceil(af)))
+%!assert(conj(as),sparse(conj(af)))
+%!assert(cos(as),sparse(cos(af)))
+%!assert(cosh(as),sparse(cosh(af)))
+%!assert(exp(as),sparse(exp(af)))
+%!assert(finite(as),sparse(finite(af)))
+%!assert(fix(as),sparse(fix(af)))
+%!assert(floor(as),sparse(floor(af)))
+%!assert(imag(as),sparse(imag(af)))
+%!assert(isinf(as),sparse(isinf(af)))
+%!assert(isna(as),sparse(isna(af)))
+%!assert(isnan(as),sparse(isnan(af)))
+%!assert(log(as),sparse(log(af)))
+%!assert(real(as),sparse(real(af)))
+%!assert(round(as),sparse(round(af)))
+%!assert(sign(as),sparse(sign(af)))
+%!assert(sin(as),sparse(sin(af)))
+%!assert(sinh(as),sparse(sinh(af)))
+%!assert(sqrt(as),sparse(sqrt(af)))
+%!assert(tan(as),sparse(tan(af)))
+%!assert(tanh(as),sparse(tanh(af)))
+%!assert(issparse(abs(as))&&isreal(abs(as)))
+%!assert(issparse(real(as))&&isreal(real(as)))
+%!assert(issparse(imag(as))&&isreal(imag(as)))
+
+%% Unary matrix tests (uses af,as)
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erf(as),sparse(erf(af)))
+%!   else
+%!     assert(erf(as),erf(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erfc(as),sparse(erfc(af)))
+%!   else
+%!     assert(erfc(as),erfc(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalnum(as),sparse(isalnum(af)))
+%!   else
+%!     assert(isalnum(as),isalnum(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalpha(as),sparse(isalpha(af)))
+%!   else
+%!     assert(isalpha(as),isalpha(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isascii(as),sparse(isascii(af)))
+%!   else
+%!     assert(isascii(as),isascii(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(iscntrl(as),sparse(iscntrl(af)))
+%!   else
+%!     assert(iscntrl(as),iscntrl(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isdigit(as),sparse(isdigit(af)))
+%!   else
+%!     assert(isdigit(as),isdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isgraph(as),sparse(isgraph(af)))
+%!   else
+%!     assert(isgraph(as),isgraph(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(islower(as),sparse(islower(af)))
+%!   else
+%!     assert(islower(as),islower(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isprint(as),sparse(isprint(af)))
+%!   else
+%!     assert(isprint(as),isprint(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(ispunct(as),sparse(ispunct(af)))
+%!   else
+%!     assert(ispunct(as),ispunct(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isspace(as),sparse(isspace(af)))
+%!   else
+%!     assert(isspace(as),isspace(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isupper(as),sparse(isupper(af)))
+%!   else
+%!     assert(isupper(as),isupper(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isxdigit(as),sparse(isxdigit(af)))
+%!   else
+%!     assert(isxdigit(as),isxdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+
+%% These mapper functions always return a full matrix
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!    assert(toascii(as),toascii(af))
+%!    assert(tolower(as),tolower(af))
+%!    assert(toupper(as),toupper(af))
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%% Unary matrix tests (uses af,as)
+%!assert(issparse(as))
+%!assert(!issparse(af))
+%!assert(!(issparse(af)&&iscomplex(af)))
+%!assert(!(issparse(af)&&isreal(af)))
+%!assert(spsum(as),sparse(sum(af)))
+%!assert(spsum(as,1),sparse(sum(af,1)))
+%!assert(spsum(as,2),sparse(sum(af,2)))
+%!assert(spcumsum(as),sparse(cumsum(af)))
+%!assert(spcumsum(as,1),sparse(cumsum(af,1)))
+%!assert(spcumsum(as,2),sparse(cumsum(af,2)))
+%!assert(spsumsq(as),sparse(sumsq(af)))
+%!assert(spsumsq(as,1),sparse(sumsq(af,1)))
+%!assert(spsumsq(as,2),sparse(sumsq(af,2)))
+%!assert(spprod(as),sparse(prod(af)))
+%!assert(spprod(as,1),sparse(prod(af,1)))
+%!assert(spprod(as,2),sparse(prod(af,2)))
+%!assert(spcumprod(as),sparse(cumprod(af)))
+%!assert(spcumprod(as,1),sparse(cumprod(af,1)))
+%!assert(spcumprod(as,2),sparse(cumprod(af,2)))
+
+%!assert(spmin(as),sparse(min(af)))
+%!assert(full(spmin(as(:))),min(af(:)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,[],2),sparse(min(af,[],2)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,0),sparse(min(af,0)))
+%!assert(spmin(as,bs),sparse(min(af,bf)))
+%!assert(spmax(as),sparse(max(af)))
+%!assert(full(spmax(as(:))),max(af(:)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,[],2),sparse(max(af,[],2)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,0),sparse(max(af,0)))
+%!assert(spmax(as,bs),sparse(max(af,bf)))
+
+%!assert(as==as)
+%!assert(as==af)
+%!assert(af==as)
+%!test
+%! [ii,jj,vv,nr,nc] = spfind(as);
+%! assert(af,full(sparse(ii,jj,vv,nr,nc)));
+%!assert(nnz(as),sum(af(:)!=0))
+%!assert(nnz(as),nnz(af))
+%!assert(issparse(as.'))
+%!assert(issparse(as'))
+%!assert(issparse(-as))
+%!assert(~as,sparse(~af))
+%!assert(as.', sparse(af.'));
+%!assert(as',  sparse(af'));
+%!assert(-as, sparse(-af));
+%!assert(~as, sparse(~af));
+%!error [i,j]=size(af);as(i-1,j+1);
+%!error [i,j]=size(af);as(i+1,j-1);
+%!test
+%! [Is,Js,Vs] = spfind(as);
+%! [If,Jf,Vf] = find(af);
+%! assert(Is,If);
+%! assert(Js,Jf);
+%! assert(Vs,Vf);
+%!error as(0,1);
+%!error as(1,0);
+%!assert(spfind(as),find(af))
+%!test
+%! [i,j,v] = spfind(as);
+%! [m,n] = size(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!test
+%! [i,j,v,m,n] = spfind(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!assert(issparse(horzcat(as,as)));
+%!assert(issparse(vertcat(as,as)));
+%!assert(issparse(cat(1,as,as)));
+%!assert(issparse(cat(2,as,as)));
+%!assert(issparse([as,as]));
+%!assert(issparse([as;as]));
+%!assert(horzcat(as,as), sparse([af,af]));
+%!assert(vertcat(as,as), sparse([af;af]));
+%!assert(horzcat(as,as,as), sparse([af,af,af]));
+%!assert(vertcat(as,as,as), sparse([af;af;af]));
+%!assert([as,as], sparse([af,af]));
+%!assert([as;as], sparse([af;af]));
+%!assert([as,as,as], sparse([af,af,af]));
+%!assert([as;as;as], sparse([af;af;af]));
+%!assert(cat(2,as,as), sparse([af,af]));
+%!assert(cat(1,as,as), sparse([af;af]));
+%!assert(cat(2,as,as,as), sparse([af,af,af]));
+%!assert(cat(1,as,as,as), sparse([af;af;af]));
+%!assert(issparse([as,af]));
+%!assert(issparse([af,as]));
+%!assert([as,af], sparse([af,af]));
+%!assert([as;af], sparse([af;af]));
+
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%!assert(as==bs,sparse(af==bf))
+%!assert(as!=bs,sparse(af!=bf))
+%!assert(as+bs,sparse(af+bf))
+%!assert(as-bs,sparse(af-bf))
+%!assert(as.*bs,sparse(af.*bf))
+%!xtest assert(as./bs,sparse(af./bf),100*eps);
+%!test
+%! sv = as.^bs;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as*bf',af*bf')
+%!assert(af*bs',af*bf')
+%!assert(as*bs',sparse(af*bf'))
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(spdiag(as),sparse(diag(af)))
+%!assert(spdiag(bs),sparse(diag(bf)))
+%!assert(spdiag(as,1),sparse(diag(af,1)))
+%!assert(spdiag(bs,1),sparse(diag(bf,1)))
+%!assert(spdiag(as,-1),sparse(diag(af,-1)))
+%!assert(spdiag(bs,-1),sparse(diag(bf,-1)))
+%!assert(spdiag(as(:)),sparse(diag(af(:))))
+%!assert(spdiag(as(:),1),sparse(diag(af(:),1)))
+%!assert(spdiag(as(:),-1),sparse(diag(af(:),-1)))
+%!assert(spdiag(as(:)'),sparse(diag(af(:)')))
+%!assert(spdiag(as(:)',1),sparse(diag(af(:)',1)))
+%!assert(spdiag(as(:)',-1),sparse(diag(af(:)',-1)))
+%!assert(spdiags(as,[0,1]),[diag(af,0),diag(af,1)])
+%!test [tb,tc]=spdiags(as); 
+%! assert(spdiags(tb,tc,sparse(zeros(size(as)))),as)
+%! assert(spdiags(tb,tc,size(as,1),size(as,2)),as)
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(reshape(as,1,prod(size(as))),sparse(reshape(af,1,prod(size(af)))))
+%!assert(reshape(as,prod(size(as)),1),sparse(reshape(af,prod(size(af)),1)))
+%!assert(reshape(as,fliplr(size(as))),sparse(reshape(af,fliplr(size(af)))))
+%!assert(reshape(bs,1,prod(size(as))),sparse(reshape(bf,1,prod(size(af)))))
+%!assert(reshape(bs,prod(size(as)),1),sparse(reshape(bf,prod(size(af)),1)))
+%!assert(reshape(bs,fliplr(size(as))),sparse(reshape(bf,fliplr(size(af)))))
+
+
+# ==============================================================
+
+%!test # save ascii
+%! savefile= tmpnam();
+%! as_save=as; save("-text",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save binary
+%! savefile= tmpnam();
+%! as_save=as; save("-binary",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save hdf5
+%! savefile= tmpnam();
+%! as_save=as; save("-hdf5",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+%!test # save matlab
+%! savefile= tmpnam();
+%! as_save=as; save("-mat",savefile,"bf","as_save","af");
+%! clear as_save;
+%! load(savefile,"as_save");
+%! unlink(savefile);
+%! assert(as_save,sparse(af));
+
+# ==============================================================
+
+%!test bf=bf+1i*(bf~=0);
+%!test as=sparse(af);
+%!test bs=sparse(bf);
+%% Unary matrix tests (uses af,as)
+%!assert(abs(as),sparse(abs(af)))
+%!assert(acos(as),sparse(acos(af)))
+%!assert(acosh(as),sparse(acosh(af)))
+%!assert(angle(as),sparse(angle(af)))
+%!assert(arg(as),sparse(arg(af)))
+%!assert(asin(as),sparse(asin(af)))
+%!assert(asinh(as),sparse(asinh(af)))
+%!assert(atan(as),sparse(atan(af)))
+%!assert(atanh(as),sparse(atanh(af)))
+%!assert(ceil(as),sparse(ceil(af)))
+%!assert(conj(as),sparse(conj(af)))
+%!assert(cos(as),sparse(cos(af)))
+%!assert(cosh(as),sparse(cosh(af)))
+%!assert(exp(as),sparse(exp(af)))
+%!assert(finite(as),sparse(finite(af)))
+%!assert(fix(as),sparse(fix(af)))
+%!assert(floor(as),sparse(floor(af)))
+%!assert(imag(as),sparse(imag(af)))
+%!assert(isinf(as),sparse(isinf(af)))
+%!assert(isna(as),sparse(isna(af)))
+%!assert(isnan(as),sparse(isnan(af)))
+%!assert(log(as),sparse(log(af)))
+%!assert(real(as),sparse(real(af)))
+%!assert(round(as),sparse(round(af)))
+%!assert(sign(as),sparse(sign(af)))
+%!assert(sin(as),sparse(sin(af)))
+%!assert(sinh(as),sparse(sinh(af)))
+%!assert(sqrt(as),sparse(sqrt(af)))
+%!assert(tan(as),sparse(tan(af)))
+%!assert(tanh(as),sparse(tanh(af)))
+%!assert(issparse(abs(as))&&isreal(abs(as)))
+%!assert(issparse(real(as))&&isreal(real(as)))
+%!assert(issparse(imag(as))&&isreal(imag(as)))
+
+%% Unary matrix tests (uses af,as)
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erf(as),sparse(erf(af)))
+%!   else
+%!     assert(erf(as),erf(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (1)
+%!     assert(erfc(as),sparse(erfc(af)))
+%!   else
+%!     assert(erfc(as),erfc(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalnum(as),sparse(isalnum(af)))
+%!   else
+%!     assert(isalnum(as),isalnum(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isalpha(as),sparse(isalpha(af)))
+%!   else
+%!     assert(isalpha(as),isalpha(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isascii(as),sparse(isascii(af)))
+%!   else
+%!     assert(isascii(as),isascii(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(iscntrl(as),sparse(iscntrl(af)))
+%!   else
+%!     assert(iscntrl(as),iscntrl(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isdigit(as),sparse(isdigit(af)))
+%!   else
+%!     assert(isdigit(as),isdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isgraph(as),sparse(isgraph(af)))
+%!   else
+%!     assert(isgraph(as),isgraph(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(islower(as),sparse(islower(af)))
+%!   else
+%!     assert(islower(as),islower(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isprint(as),sparse(isprint(af)))
+%!   else
+%!     assert(isprint(as),isprint(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(ispunct(as),sparse(ispunct(af)))
+%!   else
+%!     assert(ispunct(as),ispunct(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isspace(as),sparse(isspace(af)))
+%!   else
+%!     assert(isspace(as),isspace(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isupper(as),sparse(isupper(af)))
+%!   else
+%!     assert(isupper(as),isupper(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!   if (0)
+%!     assert(isxdigit(as),sparse(isxdigit(af)))
+%!   else
+%!     assert(isxdigit(as),isxdigit(af))
+%!   endif
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+
+%% These mapper functions always return a full matrix
+%!test
+%! wn2s = warning ("query", "Octave:num-to-str");
+%! warning ("off", "Octave:num-to-str");
+%! if isreal(af)
+%!    assert(toascii(as),toascii(af))
+%!    assert(tolower(as),tolower(af))
+%!    assert(toupper(as),toupper(af))
+%! endif
+%! warning (wn2s.state, "Octave:num-to-str");
+
+%% Unary matrix tests (uses af,as)
+%!assert(issparse(as))
+%!assert(!issparse(af))
+%!assert(!(issparse(af)&&iscomplex(af)))
+%!assert(!(issparse(af)&&isreal(af)))
+%!assert(spsum(as),sparse(sum(af)))
+%!assert(spsum(as,1),sparse(sum(af,1)))
+%!assert(spsum(as,2),sparse(sum(af,2)))
+%!assert(spcumsum(as),sparse(cumsum(af)))
+%!assert(spcumsum(as,1),sparse(cumsum(af,1)))
+%!assert(spcumsum(as,2),sparse(cumsum(af,2)))
+%!assert(spsumsq(as),sparse(sumsq(af)))
+%!assert(spsumsq(as,1),sparse(sumsq(af,1)))
+%!assert(spsumsq(as,2),sparse(sumsq(af,2)))
+%!assert(spprod(as),sparse(prod(af)))
+%!assert(spprod(as,1),sparse(prod(af,1)))
+%!assert(spprod(as,2),sparse(prod(af,2)))
+%!assert(spcumprod(as),sparse(cumprod(af)))
+%!assert(spcumprod(as,1),sparse(cumprod(af,1)))
+%!assert(spcumprod(as,2),sparse(cumprod(af,2)))
+
+%!assert(spmin(as),sparse(min(af)))
+%!assert(full(spmin(as(:))),min(af(:)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,[],2),sparse(min(af,[],2)))
+%!assert(spmin(as,[],1),sparse(min(af,[],1)))
+%!assert(spmin(as,0),sparse(min(af,0)))
+%!assert(spmin(as,bs),sparse(min(af,bf)))
+%!assert(spmax(as),sparse(max(af)))
+%!assert(full(spmax(as(:))),max(af(:)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,[],2),sparse(max(af,[],2)))
+%!assert(spmax(as,[],1),sparse(max(af,[],1)))
+%!assert(spmax(as,0),sparse(max(af,0)))
+%!assert(spmax(as,bs),sparse(max(af,bf)))
+
+%!assert(as==as)
+%!assert(as==af)
+%!assert(af==as)
+%!test
+%! [ii,jj,vv,nr,nc] = spfind(as);
+%! assert(af,full(sparse(ii,jj,vv,nr,nc)));
+%!assert(nnz(as),sum(af(:)!=0))
+%!assert(nnz(as),nnz(af))
+%!assert(issparse(as.'))
+%!assert(issparse(as'))
+%!assert(issparse(-as))
+%!assert(~as,sparse(~af))
+%!assert(as.', sparse(af.'));
+%!assert(as',  sparse(af'));
+%!assert(-as, sparse(-af));
+%!assert(~as, sparse(~af));
+%!error [i,j]=size(af);as(i-1,j+1);
+%!error [i,j]=size(af);as(i+1,j-1);
+%!test
+%! [Is,Js,Vs] = spfind(as);
+%! [If,Jf,Vf] = find(af);
+%! assert(Is,If);
+%! assert(Js,Jf);
+%! assert(Vs,Vf);
+%!error as(0,1);
+%!error as(1,0);
+%!assert(spfind(as),find(af))
+%!test
+%! [i,j,v] = spfind(as);
+%! [m,n] = size(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!test
+%! [i,j,v,m,n] = spfind(as);
+%! x = sparse(i,j,v,m,n);
+%! assert(x,as);
+%!assert(issparse(horzcat(as,as)));
+%!assert(issparse(vertcat(as,as)));
+%!assert(issparse(cat(1,as,as)));
+%!assert(issparse(cat(2,as,as)));
+%!assert(issparse([as,as]));
+%!assert(issparse([as;as]));
+%!assert(horzcat(as,as), sparse([af,af]));
+%!assert(vertcat(as,as), sparse([af;af]));
+%!assert(horzcat(as,as,as), sparse([af,af,af]));
+%!assert(vertcat(as,as,as), sparse([af;af;af]));
+%!assert([as,as], sparse([af,af]));
+%!assert([as;as], sparse([af;af]));
+%!assert([as,as,as], sparse([af,af,af]));
+%!assert([as;as;as], sparse([af;af;af]));
+%!assert(cat(2,as,as), sparse([af,af]));
+%!assert(cat(1,as,as), sparse([af;af]));
+%!assert(cat(2,as,as,as), sparse([af,af,af]));
+%!assert(cat(1,as,as,as), sparse([af;af;af]));
+%!assert(issparse([as,af]));
+%!assert(issparse([af,as]));
+%!assert([as,af], sparse([af,af]));
+%!assert([as;af], sparse([af;af]));
+
+%% Elementwise binary tests (uses as,af,bs,bf,scalar)
+%!assert(as==bs,sparse(af==bf))
+%!assert(bf==as,sparse(bf==af))
+
+%!assert(as!=bf,sparse(af!=bf))
+%!assert(bf!=as,sparse(bf!=af))
+
+%!assert(as+bf,af+bf)
+%!assert(bf+as,bf+af)
+
+%!assert(as-bf,af-bf)
+%!assert(bf-as,bf-af)
+
+%!assert(as.*bf,sparse(af.*bf))
+%!assert(bf.*as,sparse(bf.*af))
+
+%!assert(as./bf,sparse(af./bf),100*eps)
+%!assert(bf.\as,sparse(bf.\af),100*eps)
+
+%!test
+%! sv = as.^bf;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%!assert(as==bs,sparse(af==bf))
+%!assert(as!=bs,sparse(af!=bf))
+%!assert(as+bs,sparse(af+bf))
+%!assert(as-bs,sparse(af-bf))
+%!assert(as.*bs,sparse(af.*bf))
+%!xtest assert(as./bs,sparse(af./bf),100*eps);
+%!test
+%! sv = as.^bs;
+%! fv = af.^bf;
+%! idx = find(af~=0);
+%! assert(sv(:)(idx),sparse(fv(:)(idx)),100*eps)
+
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as*bf',af*bf')
+%!assert(af*bs',af*bf')
+%!assert(as*bs',sparse(af*bf'))
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(spdiag(as),sparse(diag(af)))
+%!assert(spdiag(bs),sparse(diag(bf)))
+%!assert(spdiag(as,1),sparse(diag(af,1)))
+%!assert(spdiag(bs,1),sparse(diag(bf,1)))
+%!assert(spdiag(as,-1),sparse(diag(af,-1)))
+%!assert(spdiag(bs,-1),sparse(diag(bf,-1)))
+%!assert(spdiag(as(:)),sparse(diag(af(:))))
+%!assert(spdiag(as(:),1),sparse(diag(af(:),1)))
+%!assert(spdiag(as(:),-1),sparse(diag(af(:),-1)))
+%!assert(spdiag(as(:)'),sparse(diag(af(:)')))
+%!assert(spdiag(as(:)',1),sparse(diag(af(:)',1)))
+%!assert(spdiag(as(:)',-1),sparse(diag(af(:)',-1)))
+%!assert(spdiags(as,[0,1]),[diag(af,0),diag(af,1)])
+%!test [tb,tc]=spdiags(as); 
+%! assert(spdiags(tb,tc,sparse(zeros(size(as)))),as)
+%! assert(spdiags(tb,tc,size(as,1),size(as,2)),as)
+
+%% Matrix diagonal tests (uses af,as,bf,bs)
+%!assert(reshape(as,1,prod(size(as))),sparse(reshape(af,1,prod(size(af)))))
+%!assert(reshape(as,prod(size(as)),1),sparse(reshape(af,prod(size(af)),1)))
+%!assert(reshape(as,fliplr(size(as))),sparse(reshape(af,fliplr(size(af)))))
+%!assert(reshape(bs,1,prod(size(as))),sparse(reshape(bf,1,prod(size(af)))))
+%!assert(reshape(bs,prod(size(as)),1),sparse(reshape(bf,prod(size(af)),1)))
+%!assert(reshape(bs,fliplr(size(as))),sparse(reshape(bf,fliplr(size(af)))))
+
+
+# ==============================================================
+
+%!test af=[1+1i,2-1i,0,0;0,0,0,3+2i;0,0,0,4];
+%! as=sparse(af);
+%!test bf=[0,1-1i,0,0;2+1i,0,0,0;3-1i,2+3i,0,0];
+%!test ;# invertible matrix
+%! bf=af'*bf+max(abs([af(:);bf(:)]))*sparse(eye(columns(as)));
+%! bs=sparse(bf);
+
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as/bf,af/bf,100*eps)
+%!assert(af/bs,af/bf,100*eps)
+%!assert(as/bs,sparse(af/bf),100*eps)
+%!assert(bs\af',bf\af',100*eps)
+%!assert(bf\as',bf\af',100*eps)
+%!assert(bs\as',sparse(bf\af'),100*eps)
+
+%!testif HAVE_UMFPACK
+%! assert(spdet(bs+speye(size(bs))),det(bf+eye(size(bf))),100*eps*abs(det(bf+eye(size(bf)))))
+
+%!testif HAVE_UMFPACK 
+%! [l,u]=splu(sparse([1,1;1,1]));
+%! assert(l*u,[1,1;1,1],10*eps);
+
+%!testif HAVE_UMFPACK
+%! [l,u]=splu(sparse([1,1;1,1+i]));
+%! assert(l,sparse([1,2,2],[1,1,2],1),10*eps);
+%! assert(u,sparse([1,1,2],[1,2,2],[1,1,1i]),10*eps);
+
+%!testif HAVE_UMFPACK ;# permuted LU
+%! [L,U] = splu(bs);
+%! assert(L*U,bs,1e-10);
+
+%!testif HAVE_UMFPACK ;# simple LU + row permutations
+%! [L,U,P] = splu(bs);
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# simple LU + row/col permutations
+%! [L,U,P,Q] = splu(bs);
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with fixed column permutation
+%! [L,U,P] = splu(bs,colamd(bs));
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U(:,colamd(bs)));
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with initial column permutation
+%! [L,U,P,Q] = splu(bs,colamd(bs));
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# inverse
+%! assert(spinv(bs)*bs,sparse(eye(rows(bs))),1e-10);
+
+%!assert(bf\as',bf\af',100*eps);
+%!assert(bs\af',bf\af',100*eps);
+%!assert(bs\as',sparse(bf\af'),100*eps);
+
+
+# ==============================================================
+
+%!test bf=real(bf);
+%! bs=sparse(bf);
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as/bf,af/bf,100*eps)
+%!assert(af/bs,af/bf,100*eps)
+%!assert(as/bs,sparse(af/bf),100*eps)
+%!assert(bs\af',bf\af',100*eps)
+%!assert(bf\as',bf\af',100*eps)
+%!assert(bs\as',sparse(bf\af'),100*eps)
+
+%!testif HAVE_UMFPACK
+%! assert(spdet(bs+speye(size(bs))),det(bf+eye(size(bf))),100*eps*abs(det(bf+eye(size(bf)))))
+
+%!testif HAVE_UMFPACK 
+%! [l,u]=splu(sparse([1,1;1,1]));
+%! assert(l*u,[1,1;1,1],10*eps);
+
+%!testif HAVE_UMFPACK
+%! [l,u]=splu(sparse([1,1;1,1+i]));
+%! assert(l,sparse([1,2,2],[1,1,2],1),10*eps);
+%! assert(u,sparse([1,1,2],[1,2,2],[1,1,1i]),10*eps);
+
+%!testif HAVE_UMFPACK ;# permuted LU
+%! [L,U] = splu(bs);
+%! assert(L*U,bs,1e-10);
+
+%!testif HAVE_UMFPACK ;# simple LU + row permutations
+%! [L,U,P] = splu(bs);
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# simple LU + row/col permutations
+%! [L,U,P,Q] = splu(bs);
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with fixed column permutation
+%! [L,U,P] = splu(bs,colamd(bs));
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U(:,colamd(bs)));
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with initial column permutation
+%! [L,U,P,Q] = splu(bs,colamd(bs));
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# inverse
+%! assert(spinv(bs)*bs,sparse(eye(rows(bs))),1e-10);
+
+%!assert(bf\as',bf\af',100*eps);
+%!assert(bs\af',bf\af',100*eps);
+%!assert(bs\as',sparse(bf\af'),100*eps);
+
+
+# ==============================================================
+
+%!test af=real(af);
+%! as=sparse(af);
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as/bf,af/bf,100*eps)
+%!assert(af/bs,af/bf,100*eps)
+%!assert(as/bs,sparse(af/bf),100*eps)
+%!assert(bs\af',bf\af',100*eps)
+%!assert(bf\as',bf\af',100*eps)
+%!assert(bs\as',sparse(bf\af'),100*eps)
+
+%!testif HAVE_UMFPACK
+%! assert(spdet(bs+speye(size(bs))),det(bf+eye(size(bf))),100*eps*abs(det(bf+eye(size(bf)))))
+
+%!testif HAVE_UMFPACK 
+%! [l,u]=splu(sparse([1,1;1,1]));
+%! assert(l*u,[1,1;1,1],10*eps);
+
+%!testif HAVE_UMFPACK
+%! [l,u]=splu(sparse([1,1;1,1+i]));
+%! assert(l,sparse([1,2,2],[1,1,2],1),10*eps);
+%! assert(u,sparse([1,1,2],[1,2,2],[1,1,1i]),10*eps);
+
+%!testif HAVE_UMFPACK ;# permuted LU
+%! [L,U] = splu(bs);
+%! assert(L*U,bs,1e-10);
+
+%!testif HAVE_UMFPACK ;# simple LU + row permutations
+%! [L,U,P] = splu(bs);
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# simple LU + row/col permutations
+%! [L,U,P,Q] = splu(bs);
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with fixed column permutation
+%! [L,U,P] = splu(bs,colamd(bs));
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U(:,colamd(bs)));
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with initial column permutation
+%! [L,U,P,Q] = splu(bs,colamd(bs));
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# inverse
+%! assert(spinv(bs)*bs,sparse(eye(rows(bs))),1e-10);
+
+%!assert(bf\as',bf\af',100*eps);
+%!assert(bs\af',bf\af',100*eps);
+%!assert(bs\as',sparse(bf\af'),100*eps);
+
+
+# ==============================================================
+
+%!test bf=bf+1i*(bf~=0);
+%! bs=sparse(bf);
+%% Matrix-matrix operators (uses af,as,bs,bf)
+%!assert(as/bf,af/bf,100*eps)
+%!assert(af/bs,af/bf,100*eps)
+%!assert(as/bs,sparse(af/bf),100*eps)
+%!assert(bs\af',bf\af',100*eps)
+%!assert(bf\as',bf\af',100*eps)
+%!assert(bs\as',sparse(bf\af'),100*eps)
+
+%!testif HAVE_UMFPACK
+%! assert(spdet(bs+speye(size(bs))),det(bf+eye(size(bf))),100*eps*abs(det(bf+eye(size(bf)))))
+
+%!testif HAVE_UMFPACK 
+%! [l,u]=splu(sparse([1,1;1,1]));
+%! assert(l*u,[1,1;1,1],10*eps);
+
+%!testif HAVE_UMFPACK
+%! [l,u]=splu(sparse([1,1;1,1+i]));
+%! assert(l,sparse([1,2,2],[1,1,2],1),10*eps);
+%! assert(u,sparse([1,1,2],[1,2,2],[1,1,1i]),10*eps);
+
+%!testif HAVE_UMFPACK ;# permuted LU
+%! [L,U] = splu(bs);
+%! assert(L*U,bs,1e-10);
+
+%!testif HAVE_UMFPACK ;# simple LU + row permutations
+%! [L,U,P] = splu(bs);
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# simple LU + row/col permutations
+%! [L,U,P,Q] = splu(bs);
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with fixed column permutation
+%! [L,U,P] = splu(bs,colamd(bs));
+%! assert(P'*L*U,bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U(:,colamd(bs)));
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# LU with initial column permutation
+%! [L,U,P,Q] = splu(bs,colamd(bs));
+%! assert(P'*L*U*Q',bs,1e-10);
+%! # triangularity
+%! [i,j,v]=spfind(L);
+%! assert(i-j>=0);
+%! [i,j,v]=spfind(U);
+%! assert(j-i>=0);
+
+%!testif HAVE_UMFPACK ;# inverse
+%! assert(spinv(bs)*bs,sparse(eye(rows(bs))),1e-10);
+
+%!assert(bf\as',bf\af',100*eps);
+%!assert(bs\af',bf\af',100*eps);
+%!assert(bs\as',sparse(bf\af'),100*eps);
+
+
+# ==============================================================
+
+%!test bf=[5,0,1+1i,0;0,5,0,1-2i;1-1i,0,5,0;0,1+2i,0,5];
+%! bs=sparse(bf);
+%!testif HAVE_CHOLMOD
+%! assert(spchol(bs)'*spchol(bs),bs,1e-10);
+%!testif HAVE_CHOLMOD 
+%! assert(splchol(bs)*splchol(bs)',bs,1e-10);
+%!testif HAVE_CHOLMOD
+%! assert(splchol(bs),spchol(bs)',1e-10);
+
+%!testif HAVE_CHOLMOD ;# Return Partial Cholesky factorization
+%! [RS,PS] = spchol(bs);
+%! assert(RS'*RS,bs,1e-10);
+%! assert(PS,0);
+%! [LS,PS] = splchol(bs);
+%! assert(LS*LS',bs,1e-10);
+%! assert(PS,0);
+
+%!testif HAVE_CHOLMOD ;# Permuted Cholesky factorization
+%! [RS,PS,QS] = spchol(bs);
+%! assert(RS'*RS,QS*bs*QS',1e-10);
+%! assert(PS,0);
+%! [LS,PS,QS] = splchol(bs);
+%! assert(LS*LS',QS*bs*QS',1e-10);
+%! assert(PS,0);
+
+
+# ==============================================================
+
+%!test bf=real(bf);
+%! bs=sparse(bf);
+%!testif HAVE_CHOLMOD
+%! assert(spchol(bs)'*spchol(bs),bs,1e-10);
+%!testif HAVE_CHOLMOD 
+%! assert(splchol(bs)*splchol(bs)',bs,1e-10);
+%!testif HAVE_CHOLMOD
+%! assert(splchol(bs),spchol(bs)',1e-10);
+
+%!testif HAVE_CHOLMOD ;# Return Partial Cholesky factorization
+%! [RS,PS] = spchol(bs);
+%! assert(RS'*RS,bs,1e-10);
+%! assert(PS,0);
+%! [LS,PS] = splchol(bs);
+%! assert(LS*LS',bs,1e-10);
+%! assert(PS,0);
+
+%!testif HAVE_CHOLMOD ;# Permuted Cholesky factorization
+%! [RS,PS,QS] = spchol(bs);
+%! assert(RS'*RS,QS*bs*QS',1e-10);
+%! assert(PS,0);
+%! [LS,PS,QS] = splchol(bs);
+%! assert(LS*LS',QS*bs*QS',1e-10);
+%! assert(PS,0);
+
+
+# ==============================================================
+
+%!shared r,c,m,n,fsum,funiq
+%!test
+%! r=[1,1,2,1,2,3];
+%! c=[2,1,1,1,2,1];
+%! m=n=0;
+%%Assembly tests
+%!test
+%! m=max([m;r(:)]);
+%! n=max([n;c(:)]);
+%! funiq=fsum=zeros(m,n);
+%! funiq(r(:) + m*(c(:)-1) ) = ones(size(r(:)));
+%! funiq = sparse(funiq);
+%! for k=1:length(r), fsum(r(k),c(k)) += 1; end
+%! fsum = sparse(fsum);
+%!assert(sparse(r,c,1),sparse(fsum(1:max(r),1:max(c))));
+%!assert(sparse(r,c,1,"sum"),sparse(fsum(1:max(r),1:max(c))));
+%!assert(sparse(r,c,1,"unique"),sparse(funiq(1:max(r),1:max(c))));
+%!assert(sparse(r,c,1,m,n),sparse(fsum));
+%!assert(sparse(r,c,1,m,n,"sum"),sparse(fsum));
+%!assert(sparse(r,c,1,m,n,"unique"),sparse(funiq));
+
+%!assert(sparse(r,c,1i),sparse(fsum(1:max(r),1:max(c))*1i));
+%!assert(sparse(r,c,1i,"sum"),sparse(fsum(1:max(r),1:max(c))*1i));
+%!assert(sparse(r,c,1i,"unique"),sparse(funiq(1:max(r),1:max(c))*1i));
+%!assert(sparse(r,c,1i,m,n),sparse(fsum*1i));
+%!assert(sparse(r,c,1i,m,n,"sum"),sparse(fsum*1i));
+%!assert(sparse(r,c,1i,m,n,"unique"),sparse(funiq*1i));
+
+%!test
+%! if (issparse(funiq))
+%!  assert(sparse(full(1i*funiq)),sparse(1i*funiq));
+%! endif
+
+%!assert(sparse(full(funiq)),funiq);
+
+
+
+# ==============================================================
+
+%!shared ridx,cidx,idx,as,af
+%!test
+%! af=[1+1i,2-1i,0,0;0,0,0,3+2i;0,0,0,4];
+%! ridx=[1,3]; cidx=[2,3];
+%!assert (sparse(42)([1,1]),sparse([42,42]))
+%!assert (sparse(42*1i)([1,1]),sparse([42,42].*1i))
+%!test as=sparse(af);
+
+%% Point tests
+%!test idx=ridx(:)+rows(as)*(cidx(:)-1);
+%!assert(sparse(as(idx)),sparse(af(idx)));
+%!assert(as(idx),sparse(af(idx)));
+%!assert(as(idx'),sparse(af(idx')));
+%!assert(as(flipud(idx(:))),sparse(af(flipud(idx(:)))))
+%!assert(as([idx,idx]),sparse(af([idx,idx])));
+%!error(as(reshape([idx;idx],[1,length(idx),2])));
+
+%% Slice tests
+%!assert(as(ridx,cidx), sparse(af(ridx,cidx)))
+%!assert(as(ridx,:), sparse(af(ridx,:)))
+%!assert(as(:,cidx), sparse(af(:,cidx)))
+%!assert(as(:,:), sparse(af(:,:)))
+%!assert(as((size(as,1):-1:1),:),sparse(af((size(af,1):-1:1),:)))
+%!assert(as(:,(size(as,2):-1:1)),sparse(af(:,(size(af,2):-1:1))))
+
+%% Indexing tests
+%!assert(full(as([1,1],:)), af([1,1],:))
+%!assert(full(as(:,[1,1])), af(:,[1,1]))
+%!test
+%! [i,j,v] = find (as);
+%! assert (as(i(1),j(1))([1,1]), sparse([v(1),v(1)]))
+
+%% Assignment test
+%!test
+%! ts=as;ts(:,:)=ts(fliplr(1:size(as,1)),:);
+%! tf=af;tf(:,:)=tf(fliplr(1:size(af,1)),:);
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(fliplr(1:size(as,1)),:)=ts;
+%! tf=af;tf(fliplr(1:size(af,1)),:)=tf;
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(:,fliplr(1:size(as,2)))=ts;
+%! tf=af;tf(:,fliplr(1:size(af,2)))=tf;
+%! assert(ts,sparse(tf));
+%!test
+%! ts(fliplr(1:size(as,1)))=as(:,1);tf(fliplr(1:size(af,1)))=af(:,1);
+%! assert(ts,sparse(tf));
+
+%% Deletion tests
+%!test
+%! ts=as;ts(1,:)=[];tf=af;tf(1,:)=[];
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(:,1)=[];tf=af;tf(:,1)=[];
+%! assert(ts,sparse(tf));
+
+%% Test 'end' keyword
+%!assert(full(as(end)), af(end))
+%!assert(full(as(1,end)), af(1,end))
+%!assert(full(as(end,1)), af(end,1))
+%!assert(full(as(end,end)), af(end,end))
+%!assert(as(2:end,2:end), sparse(af(2:end,2:end)))
+%!assert(as(1:end-1,1:end-1), sparse(af(1:end-1,1:end-1)))
+%!test af=real(af);
+%!test as=sparse(af);
+
+%% Point tests
+%!test idx=ridx(:)+rows(as)*(cidx(:)-1);
+%!assert(sparse(as(idx)),sparse(af(idx)));
+%!assert(as(idx),sparse(af(idx)));
+%!assert(as(idx'),sparse(af(idx')));
+%!assert(as(flipud(idx(:))),sparse(af(flipud(idx(:)))))
+%!assert(as([idx,idx]),sparse(af([idx,idx])));
+%!error(as(reshape([idx;idx],[1,length(idx),2])));
+
+%% Slice tests
+%!assert(as(ridx,cidx), sparse(af(ridx,cidx)))
+%!assert(as(ridx,:), sparse(af(ridx,:)))
+%!assert(as(:,cidx), sparse(af(:,cidx)))
+%!assert(as(:,:), sparse(af(:,:)))
+%!assert(as((size(as,1):-1:1),:),sparse(af((size(af,1):-1:1),:)))
+%!assert(as(:,(size(as,2):-1:1)),sparse(af(:,(size(af,2):-1:1))))
+
+%% Indexing tests
+%!assert(full(as([1,1],:)), af([1,1],:))
+%!assert(full(as(:,[1,1])), af(:,[1,1]))
+%!test
+%! [i,j,v] = find (as);
+%! assert (as(i(1),j(1))([1,1]), sparse([v(1),v(1)]))
+
+%% Assignment test
+%!test
+%! ts=as;ts(:,:)=ts(fliplr(1:size(as,1)),:);
+%! tf=af;tf(:,:)=tf(fliplr(1:size(af,1)),:);
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(fliplr(1:size(as,1)),:)=ts;
+%! tf=af;tf(fliplr(1:size(af,1)),:)=tf;
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(:,fliplr(1:size(as,2)))=ts;
+%! tf=af;tf(:,fliplr(1:size(af,2)))=tf;
+%! assert(ts,sparse(tf));
+%!test
+%! ts(fliplr(1:size(as,1)))=as(:,1);tf(fliplr(1:size(af,1)))=af(:,1);
+%! assert(ts,sparse(tf));
+
+%% Deletion tests
+%!test
+%! ts=as;ts(1,:)=[];tf=af;tf(1,:)=[];
+%! assert(ts,sparse(tf));
+%!test
+%! ts=as;ts(:,1)=[];tf=af;tf(:,1)=[];
+%! assert(ts,sparse(tf));
+
+%% Test 'end' keyword
+%!assert(full(as(end)), af(end))
+%!assert(full(as(1,end)), af(1,end))
+%!assert(full(as(end,1)), af(end,1))
+%!assert(full(as(end,end)), af(end,end))
+%!assert(as(2:end,2:end), sparse(af(2:end,2:end)))
+%!assert(as(1:end-1,1:end-1), sparse(af(1:end-1,1:end-1)))
+
+# ==============================================================
+
+%!shared alpha,beta,df,pdf,lf,plf,uf,puf,bf,cf,bcf,tf,tcf,xf,ds,pds,ls,pls,us,pus,bs,cs,bcs,ts,tcs,xs
+%!test alpha=1;beta=1;
+%! n=8;
+%! lf=diag(1:n);lf(n-1,1)=0.5*alpha;lf(n,2)=0.25*alpha;ls=sparse(lf);
+%! uf=diag(1:n);uf(1,n-1)=2*alpha;uf(2,n)=alpha;us=sparse(uf);
+%! ts=spdiags(ones(n,3),-1:1,n,n)+diag(1:n); tf = full(ts);
+%! df = diag(1:n).* alpha; ds = sparse(df);
+%! pdf = df(randperm(n),randperm(n)); pds = sparse(pdf);
+%! plf = lf(randperm(n),randperm(n)); pls = sparse(plf);
+%! puf = uf(randperm(n),randperm(n)); pus = sparse(puf);
+%! bs = spdiags(repmat([1:n]',1,4),-2:1,n,n).*alpha; bf = full(bs);
+%! cf = lf + lf'; cs = sparse(cf);
+%! bcf = bf + bf'; bcs = sparse(bcf);
+%! tcf = tf + tf'; tcs = sparse(tcf);
+%! xf = diag(1:n) + fliplr(diag(1:n)).*beta; xs = sparse(xf);
+%!assert(ds\xf,df\xf,1e-10);
+%!assert(ds\xs,sparse(df\xf),1e-10);
+%!assert(pds\xf,pdf\xf,1e-10);
+%!assert(pds\xs,sparse(pdf\xf),1e-10);
+%!assert(ls\xf,lf\xf,1e-10);
+%!assert(sparse(ls\xs),sparse(lf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pls\xf,plf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pls\xs),sparse(plf\xf),1e-10);
+%!assert(us\xf,uf\xf,1e-10);
+%!assert(sparse(us\xs),sparse(uf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pus\xf,puf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pus\xs),sparse(puf\xf),1e-10);
+%!assert(bs\xf,bf\xf,1e-10);
+%!assert(sparse(bs\xs),sparse(bf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(cs\xf,cf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(cs\xs),sparse(cf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(bcs\xf,bcf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(bcs\xs),sparse(bcf\xf),1e-10);
+%!assert(ts\xf,tf\xf,1e-10);
+%!assert(sparse(ts\xs),sparse(tf\xf),1e-10);
+%!assert(tcs\xf,tcf\xf,1e-10);
+%!assert(sparse(tcs\xs),sparse(tcf\xf),1e-10);
+
+%% QR solver tests
+
+%!function f(a, sz, feps)
+%! b = randn(sz); x = a \b; 
+%! assert (a * x, b, feps);
+%! b = randn(sz)+1i*randn(sz); x = a \ b;  
+%! assert (a * x, b, feps);
+%! b = sprandn(sz(1),sz(2),0.2); x = a \b;
+%! assert (sparse(a * x), b, feps);
+%! b = sprandn(sz(1),sz(2),0.2)+1i*sprandn(sz(1),sz(2),0.2); x = a \b; 
+%! assert (sparse(a * x), b, feps);
+%!testif HAVE_CXSPARSE
+%! a = alpha*sprandn(10,11,0.2)+speye(10,11); f(a,[10,2],1e-10);
+%! ## Test this by forcing matrix_type, as can't get a certain 
+%! ## result for over-determined systems.
+%! a = alpha*sprandn(10,10,0.2)+speye(10,10); matrix_type(a, "Singular");
+%! f(a,[10,2],1e-10);
+
+%% Rectanguar solver tests that don't use QR
+
+%!test
+%! ds = alpha * spdiags([1:11]',0,10,11);
+%! df = full(ds);
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:10],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! ds = alpha * spdiags([1:11]',0,11,10);
+%! df = full(ds);
+%! xf = beta * ones(11,2);
+%! xs = speye(11,11);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:11],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! us = alpha*[[speye(10,10);sparse(1,10)],[[1,1];sparse(9,2);[1,1]]];
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xs),xs,100*eps)
+%!test
+%! pus = us(:,[2,1,3:12]);
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xs),xs,100*eps)
+%!test
+%! us = alpha*[speye(11,9),[1;sparse(8,1);1;0]];
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xf);
+%! assert(us\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(us\xs,r\c,100*eps)
+%!test
+%! pus = us(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xs,r\c,100*eps)
+%!test
+%! ls = alpha*[speye(9,11);[1,sparse(1,8),1,0]];
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ls*(ls\xf),xf,100*eps)
+%!assert(ls*(ls\xs),xs,100*eps)
+%!test
+%! pls = ls([1:8,10,9],:);
+%!assert(pls*(pls\xf),xf,100*eps)
+%!assert(pls*(pls\xs),xs,100*eps)
+%!test
+%! ls = alpha*[speye(10,10),sparse(10,1);[1;1],sparse(2,9),[1;1]];
+%! xf = beta * ones(12,2);
+%! xs = speye(12,12);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xf);
+%! assert(ls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(ls\xs,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! pls = ls(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xs,r\c,100*eps)
+
+%!test alpha=1;beta=1i;
+%! n=8;
+%! lf=diag(1:n);lf(n-1,1)=0.5*alpha;lf(n,2)=0.25*alpha;ls=sparse(lf);
+%! uf=diag(1:n);uf(1,n-1)=2*alpha;uf(2,n)=alpha;us=sparse(uf);
+%! ts=spdiags(ones(n,3),-1:1,n,n)+diag(1:n); tf = full(ts);
+%! df = diag(1:n).* alpha; ds = sparse(df);
+%! pdf = df(randperm(n),randperm(n)); pds = sparse(pdf);
+%! plf = lf(randperm(n),randperm(n)); pls = sparse(plf);
+%! puf = uf(randperm(n),randperm(n)); pus = sparse(puf);
+%! bs = spdiags(repmat([1:n]',1,4),-2:1,n,n).*alpha; bf = full(bs);
+%! cf = lf + lf'; cs = sparse(cf);
+%! bcf = bf + bf'; bcs = sparse(bcf);
+%! tcf = tf + tf'; tcs = sparse(tcf);
+%! xf = diag(1:n) + fliplr(diag(1:n)).*beta; xs = sparse(xf);
+%!assert(ds\xf,df\xf,1e-10);
+%!assert(ds\xs,sparse(df\xf),1e-10);
+%!assert(pds\xf,pdf\xf,1e-10);
+%!assert(pds\xs,sparse(pdf\xf),1e-10);
+%!assert(ls\xf,lf\xf,1e-10);
+%!assert(sparse(ls\xs),sparse(lf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pls\xf,plf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pls\xs),sparse(plf\xf),1e-10);
+%!assert(us\xf,uf\xf,1e-10);
+%!assert(sparse(us\xs),sparse(uf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pus\xf,puf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pus\xs),sparse(puf\xf),1e-10);
+%!assert(bs\xf,bf\xf,1e-10);
+%!assert(sparse(bs\xs),sparse(bf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(cs\xf,cf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(cs\xs),sparse(cf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(bcs\xf,bcf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(bcs\xs),sparse(bcf\xf),1e-10);
+%!assert(ts\xf,tf\xf,1e-10);
+%!assert(sparse(ts\xs),sparse(tf\xf),1e-10);
+%!assert(tcs\xf,tcf\xf,1e-10);
+%!assert(sparse(tcs\xs),sparse(tcf\xf),1e-10);
+
+%% QR solver tests
+
+%!function f(a, sz, feps)
+%! b = randn(sz); x = a \b; 
+%! assert (a * x, b, feps);
+%! b = randn(sz)+1i*randn(sz); x = a \ b;  
+%! assert (a * x, b, feps);
+%! b = sprandn(sz(1),sz(2),0.2); x = a \b;
+%! assert (sparse(a * x), b, feps);
+%! b = sprandn(sz(1),sz(2),0.2)+1i*sprandn(sz(1),sz(2),0.2); x = a \b; 
+%! assert (sparse(a * x), b, feps);
+%!testif HAVE_CXSPARSE
+%! a = alpha*sprandn(10,11,0.2)+speye(10,11); f(a,[10,2],1e-10);
+%! ## Test this by forcing matrix_type, as can't get a certain 
+%! ## result for over-determined systems.
+%! a = alpha*sprandn(10,10,0.2)+speye(10,10); matrix_type(a, "Singular");
+%! f(a,[10,2],1e-10);
+
+%% Rectanguar solver tests that don't use QR
+
+%!test
+%! ds = alpha * spdiags([1:11]',0,10,11);
+%! df = full(ds);
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:10],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! ds = alpha * spdiags([1:11]',0,11,10);
+%! df = full(ds);
+%! xf = beta * ones(11,2);
+%! xs = speye(11,11);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:11],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! us = alpha*[[speye(10,10);sparse(1,10)],[[1,1];sparse(9,2);[1,1]]];
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xs),xs,100*eps)
+%!test
+%! pus = us(:,[2,1,3:12]);
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xs),xs,100*eps)
+%!test
+%! us = alpha*[speye(11,9),[1;sparse(8,1);1;0]];
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xf);
+%! assert(us\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(us\xs,r\c,100*eps)
+%!test
+%! pus = us(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xs,r\c,100*eps)
+%!test
+%! ls = alpha*[speye(9,11);[1,sparse(1,8),1,0]];
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ls*(ls\xf),xf,100*eps)
+%!assert(ls*(ls\xs),xs,100*eps)
+%!test
+%! pls = ls([1:8,10,9],:);
+%!assert(pls*(pls\xf),xf,100*eps)
+%!assert(pls*(pls\xs),xs,100*eps)
+%!test
+%! ls = alpha*[speye(10,10),sparse(10,1);[1;1],sparse(2,9),[1;1]];
+%! xf = beta * ones(12,2);
+%! xs = speye(12,12);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xf);
+%! assert(ls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(ls\xs,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! pls = ls(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xs,r\c,100*eps)
+
+%!test alpha=1i;beta=1;
+%! n=8;
+%! lf=diag(1:n);lf(n-1,1)=0.5*alpha;lf(n,2)=0.25*alpha;ls=sparse(lf);
+%! uf=diag(1:n);uf(1,n-1)=2*alpha;uf(2,n)=alpha;us=sparse(uf);
+%! ts=spdiags(ones(n,3),-1:1,n,n)+diag(1:n); tf = full(ts);
+%! df = diag(1:n).* alpha; ds = sparse(df);
+%! pdf = df(randperm(n),randperm(n)); pds = sparse(pdf);
+%! plf = lf(randperm(n),randperm(n)); pls = sparse(plf);
+%! puf = uf(randperm(n),randperm(n)); pus = sparse(puf);
+%! bs = spdiags(repmat([1:n]',1,4),-2:1,n,n).*alpha; bf = full(bs);
+%! cf = lf + lf'; cs = sparse(cf);
+%! bcf = bf + bf'; bcs = sparse(bcf);
+%! tcf = tf + tf'; tcs = sparse(tcf);
+%! xf = diag(1:n) + fliplr(diag(1:n)).*beta; xs = sparse(xf);
+%!assert(ds\xf,df\xf,1e-10);
+%!assert(ds\xs,sparse(df\xf),1e-10);
+%!assert(pds\xf,pdf\xf,1e-10);
+%!assert(pds\xs,sparse(pdf\xf),1e-10);
+%!assert(ls\xf,lf\xf,1e-10);
+%!assert(sparse(ls\xs),sparse(lf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pls\xf,plf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pls\xs),sparse(plf\xf),1e-10);
+%!assert(us\xf,uf\xf,1e-10);
+%!assert(sparse(us\xs),sparse(uf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pus\xf,puf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pus\xs),sparse(puf\xf),1e-10);
+%!assert(bs\xf,bf\xf,1e-10);
+%!assert(sparse(bs\xs),sparse(bf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(cs\xf,cf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(cs\xs),sparse(cf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(bcs\xf,bcf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(bcs\xs),sparse(bcf\xf),1e-10);
+%!assert(ts\xf,tf\xf,1e-10);
+%!assert(sparse(ts\xs),sparse(tf\xf),1e-10);
+%!assert(tcs\xf,tcf\xf,1e-10);
+%!assert(sparse(tcs\xs),sparse(tcf\xf),1e-10);
+
+%% QR solver tests
+
+%!function f(a, sz, feps)
+%! b = randn(sz); x = a \b; 
+%! assert (a * x, b, feps);
+%! b = randn(sz)+1i*randn(sz); x = a \ b;  
+%! assert (a * x, b, feps);
+%! b = sprandn(sz(1),sz(2),0.2); x = a \b;
+%! assert (sparse(a * x), b, feps);
+%! b = sprandn(sz(1),sz(2),0.2)+1i*sprandn(sz(1),sz(2),0.2); x = a \b; 
+%! assert (sparse(a * x), b, feps);
+%!testif HAVE_CXSPARSE
+%! a = alpha*sprandn(10,11,0.2)+speye(10,11); f(a,[10,2],1e-10);
+%! ## Test this by forcing matrix_type, as can't get a certain 
+%! ## result for over-determined systems.
+%! a = alpha*sprandn(10,10,0.2)+speye(10,10); matrix_type(a, "Singular");
+%! f(a,[10,2],1e-10);
+
+%% Rectanguar solver tests that don't use QR
+
+%!test
+%! ds = alpha * spdiags([1:11]',0,10,11);
+%! df = full(ds);
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:10],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! ds = alpha * spdiags([1:11]',0,11,10);
+%! df = full(ds);
+%! xf = beta * ones(11,2);
+%! xs = speye(11,11);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:11],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! us = alpha*[[speye(10,10);sparse(1,10)],[[1,1];sparse(9,2);[1,1]]];
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xs),xs,100*eps)
+%!test
+%! pus = us(:,[2,1,3:12]);
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xs),xs,100*eps)
+%!test
+%! us = alpha*[speye(11,9),[1;sparse(8,1);1;0]];
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xf);
+%! assert(us\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(us\xs,r\c,100*eps)
+%!test
+%! pus = us(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xs,r\c,100*eps)
+%!test
+%! ls = alpha*[speye(9,11);[1,sparse(1,8),1,0]];
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ls*(ls\xf),xf,100*eps)
+%!assert(ls*(ls\xs),xs,100*eps)
+%!test
+%! pls = ls([1:8,10,9],:);
+%!assert(pls*(pls\xf),xf,100*eps)
+%!assert(pls*(pls\xs),xs,100*eps)
+%!test
+%! ls = alpha*[speye(10,10),sparse(10,1);[1;1],sparse(2,9),[1;1]];
+%! xf = beta * ones(12,2);
+%! xs = speye(12,12);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xf);
+%! assert(ls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(ls\xs,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! pls = ls(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xs,r\c,100*eps)
+
+%!test alpha=1i;beta=1i;
+%! n=8;
+%! lf=diag(1:n);lf(n-1,1)=0.5*alpha;lf(n,2)=0.25*alpha;ls=sparse(lf);
+%! uf=diag(1:n);uf(1,n-1)=2*alpha;uf(2,n)=alpha;us=sparse(uf);
+%! ts=spdiags(ones(n,3),-1:1,n,n)+diag(1:n); tf = full(ts);
+%! df = diag(1:n).* alpha; ds = sparse(df);
+%! pdf = df(randperm(n),randperm(n)); pds = sparse(pdf);
+%! plf = lf(randperm(n),randperm(n)); pls = sparse(plf);
+%! puf = uf(randperm(n),randperm(n)); pus = sparse(puf);
+%! bs = spdiags(repmat([1:n]',1,4),-2:1,n,n).*alpha; bf = full(bs);
+%! cf = lf + lf'; cs = sparse(cf);
+%! bcf = bf + bf'; bcs = sparse(bcf);
+%! tcf = tf + tf'; tcs = sparse(tcf);
+%! xf = diag(1:n) + fliplr(diag(1:n)).*beta; xs = sparse(xf);
+%!assert(ds\xf,df\xf,1e-10);
+%!assert(ds\xs,sparse(df\xf),1e-10);
+%!assert(pds\xf,pdf\xf,1e-10);
+%!assert(pds\xs,sparse(pdf\xf),1e-10);
+%!assert(ls\xf,lf\xf,1e-10);
+%!assert(sparse(ls\xs),sparse(lf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pls\xf,plf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pls\xs),sparse(plf\xf),1e-10);
+%!assert(us\xf,uf\xf,1e-10);
+%!assert(sparse(us\xs),sparse(uf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(pus\xf,puf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(pus\xs),sparse(puf\xf),1e-10);
+%!assert(bs\xf,bf\xf,1e-10);
+%!assert(sparse(bs\xs),sparse(bf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(cs\xf,cf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(cs\xs),sparse(cf\xf),1e-10);
+%!testif HAVE_UMFPACK
+%! assert(bcs\xf,bcf\xf,1e-10);
+%!testif HAVE_UMFPACK
+%! assert(sparse(bcs\xs),sparse(bcf\xf),1e-10);
+%!assert(ts\xf,tf\xf,1e-10);
+%!assert(sparse(ts\xs),sparse(tf\xf),1e-10);
+%!assert(tcs\xf,tcf\xf,1e-10);
+%!assert(sparse(tcs\xs),sparse(tcf\xf),1e-10);
+
+%% QR solver tests
+
+%!function f(a, sz, feps)
+%! b = randn(sz); x = a \b; 
+%! assert (a * x, b, feps);
+%! b = randn(sz)+1i*randn(sz); x = a \ b;  
+%! assert (a * x, b, feps);
+%! b = sprandn(sz(1),sz(2),0.2); x = a \b;
+%! assert (sparse(a * x), b, feps);
+%! b = sprandn(sz(1),sz(2),0.2)+1i*sprandn(sz(1),sz(2),0.2); x = a \b; 
+%! assert (sparse(a * x), b, feps);
+%!testif HAVE_CXSPARSE
+%! a = alpha*sprandn(10,11,0.2)+speye(10,11); f(a,[10,2],1e-10);
+%! ## Test this by forcing matrix_type, as can't get a certain 
+%! ## result for over-determined systems.
+%! a = alpha*sprandn(10,10,0.2)+speye(10,10); matrix_type(a, "Singular");
+%! f(a,[10,2],1e-10);
+
+%% Rectanguar solver tests that don't use QR
+
+%!test
+%! ds = alpha * spdiags([1:11]',0,10,11);
+%! df = full(ds);
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:10],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! ds = alpha * spdiags([1:11]',0,11,10);
+%! df = full(ds);
+%! xf = beta * ones(11,2);
+%! xs = speye(11,11);
+%!assert(ds\xf,df\xf,100*eps)
+%!assert(ds\xs,sparse(df\xs),100*eps)
+%!test
+%! pds = ds([2,1,3:11],:);
+%! pdf = full(pds);
+%!assert(pds\xf,pdf\xf,100*eps)
+%!assert(pds\xs,sparse(pdf\xs),100*eps)
+%!test
+%! us = alpha*[[speye(10,10);sparse(1,10)],[[1,1];sparse(9,2);[1,1]]];
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(us*(us\xs),xs,100*eps)
+%!test
+%! pus = us(:,[2,1,3:12]);
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xf),xf,100*eps)
+%!testif HAVE_UMFPACK
+%! assert(pus*(pus\xs),xs,100*eps)
+%!test
+%! us = alpha*[speye(11,9),[1;sparse(8,1);1;0]];
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xf);
+%! assert(us\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (us, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(us\xs,r\c,100*eps)
+%!test
+%! pus = us(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pus, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pus\xs,r\c,100*eps)
+%!test
+%! ls = alpha*[speye(9,11);[1,sparse(1,8),1,0]];
+%! xf = beta * ones(10,2);
+%! xs = speye(10,10);
+%!assert(ls*(ls\xf),xf,100*eps)
+%!assert(ls*(ls\xs),xs,100*eps)
+%!test
+%! pls = ls([1:8,10,9],:);
+%!assert(pls*(pls\xf),xf,100*eps)
+%!assert(pls*(pls\xs),xs,100*eps)
+%!test
+%! ls = alpha*[speye(10,10),sparse(10,1);[1;1],sparse(2,9),[1;1]];
+%! xf = beta * ones(12,2);
+%! xs = speye(12,12);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xf);
+%! assert(ls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (ls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(ls\xs,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! pls = ls(:,[1:8,10,9]);
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xf);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xf,r\c,100*eps)
+%!testif HAVE_CXSPARSE
+%! [c,r] = spqr (pls, xs);
+%! r = matrix_type(r,"Singular"); ## Force Matrix Type
+%! assert(pls\xs,r\c,100*eps)
+
+
+# ==============================================================
+
diff -pruN 1:3.0.1-6/test/test_string.m 1:3.0.5-6/test/test_string.m
--- 1:3.0.1-6/test/test_string.m	2008-04-21 17:00:22.000000000 +0100
+++ 1:3.0.5-6/test/test_string.m	2009-03-26 06:51:30.000000000 +0000
@@ -532,7 +532,7 @@
 %! result = zeros (1, 128);
 %! 
 %! result (33:127) = 1;
-%! if (ispc () && ! isunix ())
+%! if (size(findstr (octave_config_info('canonical_host_type'), 'msvc'),2))
 %!   result(10) = 1;
 %! endif
 %! 
diff -pruN 1:3.0.1-6/test/test_system.m 1:3.0.5-6/test/test_system.m
--- 1:3.0.1-6/test/test_system.m	2008-04-21 17:00:22.000000000 +0100
+++ 1:3.0.5-6/test/test_system.m	2009-01-16 06:46:25.000000000 +0000
@@ -97,11 +97,11 @@
 %!error asctime (1, 2);
 
 %% test/octave.test/system/strftime-1.m
-%!assert((isstr (strftime ("%%%n%t%H%I%k%l", localtime (time ())))
-%! && isstr (strftime ("%M%p%r%R%s%S%T", localtime (time ())))
-%! && isstr (strftime ("%X%Z%z%a%A%b%B", localtime (time ())))
-%! && isstr (strftime ("%c%C%d%e%D%h%j", localtime (time ())))
-%! && isstr (strftime ("%m%U%w%W%x%y%Y", localtime (time ())))));
+%!assert((ischar (strftime ("%%%n%t%H%I%k%l", localtime (time ())))
+%! && ischar (strftime ("%M%p%r%R%s%S%T", localtime (time ())))
+%! && ischar (strftime ("%X%Z%z%a%A%b%B", localtime (time ())))
+%! && ischar (strftime ("%c%C%d%e%D%h%j", localtime (time ())))
+%! && ischar (strftime ("%m%U%w%W%x%y%Y", localtime (time ())))));
 
 %% test/octave.test/system/strftime-2.m
 %!error <Invalid call to strftime.*> strftime ();
@@ -309,7 +309,7 @@
 %! && struct_contains (s, "atime")
 %! && struct_contains (s, "mtime")
 %! && struct_contains (s, "ctime")
-%! && isstr (msg)));
+%! && ischar (msg)));
 
 %% test/octave.test/system/stat-2.m
 %!error <Invalid call to stat.*> stat ();
@@ -332,7 +332,7 @@
 %! && struct_contains (s, "atime")
 %! && struct_contains (s, "mtime")
 %! && struct_contains (s, "ctime")
-%! && isstr (msg)));
+%! && ischar (msg)));
 
 %% test/octave.test/system/lstat-2.m
 %!error <Invalid call to lstat.*> lstat ();
@@ -365,7 +365,7 @@
 %!error <Invalid call to fnmatch.*> fnmatch ("foo", "bar", 3);
 
 %% test/octave.test/system/file_in_path-1.m
-%!assert(isstr (file_in_path (path (), "date.m")));
+%!assert(ischar (file_in_path (path (), "date.m")));
 
 %% test/octave.test/system/file_in_path-2.m
 %!error <invalid option> file_in_path ("foo", "bar", 1);
@@ -487,7 +487,7 @@
 %!error cd (1);
 
 %% test/octave.test/system/pwd-1.m
-%!assert(isstr (pwd ()));
+%!assert(ischar (pwd ()));
 
 %% test/octave.test/system/ls-1.m
 %!error ls (1);
@@ -602,7 +602,7 @@
 %!error <Invalid call to endgrent.*> endgrent (1);
 
 %% test/octave.test/system/computer-1.m
-%!assert((isstr (computer ())
+%!assert((ischar (computer ())
 %! && computer () == octave_config_info ("canonical_host_type")));
 
 %% test/octave.test/system/computer-2.m
@@ -612,7 +612,7 @@
 %!assert(isieee () == 1 || isieee () == 0);
 
 %% test/octave.test/system/version-1.m
-%!assert(isstr (version ()) && strcmp (version (), OCTAVE_VERSION));
+%!assert(ischar (version ()) && strcmp (version (), OCTAVE_VERSION));
 
 %% test/octave.test/system/version-2.m
 %!warning version (1);
